import { _ as _export_sfc, f as useTfText, g as useModel, m as util, A as __nuxt_component_8$2, q as __nuxt_component_3$3, w as __nuxt_component_7$2, B as __nuxt_component_3 } from './server.mjs';
import { useSSRContext, ref, computed, watch, mergeProps, unref, isRef } from 'vue';
import { ssrRenderAttrs, ssrRenderStyle, ssrRenderComponent, ssrRenderList, ssrRenderClass, ssrRenderSlot, ssrInterpolate, ssrRenderAttr } from 'vue/server-renderer';

const _sfc_main = {
  __name: "RTable",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: Array, default: () => [] },
    columns: { type: Array, default: () => null },
    selectable: { type: Boolean, default: () => false },
    disabled: { type: Boolean, default: () => false },
    apiUrl: { type: String, default: () => null }
  },
  emits: ["change", "selection", "update:modelValue", "focus", "blur", "rchange", "paginate"],
  setup(__props, { emit: __emit }) {
    let tf_text = useTfText();
    const emit = __emit;
    const props = __props;
    const d = useModel(props, emit);
    let signal_emit_pagination = ref(false);
    let hnd_limit_changed = () => {
      if (d.value && d.value.length > 0 && d.value[0].pagination) d.value[0].pagination.limit = limit.value;
      setTimeout(() => signal_emit_pagination.value = true, 100);
    };
    let is_empty = computed(() => {
      return (val) => {
        if (val == null || val == undefined || val == "") return true;
        if (Array.isArray(val) && val.length == 0) return true;
        return false;
      };
    });
    let is_busy = ref(false);
    let hnd_escalate_paginate = (paginate) => {
      signal_emit_pagination.value = false;
      is_busy.value = true;
      emit("paginate", paginate);
    };
    let limit = ref(25);
    let grab_limit_from_dataset = (dataset) => {
      if (Array.isArray(dataset) && dataset.length > 0) {
        let first = dataset[0];
        if (first && first.pagination && first.pagination.limit) {
          limit.value = first.pagination.limit;
        } else {
          limit.value = 25;
        }
      }
    };
    watch(() => d.value, (new_val) => {
      is_busy.value = false;
      grab_limit_from_dataset(new_val);
    });
    grab_limit_from_dataset(d.value);
    let limit_sizes = ref([
      { title: "5 Per page", value: 5 },
      { title: "10 Per page", value: 10 },
      { title: "15 Per page", value: 15 },
      { title: "25 Per page", value: 25 },
      { title: "50 Per page", value: 50 },
      { title: "50 Per page", value: 100 }
    ]);
    let tb_columns = computed(() => {
      let arr = props.columns;
      let first_obj = null;
      let is_d_array = Array.isArray(d.value);
      if (!is_d_array || is_d_array && d.value.length == 0) {
        first_obj = first_obj = { id: null, name: null, title: null, status: null };
      } else {
        first_obj = d.value[0];
      }
      if (!arr) {
        arr = Object.keys(first_obj);
      }
      for (var i = arr.length - 1; i > -1; i--) {
        if (!arr[i]) continue;
        if (arr[i] == "pagination") {
          arr.splice(i, 1);
          continue;
        }
        if (typeof arr[i] != "object") {
          arr[i] = { name: arr[i] };
        }
        if (arr[i].name == "id" && !arr[i].width) {
          arr[i].width = "40px";
        }
        if (arr[i].name == "parent_id" && !arr[i].width) {
          arr[i].width = "80px";
        }
      }
      return arr.filter((it) => it != null);
    });
    let selector_style = computed(() => {
      return { width: "34px" };
    });
    let root = ref(null);
    let selected_rows = computed(() => {
      var arr = d.value || [];
      var out = [];
      let total_selected = 0;
      for (var i = 0; i < arr.length; i++) {
        if (!arr[i]._select) continue;
        total_selected++;
        out.push({ id: arr[i].id, index: i });
      }
      toggle_select_all.value = total_selected == arr.length;
      return out;
    });
    let hnd_selections_changed = (e) => {
      emit("selection", selected_rows.value);
    };
    let toggle_select_all = ref(false);
    let hnd_all_selections = () => {
      var arr = d.value || [];
      for (var i = 0; i < arr.length; i++) {
        arr[i]._select = toggle_select_all.value;
      }
    };
    let pagination_details = computed(() => {
      let out = null;
      if (Array.isArray(d.value) && d.value.length > 0 && d.value[0].pagination) {
        out = d.value[0].pagination;
      } else {
        out = { p: 1, pages: 1 };
      }
      out.limit = limit.value;
      return out;
    });
    let column_to_sort_by = ref(null), column_sort_direction = ref(-1);
    let d_sorted_filtered = computed(() => {
      let out = d.value;
      if (!Array.isArray(out)) return [];
      if (column_to_sort_by.value) {
        out = out.sort((A, B) => {
          let a = util.type_cast(A[column_to_sort_by.value]), b = util.type_cast(B[column_to_sort_by.value]);
          if (typeof a == "string") {
            return a.localeCompare(b);
          } else if (typeof b == "string") {
            return b.localeCompare(a);
          } else return column_sort_direction.value == -1 ? b - a : a - b;
        });
      }
      return out;
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_checkbox = __nuxt_component_8$2;
      const _component_r_busy = __nuxt_component_3$3;
      const _component_r_select = __nuxt_component_7$2;
      const _component_r_pagination = __nuxt_component_3;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-table rc overflow-auto w-full mx-2", [__props.disabled ? "disabled" : ""]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-d7fba62b><table class="w-full my-3" data-v-d7fba62b><thead data-v-d7fba62b><tr data-v-d7fba62b><th class="selector" style="${ssrRenderStyle(unref(selector_style))}" data-v-d7fba62b>`);
      if (__props.selectable) {
        _push(ssrRenderComponent(_component_r_checkbox, {
          modelValue: unref(toggle_select_all),
          "onUpdate:modelValue": ($event) => isRef(toggle_select_all) ? toggle_select_all.value = $event : toggle_select_all = $event,
          disabled: __props.disabled,
          onChange: unref(hnd_all_selections)
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</th>`);
      if (unref(tb_columns)) {
        _push(`<!--[-->`);
        ssrRenderList(unref(tb_columns), (col, index) => {
          _push(`<th class="${ssrRenderClass([col.name, "user-select-none"])}" style="${ssrRenderStyle({ width: col.width })}" data-v-d7fba62b><div class="column-title flex gap-2" data-v-d7fba62b>`);
          if (unref(column_to_sort_by) == col.name) {
            _push(`<span data-v-d7fba62b><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-d7fba62b><path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5M12 17.25h8.25" data-v-d7fba62b></path></svg></span>`);
          } else {
            _push(`<!---->`);
          }
          ssrRenderSlot(_ctx.$slots, "title_" + col.name, mergeProps({ ref_for: true }, col), () => {
            _push(`${ssrInterpolate(unref(tf_text)(col.title || col.name, { first_word: true }))}`);
          }, _push, _parent);
          _push(`</div></th>`);
        });
        _push(`<!--]-->`);
      } else {
        _push(`<!---->`);
      }
      _push(`</tr></thead><tbody data-v-d7fba62b>`);
      if (unref(is_busy)) {
        _push(ssrRenderComponent(_component_r_busy, {
          class: "absolute",
          style: { top: "calc(50% - 34px)", left: "50%", position: "absolute" }
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      if (unref(d)) {
        _push(`<!--[-->`);
        ssrRenderList(unref(d_sorted_filtered), (row, row_index) => {
          _push(`<tr class="${ssrRenderClass(["row", "row-id-" + row.id, "on-hover-target"])}"${ssrRenderAttr("item-id", row.id || -1)} data-v-d7fba62b><td class="selector" data-v-d7fba62b>`);
          if (__props.selectable) {
            _push(ssrRenderComponent(_component_r_checkbox, {
              modelValue: row._select,
              "onUpdate:modelValue": ($event) => row._select = $event,
              disabled: __props.disabled,
              onChange: unref(hnd_selections_changed)
            }, null, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</td><!--[-->`);
          ssrRenderList(unref(tb_columns), (col, col_index) => {
            _push(`<td class="${ssrRenderClass([col.name])}" data-v-d7fba62b>`);
            ssrRenderSlot(_ctx.$slots, "data_" + col.name, mergeProps({ ref_for: true }, row, { item_index: row_index }), () => {
              _push(`<!--[-->`);
              ssrRenderList([{ val: unref(tf_text)(row[col.name], { fmt: "b e, Y I:M p" }) }], (t_obj) => {
                _push(`<span class="${ssrRenderClass(["data-display", !t_obj.val ? "empty" : ""])}" data-v-d7fba62b>${ssrInterpolate(unref(is_empty)(t_obj.val) ? "---" : t_obj.val)}</span>`);
              });
              _push(`<!--]-->`);
            }, _push, _parent);
            ssrRenderSlot(_ctx.$slots, "data_col_" + col.name, mergeProps({ ref_for: true }, { row, col }), null, _push, _parent);
            _push(`</td>`);
          });
          _push(`<!--]--></tr>`);
        });
        _push(`<!--]-->`);
      } else {
        _push(`<!---->`);
      }
      _push(`<tr class="footer" data-v-d7fba62b><td class="selector" data-v-d7fba62b> </td><!--[-->`);
      ssrRenderList(unref(tb_columns), (col, col_index) => {
        _push(`<td class="${ssrRenderClass([col.name, "footer-cell", "p-2"])}" data-v-d7fba62b>`);
        ssrRenderSlot(_ctx.$slots, "footer_" + col.name, {}, null, _push, _parent);
        _push(`   </td>`);
      });
      _push(`<!--]--></tr>`);
      if (unref(d) && unref(d).length == 0) {
        _push(`<!--[--><td class="selector" style="${ssrRenderStyle({ height: "30px" })}" data-v-d7fba62b></td><!--[-->`);
        ssrRenderList(unref(tb_columns), (col, col_index) => {
          _push(`<td class="${ssrRenderClass([col.name])}" data-v-d7fba62b><span class="color-gray-400 text-base user-select-none" data-v-d7fba62b>--</span></td>`);
        });
        _push(`<!--]--><!--]-->`);
      } else {
        _push(`<!---->`);
      }
      _push(`</tbody></table><div class="flex gap-3" data-v-d7fba62b>`);
      if (unref(pagination_details).pages > 1) {
        _push(ssrRenderComponent(_component_r_select, {
          modelValue: unref(limit),
          "onUpdate:modelValue": ($event) => isRef(limit) ? limit.value = $event : limit = $event,
          values: unref(limit_sizes),
          onChange: unref(hnd_limit_changed)
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(ssrRenderComponent(_component_r_pagination, {
        "use-links": false,
        "force-emit": unref(signal_emit_pagination),
        onPaginate: unref(hnd_escalate_paginate),
        options: unref(pagination_details),
        url: __props.apiUrl
      }, null, _parent));
      _push(`</div></div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RTable.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const __nuxt_component_2 = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main, [["__scopeId", "data-v-d7fba62b"]]), { __name: "RTable" });

export { __nuxt_component_2 as _ };
//# sourceMappingURL=RTable-BSxigCV9.mjs.map
