import { _ as _export_sfc, u as useViewerState, b as useAppState, e as useRoute, D as useEditorState, f as useTfText, j as useRequest, h as usePrettyCurrency, I as useTfProduct, n as navigateTo, c as __nuxt_component_0$1, w as __nuxt_component_7$2, v as __nuxt_component_3$2, q as __nuxt_component_3$3, s as __nuxt_component_1$4, C as __nuxt_component_4$2, o as __nuxt_component_5$1, k as __nuxt_component_8 } from './server.mjs';
import { _ as __nuxt_component_2 } from './RTable-BSxigCV9.mjs';
import { _ as __nuxt_component_9 } from './ROrderSummary-B3BxuJJ5.mjs';
import { ref, computed, withAsyncContext, mergeProps, unref, isRef, withCtx, createTextVNode, createVNode, toDisplayString, openBlock, createBlock, Fragment, renderList, createCommentVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList, ssrRenderClass, ssrRenderAttr, ssrRenderStyle } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "[type]",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    useViewerState();
    let app_state = useAppState();
    app_state.layout = "user";
    useRoute();
    let editor_store = useEditorState();
    let filter_by_status = ref("all");
    editor_store.load_categories();
    let categories = computed(() => {
      let values = editor_store.categories;
      if (!values) return [];
      return values.map((it) => ({ value: it.id, title: it.title || it.slug }));
    });
    let search_title = ref("");
    let show_order_summary = ref({
      show: false,
      order_id: null
    });
    let hnd_close_order = (result) => {
      show_order_summary.value.show = false;
      show_order_summary.value.order_id = null;
    };
    let is_shop = ref(false);
    let route = ([__temp, __restore] = withAsyncContext(() => useRoute()), __temp = await __temp, __restore(), __temp);
    let tf_text = useTfText();
    let quick_edit_busy = ref(false);
    let quick_editing = ref(null);
    let columns = ref([
      { name: "id" },
      { name: "category_title", title: "Category" },
      { name: "title" },
      { name: "description", width: "50%" },
      { name: "status" },
      { name: "created_by" },
      { name: "views" },
      route.params.type == "form" ? { name: "child_count", title: "Submissions" } : null
    ]);
    let store_locations = ref([]);
    if (route.params.type == "product") {
      is_shop.value = true;
      app_state.get_option("store_locations").then((val) => {
        store_locations.value = val;
      });
      columns.value.splice(1, 0, { name: "virtual", title: "Kind" });
      columns.value.splice(1, 0, { name: "price", width: "160px" });
      columns.value.splice(1, 0, { name: "quantity", title: "Available" });
    } else if (route.params.type == "order") {
      columns.value.splice(6, 1);
      columns.value.splice(1, 1);
    } else if (route.params.type == "layout") {
      columns.value.splice(6, 1);
    }
    let post_items = ref(null);
    let api_url = ref(`/api/posts/items/${route.params.type}`);
    let shadow_pagination_status = ref({ p: 1, limit: null });
    let hnd_searching_stopped = () => {
      load_items(api_url.value);
    };
    let hnd_status_filter_changed = () => {
      load_items(api_url.value);
    };
    let load_items = async (url) => {
      let additional_query = { s: search_title.value };
      if (filter_by_status.value != "all") additional_query.status = filter_by_status.value;
      let res2 = await useRequest({ url, query: additional_query });
      post_items.value = res2.d;
      let first = res2.d[0];
      if (first && first.pagination) {
        shadow_pagination_status.value.limit = first.pagination.limit;
      }
    };
    [__temp, __restore] = withAsyncContext(() => load_items(api_url.value)), await __temp, __restore();
    let hnd_handle_pagination = (page) => {
      shadow_pagination_status.value.p = page.index || 1;
      load_items(page.url);
    };
    let res = ([__temp, __restore] = withAsyncContext(() => useRequest({ url: "/api/types" })), __temp = await __temp, __restore(), __temp);
    let filtered_post_items = computed(() => {
      if (!Array.isArray(post_items.value)) return post_items.value;
      if (filter_by_status.value == "all") return post_items.value;
      return post_items.value.filter((item) => {
        return item.status == filter_by_status.value;
      });
    });
    let type_list = ref(res.d);
    let open_delete_modal = ref(false);
    let delete_row = ref(null);
    let open_drafts_modal = ref(false);
    let drafts_of = ref(null);
    let drafts_list = ref(null);
    let hnd_fetch_drafts = async (post_id) => {
      drafts_of.value = post_id;
      open_drafts_modal.value = true;
      drafts_list.value = null;
      useRequest({
        url: "/api/posts/items",
        query: { source_id: post_id, cols: ["id", "status", "modified"] }
      }).then((res2) => {
        drafts_list.value = res2.d;
      });
    };
    let hnd_close_drafts_list = (result) => {
      drafts_list.value = null;
      drafts_of.value = null;
      open_drafts_modal.value = false;
    };
    let type_info = computed(() => {
      let def = { title_plural: "Unknown", description: "" };
      if (!Array.isArray(type_list.value)) return def;
      for (var i = 0; type_list.value && i < type_list.value.length; i++) {
        if (!type_list.value[i]) continue;
        if (type_list.value[i].name == route.params.type) {
          return type_list.value[i];
        }
      }
      return def;
    });
    let post_status_types = computed(() => {
      let def = [{ title: "All", value: "all" }];
      let status_list = type_info.value.status;
      if (!Array.isArray(status_list)) {
        status_list = [];
      }
      return [...def, ...status_list];
    });
    let page_head = usePageHead();
    useHead(page_head.value({
      title: type_info.value.title_plural,
      description: type_info.value.description + "; Manage site types"
    }));
    let hnd_delete_post = (post) => {
      open_delete_modal.value = true;
      delete_row.value = { title: post.title, id: post.id, description: post.description };
    };
    let hnd_confirm_delete = (e) => {
      open_delete_modal.value = false;
      if (e.action == "ok") {
        useRequest({
          method: "delete",
          url: "/api/posts",
          body: { id: delete_row.value.id, title: delete_row.value.title }
        }).then((res2) => {
          var _a, _b;
          if (res2.d == null) {
            app_state.notice({ title: "Error", msg: "Unable to delete post" });
          } else if (res2.d == false) {
            app_state.notice({ title: "Trash", msg: `Post moved "${delete_row.value.title}" to trash` });
            let it = (_a = post_items.value) == null ? undefined : _a.find((it2) => it2.id == delete_row.value.id);
            if (it) it.status = "trash";
          } else {
            app_state.notice({ title: "Deleted", msg: `Deleted post(${delete_row.value.id}) "${delete_row.value.title}" ` });
            let index = -1;
            (_b = post_items.value) == null ? undefined : _b.forEach((it, i) => {
              if (it.id == delete_row.value.id) {
                index = i;
              }
            });
            if (index != -1) post_items.value.splice(index, 1);
          }
        });
      }
    };
    let prettify = usePrettyCurrency();
    let tf = useTfText();
    let cur_store = ref(app_state.current_store);
    let { prod_price, prod_quantity } = useTfProduct(cur_store);
    let hnd_edit = async (row, e) => {
      if (e.ctrlKey) {
        quick_editing.value = util.copy(row);
        return;
      }
      if (row.type == "order") {
        show_order_summary.value.show = true;
        show_order_summary.value.order_id = row.id;
      } else {
        navigateTo("/user/editor/" + row.id);
      }
    };
    let hnd_close_quick_edits = (result) => {
    };
    let hnd_save_quick_edit = () => {
      quick_edit_busy.value = true;
      let is_new = quick_editing.value.id == undefined;
      let post_to_save = {
        is_quick_edit: true,
        id: quick_editing.value.id || undefined,
        title: quick_editing.value.title,
        description: quick_editing.value.description,
        status: quick_editing.value.status,
        category_id: quick_editing.value.category_id
      };
      if (is_new) {
        post_to_save.type = type_info.value.name;
      }
      let no_longer_busy = (success, res2) => {
        setTimeout(() => {
          quick_edit_busy.value = false;
          setTimeout(() => {
            if (success && res2.d) {
              if (is_new) {
                post_items.value.splice(0, 0, res2.d);
              } else {
                for (var i = 0; i < post_items.value.length; i++) {
                  if (post_items.value[i].id = res2.d.id) {
                    post_items.value[i] = { ...post_items.value[i], ...res2.d };
                  }
                }
              }
            }
            quick_editing.value = null;
          }, 200);
        }, 190);
      };
      useRequest({
        url: "/api/posts",
        method: "post",
        body: post_to_save
      }).then((res2) => {
        no_longer_busy(true, res2);
      }).catch((res2) => {
        no_longer_busy(false, res2);
      });
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_select = __nuxt_component_7$2;
      const _component_r_modal = __nuxt_component_3$2;
      const _component_r_busy = __nuxt_component_3$3;
      const _component_r_link = __nuxt_component_1$4;
      const _component_r_row_label = __nuxt_component_4$2;
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_table = __nuxt_component_2;
      const _component_r_post_component = __nuxt_component_8;
      const _component_r_order_summary = __nuxt_component_9;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "as afw" }, _attrs))} data-v-0814d5d6><div class="" data-v-0814d5d6>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(`<h1 class="mb-3" data-v-0814d5d6>${ssrInterpolate(unref(type_info).title_plural)}</h1>`);
      if (unref(is_shop)) {
        _push(`<div class="toggle-store mb-5" data-v-0814d5d6><div class="mb-2" data-v-0814d5d6>Review Per Store</div>`);
        _push(ssrRenderComponent(_component_r_select, {
          class: "max-w-xs",
          modelValue: unref(cur_store),
          "onUpdate:modelValue": ($event) => isRef(cur_store) ? cur_store.value = $event : cur_store = $event,
          values: unref(store_locations)
        }, null, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(open_delete_modal),
        "onUpdate:modelValue": ($event) => isRef(open_delete_modal) ? open_delete_modal.value = $event : open_delete_modal = $event,
        onClose: unref(hnd_confirm_delete),
        cancel: "Cancel",
        confirm: "Delete"
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` Confirm Removal `);
          } else {
            return [
              createTextVNode(" Confirm Removal ")
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div data-v-0814d5d6${_scopeId}><p data-v-0814d5d6${_scopeId}>Are you sure you want to delete <span class="color-primary-500" data-v-0814d5d6${_scopeId}>${ssrInterpolate(unref(delete_row).title)} (${ssrInterpolate(unref(delete_row).id)})</span></p></div>`);
          } else {
            return [
              createVNode("div", null, [
                createVNode("p", null, [
                  createTextVNode("Are you sure you want to delete "),
                  createVNode("span", { class: "color-primary-500" }, toDisplayString(unref(delete_row).title) + " (" + toDisplayString(unref(delete_row).id) + ")", 1)
                ])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(open_drafts_modal),
        "onUpdate:modelValue": ($event) => isRef(open_drafts_modal) ? open_drafts_modal.value = $event : open_drafts_modal = $event,
        onClose: unref(hnd_close_drafts_list)
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` Post ${ssrInterpolate(unref(drafts_of))} Drafts `);
          } else {
            return [
              createTextVNode(" Post " + toDisplayString(unref(drafts_of)) + " Drafts ", 1)
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div data-v-0814d5d6${_scopeId}>`);
            if (!unref(drafts_list)) {
              _push2(ssrRenderComponent(_component_r_busy, null, null, _parent2, _scopeId));
            } else {
              _push2(`<div class="list-of drafts" data-v-0814d5d6${_scopeId}><ul class="list list-none" data-v-0814d5d6${_scopeId}><!--[-->`);
              ssrRenderList(unref(drafts_list), (draft) => {
                _push2(`<li class="text-smaller" data-v-0814d5d6${_scopeId}>`);
                _push2(ssrRenderComponent(_component_r_link, {
                  to: `/user/editor/${draft.id}`,
                  class: "mr-3 color-primary-500 font-bold"
                }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`<span data-v-0814d5d6${_scopeId2}>${ssrInterpolate(draft.id)}</span>`);
                    } else {
                      return [
                        createVNode("span", null, toDisplayString(draft.id), 1)
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
                _push2(`<span class="color-gray-500 mr-2" data-v-0814d5d6${_scopeId}>${ssrInterpolate(unref(tf_text)(draft.modified, { fmt: "m/d/Y I:M p" }))}</span><span class="${ssrRenderClass(["tag", draft.status, "sm"])}" data-v-0814d5d6${_scopeId}>${ssrInterpolate(draft.status)}</span></li>`);
              });
              _push2(`<!--]--></ul></div>`);
            }
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", null, [
                !unref(drafts_list) ? (openBlock(), createBlock(_component_r_busy, { key: 0 })) : (openBlock(), createBlock("div", {
                  key: 1,
                  class: "list-of drafts"
                }, [
                  createVNode("ul", { class: "list list-none" }, [
                    (openBlock(true), createBlock(Fragment, null, renderList(unref(drafts_list), (draft) => {
                      return openBlock(), createBlock("li", {
                        key: "draft" + draft.id,
                        class: "text-smaller"
                      }, [
                        createVNode(_component_r_link, {
                          to: `/user/editor/${draft.id}`,
                          class: "mr-3 color-primary-500 font-bold"
                        }, {
                          default: withCtx(() => [
                            createVNode("span", null, toDisplayString(draft.id), 1)
                          ]),
                          _: 2
                        }, 1032, ["to"]),
                        createVNode("span", { class: "color-gray-500 mr-2" }, toDisplayString(unref(tf_text)(draft.modified, { fmt: "m/d/Y I:M p" })), 1),
                        createVNode("span", {
                          class: ["tag", draft.status, "sm"]
                        }, toDisplayString(draft.status), 3)
                      ]);
                    }), 128))
                  ])
                ]))
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(quick_editing),
        "onUpdate:modelValue": ($event) => isRef(quick_editing) ? quick_editing.value = $event : quick_editing = $event,
        onClose: unref(hnd_close_quick_edits)
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          var _a, _b, _c, _d;
          if (_push2) {
            _push2(`<div class="font-bold" data-v-0814d5d6${_scopeId}>`);
            if (!unref(quick_editing).id) {
              _push2(`<span data-v-0814d5d6${_scopeId}>Insert New ${ssrInterpolate((_a = unref(type_info)) == null ? undefined : _a.title)}</span>`);
            } else {
              _push2(`<span data-v-0814d5d6${_scopeId}>Edit ${ssrInterpolate((_b = unref(type_info)) == null ? undefined : _b.title)} ${ssrInterpolate(unref(quick_editing).id)}</span>`);
            }
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "font-bold" }, [
                !unref(quick_editing).id ? (openBlock(), createBlock("span", { key: 0 }, "Insert New " + toDisplayString((_c = unref(type_info)) == null ? undefined : _c.title), 1)) : (openBlock(), createBlock("span", { key: 1 }, "Edit " + toDisplayString((_d = unref(type_info)) == null ? undefined : _d.title) + " " + toDisplayString(unref(quick_editing).id), 1))
              ])
            ];
          }
        }),
        footer: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<button class="btn w-1/2" data-v-0814d5d6${_scopeId}> Cancel </button><button class="btn w-1/2 primary hover:font-bold" data-v-0814d5d6${_scopeId}>`);
            if (unref(quick_edit_busy)) {
              _push2(`<span class="loader-spinner sm mr-2" data-v-0814d5d6${_scopeId}></span>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`<span data-v-0814d5d6${_scopeId}>Save</span></button>`);
          } else {
            return [
              createVNode("button", {
                class: "btn w-1/2",
                onClick: ($event) => isRef(quick_editing) ? quick_editing.value = null : quick_editing = null
              }, " Cancel ", 8, ["onClick"]),
              createVNode("button", {
                class: "btn w-1/2 primary hover:font-bold",
                onClick: unref(hnd_save_quick_edit)
              }, [
                unref(quick_edit_busy) ? (openBlock(), createBlock("span", {
                  key: 0,
                  class: "loader-spinner sm mr-2"
                })) : createCommentVNode("", true),
                createVNode("span", null, "Save")
              ], 8, ["onClick"])
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div data-v-0814d5d6${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Title" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    modelValue: unref(quick_editing).title,
                    "onUpdate:modelValue": ($event) => unref(quick_editing).title = $event
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      modelValue: unref(quick_editing).title,
                      "onUpdate:modelValue": ($event) => unref(quick_editing).title = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Description" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    modelValue: unref(quick_editing).description,
                    "onUpdate:modelValue": ($event) => unref(quick_editing).description = $event,
                    "multi-line": true
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      modelValue: unref(quick_editing).description,
                      "onUpdate:modelValue": ($event) => unref(quick_editing).description = $event,
                      "multi-line": true
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            if (unref(type_info) && unref(type_info).status) {
              _push2(ssrRenderComponent(_component_r_row_label, { text: "Status" }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(ssrRenderComponent(_component_r_select, {
                      modelValue: unref(quick_editing).status,
                      "onUpdate:modelValue": ($event) => unref(quick_editing).status = $event,
                      values: unref(type_info).status
                    }, null, _parent3, _scopeId2));
                  } else {
                    return [
                      createVNode(_component_r_select, {
                        modelValue: unref(quick_editing).status,
                        "onUpdate:modelValue": ($event) => unref(quick_editing).status = $event,
                        values: unref(type_info).status
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Categories" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_select, {
                    modelValue: unref(quick_editing).category_id,
                    "onUpdate:modelValue": ($event) => unref(quick_editing).category_id = $event,
                    values: unref(categories)
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_select, {
                      modelValue: unref(quick_editing).category_id,
                      "onUpdate:modelValue": ($event) => unref(quick_editing).category_id = $event,
                      values: unref(categories)
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", null, [
                createVNode(_component_r_row_label, { text: "Title" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      modelValue: unref(quick_editing).title,
                      "onUpdate:modelValue": ($event) => unref(quick_editing).title = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row_label, { text: "Description" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      modelValue: unref(quick_editing).description,
                      "onUpdate:modelValue": ($event) => unref(quick_editing).description = $event,
                      "multi-line": true
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                }),
                unref(type_info) && unref(type_info).status ? (openBlock(), createBlock(_component_r_row_label, {
                  key: 0,
                  text: "Status"
                }, {
                  default: withCtx(() => [
                    createVNode(_component_r_select, {
                      modelValue: unref(quick_editing).status,
                      "onUpdate:modelValue": ($event) => unref(quick_editing).status = $event,
                      values: unref(type_info).status
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                  ]),
                  _: 1
                })) : createCommentVNode("", true),
                createVNode(_component_r_row_label, { text: "Categories" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_select, {
                      modelValue: unref(quick_editing).category_id,
                      "onUpdate:modelValue": ($event) => unref(quick_editing).category_id = $event,
                      values: unref(categories)
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                  ]),
                  _: 1
                })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<div class="flex sm:block items-start justify-between top-level-control-wrapper" data-v-0814d5d6><div class="flex gap-2 secondary-control-wrapper sm:block" data-v-0814d5d6>`);
      _push(ssrRenderComponent(_component_r_link, {
        class: "solid primary w-fit btn p-2 sm:mr-2",
        to: "/user/editor/new?type=" + unref(route).params.type
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` Create ${ssrInterpolate(unref(tf_text)(unref(route).params.type))}`);
          } else {
            return [
              createTextVNode(" Create " + toDisplayString(unref(tf_text)(unref(route).params.type)), 1)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<button type="button" class="btn sm:mr-2"${ssrRenderAttr("data-tooltip", `Insert new <b>${unref(type_info).title}</b>`)} data-v-0814d5d6>Quick <span data-v-0814d5d6><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5" data-v-0814d5d6><path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" data-v-0814d5d6></path></svg></span></button>`);
      _push(ssrRenderComponent(_component_r_input, {
        class: "sm:my-2",
        modelValue: unref(search_title),
        "onUpdate:modelValue": ($event) => isRef(search_title) ? search_title.value = $event : search_title = $event,
        onUpdate: ($event) => isRef(search_title) ? search_title.value = $event : search_title = $event,
        placeholder: "titles like",
        onTypingcomplete: unref(hnd_searching_stopped)
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<span class="flex items-center color-gray-400" data-v-0814d5d6${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-0814d5d6${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="m21 21-5.197-5.197m0 0A7.5 7.5 0 1 0 5.196 5.196a7.5 7.5 0 0 0 10.607 10.607Z" data-v-0814d5d6${_scopeId}></path></svg></span>`);
          } else {
            return [
              createVNode("span", { class: "flex items-center color-gray-400" }, [
                (openBlock(), createBlock("svg", {
                  xmlns: "http://www.w3.org/2000/svg",
                  fill: "none",
                  viewBox: "0 0 24 24",
                  "stroke-width": "2.5",
                  stroke: "currentColor",
                  class: "w-4 h-4"
                }, [
                  createVNode("path", {
                    "stroke-linecap": "round",
                    "stroke-linejoin": "round",
                    d: "m21 21-5.197-5.197m0 0A7.5 7.5 0 1 0 5.196 5.196a7.5 7.5 0 0 0 10.607 10.607Z"
                  })
                ]))
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="flex pr-9" data-v-0814d5d6>`);
      _push(ssrRenderComponent(_component_r_select, {
        modelValue: unref(filter_by_status),
        "onUpdate:modelValue": ($event) => isRef(filter_by_status) ? filter_by_status.value = $event : filter_by_status = $event,
        values: unref(post_status_types),
        onRchange: unref(hnd_status_filter_changed),
        "data-tooltip": "Filter by status"
      }, null, _parent));
      _push(`</div></div>`);
      _push(ssrRenderComponent(_component_r_table, {
        modelValue: unref(filtered_post_items),
        "onUpdate:modelValue": ($event) => isRef(filtered_post_items) ? filtered_post_items.value = $event : filtered_post_items = $event,
        columns: unref(columns),
        onPaginate: unref(hnd_handle_pagination),
        "api-url": unref(api_url)
      }, {
        data_id: withCtx((row, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (row.status == "trash") {
              _push2(`<span class="${ssrRenderClass("color-red-500 font-bold bg-red-500 p-1 rounded bg-opacity-20")}" data-v-0814d5d6${_scopeId}>${ssrInterpolate(row.id)}</span>`);
            } else {
              _push2(`<!---->`);
            }
          } else {
            return [
              row.status == "trash" ? (openBlock(), createBlock("span", {
                key: 0,
                class: "color-red-500 font-bold bg-red-500 p-1 rounded bg-opacity-20"
              }, toDisplayString(row.id), 1)) : createCommentVNode("", true)
            ];
          }
        }),
        data_category_title: withCtx((row, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (row.category_title) {
              _push2(ssrRenderComponent(_component_r_link, {
                to: "/user/categorization?id=" + row.category_id
              }, {
                default: withCtx((_, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(row.category_title)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(row.category_title), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent2, _scopeId));
            } else {
              _push2(`<div class="text-center user-select-none" data-v-0814d5d6${_scopeId}><span class="color-gray-400" data-v-0814d5d6${_scopeId}> -- </span></div>`);
            }
          } else {
            return [
              row.category_title ? (openBlock(), createBlock(_component_r_link, {
                key: 0,
                to: "/user/categorization?id=" + row.category_id
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(row.category_title), 1)
                ]),
                _: 2
              }, 1032, ["to"])) : (openBlock(), createBlock("div", {
                key: 1,
                class: "text-center user-select-none"
              }, [
                createVNode("span", { class: "color-gray-400" }, " -- ")
              ]))
            ];
          }
        }),
        data_price: withCtx((row, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<!--[-->`);
            ssrRenderList(unref(prod_price)(row), (pricing, pi) => {
              _push2(`<div class="mb-2" data-v-0814d5d6${_scopeId}><span class="${ssrRenderClass(pricing.title)}" data-v-0814d5d6${_scopeId}></span>${ssrInterpolate(unref(prettify)(pricing.value))}</div>`);
            });
            _push2(`<!--]-->`);
          } else {
            return [
              (openBlock(true), createBlock(Fragment, null, renderList(unref(prod_price)(row), (pricing, pi) => {
                return openBlock(), createBlock("div", {
                  class: "mb-2",
                  key: pi + pricing.title
                }, [
                  createVNode("span", {
                    class: pricing.title
                  }, null, 2),
                  createTextVNode(toDisplayString(unref(prettify)(pricing.value)), 1)
                ]);
              }), 128))
            ];
          }
        }),
        data_quantity: withCtx((row, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<!--[-->`);
            ssrRenderList(unref(prod_quantity)(row), (Q, qi) => {
              _push2(`<div class="mb-2" data-v-0814d5d6${_scopeId}><span class="color-gray-500" data-v-0814d5d6${_scopeId}>${ssrInterpolate(unref(tf)(Q.title))}</span> : <span class="${ssrRenderClass([Q.title, !Q.value || Q.value <= 0 ? "inline-block bg-red-500 bg-opacity-20 py-1 px-3 rounded color-red-500 font-bold" : ""])}" data-v-0814d5d6${_scopeId}>${ssrInterpolate(Q.value)}</span></div>`);
            });
            _push2(`<!--]-->`);
          } else {
            return [
              (openBlock(true), createBlock(Fragment, null, renderList(unref(prod_quantity)(row), (Q, qi) => {
                return openBlock(), createBlock("div", {
                  class: "mb-2",
                  key: qi + Q.title
                }, [
                  createVNode("span", { class: "color-gray-500" }, toDisplayString(unref(tf)(Q.title)), 1),
                  createTextVNode(" : "),
                  createVNode("span", {
                    class: [Q.title, !Q.value || Q.value <= 0 ? "inline-block bg-red-500 bg-opacity-20 py-1 px-3 rounded color-red-500 font-bold" : ""]
                  }, toDisplayString(Q.value), 3)
                ]);
              }), 128))
            ];
          }
        }),
        data_virtual: withCtx((row, _push2, _parent2, _scopeId) => {
          var _a, _b;
          if (_push2) {
            _push2(`<div data-v-0814d5d6${_scopeId}>${ssrInterpolate(((_a = row.inventory) == null ? undefined : _a.is_virtual) ? "Virtual" : "Physical")}</div>`);
          } else {
            return [
              createVNode("div", null, toDisplayString(((_b = row.inventory) == null ? undefined : _b.is_virtual) ? "Virtual" : "Physical"), 1)
            ];
          }
        }),
        data_title: withCtx((row, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="" data-v-0814d5d6${_scopeId}>${ssrInterpolate(row.title)}</div><div class="my-2 flex gap-2 target-item" data-v-0814d5d6${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_link, {
              class: "btn danger",
              onClick: ($event) => unref(hnd_delete_post)(row),
              to: "#"
            }, {
              default: withCtx((_, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`delete`);
                } else {
                  return [
                    createTextVNode("delete")
                  ];
                }
              }),
              _: 2
            }, _parent2, _scopeId));
            _push2(`<button class="btn flat-success"${ssrRenderAttr("data-tooltip", "<b>CTRL</b> quick edit")} data-v-0814d5d6${_scopeId}>edit</button>`);
            if (!["order", "layout"].includes(row.type)) {
              _push2(ssrRenderComponent(_component_r_link, {
                to: row.url
              }, {
                default: withCtx((_, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`view`);
                  } else {
                    return [
                      createTextVNode("view")
                    ];
                  }
                }),
                _: 2
              }, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div>`);
            if (row.drafts) {
              _push2(`<div data-v-0814d5d6${_scopeId}><button class="btn sm outline-warn" data-v-0814d5d6${_scopeId}>${ssrInterpolate(row.drafts)} Drafts </button></div>`);
            } else {
              _push2(`<!---->`);
            }
            if (row.url) {
              _push2(`<div class="mt-2 pl-3" data-v-0814d5d6${_scopeId}><span class="post-link cursor-default color-gray-500 bg-gray-300 bg-opacity-20 inline-block px-3 py-1 rounded hover:bg-opacity-50" data-v-0814d5d6${_scopeId}>${ssrInterpolate(row.url)}</span></div>`);
            } else {
              _push2(`<!---->`);
            }
          } else {
            return [
              createVNode("div", { class: "" }, toDisplayString(row.title), 1),
              createVNode("div", { class: "my-2 flex gap-2 target-item" }, [
                createVNode(_component_r_link, {
                  class: "btn danger",
                  onClick: ($event) => unref(hnd_delete_post)(row),
                  to: "#"
                }, {
                  default: withCtx(() => [
                    createTextVNode("delete")
                  ]),
                  _: 2
                }, 1032, ["onClick"]),
                createVNode("button", {
                  class: "btn flat-success",
                  "data-tooltip": "<b>CTRL</b> quick edit",
                  onClick: ($event) => unref(hnd_edit)(row, $event)
                }, "edit", 8, ["onClick"]),
                !["order", "layout"].includes(row.type) ? (openBlock(), createBlock(_component_r_link, {
                  key: 0,
                  to: row.url
                }, {
                  default: withCtx(() => [
                    createTextVNode("view")
                  ]),
                  _: 2
                }, 1032, ["to"])) : createCommentVNode("", true)
              ]),
              row.drafts ? (openBlock(), createBlock("div", { key: 0 }, [
                createVNode("button", {
                  class: "btn sm outline-warn",
                  onClick: ($event) => unref(hnd_fetch_drafts)(row.id)
                }, toDisplayString(row.drafts) + " Drafts ", 9, ["onClick"])
              ])) : createCommentVNode("", true),
              row.url ? (openBlock(), createBlock("div", {
                key: 1,
                class: "mt-2 pl-3"
              }, [
                createVNode("span", { class: "post-link cursor-default color-gray-500 bg-gray-300 bg-opacity-20 inline-block px-3 py-1 rounded hover:bg-opacity-50" }, toDisplayString(row.url), 1)
              ])) : createCommentVNode("", true)
            ];
          }
        }),
        data_status: withCtx((row, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<span class="${ssrRenderClass([[row.status], "tag"])}" data-v-0814d5d6${_scopeId}>${ssrInterpolate(row.status)}</span>`);
          } else {
            return [
              createVNode("span", {
                class: ["tag", [row.status]]
              }, toDisplayString(row.status), 3)
            ];
          }
        }),
        data_description: withCtx((row, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="mb-2" data-v-0814d5d6${_scopeId}>${ssrInterpolate(row.description)}</div>`);
            if (row.type == "product") {
              _push2(`<div data-v-0814d5d6${_scopeId}></div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(ssrRenderComponent(_component_r_post_component, {
              consumable: row,
              location: "post_tables"
            }, null, _parent2, _scopeId));
            _push2(`<div class="mt-6" style="${ssrRenderStyle({ "font-size": "90%" })}" data-v-0814d5d6${_scopeId}>`);
            if (row.created && false) ;
            else {
              _push2(`<!---->`);
            }
            if (row.modified) {
              _push2(`<div class="mt-1" data-v-0814d5d6${_scopeId}><span class="color-gray-600" data-v-0814d5d6${_scopeId}>Modified</span> <span class="color-gray-400" data-v-0814d5d6${_scopeId}>${ssrInterpolate(unref(tf_text)(row.modified, { fmt: "b d, Y I:M:S p" }))}</span></div>`);
            } else {
              _push2(`<!---->`);
            }
            if (row.published) {
              _push2(`<div class="mt-1" data-v-0814d5d6${_scopeId}><span class="color-primary-600" data-v-0814d5d6${_scopeId}>Published</span> <span class="color-primary-400" data-v-0814d5d6${_scopeId}>${ssrInterpolate(unref(tf_text)(row.published, { fmt: "b d, Y I:M:S p" }))}</span></div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "mb-2" }, toDisplayString(row.description), 1),
              row.type == "product" ? (openBlock(), createBlock("div", { key: 0 })) : createCommentVNode("", true),
              createVNode(_component_r_post_component, {
                consumable: row,
                location: "post_tables"
              }, null, 8, ["consumable"]),
              createVNode("div", {
                class: "mt-6",
                style: { "font-size": "90%" }
              }, [
                row.created && false ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "mt-3"
                }, [
                  createVNode("span", { class: "color-gray-600" }, "Created"),
                  createTextVNode(),
                  createVNode("span", { class: "color-gray-400" }, toDisplayString(unref(tf_text)(row.created, { fmt: "b d, Y I:M:S p" })), 1)
                ])) : createCommentVNode("", true),
                row.modified ? (openBlock(), createBlock("div", {
                  key: 1,
                  class: "mt-1"
                }, [
                  createVNode("span", { class: "color-gray-600" }, "Modified"),
                  createTextVNode(),
                  createVNode("span", { class: "color-gray-400" }, toDisplayString(unref(tf_text)(row.modified, { fmt: "b d, Y I:M:S p" })), 1)
                ])) : createCommentVNode("", true),
                row.published ? (openBlock(), createBlock("div", {
                  key: 2,
                  class: "mt-1"
                }, [
                  createVNode("span", { class: "color-primary-600" }, "Published"),
                  createTextVNode(),
                  createVNode("span", { class: "color-primary-400" }, toDisplayString(unref(tf_text)(row.published, { fmt: "b d, Y I:M:S p" })), 1)
                ])) : createCommentVNode("", true)
              ])
            ];
          }
        }),
        data_created_by: withCtx((row, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<span data-v-0814d5d6${_scopeId}>${ssrInterpolate(row.created_by_name)}</span>`);
          } else {
            return [
              createVNode("span", null, toDisplayString(row.created_by_name), 1)
            ];
          }
        }),
        data_child_count: withCtx((row, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_r_link, {
              to: `/user/${row.id}/form-data`
            }, {
              default: withCtx((_, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<span class="color-primary-500" data-v-0814d5d6${_scopeId2}>${ssrInterpolate(row.child_count)}</span>`);
                } else {
                  return [
                    createVNode("span", { class: "color-primary-500" }, toDisplayString(row.child_count), 1)
                  ];
                }
              }),
              _: 2
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_r_link, {
                to: `/user/${row.id}/form-data`
              }, {
                default: withCtx(() => [
                  createVNode("span", { class: "color-primary-500" }, toDisplayString(row.child_count), 1)
                ]),
                _: 2
              }, 1032, ["to"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(show_order_summary).show,
        "onUpdate:modelValue": ($event) => unref(show_order_summary).show = $event,
        onClose: unref(hnd_close_order)
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_r_order_summary, {
              scroll: true,
              "order-id": unref(show_order_summary).order_id
            }, null, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_r_order_summary, {
                scroll: true,
                "order-id": unref(show_order_summary).order_id
              }, null, 8, ["order-id"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/types/[type].vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const _type_ = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-0814d5d6"]]);

export { _type_ as default };
//# sourceMappingURL=_type_-CF5_ai32.mjs.map
