import { L as defineNuxtRouteMiddleware, M as executeAsync, j as useRequest, b as useAppState, n as navigateTo, m as util, N as abortNavigation } from './server.mjs';
import 'vue';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import 'vue/server-renderer';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const auth = defineNuxtRouteMiddleware(async (to, from) => {
  let __temp, __restore;
  try {
    let res = ([__temp, __restore] = executeAsync(() => useRequest({
      url: "/api/gate-check",
      method: "post",
      body: {
        fullPath: to.fullPath,
        path: to.path,
        //ie - '/user' 
        name: to.name,
        //ie  - 'user',
        query: to.query,
        //ie - {}
        params: to.params,
        // - {}
        href: to.href
        //ie - '/user'
      }
    })), __temp = await __temp, __restore(), __temp);
    let can_view_page = res.d;
    let app_state = useAppState();
    app_state.set_admin_menu(res.admin_menu);
    app_state.set_dashboard_settings(res.dashboard);
    app_state.version = res.version;
    if (!can_view_page) {
      let redirect_to = "/login";
      if (res.is_logged_in) {
        redirect_to = "/user/denied?url=" + to.path + "&cap=" + (res.required_cap || "unknown");
      }
      return navigateTo(redirect_to);
    }
  } catch (e) {
    util.error("Failed", e);
    return abortNavigation();
  }
});

export { auth as default };
//# sourceMappingURL=auth-DhwOY2i_.mjs.map
