import { b as useAppState, u as useViewerState, l as useBusy, j as useRequest, m as util, p as __nuxt_component_1$3, s as __nuxt_component_1$4, q as __nuxt_component_3$3, o as __nuxt_component_5$1, v as __nuxt_component_3$2, C as __nuxt_component_4$2, w as __nuxt_component_7$2 } from './server.mjs';
import { computed, ref, mergeProps, unref, withCtx, createTextVNode, toDisplayString, isRef, createVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrInterpolate, ssrRenderAttr } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "categorization",
  __ssrInlineRender: true,
  setup(__props) {
    let app_state = useAppState();
    app_state.layout = "user";
    useViewerState();
    let page_head = usePageHead();
    useHead(page_head.value({ title: "Categorization", description: "Manage site taxonomies" }));
    let tf_slug = (value) => {
      if (typeof value == "string") {
        value = value.toLowerCase().replace(/\s/gm, "-");
        return value;
      }
    };
    let parenting_choices = computed(() => {
      return (cls) => {
        let c = [{ value: null, title: "None" }];
        if (!cls) return c;
        if (!cat_classes || cat_classes && cat_classes.value.length == 0) return c;
        cat_classes.value.forEach((it) => {
          if (it.id == cls.id) return;
          c.push({ value: it.id, title: it.title || it.name });
        });
        return c;
      };
    });
    let text_search_term = ref("");
    let cat_classes = ref([]);
    let active_cls = ref(null);
    let cls_to_delete = ref(null);
    let { is_busy, busy_start, busy_end } = useBusy();
    let cls_terms = ref(null);
    let cls_being_viewed = ref(null);
    let load_categorizations = async () => {
      let res = await useRequest({
        url: "/api/terms/class",
        method: "get"
      });
      cat_classes.value = res.d || [];
      cls_terms.value = [];
      cls_being_viewed.value = null;
    };
    let hnd_create_new_cass = () => {
      hnd_edit_class({
        title: "",
        name: "",
        parent_id: null,
        description: null
      });
    };
    let hnd_edit_class = (cls) => {
      active_cls.value = util.copy(cls);
    };
    let hnd_close_active_class_edit = async (result) => {
      if (result.action == "cancel") {
        active_cls.value = null;
        return;
      }
      busy_start("edit_class");
      await useRequest({
        url: "/api/terms/class",
        method: "post",
        body: active_cls.value
      });
      active_cls.value = null;
      busy_end("edit_class");
      load_categorizations();
    };
    let hnd_remove_class = (cls) => {
      cls_to_delete.value = util.copy(cls);
    };
    load_categorizations();
    let hnd_close_del_class = async (result) => {
      if (result.action == "cancel") {
        cls_to_delete.value = null;
        return false;
      }
      busy_start("remove_cls");
      await useRequest({
        url: "/api/terms/class",
        method: "delete",
        body: cls_to_delete.value
      });
      cls_to_delete.value = null;
      busy_end("remove_cls");
      load_categorizations();
    };
    let hnd_load_terms = async (cls) => {
      busy_start("load_terms");
      cls_being_viewed.value = util.copy(cls);
      let res = await useRequest({
        url: `/api/terms/${cls.id}/terms`,
        method: "get"
      });
      cls_terms.value = res.d || [];
      busy_end("load_terms");
    };
    let filtered_term_set = computed(() => {
      let out = cls_terms.value || [];
      if (out.length == 0) return out;
      if (text_search_term.value.length <= 1) return out;
      return out.filter((term) => {
        var include = true;
        var match_slug = false, match_title = false;
        if (term.slug) match_slug = term.slug.includes(text_search_term.value);
        if (term.title) match_title = term.title.includes(text_search_term.value);
        include = match_slug || match_title;
        return include;
      });
    });
    let active_term = ref(null);
    let term_to_delete = ref(null);
    let hnd_add_term = () => {
      if (!cls_being_viewed.value) return;
      hnd_edit_term({
        class_id: cls_being_viewed.value.id,
        slug: "",
        title: "",
        description: ""
      });
    };
    let hnd_term_slug_blur = () => {
      if (!active_term.value) return;
      if (!active_term.value.slug) return;
      active_term.value.slug = active_term.value.slug.replace(/[\s-]/gm, "_");
    };
    let hnd_edit_term = (term, e) => {
      if (!term) return;
      console.log("-->", term, cls_being_viewed.value);
      active_term.value = util.copy(term);
    };
    let hnd_close_edit_term = async (result) => {
      if (result.action == "cancel") {
        active_term.value = null;
        return false;
      }
      busy_start("update_term");
      await useRequest({
        url: "/api/terms/term",
        method: "post",
        body: active_term.value
      });
      await busy_end("update_term");
      active_term.value = null;
      hnd_load_terms(cls_being_viewed.value);
    };
    let hnd_close_delete_term = async (result) => {
      if (result.action == "cancel") {
        term_to_delete.value = null;
        return false;
      }
      busy_start("delete_term");
      await useRequest({
        url: "/api/terms/term",
        method: "delete",
        body: term_to_delete.value
      });
      await busy_end("delete_term");
      term_to_delete.value = null;
      hnd_load_terms(cls_being_viewed.value);
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_button = __nuxt_component_1$3;
      const _component_r_link = __nuxt_component_1$4;
      const _component_r_busy = __nuxt_component_3$3;
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_modal = __nuxt_component_3$2;
      const _component_r_row_label = __nuxt_component_4$2;
      const _component_r_select = __nuxt_component_7$2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "as afw" }, _attrs))}><h1>Categorization</h1><div class="flex"><div class="w-xs"><ul class="list-none mt-3 border-r border-gray-200"><li><h3 class="text-md mb-4">Classifications</h3><div class="mb-2">`);
      _push(ssrRenderComponent(_component_r_button, {
        class: "w-fit solid primary",
        onClick: unref(hnd_create_new_cass)
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Create`);
          } else {
            return [
              createTextVNode("Create")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></li>`);
      if (!unref(cat_classes) || unref(cat_classes) && unref(cat_classes).length == 0) {
        _push(`<li><div class="color-gray-300">No classification types available</div></li>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--[-->`);
      ssrRenderList(unref(cat_classes), (cls, ci) => {
        _push(`<li class="mb-4"><div class="font-bold">`);
        _push(ssrRenderComponent(_component_r_link, {
          to: `/p/${cls.name}`
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(cls.title || cls.name)}`);
            } else {
              return [
                createTextVNode(toDisplayString(cls.title || cls.name), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</div><div class="mt-2">`);
        _push(ssrRenderComponent(_component_r_link, {
          to: "#",
          onClick: ($event) => unref(hnd_remove_class)(cls),
          class: "mr-2"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`remove`);
            } else {
              return [
                createTextVNode("remove")
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(ssrRenderComponent(_component_r_link, {
          to: "#",
          onClick: ($event) => unref(hnd_edit_class)(cls),
          class: "mr-2"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`edit`);
            } else {
              return [
                createTextVNode("edit")
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(ssrRenderComponent(_component_r_link, {
          to: "#",
          onClick: ($event) => unref(hnd_load_terms)(cls),
          class: "mr-2"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`terms`);
            } else {
              return [
                createTextVNode("terms")
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</div><div class="mt-2 text-smaller color-gray-400 mb-3">${ssrInterpolate(cls.description)}</div></li>`);
      });
      _push(`<!--]--></ul></div><div class="w-2/3 pl-3">`);
      if (unref(is_busy)("load_terms")) {
        _push(ssrRenderComponent(_component_r_busy, null, null, _parent));
      } else {
        _push(`<!---->`);
      }
      if (unref(cls_being_viewed)) {
        _push(`<!--[--><div class="mb-3">`);
        _push(ssrRenderComponent(_component_r_button, {
          class: "primary w-fit",
          onClick: unref(hnd_add_term)
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Add term`);
            } else {
              return [
                createTextVNode("Add term")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(ssrRenderComponent(_component_r_input, {
          modelValue: unref(text_search_term),
          "onUpdate:modelValue": ($event) => isRef(text_search_term) ? text_search_term.value = $event : text_search_term = $event,
          placeholder: "Search terms",
          class: "mt-2"
        }, null, _parent));
        _push(`</div>`);
        if (!unref(cls_terms) || unref(cls_terms) && unref(cls_terms).length == 0) {
          _push(`<div class="color-gray-500">Classification does not have terms yet.</div>`);
        } else {
          _push(`<div class="terms-list flex gap-1 flex-wrap bg-white"><!--[-->`);
          ssrRenderList(unref(filtered_term_set), (term, ti) => {
            _push(`<span class="mr-2 flex rounded border border-gray-300 px-2 py-1 text-smaller items-center user-select-none"${ssrRenderAttr("data-tooltip", `ID(${term.id}) `)}><span class="hover:color-primary-500 cursor-pointer">${ssrInterpolate(term.title || term.slug || "blank")}</span><span class="ml-2 cursor-pointer hover:color-primary-500 hover:drop-shadow"> (${ssrInterpolate(term.count)})</span><span class="pl-2 cursor-pointer hover:color-red-500"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="ml-2 w-4 w-4"><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12"></path></svg></span></span>`);
          });
          _push(`<!--]--></div>`);
        }
        _push(`<!--]-->`);
      } else {
        _push(`<div class="color-gray-500">Click terms to view list</div>`);
      }
      _push(`</div></div>`);
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(cls_to_delete),
        "onUpdate:modelValue": ($event) => isRef(cls_to_delete) ? cls_to_delete.value = $event : cls_to_delete = $event,
        onClose: unref(hnd_close_del_class)
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<header${_scopeId}><div class="font-bold mb-4"${_scopeId}>Manage Classification</div></header><div class="body"${_scopeId}><p${_scopeId}>Are you sure you want to delete <span class="font-bold"${_scopeId}>${ssrInterpolate(unref(cls_to_delete).title)}</span> classification?</p></div><footer class="flex justify-end"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_button, {
              class: "modal-cancel",
              onClick: ($event) => unref(hnd_close_del_class)({ action: "cancel" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`cancel`);
                } else {
                  return [
                    createTextVNode("cancel")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_button, {
              class: "modal-cancel",
              onClick: ($event) => unref(hnd_close_del_class)({ action: "ok" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Yes`);
                } else {
                  return [
                    createTextVNode("Yes")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</footer>`);
          } else {
            return [
              createVNode("header", null, [
                createVNode("div", { class: "font-bold mb-4" }, "Manage Classification")
              ]),
              createVNode("div", { class: "body" }, [
                createVNode("p", null, [
                  createTextVNode("Are you sure you want to delete "),
                  createVNode("span", { class: "font-bold" }, toDisplayString(unref(cls_to_delete).title), 1),
                  createTextVNode(" classification?")
                ])
              ]),
              createVNode("footer", { class: "flex justify-end" }, [
                createVNode(_component_r_button, {
                  class: "modal-cancel",
                  onClick: ($event) => unref(hnd_close_del_class)({ action: "cancel" })
                }, {
                  default: withCtx(() => [
                    createTextVNode("cancel")
                  ]),
                  _: 1
                }, 8, ["onClick"]),
                createVNode(_component_r_button, {
                  class: "modal-cancel",
                  onClick: ($event) => unref(hnd_close_del_class)({ action: "ok" })
                }, {
                  default: withCtx(() => [
                    createTextVNode("Yes")
                  ]),
                  _: 1
                }, 8, ["onClick"])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(active_cls),
        "onUpdate:modelValue": ($event) => isRef(active_cls) ? active_cls.value = $event : active_cls = $event,
        onClose: unref(hnd_close_active_class_edit)
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<header${_scopeId}><div class="font-bold mb-4"${_scopeId}>Manage Classification</div></header><div class="body"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Classification Name" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    modelValue: unref(active_cls).name,
                    "onUpdate:modelValue": ($event) => unref(active_cls).name = $event
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      modelValue: unref(active_cls).name,
                      "onUpdate:modelValue": ($event) => unref(active_cls).name = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Title" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    modelValue: unref(active_cls).title,
                    "onUpdate:modelValue": ($event) => unref(active_cls).title = $event
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      modelValue: unref(active_cls).title,
                      "onUpdate:modelValue": ($event) => unref(active_cls).title = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Description" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    class: "flex-1 w-full",
                    "multi-line": true,
                    modelValue: unref(active_cls).description,
                    "onUpdate:modelValue": ($event) => unref(active_cls).description = $event
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      class: "flex-1 w-full",
                      "multi-line": true,
                      modelValue: unref(active_cls).description,
                      "onUpdate:modelValue": ($event) => unref(active_cls).description = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Parent" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_select, {
                    modelValue: unref(active_cls).parent_id,
                    "onUpdate:modelValue": ($event) => unref(active_cls).parent_id = $event,
                    values: unref(parenting_choices)(unref(active_cls))
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_select, {
                      modelValue: unref(active_cls).parent_id,
                      "onUpdate:modelValue": ($event) => unref(active_cls).parent_id = $event,
                      values: unref(parenting_choices)(unref(active_cls))
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div><footer class="flex justify-end"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_button, {
              class: "modal-cancel",
              onClick: ($event) => unref(hnd_close_active_class_edit)({ action: "cancel" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Cancel`);
                } else {
                  return [
                    createTextVNode("Cancel")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_button, {
              "is-busy": unref(is_busy)("edit_class"),
              class: "modal-ok",
              onClick: ($event) => unref(hnd_close_active_class_edit)({ action: "ok" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(` Ok `);
                } else {
                  return [
                    createTextVNode(" Ok ")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</footer>`);
          } else {
            return [
              createVNode("header", null, [
                createVNode("div", { class: "font-bold mb-4" }, "Manage Classification")
              ]),
              createVNode("div", { class: "body" }, [
                createVNode(_component_r_row_label, { text: "Classification Name" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      modelValue: unref(active_cls).name,
                      "onUpdate:modelValue": ($event) => unref(active_cls).name = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row_label, { text: "Title" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      modelValue: unref(active_cls).title,
                      "onUpdate:modelValue": ($event) => unref(active_cls).title = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row_label, { text: "Description" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      class: "flex-1 w-full",
                      "multi-line": true,
                      modelValue: unref(active_cls).description,
                      "onUpdate:modelValue": ($event) => unref(active_cls).description = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row_label, { text: "Parent" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_select, {
                      modelValue: unref(active_cls).parent_id,
                      "onUpdate:modelValue": ($event) => unref(active_cls).parent_id = $event,
                      values: unref(parenting_choices)(unref(active_cls))
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                  ]),
                  _: 1
                })
              ]),
              createVNode("footer", { class: "flex justify-end" }, [
                createVNode(_component_r_button, {
                  class: "modal-cancel",
                  onClick: ($event) => unref(hnd_close_active_class_edit)({ action: "cancel" })
                }, {
                  default: withCtx(() => [
                    createTextVNode("Cancel")
                  ]),
                  _: 1
                }, 8, ["onClick"]),
                createVNode(_component_r_button, {
                  "is-busy": unref(is_busy)("edit_class"),
                  class: "modal-ok",
                  onClick: ($event) => unref(hnd_close_active_class_edit)({ action: "ok" })
                }, {
                  default: withCtx(() => [
                    createTextVNode(" Ok ")
                  ]),
                  _: 1
                }, 8, ["is-busy", "onClick"])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(active_term),
        "onUpdate:modelValue": ($event) => isRef(active_term) ? active_term.value = $event : active_term = $event,
        onClose: unref(hnd_close_edit_term)
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<header${_scopeId}><div class="font-bold mb-4"${_scopeId}>Modify Term</div></header><div class="body"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Slug" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    transformer: unref(tf_slug),
                    onUpdate: ($event) => unref(active_term).slug = $event,
                    modelValue: unref(active_term).slug,
                    "onUpdate:modelValue": ($event) => unref(active_term).slug = $event,
                    onBlur: unref(hnd_term_slug_blur)
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      transformer: unref(tf_slug),
                      onUpdate: ($event) => unref(active_term).slug = $event,
                      modelValue: unref(active_term).slug,
                      "onUpdate:modelValue": ($event) => unref(active_term).slug = $event,
                      onBlur: unref(hnd_term_slug_blur)
                    }, null, 8, ["transformer", "onUpdate", "modelValue", "onUpdate:modelValue", "onBlur"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Title" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    modelValue: unref(active_term).title,
                    "onUpdate:modelValue": ($event) => unref(active_term).title = $event
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      modelValue: unref(active_term).title,
                      "onUpdate:modelValue": ($event) => unref(active_term).title = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div><footer class="flex justify-end"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_button, {
              class: "modal-cancel",
              onClick: ($event) => unref(hnd_close_edit_term)({ action: "cancel" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Cancel`);
                } else {
                  return [
                    createTextVNode("Cancel")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_button, {
              "is-busy": unref(is_busy)("update_term"),
              class: "modal-ok",
              onClick: ($event) => unref(hnd_close_edit_term)({ action: "ok" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(` Ok `);
                } else {
                  return [
                    createTextVNode(" Ok ")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</footer>`);
          } else {
            return [
              createVNode("header", null, [
                createVNode("div", { class: "font-bold mb-4" }, "Modify Term")
              ]),
              createVNode("div", { class: "body" }, [
                createVNode(_component_r_row_label, { text: "Slug" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      transformer: unref(tf_slug),
                      onUpdate: ($event) => unref(active_term).slug = $event,
                      modelValue: unref(active_term).slug,
                      "onUpdate:modelValue": ($event) => unref(active_term).slug = $event,
                      onBlur: unref(hnd_term_slug_blur)
                    }, null, 8, ["transformer", "onUpdate", "modelValue", "onUpdate:modelValue", "onBlur"])
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row_label, { text: "Title" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      modelValue: unref(active_term).title,
                      "onUpdate:modelValue": ($event) => unref(active_term).title = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                })
              ]),
              createVNode("footer", { class: "flex justify-end" }, [
                createVNode(_component_r_button, {
                  class: "modal-cancel",
                  onClick: ($event) => unref(hnd_close_edit_term)({ action: "cancel" })
                }, {
                  default: withCtx(() => [
                    createTextVNode("Cancel")
                  ]),
                  _: 1
                }, 8, ["onClick"]),
                createVNode(_component_r_button, {
                  "is-busy": unref(is_busy)("update_term"),
                  class: "modal-ok",
                  onClick: ($event) => unref(hnd_close_edit_term)({ action: "ok" })
                }, {
                  default: withCtx(() => [
                    createTextVNode(" Ok ")
                  ]),
                  _: 1
                }, 8, ["is-busy", "onClick"])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(term_to_delete),
        "onUpdate:modelValue": ($event) => isRef(term_to_delete) ? term_to_delete.value = $event : term_to_delete = $event,
        onClose: unref(hnd_close_delete_term)
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<header${_scopeId}><div class="font-bold mb-4"${_scopeId}>Remove Term</div></header><div class="body"${_scopeId}><p${_scopeId}>Are you sure you want to delete term &quot;${ssrInterpolate(unref(term_to_delete).title)}&quot; (${ssrInterpolate(unref(term_to_delete).id)})?</p></div><footer class="flex justify-end"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_button, {
              class: "modal-cancel",
              onClick: ($event) => unref(hnd_close_delete_term)({ action: "cancel" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Cancel`);
                } else {
                  return [
                    createTextVNode("Cancel")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_button, {
              "is-busy": unref(is_busy)("delete_term"),
              class: "modal-ok",
              onClick: ($event) => unref(hnd_close_delete_term)({ action: "ok" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(` Ok `);
                } else {
                  return [
                    createTextVNode(" Ok ")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</footer>`);
          } else {
            return [
              createVNode("header", null, [
                createVNode("div", { class: "font-bold mb-4" }, "Remove Term")
              ]),
              createVNode("div", { class: "body" }, [
                createVNode("p", null, 'Are you sure you want to delete term "' + toDisplayString(unref(term_to_delete).title) + '" (' + toDisplayString(unref(term_to_delete).id) + ")?", 1)
              ]),
              createVNode("footer", { class: "flex justify-end" }, [
                createVNode(_component_r_button, {
                  class: "modal-cancel",
                  onClick: ($event) => unref(hnd_close_delete_term)({ action: "cancel" })
                }, {
                  default: withCtx(() => [
                    createTextVNode("Cancel")
                  ]),
                  _: 1
                }, 8, ["onClick"]),
                createVNode(_component_r_button, {
                  "is-busy": unref(is_busy)("delete_term"),
                  class: "modal-ok",
                  onClick: ($event) => unref(hnd_close_delete_term)({ action: "ok" })
                }, {
                  default: withCtx(() => [
                    createTextVNode(" Ok ")
                  ]),
                  _: 1
                }, 8, ["is-busy", "onClick"])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/categorization.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as default };
//# sourceMappingURL=categorization-BN-__Tc1.mjs.map
