import { u as useViewerState, b as useAppState, e as useRoute, f as useTfText, j as useRequest, m as util, s as __nuxt_component_1$4, v as __nuxt_component_3$2, w as __nuxt_component_7$2, o as __nuxt_component_5$1, x as __nuxt_component_7$1, y as __nuxt_component_6, z as __nuxt_component_7, A as __nuxt_component_8$2, c as __nuxt_component_0$1 } from './server.mjs';
import { _ as __nuxt_component_2 } from './RTable-BSxigCV9.mjs';
import { withAsyncContext, ref, computed, mergeProps, unref, withCtx, createTextVNode, isRef, createVNode, toDisplayString, openBlock, createBlock, createCommentVNode, Fragment, renderList, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrInterpolate, ssrRenderComponent, ssrRenderClass, ssrRenderList } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "form-data",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    useViewerState();
    useAppState();
    let page_head = usePageHead();
    useHead(page_head.value());
    let route = ([__temp, __restore] = withAsyncContext(() => useRoute()), __temp = await __temp, __restore(), __temp);
    let tf_text = useTfText();
    let the_form = ref(null);
    let form_submissions = ref(null);
    let active_item = ref({});
    let api_url = ref(`/api/posts/items?parent_id=${route.params.form_id}&include-value=true`);
    let show_form_fields = ref(false);
    let status_types = ref(null);
    let show_delete_modal = ref(false);
    useRequest({ url: "/api/status-list", query: { type: "media" } }).then((res) => {
      status_types.value = res.d;
    }).catch((err) => {
      status_types.value = [
        { title: "Approved", value: "approved" },
        { title: "Pending", value: "pending" },
        { title: "Denied", value: "denied" },
        { title: "Trash", value: "trash" }
      ];
    });
    useRequest({ url: `/api/posts/${route.params.form_id}` }).then((res) => {
      the_form.value = res.d;
    });
    let load_items = async (url) => {
      let res = await useRequest({ url });
      form_submissions.value = res.d;
    };
    [__temp, __restore] = withAsyncContext(() => load_items(api_url.value)), await __temp, __restore();
    let hnd_reload = () => {
      load_items(api_url.value);
    };
    let hnd_handle_pagination = (page) => {
      load_items(page.url);
    };
    let hnd_set_active_item = (item) => {
      show_form_fields.value = item ? true : false;
      active_item.value = util.copy(item);
    };
    let hnd_new_item = () => {
      let item = { status: "pending" };
      for (var fld of field_names.value) {
        item[fld.name] = null;
        if (!fld.state) continue;
        if (Array.isArray(fld.state.initial_values) && fld.state.initial_values.length > 0) {
          let count = fld.state.initial_values.length;
          if (count > 1) {
            item[fld.name] = fld.state.initial_values.map((it) => it.value);
          } else {
            item[fld.name] = fld.state.initial_values[0].value;
          }
        }
      }
      hnd_set_active_item(item);
    };
    let is_not_form = computed(() => {
      if (!the_form.value) return false;
      if (the_form.value.type != "form") return false;
      if (!the_form.value.form_fields) return false;
      return true;
    });
    let field_names = computed(() => {
      let cols = [];
      if (!is_not_form.value) return cols;
      let field_names2 = Object.keys(the_form.value.form_fields).filter((it) => it != "__form");
      let name;
      for (var i = 0; i < field_names2.length; i++) {
        name = field_names2[i];
        cols.push({
          name,
          state: the_form.value.form_fields[name].state,
          col_order: the_form.value.form_fields[name].col_order || 0
        });
      }
      return cols;
    });
    let form_columns = computed(() => {
      let cols = [];
      if (!is_not_form.value) return cols;
      let field_names2 = Object.keys(the_form.value.form_fields).filter((it) => it != "__form");
      let name;
      cols.push({ name: "id", title: "ID", col_order: 100 });
      cols.push({ name: "status", title: "Status", col_order: 100, width: "90px" });
      cols.push({ name: "created", title: "Date", width: "120px", col_order: 100 });
      cols.push({ name: "created_by_name", title: "User", width: "120px", col_order: 100 });
      let dyn_fields = [];
      for (var i = 0; i < field_names2.length; i++) {
        name = field_names2[i];
        if (the_form.value.form_fields[name].state.type == "button") continue;
        if (the_form.value.form_fields[name].state.hide_on_table) continue;
        dyn_fields.push({
          name,
          title: (the_form.value.form_fields[name].state.title_on_table || tf_text.value(name)).substr(0, 25),
          col_order: the_form.value.form_fields[name].state.priority_on_table || 80,
          width: the_form.value.form_fields[name].state.width_on_table
        });
      }
      cols.push(...dyn_fields.sort((a, b) => {
        return b.col_order - a.col_order;
      }));
      return cols;
    });
    let form_data = computed(() => {
      let out = [];
      if (!is_not_form) return out;
      if (!form_submissions.value) return out;
      return form_submissions.value.map((row) => {
        let trow = {
          id: row.id,
          created: row.created,
          published: row.published,
          created_by_name: row.created_by_name,
          status: row.status,
          pagination: row.pagination
        };
        if (!Array.isArray(row.value) && row.value) {
          trow = { ...trow, ...row.value };
        }
        return trow;
      });
    });
    let hnd_close_item_edit_modal = async (e) => {
      if (e.action == "ok") {
        let is_new = false;
        let data = {
          status: active_item.value.status,
          value: {}
        };
        if (!active_item.value.id) {
          data.type = "formdata";
          data.parent_id = the_form.value.id;
          is_new = true;
        } else {
          data.id = active_item.value.id;
        }
        let col;
        for (var i = 0; i < field_names.value.length; i++) {
          col = field_names.value[i];
          data.value[col.name] = active_item.value[col.name];
        }
        let res = await useRequest({ url: "/api/posts", body: data, method: "post" });
        if (is_new) {
          data.id = res.d.id;
          form_submissions.value.push(data);
        } else {
          var it;
          for (var i = 0; i < form_submissions.value.length; i++) {
            it = form_submissions.value[i];
            if (it.id == data.id) {
              if (data.status != undefined) {
                it.status = data.status;
              }
              it.value = data.value;
            }
          }
        }
        console.log("Hey do update", data, res);
      }
      hnd_set_active_item(null);
    };
    let item_being_deleted = ref(null);
    let hnd_delete_item = (e, item) => {
      e.preventDefault();
      e.stopPropagation();
      item_being_deleted.value = item;
      show_delete_modal.value = true;
    };
    let hnd_confirm_deletion_item = (res) => {
      console.info("COnfirm ", res.action);
      if (res.action == "ok") {
        let finish = (res2) => {
          if (res2.error) return;
          if (!res2.d) return;
          let it;
          for (var i = 0; i < form_data.value.length; i++) {
            it = form_data.value[i];
            if (it.id == item_being_deleted.value.id) {
              form_submissions.value.splice(i, 1);
              break;
            }
          }
          show_delete_modal.value = false;
          item_being_deleted.value = null;
        };
        useRequest({ url: "/api/posts", method: "delete", body: {
          id: item_being_deleted.value.id
        } }).then(finish).catch(finish);
      }
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_link = __nuxt_component_1$4;
      const _component_r_table = __nuxt_component_2;
      const _component_r_modal = __nuxt_component_3$2;
      const _component_r_select = __nuxt_component_7$2;
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_text = __nuxt_component_7$1;
      const _component_r_range = __nuxt_component_6;
      const _component_r_radio = __nuxt_component_7;
      const _component_r_checkbox = __nuxt_component_8$2;
      const _component_r_page_sniplet = __nuxt_component_0$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "as afw" }, _attrs))}><div class="">`);
      if (!unref(is_not_form)) {
        _push(`<!--[--><h3 class="color-red-500">Form not found</h3><p>The specified Form (<span class="font-bold color-primary-500">${ssrInterpolate(_ctx.$route.params.form_id)}</span>) `);
        if (unref(the_form)) {
          _push(`<span>is a type <span class="font-bold color-primary-500">${ssrInterpolate(unref(the_form).type)}</span></span>`);
        } else {
          _push(`<span>does not exist</span>`);
        }
        _push(`. </p><!--]-->`);
      } else {
        _push(`<!--[--><h1 class="mb-3">${ssrInterpolate(unref(the_form).title)}</h1><div class="flex gap-2">`);
        _push(ssrRenderComponent(_component_r_link, {
          class: "btn primary",
          to: `/user/editor/${unref(the_form).id}`
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Edit form`);
            } else {
              return [
                createTextVNode("Edit form")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(ssrRenderComponent(_component_r_link, {
          class: "btn",
          to: "#",
          onClick: unref(hnd_reload)
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Refresh`);
            } else {
              return [
                createTextVNode("Refresh")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(ssrRenderComponent(_component_r_link, {
          class: "btn",
          to: "#",
          onClick: unref(hnd_new_item)
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Create`);
            } else {
              return [
                createTextVNode("Create")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div>`);
        _push(ssrRenderComponent(_component_r_table, {
          modelValue: unref(form_data),
          "onUpdate:modelValue": ($event) => isRef(form_data) ? form_data.value = $event : form_data = $event,
          columns: unref(form_columns),
          onPaginate: unref(hnd_handle_pagination),
          "api-url": unref(api_url)
        }, {
          data_created: withCtx((row, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="text-sm"${_scopeId}>${ssrInterpolate(unref(tf_text)(row.created, { fmt: "m-d-Y I:M p" }))}</span>`);
            } else {
              return [
                createVNode("span", { class: "text-sm" }, toDisplayString(unref(tf_text)(row.created, { fmt: "m-d-Y I:M p" })), 1)
              ];
            }
          }),
          data_status: withCtx((row, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="${ssrRenderClass([row.status, "status tag"])}"${_scopeId}>${ssrInterpolate(row.status)}</span>`);
              if (row.status == "trash") {
                _push2(`<div class="mt-2"${_scopeId}><a href="#" class="color-red-500"${_scopeId}>delete</a></div>`);
              } else {
                _push2(`<!---->`);
              }
            } else {
              return [
                createVNode("span", {
                  class: ["status tag", row.status]
                }, toDisplayString(row.status), 3),
                row.status == "trash" ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "mt-2"
                }, [
                  createVNode("a", {
                    href: "#",
                    class: "color-red-500",
                    onClick: ($event) => unref(hnd_delete_item)($event, row)
                  }, "delete", 8, ["onClick"])
                ])) : createCommentVNode("", true)
              ];
            }
          }),
          data_id: withCtx((row, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="color-primary-500 hover:text-underline cursor-pointer"${_scopeId}>${ssrInterpolate(row.id)}</span>`);
            } else {
              return [
                createVNode("span", {
                  class: "color-primary-500 hover:text-underline cursor-pointer",
                  onClick: ($event) => unref(hnd_set_active_item)(row)
                }, toDisplayString(row.id), 9, ["onClick"])
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(ssrRenderComponent(_component_r_modal, {
          modelValue: unref(show_delete_modal),
          "onUpdate:modelValue": ($event) => isRef(show_delete_modal) ? show_delete_modal.value = $event : show_delete_modal = $event,
          cancel: "Cancel",
          confirm: "Delete",
          onClose: unref(hnd_confirm_deletion_item)
        }, {
          header: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h1 class="text-base"${_scopeId}>Delete Submission</h1>`);
            } else {
              return [
                createVNode("h1", { class: "text-base" }, "Delete Submission")
              ];
            }
          }),
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<div${_scopeId}>Are you sure you want to delete submission <span class="font-bold color-primary-500"${_scopeId}>${ssrInterpolate(unref(item_being_deleted).id)}</span>?</div>`);
            } else {
              return [
                createVNode("div", null, [
                  createTextVNode("Are you sure you want to delete submission "),
                  createVNode("span", { class: "font-bold color-primary-500" }, toDisplayString(unref(item_being_deleted).id), 1),
                  createTextVNode("?")
                ])
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(ssrRenderComponent(_component_r_modal, {
          modelValue: unref(show_form_fields),
          "onUpdate:modelValue": ($event) => isRef(show_form_fields) ? show_form_fields.value = $event : show_form_fields = $event,
          onClose: unref(hnd_close_item_edit_modal),
          cancel: "Cancel",
          confirm: "Update"
        }, {
          header: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h3 class="text-base"${_scopeId}> Submission</h3>`);
            } else {
              return [
                createVNode("h3", { class: "text-base" }, " Submission")
              ];
            }
          }),
          footer: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              if (unref(active_item).created_by_name) {
                _push2(`<div${_scopeId}> Submitted by <span class="color-primary-500"${_scopeId}>${ssrInterpolate(unref(active_item).created_by_name)}</span></div>`);
              } else {
                _push2(`<!---->`);
              }
              if (unref(active_item).created) {
                _push2(`<div${_scopeId}> Created <span class="text-smaller"${_scopeId}>${ssrInterpolate(unref(tf_text)(unref(active_item).created))}</span></div>`);
              } else {
                _push2(`<!---->`);
              }
            } else {
              return [
                unref(active_item).created_by_name ? (openBlock(), createBlock("div", { key: 0 }, [
                  createTextVNode(" Submitted by "),
                  createVNode("span", { class: "color-primary-500" }, toDisplayString(unref(active_item).created_by_name), 1)
                ])) : createCommentVNode("", true),
                unref(active_item).created ? (openBlock(), createBlock("div", { key: 1 }, [
                  createTextVNode(" Created "),
                  createVNode("span", { class: "text-smaller" }, toDisplayString(unref(tf_text)(unref(active_item).created)), 1)
                ])) : createCommentVNode("", true)
              ];
            }
          }),
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              if (unref(active_item)) {
                _push2(`<ul class="list-none w-md"${_scopeId}><li class="status mb-2"${_scopeId}><div class="color-primary-500"${_scopeId}>Status</div>`);
                _push2(ssrRenderComponent(_component_r_select, {
                  modelValue: unref(active_item).status,
                  "onUpdate:modelValue": ($event) => unref(active_item).status = $event,
                  values: unref(status_types)
                }, null, _parent2, _scopeId));
                _push2(`</li><!--[-->`);
                ssrRenderList(unref(field_names), (fld, fi) => {
                  _push2(`<!--[-->`);
                  if (fld.state.type != "button") {
                    _push2(`<li class="mb-4"${_scopeId}><div class="title color-gray-700"${_scopeId}>${ssrInterpolate(fld.state.title)}</div>`);
                    if (fld.state.type == "number") {
                      _push2(ssrRenderComponent(_component_r_input, {
                        type: "number",
                        modelValue: unref(active_item)[fld.name],
                        "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                        placeholder: fld.state.placeholder
                      }, null, _parent2, _scopeId));
                    } else {
                      _push2(`<!---->`);
                    }
                    if (fld.state.type == "text") {
                      _push2(ssrRenderComponent(_component_r_text, {
                        "mult-line": true,
                        modelValue: unref(active_item)[fld.name],
                        "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                        "min-height": "120px",
                        placeholder: fld.state.placeholder
                      }, null, _parent2, _scopeId));
                    } else {
                      _push2(`<!---->`);
                    }
                    if (fld.state.type == "string") {
                      _push2(ssrRenderComponent(_component_r_input, {
                        modelValue: unref(active_item)[fld.name],
                        "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                        placeholder: fld.state.placeholder
                      }, null, _parent2, _scopeId));
                    } else {
                      _push2(`<!---->`);
                    }
                    if (fld.state.type == "range") {
                      _push2(ssrRenderComponent(_component_r_range, {
                        modelValue: unref(active_item)[fld.name],
                        "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                        min: fld.state.min,
                        max: fld.state.max
                      }, null, _parent2, _scopeId));
                    } else {
                      _push2(`<!---->`);
                    }
                    if (fld.state.type == "select") {
                      _push2(ssrRenderComponent(_component_r_select, {
                        modelValue: unref(active_item)[fld.name],
                        "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                        values: fld.state.choices
                      }, null, _parent2, _scopeId));
                    } else {
                      _push2(`<!---->`);
                    }
                    if (fld.state.type == "radio") {
                      _push2(ssrRenderComponent(_component_r_radio, {
                        modelValue: unref(active_item)[fld.name],
                        "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                        values: fld.state.choices
                      }, null, _parent2, _scopeId));
                    } else {
                      _push2(`<!---->`);
                    }
                    if (fld.state.type == "checkbox") {
                      _push2(ssrRenderComponent(_component_r_checkbox, {
                        modelValue: unref(active_item)[fld.name],
                        "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                        placeholder: fld.state.placeholder
                      }, null, _parent2, _scopeId));
                    } else {
                      _push2(`<!---->`);
                    }
                    _push2(`<div class="sub-title text-smaller color-gray-500"${_scopeId}>${ssrInterpolate(fld.state.sub_title)}</div></li>`);
                  } else {
                    _push2(`<!---->`);
                  }
                  _push2(`<!--]-->`);
                });
                _push2(`<!--]--></ul>`);
              } else {
                _push2(`<!---->`);
              }
            } else {
              return [
                unref(active_item) ? (openBlock(), createBlock("ul", {
                  key: 0,
                  class: "list-none w-md"
                }, [
                  createVNode("li", { class: "status mb-2" }, [
                    createVNode("div", { class: "color-primary-500" }, "Status"),
                    createVNode(_component_r_select, {
                      modelValue: unref(active_item).status,
                      "onUpdate:modelValue": ($event) => unref(active_item).status = $event,
                      values: unref(status_types)
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                  ]),
                  (openBlock(true), createBlock(Fragment, null, renderList(unref(field_names), (fld, fi) => {
                    return openBlock(), createBlock(Fragment, null, [
                      fld.state.type != "button" ? (openBlock(), createBlock("li", {
                        key: fld.name + fi,
                        class: "mb-4"
                      }, [
                        createVNode("div", { class: "title color-gray-700" }, toDisplayString(fld.state.title), 1),
                        fld.state.type == "number" ? (openBlock(), createBlock(_component_r_input, {
                          key: 0,
                          type: "number",
                          modelValue: unref(active_item)[fld.name],
                          "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                          placeholder: fld.state.placeholder
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "placeholder"])) : createCommentVNode("", true),
                        fld.state.type == "text" ? (openBlock(), createBlock(_component_r_text, {
                          key: 1,
                          "mult-line": true,
                          modelValue: unref(active_item)[fld.name],
                          "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                          "min-height": "120px",
                          placeholder: fld.state.placeholder
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "placeholder"])) : createCommentVNode("", true),
                        fld.state.type == "string" ? (openBlock(), createBlock(_component_r_input, {
                          key: 2,
                          modelValue: unref(active_item)[fld.name],
                          "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                          placeholder: fld.state.placeholder
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "placeholder"])) : createCommentVNode("", true),
                        fld.state.type == "range" ? (openBlock(), createBlock(_component_r_range, {
                          key: 3,
                          modelValue: unref(active_item)[fld.name],
                          "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                          min: fld.state.min,
                          max: fld.state.max
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "min", "max"])) : createCommentVNode("", true),
                        fld.state.type == "select" ? (openBlock(), createBlock(_component_r_select, {
                          key: 4,
                          modelValue: unref(active_item)[fld.name],
                          "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                          values: fld.state.choices
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])) : createCommentVNode("", true),
                        fld.state.type == "radio" ? (openBlock(), createBlock(_component_r_radio, {
                          key: 5,
                          modelValue: unref(active_item)[fld.name],
                          "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                          values: fld.state.choices
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])) : createCommentVNode("", true),
                        fld.state.type == "checkbox" ? (openBlock(), createBlock(_component_r_checkbox, {
                          key: 6,
                          modelValue: unref(active_item)[fld.name],
                          "onUpdate:modelValue": ($event) => unref(active_item)[fld.name] = $event,
                          placeholder: fld.state.placeholder
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "placeholder"])) : createCommentVNode("", true),
                        createVNode("div", { class: "sub-title text-smaller color-gray-500" }, toDisplayString(fld.state.sub_title), 1)
                      ])) : createCommentVNode("", true)
                    ], 64);
                  }), 256))
                ])) : createCommentVNode("", true)
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`<!--]-->`);
      }
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`</div></div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/[form_id]/form-data.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as default };
//# sourceMappingURL=form-data-DTd3Li5q.mjs.map
