import { _ as _export_sfc, u as useViewerState, b as useAppState, e as useRoute, m as util, j as useRequest, c as __nuxt_component_0$1, p as __nuxt_component_1$3, s as __nuxt_component_1$4, v as __nuxt_component_3$2, J as __nuxt_component_4$1, C as __nuxt_component_4$2, o as __nuxt_component_5$1, x as __nuxt_component_7$1, A as __nuxt_component_8$2 } from './server.mjs';
import { ref, withAsyncContext, mergeProps, unref, withCtx, createTextVNode, toDisplayString, isRef, createVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrRenderClass, ssrInterpolate } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "index",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    useViewerState();
    useAppState();
    useRoute();
    let edit_title = ref("");
    let do_edit = ref(false);
    let edit_type = ref(null);
    let hnd_do_edit = (type) => {
      do_edit.value = true;
      edit_type.value = util.copy(type);
      edit_title.value = "Edit ";
    };
    let hnd_complete_edit = async (proceed) => {
      do_edit.value = false;
      if (!proceed) return;
      await useRequest({ url: "/api/types", method: "post", body: edit_type.value });
      await refresh_types();
    };
    let do_delete = ref(false);
    let do_delete_name = ref(null);
    let hnd_delete = async (type) => {
      do_delete.value = true;
      do_delete_name.value = type.name;
    };
    let hnd_delete_complete = async (proceed) => {
      do_delete.value = false;
      if (!proceed) return;
      await useRequest({ url: "/api/types", method: "delete", body: { name: do_delete_name.value } });
      await refresh_types();
    };
    let types = ref(null);
    let refresh_types = async () => {
      let res = await useRequest({
        url: "/api/types",
        method: "get"
      });
      types.value = res.d;
    };
    [__temp, __restore] = withAsyncContext(() => refresh_types()), await __temp, __restore();
    let hnd_create_posttype = () => {
      do_edit.value = true;
      edit_title.value = "Create ";
      edit_type.value = {};
    };
    let page_head = usePageHead();
    useHead(page_head.value({
      title: "Type List",
      description: "Manage site post-types"
    }));
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_button = __nuxt_component_1$3;
      const _component_r_link = __nuxt_component_1$4;
      const _component_r_modal = __nuxt_component_3$2;
      const _component_r_row = __nuxt_component_4$1;
      const _component_r_row_label = __nuxt_component_4$2;
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_text = __nuxt_component_7$1;
      const _component_r_checkbox = __nuxt_component_8$2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "as afw" }, _attrs))} data-v-79f41e80>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(`<div class="" data-v-79f41e80><h1 class="mb-5" data-v-79f41e80>Types </h1></div>`);
      _push(ssrRenderComponent(_component_r_button, {
        class: "solid primary w-fit mb-4",
        onClick: unref(hnd_create_posttype)
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Create`);
          } else {
            return [
              createTextVNode("Create")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<ul class="list list-none mt-2" data-v-79f41e80><!--[-->`);
      ssrRenderList(unref(types), (type, type_index) => {
        _push(`<li class="${ssrRenderClass([[type.name], "mb-3"])}" data-v-79f41e80><h2 class="text-base" data-v-79f41e80>${ssrInterpolate(type.title_plural)}</h2>`);
        if (!type.is_static) {
          _push(`<div class="my-2 flex gap-2" data-v-79f41e80>`);
          _push(ssrRenderComponent(_component_r_link, {
            to: "#",
            class: "hover:color-red-500",
            onClick: ($event) => unref(hnd_delete)(type)
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`delete`);
              } else {
                return [
                  createTextVNode("delete")
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(ssrRenderComponent(_component_r_link, {
            to: "#",
            onClick: ($event) => unref(hnd_do_edit)(type)
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`edit`);
              } else {
                return [
                  createTextVNode("edit")
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="meta mt-2" data-v-79f41e80><span class="tag" data-v-79f41e80>${ssrInterpolate(type.name)}</span>`);
        _push(ssrRenderComponent(_component_r_link, {
          class: "text-smaller ml-4",
          to: type.url
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`items (${ssrInterpolate(type.count || 0)})`);
            } else {
              return [
                createTextVNode("items (" + toDisplayString(type.count || 0) + ")", 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</div><div class="mt-2 mb-6" data-v-79f41e80>${ssrInterpolate(type.description)}</div></li>`);
      });
      _push(`<!--]--></ul>`);
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(do_edit),
        "onUpdate:modelValue": ($event) => isRef(do_edit) ? do_edit.value = $event : do_edit = $event
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<h2 class="text-base" data-v-79f41e80${_scopeId}>${ssrInterpolate(unref(edit_title))} Type</h2>`);
          } else {
            return [
              createVNode("h2", { class: "text-base" }, toDisplayString(unref(edit_title)) + " Type", 1)
            ];
          }
        }),
        footer: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="flex flex-end" data-v-79f41e80${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_button, {
              class: "modal-cancel red flat",
              onClick: ($event) => unref(hnd_complete_edit)(false)
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Cancel`);
                } else {
                  return [
                    createTextVNode("Cancel")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_button, {
              class: "modal-ok primary solid",
              onClick: ($event) => unref(hnd_complete_edit)(true)
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Ok`);
                } else {
                  return [
                    createTextVNode("Ok")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "flex flex-end" }, [
                createVNode(_component_r_button, {
                  class: "modal-cancel red flat",
                  onClick: ($event) => unref(hnd_complete_edit)(false)
                }, {
                  default: withCtx(() => [
                    createTextVNode("Cancel")
                  ]),
                  _: 1
                }, 8, ["onClick"]),
                createVNode(_component_r_button, {
                  class: "modal-ok primary solid",
                  onClick: ($event) => unref(hnd_complete_edit)(true)
                }, {
                  default: withCtx(() => [
                    createTextVNode("Ok")
                  ]),
                  _: 1
                }, 8, ["onClick"])
              ])
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="max-w-sm" data-v-79f41e80${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_row, null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_row_label, { text: "Name" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(_component_r_input, {
                          modelValue: unref(edit_type).name,
                          "onUpdate:modelValue": ($event) => unref(edit_type).name = $event
                        }, null, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(_component_r_input, {
                            modelValue: unref(edit_type).name,
                            "onUpdate:modelValue": ($event) => unref(edit_type).name = $event
                          }, null, 8, ["modelValue", "onUpdate:modelValue"])
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_component_r_row_label, { text: "Plural Name" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(_component_r_input, {
                          modelValue: unref(edit_type).name_plural,
                          "onUpdate:modelValue": ($event) => unref(edit_type).name_plural = $event
                        }, null, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(_component_r_input, {
                            modelValue: unref(edit_type).name_plural,
                            "onUpdate:modelValue": ($event) => unref(edit_type).name_plural = $event
                          }, null, 8, ["modelValue", "onUpdate:modelValue"])
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_row_label, { text: "Name" }, {
                      default: withCtx(() => [
                        createVNode(_component_r_input, {
                          modelValue: unref(edit_type).name,
                          "onUpdate:modelValue": ($event) => unref(edit_type).name = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      _: 1
                    }),
                    createVNode(_component_r_row_label, { text: "Plural Name" }, {
                      default: withCtx(() => [
                        createVNode(_component_r_input, {
                          modelValue: unref(edit_type).name_plural,
                          "onUpdate:modelValue": ($event) => unref(edit_type).name_plural = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row, null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_row_label, { text: "Title" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(_component_r_input, {
                          modelValue: unref(edit_type).title,
                          "onUpdate:modelValue": ($event) => unref(edit_type).title = $event
                        }, null, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(_component_r_input, {
                            modelValue: unref(edit_type).title,
                            "onUpdate:modelValue": ($event) => unref(edit_type).title = $event
                          }, null, 8, ["modelValue", "onUpdate:modelValue"])
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_component_r_row_label, { text: "Plural Title" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(_component_r_input, {
                          modelValue: unref(edit_type).title_plural,
                          "onUpdate:modelValue": ($event) => unref(edit_type).title_plural = $event
                        }, null, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(_component_r_input, {
                            modelValue: unref(edit_type).title_plural,
                            "onUpdate:modelValue": ($event) => unref(edit_type).title_plural = $event
                          }, null, 8, ["modelValue", "onUpdate:modelValue"])
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_row_label, { text: "Title" }, {
                      default: withCtx(() => [
                        createVNode(_component_r_input, {
                          modelValue: unref(edit_type).title,
                          "onUpdate:modelValue": ($event) => unref(edit_type).title = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      _: 1
                    }),
                    createVNode(_component_r_row_label, { text: "Plural Title" }, {
                      default: withCtx(() => [
                        createVNode(_component_r_input, {
                          modelValue: unref(edit_type).title_plural,
                          "onUpdate:modelValue": ($event) => unref(edit_type).title_plural = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Description" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_text, {
                    class: "w-full p-1",
                    modelValue: unref(edit_type).description,
                    "onUpdate:modelValue": ($event) => unref(edit_type).description = $event
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_text, {
                      class: "w-full p-1",
                      modelValue: unref(edit_type).description,
                      "onUpdate:modelValue": ($event) => unref(edit_type).description = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row, null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_checkbox, {
                    modelValue: unref(edit_type).admin_menu,
                    "onUpdate:modelValue": ($event) => unref(edit_type).admin_menu = $event
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`Add to menu`);
                      } else {
                        return [
                          createTextVNode("Add to menu")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_checkbox, {
                      modelValue: unref(edit_type).admin_menu,
                      "onUpdate:modelValue": ($event) => unref(edit_type).admin_menu = $event
                    }, {
                      default: withCtx(() => [
                        createTextVNode("Add to menu")
                      ]),
                      _: 1
                    }, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "max-w-sm" }, [
                createVNode(_component_r_row, null, {
                  default: withCtx(() => [
                    createVNode(_component_r_row_label, { text: "Name" }, {
                      default: withCtx(() => [
                        createVNode(_component_r_input, {
                          modelValue: unref(edit_type).name,
                          "onUpdate:modelValue": ($event) => unref(edit_type).name = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      _: 1
                    }),
                    createVNode(_component_r_row_label, { text: "Plural Name" }, {
                      default: withCtx(() => [
                        createVNode(_component_r_input, {
                          modelValue: unref(edit_type).name_plural,
                          "onUpdate:modelValue": ($event) => unref(edit_type).name_plural = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row, null, {
                  default: withCtx(() => [
                    createVNode(_component_r_row_label, { text: "Title" }, {
                      default: withCtx(() => [
                        createVNode(_component_r_input, {
                          modelValue: unref(edit_type).title,
                          "onUpdate:modelValue": ($event) => unref(edit_type).title = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      _: 1
                    }),
                    createVNode(_component_r_row_label, { text: "Plural Title" }, {
                      default: withCtx(() => [
                        createVNode(_component_r_input, {
                          modelValue: unref(edit_type).title_plural,
                          "onUpdate:modelValue": ($event) => unref(edit_type).title_plural = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row_label, { text: "Description" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_text, {
                      class: "w-full p-1",
                      modelValue: unref(edit_type).description,
                      "onUpdate:modelValue": ($event) => unref(edit_type).description = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row, null, {
                  default: withCtx(() => [
                    createVNode(_component_r_checkbox, {
                      modelValue: unref(edit_type).admin_menu,
                      "onUpdate:modelValue": ($event) => unref(edit_type).admin_menu = $event
                    }, {
                      default: withCtx(() => [
                        createTextVNode("Add to menu")
                      ]),
                      _: 1
                    }, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(do_delete),
        "onUpdate:modelValue": ($event) => isRef(do_delete) ? do_delete.value = $event : do_delete = $event
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<h1 class="text-base" data-v-79f41e80${_scopeId}>Delete</h1>`);
          } else {
            return [
              createVNode("h1", { class: "text-base" }, "Delete")
            ];
          }
        }),
        footer: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="flex flex-end" data-v-79f41e80${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_button, {
              class: "modal-cancel red flat",
              onClick: ($event) => unref(hnd_delete_complete)(false)
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Cancel`);
                } else {
                  return [
                    createTextVNode("Cancel")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_button, {
              class: "modal-ok primary solid",
              onClick: ($event) => unref(hnd_delete_complete)(true)
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Ok`);
                } else {
                  return [
                    createTextVNode("Ok")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "flex flex-end" }, [
                createVNode(_component_r_button, {
                  class: "modal-cancel red flat",
                  onClick: ($event) => unref(hnd_delete_complete)(false)
                }, {
                  default: withCtx(() => [
                    createTextVNode("Cancel")
                  ]),
                  _: 1
                }, 8, ["onClick"]),
                createVNode(_component_r_button, {
                  class: "modal-ok primary solid",
                  onClick: ($event) => unref(hnd_delete_complete)(true)
                }, {
                  default: withCtx(() => [
                    createTextVNode("Ok")
                  ]),
                  _: 1
                }, 8, ["onClick"])
              ])
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div data-v-79f41e80${_scopeId}><p data-v-79f41e80${_scopeId}>Are you sure you want to delete <b data-v-79f41e80${_scopeId}>${ssrInterpolate(unref(do_delete_name))}</b> posttype?</p></div>`);
          } else {
            return [
              createVNode("div", null, [
                createVNode("p", null, [
                  createTextVNode("Are you sure you want to delete "),
                  createVNode("b", null, toDisplayString(unref(do_delete_name)), 1),
                  createTextVNode(" posttype?")
                ])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/types/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const index = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-79f41e80"]]);

export { index as default };
//# sourceMappingURL=index-DcNfUV9J.mjs.map
