import { u as useViewerState, b as useAppState, c as __nuxt_component_0$1, k as __nuxt_component_8, d as __nuxt_component_1$1, g as useModel, l as useBusy, j as useRequest, s as __nuxt_component_1$4 } from './server.mjs';
import { _ as __nuxt_component_2 } from './RTable-BSxigCV9.mjs';
import { computed, mergeProps, withCtx, unref, openBlock, createBlock, createCommentVNode, useSSRContext, ref, createTextVNode, createVNode, Fragment, renderList, toDisplayString } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrInterpolate } from 'vue/server-renderer';
import { u as useHead } from './index-BabADJUJ.mjs';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main$1 = {
  __name: "RAnalytics",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    let { is_busy, busy_start, busy_end } = useBusy();
    let reports = ref([]);
    let load_analytics = async () => {
      try {
        busy_start("fetch");
        let res = await useRequest({
          url: `/api/analytics`,
          method: "post"
        });
        reports.value = res.d;
        busy_end("fetch");
      } catch (e) {
        reports.value = [];
        busy_end("fetch");
      }
    };
    load_analytics();
    let hnd_action = (action, row, col, source) => {
      useRequest({
        url: `/api/analytics-action`,
        method: "post",
        body: {
          action: action.name,
          payload: util.copy(row)
        }
      }).then((res) => {
        if (res && res.d) {
          let outcome = res.d;
          if (outcome.remove && Array.isArray(source)) {
            let item;
            for (var i = 0; i < source.length; i++) {
              item = source[i];
              if (!item) continue;
              if (item.id == row.id) {
                source.splice(i, 1);
              }
            }
          }
        }
      });
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_table = __nuxt_component_2;
      const _component_r_link = __nuxt_component_1$4;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "r-analytics" }, _attrs))}>`);
      if (unref(is_busy)("fetch")) {
        _push(`<div class="py-3 px-7"><div class="loader-spinner"></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--[-->`);
      ssrRenderList(unref(reports), (report) => {
        _push(`<section class="mb-3"><h2 class="text-base text-larger">${ssrInterpolate(report.title)}</h2>`);
        _push(ssrRenderComponent(_component_r_table, {
          modelValue: report.data,
          "onUpdate:modelValue": ($event) => report.data = $event,
          columns: report.columns
        }, {
          data_col_action: withCtx(({ row, col }, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<ul class="list-none list flex gap-1 flex-wrap"${_scopeId}><!--[-->`);
              ssrRenderList(col == null ? undefined : col.actions, (action) => {
                _push2(`<li${_scopeId}>`);
                if (action.name == "goto") {
                  _push2(ssrRenderComponent(_component_r_link, {
                    to: row.url
                  }, {
                    default: withCtx((_, _push3, _parent3, _scopeId2) => {
                      if (_push3) {
                        _push3(`View`);
                      } else {
                        return [
                          createTextVNode("View")
                        ];
                      }
                    }),
                    _: 2
                  }, _parent2, _scopeId));
                } else {
                  _push2(`<button type="click" class="btn"${_scopeId}>${ssrInterpolate(action.title || action.name)}</button>`);
                }
                _push2(`</li>`);
              });
              _push2(`<!--]--></ul>`);
            } else {
              return [
                createVNode("ul", { class: "list-none list flex gap-1 flex-wrap" }, [
                  (openBlock(true), createBlock(Fragment, null, renderList(col == null ? undefined : col.actions, (action) => {
                    return openBlock(), createBlock("li", null, [
                      action.name == "goto" ? (openBlock(), createBlock(_component_r_link, {
                        key: 0,
                        to: row.url
                      }, {
                        default: withCtx(() => [
                          createTextVNode("View")
                        ]),
                        _: 2
                      }, 1032, ["to"])) : (openBlock(), createBlock("button", {
                        key: 1,
                        type: "click",
                        class: "btn",
                        onClick: ($event) => unref(hnd_action)(action, row, col, report.data)
                      }, toDisplayString(action.title || action.name), 9, ["onClick"]))
                    ]);
                  }), 256))
                ])
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</section>`);
      });
      _push(`<!--]-->`);
      if (unref(reports).length == 0) {
        _push(`<section><h2 class="text-base text-larger">No reports</h2><p>Reports have not yet been compiled</p></section>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RAnalytics.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : undefined;
};
const _sfc_main = {
  __name: "index",
  __ssrInlineRender: true,
  setup(__props) {
    let view_state = useViewerState();
    useAppState();
    let page_head = usePageHead();
    useHead(page_head.value());
    let user = computed(() => {
      return view_state.user;
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_post_component = __nuxt_component_8;
      const _component_r_viewer = __nuxt_component_1$1;
      const _component_r_analytics = _sfc_main$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "as afw" }, _attrs))}>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(`<h1 class="mb-5">Dashboard</h1>`);
      _push(ssrRenderComponent(_component_r_post_component, { location: "dashboard" }, null, _parent));
      _push(ssrRenderComponent(_component_r_viewer, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          var _a, _b;
          if (_push2) {
            if ((_a = unref(user)) == null ? undefined : _a.is_admin) {
              _push2(ssrRenderComponent(_component_r_analytics, null, null, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
          } else {
            return [
              ((_b = unref(user)) == null ? undefined : _b.is_admin) ? (openBlock(), createBlock(_component_r_analytics, { key: 0 })) : createCommentVNode("", true)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as default };
//# sourceMappingURL=index-Dzalo7Fx.mjs.map
