import { l as useBusy, m as util, j as useRequest, n as navigateTo, c as __nuxt_component_0$1, o as __nuxt_component_5$1, p as __nuxt_component_1$3, q as __nuxt_component_3$3, s as __nuxt_component_1$4 } from './server.mjs';
import { ref, unref, withCtx, openBlock, createBlock, createVNode, createCommentVNode, createTextVNode, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrRenderStyle } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "login",
  __ssrInlineRender: true,
  setup(__props) {
    let page_head = usePageHead();
    useHead(page_head.value({
      title: "Login"
    }));
    let user = ref({
      name: "",
      password: ""
    });
    let hnd_submit = async (e) => {
      busy_toggle("login");
      let body = util.copy(user.value);
      if (!body.name || !body.password) {
        busy_end("login");
        return app_state.notice({
          title: "Incomplete Credentials",
          msg: `Please provide user name and password to proceed`,
          theme: "warn"
        });
      }
      try {
        let res = await useRequest({
          url: "/api/login",
          method: "post",
          body
        });
        busy_toggle("login", false);
        navigateTo({ path: "/user" });
      } catch (e2) {
        util.error({ evt: e2 });
        app_state.notice({
          title: "Login Error",
          msg: e2.msg || e2.message,
          theme: "danger"
        });
        busy_end("login");
      }
    };
    let { is_busy, busy_toggle, busy_end } = useBusy();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_button = __nuxt_component_1$3;
      const _component_r_busy = __nuxt_component_3$3;
      const _component_r_link = __nuxt_component_1$4;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(`<div class="my-9"> </div><div class="flex flex-col items-center justify-center px-6 py-8 mx-auto lg:py-0" style="${ssrRenderStyle({ "height": "80vh" })}"><form class="w-full max-w-md bg-white rounded-lg p-8 shadow-md dark:border md:mt-0 sm:max-w-md xl:p-0 dark:bg-gray-800 dark:border-gray-700"><div class="row mb-2">`);
      _push(ssrRenderComponent(_component_r_input, {
        modelValue: unref(user).name,
        "onUpdate:modelValue": ($event) => unref(user).name = $event,
        onEnter: unref(hnd_submit),
        placeholder: "Username",
        onUpdate: ($event) => unref(user).name = $event
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-5 h-5 color-primary-500"${_scopeId}><path fill-rule="evenodd" d="M7.5 6a4.5 4.5 0 1 1 9 0 4.5 4.5 0 0 1-9 0ZM3.751 20.105a8.25 8.25 0 0 1 16.498 0 .75.75 0 0 1-.437.695A18.683 18.683 0 0 1 12 22.5c-2.786 0-5.433-.608-7.812-1.7a.75.75 0 0 1-.437-.695Z" clip-rule="evenodd"${_scopeId}></path></svg>`);
          } else {
            return [
              (openBlock(), createBlock("svg", {
                xmlns: "http://www.w3.org/2000/svg",
                viewBox: "0 0 24 24",
                fill: "currentColor",
                class: "w-5 h-5 color-primary-500"
              }, [
                createVNode("path", {
                  "fill-rule": "evenodd",
                  d: "M7.5 6a4.5 4.5 0 1 1 9 0 4.5 4.5 0 0 1-9 0ZM3.751 20.105a8.25 8.25 0 0 1 16.498 0 .75.75 0 0 1-.437.695A18.683 18.683 0 0 1 12 22.5c-2.786 0-5.433-.608-7.812-1.7a.75.75 0 0 1-.437-.695Z",
                  "clip-rule": "evenodd"
                })
              ]))
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="row mb-2">`);
      _push(ssrRenderComponent(_component_r_input, {
        modelValue: unref(user).password,
        "onUpdate:modelValue": ($event) => unref(user).password = $event,
        onEnter: unref(hnd_submit),
        type: "password",
        placeholder: "Password",
        onUpdate: ($event) => unref(user).password = $event
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-5 h-5 color-primary-500"${_scopeId}><path fill-rule="evenodd" d="M12 1.5a5.25 5.25 0 0 0-5.25 5.25v3a3 3 0 0 0-3 3v6.75a3 3 0 0 0 3 3h10.5a3 3 0 0 0 3-3v-6.75a3 3 0 0 0-3-3v-3c0-2.9-2.35-5.25-5.25-5.25Zm3.75 8.25v-3a3.75 3.75 0 1 0-7.5 0v3h7.5Z" clip-rule="evenodd"${_scopeId}></path></svg>`);
          } else {
            return [
              (openBlock(), createBlock("svg", {
                xmlns: "http://www.w3.org/2000/svg",
                viewBox: "0 0 24 24",
                fill: "currentColor",
                class: "w-5 h-5 color-primary-500"
              }, [
                createVNode("path", {
                  "fill-rule": "evenodd",
                  d: "M12 1.5a5.25 5.25 0 0 0-5.25 5.25v3a3 3 0 0 0-3 3v6.75a3 3 0 0 0 3 3h10.5a3 3 0 0 0 3-3v-6.75a3 3 0 0 0-3-3v-3c0-2.9-2.35-5.25-5.25-5.25Zm3.75 8.25v-3a3.75 3.75 0 1 0-7.5 0v3h7.5Z",
                  "clip-rule": "evenodd"
                })
              ]))
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="row mb-2 mt-3">`);
      _push(ssrRenderComponent(_component_r_button, {
        onClick: unref(hnd_submit),
        class: "solid primary"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (unref(is_busy)("login")) {
              _push2(ssrRenderComponent(_component_r_busy, { class: "sm" }, null, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
            _push2(`<span${_scopeId}>Login</span>`);
          } else {
            return [
              unref(is_busy)("login") ? (openBlock(), createBlock(_component_r_busy, {
                key: 0,
                class: "sm"
              })) : createCommentVNode("", true),
              createVNode("span", null, "Login")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="row mt-5 flex justify-center color-gray-500 gap-3">`);
      _push(ssrRenderComponent(_component_r_link, { to: "/" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Home`);
          } else {
            return [
              createTextVNode("Home")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_link, { to: "/signup" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Register`);
          } else {
            return [
              createTextVNode("Register")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></form></div>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`<!--]-->`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/login.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as default };
//# sourceMappingURL=login-C3sRf7T4.mjs.map
