import { _ as _export_sfc, u as useViewerState, b as useAppState, j as useRequest, m as util, c as __nuxt_component_0$1, d as __nuxt_component_1$1, s as __nuxt_component_1$4, v as __nuxt_component_3$2, E as __nuxt_component_5, C as __nuxt_component_4$2, o as __nuxt_component_5$1 } from './server.mjs';
import { _ as __nuxt_component_2 } from './RTable-BSxigCV9.mjs';
import { ref, withAsyncContext, computed, mergeProps, withCtx, unref, isRef, createTextVNode, toDisplayString, createVNode, openBlock, createBlock, createCommentVNode, Fragment, renderList, createSlots, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList, ssrRenderStyle } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "plugins",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    useViewerState();
    let app_state = useAppState();
    app_state.layout = "user";
    let tf_name = (val) => {
      if (val) {
        val = val.toLowerCase().replace(/\s/gm, "_");
      }
    };
    let is_refreshing = ref(false);
    let plugins2 = ref(null);
    let columns = ref([
      { name: "title", title: "Title", width: "25%" },
      { name: "description", title: "Description" }
    ]);
    let show_create_modal = ref(false);
    let show_remove_modal = ref(false);
    let model_new_plugin = ref({ title: "", description: "", name: "" });
    let load_plugins = async () => {
      let res = await useRequest({
        url: "/api/plugins",
        method: "get"
      });
      plugins2.value = res.d;
    };
    [__temp, __restore] = withAsyncContext(() => load_plugins()), await __temp, __restore();
    let list_selected_plugins = ref([]);
    let has_selection = computed(() => {
      return Array.isArray(list_selected_plugins.value) && list_selected_plugins.value.length > 0;
    });
    let list_selected_plugin_names = computed(() => {
      if (!Array.isArray(list_selected_plugins.value)) return [];
      if (list_selected_plugins.value.length == 0) return [];
      if (!Array.isArray(plugins2.value)) return [];
      let out = [];
      let p, s;
      for (var j = 0; j < plugins2.value.length; j++) {
        p = plugins2.value[j];
        for (var i = 0; i < list_selected_plugins.value.length; i++) {
          s = list_selected_plugins.value[i];
          if (s.id == p.id) {
            out.push(p.title);
          }
        }
      }
      return out;
    });
    let hnd_plugin_items_selected = (items) => {
      list_selected_plugins.value = items;
    };
    let page_head = usePageHead();
    useHead(page_head.value({
      title: "Plugin",
      description: "Manage plugins"
    }));
    let hnd_change_status = (the_plugin, status) => {
      plugins2.value[the_plugin.item_index].status = status;
      useRequest({
        url: "/api/plugins",
        method: "post",
        body: {
          id: plugins2.value[the_plugin.item_index].id,
          status: plugins2.value[the_plugin.item_index].status
        }
      });
    };
    let hnd_refresh_plugins = () => {
      let ids = list_selected_plugins.value.map((it) => it.id);
      if (ids.length == 0) return;
      is_refreshing.value = true;
      useRequest({
        url: "/api/plugins",
        method: "post",
        body: { id: "refresh-all", targets: ids }
      }).then(() => {
        setTimeout(() => {
          load_plugins();
          is_refreshing.value = false;
        }, 750);
      }).catch((err) => {
        is_refreshing.value = false;
      });
    };
    let hnd_fetch_files = async (row, e) => {
      if (!row) return;
      let the_plugin = null;
      let index = null;
      let stop = () => {
        if (!the_plugin) return;
        the_plugin.busy = false;
      };
      if (plugins2.value) {
        for (var i = 0; i < plugins2.value.length; i++) {
          if (util.copy(plugins2.value[i]).id == row.id) {
            index = i;
            break;
          }
        }
        if (index == null) return stop();
        the_plugin = plugins2.value[index];
      }
      if (the_plugin.busy == undefined) the_plugin.busy = false;
      the_plugin.files = null;
      if (e.shiftKey) return;
      the_plugin.busy = !the_plugin.busy;
      let res = await useRequest({
        url: "/api/plugins/files",
        query: { id: the_plugin.id }
      });
      let files = res.d;
      the_plugin.busy = false;
      the_plugin.files = files;
    };
    let is_editing_files = ref(false);
    let active_file = ref(null);
    let hnd_start_file_edit = (fd) => {
      is_editing_files.value = true;
      active_file.value = util.copy(fd);
    };
    let hnd_file_edit_complete = async (result) => {
      is_editing_files.value = false;
      if (result.action == "ok") {
        await useRequest({
          url: "/api/plugins/files",
          method: "post",
          body: active_file.value
        }).then(async () => {
          await load_plugins();
        });
      }
    };
    let hnd_try_new_plugin = () => {
      model_new_plugin.value = {
        title: "",
        name: "",
        description: ""
      };
      show_create_modal.value = true;
    };
    let hnd_create_modal = async (result) => {
      if (result.action == "ok") {
        await useRequest({
          url: "/api/plugins/new",
          body: model_new_plugin.value,
          method: "post"
        });
        show_create_modal.value = false;
        await load_plugins();
      } else {
        show_create_modal.value = false;
      }
    };
    let hnd_try_remove_plugins = () => {
      show_remove_modal.value = true;
    };
    let hnd_remove_plugin = async (result) => {
      if (result.action == "ok") {
        let ids = list_selected_plugins.value.map((it) => it.id);
        await useRequest({
          url: "/api/plugins/remove",
          body: ids,
          method: "delete"
        });
        app_state.notice({ title: "Completed", description: "Deleted plugins. please refresh" });
        load_plugins();
      }
      show_remove_modal.value = false;
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_viewer = __nuxt_component_1$1;
      const _component_r_table = __nuxt_component_2;
      const _component_r_link = __nuxt_component_1$4;
      const _component_r_modal = __nuxt_component_3$2;
      const _component_r_code_editor = __nuxt_component_5;
      const _component_r_row_label = __nuxt_component_4$2;
      const _component_r_input = __nuxt_component_5$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "as afw" }, _attrs))} data-v-1cbb14ad><h1 data-v-1cbb14ad><span class="mr-3" data-v-1cbb14ad><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.0" stroke="currentColor" class="w-11 h-11" data-v-1cbb14ad><path stroke-linecap="round" stroke-linejoin="round" d="M14.25 6.087c0-.355.186-.676.401-.959.221-.29.349-.634.349-1.003 0-1.036-1.007-1.875-2.25-1.875s-2.25.84-2.25 1.875c0 .369.128.713.349 1.003.215.283.401.604.401.959v0a.64.64 0 0 1-.657.643 48.39 48.39 0 0 1-4.163-.3c.186 1.613.293 3.25.315 4.907a.656.656 0 0 1-.658.663v0c-.355 0-.676-.186-.959-.401a1.647 1.647 0 0 0-1.003-.349c-1.036 0-1.875 1.007-1.875 2.25s.84 2.25 1.875 2.25c.369 0 .713-.128 1.003-.349.283-.215.604-.401.959-.401v0c.31 0 .555.26.532.57a48.039 48.039 0 0 1-.642 5.056c1.518.19 3.058.309 4.616.354a.64.64 0 0 0 .657-.643v0c0-.355-.186-.676-.401-.959a1.647 1.647 0 0 1-.349-1.003c0-1.035 1.008-1.875 2.25-1.875 1.243 0 2.25.84 2.25 1.875 0 .369-.128.713-.349 1.003-.215.283-.4.604-.4.959v0c0 .333.277.599.61.58a48.1 48.1 0 0 0 5.427-.63 48.05 48.05 0 0 0 .582-4.717.532.532 0 0 0-.533-.57v0c-.355 0-.676.186-.959.401-.29.221-.634.349-1.003.349-1.035 0-1.875-1.007-1.875-2.25s.84-2.25 1.875-2.25c.37 0 .713.128 1.003.349.283.215.604.401.96.401v0a.656.656 0 0 0 .658-.663 48.422 48.422 0 0 0-.37-5.36c-1.886.342-3.81.574-5.766.689a.578.578 0 0 1-.61-.58v0Z" data-v-1cbb14ad></path></svg></span><span data-v-1cbb14ad>Plugins</span></h1>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(ssrRenderComponent(_component_r_viewer, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="flex gap-2" data-v-1cbb14ad${_scopeId}><button class="btn primary create" data-v-1cbb14ad${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.0" stroke="currentColor" class="w-5 h-5" data-v-1cbb14ad${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M9.813 15.904 9 18.75l-.813-2.846a4.5 4.5 0 0 0-3.09-3.09L2.25 12l2.846-.813a4.5 4.5 0 0 0 3.09-3.09L9 5.25l.813 2.846a4.5 4.5 0 0 0 3.09 3.09L15.75 12l-2.846.813a4.5 4.5 0 0 0-3.09 3.09ZM18.259 8.715 18 9.75l-.259-1.035a3.375 3.375 0 0 0-2.455-2.456L14.25 6l1.036-.259a3.375 3.375 0 0 0 2.455-2.456L18 2.25l.259 1.035a3.375 3.375 0 0 0 2.456 2.456L21.75 6l-1.035.259a3.375 3.375 0 0 0-2.456 2.456ZM16.894 20.567 16.5 21.75l-.394-1.183a2.25 2.25 0 0 0-1.423-1.423L13.5 18.75l1.183-.394a2.25 2.25 0 0 0 1.423-1.423l.394-1.183.394 1.183a2.25 2.25 0 0 0 1.423 1.423l1.183.394-1.183.394a2.25 2.25 0 0 0-1.423 1.423Z" data-v-1cbb14ad${_scopeId}></path></svg> Create </button>`);
            if (unref(has_selection)) {
              _push2(`<div data-v-1cbb14ad${_scopeId}><button class="btn refresh" data-v-1cbb14ad${_scopeId}>`);
              if (unref(is_refreshing)) {
                _push2(`<span class="loader-spinner sm" data-v-1cbb14ad${_scopeId}></span>`);
              } else {
                _push2(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.0" stroke="currentColor" class="w-5 h-5" data-v-1cbb14ad${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M16.023 9.348h4.992v-.001M2.985 19.644v-4.992m0 0h4.992m-4.993 0 3.181 3.183a8.25 8.25 0 0 0 13.803-3.7M4.031 9.865a8.25 8.25 0 0 1 13.803-3.7l3.181 3.182m0-4.991v4.99" data-v-1cbb14ad${_scopeId}></path></svg>`);
              }
              _push2(`<span data-v-1cbb14ad${_scopeId}>Refresh</span></button><button class="btn danger" data-v-1cbb14ad${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.0" stroke="currentColor" class="w-5 h-5" data-v-1cbb14ad${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0" data-v-1cbb14ad${_scopeId}></path></svg><span data-v-1cbb14ad${_scopeId}>Remove</span></button></div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div>`);
            _push2(ssrRenderComponent(_component_r_table, {
              selectable: true,
              onSelection: unref(hnd_plugin_items_selected),
              columns: unref(columns),
              modelValue: unref(plugins2),
              "onUpdate:modelValue": ($event) => isRef(plugins2) ? plugins2.value = $event : plugins2 = $event
            }, {
              title_id: withCtx((col, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(col.name)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(col.name), 1)
                  ];
                }
              }),
              data_title: withCtx((row, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div data-v-1cbb14ad${_scopeId2}><b data-v-1cbb14ad${_scopeId2}>${ssrInterpolate(row.title)}</b></div><div class="mt-9 flex gap-1 plugin-status" data-v-1cbb14ad${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_r_link, {
                    to: "#",
                    onClick: ($event) => unref(hnd_change_status)(row, "inactive"),
                    class: [row.status == "inactive" ? "active" : "", "link", "mr-2"]
                  }, {
                    default: withCtx((_2, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`deactivate`);
                      } else {
                        return [
                          createTextVNode("deactivate")
                        ];
                      }
                    }),
                    _: 2
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_component_r_link, {
                    to: "#",
                    onClick: ($event) => unref(hnd_change_status)(row, "active"),
                    class: [row.status == "active" ? "active" : "", "link"]
                  }, {
                    default: withCtx((_2, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`activate`);
                      } else {
                        return [
                          createTextVNode("activate")
                        ];
                      }
                    }),
                    _: 2
                  }, _parent3, _scopeId2));
                  _push3(`</div>`);
                } else {
                  return [
                    createVNode("div", null, [
                      createVNode("b", null, toDisplayString(row.title), 1)
                    ]),
                    createVNode("div", { class: "mt-9 flex gap-1 plugin-status" }, [
                      createVNode(_component_r_link, {
                        to: "#",
                        onClick: ($event) => unref(hnd_change_status)(row, "inactive"),
                        class: [row.status == "inactive" ? "active" : "", "link", "mr-2"]
                      }, {
                        default: withCtx(() => [
                          createTextVNode("deactivate")
                        ]),
                        _: 2
                      }, 1032, ["onClick", "class"]),
                      createVNode(_component_r_link, {
                        to: "#",
                        onClick: ($event) => unref(hnd_change_status)(row, "active"),
                        class: [row.status == "active" ? "active" : "", "link"]
                      }, {
                        default: withCtx(() => [
                          createTextVNode("activate")
                        ]),
                        _: 2
                      }, 1032, ["onClick", "class"])
                    ])
                  ];
                }
              }),
              data_description: withCtx((row, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="description" data-v-1cbb14ad${_scopeId2}>${ssrInterpolate(row.description)}</div><div class="mt-2" data-v-1cbb14ad${_scopeId2}><span class="color-gray-500 text-sm" data-v-1cbb14ad${_scopeId2}>${ssrInterpolate(row.url)}</span></div><div class="mt-3" data-v-1cbb14ad${_scopeId2}><button class="btn hover:color-primary-500" data-v-1cbb14ad${_scopeId2}>`);
                  if (row.busy) {
                    _push3(`<span class="loader-spinner xs" data-v-1cbb14ad${_scopeId2}></span>`);
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`<span data-v-1cbb14ad${_scopeId2}>Code</span></button></div>`);
                  if (row.files) {
                    _push3(`<ul class="list-none pl- mt-1" data-v-1cbb14ad${_scopeId2}><!--[-->`);
                    ssrRenderList(row.files, (fd) => {
                      _push3(`<li data-v-1cbb14ad${_scopeId2}><button class="btn sm color-gray-400 hover:color-primary-500 mr-3" data-v-1cbb14ad${_scopeId2}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4" data-v-1cbb14ad${_scopeId2}><path stroke-linecap="round" stroke-linejoin="round" d="m16.862 4.487 1.687-1.688a1.875 1.875 0 1 1 2.652 2.652L6.832 19.82a4.5 4.5 0 0 1-1.897 1.13l-2.685.8.8-2.685a4.5 4.5 0 0 1 1.13-1.897L16.863 4.487Zm0 0L19.5 7.125" data-v-1cbb14ad${_scopeId2}></path></svg></button><span class="text-sm color-gray-600" data-v-1cbb14ad${_scopeId2}>${ssrInterpolate(fd.url)}</span></li>`);
                    });
                    _push3(`<!--]--></ul>`);
                  } else {
                    _push3(`<!---->`);
                  }
                } else {
                  return [
                    createVNode("div", { class: "description" }, toDisplayString(row.description), 1),
                    createVNode("div", { class: "mt-2" }, [
                      createVNode("span", { class: "color-gray-500 text-sm" }, toDisplayString(row.url), 1)
                    ]),
                    createVNode("div", { class: "mt-3" }, [
                      createVNode("button", {
                        class: "btn hover:color-primary-500",
                        onClick: ($event) => unref(hnd_fetch_files)(row, $event)
                      }, [
                        row.busy ? (openBlock(), createBlock("span", {
                          key: 0,
                          class: "loader-spinner xs"
                        })) : createCommentVNode("", true),
                        createVNode("span", null, "Code")
                      ], 8, ["onClick"])
                    ]),
                    row.files ? (openBlock(), createBlock("ul", {
                      key: 0,
                      class: "list-none pl- mt-1"
                    }, [
                      (openBlock(true), createBlock(Fragment, null, renderList(row.files, (fd) => {
                        return openBlock(), createBlock("li", {
                          key: fd.url
                        }, [
                          createVNode("button", {
                            class: "btn sm color-gray-400 hover:color-primary-500 mr-3",
                            onClick: ($event) => unref(hnd_start_file_edit)(fd)
                          }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              fill: "none",
                              viewBox: "0 0 24 24",
                              "stroke-width": "1.5",
                              stroke: "currentColor",
                              class: "w-4 h-4"
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "m16.862 4.487 1.687-1.688a1.875 1.875 0 1 1 2.652 2.652L6.832 19.82a4.5 4.5 0 0 1-1.897 1.13l-2.685.8.8-2.685a4.5 4.5 0 0 1 1.13-1.897L16.863 4.487Zm0 0L19.5 7.125"
                              })
                            ]))
                          ], 8, ["onClick"]),
                          createVNode("span", { class: "text-sm color-gray-600" }, toDisplayString(fd.url), 1)
                        ]);
                      }), 128))
                    ])) : createCommentVNode("", true)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode("div", { class: "flex gap-2" }, [
                createVNode("button", {
                  class: "btn primary create",
                  onClick: unref(hnd_try_new_plugin)
                }, [
                  (openBlock(), createBlock("svg", {
                    xmlns: "http://www.w3.org/2000/svg",
                    fill: "none",
                    viewBox: "0 0 24 24",
                    "stroke-width": "2.0",
                    stroke: "currentColor",
                    class: "w-5 h-5"
                  }, [
                    createVNode("path", {
                      "stroke-linecap": "round",
                      "stroke-linejoin": "round",
                      d: "M9.813 15.904 9 18.75l-.813-2.846a4.5 4.5 0 0 0-3.09-3.09L2.25 12l2.846-.813a4.5 4.5 0 0 0 3.09-3.09L9 5.25l.813 2.846a4.5 4.5 0 0 0 3.09 3.09L15.75 12l-2.846.813a4.5 4.5 0 0 0-3.09 3.09ZM18.259 8.715 18 9.75l-.259-1.035a3.375 3.375 0 0 0-2.455-2.456L14.25 6l1.036-.259a3.375 3.375 0 0 0 2.455-2.456L18 2.25l.259 1.035a3.375 3.375 0 0 0 2.456 2.456L21.75 6l-1.035.259a3.375 3.375 0 0 0-2.456 2.456ZM16.894 20.567 16.5 21.75l-.394-1.183a2.25 2.25 0 0 0-1.423-1.423L13.5 18.75l1.183-.394a2.25 2.25 0 0 0 1.423-1.423l.394-1.183.394 1.183a2.25 2.25 0 0 0 1.423 1.423l1.183.394-1.183.394a2.25 2.25 0 0 0-1.423 1.423Z"
                    })
                  ])),
                  createTextVNode(" Create ")
                ], 8, ["onClick"]),
                unref(has_selection) ? (openBlock(), createBlock("div", { key: 0 }, [
                  createVNode("button", {
                    class: "btn refresh",
                    onClick: unref(hnd_refresh_plugins)
                  }, [
                    unref(is_refreshing) ? (openBlock(), createBlock("span", {
                      key: 0,
                      class: "loader-spinner sm"
                    })) : (openBlock(), createBlock("svg", {
                      key: 1,
                      xmlns: "http://www.w3.org/2000/svg",
                      fill: "none",
                      viewBox: "0 0 24 24",
                      "stroke-width": "2.0",
                      stroke: "currentColor",
                      class: "w-5 h-5"
                    }, [
                      createVNode("path", {
                        "stroke-linecap": "round",
                        "stroke-linejoin": "round",
                        d: "M16.023 9.348h4.992v-.001M2.985 19.644v-4.992m0 0h4.992m-4.993 0 3.181 3.183a8.25 8.25 0 0 0 13.803-3.7M4.031 9.865a8.25 8.25 0 0 1 13.803-3.7l3.181 3.182m0-4.991v4.99"
                      })
                    ])),
                    createVNode("span", null, "Refresh")
                  ], 8, ["onClick"]),
                  createVNode("button", {
                    class: "btn danger",
                    onClick: unref(hnd_try_remove_plugins)
                  }, [
                    (openBlock(), createBlock("svg", {
                      xmlns: "http://www.w3.org/2000/svg",
                      fill: "none",
                      viewBox: "0 0 24 24",
                      "stroke-width": "2.0",
                      stroke: "currentColor",
                      class: "w-5 h-5"
                    }, [
                      createVNode("path", {
                        "stroke-linecap": "round",
                        "stroke-linejoin": "round",
                        d: "m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0"
                      })
                    ])),
                    createVNode("span", null, "Remove")
                  ], 8, ["onClick"])
                ])) : createCommentVNode("", true)
              ]),
              createVNode(_component_r_table, {
                selectable: true,
                onSelection: unref(hnd_plugin_items_selected),
                columns: unref(columns),
                modelValue: unref(plugins2),
                "onUpdate:modelValue": ($event) => isRef(plugins2) ? plugins2.value = $event : plugins2 = $event
              }, {
                title_id: withCtx((col) => [
                  createTextVNode(toDisplayString(col.name), 1)
                ]),
                data_title: withCtx((row) => [
                  createVNode("div", null, [
                    createVNode("b", null, toDisplayString(row.title), 1)
                  ]),
                  createVNode("div", { class: "mt-9 flex gap-1 plugin-status" }, [
                    createVNode(_component_r_link, {
                      to: "#",
                      onClick: ($event) => unref(hnd_change_status)(row, "inactive"),
                      class: [row.status == "inactive" ? "active" : "", "link", "mr-2"]
                    }, {
                      default: withCtx(() => [
                        createTextVNode("deactivate")
                      ]),
                      _: 2
                    }, 1032, ["onClick", "class"]),
                    createVNode(_component_r_link, {
                      to: "#",
                      onClick: ($event) => unref(hnd_change_status)(row, "active"),
                      class: [row.status == "active" ? "active" : "", "link"]
                    }, {
                      default: withCtx(() => [
                        createTextVNode("activate")
                      ]),
                      _: 2
                    }, 1032, ["onClick", "class"])
                  ])
                ]),
                data_description: withCtx((row) => [
                  createVNode("div", { class: "description" }, toDisplayString(row.description), 1),
                  createVNode("div", { class: "mt-2" }, [
                    createVNode("span", { class: "color-gray-500 text-sm" }, toDisplayString(row.url), 1)
                  ]),
                  createVNode("div", { class: "mt-3" }, [
                    createVNode("button", {
                      class: "btn hover:color-primary-500",
                      onClick: ($event) => unref(hnd_fetch_files)(row, $event)
                    }, [
                      row.busy ? (openBlock(), createBlock("span", {
                        key: 0,
                        class: "loader-spinner xs"
                      })) : createCommentVNode("", true),
                      createVNode("span", null, "Code")
                    ], 8, ["onClick"])
                  ]),
                  row.files ? (openBlock(), createBlock("ul", {
                    key: 0,
                    class: "list-none pl- mt-1"
                  }, [
                    (openBlock(true), createBlock(Fragment, null, renderList(row.files, (fd) => {
                      return openBlock(), createBlock("li", {
                        key: fd.url
                      }, [
                        createVNode("button", {
                          class: "btn sm color-gray-400 hover:color-primary-500 mr-3",
                          onClick: ($event) => unref(hnd_start_file_edit)(fd)
                        }, [
                          (openBlock(), createBlock("svg", {
                            xmlns: "http://www.w3.org/2000/svg",
                            fill: "none",
                            viewBox: "0 0 24 24",
                            "stroke-width": "1.5",
                            stroke: "currentColor",
                            class: "w-4 h-4"
                          }, [
                            createVNode("path", {
                              "stroke-linecap": "round",
                              "stroke-linejoin": "round",
                              d: "m16.862 4.487 1.687-1.688a1.875 1.875 0 1 1 2.652 2.652L6.832 19.82a4.5 4.5 0 0 1-1.897 1.13l-2.685.8.8-2.685a4.5 4.5 0 0 1 1.13-1.897L16.863 4.487Zm0 0L19.5 7.125"
                            })
                          ]))
                        ], 8, ["onClick"]),
                        createVNode("span", { class: "text-sm color-gray-600" }, toDisplayString(fd.url), 1)
                      ]);
                    }), 128))
                  ])) : createCommentVNode("", true)
                ]),
                _: 1
              }, 8, ["onSelection", "columns", "modelValue", "onUpdate:modelValue"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(is_editing_files),
        "onUpdate:modelValue": ($event) => isRef(is_editing_files) ? is_editing_files.value = $event : is_editing_files = $event,
        onClose: unref(hnd_file_edit_complete),
        confirm: "Update",
        cancel: "Cancel"
      }, createSlots({
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (unref(active_file)) {
              _push2(`<div style="${ssrRenderStyle({ maxWidth: "80vw", width: "80vw" })}" data-v-1cbb14ad${_scopeId}>`);
              _push2(ssrRenderComponent(_component_r_code_editor, {
                height: 600,
                modelValue: unref(active_file).source,
                "onUpdate:modelValue": ($event) => unref(active_file).source = $event
              }, null, _parent2, _scopeId));
              _push2(`</div>`);
            } else {
              _push2(`<!---->`);
            }
          } else {
            return [
              unref(active_file) ? (openBlock(), createBlock("div", {
                key: 0,
                style: { maxWidth: "80vw", width: "80vw" }
              }, [
                createVNode(_component_r_code_editor, {
                  height: 600,
                  modelValue: unref(active_file).source,
                  "onUpdate:modelValue": ($event) => unref(active_file).source = $event
                }, null, 8, ["modelValue", "onUpdate:modelValue"])
              ])) : createCommentVNode("", true)
            ];
          }
        }),
        _: 2
      }, [
        unref(active_file) ? {
          name: "header",
          fn: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(unref(active_file).name)}`);
            } else {
              return [
                createTextVNode(toDisplayString(unref(active_file).name), 1)
              ];
            }
          }),
          key: "0"
        } : undefined
      ]), _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(show_create_modal),
        "onUpdate:modelValue": ($event) => isRef(show_create_modal) ? show_create_modal.value = $event : show_create_modal = $event,
        onClose: unref(hnd_create_modal),
        confirm: "Create",
        cancel: "Cancel"
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Create Plugin`);
          } else {
            return [
              createTextVNode("Create Plugin")
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div data-v-1cbb14ad${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Name" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    effect: "slug",
                    modelValue: unref(model_new_plugin).name,
                    "onUpdate:modelValue": ($event) => unref(model_new_plugin).name = $event,
                    transform: unref(tf_name),
                    placeholder: "Plugin Name"
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      effect: "slug",
                      modelValue: unref(model_new_plugin).name,
                      "onUpdate:modelValue": ($event) => unref(model_new_plugin).name = $event,
                      transform: unref(tf_name),
                      placeholder: "Plugin Name"
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "transform"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Title" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    modelValue: unref(model_new_plugin).title,
                    "onUpdate:modelValue": ($event) => unref(model_new_plugin).title = $event,
                    placeholder: "Plugin Title"
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      modelValue: unref(model_new_plugin).title,
                      "onUpdate:modelValue": ($event) => unref(model_new_plugin).title = $event,
                      placeholder: "Plugin Title"
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_row_label, { text: "Description" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_input, {
                    "multi-line": true,
                    modelValue: unref(model_new_plugin).description,
                    "onUpdate:modelValue": ($event) => unref(model_new_plugin).description = $event,
                    placeholder: "Plugin detail"
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      "multi-line": true,
                      modelValue: unref(model_new_plugin).description,
                      "onUpdate:modelValue": ($event) => unref(model_new_plugin).description = $event,
                      placeholder: "Plugin detail"
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", null, [
                createVNode(_component_r_row_label, { text: "Name" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      effect: "slug",
                      modelValue: unref(model_new_plugin).name,
                      "onUpdate:modelValue": ($event) => unref(model_new_plugin).name = $event,
                      transform: unref(tf_name),
                      placeholder: "Plugin Name"
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "transform"])
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row_label, { text: "Title" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      modelValue: unref(model_new_plugin).title,
                      "onUpdate:modelValue": ($event) => unref(model_new_plugin).title = $event,
                      placeholder: "Plugin Title"
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row_label, { text: "Description" }, {
                  default: withCtx(() => [
                    createVNode(_component_r_input, {
                      "multi-line": true,
                      modelValue: unref(model_new_plugin).description,
                      "onUpdate:modelValue": ($event) => unref(model_new_plugin).description = $event,
                      placeholder: "Plugin detail"
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ]),
                  _: 1
                })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(show_remove_modal),
        "onUpdate:modelValue": ($event) => isRef(show_remove_modal) ? show_remove_modal.value = $event : show_remove_modal = $event,
        onClose: unref(hnd_remove_plugin),
        confirm: "Delete",
        cancel: "Cancel"
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<span class="font-bold color-red-500" data-v-1cbb14ad${_scopeId}>Delete Plugin(s)</span>`);
          } else {
            return [
              createVNode("span", { class: "font-bold color-red-500" }, "Delete Plugin(s)")
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="max-w-md" data-v-1cbb14ad${_scopeId}> Are you sure you want to delete these plugin(s): <!--[-->`);
            ssrRenderList(unref(list_selected_plugin_names), (name, ni) => {
              _push2(`<span class="mr-1 tag" data-v-1cbb14ad${_scopeId}>${ssrInterpolate(name)}</span>`);
            });
            _push2(`<!--]--></div>`);
          } else {
            return [
              createVNode("div", { class: "max-w-md" }, [
                createTextVNode(" Are you sure you want to delete these plugin(s): "),
                (openBlock(true), createBlock(Fragment, null, renderList(unref(list_selected_plugin_names), (name, ni) => {
                  return openBlock(), createBlock("span", {
                    class: "mr-1 tag",
                    key: "name-" + ni + name
                  }, toDisplayString(name), 1);
                }), 128))
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/plugins.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const plugins = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-1cbb14ad"]]);

export { plugins as default };
//# sourceMappingURL=plugins-MWcqEAzm.mjs.map
