import { u as useViewerState, b as useAppState, m as util, j as useRequest, c as __nuxt_component_0$1, F as __nuxt_component_4, G as __nuxt_component_8$1, H as _sfc_main$v } from './server.mjs';
import { ref, computed, mergeProps, unref, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrInterpolate, ssrRenderAttr, ssrRenderClass } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "profile",
  __ssrInlineRender: true,
  setup(__props) {
    let view_state = useViewerState();
    let open_image_browser = ref(false);
    let open_fb = (val) => {
      open_image_browser.value = val;
    };
    let app_state = useAppState();
    app_state.layout = "user";
    let meta_settings = ref([]);
    let hnd_avatar_image_changed = (event) => {
      console.log("-->avatar changed", event);
      useRequest({ url: "/api/users/metas", body: {
        user_id: user.value.id,
        name: "avatar",
        value: user.value.image
      }, method: "post" }).then((res) => {
        app_state.notice({ title: "Avatar", msg: "Updated avatar" });
      });
    };
    let load_options = async () => {
      let res = await useRequest({ url: "/api/users/metas", method: "get" });
      meta_settings.value = res.d;
    };
    load_options();
    let hnd_field_changed = async (field, e) => {
      console.log("FIeld Changed --Yea?", field, e);
      let opt = {
        name: field.name,
        value: e.value
      };
      await useRequest({ url: "/api/users/metas", body: opt, method: "post" });
    };
    let user_roles = ref([]);
    let roles_list = ref([]);
    let load_roles = async () => {
      let res = await useRequest({ url: "/api/users/user-roles", method: "get" });
      user_roles.value = res.d;
      roles_list.value = res.roles_list;
    };
    load_roles();
    let role_status = computed(() => {
      return (role) => {
        let default_status = "unasigned";
        if (!role) return default_status;
        if (!roles_list || roles_list && roles_list.length == 0) return default_status;
        if (!user_roles || user_roles && user_roles.length == 0) return default_status;
        let assignment = user_roles.value.find((it) => it.role == role.name);
        if (!assignment) return default_status;
        return assignment.status || default_status;
      };
    });
    let page_head = usePageHead();
    useHead(page_head.value({ title: "Profile" }));
    ref(null);
    let user = ref(util.copy(view_state.user));
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_avatar = __nuxt_component_4;
      const _component_r_filebrowser = __nuxt_component_8$1;
      const _component_r_field = _sfc_main$v;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "as afw" }, _attrs))}><h1 class="mb-6">Profile</h1>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(ssrRenderComponent(_component_r_avatar, {
        size: "lg",
        class: "cursor-pointer mb-3",
        image: unref(user).image,
        "allow-picker": true,
        onClick: ($event) => unref(open_fb)(true)
      }, null, _parent));
      _push(ssrRenderComponent(_component_r_filebrowser, {
        modelValue: unref(user).image,
        "onUpdate:modelValue": ($event) => unref(user).image = $event,
        style: { "display": "none" },
        onSelection: unref(hnd_avatar_image_changed),
        "force-open": unref(open_image_browser),
        onResetForceOpen: ($event) => unref(open_fb)(false)
      }, null, _parent));
      _push(`<!--[-->`);
      ssrRenderList(unref(meta_settings), (section, i) => {
        _push(`<div><h3>${ssrInterpolate(section.title)}</h3><div class="mt-2 mb-6 color-gray-600">${ssrInterpolate(section.description)}</div><div class="pl-0"><!--[-->`);
        ssrRenderList(section.children, (field, fi) => {
          _push(ssrRenderComponent(_component_r_field, {
            modelValue: section.children[fi],
            "onUpdate:modelValue": ($event) => section.children[fi] = $event,
            section,
            field,
            class: "mb-3",
            onChange: ($event) => unref(hnd_field_changed)(field, $event)
          }, null, _parent));
        });
        _push(`<!--]--></div></div>`);
      });
      _push(`<!--]--><h3>Roles</h3>`);
      if (!unref(roles_list) || unref(roles_list) && unref(roles_list).length == 0) {
        _push(`<p>There are no roles defined on the site</p>`);
      } else {
        _push(`<ul class="roles-list list-none"><!--[-->`);
        ssrRenderList(unref(roles_list), (role, ri) => {
          _push(`<li class="role mt-1 mb-5"${ssrRenderAttr("role", role.name)}><div><span class="font-bold">${ssrInterpolate(role.title)}</span> - <span class="${ssrRenderClass([[unref(role_status)(role)], "ml-3 tag"])}">${ssrInterpolate(unref(role_status)(role))}</span>`);
          if (unref(role_status)(role) != "approved") {
            _push(`<button class="btn ml-4" to="#"><span>request</span>`);
            if (role.busy) {
              _push(`<span class="sm loader-spinner"></span>`);
            } else {
              _push(`<!---->`);
            }
            _push(`</button>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div><div class="color-gray-600 text-smaller">${ssrInterpolate(role.description)}</div></li>`);
        });
        _push(`<!--]--></ul>`);
      }
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/profile.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as default };
//# sourceMappingURL=profile-BiYmqWuV.mjs.map
