import { u as useViewerState, b as useAppState, j as useRequest, c as __nuxt_component_0$1, d as __nuxt_component_1$1, H as _sfc_main$v, C as __nuxt_component_4$2, o as __nuxt_component_5$1, w as __nuxt_component_7$2, A as __nuxt_component_8$2, k as __nuxt_component_8, G as __nuxt_component_8$1 } from './server.mjs';
import { ref, computed, mergeProps, unref, withCtx, isRef, createVNode, createTextVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderAttr, ssrRenderList, ssrInterpolate, ssrRenderClass, ssrRenderStyle } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "settings",
  __ssrInlineRender: true,
  setup(__props) {
    useViewerState();
    let app_state = useAppState();
    app_state.layout = "user";
    let is_busy_cache = ref(false), is_busy_backup = ref(false);
    let options_list = ref([]);
    let load_options_settings_list = async () => {
      let res = await useRequest({ url: "/api/options", method: "get", user_fetch: true });
      options_list.value = res.d;
    };
    load_options_settings_list();
    let hnd_field_changed = async (field, e) => {
      let opt = {
        name: field.name,
        value: e.value
      };
      await useRequest({ url: "/api/options", body: opt, method: "post" });
    };
    let setting_value = computed(() => {
      return (setting_name) => {
        if (!Array.isArray(options_list.value)) return null;
        if (!setting_name) return;
        setting_name = setting_name.toLowerCase();
        for (var section of options_list.value) {
          if (!Array.isArray(section.children)) continue;
          for (var setting of section.children) {
            if (!setting) continue;
            if (setting.name && setting.name.toLowerCase() == setting_name) {
              return setting.value;
            }
          }
        }
      };
    });
    let page_head = usePageHead();
    useHead(page_head.value({ title: "Settings", description: "Manage site permissions and settings" }));
    let currency_types = ref(null);
    app_state.get_currencies().then((values) => {
      currency_types.value = values;
    });
    let e_shipping_cond = ref(null);
    let e_tax_rate = ref(null);
    let e_currency = ref(null);
    let e_payment_sk = ref(null), e_payment_pk = ref(null);
    let load_shipping_data = async () => {
      let results = await app_state.get_options([
        "store_shipping",
        "store_tax_rate",
        "store_currency",
        "store_stripe_pk_secret",
        "store_stripe_sk_secret"
      ]);
      for (var opt of results) {
        if (opt.name == "store_shipping") {
          e_shipping_cond.value = opt.value || [];
        } else if (opt.name == "store_tax_rate") {
          e_tax_rate.value = opt.value;
        } else if (opt.name == "store_currency") {
          e_currency.value = opt.value;
        } else if (opt.name == "store_stripe_pk_secret") {
          e_payment_pk.value = opt.value;
        } else if (opt.name == "store_stripe_sk_secret") {
          e_payment_sk.value = opt.value;
        }
      }
    };
    load_shipping_data();
    let shipping_cond_types = ref([
      { title: "Flat Rate", value: "flat" },
      { title: "By Price", value: "by_price" },
      { title: "By Weight", value: "by_weight" }
    ]);
    let busy_shipping = ref(false);
    let hnd_save_tax_rate = (e) => {
      app_state.set_option("store_tax_rate", e_tax_rate.value);
    };
    let hnd_save_payment_key = (type, val) => {
      let name = type == "pk" ? "store_stripe_pk_secret" : "store_stripe_sk_secret";
      app_state.set_option(name, val);
    };
    let hnd_save_currency = () => {
      app_state.set_option("store_currency", e_currency.value);
    };
    ref(null);
    ref({ name: "", password: "" });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_viewer = __nuxt_component_1$1;
      const _component_r_field = _sfc_main$v;
      const _component_r_row_label = __nuxt_component_4$2;
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_select = __nuxt_component_7$2;
      const _component_r_checkbox = __nuxt_component_8$2;
      const _component_r_post_component = __nuxt_component_8;
      const _component_r_filebrowser = __nuxt_component_8$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "settings-page" }, _attrs))}>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(ssrRenderComponent(_component_r_viewer, null, null, _parent));
      _push(`<h1>Settings</h1><div class="mt-4 mb-5 flex gap-5"><button type="button" class="btn"${ssrRenderAttr("data-tooltip", "Clear options cache")}>`);
      if (unref(is_busy_cache)) {
        _push(`<span class="loader-spinner sm mr-2"></span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<span>Clear Cache</span></button><button type="button" class="btn solid-warn"${ssrRenderAttr("data-tooltip", "Backup Website")}>`);
      if (unref(is_busy_backup)) {
        _push(`<span class="loader-spinner sm mr-2"></span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<span>Backup</span></button></div><!--[-->`);
      ssrRenderList(unref(options_list), (section, i) => {
        _push(`<!--[--><h3 class="section-title">${ssrInterpolate(section.title || section.name)}</h3><div class="mt-2 mb-6 color-gray-600">${ssrInterpolate(section.description)}</div><div class="pl-0 section-settings"${ssrRenderAttr("section-name", section.name)}><!--[-->`);
        ssrRenderList(section.children, (field, fi) => {
          _push(ssrRenderComponent(_component_r_field, {
            modelValue: section.children[fi],
            "onUpdate:modelValue": ($event) => section.children[fi] = $event,
            class: "mb-3",
            "field-name": [field.name],
            onChange: ($event) => unref(hnd_field_changed)(field, $event)
          }, null, _parent));
        });
        _push(`<!--]-->`);
        if (unref(setting_value)("has_ecommerce") && section.name == "store_settings") {
          _push(`<!--[--><div class="payment-process max-w-md mb-4"><h3 class="text-base mb-2">Payment Processing</h3><div class="flex justify-between gap-2 mt-5">`);
          _push(ssrRenderComponent(_component_r_row_label, { text: "API Public Key" }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(ssrRenderComponent(_component_r_input, {
                  modelValue: unref(e_payment_pk),
                  "onUpdate:modelValue": ($event) => isRef(e_payment_pk) ? e_payment_pk.value = $event : e_payment_pk = $event,
                  onChange: ($event) => unref(hnd_save_payment_key)("pk", unref(e_payment_pk))
                }, null, _parent2, _scopeId));
              } else {
                return [
                  createVNode(_component_r_input, {
                    modelValue: unref(e_payment_pk),
                    "onUpdate:modelValue": ($event) => isRef(e_payment_pk) ? e_payment_pk.value = $event : e_payment_pk = $event,
                    onChange: ($event) => unref(hnd_save_payment_key)("pk", unref(e_payment_pk))
                  }, null, 8, ["modelValue", "onUpdate:modelValue", "onChange"])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(ssrRenderComponent(_component_r_row_label, { text: "API Secret Key" }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(ssrRenderComponent(_component_r_input, {
                  type: "password",
                  modelValue: unref(e_payment_sk),
                  "onUpdate:modelValue": ($event) => isRef(e_payment_sk) ? e_payment_sk.value = $event : e_payment_sk = $event,
                  onChange: ($event) => unref(hnd_save_payment_key)("sk", unref(e_payment_sk)),
                  placeholder: "Secret Key"
                }, null, _parent2, _scopeId));
              } else {
                return [
                  createVNode(_component_r_input, {
                    type: "password",
                    modelValue: unref(e_payment_sk),
                    "onUpdate:modelValue": ($event) => isRef(e_payment_sk) ? e_payment_sk.value = $event : e_payment_sk = $event,
                    onChange: ($event) => unref(hnd_save_payment_key)("sk", unref(e_payment_sk)),
                    placeholder: "Secret Key"
                  }, null, 8, ["modelValue", "onUpdate:modelValue", "onChange"])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</div></div><div class="tax-rate max-w-md mb-5"><h3 class="text-base mb-2">Tax &amp; Currency</h3>`);
          _push(ssrRenderComponent(_component_r_row_label, { text: "Tax Rate" }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(ssrRenderComponent(_component_r_input, {
                  modelValue: unref(e_tax_rate),
                  "onUpdate:modelValue": ($event) => isRef(e_tax_rate) ? e_tax_rate.value = $event : e_tax_rate = $event,
                  type: "number",
                  class: "compact",
                  onChange: unref(hnd_save_tax_rate)
                }, {
                  "post-fix": withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`<span${_scopeId2}>%</span>`);
                    } else {
                      return [
                        createVNode("span", null, "%")
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              } else {
                return [
                  createVNode(_component_r_input, {
                    modelValue: unref(e_tax_rate),
                    "onUpdate:modelValue": ($event) => isRef(e_tax_rate) ? e_tax_rate.value = $event : e_tax_rate = $event,
                    type: "number",
                    class: "compact",
                    onChange: unref(hnd_save_tax_rate)
                  }, {
                    "post-fix": withCtx(() => [
                      createVNode("span", null, "%")
                    ]),
                    _: 1
                  }, 8, ["modelValue", "onUpdate:modelValue", "onChange"])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(ssrRenderComponent(_component_r_row_label, { text: "Currency" }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(ssrRenderComponent(_component_r_select, {
                  modelValue: unref(e_currency),
                  "onUpdate:modelValue": ($event) => isRef(e_currency) ? e_currency.value = $event : e_currency = $event,
                  values: unref(currency_types),
                  onChange: unref(hnd_save_currency)
                }, null, _parent2, _scopeId));
              } else {
                return [
                  createVNode(_component_r_select, {
                    modelValue: unref(e_currency),
                    "onUpdate:modelValue": ($event) => isRef(e_currency) ? e_currency.value = $event : e_currency = $event,
                    values: unref(currency_types),
                    onChange: unref(hnd_save_currency)
                  }, null, 8, ["modelValue", "onUpdate:modelValue", "values", "onChange"])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</div><div class="shipping-logic"><h3 class="text-base">Shipping</h3><div class="my-3"><button class="btn">Add Shipping</button></div><ul class="list-none max-w-md"><!--[-->`);
          ssrRenderList(unref(e_shipping_cond), (shp_cond, j) => {
            _push(`<li class="mb-3 pl-6"><div class="flex gap-1 items-start"><button class="btn mt-3 color-red-500 hover:bg-red-500 hover:bg-opacity-20"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12"></path></svg></button>`);
            _push(ssrRenderComponent(_component_r_row_label, {
              class: ["flex-1"],
              text: "Shipping Profile Name"
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(ssrRenderComponent(_component_r_input, {
                    modelValue: shp_cond.name,
                    "onUpdate:modelValue": ($event) => shp_cond.name = $event
                  }, null, _parent2, _scopeId));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      modelValue: shp_cond.name,
                      "onUpdate:modelValue": ($event) => shp_cond.name = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</div><div class="flex justify-between gap-2">`);
            _push(ssrRenderComponent(_component_r_row_label, { text: "Type" }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(ssrRenderComponent(_component_r_select, {
                    values: unref(shipping_cond_types),
                    modelValue: shp_cond.type,
                    "onUpdate:modelValue": ($event) => shp_cond.type = $event
                  }, null, _parent2, _scopeId));
                } else {
                  return [
                    createVNode(_component_r_select, {
                      values: unref(shipping_cond_types),
                      modelValue: shp_cond.type,
                      "onUpdate:modelValue": ($event) => shp_cond.type = $event
                    }, null, 8, ["values", "modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(ssrRenderComponent(_component_r_row_label, { text: "Nominal Rate" }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(ssrRenderComponent(_component_r_input, {
                    type: "number",
                    modelValue: shp_cond.rate,
                    "onUpdate:modelValue": ($event) => shp_cond.rate = $event
                  }, null, _parent2, _scopeId));
                } else {
                  return [
                    createVNode(_component_r_input, {
                      type: "number",
                      modelValue: shp_cond.rate,
                      "onUpdate:modelValue": ($event) => shp_cond.rate = $event
                    }, null, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</div>`);
            if (shp_cond.type == "by_price") {
              _push(`<!--[-->`);
              _push(ssrRenderComponent(_component_r_checkbox, {
                modelValue: shp_cond.conditional,
                "onUpdate:modelValue": ($event) => shp_cond.conditional = $event
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`Conditional`);
                  } else {
                    return [
                      createTextVNode("Conditional")
                    ];
                  }
                }),
                _: 2
              }, _parent));
              if (shp_cond.conditional) {
                _push(`<p>When the order is greater or lesser than below, use rates accordingly</p>`);
              } else {
                _push(`<!---->`);
              }
              if (shp_cond.conditional) {
                _push(`<div class="Order-conditional flex gap-2"><div class="${ssrRenderClass([[shp_cond.min_order <= 0 ? "opacity-40" : ""], "min-order"])}">`);
                _push(ssrRenderComponent(_component_r_row_label, { text: "Min Order Price" }, {
                  default: withCtx((_, _push2, _parent2, _scopeId) => {
                    if (_push2) {
                      _push2(ssrRenderComponent(_component_r_input, {
                        type: "number",
                        modelValue: shp_cond.min_order,
                        "onUpdate:modelValue": ($event) => shp_cond.min_order = $event
                      }, null, _parent2, _scopeId));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          type: "number",
                          modelValue: shp_cond.min_order,
                          "onUpdate:modelValue": ($event) => shp_cond.min_order = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent));
                _push(ssrRenderComponent(_component_r_row_label, { text: "Min Order Rate" }, {
                  default: withCtx((_, _push2, _parent2, _scopeId) => {
                    if (_push2) {
                      _push2(ssrRenderComponent(_component_r_input, {
                        type: "number",
                        modelValue: shp_cond.min_order_rate,
                        "onUpdate:modelValue": ($event) => shp_cond.min_order_rate = $event
                      }, null, _parent2, _scopeId));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          type: "number",
                          modelValue: shp_cond.min_order_rate,
                          "onUpdate:modelValue": ($event) => shp_cond.min_order_rate = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent));
                _push(`</div><div class="${ssrRenderClass([[shp_cond.max_order <= 0 ? "opacity-40" : ""], "max-order"])}">`);
                _push(ssrRenderComponent(_component_r_row_label, { text: "Max Order Price" }, {
                  default: withCtx((_, _push2, _parent2, _scopeId) => {
                    if (_push2) {
                      _push2(ssrRenderComponent(_component_r_input, {
                        type: "number",
                        modelValue: shp_cond.max_order,
                        "onUpdate:modelValue": ($event) => shp_cond.max_order = $event
                      }, null, _parent2, _scopeId));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          type: "number",
                          modelValue: shp_cond.max_order,
                          "onUpdate:modelValue": ($event) => shp_cond.max_order = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent));
                _push(ssrRenderComponent(_component_r_row_label, { text: "Min Order Rate" }, {
                  default: withCtx((_, _push2, _parent2, _scopeId) => {
                    if (_push2) {
                      _push2(ssrRenderComponent(_component_r_input, {
                        type: "number",
                        modelValue: shp_cond.max_order_rate,
                        "onUpdate:modelValue": ($event) => shp_cond.max_order_rate = $event
                      }, null, _parent2, _scopeId));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          type: "number",
                          modelValue: shp_cond.max_order_rate,
                          "onUpdate:modelValue": ($event) => shp_cond.max_order_rate = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent));
                _push(`</div></div>`);
              } else {
                _push(`<!---->`);
              }
              _push(`<!--]-->`);
            } else {
              _push(`<!---->`);
            }
            if (shp_cond.type == "by_weight") {
              _push(`<!--[-->`);
              _push(ssrRenderComponent(_component_r_checkbox, {
                modelValue: shp_cond.conditional,
                "onUpdate:modelValue": ($event) => shp_cond.conditional = $event
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`Conditional`);
                  } else {
                    return [
                      createTextVNode("Conditional")
                    ];
                  }
                }),
                _: 2
              }, _parent));
              if (shp_cond.conditional) {
                _push(`<p>When the order is greater or lesser than below, use rates accordingly</p>`);
              } else {
                _push(`<!---->`);
              }
              if (shp_cond.conditional) {
                _push(`<div class="Order-conditional flex gap-2"><div class="${ssrRenderClass([[shp_cond.min_weight <= 0 ? "opacity-40" : ""], "min-order"])}">`);
                _push(ssrRenderComponent(_component_r_row_label, { text: "Min Order Weight" }, {
                  default: withCtx((_, _push2, _parent2, _scopeId) => {
                    if (_push2) {
                      _push2(ssrRenderComponent(_component_r_input, {
                        type: "number",
                        modelValue: shp_cond.min_weight,
                        "onUpdate:modelValue": ($event) => shp_cond.min_weight = $event
                      }, null, _parent2, _scopeId));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          type: "number",
                          modelValue: shp_cond.min_weight,
                          "onUpdate:modelValue": ($event) => shp_cond.min_weight = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent));
                _push(ssrRenderComponent(_component_r_row_label, { text: "Min Order Weight" }, {
                  default: withCtx((_, _push2, _parent2, _scopeId) => {
                    if (_push2) {
                      _push2(ssrRenderComponent(_component_r_input, {
                        type: "number",
                        modelValue: shp_cond.min_weight_rate,
                        "onUpdate:modelValue": ($event) => shp_cond.min_weight_rate = $event
                      }, null, _parent2, _scopeId));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          type: "number",
                          modelValue: shp_cond.min_weight_rate,
                          "onUpdate:modelValue": ($event) => shp_cond.min_weight_rate = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent));
                _push(`</div><div class="${ssrRenderClass([[shp_cond.max_weight <= 0 ? "opacity-40" : ""], "max-order"])}">`);
                _push(ssrRenderComponent(_component_r_row_label, { text: "Max Order Weight" }, {
                  default: withCtx((_, _push2, _parent2, _scopeId) => {
                    if (_push2) {
                      _push2(ssrRenderComponent(_component_r_input, {
                        type: "number",
                        modelValue: shp_cond.max_weight,
                        "onUpdate:modelValue": ($event) => shp_cond.max_weight = $event
                      }, null, _parent2, _scopeId));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          type: "number",
                          modelValue: shp_cond.max_weight,
                          "onUpdate:modelValue": ($event) => shp_cond.max_weight = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent));
                _push(ssrRenderComponent(_component_r_row_label, { text: "Min Order Weight" }, {
                  default: withCtx((_, _push2, _parent2, _scopeId) => {
                    if (_push2) {
                      _push2(ssrRenderComponent(_component_r_input, {
                        type: "number",
                        modelValue: shp_cond.max_weight_rate,
                        "onUpdate:modelValue": ($event) => shp_cond.max_weight_rate = $event
                      }, null, _parent2, _scopeId));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          type: "number",
                          modelValue: shp_cond.max_weight_rate,
                          "onUpdate:modelValue": ($event) => shp_cond.max_weight_rate = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent));
                _push(`</div></div>`);
              } else {
                _push(`<!---->`);
              }
              _push(`<!--]-->`);
            } else {
              _push(`<!---->`);
            }
            _push(`</li>`);
          });
          _push(`<!--]--></ul><div class="shipping mt-6"><button class="btn">`);
          if (unref(busy_shipping)) {
            _push(`<span class="loader-spinner sm color-primary"></span>`);
          } else {
            _push(`<!---->`);
          }
          _push(`<span>Update Shipping </span></button></div></div><!--]-->`);
        } else {
          _push(`<!---->`);
        }
        _push(ssrRenderComponent(_component_r_post_component, {
          location: `settings_${section.name}`
        }, null, _parent));
        _push(`</div><!--]-->`);
      });
      _push(`<!--]--><div style="${ssrRenderStyle({ "margin-bottom": "20rem" })}"></div>`);
      _push(ssrRenderComponent(_component_r_filebrowser, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`File Browswer`);
          } else {
            return [
              createTextVNode("File Browswer")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/settings.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as default };
//# sourceMappingURL=settings-h_Qm7UqG.mjs.map
