import { u as useViewerState, b as useAppState, l as useBusy, j as useRequest, n as navigateTo, c as __nuxt_component_0$1, t as __nuxt_component_1$2, o as __nuxt_component_5$1, p as __nuxt_component_1$3, a as __nuxt_component_0$3, s as __nuxt_component_1$4 } from './server.mjs';
import { ref, mergeProps, unref, withCtx, createTextVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "signup",
  __ssrInlineRender: true,
  setup(__props) {
    useViewerState();
    let app_state = useAppState();
    app_state.layout = "default";
    let allow_reg = ref(true);
    app_state.get_option("allow_user_registration_public").then((val) => {
      allow_reg.value = val;
    });
    let user = ref({
      name: "",
      password: ""
    });
    let page_head = usePageHead();
    useHead(page_head.value({
      // title  : "Signup", description 
    }));
    let { busy, busy_start, busy_end } = useBusy();
    let hnd_submit = (e) => {
      useRequest({
        url: "/api/signup",
        method: "post",
        body: user.value
      }).then(() => {
        app_state.notice({
          title: "Successfully registered"
        });
        setTimeout(() => busy_end(), 2e3);
        setTimeout(() => navigateTo("/login"), 400);
      }).catch((e2) => {
        console.error("Error ", e2);
        app_state.notice({
          title: "Registeration Error",
          msg: e2.msg,
          theme: "danger"
        });
        busy_start();
      });
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_label = __nuxt_component_1$2;
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_button = __nuxt_component_1$3;
      const _component_nuxt_link = __nuxt_component_0$3;
      const _component_r_link = __nuxt_component_1$4;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "flex flex-col items-center justify-center px-6 py-8 mx-auto md:h-screen lg:py-0" }, _attrs))}>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(`<div class="my-9"> </div>`);
      if (unref(allow_reg)) {
        _push(`<form class="mt-9 w-full max-w-md bg-white rounded-lg p-8 shadow-md dark:border md:mt-0 sm:max-w-md xl:p-0 dark:bg-gray-800 dark:border-gray-700"><div class="row mb-1">`);
        _push(ssrRenderComponent(_component_r_label, null, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`User Name`);
            } else {
              return [
                createTextVNode("User Name")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(ssrRenderComponent(_component_r_input, {
          modelValue: unref(user).name,
          "onUpdate:modelValue": ($event) => unref(user).name = $event
        }, null, _parent));
        _push(`</div><div class="row mb-1">`);
        _push(ssrRenderComponent(_component_r_label, null, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Email`);
            } else {
              return [
                createTextVNode("Email")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(ssrRenderComponent(_component_r_input, {
          modelValue: unref(user).email,
          "onUpdate:modelValue": ($event) => unref(user).email = $event
        }, null, _parent));
        _push(`</div><div class="row mb-1">`);
        _push(ssrRenderComponent(_component_r_label, null, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Password`);
            } else {
              return [
                createTextVNode("Password")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(ssrRenderComponent(_component_r_input, {
          modelValue: unref(user).password,
          "onUpdate:modelValue": ($event) => unref(user).password = $event,
          type: "password"
        }, null, _parent));
        _push(`</div><div class="row mb-1 mt-10">`);
        _push(ssrRenderComponent(_component_r_button, {
          class: "primary solid",
          onClick: unref(hnd_submit),
          "is-busy": unref(busy)
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Sign Up`);
            } else {
              return [
                createTextVNode("Sign Up")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div><div class="row mt-5 flex justify-center gap-2">`);
        _push(ssrRenderComponent(_component_nuxt_link, { to: "/" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Home`);
            } else {
              return [
                createTextVNode("Home")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(ssrRenderComponent(_component_nuxt_link, {
          class: "primary",
          to: "/login"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Log in`);
            } else {
              return [
                createTextVNode("Log in")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div></form>`);
      } else {
        _push(`<div class="mt-9 w-full max-w-md bg-white rounded-lg p-8 md:mt-0 sm:max-w-md xl:p-0 shadow-md"><h1>Registration Disabled</h1><div class="my-9"><p>User registration is disabled at this time. If contact site admin for more details.</p>`);
        _push(ssrRenderComponent(_component_r_link, { to: "/" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`Home`);
            } else {
              return [
                createTextVNode("Home")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div></div>`);
      }
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/signup.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as default };
//# sourceMappingURL=signup-Cf2SgBu_.mjs.map
