import { u as useViewerState } from './server.mjs';
import { computed } from 'vue';

const usePageHead = () => {
  let view_state = useViewerState();
  let head = computed(() => {
    return (option) => {
      if (!option) option = {};
      let the_post = view_state.post || {};
      let out = { title: option.title || "Untitle - Page" };
      let url = the_post.url;
      if (url) url = url.toLowerCase();
      out.title = the_post.title || "Untitle / Page";
      if (option.title) out.title = option.title;
      out.description = the_post.description || option.description;
      if (option.description) out.description = option.description;
      let meta = [...the_post.meta || [], ...option.meta || []];
      let script = [...the_post.page_scripts || [], ...option.script || option.scripts || []];
      let link = [...the_post.page_links || [], ...option.link || option.links || []];
      let style = [...the_post.page_styles || [], ...option.style || option.styles || []];
      let bodyAttrs = { ...the_post.body_attr || the_post.body_attrs || {}, ...option.body_attr || option.body_attrs || {} };
      out.meta = meta;
      out.script = script;
      out.style = style;
      out.link = link;
      out.bodyAttrs = bodyAttrs;
      if (!out.bodyAttrs.class) out.bodyAttrs.class = [];
      out.bodyAttrs.class.splice(0, 0, "jxt");
      out.bodyAttrs.class.splice(0, 0, view_state.user ? "logged-in" : "visitor");
      if (url) {
        out.bodyAttrs.class.splice(
          1,
          0,
          url == "/user" || url.startsWith("/user/") ? "backend" : "frontend"
        );
      } else {
        out.bodyAttrs.class.push("null-url");
      }
      return out;
    };
  });
  return head;
};

export { usePageHead as u };
//# sourceMappingURL=usePageHead-S9CHEAqv.mjs.map
