import { _ as _export_sfc, b as useAppState, u as useViewerState, e as useRoute, g as useModel, O as __nuxt_component_0$2, s as __nuxt_component_1$4, P as __nuxt_component_3$1, F as __nuxt_component_4 } from './server.mjs';
import { useSSRContext, ref, computed, mergeProps, unref, withCtx, openBlock, createBlock, createVNode, createCommentVNode, createTextVNode, toDisplayString, renderSlot, Fragment, renderList } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderAttr, ssrRenderStyle, ssrInterpolate, ssrRenderSlot, ssrRenderList, ssrRenderClass } from 'vue/server-renderer';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

function useMakeDragable(root, data) {
}
const _sfc_main$1 = {
  __name: "RNavItem",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    to: { type: String, default: null },
    drag: { type: Object, default: () => null }
  },
  emits: ["change"],
  setup(__props, { emit: __emit }) {
    const route = useRoute();
    const props = __props;
    let root = ref(null);
    const emit = __emit;
    useModel(props, emit);
    if (props.drag) useMakeDragable(root, props.drag);
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_link = __nuxt_component_1$4;
      _push(`<li${ssrRenderAttrs(mergeProps({
        ref_key: "root",
        ref: root,
        class: ["r-nav-item rc", [unref(route).path == __props.to ? "current" : ""]],
        draggable: __props.drag ? true : undefined
      }, _attrs))} data-v-e9d81b0e>`);
      if (__props.to) {
        _push(ssrRenderComponent(_component_r_link, {
          class: "flex gap-3",
          to: __props.to
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              ssrRenderSlot(_ctx.$slots, "default", {}, null, _push2, _parent2, _scopeId);
            } else {
              return [
                renderSlot(_ctx.$slots, "default", {}, undefined, true)
              ];
            }
          }),
          _: 3
        }, _parent));
      } else {
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      }
      _push(`</li>`);
    };
  }
};
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RNavItem.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : undefined;
};
const __nuxt_component_2 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-e9d81b0e"]]);
const _sfc_main = {
  __name: "user",
  __ssrInlineRender: true,
  setup(__props) {
    let app_state = useAppState();
    ref("theme-dark");
    let menu_items = computed(() => {
      return app_state.admin_menu;
    });
    let dashboard_setting = computed(() => {
      return app_state.dashboard_setting || {};
    });
    let theme = computed(() => {
      var _a;
      return (_a = dashboard_setting.value) == null ? undefined : _a.theme;
    });
    let view_state = useViewerState();
    let user2 = computed(() => {
      return view_state.user;
    });
    let copyright_years = computed(() => {
      let today = /* @__PURE__ */ new Date();
      return [2024, today.getFullYear()].join(" - ");
    });
    let app_name = computed(() => {
      return `JxtPress v${app_state.version}`;
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_nav_sidebar = __nuxt_component_0$2;
      const _component_r_link = __nuxt_component_1$4;
      const _component_r_nav_item = __nuxt_component_2;
      const _component_r_dropdown = __nuxt_component_3$1;
      const _component_r_avatar = __nuxt_component_4;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "app-layout user" }, _attrs))} data-v-247007fd>`);
      _push(ssrRenderComponent(_component_r_nav_sidebar, {
        class: ["gap-3", unref(theme)]
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="dashboard-logo-title p-2 flex-col items-center user-select-none text-md flex justify-center font-extrabold" data-v-247007fd${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_link, {
              to: "/",
              style: { "text-decoration": "none" }
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  if (unref(dashboard_setting).title) {
                    _push3(`<div class="dashboard-title" data-v-247007fd${_scopeId2}><span data-v-247007fd${_scopeId2}>${unref(dashboard_setting).title ?? ""}</span></div>`);
                  } else {
                    _push3(`<!---->`);
                  }
                } else {
                  return [
                    unref(dashboard_setting).title ? (openBlock(), createBlock("div", {
                      key: 0,
                      class: "dashboard-title"
                    }, [
                      createVNode("span", {
                        innerHTML: unref(dashboard_setting).title
                      }, null, 8, ["innerHTML"])
                    ])) : createCommentVNode("", true)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            if (unref(dashboard_setting).logo) {
              _push2(`<div class="dashboard-logo" data-v-247007fd${_scopeId}>`);
              if (unref(dashboard_setting).logo.startsWith("<svg")) {
                _push2(`<span${ssrRenderAttr("v-html", unref(dashboard_setting).logo)} data-v-247007fd${_scopeId}></span>`);
              } else {
                _push2(`<span data-v-247007fd${_scopeId}><img loading="lazy"${ssrRenderAttr("src", unref(dashboard_setting).logo)} style="${ssrRenderStyle({ maxWidth: "48px", maxHeight: "48px" })}" data-v-247007fd${_scopeId}></span>`);
              }
              _push2(`</div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "dashboard-logo-title p-2 flex-col items-center user-select-none text-md flex justify-center font-extrabold" }, [
                createVNode(_component_r_link, {
                  to: "/",
                  style: { "text-decoration": "none" }
                }, {
                  default: withCtx(() => [
                    unref(dashboard_setting).title ? (openBlock(), createBlock("div", {
                      key: 0,
                      class: "dashboard-title"
                    }, [
                      createVNode("span", {
                        innerHTML: unref(dashboard_setting).title
                      }, null, 8, ["innerHTML"])
                    ])) : createCommentVNode("", true)
                  ]),
                  _: 1
                }),
                unref(dashboard_setting).logo ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "dashboard-logo"
                }, [
                  unref(dashboard_setting).logo.startsWith("<svg") ? (openBlock(), createBlock("span", {
                    key: 0,
                    "v-html": unref(dashboard_setting).logo
                  }, null, 8, ["v-html"])) : (openBlock(), createBlock("span", { key: 1 }, [
                    createVNode("img", {
                      loading: "lazy",
                      src: unref(dashboard_setting).logo,
                      style: { maxWidth: "48px", maxHeight: "48px" }
                    }, null, 8, ["src"])
                  ]))
                ])) : createCommentVNode("", true)
              ])
            ];
          }
        }),
        "s-footer": withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="text-smaller opacity-50 pl-3 user-select-none" style="${ssrRenderStyle({ "margin-top": "4rem" })}" data-v-247007fd${_scopeId}>Powered by <span class="font-bold" data-v-247007fd${_scopeId}>${ssrInterpolate(unref(app_name))}</span></div><div class="text-smaller-1 opacity-50 pl-3 user-select-none" style="${ssrRenderStyle({ "margin-top": "0.5rem" })}" data-v-247007fd${_scopeId}><span class="" data-v-247007fd${_scopeId}>© ${ssrInterpolate(unref(copyright_years))} Rockstar Web Dev, LLC</span></div>`);
          } else {
            return [
              createVNode("div", {
                class: "text-smaller opacity-50 pl-3 user-select-none",
                style: { "margin-top": "4rem" }
              }, [
                createTextVNode("Powered by "),
                createVNode("span", { class: "font-bold" }, toDisplayString(unref(app_name)), 1)
              ]),
              createVNode("div", {
                class: "text-smaller-1 opacity-50 pl-3 user-select-none",
                style: { "margin-top": "0.5rem" }
              }, [
                createVNode("span", { class: "" }, "© " + toDisplayString(unref(copyright_years)) + " Rockstar Web Dev, LLC", 1)
              ])
            ];
          }
        }),
        title: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="flex justify-end pr-9" data-v-247007fd${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_dropdown, null, {
              control: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  if (unref(user2)) {
                    _push3(ssrRenderComponent(_component_r_avatar, {
                      horizontal: true,
                      image: unref(user2).image,
                      text: unref(user2).name
                    }, null, _parent3, _scopeId2));
                  } else {
                    _push3(`<!---->`);
                  }
                } else {
                  return [
                    unref(user2) ? (openBlock(), createBlock(_component_r_avatar, {
                      key: 0,
                      horizontal: true,
                      image: unref(user2).image,
                      text: unref(user2).name
                    }, null, 8, ["image", "text"])) : createCommentVNode("", true)
                  ];
                }
              }),
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_r_link, {
                    to: "/logout",
                    class: "w-full p-2",
                    underline: false
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`<div data-v-247007fd${_scopeId3}>Logout </div>`);
                      } else {
                        return [
                          createVNode("div", null, "Logout ")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_r_link, {
                      to: "/logout",
                      class: "w-full p-2",
                      underline: false
                    }, {
                      default: withCtx(() => [
                        createVNode("div", null, "Logout ")
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "flex justify-end pr-9" }, [
                createVNode(_component_r_dropdown, null, {
                  control: withCtx(() => [
                    unref(user2) ? (openBlock(), createBlock(_component_r_avatar, {
                      key: 0,
                      horizontal: true,
                      image: unref(user2).image,
                      text: unref(user2).name
                    }, null, 8, ["image", "text"])) : createCommentVNode("", true)
                  ]),
                  default: withCtx(() => [
                    createVNode(_component_r_link, {
                      to: "/logout",
                      class: "w-full p-2",
                      underline: false
                    }, {
                      default: withCtx(() => [
                        createVNode("div", null, "Logout ")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ])
            ];
          }
        }),
        content: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<article class="admin-page" data-v-247007fd${_scopeId}>`);
            ssrRenderSlot(_ctx.$slots, "default", {}, null, _push2, _parent2, _scopeId);
            _push2(`</article>`);
          } else {
            return [
              createVNode("article", { class: "admin-page" }, [
                renderSlot(_ctx.$slots, "default", {}, undefined, true)
              ])
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<!--[-->`);
            ssrRenderList(unref(menu_items), (item, item_index) => {
              _push2(ssrRenderComponent(_component_r_nav_item, {
                key: item_index + "-" + item.url,
                to: item.url,
                class: [unref(theme), "button"]
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    if (item.icon) {
                      _push3(`<span data-v-247007fd${_scopeId2}>`);
                      if (item.icon.startsWith("<svg")) {
                        _push3(`<span data-v-247007fd${_scopeId2}>${item.icon ?? ""}</span>`);
                      } else {
                        _push3(`<!---->`);
                      }
                      _push3(`</span>`);
                    } else {
                      _push3(`<!---->`);
                    }
                    _push3(`<span class="${ssrRenderClass([item.icon ? "ml-1" : null, "title"])}" data-v-247007fd${_scopeId2}>${ssrInterpolate(item.title)}</span>`);
                  } else {
                    return [
                      item.icon ? (openBlock(), createBlock("span", { key: 0 }, [
                        item.icon.startsWith("<svg") ? (openBlock(), createBlock("span", {
                          key: 0,
                          innerHTML: item.icon
                        }, null, 8, ["innerHTML"])) : createCommentVNode("", true)
                      ])) : createCommentVNode("", true),
                      createVNode("span", {
                        class: ["title", item.icon ? "ml-1" : null]
                      }, toDisplayString(item.title), 3)
                    ];
                  }
                }),
                _: 2
              }, _parent2, _scopeId));
            });
            _push2(`<!--]-->`);
          } else {
            return [
              (openBlock(true), createBlock(Fragment, null, renderList(unref(menu_items), (item, item_index) => {
                return openBlock(), createBlock(_component_r_nav_item, {
                  key: item_index + "-" + item.url,
                  to: item.url,
                  class: [unref(theme), "button"]
                }, {
                  default: withCtx(() => [
                    item.icon ? (openBlock(), createBlock("span", { key: 0 }, [
                      item.icon.startsWith("<svg") ? (openBlock(), createBlock("span", {
                        key: 0,
                        innerHTML: item.icon
                      }, null, 8, ["innerHTML"])) : createCommentVNode("", true)
                    ])) : createCommentVNode("", true),
                    createVNode("span", {
                      class: ["title", item.icon ? "ml-1" : null]
                    }, toDisplayString(item.title), 3)
                  ]),
                  _: 2
                }, 1032, ["to", "class"]);
              }), 128))
            ];
          }
        }),
        _: 3
      }, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("layouts/user.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const user = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-247007fd"]]);

export { user as default };
//# sourceMappingURL=user-DM9rj6s4.mjs.map
