import { _ as _export_sfc, u as useViewerState, b as useAppState, f as useTfText, m as util, j as useRequest, c as __nuxt_component_0$1, d as __nuxt_component_1$1, v as __nuxt_component_3$2, C as __nuxt_component_4$2, o as __nuxt_component_5$1, K as _sfc_main$J, w as __nuxt_component_7$2 } from './server.mjs';
import { _ as __nuxt_component_2 } from './RTable-BSxigCV9.mjs';
import { ref, withAsyncContext, computed, mergeProps, withCtx, unref, isRef, createVNode, openBlock, createBlock, createCommentVNode, toDisplayString, Fragment, renderList, createTextVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrRenderClass, ssrRenderAttr, ssrInterpolate, ssrRenderStyle } from 'vue/server-renderer';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import { u as useHead } from './index-BabADJUJ.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "users",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    useViewerState();
    let app_state = useAppState();
    let site_capabilities = ref([]);
    let site_roles = ref([]);
    let pickable_roles = ref([]);
    let fn_slug = (value) => {
      if (typeof value == "string") {
        value = value.toLowerCase().replace(/\s/gm, "_");
      }
      return value;
    };
    let tftx = useTfText();
    let role_status = ref([
      { title: "Approved", value: "approved" },
      { title: "Denied", value: "denied" },
      { title: "Pending", value: "pending" }
    ]);
    let active_user = ref(null);
    let active_user_role = ref(null);
    let hnd_edit_user = (user) => {
      active_user.value = util.copy(user);
    };
    let hnd_add_new_user_role = () => {
      hnd_edit_user_role({ user_id: active_user.value.id, role: "", status: "pending" });
    };
    let hnd_edit_user_role = (role) => {
      active_user_role.value = util.copy(role);
      if (!role) return;
    };
    let hnd_select_role_changed = () => {
      if (!Array.isArray(active_user.value.roles)) active_user.value.roles = [];
      let assigned_roles = active_user.value.roles.map((it) => {
        return { role: it.role, id: it.id };
      });
      let dup_role_names = [];
      for (var i = 0; i < assigned_roles.length; i++) {
        if (assigned_roles[i].id != active_user_role.value.id) {
          dup_role_names.push(assigned_roles[i].role);
        }
      }
      if (dup_role_names.includes(active_user_role.value.role)) {
        console.log(assigned_roles, active_user_role.value.role);
        active_user_role.value.role = "";
        app_state.notice({ title: "Existing", msg: "The role is already existing" });
      }
    };
    let hnd_mark_user_role_for_delete = (role, e) => {
      e.preventDefault();
      e.stopPropagation();
      if (!role) return;
      if (role.delete === undefined) role.delete = false;
      role.delete = !role.delete;
    };
    let hnd_complete_user_role_edit = (affirmed) => {
      if (!affirmed) {
        active_user_role.value = null;
        return;
      } else {
        hnd_select_role_changed();
        if (!active_user_role.value.role) return;
        if (!active_user.value.roles) active_user.value.roles = [];
        let it = active_user.value.roles.find((it2) => it2.id == active_user_role.value.id);
        if (!it) {
          active_user_role.value.is_new = true;
          active_user_role.value.id = Date.now();
          active_user.value.roles.push(active_user_role.value);
        } else {
          it.status = active_user_role.value.status;
        }
        active_user_role.value = null;
      }
    };
    let hnd_close_edit_user = async (result) => {
      if (result.action == "ok") {
        let payload = {
          roles: active_user.value.roles
        };
        await useRequest({ url: "/api/users/user-roles", method: "post", body: payload });
        await load_users(api_url.value);
        active_user.value = null;
      }
      active_user_role.value = null;
    };
    let fetch_pickable_roles = () => {
      app_state.get_roles().then((roles) => {
        if (Array.isArray(roles)) {
          site_roles.value = roles;
          pickable_roles.value = roles.map((it) => ({ title: it.title, value: it.name }));
        }
      });
    };
    let fetch_caps = () => {
      useRequest({ url: `/api/options/capabilities` }).then((res) => {
        site_capabilities.value = res.d;
      });
    };
    fetch_caps();
    fetch_pickable_roles();
    let is_editing_cap = ref(false);
    let active_cap = ref(null);
    let is_editing_role = ref(false);
    let active_role = ref(null);
    let hnd_edit_capability = (cap) => {
      if (cap) {
        if (cap.native) return;
        is_editing_cap.value = true;
        active_cap.value = util.copy(cap);
      }
    };
    let hnd_edit_role = (role) => {
      if (role) {
        if (role.native) return;
        is_editing_role.value = true;
        active_role.value = util.copy(role);
      }
    };
    let hnd_add_new_capability = () => {
      hnd_edit_capability({
        name: "",
        description: "",
        roles: []
      });
    };
    let hnd_add_new_role = () => {
      hnd_edit_role({
        name: "",
        title: "",
        description: ""
      });
    };
    let hnd_delete_capability = (cap) => {
      let c = util.copy(cap);
      c.delete = true;
      hnd_edit_capability(c);
    };
    let hnd_delete_role = (cap) => {
      let c = util.copy(cap);
      c.delete = true;
      hnd_edit_role(c);
    };
    let hnd_close_edit_cap = (result) => {
      if (result.action == "cancel") {
        is_editing_cap.value = false;
        return;
      }
      if (result.action == "ok") {
        useRequest({
          url: `/api/options/capabilities`,
          method: "post",
          body: active_cap.value
        }).then((res) => {
          fetch_caps();
          setTimeout(() => {
            is_editing_cap.value = false;
          }, 220);
        });
      }
    };
    let hnd_close_edit_role = (result) => {
      if (result.action == "cancel") {
        is_editing_role.value = false;
        return;
      }
      if (result.action == "ok") {
        useRequest({
          url: `/api/options/roles`,
          method: "post",
          body: active_role.value
        }).then((res) => {
          fetch_pickable_roles();
          setTimeout(() => {
            is_editing_role.value = false;
          }, 220);
        });
      }
    };
    let page_head = usePageHead();
    useHead(page_head.value({ title: "Manage users", description: "Manage site users" }));
    let users2 = ref(null);
    let load_users = async (url) => {
      let res = await useRequest({ url, method: "get" });
      users2.value = res.d || [];
    };
    let api_url = ref(`/api/users?include_roles=true`);
    [__temp, __restore] = withAsyncContext(() => load_users(api_url.value)), await __temp, __restore();
    let columns = ref([
      { name: "id" },
      { name: "name" },
      { name: "parent_id" },
      { name: "email" },
      { name: "status" },
      { name: "modified" },
      { name: "roles" }
    ]);
    let is_valid_number = computed(() => {
      return (val) => util.is_number(val);
    });
    let tf_user_roles = computed(() => {
      return (user) => {
        if (!user) return "";
        if (!Array.isArray(user.roles)) return "";
        return user.roles.map((assigned) => {
          return { title: assigned.role, value: assigned.status };
        });
      };
    });
    let hnd_pagination = (page) => {
      console.info("Loading pagination", page);
      load_users(page.url);
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_viewer = __nuxt_component_1$1;
      const _component_r_table = __nuxt_component_2;
      const _component_r_modal = __nuxt_component_3$2;
      const _component_r_row_label = __nuxt_component_4$2;
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_check_list = _sfc_main$J;
      const _component_r_select = __nuxt_component_7$2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "users" }, _attrs))} data-v-1e6eeb3b><h1 class="mb-4" data-v-1e6eeb3b>Users</h1>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(ssrRenderComponent(_component_r_viewer, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (unref(site_capabilities)) {
              _push2(`<section class="mb-7" data-v-1e6eeb3b${_scopeId}><div class="flex gap-2 flex-wrap mb-2 items-start" data-v-1e6eeb3b${_scopeId}><h2 class="text-base" data-v-1e6eeb3b${_scopeId}>Capabilities</h2><button class="btn primary" data-v-1e6eeb3b${_scopeId}> Add Capability</button></div><ul class="cap-list list-none flex gap-2 flex-wrap" data-v-1e6eeb3b${_scopeId}><!--[-->`);
              ssrRenderList(unref(site_capabilities), (cap) => {
                _push2(`<li class="${ssrRenderClass([[!cap.native ? "primary" : ""], "cap tag items-center"])}" data-v-1e6eeb3b${_scopeId}><span${ssrRenderAttr("data-tooltip", cap.description)} data-v-1e6eeb3b${_scopeId}>${ssrInterpolate(cap.name)}</span>`);
                if (!cap.native) {
                  _push2(`<button class="p-0 w-fit rounded hover:color-red-500 hover:bg-opacity-20 hover:bg-red-500 ml-1" data-v-1e6eeb3b${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-1e6eeb3b${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" data-v-1e6eeb3b${_scopeId}></path></svg></button>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`</li>`);
              });
              _push2(`<!--]--></ul></section>`);
            } else {
              _push2(`<!---->`);
            }
            if (unref(site_roles)) {
              _push2(`<section class="mb-7" data-v-1e6eeb3b${_scopeId}><div class="flex gap-2 flex-wrap mb-2 items-start" data-v-1e6eeb3b${_scopeId}><h2 class="text-base" data-v-1e6eeb3b${_scopeId}>Roles</h2><button class="btn primary" data-v-1e6eeb3b${_scopeId}> Add Role</button></div><ul class="role-list list-none flex gap-2 flex-wrap" data-v-1e6eeb3b${_scopeId}><!--[-->`);
              ssrRenderList(unref(site_roles), (role) => {
                _push2(`<li class="${ssrRenderClass([[!role.native ? "primary" : ""], "role tag items-center"])}" data-v-1e6eeb3b${_scopeId}><span${ssrRenderAttr("data-tooltip", role.description)} data-v-1e6eeb3b${_scopeId}>${ssrInterpolate(role.name)}</span>`);
                if (!role.native) {
                  _push2(`<button class="p-0 w-fit rounded hover:color-red-500 hover:bg-opacity-20 hover:bg-red-500 ml-1" data-v-1e6eeb3b${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-1e6eeb3b${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" data-v-1e6eeb3b${_scopeId}></path></svg></button>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`</li>`);
              });
              _push2(`<!--]--></ul></section>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(ssrRenderComponent(_component_r_table, {
              modelValue: unref(users2),
              "onUpdate:modelValue": ($event) => isRef(users2) ? users2.value = $event : users2 = $event,
              columns: unref(columns),
              onPaginate: unref(hnd_pagination),
              "api-url": unref(api_url)
            }, {
              data_name: withCtx((user, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<button class="flex gap-2 items-center w-fit p-0" data-v-1e6eeb3b${_scopeId2}>`);
                  if (user.image) {
                    _push3(`<img${ssrRenderAttr("src", user.image)} style="${ssrRenderStyle({ "max-width": "32px" })}" class="rounded" data-v-1e6eeb3b${_scopeId2}>`);
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`<span data-v-1e6eeb3b${_scopeId2}>${ssrInterpolate(user.name)}</span></button>`);
                } else {
                  return [
                    createVNode("button", {
                      class: "flex gap-2 items-center w-fit p-0",
                      onClick: ($event) => unref(hnd_edit_user)(user)
                    }, [
                      user.image ? (openBlock(), createBlock("img", {
                        key: 0,
                        src: user.image,
                        style: { "max-width": "32px" },
                        class: "rounded"
                      }, null, 8, ["src"])) : createCommentVNode("", true),
                      createVNode("span", null, toDisplayString(user.name), 1)
                    ], 8, ["onClick"])
                  ];
                }
              }),
              data_roles: withCtx((user, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<!--[-->`);
                  ssrRenderList(unref(tf_user_roles)(user), (ass_role) => {
                    _push3(`<button class="${ssrRenderClass([["tag", ass_role.title, ass_role.value, "w-fit"], "mb-1 mr-2"])}" data-v-1e6eeb3b${_scopeId2}>${ssrInterpolate(ass_role.title)}</button>`);
                  });
                  _push3(`<!--]-->`);
                } else {
                  return [
                    (openBlock(true), createBlock(Fragment, null, renderList(unref(tf_user_roles)(user), (ass_role) => {
                      return openBlock(), createBlock("button", {
                        key: ass_role.id,
                        class: ["mb-1 mr-2", ["tag", ass_role.title, ass_role.value, "w-fit"]]
                      }, toDisplayString(ass_role.title), 3);
                    }), 128))
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              unref(site_capabilities) ? (openBlock(), createBlock("section", {
                key: 0,
                class: "mb-7"
              }, [
                createVNode("div", { class: "flex gap-2 flex-wrap mb-2 items-start" }, [
                  createVNode("h2", { class: "text-base" }, "Capabilities"),
                  createVNode("button", {
                    class: "btn primary",
                    onClick: unref(hnd_add_new_capability)
                  }, " Add Capability", 8, ["onClick"])
                ]),
                createVNode("ul", { class: "cap-list list-none flex gap-2 flex-wrap" }, [
                  (openBlock(true), createBlock(Fragment, null, renderList(unref(site_capabilities), (cap) => {
                    return openBlock(), createBlock("li", {
                      class: ["cap tag items-center", [!cap.native ? "primary" : ""]],
                      key: cap.name
                    }, [
                      createVNode("span", {
                        "data-tooltip": cap.description,
                        onClick: ($event) => unref(hnd_edit_capability)(cap)
                      }, toDisplayString(cap.name), 9, ["data-tooltip", "onClick"]),
                      !cap.native ? (openBlock(), createBlock("button", {
                        key: 0,
                        onClick: ($event) => unref(hnd_delete_capability)(cap),
                        class: "p-0 w-fit rounded hover:color-red-500 hover:bg-opacity-20 hover:bg-red-500 ml-1"
                      }, [
                        (openBlock(), createBlock("svg", {
                          xmlns: "http://www.w3.org/2000/svg",
                          fill: "none",
                          viewBox: "0 0 24 24",
                          "stroke-width": "2.5",
                          stroke: "currentColor",
                          class: "w-4 h-4"
                        }, [
                          createVNode("path", {
                            "stroke-linecap": "round",
                            "stroke-linejoin": "round",
                            d: "M6 18 18 6M6 6l12 12"
                          })
                        ]))
                      ], 8, ["onClick"])) : createCommentVNode("", true)
                    ], 2);
                  }), 128))
                ])
              ])) : createCommentVNode("", true),
              unref(site_roles) ? (openBlock(), createBlock("section", {
                key: 1,
                class: "mb-7"
              }, [
                createVNode("div", { class: "flex gap-2 flex-wrap mb-2 items-start" }, [
                  createVNode("h2", { class: "text-base" }, "Roles"),
                  createVNode("button", {
                    class: "btn primary",
                    onClick: unref(hnd_add_new_role)
                  }, " Add Role", 8, ["onClick"])
                ]),
                createVNode("ul", { class: "role-list list-none flex gap-2 flex-wrap" }, [
                  (openBlock(true), createBlock(Fragment, null, renderList(unref(site_roles), (role) => {
                    return openBlock(), createBlock("li", {
                      class: ["role tag items-center", [!role.native ? "primary" : ""]],
                      key: role.name
                    }, [
                      createVNode("span", {
                        "data-tooltip": role.description,
                        onClick: ($event) => unref(hnd_edit_role)(role)
                      }, toDisplayString(role.name), 9, ["data-tooltip", "onClick"]),
                      !role.native ? (openBlock(), createBlock("button", {
                        key: 0,
                        onClick: ($event) => unref(hnd_delete_role)(role),
                        class: "p-0 w-fit rounded hover:color-red-500 hover:bg-opacity-20 hover:bg-red-500 ml-1"
                      }, [
                        (openBlock(), createBlock("svg", {
                          xmlns: "http://www.w3.org/2000/svg",
                          fill: "none",
                          viewBox: "0 0 24 24",
                          "stroke-width": "2.5",
                          stroke: "currentColor",
                          class: "w-4 h-4"
                        }, [
                          createVNode("path", {
                            "stroke-linecap": "round",
                            "stroke-linejoin": "round",
                            d: "M6 18 18 6M6 6l12 12"
                          })
                        ]))
                      ], 8, ["onClick"])) : createCommentVNode("", true)
                    ], 2);
                  }), 128))
                ])
              ])) : createCommentVNode("", true),
              createVNode(_component_r_table, {
                modelValue: unref(users2),
                "onUpdate:modelValue": ($event) => isRef(users2) ? users2.value = $event : users2 = $event,
                columns: unref(columns),
                onPaginate: unref(hnd_pagination),
                "api-url": unref(api_url)
              }, {
                data_name: withCtx((user) => [
                  createVNode("button", {
                    class: "flex gap-2 items-center w-fit p-0",
                    onClick: ($event) => unref(hnd_edit_user)(user)
                  }, [
                    user.image ? (openBlock(), createBlock("img", {
                      key: 0,
                      src: user.image,
                      style: { "max-width": "32px" },
                      class: "rounded"
                    }, null, 8, ["src"])) : createCommentVNode("", true),
                    createVNode("span", null, toDisplayString(user.name), 1)
                  ], 8, ["onClick"])
                ]),
                data_roles: withCtx((user) => [
                  (openBlock(true), createBlock(Fragment, null, renderList(unref(tf_user_roles)(user), (ass_role) => {
                    return openBlock(), createBlock("button", {
                      key: ass_role.id,
                      class: ["mb-1 mr-2", ["tag", ass_role.title, ass_role.value, "w-fit"]]
                    }, toDisplayString(ass_role.title), 3);
                  }), 128))
                ]),
                _: 1
              }, 8, ["modelValue", "onUpdate:modelValue", "columns", "onPaginate", "api-url"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(is_editing_cap),
        "onUpdate:modelValue": ($event) => isRef(is_editing_cap) ? is_editing_cap.value = $event : is_editing_cap = $event,
        onClose: unref(hnd_close_edit_cap),
        confirm: "OK",
        cancel: "Cancel"
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Edit Capability`);
          } else {
            return [
              createTextVNode("Edit Capability")
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (unref(active_cap)) {
              _push2(`<!--[-->`);
              if (unref(active_cap).delete) {
                _push2(`<div data-v-1e6eeb3b${_scopeId}> Are you sure you want to delete <span class="tag" data-v-1e6eeb3b${_scopeId}>${ssrInterpolate(unref(active_cap).name)}</span>? </div>`);
              } else {
                _push2(`<!--[-->`);
                _push2(ssrRenderComponent(_component_r_row_label, { text: "Capability Name" }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_component_r_input, {
                        modelValue: unref(active_cap).name,
                        "onUpdate:modelValue": ($event) => unref(active_cap).name = $event,
                        onUpdate: ($event) => unref(active_cap).name = $event,
                        transformer: unref(fn_slug)
                      }, null, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          modelValue: unref(active_cap).name,
                          "onUpdate:modelValue": ($event) => unref(active_cap).name = $event,
                          onUpdate: ($event) => unref(active_cap).name = $event,
                          transformer: unref(fn_slug)
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate", "transformer"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(ssrRenderComponent(_component_r_row_label, { text: "Capability Description" }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_component_r_input, {
                        modelValue: unref(active_cap).description,
                        "onUpdate:modelValue": ($event) => unref(active_cap).description = $event,
                        onUpdate: ($event) => unref(active_cap).description = $event,
                        "multi-line": true
                      }, null, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          modelValue: unref(active_cap).description,
                          "onUpdate:modelValue": ($event) => unref(active_cap).description = $event,
                          onUpdate: ($event) => unref(active_cap).description = $event,
                          "multi-line": true
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(ssrRenderComponent(_component_r_row_label, { text: "Associated Roles" }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_component_r_check_list, {
                        modelValue: unref(active_cap).roles,
                        "onUpdate:modelValue": ($event) => unref(active_cap).roles = $event,
                        values: unref(pickable_roles)
                      }, null, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_component_r_check_list, {
                          modelValue: unref(active_cap).roles,
                          "onUpdate:modelValue": ($event) => unref(active_cap).roles = $event,
                          values: unref(pickable_roles)
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(`<!--]-->`);
              }
              _push2(`<!--]-->`);
            } else {
              _push2(`<!---->`);
            }
          } else {
            return [
              unref(active_cap) ? (openBlock(), createBlock(Fragment, { key: 0 }, [
                unref(active_cap).delete ? (openBlock(), createBlock("div", { key: 0 }, [
                  createTextVNode(" Are you sure you want to delete "),
                  createVNode("span", { class: "tag" }, toDisplayString(unref(active_cap).name), 1),
                  createTextVNode("? ")
                ])) : (openBlock(), createBlock(Fragment, { key: 1 }, [
                  createVNode(_component_r_row_label, { text: "Capability Name" }, {
                    default: withCtx(() => [
                      createVNode(_component_r_input, {
                        modelValue: unref(active_cap).name,
                        "onUpdate:modelValue": ($event) => unref(active_cap).name = $event,
                        onUpdate: ($event) => unref(active_cap).name = $event,
                        transformer: unref(fn_slug)
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate", "transformer"])
                    ]),
                    _: 1
                  }),
                  createVNode(_component_r_row_label, { text: "Capability Description" }, {
                    default: withCtx(() => [
                      createVNode(_component_r_input, {
                        modelValue: unref(active_cap).description,
                        "onUpdate:modelValue": ($event) => unref(active_cap).description = $event,
                        onUpdate: ($event) => unref(active_cap).description = $event,
                        "multi-line": true
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate"])
                    ]),
                    _: 1
                  }),
                  createVNode(_component_r_row_label, { text: "Associated Roles" }, {
                    default: withCtx(() => [
                      createVNode(_component_r_check_list, {
                        modelValue: unref(active_cap).roles,
                        "onUpdate:modelValue": ($event) => unref(active_cap).roles = $event,
                        values: unref(pickable_roles)
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                    ]),
                    _: 1
                  })
                ], 64))
              ], 64)) : createCommentVNode("", true)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(is_editing_role),
        "onUpdate:modelValue": ($event) => isRef(is_editing_role) ? is_editing_role.value = $event : is_editing_role = $event,
        onClose: unref(hnd_close_edit_role),
        confirm: "OK",
        cancel: "Cancel"
      }, {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Edit Role`);
          } else {
            return [
              createTextVNode("Edit Role")
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (unref(active_role)) {
              _push2(`<!--[-->`);
              if (unref(active_role).delete) {
                _push2(`<div data-v-1e6eeb3b${_scopeId}> Are you sure you want to delete <span class="tag" data-v-1e6eeb3b${_scopeId}>${ssrInterpolate(unref(active_role).name)}</span>? </div>`);
              } else {
                _push2(`<!--[-->`);
                _push2(ssrRenderComponent(_component_r_row_label, { text: "Role Name" }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_component_r_input, {
                        modelValue: unref(active_role).name,
                        "onUpdate:modelValue": ($event) => unref(active_role).name = $event,
                        onUpdate: ($event) => unref(active_role).name = $event,
                        transformer: unref(fn_slug)
                      }, null, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          modelValue: unref(active_role).name,
                          "onUpdate:modelValue": ($event) => unref(active_role).name = $event,
                          onUpdate: ($event) => unref(active_role).name = $event,
                          transformer: unref(fn_slug)
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate", "transformer"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(ssrRenderComponent(_component_r_row_label, { text: "Role Title" }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_component_r_input, {
                        modelValue: unref(active_role).title,
                        "onUpdate:modelValue": ($event) => unref(active_role).title = $event,
                        onUpdate: ($event) => unref(active_role).title = $event
                      }, null, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          modelValue: unref(active_role).title,
                          "onUpdate:modelValue": ($event) => unref(active_role).title = $event,
                          onUpdate: ($event) => unref(active_role).title = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(ssrRenderComponent(_component_r_row_label, { text: "Role Description" }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_component_r_input, {
                        modelValue: unref(active_role).description,
                        "onUpdate:modelValue": ($event) => unref(active_role).description = $event,
                        onUpdate: ($event) => unref(active_role).description = $event,
                        "multi-line": true
                      }, null, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_component_r_input, {
                          modelValue: unref(active_role).description,
                          "onUpdate:modelValue": ($event) => unref(active_role).description = $event,
                          onUpdate: ($event) => unref(active_role).description = $event,
                          "multi-line": true
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(`<!--]-->`);
              }
              _push2(`<!--]-->`);
            } else {
              _push2(`<!---->`);
            }
          } else {
            return [
              unref(active_role) ? (openBlock(), createBlock(Fragment, { key: 0 }, [
                unref(active_role).delete ? (openBlock(), createBlock("div", { key: 0 }, [
                  createTextVNode(" Are you sure you want to delete "),
                  createVNode("span", { class: "tag" }, toDisplayString(unref(active_role).name), 1),
                  createTextVNode("? ")
                ])) : (openBlock(), createBlock(Fragment, { key: 1 }, [
                  createVNode(_component_r_row_label, { text: "Role Name" }, {
                    default: withCtx(() => [
                      createVNode(_component_r_input, {
                        modelValue: unref(active_role).name,
                        "onUpdate:modelValue": ($event) => unref(active_role).name = $event,
                        onUpdate: ($event) => unref(active_role).name = $event,
                        transformer: unref(fn_slug)
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate", "transformer"])
                    ]),
                    _: 1
                  }),
                  createVNode(_component_r_row_label, { text: "Role Title" }, {
                    default: withCtx(() => [
                      createVNode(_component_r_input, {
                        modelValue: unref(active_role).title,
                        "onUpdate:modelValue": ($event) => unref(active_role).title = $event,
                        onUpdate: ($event) => unref(active_role).title = $event
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate"])
                    ]),
                    _: 1
                  }),
                  createVNode(_component_r_row_label, { text: "Role Description" }, {
                    default: withCtx(() => [
                      createVNode(_component_r_input, {
                        modelValue: unref(active_role).description,
                        "onUpdate:modelValue": ($event) => unref(active_role).description = $event,
                        onUpdate: ($event) => unref(active_role).description = $event,
                        "multi-line": true
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "onUpdate"])
                    ]),
                    _: 1
                  })
                ], 64))
              ], 64)) : createCommentVNode("", true)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(active_user),
        "onUpdate:modelValue": ($event) => isRef(active_user) ? active_user.value = $event : active_user = $event,
        onClose: unref(hnd_close_edit_user),
        confirm: "OK",
        cancel: "Cancel"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (unref(active_user)) {
              _push2(`<!--[-->`);
              _push2(ssrRenderComponent(_component_r_row_label, { text: "User" }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`<div class="flex items-center gap-2" data-v-1e6eeb3b${_scopeId2}>`);
                    if (unref(active_user).image) {
                      _push3(`<img${ssrRenderAttr("src", unref(active_user).image)} style="${ssrRenderStyle({ "max-width": "32px" })}" class="rounded" data-v-1e6eeb3b${_scopeId2}>`);
                    } else {
                      _push3(`<!---->`);
                    }
                    _push3(`<div data-v-1e6eeb3b${_scopeId2}><div class="font-bold mb-1" data-v-1e6eeb3b${_scopeId2}>${ssrInterpolate(unref(active_user).name)}</div><div data-v-1e6eeb3b${_scopeId2}>${ssrInterpolate(unref(active_user).email || "Email")}</div></div></div>`);
                  } else {
                    return [
                      createVNode("div", { class: "flex items-center gap-2" }, [
                        unref(active_user).image ? (openBlock(), createBlock("img", {
                          key: 0,
                          src: unref(active_user).image,
                          style: { "max-width": "32px" },
                          class: "rounded"
                        }, null, 8, ["src"])) : createCommentVNode("", true),
                        createVNode("div", null, [
                          createVNode("div", { class: "font-bold mb-1" }, toDisplayString(unref(active_user).name), 1),
                          createVNode("div", null, toDisplayString(unref(active_user).email || "Email"), 1)
                        ])
                      ])
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
              _push2(ssrRenderComponent(_component_r_row_label, { text: "Created | Status" }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`<span class="tag" data-tooltip="Created on" data-v-1e6eeb3b${_scopeId2}>${ssrInterpolate(unref(tftx)(unref(active_user).created))}</span><span class="tag" data-tooltip="Status" data-v-1e6eeb3b${_scopeId2}>${ssrInterpolate(unref(active_user).status)}</span>`);
                  } else {
                    return [
                      createVNode("span", {
                        class: "tag",
                        "data-tooltip": "Created on"
                      }, toDisplayString(unref(tftx)(unref(active_user).created)), 1),
                      createVNode("span", {
                        class: "tag",
                        "data-tooltip": "Status"
                      }, toDisplayString(unref(active_user).status), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
              _push2(`<div class="flex gap-3 items-start mt-2 mb-1" data-v-1e6eeb3b${_scopeId}><h2 class="text-base color-gray-600" data-v-1e6eeb3b${_scopeId}>Manage Roles</h2><button class="btn primary" data-v-1e6eeb3b${_scopeId}>Add</button></div><ul class="list-none flex gap-3" data-v-1e6eeb3b${_scopeId}><!--[-->`);
              ssrRenderList(unref(active_user).roles, (role, ri) => {
                _push2(`<li class="${ssrRenderClass([
                  "tag",
                  role.role == "admin" ? "black" : null,
                  role.delete ? "ring ring-danger" : "",
                  role.status == "approved" ? role.status : "",
                  unref(active_user_role) && unref(active_user_role).id == role.id ? "ring ring-primary" : ""
                ])}" data-v-1e6eeb3b${_scopeId}>${ssrInterpolate(role.role)} <span class="ml-2" data-v-1e6eeb3b${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3.0" stroke="currentColor" class="w-4 h-4" data-v-1e6eeb3b${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" data-v-1e6eeb3b${_scopeId}></path></svg></span></li>`);
              });
              _push2(`<!--]--></ul>`);
              if (unref(active_user_role)) {
                _push2(`<div class="user-role-edit mt-2 mb-7" data-v-1e6eeb3b${_scopeId}>`);
                _push2(ssrRenderComponent(_component_r_row_label, { text: "Role" }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_component_r_select, {
                        modelValue: unref(active_user_role).role,
                        "onUpdate:modelValue": ($event) => unref(active_user_role).role = $event,
                        values: unref(pickable_roles),
                        onChange: unref(hnd_select_role_changed),
                        disabled: unref(is_valid_number)(unref(active_user_role).id)
                      }, null, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_component_r_select, {
                          modelValue: unref(active_user_role).role,
                          "onUpdate:modelValue": ($event) => unref(active_user_role).role = $event,
                          values: unref(pickable_roles),
                          onChange: unref(hnd_select_role_changed),
                          disabled: unref(is_valid_number)(unref(active_user_role).id)
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "values", "onChange", "disabled"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(ssrRenderComponent(_component_r_row_label, { text: "Status" }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_component_r_select, {
                        modelValue: unref(active_user_role).status,
                        "onUpdate:modelValue": ($event) => unref(active_user_role).status = $event,
                        values: unref(role_status)
                      }, null, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_component_r_select, {
                          modelValue: unref(active_user_role).status,
                          "onUpdate:modelValue": ($event) => unref(active_user_role).status = $event,
                          values: unref(role_status)
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(`<div class="flex gap-2 controller justify-center" data-v-1e6eeb3b${_scopeId}><button class="btn cancel-user-role" data-v-1e6eeb3b${_scopeId}>Cancel</button><button class="btn confirm-user-role" data-v-1e6eeb3b${_scopeId}>Ok</button></div></div>`);
              } else {
                _push2(`<!---->`);
              }
              _push2(`<!--]-->`);
            } else {
              _push2(`<!---->`);
            }
          } else {
            return [
              unref(active_user) ? (openBlock(), createBlock(Fragment, { key: 0 }, [
                createVNode(_component_r_row_label, { text: "User" }, {
                  default: withCtx(() => [
                    createVNode("div", { class: "flex items-center gap-2" }, [
                      unref(active_user).image ? (openBlock(), createBlock("img", {
                        key: 0,
                        src: unref(active_user).image,
                        style: { "max-width": "32px" },
                        class: "rounded"
                      }, null, 8, ["src"])) : createCommentVNode("", true),
                      createVNode("div", null, [
                        createVNode("div", { class: "font-bold mb-1" }, toDisplayString(unref(active_user).name), 1),
                        createVNode("div", null, toDisplayString(unref(active_user).email || "Email"), 1)
                      ])
                    ])
                  ]),
                  _: 1
                }),
                createVNode(_component_r_row_label, { text: "Created | Status" }, {
                  default: withCtx(() => [
                    createVNode("span", {
                      class: "tag",
                      "data-tooltip": "Created on"
                    }, toDisplayString(unref(tftx)(unref(active_user).created)), 1),
                    createVNode("span", {
                      class: "tag",
                      "data-tooltip": "Status"
                    }, toDisplayString(unref(active_user).status), 1)
                  ]),
                  _: 1
                }),
                createVNode("div", { class: "flex gap-3 items-start mt-2 mb-1" }, [
                  createVNode("h2", { class: "text-base color-gray-600" }, "Manage Roles"),
                  createVNode("button", {
                    class: "btn primary",
                    onClick: unref(hnd_add_new_user_role)
                  }, "Add", 8, ["onClick"])
                ]),
                createVNode("ul", { class: "list-none flex gap-3" }, [
                  (openBlock(true), createBlock(Fragment, null, renderList(unref(active_user).roles, (role, ri) => {
                    return openBlock(), createBlock("li", {
                      key: role.id + "ri" + ri,
                      onClick: ($event) => unref(hnd_edit_user_role)(role),
                      class: [
                        "tag",
                        role.role == "admin" ? "black" : null,
                        role.delete ? "ring ring-danger" : "",
                        role.status == "approved" ? role.status : "",
                        unref(active_user_role) && unref(active_user_role).id == role.id ? "ring ring-primary" : ""
                      ]
                    }, [
                      createTextVNode(toDisplayString(role.role) + " ", 1),
                      createVNode("span", {
                        class: "ml-2",
                        onClick: ($event) => unref(hnd_mark_user_role_for_delete)(role, $event)
                      }, [
                        (openBlock(), createBlock("svg", {
                          xmlns: "http://www.w3.org/2000/svg",
                          fill: "none",
                          viewBox: "0 0 24 24",
                          "stroke-width": "3.0",
                          stroke: "currentColor",
                          class: "w-4 h-4"
                        }, [
                          createVNode("path", {
                            "stroke-linecap": "round",
                            "stroke-linejoin": "round",
                            d: "M6 18 18 6M6 6l12 12"
                          })
                        ]))
                      ], 8, ["onClick"])
                    ], 10, ["onClick"]);
                  }), 128))
                ]),
                unref(active_user_role) ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "user-role-edit mt-2 mb-7"
                }, [
                  createVNode(_component_r_row_label, { text: "Role" }, {
                    default: withCtx(() => [
                      createVNode(_component_r_select, {
                        modelValue: unref(active_user_role).role,
                        "onUpdate:modelValue": ($event) => unref(active_user_role).role = $event,
                        values: unref(pickable_roles),
                        onChange: unref(hnd_select_role_changed),
                        disabled: unref(is_valid_number)(unref(active_user_role).id)
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "values", "onChange", "disabled"])
                    ]),
                    _: 1
                  }),
                  createVNode(_component_r_row_label, { text: "Status" }, {
                    default: withCtx(() => [
                      createVNode(_component_r_select, {
                        modelValue: unref(active_user_role).status,
                        "onUpdate:modelValue": ($event) => unref(active_user_role).status = $event,
                        values: unref(role_status)
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                    ]),
                    _: 1
                  }),
                  createVNode("div", { class: "flex gap-2 controller justify-center" }, [
                    createVNode("button", {
                      class: "btn cancel-user-role",
                      onClick: ($event) => unref(hnd_complete_user_role_edit)(false)
                    }, "Cancel", 8, ["onClick"]),
                    createVNode("button", {
                      class: "btn confirm-user-role",
                      onClick: ($event) => unref(hnd_complete_user_role_edit)(true)
                    }, "Ok", 8, ["onClick"])
                  ])
                ])) : createCommentVNode("", true)
              ], 64)) : createCommentVNode("", true)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/users.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const users = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-1e6eeb3b"]]);

export { users as default };
//# sourceMappingURL=users-bkzjlqXA.mjs.map
