import { d as defineEventHandler, u as users, c as core, p as permissions, a as posts, b as plugin } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const analyticsAction_post = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  let body = event.body;
  if (!body) return core.res_success({ d: null, msg: "Nothing to do" });
  let data = body.payload || null;
  if (!data) return core.res_success({ d: null, msg: "Nothing to do" });
  let out = null;
  try {
    if (!await permissions.can_user({ user_id: event.user.id, action: "edit_options", evt: event }))
      return await core.res_denied(event, { msg: "Inadequate permission to perform analytics", reason: "edit_options" });
    if (body.action == "delete_comment") {
      await posts.modify_note({ id: data.id, status: "trash" });
      out = { remove: true };
    } else if (body.action == "approve_comment") {
      await posts.modify_note({ id: data.id, status: "approved" });
      out = { remove: true };
    } else {
      console.log("Action not found", data);
    }
    plugin.do_action("analytic_exec", { data: body });
    await plugin.do_filter("analytic_exec", { data: body, out });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d: out, msg: "Updated Analytics" });
});

export { analyticsAction_post as default };
//# sourceMappingURL=analytics-action.post.mjs.map
