import { d as defineEventHandler, c as core, u as users, e as db, b as plugin } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const gateCheck_post = defineEventHandler(async (event) => {
  let to = event.body;
  if (!event.user) return await core.res_success(event, { d: false, is_logged_in: false, reason: "login-required" });
  let admin_menu = await core.get_admin_menu({ user_id: event.user.id, evt: event });
  let filtered_admin_menus = [];
  for (var i = 0; i < admin_menu.length; i++) {
    if (admin_menu[i].caps.length == 0 || await users.can_user({ user_id: event.user.id, cap: admin_menu[i].caps, evt: event })) {
      filtered_admin_menus.push(admin_menu[i]);
    }
  }
  let destination_link = admin_menu.find((link) => link.url == to.path);
  if (!destination_link) {
    let tbp = `${db.name}.posts`, tbpm = `${db.name}.post_metas`;
    let where_post_is = `source_id IS NULL AND ${db.like("url", to.path)} AND status IN ("published","completed")`;
    let sel_caps = `SELECT  value FROM ${tbpm} WHERE post_id IN (SELECT id FROM ${tbp} WHERE ${where_post_is}) AND name LIKE "cap_read"`;
    let sel_post = `SELECT url, (${sel_caps}) as caps FROM ${tbp} WHERE ${where_post_is}`;
    let to_path = to.path.toLowerCase();
    let is_new_edit_request = false;
    if (to_path.startsWith("/user/editor/")) {
      if (to.params.id == "new") {
        is_new_edit_request = true;
        sel_post = null;
      } else {
        sel_caps = `SELECT value FROM ${tbpm} WHERE post_id=T.id AND name LIKE "cap_write"`;
        sel_post = `SELECT url, (${sel_caps}) as caps FROM ${tbp} T WHERE ${db.is("id", to.params.id)}`;
      }
    }
    let q_result = [];
    if (sel_post) q_result = await db.query(sel_post);
    if (is_new_edit_request) {
      q_result = [{ url: to_path, caps: "edit_post", is_auto_generated: true, type: to.query.type, route: to }];
      await plugin.do_filter("edit_new", { data: q_result });
    }
    if (q_result.length == 0 && to_path.startsWith("/user/editor/")) {
      console.log("is to eqitor", to);
    }
    destination_link = q_result[0] || null;
  }
  let can_user_visit = true;
  if (destination_link) {
    if (!Array.isArray(destination_link.caps)) {
      if (!destination_link.caps)
        destination_link.caps = [];
      else
        destination_link.caps = [destination_link.caps];
    }
    if (destination_link.caps.length > 0) {
      can_user_visit = await users.can_user({ user_id: event.user.id, cap: destination_link.caps, evt: event });
    }
  }
  let dashboard = {};
  let opt_promises = [
    core.get_option({ name: "dashboard_title", evt: event }),
    core.get_option({ name: "dashboard_logo", evt: event }),
    core.get_option({ name: "dashboard_theme", evt: event })
  ];
  let opt_results = await Promise.all(opt_promises);
  dashboard.title = opt_results[0];
  dashboard.logo = opt_results[1];
  dashboard.theme = opt_results[2];
  let payload = {
    version: core.version,
    d: can_user_visit,
    admin_menu: filtered_admin_menus,
    dashboard,
    is_logged_in: true,
    required_cap: destination_link ? destination_link.caps.toString() : "none"
  };
  plugin.do_filter("gate_check", payload);
  return await core.res_success(event, payload);
});

export { gateCheck_post as default };
//# sourceMappingURL=gate-check.post.mjs.map
