import { d as defineEventHandler, u as users, c as core, p as permissions, a as posts } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const index_delete = defineEventHandler(async (event) => {
  let post = event.body;
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  let d = null;
  try {
    if (!await permissions.can_user({ user_id: event.user.id, action: "remove_post", evt: event })) {
      return await core.res_denied(event, {
        d: false,
        msg: "Inadequate permission to remove posts",
        reason: "edit_options"
      });
    }
    d = await posts.remove_post({ ...post, event });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Removed post" });
});

export { index_delete as default };
//# sourceMappingURL=index.delete.mjs.map
