import { d as defineEventHandler, u as users, c as core, p as permissions, b as plugin, e as db } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const index_get = defineEventHandler(async (event) => {
  var _a;
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  let d = [];
  try {
    if (!await permissions.can_user({ user_id: event.user.id, action: "edit_options", evt: event })) {
      return await core.res_denied(event, { msg: "Inadequate permission view/edit options", reason: "edit_options" });
    }
    let default_priority = 10;
    let settings_sections = [
      { name: "general", title: "General", description: "General settings" },
      { name: "page_assets", title: "Page Assets", description: "Resources to include on each page load" },
      { name: "cron_jobs", title: "Cron Schedules", description: "Manage schedule of cron jobs available on the site" },
      { name: "email", title: "Email Settings", description: "Email configuration" },
      { name: "store_settings", title: "Store Settings", description: "eCommerce setting" }
    ];
    await plugin.do_filter("options_settings_sections", { data: settings_sections, event, user_id: (_a = event.user) == null ? void 0 : _a.id });
    let settings_items = await core.get_options_settings_items({ event });
    var section = null, item;
    for (var i = 0; i < settings_sections.length; i++) {
      section = settings_sections[i];
      if (!section.children) section.children = [];
      if (section.priority == void 0) section.priority = default_priority;
    }
    var option_names = [];
    for (var i = settings_items.length - 1; i > -1; i--) {
      item = settings_items[i];
      if (!item || item && !item.name) {
        settings_items.splice(i, 1);
        continue;
      }
      if (!item.type) item.type = "string";
      if (!item.parent) item.parent = "general";
      if (!item.description) item.description = "";
      if (item.priority == void 0) item.priority = default_priority;
      if (!Array.isArray(item.choices)) item.choices = [];
      option_names.push(item.name);
      section = settings_sections.find((it) => it.name == item.parent);
      if (!section) continue;
      if (!Array.isArray(section.children)) section.children = [];
      section.children.push(item);
    }
    let tbo = `${db.name}.options`;
    var sql_values = `SELECT * FROM ${tbo} WHERE ${db.like("name", option_names)}`;
    var sql_results = await db.query(sql_values);
    var opt, opt_default_value;
    for (var i = 0; i < settings_items.length; i++) {
      opt_default_value = null;
      item = settings_items[i];
      opt = sql_results.find((it) => it.name == item.name);
      if (opt) {
        opt_default_value = core.type_cast(opt.value);
      } else {
        if (item.default != void 0) opt_default_value = item.default;
      }
      let temp = { name: item.name, value: opt_default_value };
      await plugin.do_filter("option", { data: temp });
      item.value = temp.value;
    }
    for (var i = 0; i < settings_sections.length; i++) {
      section = settings_sections[i];
      section.children = section.children.sort((a, b) => a.priority - b.priority);
    }
    d = settings_sections.sort((a, b) => a.priority - b.priority);
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Obtained results" });
});

export { index_get as default };
//# sourceMappingURL=index.get.mjs.map
