import { d as defineEventHandler, u as users, c as core, p as permissions, b as plugin } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const index_post = defineEventHandler(async (event) => {
  let body = event.body;
  if (!await users.is_logged_in({ event })) return await core.res_denied(event, {
    msg: "You must be logged in to do that",
    reason: "auth"
  });
  if (!await permissions.can_user({ user_id: event.user.id, action: "manage_plugins", evt: event })) {
    return core.res_denied(event, { msg: "You cannot manage plugins ", reason: "manage_plugins" });
  }
  if (["refresh", "refresh-all"].includes(body.id)) {
    let targets = body.targets || [];
    if (targets.length > 0) {
      for (var i = 0; i < targets.length; i++) {
        await plugin.refresh_plugin({ id: targets[i] });
      }
    }
  } else {
    await plugin.update_status(body);
  }
  return await core.res_success(event, {
    d: body,
    msg: "Plugins"
  });
});

export { index_post as default };
//# sourceMappingURL=index.post2.mjs.map
