import { d as defineEventHandler, u as users, c as core, p as permissions, e as db, a as posts } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const index_post = defineEventHandler(async (event) => {
  let post = event.body;
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, {
      msg: "You must be logged ",
      reason: "auth"
    });
  }
  try {
    let existing_obj = null;
    if (!await permissions.can_user({ user_id: event.user.id, action: "edit_post", evt: event })) {
      let allow_edit = false;
      if (post.id) {
        let tbp = `${db.name}.posts`;
        let sel_post = `SELECT created_by, type FROM ${tbp} WHERE ${db.is("id", post.id)} `;
        let q_result = await db.query(sel_post);
        if (q_result.length > 0 && q_result[0].created_by == event.user.id) {
          existing_obj = q_result[0];
          allow_edit = true;
        }
      }
      if (!allow_edit) {
        return await core.res_denied(event, { msg: "Inadequate permission to edit posts", reason: "edit_post" });
      }
    }
    core.touched_by(post, event);
    post = await posts.modify_post({ ...post, event });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d: post, msg: "Saved post" });
});

export { index_post as default };
//# sourceMappingURL=index.post3.mjs.map
