import { d as defineEventHandler, g as getRouterParams, c as core, u as users, p as permissions } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const _name__get = defineEventHandler(async (event) => {
  var _a;
  let params = await getRouterParams(event);
  let option_name = params.name;
  if (!option_name) return await core.res_denied(event, { msg: "invalid option name" });
  let is_public = option_name.includes("_public_") || option_name.includes("_pk_") || option_name.includes("_public");
  if (!await users.is_logged_in({ event })) {
    if (!is_public) {
      return await core.res_denied(event, { msg: "You must be logged in ", reason: "auth" });
    }
  }
  let d = null;
  try {
    if (!await permissions.can_user({ user_id: (_a = event.user) == null ? void 0 : _a.id, action: "edit_options", evt: event })) {
      if (!is_public) {
        return await core.res_denied(event, { msg: "Inadequate permission view/edit options", reason: "edit_options" });
      }
    }
    params.evt = event;
    d = await core.get_option({ name: option_name, event });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Obtained option----" });
});

export { _name__get as default };
//# sourceMappingURL=_name_.get.mjs.map
