import { d as defineEventHandler, c as core, p as permissions, b as plugin } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const files_post = defineEventHandler(async (event) => {
  if (!event.user) return await core.res_denied(event, { msg: "Must be logged in to view plugins" });
  if (!await permissions.can_user({
    user_id: event.user.id,
    action: "manage_plugins"
  })) return await core.res_denied(event, {
    msg: `You are not allowed to manage plugins`
  });
  let body = event.body;
  if (!body) return await core.res_denied(event, { d: null, msg: "Invalid input" });
  if (!body.plugin_id) return await core.res_denied(event, { d: null, msg: "Missing plugin id" });
  if (body.source == null) return await core.res_denied(event, { d: null, msg: "Source code not provided" });
  if (!body.url) return core.res_denied(event, { d: null, msg: "Source url not provided" });
  let subpath_url = body.url.substring(1);
  await core.set_file_content(subpath_url, body.source);
  await plugin.refresh_plugin({ id: await core.type_cast(body.plugin_id) });
  return await core.res_success(event, {
    //d : await plugin.get_plugin_files({event , ... event.query }),
    msg: "Plugins"
  });
});

export { files_post as default };
//# sourceMappingURL=files.post.mjs.map
