import { d as defineEventHandler, c as core, p as permissions, b as plugin } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const new_post = defineEventHandler(async (event) => {
  if (!event.user) return await core.res_denied(event, {
    msg: "Must be logged in to view plugins"
  });
  if (!await permissions.can_user({
    user_id: event.user.id,
    action: "manage_plugins"
  })) return await core.res_denied(event, {
    msg: `You are not allowed to manage plugins`
  });
  let body = event.body;
  if (!body) return await core.res_denied(event, { msg: "Invalid parameter to create plugin" });
  if (!body.name || !body.title || !body.description)
    return await core.res_denied(event, { msg: "Missing title,name, or description" });
  body.event = event;
  if (await plugin.create_new(body)) {
    await plugin.init();
  }
  return await core.res_success(event, {
    d: await plugin.get_plugins({ event }),
    msg: "Plugins"
  });
});

export { new_post as default };
//# sourceMappingURL=new.post.mjs.map
