import { d as defineEventHandler, c as core, p as permissions, e as db, b as plugin } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const remove_delete = defineEventHandler(async (event) => {
  if (!event.user) return await core.res_denied(event, {
    msg: "Must be logged in to view plugins"
  });
  if (!await permissions.can_user({
    user_id: event.user.id,
    action: "manage_plugins"
  })) return await core.res_denied(event, {
    msg: `You are not allowed to manage plugins`
  });
  let body = event.body;
  if (!Array.isArray(body)) return await core.res_denied(event, { msg: "Invalid parameter to create plugin" });
  let tbp = `${db.name}.posts`, p;
  let R = await db.query(`SELECT id,type,status,url FROM ${tbp} WHERE ${db.is("id", body)}`);
  if (R.length == 0) return await core.res_denied(event, { msg: `Unable to delete the target plugins as they do not exist` });
  let deletion_promises = [];
  let ids_to_remove_from_db = [];
  for (var i = 0; i < R.length; i++) {
    p = R[i];
    if (p.type != "plugin") {
      continue;
    }
    if (p.status != "inactive" && p.status != "trash") {
      core.log("can only delete inactive/trashed plugins", p);
      continue;
    }
    if (!p.url) continue;
    deletion_promises.push(core.remove_directory(p.url.substring(1)));
    ids_to_remove_from_db.push(p.id);
  }
  Promise.all(deletion_promises);
  await db.query(`DELETE FROM ${tbp} WHERE ${db.is("id", ids_to_remove_from_db)}`);
  return await core.res_success(event, {
    d: await plugin.get_plugins({ event }),
    msg: "Plugins"
  });
});

export { remove_delete as default };
//# sourceMappingURL=remove.delete.mjs.map
