import { d as defineEventHandler, u as users, c as core, e as db, a as posts } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const index_post = defineEventHandler(async (event) => {
  var _a, _b, _c;
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  let the_note = event.body, updated_notes = [];
  try {
    if (!the_note) return await core.res_error(event, { msg: "Null note provided.  Unable to proceed" });
    let is_new_comment = !the_note.id;
    let is_special_action = null;
    if (is_new_comment) {
      if (!the_note.post_id) {
        return await core.res_error(event, { msg: "A post ID is required in order post notes/comments" });
      }
      if (!the_note.value) {
        return await core.res_error(event, { msg: "Note body is empty. Unable to proceed" });
      }
      the_note.created_by = event.user.id;
      the_note.status = "pending";
    } else {
      if (the_note.type == "like") {
        var sel_post_id = `SELECT post_id FROM ${db.name}.post_notes WHERE ${db.is("id", the_note.id)}`;
        var sel_PKSQL = `${sel_post_id}; SELECT id,amount FROM ${db.name}.activities WHERE post_id=(${sel_post_id}) AND created_by=${event.user.id} AND name LIKE 'comment-${the_note.id}'; `;
        var compound_result = await db.query(sel_PKSQL);
        the_note.post_id = ((_a = compound_result[0][0]) == null ? void 0 : _a.post_id) || null;
        the_note.like_id = ((_b = compound_result[1][0]) == null ? void 0 : _b.id) || null;
        the_note.like_amount = await core.type_cast((_c = compound_result[1][0]) == null ? void 0 : _c.amount);
        if (the_note.like_amount == null) the_note.like_amount = 1;
        is_special_action = "like_note";
      }
    }
    if (!is_special_action) {
      await posts.modify_note(the_note);
      await posts.modify_note(the_note);
    } else if (is_special_action == "like_note") {
      let is_new_like_id = the_note.like_id == null;
      if (!is_new_like_id) {
        let flip = the_note.like_amount ? 0 : 1;
        the_note.like_amount = flip;
      }
      let like_activity = {
        post_id: the_note.post_id,
        created_by: event.user.id,
        category: "like_comment",
        name: "comment-" + the_note.id,
        amount: the_note.like_amount
      };
      if (the_note.like_id) like_activity.id = the_note.like_id;
      await posts.modify_activity(like_activity);
    }
    updated_notes = await posts.get_notes({ id: the_note.id, cur_user: event.user.id });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d: updated_notes, msg: "Modified note" });
});

export { index_post as default };
//# sourceMappingURL=index.post.mjs.map
