import { d as defineEventHandler, c as core, p as permissions, b as plugin, e as db } from '../../../nitro/nitro.mjs';
import formidable from 'formidable';
import fs from 'fs';
import path from 'path';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'module';
import 'node-cron';
import 'node:url';

const index_post = defineEventHandler(async (event) => {
  let D = (...arg) => console.log("==>", ...arg);
  let option_promises = [
    core.get_option({ name: "site_uploadable" }),
    core.get_option({ name: "upload_prefix" })
  ];
  let option_promised = await Promise.all(option_promises);
  const uploadable_types = option_promised[0] || [];
  const upload_prefix = option_promised[1] || "";
  uploadable_types.forEach((val, i) => {
    if (val != null) uploadable_types[i] = val.toLowerCase();
  });
  const rejected_mimetypes = [];
  const upload_destination = path.join(core.get_server_root() + "/public");
  const create_final_path = (filename, subfolder_path, is_public) => {
    var root = core.get_server_root();
    var subroot = is_public ? "/public" : "/site-plugins";
    var dest_folder = subfolder_path || "/";
    var final_placement = `${root}${subroot}${dest_folder}`.trim();
    if (final_placement.endsWith("/")) {
      final_placement += filename;
    } else {
      final_placement += `/${filename}`;
    }
    return final_placement;
  };
  const form = formidable({
    uploadDir: upload_destination,
    keepExtensions: true,
    allowEmptyFiles: false,
    maxFileSize: 5 * 1024 * 1024 * 1024,
    multiples: true,
    //Below is the order in which these optional functions are called
    /**
     * Called firstThis is invoked per file that is uploaded and allows developer to cancel an upload of any specific file
     * @param {Object} options {name : file field name, originalFilename , mimetype : 'image/jpeg' } 
     * @returns {Boolean} Returning false will mean that the current file iteration will not be uploaded
     */
    filter: async (para, b) => {
      return true;
    },
    /**
     * This is invoked per file that is allowed to be uploaded and allows developer to rename file before file upload
     * @param { String } name name only without extension
     * @param { String } ext  the file extension with "." prefix - ie ".jpg" for mimetype "image/jpeg"
     * @param { Object } part { readable: Boolean, headers: { content-disposition, form-data,filename, content-type} }
     * @param { Object } form {readable, headers:{content-disposition,form-darta,name, file, } }
     * @returns 
     */
    filename: (name, ext, part, form2) => {
      D("	 <1.1> Option.filename", name, ext);
      return `${upload_prefix}${name}${ext}`;
    }
  });
  form.on("file", (field_name, file) => {
    D("<2> form.on(file)", field_name);
  });
  const data = await new Promise((resolve, reject) => {
    D("Inside of  promise");
    form.parse(event.node.req, async (err, form_fields, files) => {
      var _a, _b, _c, _d;
      if (err) {
        D("<3> Parse.error ", err);
        return reject(err);
      }
      D("<3> Parse", form_fields);
      let uploaded_files = files.jxt_file;
      let must_upload_to_own_director = false;
      if (!uploaded_files) return resolve(await core.res_error(event, {
        d: 'Unable to locate file upload field "jxt_press" or file types(' + rejected_mimetypes.join(",") + ") were rejected"
      }));
      if (!Array.isArray(uploaded_files)) {
        return resolve(await core.res_error(event, { d: 'Field "jxt_press" must be an array of files' }));
      }
      var f_upload, final_path, old_path, payload, n_uploaded = 0, allowed, uploading_to_private_folder;
      for (var i = 0; i < uploaded_files.length; i++) {
        f_upload = uploaded_files[i];
        let folder_upload_loc = form_fields.folder ? form_fields.folder[0] : "/";
        let to_public_folder = form_fields.public ? form_fields.public[0] : "true";
        old_path = f_upload.filepath;
        uploading_to_private_folder = to_public_folder == "true" || to_public_folder == true;
        var cancel_private_upload = false;
        if (uploading_to_private_folder && !event.user) cancel_private_upload = true;
        if (uploading_to_private_folder && event.user && await permissions.can_user({ user_id: event.user.id, action: "manage_plugins" })) {
          if (cancel_private_upload) {
            try {
              core.remove_file(old_path);
              continue;
            } catch (e) {
            }
          }
        }
        final_path = create_final_path(f_upload.newFilename, folder_upload_loc, uploading_to_private_folder);
        allowed = uploadable_types.includes(f_upload.mimetype);
        if (!allowed) {
          console.log("Unable to upload", f_upload.mimetype);
          rejected_mimetypes.push(f_upload.mimetype);
        }
        payload = { data: allowed, mimetype: f_upload.mimetype, user_id: (_a = event.user) == null ? undefined : _a.id, username: (_b = event.user) == null ? undefined : _b.name };
        if (event.user) {
          let user_default_upload_dir = `/uploads/${event.user.name}`;
          if (!await permissions.can_user({ user_id: event.user.id, action: "edit_options", evt: event })) {
            if (!folder_upload_loc.startsWith(user_default_upload_dir)) {
              payload.data = false;
              must_upload_to_own_director = true;
            }
          }
        }
        await plugin.do_filter("upload", payload);
        let file_url = final_path.substring(upload_destination.length);
        console.log("Upload URL=>(" + file_url + ")");
        if (payload.data == false) {
          try {
            core.remove_file(final_path);
            core.remove_file(old_path);
          } catch (e) {
          }
        } else {
          n_uploaded++;
          fs.copyFileSync(old_path, final_path);
          let stat = await core.get_file_stat(final_path);
          let file_post = {
            url: file_url,
            created_by: event.user.id,
            type: "media",
            value: stat.ino,
            title: f_upload.newFilename,
            status: "published"
          };
          await db.update({ table: "posts", data: file_post });
          await plugin.do_action("upload", { data: { path: final_path, mimetype: f_upload.mimetype, user_id: (_c = event.user) == null ? undefined : _c.id, file_post } });
        }
      }
      if (rejected_mimetypes.length > 0) {
        return resolve(await core.res_denied(event, {
          d: uploaded_files.length == n_uploaded,
          msg: "Mime types not allowed: " + rejected_mimetypes.join(",")
        }));
      } else {
        if (must_upload_to_own_director) {
          return resolve(await core.res_denied(event, {
            d: uploaded_files.length == n_uploaded,
            msg: `You must upload to  "/uploads/${(_d = event.user) == null ? undefined : _d.name}"`
          }));
        } else {
          return resolve(await core.res_success(event, {
            d: uploaded_files.length == n_uploaded,
            msg: "Operation completed"
          }));
        }
      }
    });
  });
  return data;
});

export { index_post as default };
//# sourceMappingURL=index.post2.mjs.map
