import { d as defineEventHandler, c as core, e as db } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const ity_post = defineEventHandler(async (event) => {
  let body = event.body;
  if (!body) return await core.res_denied(event, { msg: `Invalid parameter` });
  if (!body.id) return await core.res_success(event, { msg: `Invalid ID provided` });
  if (!body.value) return await core.res_denied(event, { msg: `value parameter is required` });
  if (typeof body.value != "object") return await core.res_denied(event, { msg: `value parameter is invalid` });
  let key_map = { tr0: "start", tr1: "end", tr2: "duration", clc: "clicks", re0: "read_end" };
  for (var k in body.value) {
    if (k in key_map) {
      body.value[key_map[k]] = body.value[k];
      delete body.value[k];
    }
  }
  try {
    let tb = `${db.name}.activities`;
    let sql = `SELECT id,created_by, value FROM ${tb} WHERE ${db.is("id", body.id)}`;
    let ret = await db.query(sql);
    if (ret.length == 0) return await core.res_denied(event, { msg: `Invalid ID record provided` });
    let value = core.type_cast(ret[0].value);
    if (typeof value != "object") return await core.res_denied(event, { msg: `Unexpected data value for activity` });
    value = { ...value, ...body.value };
    let activity = { id: body.id, value };
    db.update({ table: `activities`, data: activity });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d: true, msg: "Update completed" });
});

export { ity_post as default };
//# sourceMappingURL=ity.post.mjs.map
