import { d as defineEventHandler, u as users, c as core, e as db, a as posts } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const sniplet_post = defineEventHandler(async (event) => {
  let post = event.body;
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, {
      msg: "You must be logged ",
      reason: "auth"
    });
  }
  try {
    let tb = `${db.name}.posts`;
    if (post.id) {
      let results = await db.query(`SELECT id,type FROM ${tb} WHERE ${db.is("id", post.id)}`);
      if (results.length == 0) return await core.res_denied(event, { msg: `Unable to save sniplet ${post.id} - not found` });
      if (results[0].type != "sniplet") {
        return await core.res_denied(event, { msg: `Sniplet ${post.id} is not a sniplet` });
      }
    } else {
      if (!post.title || !post.description) throw new Error(`Provide title/description for sniplet`);
      if (!Array.isArray(post.value)) throw new Error(`For new Sniplet(s), array blocks is required `);
      post.type = "sniplet";
      core.touched_by(post, event);
    }
    post = await posts.modify_post({ ...post, event });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d: post, msg: "Saved sniplet" });
});

export { sniplet_post as default };
//# sourceMappingURL=sniplet.post.mjs.map
