import { d as defineEventHandler, u as users, c as core, p as permissions, b as plugin } from '../../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const createFolder_post = defineEventHandler(async (event) => {
  let payload = event.body;
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  if (!payload.folder || !payload.new_folder) {
    return await core.res_denied(event, { msg: "Missing parameters", reason: "params" });
  }
  try {
    if (!await permissions.can_user({ user_id: event.user.id, action: "manage_uploads" })) {
      return await core.res_denied(event, { msg: "Inadequate permission to edit posts", reason: "manage_uploads" });
    }
    payload.allow = true;
    await plugin.do_filter("before_create_folder", { data: payload });
    if (payload.allow == true) {
      var subroot = payload.public == true || payload.public == "true" || payload.public == "1" ? "public" : "site-plugins";
      let seperator = payload.folder.endsWith("/") ? "" : "/";
      let path2 = await core.get_server_root() + `/${subroot}${payload.folder}${seperator}${payload.new_folder}`;
      await core.create_directory(path2);
      return await core.res_success(event, { d: true });
    } else {
      return await core.res_denied(event, { d: false, msg: "Request to create folder denied by system", reason: "plugin" });
    }
  } catch (e) {
    return await core.res_error(event, e);
  }
});

export { createFolder_post as default };
//# sourceMappingURL=create-folder.post.mjs.map
