import { d as defineEventHandler, u as users, c as core, p as permissions, b as plugin } from '../../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const remove_delete = defineEventHandler(async (event) => {
  let payload = event.body;
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  if (!Array.isArray(payload)) {
    return await core.res_denied(event, { msg: "Missing parameters", reason: "params" });
  }
  await permissions.can_user({ user_id: event.user.id, action: "manage_plugins" });
  try {
    if (!await permissions.can_user({ user_id: event.user.id, action: "manage_uploads" })) {
      return await core.res_denied(event, { msg: "Inadequate perSmission to edit posts", reason: "manage_uploads" });
    }
    await plugin.do_filter("before_delete_upload", { data: payload });
    var subroot;
    var root = await core.get_server_root();
    let path2 = "", file, seperator;
    for (var i = 0; Array.isArray(payload) && i < payload.length; i++) {
      file = payload[i];
      if (!file.url) continue;
      subroot = file.public == true || file.public == "true" || file.public == "1" ? "public" : "site-plugins";
      path2 = root + `/${subroot}${file.url}`;
      await core.remove_directory(path2);
    }
    return await core.res_success(event, { d: true });
  } catch (e) {
    return await core.res_error(event, e);
  }
});

export { remove_delete as default };
//# sourceMappingURL=remove.delete.mjs.map
