import { d as defineEventHandler, c as core, u as users, a as posts, b as plugin, e as db } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

let parse_post_title = async (post, route) => {
  if (!post) return;
  if (!route) return;
  if (!post.title) return;
  let matches = core.get_all_matches(/(%\w+)/gm, post.title), m, token, value;
  if (matches.length == 0) return;
  let site_title = null;
  for (var i = 0; i < matches.length; i++) {
    try {
      m = matches[i];
      token = m.match.split("%")[1];
      if (token == "categories" || token == "category") {
        value = post.category_title;
      } else if (token == "site_name") {
        if (!site_title) site_title = await core.get_option({ name: "site_name", flat: true });
        value = site_title;
      } else if (token == "post_id") {
        value = post.id;
      } else if (token == "year") {
        value = (/* @__PURE__ */ new Date()).getFullYear() + " ";
      } else {
        value = route.query[token];
      }
      if (Array.isArray(value)) value = value.join(", ");
      if (!value) value = "";
      post.title = post.title.replaceAll(m.match, value);
    } catch (e) {
    }
  }
};
let is_included = (hay, target) => {
  if (!Array.isArray(hay)) return hay == target;
  if (Array.isArray(target)) {
    if (hay.length == 1 && target.length == 1) return hay[0] == target[0];
  }
  let scaler_types = ["string", "number", "bool"];
  if (scaler_types.includes(typeof target)) {
    return hay.includes(target);
  } else if (scaler_types.includes(typeof hay)) {
    return target.includes(hay);
  } else {
    var target_key = Object.keys(target)[0] || null;
    var target_value = target[target_key] || null;
    let loopable_target, server_real_val;
    let it_src, it_type;
    let target_is_array = Array.isArray(target);
    loopable_target = target_is_array ? target : [target];
    var i, j, m;
    for (i = 0; i < hay.length; i++) {
      it_src = hay[i];
      it_type = typeof it_src;
      if (scaler_types.includes(it_type)) {
        if (loopable_target.includes(it_src)) return true;
      } else if (it_type == "object") {
        for (j = 0; j < loopable_target.length; j++) {
          target_key = Object.keys(loopable_target[j])[0] || null;
          target_value = loopable_target[j][target_key] || null;
          server_real_val = it_src[target_key];
          if (server_real_val !== undefined) {
            if (target_value == null) {
              return true;
            } else {
              if (Array.isArray(target_value)) {
                var result = target_value.includes(server_real_val), it_tval;
                if (target_value.length == 2 && core.is_num(target_value[0]) && core.is_num(target_value[1])) {
                  result = target_value[0] <= server_real_val && server_real_val <= target_value[1];
                }
                if (result === false) {
                  for (m = 0; m < target_value.length; m++) {
                    it_tval = target_value[m];
                    if (Array.isArray(it_tval) && it_tval.length == 2 && core.is_num(it_tval[0]) && core.is_num(it_tval[1])) {
                      if (core.is_num(server_real_val)) {
                        if (it_tval[0] <= server_real_val && server_real_val <= it_tval[1]) {
                          return true;
                        }
                      }
                    }
                  }
                }
                return result;
              } else {
                return target_value == server_real_val;
              }
            }
          }
        }
      }
    }
    return false;
  }
};
const view_post = defineEventHandler(async (event) => {
  var _a, _b, _c, _d;
  let route = event.body;
  let pt = core.time();
  let promise_postcomponents = core.get_post_components({ user_id: (_a = event.user) == null ? undefined : _a.id, event });
  let is_logged_in = await users.is_logged_in({ event });
  route.user_id = null;
  route.evt = event;
  let url = route.url || route.path || route.fullPath || null;
  if (url && url.toLowerCase) {
    url = url.trim().split("?")[0];
  }
  let arr_page_asset_css = [];
  let arr_page_asset_js = [];
  let list_blks_for_sidebar = [];
  let sidebar_block_instance = null;
  let add_to_sidebar = (blk_to_add, arr_blk_source) => {
    list_blks_for_sidebar.push({ blk: blk_to_add, from: arr_blk_source });
  };
  let set_post_sidebar_block = (blk) => {
    if (sidebar_block_instance) return;
    sidebar_block_instance = blk;
  };
  if (event.user) route.user_id = event.user.id;
  let out = {}, table_content_data = [];
  try {
    let arr_promises = [core.get_blocks({ keypair: true }), posts.get_post_render(route)];
    let resolved = await Promise.all(arr_promises);
    out.blocks = resolved[0];
    out.post = resolved[1];
    out.post.base_url = route.path;
    out.is_static_page = false;
    let target_static_page_fn = null;
    if (out.post.is_404) {
      var statics = [];
      out.post.type = "404";
      await plugin.do_filter("register_static_page", { data: statics });
      if (Array.isArray(statics)) {
        let found_exit_early = false;
        statics.forEach((fn2) => {
          if (found_exit_early) return;
          if (target_static_page_fn != null) return;
          if (typeof fn2 != "function") return;
          let static_page = fn2();
          if (typeof static_page != "object") return;
          if (static_page.url == url) {
            found_exit_early = true;
            out.post.title = static_page.title || "Untitled Static Page";
            out.post.description = static_page.description || "No description";
            out.post.meta = static_page.meta || [];
            out.post.body_attrs = static_page.body_attrs;
            out.post.page_scripts = static_page.script || static_page.scripts || [];
            out.post.page_links = static_page.link || static_page.links || [];
            out.post.page_styles = static_page.style || static_page.styles || [];
            out.post.layout_post = null;
            out.post.type = "static-page";
            out.post.is_404 = false;
            out.post.is_static = true;
            out.post.value = [];
            out.post.url = url;
            target_static_page_fn = fn2;
            out.is_static_page = true;
          }
        });
      }
    }
    if (out.post) {
      out.post.jxt_layout_template = "default";
      if (url == "/user" || url.startsWith("/user/")) {
        out.post.jxt_layout_template = "user";
      }
      out.post.current_user = event.user || null;
      let t_promises = [
        parse_post_title(out.post, route),
        core.get_option({ name: "page_meta_props" }),
        core.get_option({ name: "site_name" })
      ];
      let t_result = await Promise.all(t_promises);
      let t_sname = t_result[2];
      let additional_meta_props = t_result[1];
      if (Array.isArray(additional_meta_props)) {
        for (var m of additional_meta_props) {
          if (!m || m && !m.name) continue;
          out.post.meta.push(m);
        }
      }
      let is_article = ["blog", "page"].includes(out.post.type);
      if (is_article) {
        if (out.post.modified) {
          out.post.meta.push({
            name: "article:modified_time",
            content: (_b = out.post.modified) == null ? void 0 : _b.toISOString()
          });
        }
        if (out.post.published) {
          out.post.meta.push({
            name: "article:published_time",
            content: (_c = out.post.published) == null ? void 0 : _c.toISOString()
          });
        }
        out.post.meta.push({
          name: "article:publisher",
          content: t_sname
        });
      }
      if (!Array.isArray(out.post.page_links)) out.post.page_links = [];
      if (!Array.isArray(out.post.page_scripts)) out.post.page_scripts = [];
      if (!Array.isArray(out.post.page_styles)) out.post.page_styles = [];
      out.post.page_links.push({ rel: "icon", href: "/favicon.ico", sizes: "any" });
      out.post.page_links.push({ rel: "icon", href: "/favicon.png", type: "image/png" });
      if (Array.isArray(out.post.value)) {
        var j, jast, new_blk;
        for (j = out.post.page_styles.length - 1; j > -1; j--) {
          jast = out.post.page_styles[j];
          if (!jast["in-body"]) continue;
          new_blk = {
            type: "rawhtml",
            children: [],
            id: Date.now() + "CSST",
            state: { content: `<style id="${jast.id}">${jast.innerHTML}</style>` }
          };
          out.post.page_styles.splice(j, 1);
          out.post.value.push(new_blk);
        }
        for (j = out.post.page_scripts.length - 1; j > -1; j--) {
          jast = out.post.page_scripts[j];
          if (!jast["in-body"]) continue;
          new_blk = {
            type: "rawhtml",
            children: [],
            id: Date.now() + "JSS",
            state: { content: `<script id="${jast.id}">${jast.innerHTML}<\/script>` }
          };
          out.post.page_scripts.splice(j, 1);
          out.post.value.push(new_blk);
        }
      }
    }
    let chk_expression = async (target_value, operator, real_value, type) => {
      if (!Array.isArray(target_value)) target_value = [target_value];
      if (!Array.isArray(real_value)) real_value = [real_value];
      target_value = await core.type_cast(target_value);
      let output;
      if (operator == "is" || operator == "not") {
        if (operator == "is") {
          output = is_included(real_value, target_value);
        } else {
          output = !is_included(real_value, target_value);
          //!real_value.includes(target_value[0])
        }
      } else if (operator == "is_in" || operator == "not_in") {
        let at_least_one_is_true = false, tv, rv;
        if (operator == "is_in") {
          for (tv = 0; tv < target_value.length; tv++) {
            for (rv = 0; rv < real_value.length; rv++) {
              if (target_value[tv] == real_value[rv]) {
                at_least_one_is_true = true;
                break;
              }
            }
            if (at_least_one_is_true) break;
          }
        } else {
          for (tv = 0; tv < target_value.length; tv++) {
            for (rv = 0; rv < real_value.length; rv++) {
              if (target_value[tv] == real_value[rv]) {
                at_least_one_is_true = true;
                break;
              }
            }
            if (at_least_one_is_true) break;
          }
        }
        output = !at_least_one_is_true;
      } else {
        output = false;
      }
      return output;
    };
    let evaluate_conditionals = async ({ blk_inst }) => {
      if (!blk_inst) return;
      if (!blk_inst.state) return;
      if (!Array.isArray(blk_inst.state.render_conditions)) return;
      if (blk_inst.state.render_conditions.length == 0) return;
      let conditions = blk_inst.state.render_conditions;
      let allow_render = true;
      let cond, errors = [];
      for (var i2 = 0; i2 < conditions.length; i2++) {
        cond = conditions[i2];
        if (!cond) {
          errors.push(`At ${i2} index, condition is null`);
          continue;
        }
        if (!cond.type) {
          errors.push(`At ${i2} index, condition type required`);
          continue;
        }
        if (cond.type != "lockdown" && !cond.operator) {
          errors.push(`At ${i2} index, condition was invalid -missing type, operator or null`);
          continue;
        }
        let real_value = null;
        if (cond.type == "login_status") {
          real_value = is_logged_in ? "logged_in" : "logged_out";
          allow_render = allow_render && await chk_expression(cond.target_value, cond.operator, real_value, cond.type);
        } else if (cond.type == "user_role") {
          real_value = is_logged_in ? await users.get_user_roles({ user_id: event.user.id }) : [];
          real_value = real_value.map((it2) => it2.role);
          allow_render = allow_render && await chk_expression(cond.target_value, cond.operator, real_value, cond.type);
        } else if (cond.type == "user_cap") {
          real_value = is_logged_in ? await users.get_user_caps({ user_id: event.user.id }) : [];
          allow_render = allow_render && await chk_expression(cond.target_value, cond.operator, real_value, cond.type);
        } else if (cond.type == "use_plugin") {
          let bool_result = await plugin.do_filter("block_use_plugin", { data: allow_render, blk_inst, event, route });
          bool_result = bool_result.data;
          if (typeof bool_result == "boolean") allow_render = allow_render && bool_result;
        } else if (cond.type == "url_query") {
          real_value = route.query || {};
          allow_render = allow_render && await chk_expression(core.tf_to_arr_obj(cond.target_value), cond.operator, real_value, cond.type);
        } else if (cond.type == "lockdown") {
          allow_render = false;
        } else if (cond.type == "user_meta") {
          if (!is_logged_in) {
            allow_render = false;
          } else {
            real_value = (await users.get_metas({ user_id: event.user.id }) || []).map((it2) => {
              var out2 = {};
              out2[it2.name] = it2.value;
              return out2;
            });
            let target = core.tf_to_arr_obj(cond.target_value);
            allow_render = allow_render && await chk_expression(target, cond.operator, real_value, cond.type);
          }
        } else if (cond.type == "post_meta") {
          real_value = (await posts.get_metas({ post_id: out.post.id }) || []).map((it2) => {
            var out2 = {};
            out2[it2.name] = it2.value;
            return out2;
          });
          let target = core.tf_to_arr_obj(cond.target_value);
          allow_render = allow_render && await chk_expression(target, cond.operator, real_value, cond.type);
        } else if (cond.type == "post_id") {
          real_value = out.post.id;
          allow_render = allow_render && await chk_expression(cond.target_value, cond.operator, real_value, cond.type);
        } else if (cond.type == "post_type") {
          real_value = out.post.type;
          allow_render = allow_render && await chk_expression(cond.target_value, cond.operator, real_value, cond.type);
        } else if (cond.type == "post_category") {
          real_value = out.post.category_id;
          allow_render = allow_render && await chk_expression(cond.target_value, cond.operator, real_value, cond.type);
        } else if (cond.type == "post_tags" || cond.type == "post_tag") {
          real_value = (await posts.get_post_tags({ post_id: out.post.id }) || []).map((it2) => it2.slug);
          allow_render = allow_render && await chk_expression(
            cond.target_value,
            cond.operator,
            real_value,
            cond.type
          );
        } else if (cond.type == "time_day") {
          let now = /* @__PURE__ */ new Date();
          real_value = now.getHours() + now.getMinutes() / 60;
          if (Array.isArray(cond.target_value)) {
            var it;
            for (var i2 = 0; i2 < cond.target_value.length; i2++) {
              it = cond.target_value[i2];
              if (it == null) continue;
              it = it.toString().trim().split(":");
              if (it.length == 0) continue;
              if (it.length == 1) {
                if (it[0] == "") it[0] = "0";
                it.push("0");
              }
              it[0] = Number.parseInt(it[0]);
              it[1] = Number.parseInt(it[1]);
              cond.target_value[i2] = it[0] + it[1] / 60;
            }
            cond.target_value = cond.target_value.sort();
            let bool_expr2;
            if (cond.target_value.length == 2) {
              bool_expr2 = cond.target_value[0] <= real_value && real_value <= cond.target_value[1];
            } else if (cond.target_value.length == 1) {
              bool_expr2 = real_value >= cond.target_value[0];
            }
            if (cond.operator == "not") bool_expr2 = !bool_expr2;
            allow_render = allow_render && bool_expr2;
          }
        } else if (cond.type == "weekday") {
          let now = /* @__PURE__ */ new Date();
          let weekdays = ["sunday", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday"];
          real_value = now.getDay();
          let target = cond.target_value.map((it2) => {
            return weekdays.indexOf(it2);
          });
          var bool_expr = target.includes(real_value);
          if (cond.operator == "not") bool_expr = !bool_expr;
          allow_render = allow_render && bool_expr;
        } else if (cond.type == "month") {
          let now = /* @__PURE__ */ new Date();
          real_value = now.getMonth();
          let bool_expr2 = cond.target_value.includes(real_value);
          if (cond.operator == "not") bool_expr2 = !bool_expr2;
          allow_render = allow_render && bool_expr2;
        } else if (cond.type == "cookie") {
          real_value = event.jxt.cookies;
          let tx = core.tf_to_arr_obj(cond.target_value);
          allow_render = allow_render && await chk_expression(tx, cond.operator, real_value, cond.type);
        } else {
          core.log({ event, source: "view.post.js", msg: 'evaluate-conditionals cannot evaluation type "' + cond.type + '" - no implementation found' });
        }
      }
      return allow_render;
    };
    let do_blk_ss_init = async ({ parent_id, parent_type, type }, blk_inst) => {
      if (Array.isArray(blk_inst.state.render_conditions) && blk_inst.state.render_conditions.length > 0) {
        let eval_outcome = await evaluate_conditionals({ blk_inst });
        blk_inst.do_not_render = eval_outcome == false;
        if (blk_inst.do_not_render) {
          return;
        }
      }
    };
    let blk_types_included = {};
    let find_blk_class = (blk_name) => {
      let the_class = null;
      if (!blk_name) return the_class;
      the_class = out.blocks[blk_name];
      return the_class;
    };
    let simulate_block_build = async (config) => {
      var _a2, _b2;
      let {
        out: out2,
        post,
        blocks,
        caller_name,
        arr_instances,
        parent_id,
        route: route2,
        parent_type,
        parent_inst,
        remember_blk_class_type: remember_blk_class_type2
      } = config;
      if (!arr_instances) return;
      if (!Array.isArray(arr_instances)) return;
      if (arr_instances.length == 0) return;
      let blk_inst, type, state, block_id, blk_class2 = null;
      for (var i2 = 0; i2 < arr_instances.length; i2++) {
        blk_inst = arr_instances[i2];
        type = blk_inst.type;
        state = blk_inst.state;
        block_id = blk_inst.id;
        if (!state) continue;
        blk_types_included[type] = true;
        blk_class2 = find_blk_class(type);
        if (type != "postsidebar" && blk_inst.state.to_sidebar) {
          add_to_sidebar(blk_inst, arr_instances);
        }
        if (type == "customrender") {
          let generator_code = (_a2 = blk_inst == null ? void 0 : blk_inst.state) == null ? void 0 : _a2.generator;
          if (blk_inst.state.usage == "use_parent") {
            generator_code = ` return parent_state `;
          }
          let generator_fn = new Function(`try { let core = arguments[0]; post = arguments[1]; let parent_state = arguments[2]; ${generator_code}; } catch(e){ console.error('Custom Render Generator ${blk_inst.id} failed during ${out2.post.url}'); return null; } `);
          let generated_data = await generator_fn(core, out2.post, (parent_inst == null ? void 0 : parent_inst.state) || { length: 0, title: "No Parent Block", error: "Null parent" }) || null;
          blk_inst.state.data = generated_data;
        } else if (type == "heading") {
          if (!config.is_layout && blk_inst.state.as_tb_content) {
            let sy_target = blk_inst.state.element_id || blk_inst.id;
            table_content_data.push({
              title: blk_inst.state.anchor_text || blk_inst.state.text,
              level: blk_inst.state.level,
              url: out2.post.url + `#${sy_target}`,
              target: sy_target
            });
          }
        } else if (type == "header") {
          let header_links = blk_inst.state.links0, hlink;
          if (Array.isArray(header_links)) {
            for (var li = 0; li < header_links.length; li++) {
              hlink = header_links[li];
              if (hlink.submenu_id) {
                hlink.submenu_instance = core.find_block_instance({ instances: out2.post.value, block_id: hlink.submenu_id });
                if (!hlink.submenu_instance)
                  hlink.submenu_instance = core.find_block_instance({ instances: (_b2 = out2.post.layout_post) == null ? void 0 : _b2.value, block_id: hlink.submenu_id });
              }
            }
          }
        } else if (type == "form") {
        } else if (type == "postproductcartsummary") {
        } else if (type == "postsidebar") {
          set_post_sidebar_block(blk_inst);
        } else if (type == "postembed" && blk_inst.state.post_id != out2.post.id) {
          let T = db.name + ".posts";
          let embeded_post = await db.query(`SELECT value FROM ${T} WHERE ${db.is("id", blk_inst.state.post_id)}`);
          if (embeded_post.length > 0) {
            embeded_post = embeded_post[0];
            try {
              embeded_post.value = JSON.parse(embeded_post.value);
              if (Array.isArray(embeded_post.value)) {
                blk_inst.children.push(...embeded_post.value);
              }
            } catch (e) {
            }
          }
        } else if (type == "postloop") {
          let the_loop = [];
          if (blk_inst.state.data_source == "latest") {
            the_loop = await posts.get_latest({
              type: blk_inst.state.post_type,
              limit: blk_inst.state.limit
            });
          } else if (blk_inst.state.data_source == "page_query") {
            let page_query = route2.query;
            let keywords = page_query.q || page_query.s || page_query.categories || page_query.tags || null;
            if (!keywords) keywords = [];
            if (!Array.isArray(keywords)) keywords = keywords.split(",");
            let p = page_query.p || 1;
            let limit = page_query.limit;
            the_loop = await core.search({
              event,
              p,
              limit,
              keywords,
              target: "posts",
              user_id: event.user ? event.user.id : null
            });
          } else if (blk_inst.state.data_source == "page_taxonomy") {
            let r_params = route2.params;
            the_loop = (await core.get_class_term_items({
              ...route2.query,
              class_name: r_params.tax_name,
              term_slug: r_params.name
            })).sort((a, b) => {
              return b.count - a.count;
            });
          } else if (blk_inst.state.data_source == "related") {
            the_loop = await posts.get_related({
              post_id: out2.post.id,
              limit: blk_inst.state.limit || 5
            });
          } else if (blk_inst.state.data_source == "taxonomy_terms") {
            let arr = await core.get_terms({ class_id: blk_inst.state.taxonomy_id });
            the_loop = [];
            arr.forEach((it) => {
              if (it.count > 0 && it.title) {
                it.title = `${it.title} (${it.count})`;
                the_loop.push(it);
              }
            });
            the_loop = the_loop.sort((a, b) => {
              return b.count - a.count;
            });
          } else if (blk_inst.state.data_source == "plugin") {
            the_loop = [];
            await plugin.do_filter("set_loop_data", {
              data: the_loop,
              block_id: blk_inst.id,
              post_type: out2.post.type,
              url,
              route: route2
            });
          }
          the_loop = the_loop || [];
          await plugin.do_filter("the_loop", { data: the_loop, route: route2 });
          the_loop = the_loop || [];
          blk_inst.state.the_loop = the_loop;
        }
        await do_blk_ss_init({ parent_id, parent_type, type }, blk_inst);
        if (!blk_inst.do_not_render) {
          await simulate_block_build({
            out: out2,
            caller_name,
            arr_instances: blk_inst.children || [],
            parent_id: block_id,
            parent_type: type,
            parent_inst: blk_inst,
            remember_blk_class_type: remember_blk_class_type2
          });
        }
        if (blk_inst.state.is_virtual) {
          arr_instances.splice(i2, 1);
          i2--;
        }
      }
    };
    let remember_blk_class_type = {};
    let sim_promises = [];
    sim_promises.push(simulate_block_build({
      out,
      caller_name: "post_source",
      route,
      is_layout: false,
      arr_instances: (_d = out.post.layout_post) == null ? void 0 : _d.value,
      parent_id: "layout",
      parent_type: "Layout",
      parent_inst: null,
      remember_blk_class_type
    }));
    sim_promises.push(await simulate_block_build({
      out,
      caller_name: "post_layout",
      arr_instances: out.post.value,
      route,
      parent_id: "root",
      parent_type: "Root",
      parent_inst: null,
      remember_blk_class_type
    }));
    await Promise.all(sim_promises);
    let blk_class, fn, returned_assets;
    let has_loaded_assets = { links: {}, styles: {}, scripts: {} };
    let inject_asset_once = (blk_type, str_asset_type, storage_arr, new_assets_to_include) => {
      let la_type = null;
      if (!Array.isArray(storage_arr)) return;
      let has_already = () => {
        var tmp;
        if (Array.isArray(str_asset_type)) {
          var at_least_once = false;
          for (var n = 0; n < str_asset_type.length; n++) {
            tmp = str_asset_type[n];
            if (tmp == "link") tmp = "links";
            if (tmp == "script") tmp = "scripts";
            if (tmp == "style") tmp = "styles";
            la_type = tmp;
            if (has_loaded_assets[tmp][blk_type]) {
              at_least_once = true;
              break;
            }
          }
          return at_least_once;
        } else {
          return has_loaded_assets[str_asset_type][blk_type];
        }
      };
      let set_as_already = () => {
        var tmp;
        if (Array.isArray(str_asset_type)) {
          for (var n = 0; n < str_asset_type.length; n++) {
            tmp = str_asset_type[n];
            if (tmp == "link") tmp = "links";
            if (tmp == "script") tmp = "scripts";
            if (tmp == "style") tmp = "styles";
            la_type = tmp;
            if (has_loaded_assets[tmp][blk_type]) {
              has_loaded_assets[tmp][blk_type] = true;
              break;
            }
          }
        } else {
          has_loaded_assets[str_asset_type][blk_type] = true;
        }
        return tmp;
      };
      if (!Array.isArray(new_assets_to_include)) return;
      if (new_assets_to_include.length == 0) return;
      if (has_already()) return;
      set_as_already();
      for (var n_asset of new_assets_to_include) {
        if (!n_asset) continue;
        if (n_asset["in-body"]) {
          if (la_type == "styles") {
            arr_page_asset_css.push(n_asset);
          } else if (la_type == " scripts") {
            arr_page_asset_js.push(n_asset);
          }
        } else {
          storage_arr.push(n_asset);
        }
      }
    };
    if (table_content_data.length > 0) {
      let t_post_blocks = out.post.value;
      blk_types_included["element"] = true;
      blk_types_included["tablecontents"] = true;
      let new_block_wrap = [
        {
          //wrap the entire post with a element
          type: "element",
          id: "i" + Date.now(),
          state: {
            tag: "div",
            class: "flex gap-2 sm:block"
          },
          children: [
            // the elements children
            {
              type: "element",
              id: "m" + Date.now(),
              state: {
                tag: "div",
                class: "table-content-column"
              },
              children: [
                {
                  type: "tablecontents",
                  children: [],
                  id: "j" + Date.now(),
                  state: {
                    class: "  ",
                    data: table_content_data
                  }
                }
              ]
            },
            {
              type: "element",
              id: "m" + Date.now(),
              state: {
                tag: "div",
                class: "flex-1 content-column"
              },
              children: t_post_blocks
            }
          ]
        }
        //end of entire post wrapper
      ];
      out.post.value = new_block_wrap;
    }
    for (var cls_type in blk_types_included) {
      blk_class = out.blocks[cls_type];
      if (blk_class && typeof blk_class.assets == "function") {
        fn = blk_class.assets;
        try {
          returned_assets = fn({
            is_server: true,
            is_preview: url == null ? void 0 : url.startsWith("/user/preview/"),
            is_edit: url == null ? void 0 : url.startsWith("/user/editor/"),
            from: event.jxt.referer,
            to: route.path,
            query: route.query,
            params: route.params,
            post: out.post
          });
          if (typeof returned_assets == "object") {
            inject_asset_once(cls_type, ["links", "link"], out.post.page_links, returned_assets.link || returned_assets.links);
            inject_asset_once(cls_type, ["styles", "style"], out.post.page_styles, returned_assets.style || returned_assets.styles);
            inject_asset_once(cls_type, ["scripts", "script"], out.post.page_scripts, returned_assets.script || returned_assets.scripts);
          }
        } catch (ee) {
          core.log({ event, err: ee });
        }
      }
    }
    if (sidebar_block_instance && list_blks_for_sidebar.length > 0) {
      let it;
      for (var i = 0; i < list_blks_for_sidebar.length; i++) {
        it = list_blks_for_sidebar[i];
        for (var j = 0; j < it.from.length; j++) {
          if (it.from[j] == it.blk) it.from.splice(j, 1);
        }
        sidebar_block_instance.children.push(it.blk);
      }
    }
    let surround_pages_promises = [];
    let before_page = [], after_page = [];
    surround_pages_promises.push(plugin.do_filter("before_page", { data: before_page, route }));
    surround_pages_promises.push(plugin.do_filter("after_page", { data: after_page, route }));
    await Promise.all(surround_pages_promises);
    for (var i = before_page.length - 1; i > -1; i--) {
      if (typeof before_page[i] != "function") {
        before_page.splice(i, 1);
        continue;
      }
      before_page[i] = before_page[i].toString();
    }
    for (var i = after_page.length - 1; i > -1; i--) {
      if (typeof after_page[i] != "function") {
        after_page.splice(i, 1);
        continue;
      }
      after_page[i] = after_page[i].toString();
    }
    out.after_page = after_page;
    out.before_page = before_page;
    out.static_page = null;
    if (target_static_page_fn) {
      out.static_page = target_static_page_fn.toString();
    }
    out.post_component_sources = await promise_postcomponents;
  } catch (e) {
    return await core.res_error(event, e);
  }
  pt = core.time(pt);
  if (pt) out.post.load_time = pt.es;
  let cls, new_blk_cls = [];
  for (var key in out.blocks) {
    cls = out.blocks[key];
    new_blk_cls.push(cls);
  }
  out.blocks = new_blk_cls;
  await plugin.do_filter("view_page", { data: out, route });
  return await core.res_success(event, { d: out, msg: "fetched post" });
});

export { view_post as default };
//# sourceMappingURL=view.post.mjs.map
