import { d as defineEventHandler, c as core } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const search_get = defineEventHandler(async (event) => {
  let query = event.query;
  let d = [];
  try {
    if (query.inflate) {
      d = await core.inflate({
        event,
        inflate: query.inflate,
        p: query.p,
        pages: query.pages,
        limit: query.limit,
        target: query.target,
        user_id: event.user ? event.user.id : null
      });
    } else {
      d = await core.search({
        event,
        p: query.p,
        pages: query.pages,
        limit: query.limit,
        target: query.target,
        keywords: query.keywords,
        user_id: event.user ? event.user.id : null
      });
    }
  } catch (e) {
    return await core.res_error(event, { d, msg: "Error during search - " + e.message });
  }
  return await core.res_success(event, { d, msg: "Search completed" });
});

export { search_get as default };
//# sourceMappingURL=search.get.mjs.map
