import { d as defineEventHandler, u as users, c as core, p as permissions } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const term_post = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { event, msg: "You must be logged in to manage terms", reason: "auth" });
  }
  if (!await permissions.can_user({ user_id: event.user.id, action: "manage_classifications", evt: event })) {
    return core.res_denied(event, { msg: "You cannot manage classifications ", reason: "manage_classifications" });
  }
  let body = event.body;
  let d = await core.modify_term({ evt: event, ...body });
  return await core.res_success(event, { d, msg: "modified classification" });
});

export { term_post as default };
//# sourceMappingURL=term.post.mjs.map
