import { d as defineEventHandler, u as users, c as core, p as permissions, b as plugin, e as db } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const metas_get = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  let d = [];
  try {
    if (!await permissions.can_user({ user_id: event.user.id, action: "view_post" })) {
      return await core.res_denied(event, { msg: "Inadequate permission view/edit options", reason: "view_post" });
    }
    let default_priority = 10;
    let settings_sections = [
      { name: "general", title: "General", description: "General user settings" }
    ];
    console.log("GETTING----USER_METEAS FOR ", event.user);
    await plugin.do_filter("user_settings_sections", { data: settings_sections, event, user_id: event.user.id });
    let settings_items = await core.get_user_settings_items({ event });
    var section = null, item;
    for (var i = 0; i < settings_sections.length; i++) {
      section = settings_sections[i];
      if (section.priority == void 0) section.priority = default_priority;
    }
    var option_names = [];
    for (var i = settings_items.length - 1; i > -1; i--) {
      item = settings_items[i];
      if (!item || item && !item.name) {
        settings_items.splice(i, 1);
        continue;
      }
      if (!item.type) item.type = "string";
      if (!item.parent) item.parent = "general";
      if (!item.description) item.description = "";
      if (item.priority == void 0) item.priority = default_priority;
      if (!Array.isArray(item.choices)) item.choices = [];
      item.user_id = event.user.id;
      option_names.push(item.name);
      section = settings_sections.find((it) => it.name == item.parent);
      if (!section) continue;
      if (!Array.isArray(section.children)) section.children = [];
      section.children.push(item);
    }
    let tbum = `${db.name}.user_metas`;
    var sql_values = `SELECT * FROM ${tbum} WHERE ${db.like("name", option_names)} AND user_id=${event.user.id}`;
    var sql_results = await db.query(sql_values);
    var opt, opt_default_value;
    for (var i = 0; i < settings_items.length; i++) {
      opt_default_value = null;
      item = settings_items[i];
      opt = sql_results.find((it) => it.name == item.name);
      if (opt) {
        opt_default_value = await core.type_cast(opt.value);
      } else {
        if (item.default != void 0) opt_default_value = item.default;
      }
      let temp = { name: item.name, value: opt_default_value };
      await plugin.do_filter("user_meta", { data: temp });
      item.value = temp.value;
    }
    for (var i = 0; i < settings_sections.length; i++) {
      section = settings_sections[i];
      section.children = section.children.sort((a, b) => a.priority - b.priority);
    }
    d = settings_sections.sort((a, b) => a.priority - b.priority);
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Obtained results" });
});

export { metas_get as default };
//# sourceMappingURL=metas.get.mjs.map
