import { d as defineEventHandler, u as users, c as core, p as permissions } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const metas_post = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  let d = event.body;
  try {
    if (!await permissions.can_user({ user_id: event.user.id, action: "view_post", evt: event })) {
      return await core.res_denied(event, { msg: "Inadequate permission view/edit user metas", reason: "view_post" });
    }
    d.user_id = event.user.id;
    d = await users.set_meta(d);
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Obtained results" });
});

export { metas_post as default };
//# sourceMappingURL=metas.post.mjs.map
