import { d as defineEventHandler, u as users, c as core, p as permissions } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const userRoles_post = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "true", evt: event });
  }
  let d = [];
  try {
    if (!await permissions.can_user({ user_id: event.user.id, action: "manage_users", evt: event })) {
      return await core.res_denied(event, { msg: "Inadequate permission view/edit options", reason: "manage_users" });
    }
    let payload = event.body;
    if (!payload) return await core.res_denied(event, { msg: "Invalid payload supplied" });
    let user_roles = payload.roles;
    if (Array.isArray(user_roles)) {
      let promises = [];
      for (var i = 0; i < user_roles.length; i++) {
        if (user_roles[i].is_new) {
          delete user_roles[i].id;
          delete user_roles[i].is_new;
        }
        promises.push(users.modify_user_role(user_roles[i]));
      }
      await Promise.all(promises);
    }
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Obtained results" });
});

export { userRoles_post as default };
//# sourceMappingURL=user-roles.post.mjs.map
