import { hasInjectionContext, inject, version, unref, computed, ref, mergeProps, withCtx, renderSlot, createTextVNode, toDisplayString, useSSRContext, onMounted, onUnmounted, onUpdated, onBeforeUnmount, defineAsyncComponent, defineComponent, h, provide, shallowReactive, watch, Suspense, nextTick, Fragment, Transition, shallowRef, toRef, getCurrentInstance, onServerPrefetch, toValue, reactive, resolveComponent, isRef, createVNode, openBlock, createBlock, renderList, createCommentVNode, createApp, effectScope, getCurrentScope, resolveDynamicComponent, onBeforeUpdate, Teleport, onErrorCaptured, isReadonly, toRaw, isShallow, isReactive } from 'vue';
import { $ as $fetch$1, t as hasProtocol, v as isScriptProtocol, w as joinURL, x as withQuery, y as defu, z as sanitizeStatusCode, A as getRequestHeaders, B as klona, C as parse, D as getRequestHeader, E as hash, F as parseQuery, G as createHooks, m as createError$1, H as destr, I as isEqual, s as setCookie, J as getCookie, f as deleteCookie, K as getContext, L as withTrailingSlash, M as withoutTrailingSlash, N as toRouteMatcher, O as createRouter$1, P as getResponseHeader, Q as removeResponseHeader, R as setResponseHeader } from '../nitro/nitro.mjs';
import { b as baseURL } from '../routes/renderer.mjs';
import { defineStore, createPinia, setActivePinia, shouldHydrate } from 'pinia';
import { getActiveHead, CapoPlugin } from 'unhead';
import { defineHeadPlugin } from '@unhead/shared';
import { useRoute as useRoute$1, RouterView, createMemoryHistory, createRouter, START_LOCATION } from 'vue-router';
import { ssrRenderAttrs, ssrRenderList, ssrRenderComponent, ssrRenderSlot, ssrInterpolate, ssrRenderClass, ssrRenderAttr, ssrIncludeBooleanAttr, ssrLooseContain, ssrRenderStyle, ssrRenderTeleport, ssrRenderDynamicModel, ssrLooseEqual, ssrRenderVNode, ssrRenderSuspense } from 'vue/server-renderer';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';

var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
if (!globalThis.$fetch) {
  globalThis.$fetch = $fetch$1.create({
    baseURL: baseURL()
  });
}
const appLayoutTransition = false;
const appPageTransition = false;
const appKeepalive = false;
const nuxtLinkDefaults = { "componentName": "NuxtLink", "prefetch": true, "prefetchOn": { "visibility": true } };
const asyncDataDefaults = { "deep": false };
const fetchDefaults = {};
const appId = "nuxt-app";
function getNuxtAppCtx(id = appId) {
  return getContext(id, {
    asyncContext: false
  });
}
const NuxtPluginIndicator = "__nuxt_plugin";
function createNuxtApp(options) {
  var _a;
  let hydratingCount = 0;
  const nuxtApp = {
    _id: options.id || appId || "nuxt-app",
    _scope: effectScope(),
    provide: undefined,
    globalName: "nuxt",
    versions: {
      get nuxt() {
        return "3.15.1";
      },
      get vue() {
        return nuxtApp.vueApp.version;
      }
    },
    payload: shallowReactive({
      ...((_a = options.ssrContext) == null ? undefined : _a.payload) || {},
      data: shallowReactive({}),
      state: reactive({}),
      once: /* @__PURE__ */ new Set(),
      _errors: shallowReactive({})
    }),
    static: {
      data: {}
    },
    runWithContext(fn) {
      if (nuxtApp._scope.active && !getCurrentScope()) {
        return nuxtApp._scope.run(() => callWithNuxt(nuxtApp, fn));
      }
      return callWithNuxt(nuxtApp, fn);
    },
    isHydrating: false,
    deferHydration() {
      if (!nuxtApp.isHydrating) {
        return () => {
        };
      }
      hydratingCount++;
      let called = false;
      return () => {
        if (called) {
          return;
        }
        called = true;
        hydratingCount--;
        if (hydratingCount === 0) {
          nuxtApp.isHydrating = false;
          return nuxtApp.callHook("app:suspense:resolve");
        }
      };
    },
    _asyncDataPromises: {},
    _asyncData: shallowReactive({}),
    _payloadRevivers: {},
    ...options
  };
  {
    nuxtApp.payload.serverRendered = true;
  }
  if (nuxtApp.ssrContext) {
    nuxtApp.payload.path = nuxtApp.ssrContext.url;
    nuxtApp.ssrContext.nuxt = nuxtApp;
    nuxtApp.ssrContext.payload = nuxtApp.payload;
    nuxtApp.ssrContext.config = {
      public: nuxtApp.ssrContext.runtimeConfig.public,
      app: nuxtApp.ssrContext.runtimeConfig.app
    };
  }
  nuxtApp.hooks = createHooks();
  nuxtApp.hook = nuxtApp.hooks.hook;
  {
    const contextCaller = async function(hooks, args) {
      for (const hook of hooks) {
        await nuxtApp.runWithContext(() => hook(...args));
      }
    };
    nuxtApp.hooks.callHook = (name, ...args) => nuxtApp.hooks.callHookWith(contextCaller, name, ...args);
  }
  nuxtApp.callHook = nuxtApp.hooks.callHook;
  nuxtApp.provide = (name, value) => {
    const $name = "$" + name;
    defineGetter(nuxtApp, $name, value);
    defineGetter(nuxtApp.vueApp.config.globalProperties, $name, value);
  };
  defineGetter(nuxtApp.vueApp, "$nuxt", nuxtApp);
  defineGetter(nuxtApp.vueApp.config.globalProperties, "$nuxt", nuxtApp);
  const runtimeConfig = options.ssrContext.runtimeConfig;
  nuxtApp.provide("config", runtimeConfig);
  return nuxtApp;
}
function registerPluginHooks(nuxtApp, plugin2) {
  if (plugin2.hooks) {
    nuxtApp.hooks.addHooks(plugin2.hooks);
  }
}
async function applyPlugin(nuxtApp, plugin2) {
  if (typeof plugin2 === "function") {
    const { provide: provide2 } = await nuxtApp.runWithContext(() => plugin2(nuxtApp)) || {};
    if (provide2 && typeof provide2 === "object") {
      for (const key in provide2) {
        nuxtApp.provide(key, provide2[key]);
      }
    }
  }
}
async function applyPlugins(nuxtApp, plugins2) {
  var _a, _b, _c, _d;
  const resolvedPlugins = [];
  const unresolvedPlugins = [];
  const parallels = [];
  const errors = [];
  let promiseDepth = 0;
  async function executePlugin(plugin2) {
    var _a2;
    const unresolvedPluginsForThisPlugin = ((_a2 = plugin2.dependsOn) == null ? undefined : _a2.filter((name) => plugins2.some((p) => p._name === name) && !resolvedPlugins.includes(name))) ?? [];
    if (unresolvedPluginsForThisPlugin.length > 0) {
      unresolvedPlugins.push([new Set(unresolvedPluginsForThisPlugin), plugin2]);
    } else {
      const promise = applyPlugin(nuxtApp, plugin2).then(async () => {
        if (plugin2._name) {
          resolvedPlugins.push(plugin2._name);
          await Promise.all(unresolvedPlugins.map(async ([dependsOn, unexecutedPlugin]) => {
            if (dependsOn.has(plugin2._name)) {
              dependsOn.delete(plugin2._name);
              if (dependsOn.size === 0) {
                promiseDepth++;
                await executePlugin(unexecutedPlugin);
              }
            }
          }));
        }
      });
      if (plugin2.parallel) {
        parallels.push(promise.catch((e) => errors.push(e)));
      } else {
        await promise;
      }
    }
  }
  for (const plugin2 of plugins2) {
    if (((_a = nuxtApp.ssrContext) == null ? undefined : _a.islandContext) && ((_b = plugin2.env) == null ? undefined : _b.islands) === false) {
      continue;
    }
    registerPluginHooks(nuxtApp, plugin2);
  }
  for (const plugin2 of plugins2) {
    if (((_c = nuxtApp.ssrContext) == null ? undefined : _c.islandContext) && ((_d = plugin2.env) == null ? undefined : _d.islands) === false) {
      continue;
    }
    await executePlugin(plugin2);
  }
  await Promise.all(parallels);
  if (promiseDepth) {
    for (let i = 0; i < promiseDepth; i++) {
      await Promise.all(parallels);
    }
  }
  if (errors.length) {
    throw errors[0];
  }
}
// @__NO_SIDE_EFFECTS__
function defineNuxtPlugin(plugin2) {
  if (typeof plugin2 === "function") {
    return plugin2;
  }
  const _name = plugin2._name || plugin2.name;
  delete plugin2.name;
  return Object.assign(plugin2.setup || (() => {
  }), plugin2, { [NuxtPluginIndicator]: true, _name });
}
const definePayloadPlugin = defineNuxtPlugin;
function callWithNuxt(nuxt, setup, args) {
  const fn = () => setup();
  const nuxtAppCtx = getNuxtAppCtx(nuxt._id);
  {
    return nuxt.vueApp.runWithContext(() => nuxtAppCtx.callAsync(nuxt, fn));
  }
}
function tryUseNuxtApp(id) {
  var _a;
  let nuxtAppInstance;
  if (hasInjectionContext()) {
    nuxtAppInstance = (_a = getCurrentInstance()) == null ? undefined : _a.appContext.app.$nuxt;
  }
  nuxtAppInstance = nuxtAppInstance || getNuxtAppCtx(id).tryUse();
  return nuxtAppInstance || null;
}
function useNuxtApp(id) {
  const nuxtAppInstance = tryUseNuxtApp(id);
  if (!nuxtAppInstance) {
    {
      throw new Error("[nuxt] instance unavailable");
    }
  }
  return nuxtAppInstance;
}
// @__NO_SIDE_EFFECTS__
function useRuntimeConfig(_event) {
  return useNuxtApp().$config;
}
function defineGetter(obj, key, val) {
  Object.defineProperty(obj, key, { get: () => val });
}
const LayoutMetaSymbol = Symbol("layout-meta");
const PageRouteSymbol = Symbol("route");
const useRouter = () => {
  var _a;
  return (_a = useNuxtApp()) == null ? undefined : _a.$router;
};
const useRoute = () => {
  if (hasInjectionContext()) {
    return inject(PageRouteSymbol, useNuxtApp()._route);
  }
  return useNuxtApp()._route;
};
// @__NO_SIDE_EFFECTS__
function defineNuxtRouteMiddleware(middleware) {
  return middleware;
}
const addRouteMiddleware = (name, middleware, options = {}) => {
  const nuxtApp = useNuxtApp();
  const global2 = options.global || false;
  const mw = middleware;
  if (!mw) {
    console.warn("[nuxt] No route middleware passed to `addRouteMiddleware`.", name);
    return;
  }
  if (global2) {
    nuxtApp._middleware.global.push(mw);
  } else {
    nuxtApp._middleware.named[name] = mw;
  }
};
const isProcessingMiddleware = () => {
  try {
    if (useNuxtApp()._processingMiddleware) {
      return true;
    }
  } catch {
    return false;
  }
  return false;
};
const URL_QUOTE_RE = /"/g;
const navigateTo = (to, options) => {
  if (!to) {
    to = "/";
  }
  const toPath = typeof to === "string" ? to : "path" in to ? resolveRouteObject(to) : useRouter().resolve(to).href;
  const isExternalHost = hasProtocol(toPath, { acceptRelative: true });
  const isExternal = (options == null ? undefined : options.external) || isExternalHost;
  if (isExternal) {
    if (!(options == null ? undefined : options.external)) {
      throw new Error("Navigating to an external URL is not allowed by default. Use `navigateTo(url, { external: true })`.");
    }
    const { protocol } = new URL(toPath, "http://localhost");
    if (protocol && isScriptProtocol(protocol)) {
      throw new Error(`Cannot navigate to a URL with '${protocol}' protocol.`);
    }
  }
  const inMiddleware = isProcessingMiddleware();
  const router = useRouter();
  const nuxtApp = useNuxtApp();
  {
    if (nuxtApp.ssrContext) {
      const fullPath = typeof to === "string" || isExternal ? toPath : router.resolve(to).fullPath || "/";
      const location2 = isExternal ? toPath : joinURL((/* @__PURE__ */ useRuntimeConfig()).app.baseURL, fullPath);
      const redirect = async function(response) {
        await nuxtApp.callHook("app:redirected");
        const encodedLoc = location2.replace(URL_QUOTE_RE, "%22");
        const encodedHeader = encodeURL(location2, isExternalHost);
        nuxtApp.ssrContext._renderResponse = {
          statusCode: sanitizeStatusCode((options == null ? undefined : options.redirectCode) || 302, 302),
          body: `<!DOCTYPE html><html><head><meta http-equiv="refresh" content="0; url=${encodedLoc}"></head></html>`,
          headers: { location: encodedHeader }
        };
        return response;
      };
      if (!isExternal && inMiddleware) {
        router.afterEach((final) => final.fullPath === fullPath ? redirect(false) : undefined);
        return to;
      }
      return redirect(!inMiddleware ? undefined : (
        /* abort route navigation */
        false
      ));
    }
  }
  if (isExternal) {
    nuxtApp._scope.stop();
    if (options == null ? undefined : options.replace) {
      (undefined).replace(toPath);
    } else {
      (undefined).href = toPath;
    }
    if (inMiddleware) {
      if (!nuxtApp.isHydrating) {
        return false;
      }
      return new Promise(() => {
      });
    }
    return Promise.resolve();
  }
  return (options == null ? undefined : options.replace) ? router.replace(to) : router.push(to);
};
const abortNavigation = (err) => {
  {
    return false;
  }
};
const setPageLayout = (layout) => {
  const nuxtApp = useNuxtApp();
  {
    nuxtApp.payload.state._layout = layout;
  }
  const inMiddleware = isProcessingMiddleware();
  {
    const unsubscribe = useRouter().beforeResolve((to) => {
      to.meta.layout = layout;
      unsubscribe();
    });
  }
  if (!inMiddleware) {
    useRoute().meta.layout = layout;
  }
};
function resolveRouteObject(to) {
  return withQuery(to.path || "", to.query || {}) + (to.hash || "");
}
function encodeURL(location2, isExternalHost = false) {
  const url = new URL(location2, "http://localhost");
  if (!isExternalHost) {
    return url.pathname + url.search + url.hash;
  }
  if (location2.startsWith("//")) {
    return url.toString().replace(url.protocol, "");
  }
  return url.toString();
}
const NUXT_ERROR_SIGNATURE = "__nuxt_error";
const useError = () => toRef(useNuxtApp().payload, "error");
const showError = (error) => {
  const nuxtError = createError(error);
  try {
    const nuxtApp = useNuxtApp();
    const error2 = useError();
    if (false) ;
    error2.value = error2.value || nuxtError;
  } catch {
    throw nuxtError;
  }
  return nuxtError;
};
const isNuxtError = (error) => !!error && typeof error === "object" && NUXT_ERROR_SIGNATURE in error;
const createError = (error) => {
  const nuxtError = createError$1(error);
  Object.defineProperty(nuxtError, NUXT_ERROR_SIGNATURE, {
    value: true,
    configurable: false,
    writable: false
  });
  return nuxtError;
};
version[0] === "3";
function resolveUnref(r) {
  return typeof r === "function" ? r() : unref(r);
}
function resolveUnrefHeadInput(ref2) {
  if (ref2 instanceof Promise || ref2 instanceof Date || ref2 instanceof RegExp)
    return ref2;
  const root = resolveUnref(ref2);
  if (!ref2 || !root)
    return root;
  if (Array.isArray(root))
    return root.map((r) => resolveUnrefHeadInput(r));
  if (typeof root === "object") {
    const resolved = {};
    for (const k in root) {
      if (!Object.prototype.hasOwnProperty.call(root, k)) {
        continue;
      }
      if (k === "titleTemplate" || k[0] === "o" && k[1] === "n") {
        resolved[k] = unref(root[k]);
        continue;
      }
      resolved[k] = resolveUnrefHeadInput(root[k]);
    }
    return resolved;
  }
  return root;
}
defineHeadPlugin({
  hooks: {
    "entries:resolve": (ctx) => {
      for (const entry2 of ctx.entries)
        entry2.resolvedInput = resolveUnrefHeadInput(entry2.input);
    }
  }
});
const headSymbol = "usehead";
const _global = typeof globalThis !== "undefined" ? globalThis : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : {};
const globalKey$1 = "__unhead_injection_handler__";
function setHeadInjectionHandler(handler) {
  _global[globalKey$1] = handler;
}
function injectHead() {
  if (globalKey$1 in _global) {
    return _global[globalKey$1]();
  }
  const head = inject(headSymbol);
  return head || getActiveHead();
}
async function getRouteRules(arg) {
  const path = typeof arg === "string" ? arg : arg.path;
  {
    useNuxtApp().ssrContext._preloadManifest = true;
    const _routeRulesMatcher = toRouteMatcher(
      createRouter$1({ routes: (/* @__PURE__ */ useRuntimeConfig()).nitro.routeRules })
    );
    return defu({}, ..._routeRulesMatcher.matchAll(path).reverse());
  }
}
function definePayloadReducer(name, reduce) {
  {
    useNuxtApp().ssrContext._payloadReducers[name] = reduce;
  }
}
const payloadPlugin = definePayloadPlugin(() => {
  definePayloadReducer(
    "skipHydrate",
    // We need to return something truthy to be treated as a match
    (data) => !shouldHydrate(data) && 1
  );
});
[CapoPlugin({ track: true })];
const unhead_KgADcZ0jPj = /* @__PURE__ */ defineNuxtPlugin({
  name: "nuxt:head",
  enforce: "pre",
  setup(nuxtApp) {
    const head = nuxtApp.ssrContext.head;
    setHeadInjectionHandler(
      // need a fresh instance of the nuxt app to avoid parallel requests interfering with each other
      () => useNuxtApp().vueApp._context.provides.usehead
    );
    nuxtApp.vueApp.use(head);
  }
});
function createContext(opts = {}) {
  let currentInstance;
  let isSingleton = false;
  const checkConflict = (instance) => {
    if (currentInstance && currentInstance !== instance) {
      throw new Error("Context conflict");
    }
  };
  let als;
  if (opts.asyncContext) {
    const _AsyncLocalStorage = opts.AsyncLocalStorage || globalThis.AsyncLocalStorage;
    if (_AsyncLocalStorage) {
      als = new _AsyncLocalStorage();
    } else {
      console.warn("[unctx] `AsyncLocalStorage` is not provided.");
    }
  }
  const _getCurrentInstance = () => {
    if (als) {
      const instance = als.getStore();
      if (instance !== undefined) {
        return instance;
      }
    }
    return currentInstance;
  };
  return {
    use: () => {
      const _instance = _getCurrentInstance();
      if (_instance === undefined) {
        throw new Error("Context is not available");
      }
      return _instance;
    },
    tryUse: () => {
      return _getCurrentInstance();
    },
    set: (instance, replace) => {
      if (!replace) {
        checkConflict(instance);
      }
      currentInstance = instance;
      isSingleton = true;
    },
    unset: () => {
      currentInstance = undefined;
      isSingleton = false;
    },
    call: (instance, callback) => {
      checkConflict(instance);
      currentInstance = instance;
      try {
        return als ? als.run(instance, callback) : callback();
      } finally {
        if (!isSingleton) {
          currentInstance = undefined;
        }
      }
    },
    async callAsync(instance, callback) {
      currentInstance = instance;
      const onRestore = () => {
        currentInstance = instance;
      };
      const onLeave = () => currentInstance === instance ? onRestore : undefined;
      asyncHandlers.add(onLeave);
      try {
        const r = als ? als.run(instance, callback) : callback();
        if (!isSingleton) {
          currentInstance = void 0;
        }
        return await r;
      } finally {
        asyncHandlers.delete(onLeave);
      }
    }
  };
}
function createNamespace(defaultOpts = {}) {
  const contexts = {};
  return {
    get(key, opts = {}) {
      if (!contexts[key]) {
        contexts[key] = createContext({ ...defaultOpts, ...opts });
      }
      return contexts[key];
    }
  };
}
const _globalThis = typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : typeof global !== "undefined" ? global : {};
const globalKey = "__unctx__";
_globalThis[globalKey] || (_globalThis[globalKey] = createNamespace());
const asyncHandlersKey = "__unctx_async_handlers__";
const asyncHandlers = _globalThis[asyncHandlersKey] || (_globalThis[asyncHandlersKey] = /* @__PURE__ */ new Set());
function executeAsync(function_) {
  const restores = [];
  for (const leaveHandler of asyncHandlers) {
    const restore2 = leaveHandler();
    if (restore2) {
      restores.push(restore2);
    }
  }
  const restore = () => {
    for (const restore2 of restores) {
      restore2();
    }
  };
  let awaitable = function_();
  if (awaitable && typeof awaitable === "object" && "catch" in awaitable) {
    awaitable = awaitable.catch((error) => {
      restore();
      throw error;
    });
  }
  return [awaitable, restore];
}
const ROUTE_KEY_PARENTHESES_RE$1 = /(:\w+)\([^)]+\)/g;
const ROUTE_KEY_SYMBOLS_RE$1 = /(:\w+)[?+*]/g;
const ROUTE_KEY_NORMAL_RE$1 = /:\w+/g;
const interpolatePath = (route, match) => {
  return match.path.replace(ROUTE_KEY_PARENTHESES_RE$1, "$1").replace(ROUTE_KEY_SYMBOLS_RE$1, "$1").replace(ROUTE_KEY_NORMAL_RE$1, (r) => {
    var _a;
    return ((_a = route.params[r.slice(1)]) == null ? undefined : _a.toString()) || "";
  });
};
const generateRouteKey$1 = (routeProps, override) => {
  const matchedRoute = routeProps.route.matched.find((m) => {
    var _a;
    return ((_a = m.components) == null ? undefined : _a.default) === routeProps.Component.type;
  });
  const source = override ?? (matchedRoute == null ? undefined : matchedRoute.meta.key) ?? (matchedRoute && interpolatePath(routeProps.route, matchedRoute));
  return typeof source === "function" ? source(routeProps.route) : source;
};
const wrapInKeepAlive = (props, children) => {
  return { default: () => children };
};
function toArray(value) {
  return Array.isArray(value) ? value : [value];
}
const __nuxt_page_meta$f = {
  validate: (route) => {
    let extensions = [
      "jpg",
      "jpeg",
      "png",
      "gif",
      "css",
      "js",
      "ico",
      "json",
      "rss",
      "xml",
      "svg",
      "mjs",
      "woff",
      "woff2",
      "pdf",
      "php",
      "py"
    ];
    let re = new RegExp(`^.*\\.(${extensions.join("|")})$`);
    return !re.test(route.fullPath);
  }
};
const __nuxt_page_meta$e = {
  validate: (route) => {
    let extensions = [
      "jpg",
      "jpeg",
      "png",
      "gif",
      "css",
      "js",
      "ico",
      "json",
      "rss",
      "xml",
      "svg",
      "mjs",
      "woff",
      "woff2",
      "pdf",
      "php",
      "py"
    ];
    let re = new RegExp(`^.*\\.(${extensions.join("|")})$`);
    return !re.test(route.fullPath);
  }
};
const __nuxt_page_meta$d = {
  validate: (route) => {
    let extensions = [
      "jpg",
      "jpeg",
      "png",
      "gif",
      "css",
      "js",
      "ico",
      "json",
      "rss",
      "xml",
      "svg",
      "mjs",
      "woff",
      "woff2",
      "pdf",
      "php",
      "py"
    ];
    let re = new RegExp(`^.*\\.(${extensions.join("|")})$`);
    return !re.test(route.fullPath);
  }
};
const __nuxt_page_meta$c = {
  validate: (route) => {
    let extensions = [
      "jpg",
      "jpeg",
      "png",
      "gif",
      "css",
      "js",
      "ico",
      "json",
      "rss",
      "xml",
      "svg",
      "mjs",
      "woff",
      "woff2",
      "pdf",
      "php",
      "py"
    ];
    let re = new RegExp(`^.*\\.(${extensions.join("|")})$`);
    return !re.test(route.fullPath);
  }
};
const __nuxt_page_meta$b = { middleware: ["auth"] };
const __nuxt_page_meta$a = {
  middleware: ["auth"]
};
const __nuxt_page_meta$9 = {
  middleware: ["auth"]
};
const __nuxt_page_meta$8 = {
  middleware: ["auth"]
};
const __nuxt_page_meta$7 = {
  middleware: ["auth"]
};
const __nuxt_page_meta$6 = {
  middleware: ["auth"]
};
const __nuxt_page_meta$5 = {
  middleware: ["auth"],
  validate: (route) => {
    let extensions = [
      "jpg",
      "jpeg",
      "png",
      "gif",
      "css",
      "js",
      "ico",
      "json",
      "rss",
      "xml",
      "svg",
      "mjs",
      "woff",
      "woff2",
      "pdf",
      "php",
      "py",
      "html",
      "mp4",
      "webp"
    ];
    let re = new RegExp(`^.*\\.(${extensions.join("|")})$`);
    return !re.test(route.fullPath);
  }
};
const __nuxt_page_meta$4 = {
  middleware: ["auth"]
};
const __nuxt_page_meta$3 = {
  middleware: ["auth"]
};
const __nuxt_page_meta$2 = { middleware: ["auth"] };
const __nuxt_page_meta$1 = {
  middleware: ["auth"]
};
const __nuxt_page_meta = {
  middleware: ["auth"]
};
function handleHotUpdate(_router, _generateRoutes) {
}
const _routes = [
  {
    name: "url",
    path: "/:url(.*)*",
    component: () => import('./_...url_-O4DLxOIZ.mjs')
  },
  {
    name: "checkout-complete",
    path: "/checkout-complete",
    meta: __nuxt_page_meta$f,
    component: () => import('./checkout-complete-0ginrO5J.mjs')
  },
  {
    name: "index",
    path: "/",
    component: () => import('./index-BBgJdG71.mjs')
  },
  {
    name: "login",
    path: "/login",
    component: () => import('./login-C3sRf7T4.mjs')
  },
  {
    name: "logout",
    path: "/logout",
    meta: __nuxt_page_meta$e,
    component: () => import('./logout-CX3k5J2q.mjs')
  },
  {
    name: "p-tax_name-name",
    path: "/p/:tax_name()/:name()",
    meta: __nuxt_page_meta$d,
    component: () => import('./_name_-CxaAsDIr.mjs')
  },
  {
    name: "p-tax_name",
    path: "/p/:tax_name()",
    meta: __nuxt_page_meta$c,
    component: () => import('./index-CvbTcr-K.mjs')
  },
  {
    name: "signup",
    path: "/signup",
    component: () => import('./signup-Cf2SgBu_.mjs')
  },
  {
    name: "user-url",
    path: "/user/:url(.*)*",
    component: () => import('./_...url_-l_oIOsFW.mjs')
  },
  {
    name: "user-form_id-form-data",
    path: "/user/:form_id()/form-data",
    meta: __nuxt_page_meta$b,
    component: () => import('./form-data-DTd3Li5q.mjs')
  },
  {
    name: "user-categorization",
    path: "/user/categorization",
    meta: __nuxt_page_meta$a,
    component: () => import('./categorization-BN-__Tc1.mjs')
  },
  {
    name: "user-denied",
    path: "/user/denied",
    meta: __nuxt_page_meta$9,
    component: () => import('./denied-DyZ0U2X9.mjs')
  },
  {
    name: "user-editor-id",
    path: "/user/editor/:id()",
    meta: __nuxt_page_meta$8,
    component: () => import('./_id_-CZCUQ4Rz.mjs')
  },
  {
    name: "user",
    path: "/user",
    meta: __nuxt_page_meta$7,
    component: () => import('./index-Dzalo7Fx.mjs')
  },
  {
    name: "user-plugins",
    path: "/user/plugins",
    meta: __nuxt_page_meta$6,
    component: () => import('./plugins-MWcqEAzm.mjs')
  },
  {
    name: "user-preview-id",
    path: "/user/preview/:id()",
    meta: __nuxt_page_meta$5,
    component: () => import('./_id_-3vmP2ZKq.mjs')
  },
  {
    name: "user-profile",
    path: "/user/profile",
    meta: __nuxt_page_meta$4,
    component: () => import('./profile-BiYmqWuV.mjs')
  },
  {
    name: "user-settings",
    path: "/user/settings",
    meta: __nuxt_page_meta$3,
    component: () => import('./settings-h_Qm7UqG.mjs')
  },
  {
    name: "user-types-type",
    path: "/user/types/:type()",
    meta: __nuxt_page_meta$2,
    component: () => import('./_type_-CF5_ai32.mjs')
  },
  {
    name: "user-types",
    path: "/user/types",
    meta: __nuxt_page_meta$1,
    component: () => import('./index-DcNfUV9J.mjs')
  },
  {
    name: "user-users",
    path: "/user/users",
    meta: __nuxt_page_meta,
    component: () => import('./users-bkzjlqXA.mjs')
  }
];
const _wrapIf = (component, props, slots) => {
  props = props === true ? {} : props;
  return { default: () => {
    var _a;
    return props ? h(component, props, slots) : (_a = slots.default) == null ? undefined : _a.call(slots);
  } };
};
const ROUTE_KEY_PARENTHESES_RE = /(:\w+)\([^)]+\)/g;
const ROUTE_KEY_SYMBOLS_RE = /(:\w+)[?+*]/g;
const ROUTE_KEY_NORMAL_RE = /:\w+/g;
function generateRouteKey(route) {
  const source = (route == null ? undefined : route.meta.key) ?? route.path.replace(ROUTE_KEY_PARENTHESES_RE, "$1").replace(ROUTE_KEY_SYMBOLS_RE, "$1").replace(ROUTE_KEY_NORMAL_RE, (r) => {
    var _a;
    return ((_a = route.params[r.slice(1)]) == null ? undefined : _a.toString()) || "";
  });
  return typeof source === "function" ? source(route) : source;
}
function isChangingPage(to, from) {
  if (to === from || from === START_LOCATION) {
    return false;
  }
  if (generateRouteKey(to) !== generateRouteKey(from)) {
    return true;
  }
  const areComponentsSame = to.matched.every(
    (comp, index) => {
      var _a, _b;
      return comp.components && comp.components.default === ((_b = (_a = from.matched[index]) == null ? undefined : _a.components) == null ? undefined : _b.default);
    }
  );
  if (areComponentsSame) {
    return false;
  }
  return true;
}
const routerOptions0 = {
  scrollBehavior(to, from, savedPosition) {
    var _a;
    const nuxtApp = useNuxtApp();
    const behavior = ((_a = useRouter().options) == null ? undefined : _a.scrollBehaviorType) ?? "auto";
    let position = savedPosition || undefined;
    const routeAllowsScrollToTop = typeof to.meta.scrollToTop === "function" ? to.meta.scrollToTop(to, from) : to.meta.scrollToTop;
    if (!position && from && to && routeAllowsScrollToTop !== false && isChangingPage(to, from)) {
      position = { left: 0, top: 0 };
    }
    if (to.path === from.path) {
      if (from.hash && !to.hash) {
        return { left: 0, top: 0 };
      }
      if (to.hash) {
        return { el: to.hash, top: _getHashElementScrollMarginTop(to.hash), behavior };
      }
      return false;
    }
    const hasTransition = (route) => !!(route.meta.pageTransition ?? appPageTransition);
    const hookToWait = hasTransition(from) && hasTransition(to) ? "page:transition:finish" : "page:finish";
    return new Promise((resolve) => {
      nuxtApp.hooks.hookOnce(hookToWait, async () => {
        await new Promise((resolve2) => setTimeout(resolve2, 0));
        if (to.hash) {
          position = { el: to.hash, top: _getHashElementScrollMarginTop(to.hash), behavior };
        }
        resolve(position);
      });
    });
  }
};
function _getHashElementScrollMarginTop(selector) {
  try {
    const elem = (void 0).querySelector(selector);
    if (elem) {
      return (Number.parseFloat(getComputedStyle(elem).scrollMarginTop) || 0) + (Number.parseFloat(getComputedStyle((void 0).documentElement).scrollPaddingTop) || 0);
    }
  } catch {
  }
  return 0;
}
const configRouterOptions = {
  hashMode: false,
  scrollBehaviorType: "auto"
};
const routerOptions = {
  ...configRouterOptions,
  ...routerOptions0
};
const validate = /* @__PURE__ */ defineNuxtRouteMiddleware(async (to) => {
  var _a;
  let __temp, __restore;
  if (!((_a = to.meta) == null ? undefined : _a.validate)) {
    return;
  }
  const nuxtApp = useNuxtApp();
  const router = useRouter();
  const result = ([__temp, __restore] = executeAsync(() => Promise.resolve(to.meta.validate(to))), __temp = await __temp, __restore(), __temp);
  if (result === true) {
    return;
  }
  const error = createError({
    statusCode: result && result.statusCode || 404,
    statusMessage: result && result.statusMessage || `Page Not Found: ${to.fullPath}`,
    data: {
      path: to.fullPath
    }
  });
  const unsub = router.beforeResolve((final) => {
    unsub();
    if (final === to) {
      const unsub2 = router.afterEach(async () => {
        unsub2();
        await nuxtApp.runWithContext(() => showError(error));
      });
      return false;
    }
  });
});
const SECOND = 1e3;
const MINUTE = SECOND * 60;
const MINUTE3 = MINUTE * 3;
const MINUTE5 = MINUTE * 5;
const MINUTE15 = MINUTE * 15;
const MINUTE30 = MINUTE * 30;
const HOUR = MINUTE * 60;
const HOUR4 = HOUR * 4;
const HOUR12 = HOUR * 12;
const DAY = HOUR * 24;
const WEEK = DAY * 7;
const MONTH = WEEK * 4;
const YEAR = DAY * 365;
const MONTHMAP = [
  "Jan",
  "Feb",
  "Mar",
  "Apr",
  "May",
  "Jun",
  "Jul",
  "Aug",
  "Sep",
  "Oct",
  "Nov",
  "Dec"
];
const TIMESCALES = [
  YEAR * 10,
  YEAR * 5,
  YEAR * 3,
  YEAR * 2,
  YEAR,
  MONTH * 6,
  MONTH * 4,
  MONTH * 3,
  MONTH * 2,
  MONTH,
  DAY * 15,
  DAY * 10,
  DAY * 7,
  DAY * 5,
  DAY * 3,
  DAY * 2,
  DAY,
  HOUR * 12,
  HOUR * 6,
  HOUR * 3,
  HOUR * 1.5,
  HOUR,
  MINUTE30,
  MINUTE15,
  MINUTE * 10,
  MINUTE5,
  MINUTE * 2,
  MINUTE
];
const $SCALES = [0.05, 0.1, 0.2, 0.25, 0.5, 0.8, 1, 2, 5];
const ChartConfig = {
  /**Minimal sidebar px */
  SBMIN: 60,
  /**Max sidebar, px*/
  SBMAX: Infinity,
  /**Toolbar width px */
  TOOLBAR: 57,
  /**Toolbar icon size px */
  TB_ICON: 25,
  /**Toolbar item margin px */
  TB_ITEM_M: 6,
  /**Toolbar icon brightness */
  TB_ICON_BRI: 1,
  /**ms, wait to expand */
  TB_ICON_HOLD: 420,
  TB_BORDER: 1,
  // Toolbar border px
  TB_B_STYLE: "dotted",
  // Toolbar border style
  TOOL_COLL: 7,
  // Tool collision threshold
  EXPAND: 0.15,
  // %/100 of range
  CANDLEW: 0.6,
  // %/100 of step
  /** px */
  GRIDX: 100,
  /**  px */
  GRIDY: 47,
  /** px */
  BOTBAR: 28,
  /** px */
  PANHEIGHT: 22,
  /** candles */
  DEFAULT_LEN: 50,
  /** candles, */
  MINIMUM_LEN: 5,
  /**  candles */
  MIN_ZOOM: 25,
  /** candles, */
  MAX_ZOOM: 1e3,
  /** %/100 of height */
  VOLSCALE: 0.15,
  /** Ux background opacity */
  UX_OPACITY: 0.9,
  /** 'tv' or 'tl' */
  ZOOM_MODE: "tv",
  /** Legend Button size, px */
  L_BTN_SIZE: 21,
  /**css margin */
  L_BTN_MARGIN: "-6px 0 -6px 0",
  /**'pass', 'click' */
  SCROLL_WHEEL: "prevent"
};
ChartConfig.FONT = `11px -apple-system,BlinkMacSystemFont,
    Segoe UI,Roboto,Oxygen,Ubuntu,Cantarell,
    Fira Sans,Droid Sans,Helvetica Neue,
    sans-serif`;
const IB_TF_WARN = `When using IB mode you should specify timeframe ('tf' filed in 'chart' object),otherwise you can get an unexpected behaviour`;
const MAP_UNIT = {
  "1s": SECOND,
  "5s": SECOND * 5,
  "10s": SECOND * 10,
  "20s": SECOND * 20,
  "30s": SECOND * 30,
  "1m": MINUTE,
  "3m": MINUTE3,
  "5m": MINUTE5,
  "15m": MINUTE15,
  "30m": MINUTE30,
  "1H": HOUR,
  "2H": HOUR * 2,
  "3H": HOUR * 3,
  "4H": HOUR4,
  "12H": HOUR12,
  "1D": DAY,
  "1W": WEEK,
  "1M": MONTH,
  "1Y": YEAR
};
const Const = {
  SECOND,
  /** minute in seconds */
  MINUTE,
  /** minute in seconds */
  MINUTE5,
  /** 15 minutes in seconds */
  MINUTE15,
  /** 30 minutes in seconds */
  MINUTE30,
  /** 1 hour in seconds */
  HOUR,
  /** 4 hours in seconds */
  HOUR4,
  /** a Day in seconds */
  DAY,
  /** A week in seconds */
  WEEK,
  /** A month in seconds */
  MONTH,
  /** A year in seconds */
  YEAR,
  MONTHMAP,
  TIMESCALES,
  $SCALES,
  ChartConfig,
  map_unit: MAP_UNIT,
  IB_TF_WARN
};
function useJxVariables() {
  let Jx = (val, data = undefined) => {
    if (data === undefined) {
      return ref(val);
    }
    if (typeof val != "string") {
      return ref(null);
    } else {
      var type = (val || "ref").toLowerCase();
      if (type == "reactive") {
        return reactive(data);
      } else {
        return computed(data);
      }
    }
  };
  let JxCompute = (fn) => computed(fn);
  let JxReactive = (obj) => reactive(obj);
  return { Jx, JxCompute, JxReactive };
}
function useRequestEvent(nuxtApp = useNuxtApp()) {
  var _a;
  return (_a = nuxtApp.ssrContext) == null ? undefined : _a.event;
}
function useRequestHeaders(include) {
  const event = useRequestEvent();
  const _headers = event ? getRequestHeaders(event) : {};
  if (!include || !event) {
    return _headers;
  }
  const headers = /* @__PURE__ */ Object.create(null);
  for (const _key of include) {
    const key = _key.toLowerCase();
    const header = _headers[key];
    if (header) {
      headers[key] = header;
    }
  }
  return headers;
}
function useRequestFetch() {
  var _a;
  return ((_a = useRequestEvent()) == null ? undefined : _a.$fetch) || globalThis.$fetch;
}
function useResponseHeader(header) {
  const event = useRequestEvent();
  return computed({
    get() {
      return getResponseHeader(event, header);
    },
    set(newValue) {
      if (!newValue) {
        return removeResponseHeader(event, header);
      }
      return setResponseHeader(event, header, newValue);
    }
  });
}
const CookieDefaults = {
  path: "/",
  watch: true,
  decode: (val) => destr(decodeURIComponent(val)),
  encode: (val) => encodeURIComponent(typeof val === "string" ? val : JSON.stringify(val))
};
function useCookie(name, _opts) {
  var _a;
  const opts = { ...CookieDefaults, ..._opts };
  opts.filter ?? (opts.filter = (key) => key === name);
  const cookies = readRawCookies(opts) || {};
  let delay;
  if (opts.maxAge !== undefined) {
    delay = opts.maxAge * 1e3;
  } else if (opts.expires) {
    delay = opts.expires.getTime() - Date.now();
  }
  const hasExpired = delay !== undefined && delay <= 0;
  const cookieValue = klona(hasExpired ? undefined : cookies[name] ?? ((_a = opts.default) == null ? undefined : _a.call(opts)));
  const cookie = ref(cookieValue);
  {
    const nuxtApp = useNuxtApp();
    const writeFinalCookieValue = () => {
      if (opts.readonly || isEqual(cookie.value, cookies[name])) {
        return;
      }
      nuxtApp._cookies || (nuxtApp._cookies = {});
      if (name in nuxtApp._cookies) {
        if (isEqual(cookie.value, nuxtApp._cookies[name])) {
          return;
        }
      }
      nuxtApp._cookies[name] = cookie.value;
      writeServerCookie(useRequestEvent(nuxtApp), name, cookie.value, opts);
    };
    const unhook = nuxtApp.hooks.hookOnce("app:rendered", writeFinalCookieValue);
    nuxtApp.hooks.hookOnce("app:error", () => {
      unhook();
      return writeFinalCookieValue();
    });
  }
  return cookie;
}
function readRawCookies(opts = {}) {
  {
    return parse(getRequestHeader(useRequestEvent(), "cookie") || "", opts);
  }
}
function writeServerCookie(event, name, value, opts = {}) {
  if (event) {
    if (value !== null && value !== undefined) {
      return setCookie(event, name, value, opts);
    }
    if (getCookie(event, name) !== undefined) {
      return deleteCookie(event, name, opts);
    }
  }
}
const useAppState = defineStore("appState", {
  // arrow function recommended for full type inference
  state: () => {
    return {
      // all these properties will have their type inferred automatically 
      layout: "default",
      data_transfer: null,
      counter: 0,
      admin_menu: [],
      version: "",
      dashboard_setting: {},
      app_mounted: false,
      store_locations: [],
      current_store: null,
      _page_storage: {},
      _shopping_cart: {},
      currency_symbol: "--",
      page_activity: {
        url: null,
        read_end: false,
        activity_id: null,
        duration: null,
        start: null,
        clicks: 0,
        bottom: false
      }
    };
  },
  getters: {
    get_store_locations() {
      return this.store_locations;
    },
    currency() {
      return this.currency_symbol || "--";
    },
    cart() {
      return this._shopping_cart;
    }
  },
  actions: {
    async on_init() {
      let res = await useRequest({ url: `/api/init` });
      let d = res.d;
      this.currency_symbol = d.currency_symbol || "--";
      this.store_locations = d.store_locations;
      if (Array.isArray(this.store_locations) && this.store_locations.length > 0) {
        this.current_store = this.store_locations[0].value || null;
      } else {
        this.current_store = null;
      }
    },
    async get_capabilities() {
      let res = await useRequest({ url: `/api/options/capabilities` });
      return res.d;
    },
    async get_roles() {
      let res = await useRequest({ url: `/api/roles` });
      return res.d;
    },
    /**
     * 
     * @param {Object} options {to, from , is_initial , activity_id  }
     */
    async on_new_page(options) {
      var _a, _b;
      if (!options) return;
      let is_initial = options.is_initial;
      if (!is_initial) {
        let end = Date.now();
        let duration = end - this.page_activity.start;
        let value = {
          tr0: this.page_activity.start,
          tr1: end,
          tr2: duration,
          clc: this.page_activity.clicks,
          re0: this.page_activity.read_end,
          prev_url: this.page_activity.from_url,
          url: this.page_activity.url,
          next_url: options.to.fullPath
        };
        let payload = { value, id: this.page_activity.activity_id };
        this.update_activity(payload);
      }
      this.page_activity.activity_id = options.activity_id;
      this.page_activity.start = Date.now();
      this.page_activity.url = (_a = options.to) == null ? undefined : _a.fullPath;
      this.page_activity.from_url = (_b = options.from) == null ? undefined : _b.fullPath;
      this.page_activity.duration = null;
      this.page_activity.read_end = false;
      this._page_storage = {
        events: []
      };
    },
    /**
     * Single to registered event listeners that the named event has occured and execute all matching
     * event types.
     * @param {String} event_name Event name to execute
     * @param {Object} e nullable event
     * @returns 
     */
    do_event(event_name, e = {}) {
      let reg_listener;
      for (var i = 0; this._page_storage && Array.isArray(this._page_storage.events) && i < this._page_storage.events.length; i++) {
        reg_listener = this._page_storage.events[i];
        if (typeof reg_listener.fn != "function") return;
        if (reg_listener.name != event_name) return;
        reg_listener.fn(e);
      }
    },
    /** Register event listener */
    add_listener(name, fn) {
      if (!name) return;
      if (typeof fn != "function") return;
      if (!this._page_storage) return;
      if (!Array.isArray(this._page_storage.events)) return;
      this._page_storage.events.push({ name, fn });
    },
    /** Remove a registered event listener */
    remove_listener(name, fn) {
      if (!name) return;
      if (typeof fn != "function") return;
      if (!this._page_storage) return;
      if (!Array.isArray(this._page_storage.events)) return;
      for (var i = 0; i < this._page_storage.events.length; i++) {
        if (this._page_storage.events[i].fn == fn) {
          return this._page_storage.events.splice(i, 1);
        }
      }
    },
    update_activity(option) {
      useRequest({ url: "/api/posts/ity", method: "post", body: option }).then((res) => {
      });
    },
    /**
     * 
     * @param {String} name Name of data to store
     * @param {mixed} value Data to save, if null the value is simply returned
     * @returns {mixed} When "value" is null, the "name" value is returned
     */
    page_storage(name, value) {
      if (value === undefined) {
        return this._page_storage[name] || null;
      } else {
        this._page_storage[name] = value;
      }
    },
    /**
     * Get all setting that match the provided product id
     * @param {Object} options { product_id }
     * @returns {Array} An array of settings
     */
    get_product_selections(options) {
      if (!options) return [];
      let product_id = options.product_id;
      if (!product_id) return [];
      let out = [{ type: "store", value: this.current_store }];
      let arr = null;
      arr = this._page_storage.prod_options || [];
      arr.forEach((it) => {
        if (it.product_id == product_id) {
          out.push(util.copy(it));
        }
      });
      arr = this._page_storage.variants || [];
      arr.forEach((it) => {
        if (it.product_id == product_id) {
          out.push(util.copy(it));
        }
      });
      return out;
    },
    set_app_ready() {
      this.app_mounted = true;
    },
    is_ready() {
      return this.app_mounted;
    },
    /**
     * Get or Set the data being dragged from one element/component to another.
     * @param {Object} data When provided, sets data_transfer otherwise will return transfer data if any
     * @returns Data being dragged
     */
    drag_data(data = undefined) {
      if (data == undefined) {
        return this.data_transfer || null;
      } else {
        this.data_transfer = data;
      }
    },
    set_admin_menu(menu_items) {
      this.admin_menu = menu_items || [];
    },
    set_dashboard_settings(setting) {
      this.dashboard_setting = setting || {};
    },
    notice(data) {
      return;
    },
    async goto(url) {
      navigateTo(typeof url == "string" ? url : { path: url });
    },
    async logout() {
      try {
        let res = await useRequest({
          url: `/api/users/logout`
        });
        const authCookie = useCookie("autht");
        authCookie.value = null;
        this.goto(`/logout`);
      } catch (e) {
        this.notice({ title: "Unable to logout", msg: `${e.message}` });
        return;
      }
    },
    /**
     * 
     * @param {Object} options { id }
     */
    async get_post(options) {
      let id = options.id || null;
      if (!id) return null;
      let res = await useRequest({
        url: `/api/posts/${id}`
      });
      let post = res.d;
      return post;
    },
    async get_option(name) {
      let res = await useRequest({ url: `/api/options/${name}` });
      return res.d;
    },
    async set_option(name, value) {
      let res = await useRequest({ url: `/api/options`, method: "post", body: { name, value } });
      return res.d;
    },
    async get_options(arr_names) {
      if (!Array.isArray(arr_names)) return null;
      if (arr_names.length == 0) return null;
      let res = await useRequest({
        url: `/api/options/subset`,
        query: { name: arr_names }
      });
      return res.d;
    },
    set_cookie(cookie_name, val) {
      let cookie = useCookie(cookie_name);
      cookie.value = val;
    },
    get_cookie(cookie_name) {
      let cookie = useCookie(cookie_name);
      return cookie.value;
    },
    /**
     * Set the current locations
     * @param {String} value 
     */
    set_current_store_location(value) {
      this.current_store = value;
    },
    /**
     * Get the current store the user is shopping out of 
     * @returns {String}
     */
    get_current_store_location() {
      return this.current_store;
    },
    /** 
     * used for tracking local carts, when user is not logged in 
     * 
     * @param cart_item { id , user_id,  post_id, quantity,  value }
    */
    async local_cart(cart_item) {
      let auth = useCookie("autht");
      if (auth.value) return;
      let cart = JSON.parse(localStorage.getItem("cart") || "[]");
      if (!cart_item.id) cart_item.id = Date.now();
      let find_existing = cart.find((it) => it.id == cart_item.id);
      if (!find_existing) {
        cart.push(cart_item);
      } else {
        let keys = Object.keys(cart_item);
        for (var k of keys) {
          find_existing[k] = cart_item[k];
        }
      }
    },
    /**
     * Based on user log in status, fetch the shopping cart from server or local storage
     * @returns {Object} Shopping cart data
     */
    async get_cart(new_cart = undefined) {
      if (!new_cart) {
        let res = await useRequest({ url: `/api/shop/cart` });
        this._shopping_cart = res.d;
      } else {
        this._shopping_cart = new_cart;
      }
      return this._shopping_cart;
    },
    async get_currencies() {
      let res = await useRequest({ url: "/api/options/currencies" });
      return res.d;
    },
    async create_checkout() {
      let res = await useRequest({ url: "/api/shop/create-session" });
      return res.d;
    }
  }
});
const isDefer = (dedupe) => dedupe === "defer" || dedupe === false;
function useAsyncData(...args) {
  var _b;
  const autoKey = typeof args[args.length - 1] === "string" ? args.pop() : undefined;
  if (typeof args[0] !== "string") {
    args.unshift(autoKey);
  }
  let [key, _handler, options = {}] = args;
  if (typeof key !== "string") {
    throw new TypeError("[nuxt] [asyncData] key must be a string.");
  }
  if (typeof _handler !== "function") {
    throw new TypeError("[nuxt] [asyncData] handler must be a function.");
  }
  const nuxtApp = useNuxtApp();
  const handler = _handler ;
  const getDefault = () => asyncDataDefaults.value;
  const getDefaultCachedData = () => nuxtApp.isHydrating ? nuxtApp.payload.data[key] : nuxtApp.static.data[key];
  options.server = options.server ?? true;
  options.default = options.default ?? getDefault;
  options.getCachedData = options.getCachedData ?? getDefaultCachedData;
  options.lazy = options.lazy ?? false;
  options.immediate = options.immediate ?? true;
  options.deep = options.deep ?? asyncDataDefaults.deep;
  options.dedupe = options.dedupe ?? "cancel";
  const initialCachedData = options.getCachedData(key, nuxtApp);
  const hasCachedData = initialCachedData != null;
  if (!nuxtApp._asyncData[key] || !options.immediate) {
    (_b = nuxtApp.payload._errors)[key] ?? (_b[key] = asyncDataDefaults.errorValue);
    const _ref = options.deep ? ref : shallowRef;
    nuxtApp._asyncData[key] = {
      data: _ref(hasCachedData ? initialCachedData : options.default()),
      pending: ref(!hasCachedData),
      error: toRef(nuxtApp.payload._errors, key),
      status: ref("idle"),
      _default: options.default
    };
  }
  const asyncData = { ...nuxtApp._asyncData[key] };
  delete asyncData._default;
  asyncData.refresh = asyncData.execute = (opts = {}) => {
    if (nuxtApp._asyncDataPromises[key]) {
      if (isDefer(opts.dedupe ?? options.dedupe)) {
        return nuxtApp._asyncDataPromises[key];
      }
      nuxtApp._asyncDataPromises[key].cancelled = true;
    }
    if (opts._initial || nuxtApp.isHydrating && opts._initial !== false) {
      const cachedData = opts._initial ? initialCachedData : options.getCachedData(key, nuxtApp);
      if (cachedData != null) {
        return Promise.resolve(cachedData);
      }
    }
    asyncData.pending.value = true;
    asyncData.status.value = "pending";
    const promise = new Promise(
      (resolve, reject) => {
        try {
          resolve(handler(nuxtApp));
        } catch (err) {
          reject(err);
        }
      }
    ).then(async (_result) => {
      if (promise.cancelled) {
        return nuxtApp._asyncDataPromises[key];
      }
      let result = _result;
      if (options.transform) {
        result = await options.transform(_result);
      }
      if (options.pick) {
        result = pick(result, options.pick);
      }
      nuxtApp.payload.data[key] = result;
      asyncData.data.value = result;
      asyncData.error.value = asyncDataDefaults.errorValue;
      asyncData.status.value = "success";
    }).catch((error) => {
      if (promise.cancelled) {
        return nuxtApp._asyncDataPromises[key];
      }
      asyncData.error.value = createError(error);
      asyncData.data.value = unref(options.default());
      asyncData.status.value = "error";
    }).finally(() => {
      if (promise.cancelled) {
        return;
      }
      asyncData.pending.value = false;
      delete nuxtApp._asyncDataPromises[key];
    });
    nuxtApp._asyncDataPromises[key] = promise;
    return nuxtApp._asyncDataPromises[key];
  };
  asyncData.clear = () => clearNuxtDataByKey(nuxtApp, key);
  const initialFetch = () => asyncData.refresh({ _initial: true });
  const fetchOnServer = options.server !== false && nuxtApp.payload.serverRendered;
  if (fetchOnServer && options.immediate) {
    const promise = initialFetch();
    if (getCurrentInstance()) {
      onServerPrefetch(() => promise);
    } else {
      nuxtApp.hook("app:created", async () => {
        await promise;
      });
    }
  }
  const asyncDataPromise = Promise.resolve(nuxtApp._asyncDataPromises[key]).then(() => asyncData);
  Object.assign(asyncDataPromise, asyncData);
  return asyncDataPromise;
}
function clearNuxtDataByKey(nuxtApp, key) {
  if (key in nuxtApp.payload.data) {
    nuxtApp.payload.data[key] = undefined;
  }
  if (key in nuxtApp.payload._errors) {
    nuxtApp.payload._errors[key] = asyncDataDefaults.errorValue;
  }
  if (nuxtApp._asyncData[key]) {
    nuxtApp._asyncData[key].data.value = unref(nuxtApp._asyncData[key]._default());
    nuxtApp._asyncData[key].error.value = asyncDataDefaults.errorValue;
    nuxtApp._asyncData[key].pending.value = false;
    nuxtApp._asyncData[key].status.value = "idle";
  }
  if (key in nuxtApp._asyncDataPromises) {
    if (nuxtApp._asyncDataPromises[key]) {
      nuxtApp._asyncDataPromises[key].cancelled = true;
    }
    nuxtApp._asyncDataPromises[key] = undefined;
  }
}
function pick(obj, keys) {
  const newObj = {};
  for (const key of keys) {
    newObj[key] = obj[key];
  }
  return newObj;
}
function useFetch(request, arg1, arg2) {
  const [opts = {}, autoKey] = typeof arg1 === "string" ? [{}, arg1] : [arg1, arg2];
  const _request = computed(() => toValue(request));
  const _key = opts.key || hash([autoKey, typeof _request.value === "string" ? _request.value : "", ...generateOptionSegments(opts)]);
  if (!_key || typeof _key !== "string") {
    throw new TypeError("[nuxt] [useFetch] key must be a string: " + _key);
  }
  if (!request) {
    throw new Error("[nuxt] [useFetch] request is missing.");
  }
  const key = _key === autoKey ? "$f" + _key : _key;
  if (!opts.baseURL && typeof _request.value === "string" && (_request.value[0] === "/" && _request.value[1] === "/")) {
    throw new Error('[nuxt] [useFetch] the request URL must not start with "//".');
  }
  const {
    server,
    lazy,
    default: defaultFn,
    transform,
    pick: pick2,
    watch: watch2,
    immediate,
    getCachedData,
    deep,
    dedupe,
    ...fetchOptions
  } = opts;
  const _fetchOptions = reactive({
    ...fetchDefaults,
    ...fetchOptions,
    cache: typeof opts.cache === "boolean" ? undefined : opts.cache
  });
  const _asyncDataOptions = {
    server,
    lazy,
    default: defaultFn,
    transform,
    pick: pick2,
    immediate,
    getCachedData,
    deep,
    dedupe,
    watch: watch2 === false ? [] : [_fetchOptions, _request, ...watch2 || []]
  };
  let controller;
  const asyncData = useAsyncData(key, () => {
    var _a;
    (_a = controller == null ? undefined : controller.abort) == null ? undefined : _a.call(controller, new DOMException("Request aborted as another request to the same endpoint was initiated.", "AbortError"));
    controller = typeof AbortController !== "undefined" ? new AbortController() : {};
    const timeoutLength = toValue(opts.timeout);
    let timeoutId;
    if (timeoutLength) {
      timeoutId = setTimeout(() => controller.abort(new DOMException("Request aborted due to timeout.", "AbortError")), timeoutLength);
      controller.signal.onabort = () => clearTimeout(timeoutId);
    }
    let _$fetch = opts.$fetch || globalThis.$fetch;
    if (!opts.$fetch) {
      const isLocalFetch = typeof _request.value === "string" && _request.value[0] === "/" && (!toValue(opts.baseURL) || toValue(opts.baseURL)[0] === "/");
      if (isLocalFetch) {
        _$fetch = useRequestFetch();
      }
    }
    return _$fetch(_request.value, { signal: controller.signal, ..._fetchOptions }).finally(() => {
      clearTimeout(timeoutId);
    });
  }, _asyncDataOptions);
  return asyncData;
}
function generateOptionSegments(opts) {
  var _a;
  const segments = [
    ((_a = toValue(opts.method)) == null ? undefined : _a.toUpperCase()) || "GET",
    toValue(opts.baseURL)
  ];
  for (const _obj of [opts.params || opts.query]) {
    const obj = toValue(_obj);
    if (!obj) {
      continue;
    }
    const unwrapped = {};
    for (const [key, value] of Object.entries(obj)) {
      unwrapped[toValue(key)] = toValue(value);
    }
    segments.push(unwrapped);
  }
  return segments;
}
const useRequest = async (options) => {
  if (!options) throw new Error("Parameters required");
  if (!options.url) throw new Error("URL Required");
  if (!options.method) options.method = "get";
  let now = Date.now();
  options.method = options.method.toLowerCase();
  var payload = options.body || options.data;
  if (options.method == "get") options.body = options.data = undefined;
  let o_options = options;
  let use_async_data = false;
  if (options.use_async || options.use_async_data || options.setup) {
    use_async_data = true;
  }
  let app_state = useAppState();
  if (use_async_data && app_state.is_ready()) {
    use_async_data = false;
  }
  const headers = useRequestHeaders(["cookie"]);
  headers["utime"] = now;
  headers["cache-control"] = "no-cache";
  var out = null;
  if (use_async_data) {
    var { data: d } = await useAsyncData(
      options.name,
      () => {
        var fetched_data = $fetch(options.url, {
          credentials: "include",
          method: options.method,
          baseURL: options.base_url || options.baseurl,
          params: options.params,
          query: options.query,
          body: payload,
          headers
        });
        return fetched_data;
      },
      {}
    );
    out = d.value;
  } else {
    let detailed_err_msg = "";
    try {
      if (void 0) ;
    } catch (e) {
    }
    let config = {
      credentials: "include",
      method: options.method,
      query: options.query,
      params: options.params,
      body: payload,
      onRequest({ request, options: options2 }) {
        options2.headers = { ...headers, ...options2.headers };
        if (typeof o_options.on_req == "function") o_options.on_req(options2);
      },
      onRequestError({ request, options: options2, error }) {
        if (typeof o_options.on_req_error == "function") o_options.on_req_error(o_options);
      },
      onResponse({ request, response, options: options2 }) {
        if (typeof o_options.on_res == "function") o_options.on_res(response);
      },
      onResponseError({ request, response, options: options2 }) {
        if (typeof o_options.on_res_error == "function") o_options.on_res_error(response);
        detailed_err_msg = response._data ? response._data.msg : "";
        let err = {
          ...response._data,
          msg: (response._data.msg || "") + `
Status: ${response.status}`,
          status_text: response.statusText,
          status_code: response.status
        };
        throw err;
      }
    };
    {
      const { data, pending, error, refresh } = await useFetch(options.url, config, "$QJA3UDHIZR");
      if (error.value) {
        app_state.notice({ msg: "Please login" });
        throw error.value + (detailed_err_msg ? " - " + detailed_err_msg : "");
      }
      out = data.value;
    }
  }
  return out;
};
const useViewerState = defineStore("viewerState", {
  // arrow function recommended for full type inference
  state: () => {
    return {
      counter: 0,
      post: {},
      blk_instances: [],
      block_classes: [],
      is_static_page: false,
      static_page: null,
      before_page: [],
      after_page: [],
      /** A place to store runtime variable when the custom page sniplets are running */
      runtime: {},
      /** Local state of a block during runtime view */
      local_states: {},
      user: null,
      /**
       * Post Component source code.  Initialized on each page load.
       */
      postcomp_sources: []
    };
  },
  actions: {
    block_instances() {
      return this.blk_instances;
    },
    /**
     * Load post to be viewed for a target page route.  This method is invoked from global route middleware.  On the target
     * page route, RViewer will take over to utilize the post data to populate the page
     * @param {Object} route { path, fullPath, query,params } 
     * @returns 
     */
    async load(route) {
      var _a;
      var res = await useRequest({
        name: "the_post",
        url: "/api/posts/view",
        method: "post",
        use_async_data: route.use_async_data,
        body: route
      });
      this.post = ((_a = res.d) == null ? undefined : _a.post) || null;
      this.blk_instances = [];
      if (this.post) {
        this.blk_instances = this.post.value;
      }
      this.block_classes = res.d.blocks || [];
      this.before_page = res.d.before_page || [];
      this.after_page = res.d.after_page || [];
      this.user = res.cur_user;
      this.static_page = res.d.static_page;
      this.is_static_page = res.d.is_static_page;
      this.postcomp_sources = res.d.post_component_sources;
      return this.block_classes;
    },
    /** Get and override the array of post component source codes */
    async get_post_components() {
      let res = await useRequest({
        url: `/api/posts/components`
      });
      this.postcomp_sources = res.d;
    },
    get_block(block_id, hay = undefined, return_parent = false, parent_id = undefined) {
      let it = null, inst = null;
      if (!block_id) return null;
      if (hay === undefined || hay == null) hay = this.block_instances();
      if (hay.length == 0) return null;
      try {
        for (var i = 0; i < hay.length; i++) {
          inst = hay[i];
          if (!inst) continue;
          if (inst.id == block_id) {
            it = inst;
            if (return_parent) it = { target: it, type: it.type, target_index: i, container: hay, parent_id };
            break;
          } else {
            try {
              let output = this.get_block(block_id, inst.children || [], return_parent, inst.id);
              if (output) return output;
            } catch (iie) {
              console.error(iie, "get-block-exception lv2", iie);
              throw iie;
            }
          }
        }
        return it;
      } catch (ex) {
        console.trace("get-block(" + block_id + ")", ex);
        return null;
      }
    },
    //end of get block 
    get_meta(name) {
      if (!this.post) return null;
      if (!Array.isArray(this.post.metas)) return null;
      let m = null, j, found = false;
      for (j = 0; j < this.post.metas.length; j++) {
        m = this.post.metas[j] || null;
        if (!m) continue;
        if (m.name == name) {
          found = true;
          break;
        }
      }
      if (!found) m = null;
      return m;
    },
    //end of get_meta
    /**
     * Get
     * @param {Object} options { post, variant_id }
     * @returns {Object} { current_price, base_price } 
     */
    get_product_price(options) {
      if (!options) return null;
      let product = options.post || options.product || null;
      if (!product) return null;
      if (!Array.isArray(product.metas)) return null;
      let variant_id = options.variant_id;
      let out = { current_price: 0, base_price: 0 };
      let m_price = product.metas.find((it) => it.name == "product_price");
      let m_base = product.metas.find((it) => it.name == "product_base_price");
      if (m_price) out.current_price = m_price.value;
      if (m_base) out.base_price = m_base.value;
      if (variant_id) {
        let meta = product.metas.find((it) => it.id == variant_id);
        if (meta) {
          out.current_price = meta.value;
        }
      }
      return out;
    }
  }
});
async function preloadRouteComponents(to, router = useRouter()) {
  {
    return;
  }
}
const firstNonUndefined = (...args) => args.find((arg) => arg !== undefined);
// @__NO_SIDE_EFFECTS__
function defineNuxtLink(options) {
  const componentName = options.componentName || "NuxtLink";
  function isHashLinkWithoutHashMode(link) {
    return typeof link === "string" && link.startsWith("#");
  }
  function resolveTrailingSlashBehavior(to, resolve) {
    if (!to || options.trailingSlash !== "append" && options.trailingSlash !== "remove") {
      return to;
    }
    if (typeof to === "string") {
      return applyTrailingSlashBehavior(to, options.trailingSlash);
    }
    const path = "path" in to && to.path !== undefined ? to.path : resolve(to).path;
    const resolvedPath = {
      ...to,
      name: undefined,
      // named routes would otherwise always override trailing slash behavior
      path: applyTrailingSlashBehavior(path, options.trailingSlash)
    };
    return resolvedPath;
  }
  function useNuxtLink(props) {
    const router = useRouter();
    const config = /* @__PURE__ */ useRuntimeConfig();
    const hasTarget = computed(() => !!props.target && props.target !== "_self");
    const isAbsoluteUrl = computed(() => {
      const path = props.to || props.href || "";
      return typeof path === "string" && hasProtocol(path, { acceptRelative: true });
    });
    const builtinRouterLink = resolveComponent("RouterLink");
    const useBuiltinLink = builtinRouterLink && typeof builtinRouterLink !== "string" ? builtinRouterLink.useLink : undefined;
    const isExternal = computed(() => {
      if (props.external) {
        return true;
      }
      const path = props.to || props.href || "";
      if (typeof path === "object") {
        return false;
      }
      return path === "" || isAbsoluteUrl.value;
    });
    const to = computed(() => {
      const path = props.to || props.href || "";
      if (isExternal.value) {
        return path;
      }
      return resolveTrailingSlashBehavior(path, router.resolve);
    });
    const link = isExternal.value ? undefined : useBuiltinLink == null ? undefined : useBuiltinLink({ ...props, to });
    const href = computed(() => {
      var _a;
      if (!to.value || isAbsoluteUrl.value || isHashLinkWithoutHashMode(to.value)) {
        return to.value;
      }
      if (isExternal.value) {
        const path = typeof to.value === "object" && "path" in to.value ? resolveRouteObject(to.value) : to.value;
        const href2 = typeof path === "object" ? router.resolve(path).href : path;
        return resolveTrailingSlashBehavior(
          href2,
          router.resolve
          /* will not be called */
        );
      }
      if (typeof to.value === "object") {
        return ((_a = router.resolve(to.value)) == null ? undefined : _a.href) ?? null;
      }
      return resolveTrailingSlashBehavior(
        joinURL(config.app.baseURL, to.value),
        router.resolve
        /* will not be called */
      );
    });
    return {
      to,
      hasTarget,
      isAbsoluteUrl,
      isExternal,
      //
      href,
      isActive: (link == null ? undefined : link.isActive) ?? computed(() => to.value === router.currentRoute.value.path),
      isExactActive: (link == null ? undefined : link.isExactActive) ?? computed(() => to.value === router.currentRoute.value.path),
      route: (link == null ? undefined : link.route) ?? computed(() => router.resolve(to.value)),
      async navigate() {
        await navigateTo(href.value, { replace: props.replace, external: isExternal.value || hasTarget.value });
      }
    };
  }
  return defineComponent({
    name: componentName,
    props: {
      // Routing
      to: {
        type: [String, Object],
        default: undefined,
        required: false
      },
      href: {
        type: [String, Object],
        default: undefined,
        required: false
      },
      // Attributes
      target: {
        type: String,
        default: undefined,
        required: false
      },
      rel: {
        type: String,
        default: undefined,
        required: false
      },
      noRel: {
        type: Boolean,
        default: undefined,
        required: false
      },
      // Prefetching
      prefetch: {
        type: Boolean,
        default: undefined,
        required: false
      },
      prefetchOn: {
        type: [String, Object],
        default: undefined,
        required: false
      },
      noPrefetch: {
        type: Boolean,
        default: undefined,
        required: false
      },
      // Styling
      activeClass: {
        type: String,
        default: undefined,
        required: false
      },
      exactActiveClass: {
        type: String,
        default: undefined,
        required: false
      },
      prefetchedClass: {
        type: String,
        default: undefined,
        required: false
      },
      // Vue Router's `<RouterLink>` additional props
      replace: {
        type: Boolean,
        default: undefined,
        required: false
      },
      ariaCurrentValue: {
        type: String,
        default: undefined,
        required: false
      },
      // Edge cases handling
      external: {
        type: Boolean,
        default: undefined,
        required: false
      },
      // Slot API
      custom: {
        type: Boolean,
        default: undefined,
        required: false
      }
    },
    useLink: useNuxtLink,
    setup(props, { slots }) {
      const router = useRouter();
      const { to, href, navigate, isExternal, hasTarget, isAbsoluteUrl } = useNuxtLink(props);
      const prefetched = ref(false);
      const el = undefined;
      const elRef = undefined;
      function shouldPrefetch(mode) {
        var _a, _b;
        return !prefetched.value && (typeof props.prefetchOn === "string" ? props.prefetchOn === mode : ((_a = props.prefetchOn) == null ? undefined : _a[mode]) ?? ((_b = options.prefetchOn) == null ? undefined : _b[mode])) && (props.prefetch ?? options.prefetch) !== false && props.noPrefetch !== true && props.target !== "_blank" && !isSlowConnection();
      }
      async function prefetch(nuxtApp = useNuxtApp()) {
        if (prefetched.value) {
          return;
        }
        prefetched.value = true;
        const path = typeof to.value === "string" ? to.value : isExternal.value ? resolveRouteObject(to.value) : router.resolve(to.value).fullPath;
        const normalizedPath = isExternal.value ? new URL(path, (undefined).location.href).href : path;
        await Promise.all([
          nuxtApp.hooks.callHook("link:prefetch", normalizedPath).catch(() => {
          }),
          !isExternal.value && !hasTarget.value && preloadRouteComponents(to.value, router).catch(() => {
          })
        ]);
      }
      return () => {
        var _a;
        if (!isExternal.value && !hasTarget.value && !isHashLinkWithoutHashMode(to.value)) {
          const routerLinkProps = {
            ref: elRef,
            to: to.value,
            activeClass: props.activeClass || options.activeClass,
            exactActiveClass: props.exactActiveClass || options.exactActiveClass,
            replace: props.replace,
            ariaCurrentValue: props.ariaCurrentValue,
            custom: props.custom
          };
          if (!props.custom) {
            if (shouldPrefetch("interaction")) {
              routerLinkProps.onPointerenter = prefetch.bind(null, undefined);
              routerLinkProps.onFocus = prefetch.bind(null, undefined);
            }
            if (prefetched.value) {
              routerLinkProps.class = props.prefetchedClass || options.prefetchedClass;
            }
            routerLinkProps.rel = props.rel || undefined;
          }
          return h(
            resolveComponent("RouterLink"),
            routerLinkProps,
            slots.default
          );
        }
        const target = props.target || null;
        const rel = firstNonUndefined(
          // converts `""` to `null` to prevent the attribute from being added as empty (`rel=""`)
          props.noRel ? "" : props.rel,
          options.externalRelAttribute,
          /*
          * A fallback rel of `noopener noreferrer` is applied for external links or links that open in a new tab.
          * This solves a reverse tabnapping security flaw in browsers pre-2021 as well as improving privacy.
          */
          isAbsoluteUrl.value || hasTarget.value ? "noopener noreferrer" : ""
        ) || null;
        if (props.custom) {
          if (!slots.default) {
            return null;
          }
          return slots.default({
            href: href.value,
            navigate,
            prefetch,
            get route() {
              if (!href.value) {
                return undefined;
              }
              const url = new URL(href.value, "http://localhost");
              return {
                path: url.pathname,
                fullPath: url.pathname,
                get query() {
                  return parseQuery(url.search);
                },
                hash: url.hash,
                params: {},
                name: undefined,
                matched: [],
                redirectedFrom: undefined,
                meta: {},
                href: href.value
              };
            },
            rel,
            target,
            isExternal: isExternal.value || hasTarget.value,
            isActive: false,
            isExactActive: false
          });
        }
        return h("a", { ref: el, href: href.value || null, rel, target }, (_a = slots.default) == null ? undefined : _a.call(slots));
      };
    }
  });
}
const __nuxt_component_0$3 = /* @__PURE__ */ defineNuxtLink(nuxtLinkDefaults);
function applyTrailingSlashBehavior(to, trailingSlash) {
  const normalizeFn = trailingSlash === "append" ? withTrailingSlash : withoutTrailingSlash;
  const hasProtocolDifferentFromHttp = hasProtocol(to) && !to.startsWith("http");
  if (hasProtocolDifferentFromHttp) {
    return to;
  }
  return normalizeFn(to, true);
}
function isSlowConnection() {
  {
    return;
  }
}
function useModel(props, emit, name = "modelValue") {
  var old_value = undefined;
  return computed({
    get: () => {
      old_value = props[name];
      return old_value;
    },
    set: (new_value) => {
      emit(`update:${name}`, new_value);
      emit("rchange", new_value);
      old_value = new_value;
      let body = null;
      try {
        body = (void 0).body;
      } catch (e) {
      }
      if (body) {
        util.trigger("ui-update", body, {});
      }
    }
  });
}
const _export_sfc = (sfc, props) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props) {
    target[key] = val;
  }
  return target;
};
const _sfc_main$N = {
  __name: "RLink",
  __ssrInlineRender: true,
  props: {
    to: { type: String, default: null },
    newTab: { type: Boolean, default: false },
    disabled: { type: Boolean, default: false },
    underline: { type: Boolean, default: true }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange", "mouseover", "mouseout"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    ref(null);
    let is_internal = computed(() => {
      if (props.to == null) return true;
      let url2 = props.to.trim().toLowerCase();
      if (url2.startsWith("http") || url2.startsWith("www")) {
        return false;
      }
      return true;
    });
    let url = computed(() => {
      if (props.disabled) return "#disabled";
      if (props.to == null) return "/null-url";
      if (typeof props.to != "string") return "/invalid-url-string";
      if (!props.to) return "/invalid-empty-url";
      var url2 = props.to.trim();
      if (!is_internal.value) {
        if (!url2.startsWith("http")) url2 = "https://" + url2;
      }
      return url2;
    });
    let hnd_mouseover = (e) => {
    };
    let hnd_mouseout = (e) => {
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_link = __nuxt_component_0$3;
      if (unref(is_internal) && !__props.newTab) {
        _push(ssrRenderComponent(_component_nuxt_link, mergeProps({
          onMouseout: unref(hnd_mouseout),
          onMouseover: unref(hnd_mouseover),
          class: ["r-link internal rc", [!__props.underline ? "no-underline" : ""]],
          to: unref(url)
        }, _attrs), {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              ssrRenderSlot(_ctx.$slots, "default", {}, null, _push2, _parent2, _scopeId);
            } else {
              return [
                renderSlot(_ctx.$slots, "default", {}, undefined, true)
              ];
            }
          }),
          _: 3
        }, _parent));
      } else {
        _push(`<a${ssrRenderAttrs(mergeProps({
          href: unref(url),
          class: ["r-link external rc", [!__props.underline ? "no-underline" : ""]],
          target: __props.newTab ? "_blank" : undefined
        }, _attrs))} data-v-66646d36>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</a>`);
      }
    };
  }
};
const _sfc_setup$N = _sfc_main$N.setup;
_sfc_main$N.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RLink.vue");
  return _sfc_setup$N ? _sfc_setup$N(props, ctx) : undefined;
};
const __nuxt_component_1$4 = /* @__PURE__ */ _export_sfc(_sfc_main$N, [["__scopeId", "data-v-66646d36"]]);
const useEditorState = defineStore("editorState", {
  // arrow function recommended for full type inference
  state: () => {
    return {
      /** 
       * Indicate that on the editor component, we should show modal enabling user to save
       * sniplets of blocks
       */
      do_favorite_modal: false,
      model_favorite: null,
      favorite_sniplets: [],
      /** Used for context searching within the Insert new block menu */
      search_block_type: "",
      /** When page is loaded, roles/caps is auto returned */
      roles: [],
      /** When page is loaded, roles/caps is auto returned */
      caps: [],
      /** Local block variable states */
      local_states: {},
      post: {},
      blk_instances: [],
      categories: [],
      counter: 14,
      /**
       * An object { x, y } that indicates the menu should be open and approximately where
       * the menu should reside
       */
      _insert_menu_loc: null,
      _b_show_imenu: false,
      _active_imenu_tab: "show_blocks",
      _cancel_last_focus: false,
      /**
       * Boolean flag for opening and closing the save modal
       */
      modal_save_dcument: false,
      /**
       * This is a deep copy of the state property of any block that currently has
       * an input ui that has focus.  For example, when an block has and input ui that has
       * focus, this state will get a deep copy of that UI.  When blur event occurs on 
       * that same input ui, then the final state of the block is compared to see if changes
       * where made.
       */
      _old_blk_state: [],
      /**
       * Object block currently being dragged around
       */
      active_drag_blk: null,
      /**
       * Object { id, type, children :Array, state }
       */
      cur_blk_instance: null,
      /**
       * Storage location for Edit props function.  Each key is the id of a block and 
       * points to an object
       * 
       */
      edit_props: {},
      /**
       * An array of functions that reverses an action
       */
      undo_history: [],
      /**
       * Array of { title , value} representing available fonts on the site
       */
      fonts: []
    };
  },
  getters: {
    imenu_tab() {
      return this._active_imenu_tab;
    }
  },
  actions: {
    set_imenu_tab(name) {
      this._active_imenu_tab = name;
    },
    reset_history() {
      this.local_states = {};
      this.undo_history = [];
      this.edit_props = {};
    },
    async load_fonts() {
      let res = await useRequest({ url: `/api/options/custom_fonts` });
      let custom_fonts = [], default_fonts = [
        { title: "Arial", value: "Arial" },
        { title: "Verdana", value: "Verdana " },
        { title: "cursive", value: "cursive" },
        { title: "Fantasy", value: "fantasy" },
        { title: "Impact", value: "Impact" },
        { title: "Palatino", value: "Palatino" },
        { title: "Monospace", value: "monospace" },
        { title: "Sans-serif", value: "sans-serif" }
      ];
      if (Array.isArray(res.d)) {
        for (var i = 0; i < res.d.length; i++) {
          custom_fonts.push({ title: res.d[i].title, value: res.d[i].title });
        }
      }
      this.fonts = [...custom_fonts, ...default_fonts].sort((a, b) => {
        if (a.title < b.title) {
          return -1;
        }
        if (a.title > b.title) {
          return 1;
        }
        return 0;
      });
      return this.fonts;
    },
    push_old_state(state) {
      this._old_blk_state.push(state);
    },
    pop_old_state() {
      var val = this._old_blk_state.pop();
      return val;
    },
    last_state() {
      let l = this._old_blk_state.length;
      if (l == 0) return undefined;
      return this._old_blk_state[l - 1];
    },
    /**
     * When arugment is provided, will set a new active block instance from an object or block-id string.  Without an argument
     * will return the currently active block, if any 
     * @param { Nullable } value Optional string or block instance to be set
     * @returns 
     */
    active_block(value = undefined) {
      if (value === undefined) {
        return this.cur_blk_instance;
      } else {
        if (typeof value == "string") {
          console.log("active_block.set", value);
          value = this.get_block(value);
        }
        if (typeof value != "object") throw new Error("Block Instance must be an object");
        if (value && !value.type) throw new Error("Block Instance must have type specifier");
        if (value && !value.id) throw new Error("Block Instance must have an ID");
        this.cur_blk_instance = value;
        return this.cur_blk_instance;
      }
    },
    active_block_id() {
      if (!this.cur_blk_instance) return null;
      return this.cur_blk_instance.id;
    },
    block_instances() {
      if (!this.blk_instances) {
        this.blk_instances = [];
      }
      if (this.blk_instances.length == 0) {
        this.blk_instances.push({ type: "paragraph", state: {}, children: [] });
      }
      return this.blk_instances;
    },
    /**
     * Locate the named block id regardless of the it's location in the block node list
     * @param {String} block_id Name of the block to locate
     * @param {Array} hay nullalbe, default is is "blk-instances"
     * @param { Boolean} return_parent
     * @returns Null, the located block instance, or if return_container is true - return object describing parent container
     */
    get_block(block_id, hay = undefined, return_parent = false, parent_id = undefined) {
      let it = null, inst = null;
      if (!block_id) return null;
      if (hay === undefined || hay == null) hay = this.block_instances();
      if (hay.length == 0) return null;
      try {
        for (var i = 0; i < hay.length; i++) {
          inst = hay[i];
          if (!inst) continue;
          if (inst.id == block_id) {
            it = inst;
            if (return_parent) it = { target: it, type: it.type, target_index: i, container: hay, parent_id };
            break;
          } else {
            try {
              let output = this.get_block(block_id, inst.children || [], return_parent, inst.id);
              if (output) return output;
            } catch (iie) {
              console.error(iie, "get-block-exception lv2", iie);
              throw iie;
            }
          }
        }
        return it;
      } catch (ex) {
        console.trace("get-block(" + block_id + ")", ex);
        return null;
      }
    },
    /**
     * Add a new block 
     * @param {Object} options { before|after|append, data, on_new_id : Optional callback function to
     * call when a block did not have an id and one is auto created, parameter is the block with its id set }
     */
    insert_block(options) {
      if (!options) return false;
      let data = options.data;
      if (!data) return false;
      if (!data.id) {
        data.id = util.create_id();
        if (typeof options.on_new_id == "function") {
          options.on_new_id(data, data.id);
        }
      }
      if (data.state === undefined) data.state = {};
      let before = options.before || null;
      let after = options.after || null;
      let append = options.append || options.push || null;
      if (!before && !after && !append) {
        util.error("Cannot insert block without specifing how to insert", options);
        return false;
      }
      let target_block = before || after || append;
      let action_name = before ? "before" : after ? "after" : "append";
      let info = this.get_block(target_block, this.block_instances(), true);
      if (!info) {
        util.error("Unable to insert block", action_name, "for", target_block);
        return false;
      }
      let old_data_info = null;
      if (options.data.id) {
        old_data_info = this.get_block(options.data.id, this.block_instances(), true);
      }
      let src_container = info.container;
      let target_index = info.target_index;
      let insertion_point = null;
      if (action_name == "before") {
        insertion_point = target_index;
      } else if (action_name == "after") {
        insertion_point = target_index + 1;
      }
      if (insertion_point !== null) {
        src_container.splice(insertion_point, 0, data);
        console.log("AAA-insert");
      } else {
        if (!Array.isArray(info.target.children)) info.target.children = [];
        src_container = info.target.children;
        src_container.push(data);
        console.log("BBB-insert");
      }
      let removal_index = null;
      if (old_data_info) {
        if (old_data_info.container != src_container) {
          removal_index = old_data_info.target_index;
          console.info("-->A", removal_index, old_data_info);
        } else {
          if (target_index < old_data_info.target_index) {
            console.info("-->B");
            removal_index = old_data_info.target_index + 1;
          } else {
            removal_index = old_data_info.target_index;
            console.info("-->C");
          }
        }
        if (removal_index !== null) {
          console.info("-->E", removal_index, util.copy(old_data_info.container));
          old_data_info.container.splice(removal_index, 1);
        } else {
          console.info("-->F");
        }
      }
      this.push_undo("insert-block", () => {
        if (insertion_point == null) {
          console.info("VERSION I - insert-undo");
          src_container.splice(insertion_point, 1);
          if (old_data_info) old_data_info.container.splice(old_data_info.target_index, 0, data);
          return false;
        }
        if (old_data_info) {
          console.info("Removal was", removal_index, "Inserted at", insertion_point, "target index", target_index);
          if (removal_index !== null) {
            let storage_to_is_upwards = removal_index < target_index;
            if (old_data_info.container == src_container) {
              if (storage_to_is_upwards) {
                old_data_info.container.splice(removal_index, 0, data);
                target_index++;
              } else {
                old_data_info.container.splice(removal_index, 0, data);
              }
            } else {
              old_data_info.container.splice(removal_index, 0, data);
            }
          }
          src_container.splice(target_index, 1);
        } else {
          info = this.get_block(data.id, this.block_instances(), true);
          target_index = info.target_index;
          src_container.splice(info.target_index, 1);
        }
        return true;
      });
      console.log("Finished Insert and now returning ", data.id);
      return data.id;
    },
    /**
     * 
     * @param {String|Object} block_id the block to be removed 
     * @returns {Boolean }
     */
    remove_block(block_id) {
      if (!block_id) return false;
      let info = this.get_block(block_id, this.block_instances(), true);
      if (!info) return false;
      info.container.splice(info.target_index, 1);
      let is_root = info.container === this.block_instances();
      let root_is_empty = is_root && this.block_instances() != null && this.block_instances().length == 0;
      if (root_is_empty) {
        info.container.push({ id: util.create_id(), type: "paragraph", children: [], state: {} });
      }
      this.push_undo("remove_block", () => {
        if (root_is_empty) info.container.pop();
        info.container.splice(info.target_index, 0, info.target);
        return true;
      });
      return true;
    },
    /**
     * When a block_id or a block object is passed, this sets reference to active block being dragge.
     * When no arguments is supplied, function returns the currently reference to drag block
     * @param {String|Object} block_id the block to be dragged
     * @returns {Object}
     */
    drag_block(block_id = undefined) {
      if (block_id === undefined) {
        return this.active_drag_blk;
      } else {
        var is_null = block_id == null;
        var is_string = typeof block_id == "string";
        this.active_drag_blk = is_null ? null : is_string ? this.get_block(block_id) : block_id;
      }
    },
    has_undo() {
      return this.undo_history.length == 0;
    },
    /**
     * 
     * @returns {Boolean}
     */
    undo() {
      let last = this.undo_history.pop();
      if (!last) return;
      let res = null;
      try {
        res = last.fn();
        return res;
      } catch (e) {
        util.error("Failed to undo", e.message);
      }
    },
    push_undo(action_name, undo_fn) {
      if (!action_name) return;
      if (typeof undo_fn != "function") return;
      let prior_state = undefined;
      if (action_name == "blur") {
        prior_state = this._old_blk_state[this._old_blk_state.length - 1] || "Unknown State";
      }
      this.undo_history.push({ name: "undo_" + action_name, fn: undo_fn, prior_state });
    },
    open_insert_menu(options) {
      this._insert_menu_loc = options;
      this._b_show_imenu = options ? true : false;
      if (!this._insert_menu_loc) return;
    },
    is_insert_menu_open() {
      return this._b_show_imenu;
    },
    get_insert_menu_pos() {
      if (!this.is_insert_menu_open()) return {};
      let top = this._insert_menu_loc.y;
      let win_h = 900;
      try {
        win_h = (void 0).innerHeight;
      } catch (e) {
      }
      let ui_height = 340;
      if (top + ui_height > win_h) {
        top = win_h - ui_height;
      }
      return {
        left: this._insert_menu_loc.x + "px",
        top: top + "px",
        id: this._insert_menu_loc.id
      };
    },
    /**
     * Get the initial state of a block
     * @param {Object} defined_block A definition of a block used to render block instances 
     * @returns {Object} Initial State
     */
    get_default_block_state(defined_block) {
      if (!defined_block) return {};
      let code = defined_block.code;
      let def = {};
      if (!code.props) return util.log("No props defined for ", code.name);
      if (!code.props.state) return util.log("No props.state defined for ", code.name);
      if (typeof code.props.state.default == "function") {
        return code.props.state.default();
      } else {
        return def;
      }
    },
    /**
     * Given a post id, load the post from server and internally set blk-instances and the post
     * variable 
     * @param {Object} post_id post to load or new
     * @returns {Object}
     */
    async load_post(post_id, type = null) {
      var res = await useRequest({
        url: `/api/posts/${post_id}`,
        method: "get",
        query: {
          type: type || null,
          source: "editor"
        }
      });
      var res_layout = await useRequest({ url: "/api/posts/items/layout" });
      this.layouts = res_layout.d || [];
      this.layouts.splice(0, 0, { value: null, id: null, title: "None" });
      this.post = util.copy(res.d);
      this.roles = util.copy(res.roles);
      this.caps = util.copy(res.caps);
      this.categories = util.copy(res.categories);
      if (!this.categories) this.categories = [];
      this.categories.splice(0, 0, { id: null, value: null, title: "None", slug: null });
      if (this.post) {
        this.post.value = null;
        let values = util.copy(res.d.value || []);
        this.blk_instances = values;
      } else {
        this.blk_instances = [];
        this.post = {};
      }
      if (this.blk_instances.length == 0) {
        this.blk_instances.push({
          type: "paragraph",
          states: {},
          children: []
        });
      }
      return res.d;
    },
    /**
     * Load category terms from server
     */
    async load_categories() {
      var res = await useRequest({ url: "/api/posts/categories", method: "get" });
      this.categories = res.d;
      if (!this.categories) this.categories = [];
      this.categories.splice(0, 0, { id: null, value: null, title: "None", slug: null });
    },
    get_meta(name, default_value = undefined) {
      if (!this.post) return null;
      if (!Array.isArray(this.post.metas)) return null;
      let m = null, j, found = false;
      for (j = 0; j < this.post.metas.length; j++) {
        m = this.post.metas[j] || null;
        if (!m) continue;
        if (m.name == name) {
          found = true;
          break;
        }
      }
      if (!found) {
        m = {};
        if (default_value != undefined) {
          m.name = name;
          m.value = default_value;
          m.post_id = this.post.id;
          this.post.metas.push(m);
        }
      }
      return m;
    },
    //end of get_meta
    set_meta(name, value) {
      if (!this.post) return null;
      if (!Array.isArray(this.post.metas)) return null;
      let m = null, j, found = false;
      for (j = 0; j < this.post.metas.length; j++) {
        m = this.post.metas[j] || null;
        if (!m) continue;
        if (m.name == name) {
          found = true;
          break;
        }
      }
      if (!found) m = null;
      if (m) {
        m.value = util.type_cast(value);
      } else {
        m = { name, value };
        if (this.post.id) m.post_id = this.post.id;
        this.post.metas.push(m);
      }
    },
    //end of get_meta
    async load_favorites() {
      let res = await useRequest({
        url: `/api/posts/sniplet`
      });
      this.favorite_sniplets = res.d;
    }
  }
});
const _sfc_main$M = {
  __name: "RBusy",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<span${ssrRenderAttrs(mergeProps({ class: "loader rc block" }, _attrs))} data-v-8585a20e></span>`);
    };
  }
};
const _sfc_setup$M = _sfc_main$M.setup;
_sfc_main$M.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RBusy.vue");
  return _sfc_setup$M ? _sfc_setup$M(props, ctx) : undefined;
};
const __nuxt_component_3$3 = /* @__PURE__ */ _export_sfc(_sfc_main$M, [["__scopeId", "data-v-8585a20e"]]);
function useFocusable(root, callback) {
  let has_focus = ref(false);
  return computed(() => {
    return has_focus.value ? "has-focus" : null;
  });
}
const _sfc_main$L = {
  __name: "RButton",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    button: { type: String, default: "flat" },
    type: { type: String, default: "button" },
    isBusy: { type: Boolean, default: false },
    disabled: { type: Boolean, default: false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    let root = ref(null);
    let has_focus = useFocusable();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_busy = __nuxt_component_3$3;
      _push(`<button${ssrRenderAttrs(mergeProps({
        class: ["rc-button rc", [unref(has_focus)]],
        type: __props.type,
        ref_key: "root",
        ref: root,
        disabled: __props.disabled
      }, _attrs))} data-v-c0330266>`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      if (__props.isBusy) {
        _push(ssrRenderComponent(_component_r_busy, { class: "sm" }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button>`);
    };
  }
};
const _sfc_setup$L = _sfc_main$L.setup;
_sfc_main$L.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RButton.vue");
  return _sfc_setup$L ? _sfc_setup$L(props, ctx) : undefined;
};
const __nuxt_component_1$3 = /* @__PURE__ */ _export_sfc(_sfc_main$L, [["__scopeId", "data-v-c0330266"]]);
function useUnifiedValues(props) {
  return computed(() => {
    if (!Array.isArray(props.values)) {
      return [];
    }
    return props.values.map((opt) => {
      var value_fld = opt.value || opt.slug || opt.id || null;
      if (typeof opt != "object") value_fld = opt;
      var value_txt = opt.title || opt.name || opt.text || null;
      if (typeof opt != "object") value_txt = opt;
      let out = { text: value_txt, value: value_fld };
      if (opt.tooltip) {
        out.tooltip = opt.tooltip;
      }
      return out;
    });
  });
}
function useEmitChange(emit) {
  return (value, old_value) => {
    let are_arrays_equal = (arr1, arr2) => {
      arr1 = util.copy(arr1);
      arr2 = util.copy(arr2);
      let N = arr1.length;
      let M = arr2.length;
      if (N != M)
        return false;
      arr1.sort();
      arr2.sort();
      for (let i = 0; i < N; i++)
        if (arr1[i] != arr2[i])
          return false;
      return true;
    };
    let payload = { value, old_value };
    if (Array.isArray(value) && Array.isArray(old_value)) {
      let is_equal = are_arrays_equal(value, old_value);
      if (!is_equal) emit("change", payload);
    } else {
      if (value != old_value) emit("change", payload);
    }
  };
}
const _sfc_main$K = {
  __name: "RCheckbox",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    name: { type: String, default: () => util.random_str() },
    disabled: { type: Boolean, default: false },
    isSwitch: { type: Boolean, default: false },
    tooltip: { type: String, default: null }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "click", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    let root = ref(null);
    ref(null);
    const emit = __emit;
    const d = useModel(props, emit);
    let emit_change = useEmitChange(emit);
    watch(d, (value, old_value) => {
      emit_change(value, old_value);
    });
    ref("");
    let has_focus = useFocusable();
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-checkbox mb-1 rc", [unref(has_focus), __props.isSwitch ? "switch" : ""]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-f687afe7><input${ssrIncludeBooleanAttr(Array.isArray(unref(d)) ? ssrLooseContain(unref(d), null) : unref(d)) ? " checked" : ""} type="checkbox" class="inp-cbx"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} data-v-f687afe7><label class="cbx" data-v-f687afe7><span data-v-f687afe7>`);
      if (!__props.isSwitch) {
        _push(`<svg viewBox="0 0 12 10" height="10px" width="12px" data-v-f687afe7><polyline points="1.5 6 4.5 9 10.5 1" data-v-f687afe7></polyline></svg>`);
      } else {
        _push(`<svg viewBox="0 0 100 100" style="${ssrRenderStyle({ width: "16px", position: "absolute", top: "2px" })}" data-v-f687afe7><circle cx="50" cy="50" r="50" fill="white" data-v-f687afe7></circle></svg>`);
      }
      _push(`</span><span${ssrRenderAttr("data-tooltip", __props.tooltip)} data-v-f687afe7>`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</span></label></div>`);
    };
  }
};
const _sfc_setup$K = _sfc_main$K.setup;
_sfc_main$K.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RCheckbox.vue");
  return _sfc_setup$K ? _sfc_setup$K(props, ctx) : undefined;
};
const __nuxt_component_8$2 = /* @__PURE__ */ _export_sfc(_sfc_main$K, [["__scopeId", "data-v-f687afe7"]]);
const _sfc_main$J = {
  __name: "RCheckList",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    disabled: { type: Boolean, default: false },
    values: { type: Array, default: () => [] }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const d = useModel(props, emit);
    let value_list = useUnifiedValues(props);
    let modeled_values = ref({});
    let update_modeled_values = () => {
      if (props.disabled) return;
      var val;
      modeled_values.value = {};
      var included;
      for (var i = 0; i < value_list.value.length; i++) {
        val = value_list.value[i].value;
        included = d.value.includes(val);
        modeled_values.value[val] = included;
      }
    };
    update_modeled_values();
    let hnd_option_changed = (evt, opt, J) => {
      if (props.disabled) return;
      let tmp_d = d.value;
      if (!Array.isArray(tmp_d)) {
        if (tmp_d == null || tmp_d == "") tmp_d = [];
        else tmp_d = [tmp_d];
      }
      var value = opt.value;
      var include = modeled_values.value[value];
      if (include) {
        var not_already_in_list = !tmp_d.includes(value);
        if (not_already_in_list) tmp_d.push(value);
      } else {
        var in_list_already = tmp_d.includes(value);
        var index = tmp_d.indexOf(value);
        if (in_list_already) tmp_d.splice(index, 1);
      }
      d.value = tmp_d;
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_checkbox = __nuxt_component_8$2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "rc rc-checklist" }, _attrs))}><!--[-->`);
      ssrRenderList(unref(value_list), (opt, index) => {
        _push(`<div class="mb-1">`);
        _push(ssrRenderComponent(_component_r_checkbox, {
          modelValue: unref(modeled_values)[opt.value],
          "onUpdate:modelValue": [($event) => unref(modeled_values)[opt.value] = $event, ($event) => unref(hnd_option_changed)($event, opt, index)],
          key: opt.value
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              ssrRenderSlot(_ctx.$slots, "default", mergeProps({ ref_for: true }, opt), () => {
                _push2(`${ssrInterpolate(opt.text)}`);
              }, _push2, _parent2, _scopeId);
            } else {
              return [
                renderSlot(_ctx.$slots, "default", mergeProps({ ref_for: true }, opt), () => [
                  createTextVNode(toDisplayString(opt.text), 1)
                ])
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</div>`);
      });
      _push(`<!--]--></div>`);
    };
  }
};
const _sfc_setup$J = _sfc_main$J.setup;
_sfc_main$J.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RCheckList.vue");
  return _sfc_setup$J ? _sfc_setup$J(props, ctx) : undefined;
};
function useDectScroll(options) {
  if (!options) return null;
  let { el, callback } = options;
  if (!callback) return null;
  if (!el) return null;
  let it = el;
  let el_chain = [];
  let scroll_listener = (e) => {
    if (typeof callback == "function") callback(e);
  };
  let do_cancel = () => {
    el_chain.forEach((elem) => elem.removeEventListener("scroll", scroll_listener));
  };
  do {
    el_chain.push(it);
    it.addEventListener("scroll", scroll_listener);
    if (it && it.tagName == "BODY") {
      break;
    }
    it = it.parentElement;
    it.tagName.toLowerCase();
  } while (it);
  return do_cancel;
}
function useDropdown(ref_root, ref_menu_el, ref_open_state, emit) {
  let m_spatial = ref({ width: 0, height: 0, left: 0, top: 0 });
  let set_new_open_state = (value) => {
    ref_open_state.value = value;
    if (value == false) {
      emit("close");
    } else {
      emit("open");
    }
  };
  let on_click_outside = (e) => {
    let target = e.target;
    if (ref_menu_el.value && !ref_menu_el.value.contains(target)) {
      if (ref_root.value != target && !ref_root.value.contains(target)) {
        set_new_open_state(false);
        (undefined).removeEventListener("click", on_click_outside);
      }
    }
  };
  let release_scroll_detector = null;
  let click_opener = (on_open_callback = null) => {
    set_new_open_state(!ref_open_state.value);
    if (!ref_open_state.value) (undefined).removeEventListener("click", on_click_outside);
    if (ref_root.value) {
      if (typeof release_scroll_detector == "function") release_scroll_detector();
      var el = ref_root.value;
      var rect_menu = ref_menu_el.value.getBoundingClientRect();
      var menu_height = rect_menu.height;
      var rect_body = (undefined).body.getBoundingClientRect();
      var rect_elm = el.getBoundingClientRect();
      let offset = {
        top: rect_elm.top - rect_body.top,
        left: rect_elm.left - rect_body.left
      };
      let win_elm_scroll_offset = offset.top - (undefined).scrollY;
      let viewport_offset = (undefined).innerHeight - win_elm_scroll_offset;
      let offset_pad = 6;
      if (viewport_offset - 50 < menu_height) {
        offset.top -= menu_height + offset_pad;
      } else {
        offset.top += rect_elm.height + offset_pad;
      }
      let edge_pad = 48;
      if (offset.left + rect_menu.width >= (undefined).innerWidth - edge_pad) {
        offset.left = (undefined).innerWidth - rect_menu.width - edge_pad;
      }
      m_spatial.value.left = offset.left;
      m_spatial.value.top = offset.top;
      m_spatial.value.width = rect_elm.width;
      release_scroll_detector = useDectScroll({
        el,
        callback() {
          set_new_open_state(false);
          release_scroll_detector();
        }
      });
      if (on_open_callback != null && typeof on_open_callback == "function") {
        on_open_callback();
      }
      (undefined).addEventListener("click", on_click_outside);
    }
  };
  let styler = computed(() => {
    var width = m_spatial.value.width;
    return {
      visibility: ref_open_state.value ? "visible" : "hidden",
      opacity: ref_open_state.value ? 1 : 0,
      width: width == 0 ? undefined : width + "px",
      left: m_spatial.value.left + "px",
      top: m_spatial.value.top + "px",
      pointerEvents: ref_open_state.value ? "initial" : "none"
    };
  });
  return {
    click_opener,
    styler
  };
}
const _sfc_main$I = {
  __name: "RSelect",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    single: { type: Boolean, default: false },
    //single means that when modelValue is an array, the max array count is always 1
    disabled: { type: Boolean, default: false },
    values: { type: Array, default: () => [] },
    editable: { type: Boolean, default: () => false },
    noBorder: { type: Boolean, default: () => false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange", "open", "close"],
  setup(__props, { emit: __emit }) {
    const open_state = ref(false);
    const root = ref(null);
    ref(null);
    const menu_el = ref(null);
    const props = __props;
    const emit = __emit;
    const d = useModel(props, emit);
    ref(false);
    let has_focus = useFocusable();
    let d_is_empty = computed(() => {
      return Array.isArray(d.value) ? d.value.length == 0 : d.value == "";
    });
    let value_list = useUnifiedValues(props);
    let is_selected = computed(() => {
      return (opt) => {
        var nd = !d.value;
        let target_val = opt.value || opt.slug || opt.id;
        var no = !target_val;
        if (nd && no) return true;
        return loopable_d.value.includes(target_val);
      };
    });
    let text_value = computed(() => {
      return (in_val) => {
        if (!Array.isArray(props.values)) return "No Values";
        var out = "", target_val;
        for (var i = 0; i < props.values.length; i++) {
          target_val = props.values[i].value || props.values[i].slug || props.values[i].id;
          if (!target_val && !in_val || target_val == in_val) {
            out = props.values[i].text || props.values[i].title;
            break;
          }
        }
        return out;
      };
    });
    let d_is_array = computed(() => Array.isArray(d.value));
    let loopable_d = computed(() => {
      if (d_is_array.value) {
        return d.value;
      } else {
        return [d.value];
      }
    });
    let { click_opener, styler } = useDropdown(root, menu_el, open_state, emit);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["r-select rc", [unref(has_focus), __props.disabled ? "disabled" : ""]],
        ref_key: "root",
        ref: root,
        tabindex: "0"
      }, _attrs))} data-v-d52a99c2><div class="wrapper" data-v-d52a99c2><div class="control w-full flex-1" style="${ssrRenderStyle({ minHeight: "34px", border: __props.noBorder ? "none" : undefined })}" data-v-d52a99c2>`);
      if (__props.editable) {
        _push(`<input type="text"${ssrRenderAttr("value", unref(d))} data-v-d52a99c2>`);
      } else {
        _push(`<!---->`);
      }
      if (!__props.editable) {
        _push(`<!--[-->`);
        ssrRenderList(unref(loopable_d), (tv, ti) => {
          _push(`<div class="p-1" style="${ssrRenderStyle({ padding: "0.25em" })}" data-v-d52a99c2>`);
          if (!unref(d_is_empty)) {
            _push(`<div class="value-item value bg-primary-50 rounded inline-flex justify-center" data-v-d52a99c2>`);
            ssrRenderSlot(_ctx.$slots, "choice", mergeProps({ ref_for: true }, { value: tv }), null, _push, _parent);
            _push(`<span class="data px-1 pt-1 user-select-none" data-v-d52a99c2>${ssrInterpolate(unref(text_value)(tv))}</span><span class="ml-2 px-1 pt-1 remove-value" data-v-d52a99c2><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-d52a99c2><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" data-v-d52a99c2></path></svg></span></div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        });
        _push(`<!--]-->`);
      } else {
        _push(`<!---->`);
      }
      _push(`<span class="open-indicator" data-v-d52a99c2><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-d52a99c2><path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" data-v-d52a99c2></path></svg></span></div></div>`);
      ssrRenderTeleport(_push, (_push2) => {
        _push2(`<div class="options-list" style="${ssrRenderStyle(unref(styler))}" data-v-d52a99c2><!--[-->`);
        ssrRenderList(unref(value_list), (opt, oi) => {
          _push2(`<div class="${ssrRenderClass([[unref(is_selected)(opt) ? "selected" : ""], "option p-2"])}"${ssrRenderAttr("data-tooltip", opt.tooltip || undefined)}${ssrRenderAttr("v", opt.value)} data-v-d52a99c2>`);
          ssrRenderSlot(_ctx.$slots, "default", mergeProps({ ref_for: true }, opt), () => {
            _push2(`${ssrInterpolate(opt.text)}`);
          }, _push2, _parent);
          _push2(`</div>`);
        });
        _push2(`<!--]--></div>`);
      }, "body", false, _parent);
      _push(`</div>`);
    };
  }
};
const _sfc_setup$I = _sfc_main$I.setup;
_sfc_main$I.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RSelect.vue");
  return _sfc_setup$I ? _sfc_setup$I(props, ctx) : undefined;
};
const __nuxt_component_7$2 = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$I, [["__scopeId", "data-v-d52a99c2"]]), { __name: "RSelect" });
const _sfc_main$H = {
  __name: "RText",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    type: { type: String, default: "string" },
    maxHeight: { type: String, default: null },
    minHeight: { type: String, default: null },
    maxLength: { type: Number, default: null },
    disabled: { type: Boolean, default: false },
    inline: { type: Boolean, default: false },
    placeholder: { type: String, default: null }
  },
  emits: ["change", "enter", "escape", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    ref(null);
    const props = __props;
    let toolbar_properties = reactive({ x: 0, y: 0, visible: false });
    const emit = __emit;
    const d = useModel(props, emit);
    let default_height = computed(() => {
      let val = "42px";
      if (props.inline) val = "24px";
      return val;
    });
    let root = ref(null);
    let has_focus = useFocusable();
    let spellcheck = computed(() => has_focus == "has-focus" ? true : false);
    ref(-1);
    ref(null);
    reactive({
      text: "",
      url: "",
      visible: false,
      el: null
      //anchor element being edited
    });
    computed(() => {
      return {
        left: toolbar_properties.x + "px",
        top: toolbar_properties.y - 34 + "px"
      };
    });
    ref(null);
    ref(null);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-text rc", [unref(has_focus), __props.inline ? "inline" : ""]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-681abf80><div class="control p-1"${ssrRenderAttr("contenteditable", !__props.disabled)} tabindex="0" style="${ssrRenderStyle({ minHeight: __props.minHeight || unref(default_height), maxHeight: __props.maxHeight })}"${ssrRenderAttr("spellcheck", unref(spellcheck))} data-v-681abf80>${unref(d) ?? ""}</div></div>`);
    };
  }
};
const _sfc_setup$H = _sfc_main$H.setup;
_sfc_main$H.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RText.vue");
  return _sfc_setup$H ? _sfc_setup$H(props, ctx) : undefined;
};
const __nuxt_component_7$1 = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$H, [["__scopeId", "data-v-681abf80"]]), { __name: "RText" });
const _sfc_main$G = {
  __name: "RRowLabel",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    isHeading: { type: Boolean, default: false },
    text: { type: String, default: "" },
    tooltip: { type: String, default: null }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "rc-row-label mb-2 rc" }, _attrs))} data-v-f3811ff5>`);
      if (__props.isHeading) {
        _push(`<h3 class="row-text text-base color-gray-700 text-smaller"${ssrRenderAttr("data-tooltip", __props.tooltip)} data-v-f3811ff5>${ssrInterpolate(__props.text)}</h3>`);
      } else {
        _push(`<div class="row-text color-gray-400 text-smaller mb-1"${ssrRenderAttr("data-tooltip", __props.tooltip)} data-v-f3811ff5>${ssrInterpolate(__props.text)}</div>`);
      }
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</div>`);
    };
  }
};
const _sfc_setup$G = _sfc_main$G.setup;
_sfc_main$G.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RRowLabel.vue");
  return _sfc_setup$G ? _sfc_setup$G(props, ctx) : undefined;
};
const __nuxt_component_4$2 = /* @__PURE__ */ _export_sfc(_sfc_main$G, [["__scopeId", "data-v-f3811ff5"]]);
const _sfc_main$F = {
  __name: "RInput",
  __ssrInlineRender: true,
  props: {
    inline: { type: Boolean, default: false },
    modelValue: { type: null, default: null },
    type: { type: String, default: "string" },
    tooltip: { type: String, default: null },
    disabled: { type: Boolean, default: false },
    placeholder: { type: String, default: null },
    multiLine: { type: Boolean, default: false },
    height: { type: String, default: null },
    effect: { type: String, default: null },
    transformer: { type: Function, default: null }
  },
  emits: ["change", "enter", "update", "delete", "update:modelValue", "focus", "blur", "rchange", "escape", "typingcomplete"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    let f_placeholder = computed(() => {
      return props.placeholder ? props.placeholder : is_d_an_array.value ? "type text and press enter.. " : "";
    });
    let field_type = computed(() => {
      if (props.type == "currency") {
        return "text";
      } else if (props.type == "password") {
        return "password";
      } else {
        return props.type;
      }
    });
    const emit = __emit;
    const d = useModel(props, emit);
    let is_d_an_array = computed(() => Array.isArray(d.value));
    let text_model = ref("");
    if (!is_d_an_array.value) {
      text_model.value = d.value;
    }
    let root = ref(null);
    let has_focus = ref(false);
    let changed_from_internal = false;
    watch(() => props.modelValue, (new_val, old_val) => {
      if (!changed_from_internal) {
        if (!Array.isArray(new_val)) {
          text_model.value = new_val;
        } else {
          text_model.value = "";
        }
        set_new_value(new_val, true);
      }
      changed_from_internal = false;
    }, { deep: true });
    let set_new_value = (val, from_external = false) => {
      if (["number"].includes(props.type)) {
        val = Number.parseFloat(val);
        if (isNaN(val)) {
          val = 0;
        }
      }
      if (is_d_an_array.value) {
        if (val == null || val == "") {
          return;
        }
        if (from_external) {
          d.value = Array.isArray(val) ? val : [val];
        } else {
          d.value.push(val);
          emit("rchange", d.value);
        }
      } else {
        if (d.value != val) {
          d.value = val;
        }
      }
    };
    let cursor_index = ref(-1);
    let timer_id = null, timer_delay = 400;
    util.throttle((e) => {
      let key_enter = 13, key_esc = 27;
      let key = e.keyCode;
      clearTimeout(timer_id);
      timer_id = setTimeout(() => {
        emit("typingcomplete");
      }, timer_delay);
      if (key == key_esc) {
        emit("escape", e);
      }
      if (key == key_enter) {
        if (text_model.value && is_d_an_array.value) {
          if (typeof props.transformer == "function") {
            let tmp = props.transformer(text_model.value);
            if (typeof tmp != "undefined") text_model.value = tmp;
          }
          set_new_value(text_model.value);
          text_model.value = "";
        }
        emit("enter", e);
      }
      cursor_index.value = e.target.selectionStart;
    });
    ref(null);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc input rc", [
          unref(has_focus) ? "has-focus" : "",
          __props.disabled ? "disabled" : "",
          _ctx.$slots.default ? "has-prefix" : "",
          _ctx.$slots["post-fix"] ? "has-post" : "",
          props.inline ? "inline" : null
        ]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-17764584><div class="wrap" data-v-17764584>`);
      if (_ctx.$slots.default) {
        _push(`<div class="prefix user-select-none shrink-0" data-v-17764584>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      if (!__props.multiLine) {
        _push(`<input${ssrRenderDynamicModel(unref(field_type), unref(text_model), null)}${ssrRenderAttr("type", unref(field_type))}${ssrRenderAttr("data-tooltip", __props.tooltip)}${ssrRenderAttr("placeholder", unref(f_placeholder))}${ssrRenderAttr("aria-placeholder", unref(f_placeholder))} class="control flex-auto"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} data-v-17764584>`);
      } else {
        _push(`<textarea${ssrRenderAttr("type", unref(field_type))}${ssrRenderAttr("ata-tooltip", __props.tooltip)}${ssrRenderAttr("placeholder", unref(f_placeholder))}${ssrRenderAttr("aria-placeholder", unref(f_placeholder))}${ssrRenderAttr("data-tooltip", __props.tooltip)} style="${ssrRenderStyle({ minHeight: __props.height, height: __props.height })}" class="control flex-auto"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} data-v-17764584>${ssrInterpolate(unref(text_model))}</textarea>`);
      }
      if (_ctx.$slots["post-fix"]) {
        _push(`<div class="flex items-center px-2" data-v-17764584>`);
        ssrRenderSlot(_ctx.$slots, "post-fix", {}, null, _push, _parent);
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
      if (unref(is_d_an_array)) {
        _push(`<div class="flex gap-2 p-1 flex-wrap tokens" data-v-17764584><!--[-->`);
        ssrRenderList(unref(d), (token, ti) => {
          _push(`<span class="token-item bg-white cursor-default hover:color-primary-500 inline-flex items-center p-1 border border-gray-400 rounded color-gray-600" data-v-17764584><span data-v-17764584>${ssrInterpolate(token)}</span><span class="ml-2 hover:color-red-500 cursor-pointer" data-v-17764584><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4" data-v-17764584><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" data-v-17764584></path></svg></span></span>`);
        });
        _push(`<!--]--></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup$F = _sfc_main$F.setup;
_sfc_main$F.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RInput.vue");
  return _sfc_setup$F ? _sfc_setup$F(props, ctx) : undefined;
};
const __nuxt_component_5$1 = /* @__PURE__ */ _export_sfc(_sfc_main$F, [["__scopeId", "data-v-17764584"]]);
const _sfc_main$E = {
  __name: "RDuplex",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    disabled: { type: Boolean, default: false },
    multi: { type: Boolean, default: null }
  },
  emits: ["change", "enter", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    let part_num = ref(0);
    let part_unit = ref(0);
    let set_num_and_unit = (value) => {
      let parts = util.get_duplex(value);
      part_num.value = parts.value;
      part_unit.value = parts.unit;
    };
    const emit = __emit;
    const d = useModel(props, emit);
    let root = ref(null);
    let chg_source = ref("null");
    set_num_and_unit(d.value);
    let emit_change = useEmitChange(emit);
    watch(() => props.modelValue, (value) => {
      if (chg_source.value != "internal") {
        set_num_and_unit(value);
      }
      chg_source.value = null;
    });
    let has_focus = useFocusable();
    let unit_types = ref([
      { text: "---", value: "none" },
      { text: "px", value: "px" },
      { text: "em", value: "em" },
      { text: "rem", value: "rem" },
      { text: "vw", value: "vw" },
      { text: "vh", value: "vh" },
      { text: "%", value: "%" }
    ]);
    let hnd_field_input = (e) => {
      chg_source.value = "internal";
      if (part_unit.value.value == "none") {
        part_num.value = "";
      }
      var new_val = part_num.value + part_unit.value;
      d.value = new_val;
      emit_change(d.value, old_value);
    };
    let old_value = null;
    let hnd_grab_focus = (e) => {
      if (e.type == "focus") {
        old_value = d.value;
        emit("focus", d.value);
        set_num_and_unit(d.value);
      } else {
        d.value = part_num.value + part_unit.value;
        emit("blur", d.value);
        if (d.value != old_value) emit("change", { value: d.value, old_value });
      }
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_select = __nuxt_component_7$2;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-duplex rc", [
          unref(has_focus),
          __props.disabled ? "disabled" : ""
        ]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-cedaaf54><input${ssrRenderAttr("value", unref(part_num))} style="${ssrRenderStyle({ maxWidth: "42px" })}" class="control flex-auto rounded"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} data-v-cedaaf54>`);
      _push(ssrRenderComponent(_component_r_select, {
        modelValue: unref(part_unit),
        "onUpdate:modelValue": ($event) => isRef(part_unit) ? part_unit.value = $event : part_unit = $event,
        values: unref(unit_types),
        style: { minWidth: "16px" },
        onRchange: unref(hnd_field_input),
        onFocus: unref(hnd_grab_focus),
        disabled: __props.disabled,
        onBlur: unref(hnd_grab_focus),
        "no-border": true
      }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup$E = _sfc_main$E.setup;
_sfc_main$E.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RDuplex.vue");
  return _sfc_setup$E ? _sfc_setup$E(props, ctx) : undefined;
};
const RDuplex = /* @__PURE__ */ _export_sfc(_sfc_main$E, [["__scopeId", "data-v-cedaaf54"]]);
const _sfc_main$D = {
  __name: "RResize",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: () => ({ width: "100px", height: "100px" }) },
    disabled: { type: Boolean, default: false },
    aspect: { type: Boolean, default: false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const root = ref(null);
    const props = __props;
    const emit = __emit;
    const d = useModel(props, emit);
    let c_style = computed(() => {
      return props.disabled ? { maxWidth: "100%" } : d.value;
    });
    let handle_hover_is_active = ref(false);
    ref(null);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: [unref(handle_hover_is_active) ? "has-hover" : "", "r-resize", "m-1", "rc", "user-select-none", __props.disabled ? "disabled" : ""],
        style: unref(c_style),
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-03ce080a><div class="h h-x" data-v-03ce080a><div class="handle" data-v-03ce080a></div></div><div class="h h-y" data-v-03ce080a><div class="handle" data-v-03ce080a></div></div>`);
      ssrRenderSlot(_ctx.$slots, "default", { style: unref(c_style) }, null, _push, _parent);
      _push(`</div>`);
    };
  }
};
const _sfc_setup$D = _sfc_main$D.setup;
_sfc_main$D.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RResize.vue");
  return _sfc_setup$D ? _sfc_setup$D(props, ctx) : undefined;
};
const RResize = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$D, [["__scopeId", "data-v-03ce080a"]]), { __name: "RResize" });
const _sfc_main$C = {
  __name: "RRow",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    disabled: { type: Boolean, default: false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "rc-row mb-2 flex gap-2 rc" }, _attrs))} data-v-10c9b442>`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</div>`);
    };
  }
};
const _sfc_setup$C = _sfc_main$C.setup;
_sfc_main$C.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RRow.vue");
  return _sfc_setup$C ? _sfc_setup$C(props, ctx) : undefined;
};
const __nuxt_component_4$1 = /* @__PURE__ */ _export_sfc(_sfc_main$C, [["__scopeId", "data-v-10c9b442"]]);
const _sfc_main$B = {
  __name: "RButtonCycle",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    type: { type: String, default: "button" },
    remover: { type: Boolean, default: false },
    disabled: { type: Boolean, default: false }
  },
  emits: ["update:modelValue", "inc", "dec", "remove"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    let root = ref(null);
    let has_focus = useFocusable();
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["r-cycle rc", [unref(has_focus)]],
        type: __props.type,
        ref_key: "root",
        ref: root,
        disabled: __props.disabled
      }, _attrs))} data-v-02a3297d><button class="pos"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} data-v-02a3297d><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-02a3297d><path stroke-linecap="round" stroke-linejoin="round" d="m4.5 15.75 7.5-7.5 7.5 7.5" data-v-02a3297d></path></svg></button>`);
      if (__props.remover) {
        _push(`<button${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} data-v-02a3297d><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-3 h-3" data-v-02a3297d><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" data-v-02a3297d></path></svg></button>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<button class="neg"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} data-v-02a3297d><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-02a3297d><path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" data-v-02a3297d></path></svg></button></div>`);
    };
  }
};
const _sfc_setup$B = _sfc_main$B.setup;
_sfc_main$B.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RButtonCycle.vue");
  return _sfc_setup$B ? _sfc_setup$B(props, ctx) : undefined;
};
const RButtonCycle = /* @__PURE__ */ _export_sfc(_sfc_main$B, [["__scopeId", "data-v-02a3297d"]]);
const _sfc_main$A = {
  __name: "RModal",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    confirm: { type: String, default: null },
    cancel: { type: String, default: null },
    ezCancel: { type: Boolean, default: true }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "close", "rchange"],
  setup(__props, { emit: __emit }) {
    ref(null);
    const props = __props;
    const emit = __emit;
    const d = useModel(props, emit);
    let watch_change_listener = (val) => {
    };
    watch(d, watch_change_listener);
    let is_confirm = () => {
      return props.confirm || props.cancel;
    };
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "rc" }, _attrs))} data-v-4c4a5d35>`);
      if (unref(d)) {
        ssrRenderTeleport(_push, (_push2) => {
          _push2(`<div class="${ssrRenderClass([[unref(d) ? "active" : ""], "modal"])}" data-v-4c4a5d35><div class="${ssrRenderClass([[unref(d) ? "active" : ""], "overlay"])}" data-v-4c4a5d35></div><div class="wrapper" data-v-4c4a5d35>`);
          if (_ctx.$slots.header) {
            _push2(`<div class="header" data-v-4c4a5d35>`);
            ssrRenderSlot(_ctx.$slots, "header", {}, null, _push2, _parent);
            _push2(`</div>`);
          } else {
            _push2(`<!---->`);
          }
          if (_ctx.$slots.default) {
            _push2(`<div class="content" data-v-4c4a5d35>`);
            ssrRenderSlot(_ctx.$slots, "default", {}, null, _push2, _parent);
            _push2(`</div>`);
          } else {
            _push2(`<!---->`);
          }
          if (_ctx.$slots.footer || unref(is_confirm)) {
            _push2(`<div class="footer" data-v-4c4a5d35>`);
            ssrRenderSlot(_ctx.$slots, "footer", {}, null, _push2, _parent);
            if (unref(is_confirm)) {
              _push2(`<div class="flex gap-2" data-v-4c4a5d35>`);
              if (__props.cancel) {
                _push2(`<button style="${ssrRenderStyle({ "--bg-opacity": "0.20" })}" class="button rounded color-gray-500 modal-cancel hover:bg-gray-400" data-v-4c4a5d35>${ssrInterpolate(props.cancel)}</button>`);
              } else {
                _push2(`<!---->`);
              }
              if (__props.confirm) {
                _push2(`<button class="button rounded solid color-primary-600 hover:bg-primary-500 modal-ok" style="${ssrRenderStyle({ "--bg-opacity": "0.10" })}" data-v-4c4a5d35>${ssrInterpolate(props.confirm)}</button>`);
              } else {
                _push2(`<!---->`);
              }
              _push2(`</div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div>`);
          } else {
            _push2(`<!---->`);
          }
          _push2(`</div></div>`);
        }, "body", false, _parent);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup$A = _sfc_main$A.setup;
_sfc_main$A.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RModal.vue");
  return _sfc_setup$A ? _sfc_setup$A(props, ctx) : undefined;
};
const __nuxt_component_3$2 = /* @__PURE__ */ _export_sfc(_sfc_main$A, [["__scopeId", "data-v-4c4a5d35"]]);
function useBusy() {
  let busy = ref({});
  let busy_end = (state_name) => {
    return new Promise((resolve, reject) => {
      if (busy.value[state_name] == undefined) busy.value[state_name] = false;
      let delay = 410;
      setTimeout(() => {
        busy.value[state_name] = false;
        resolve(true);
      }, delay);
    });
  };
  let busy_start = (state_name) => {
    if (busy.value[state_name] == undefined) busy.value[state_name] = true;
    busy.value[state_name] = true;
  };
  let busy_toggle = (state_name, forced_value = undefined) => {
    if (forced_value != undefined) {
      busy.value[state_name] = forced_value;
    } else {
      if (busy.value[state_name] == undefined) busy.value[state_name] = false;
    }
    busy.value[state_name] = !busy.value[state_name];
  };
  let is_busy = computed(() => {
    return (state_name) => {
      if (busy.value[state_name] == undefined) return false;
      return busy.value[state_name];
    };
  });
  return { is_busy, busy_start, busy_end, busy_toggle };
}
const _sfc_main$z = {
  __name: "RFilebrowser",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    open: { type: Boolean, default: false },
    placeholder: { type: String, default: "Select files .." },
    disabled: { type: Boolean, default: false },
    mediaOnly: { type: Boolean, default: false },
    /**Provides a mechanism to force the filebrowser to open from external factors */
    forceOpen: { type: Boolean, default: false }
  },
  emits: [
    "change",
    "delete",
    "update:modelValue",
    "focus",
    "load-files",
    "reset-force-open",
    "blur",
    "rchange",
    "load-items",
    "selection-changed",
    "selection"
  ],
  setup(__props, { emit: __emit }) {
    let root = ref(null), modal_root = ref(null);
    const emit = __emit;
    const props = __props;
    watch(() => props.forceOpen, (new_val, old_val) => {
      console.log("Stat change", new_val);
      if (new_val == true) {
        setTimeout(() => {
          emit("reset-force-open");
        }, 120);
        hnd_click_opener();
      }
    });
    let has_focus = ref(false);
    let { is_busy, busy_start, busy_end } = useBusy();
    let is_public_root = ref(true);
    let cur_folder = ref("");
    let folder_items = ref([]);
    let open_browser = ref(false);
    let list_selected_files = ref([]);
    let c_selected_files = computed(() => {
      var out = [];
      if (!Array.isArray(list_selected_files.value)) {
        list_selected_files.value = [];
      }
      var id, matches, item = "";
      for (var i = 0; i < list_selected_files.value.length; i++) {
        item = list_selected_files.value[i];
        if (typeof item == "string") {
          let re = /id=([\w]+)/gm;
          matches = re.exec(item);
          if (!matches) id = null;
          else id = matches[1];
          out.push({ url: item, id });
        } else {
          out.push(item);
        }
      }
      return out;
    });
    let status_types = ref([]);
    useRequest({ url: "/api/status-list", query: { type: "media" } }).then((res) => {
      status_types.value = res.d;
    }).catch((err) => {
      console.error("ERROR ", err);
    });
    let mode_view_file_detail = ref(false);
    let file_to_edit = ref(null);
    let hnd_click_opener = () => {
      list_selected_files.value = [];
      let copy_val = util.copy(d.value);
      if (copy_val) {
        if (!Array.isArray(copy_val)) copy_val = [copy_val];
        var url;
        for (var i = 0; i < copy_val.length; i++) {
          url = copy_val[i];
          if (!url) continue;
          let re = /id=([\w]+)/gm;
          let matches = re.exec(url);
          if (!matches) continue;
          list_selected_files.value.push({ url, id: util.is_number(matches[1]) ? parseInt(matches[1]) : matches[1] });
        }
      }
      open_browser.value = true;
      folder_items.value = null;
      cur_folder.value = "/";
      load_folder_items();
    };
    let hnd_clear_selection = (e) => {
      if (e) e.stopPropagation();
      list_selected_files.value = [];
      if (Array.isArray(folder_items.value)) {
        folder_items.value.forEach((file) => file._selected = false);
      }
      confirm_delete.value = null;
    };
    let confirm_delete = ref(null);
    let is_confirming_delete = computed(() => {
      return confirm_delete.value == "checking";
    });
    let hnd_delete_selection = async (e) => {
      console.log("xx00");
      if (confirm_delete.value == null) {
        confirm_delete.value = "checking";
        let checker = (e2) => {
          console.log("xx01");
          var target = e2.target;
          var is_delete = false;
          if (target.classList.contains("fild-deleter")) {
            is_delete = true;
          } else {
            is_delete = target.closest(".fild-deleter") != null;
          }
          if (is_delete) {
            confirm_delete.value = null;
            var payload = util.copy(c_selected_files.value);
            payload.forEach((it) => {
              it.public = is_public_root.value;
            });
            payload.public = is_public_root.value;
            useRequest({
              url: "/api/posts/uploads/remove",
              body: payload,
              method: "delete"
            }).then(() => {
              load_folder_items();
              hnd_clear_selection();
            });
          }
          confirm_delete.value = null;
          (undefined).removeEventListener("click", checker);
        };
        setTimeout(() => (undefined).addEventListener("click", checker), 120);
        return;
      }
    };
    let hnd_public_private_root_changed = () => {
      cur_folder.value = "/";
      load_folder_items();
    };
    let load_folder_items = () => {
      busy_start("fetch_folder_items");
      useRequest({
        url: "/api/posts/uploads",
        method: "get",
        query: { folder: cur_folder.value, public: is_public_root.value }
      }).then((res) => {
        folder_items.value = res.d;
        emit("load-files", { folder: cur_folder.value, data: res.d });
        busy_end("fetch_folder_items");
        if (folder_items.value != null) {
          c_selected_files.value.forEach((selected) => {
            folder_items.value.forEach((file) => {
              if (file.id != selected.id) return;
              file._selected = selected.id == file.id;
            });
          });
        }
      }).catch((res) => {
        busy_end("fetch_folder_items");
        util.error(res);
      });
    };
    let hnd_close_browser = (result) => {
      if (result.action == "cancel") {
        open_browser.value = false;
        return;
      }
      let selected_files = util.copy(list_selected_files.value).map((it) => {
        let url = it.url;
        if (!url) return null;
        url = url.split("?")[0];
        return `${url}?id=${it.id}`;
      });
      d.value = selected_files.length == 0 ? "" : selected_files.length == 1 ? selected_files[0] : selected_files;
      hnd_click_cancel_file_detail();
      open_browser.value = false;
      hnd_clear_selection();
      emit("selection", selected_files);
    };
    let hnd_clicked_file = (file) => {
      if (file.is_directory) {
        cur_folder.value = file.url;
        load_folder_items();
      } else {
        if (file.is_private) return;
        busy_start("view_file_detail");
        mode_view_file_detail.value = true;
        var file = useRequest({ url: `/api/posts/${file.id}` }).then((res) => {
          set_file_to_edit(res.d);
        }).catch((res) => {
          busy_end("view_file_detail");
          mode_view_file_detail.value = false;
        });
      }
    };
    let set_file_to_edit = (file) => {
      if (!file) return;
      mode_view_file_detail.value = true;
      busy_end("view_file_detail");
      file_to_edit.value = file;
      if (!file_to_edit.value.tags) file_to_edit.value.tags = [];
    };
    let hnd_click_cancel_file_detail = () => {
      mode_view_file_detail.value = false;
    };
    let hnd_update_file_info = () => {
      busy_start("saving_post");
      useRequest({
        url: "/api/posts",
        body: util.copy(file_to_edit.value),
        method: "post"
      }).then((res) => {
        busy_end("saving_post");
      }).catch((res) => {
        busy_end("saving_post");
      });
    };
    let hnd_clicked_nav_folder = (fp) => {
      cur_folder.value = fp.url;
      hnd_click_cancel_file_detail();
      load_folder_items();
    };
    let hnd_selection_changed = (fobj) => {
      if (!fobj) return;
      if (!Array.isArray(list_selected_files.value)) list_selected_files.value = [];
      var index = -1;
      for (var i = 0; i < list_selected_files.value.length; i++) {
        if (list_selected_files.value[i].id == fobj.id) {
          index = i;
          break;
        }
      }
      let copy = { id: fobj.id, url: fobj.url };
      if (fobj._selected) {
        if (index == -1) {
          list_selected_files.value.push(copy);
        }
      } else {
        if (index != -1) {
          list_selected_files.value.splice(index, 1);
        }
      }
    };
    const d = useModel(props, emit);
    computed(() => {
      return (file) => {
        if (!file) return false;
        return file.is_directory == true;
      };
    });
    let is_image = computed(() => {
      return (file) => {
        if (!file) return false;
        if (!file.url) return false;
        let re = /\.(gif|jpeg|jpg|png|svg|webp|ico)$/gm;
        return re.test(file.url);
      };
    });
    let is_video = computed(() => {
      return (file) => {
        if (!file) return false;
        if (!file.url) return false;
        let re = /\.(mp4|mov|wmv|webm|avi|flv|mkv|mts)$/gm;
        return re.test(file.url);
      };
    });
    let is_code_file = computed(() => {
      return (file) => {
        if (!file) return false;
        if (!file.url) return false;
        let re = /\.(js|html|cpp|c|asm|html|py|jsx)$/gm;
        let out = re.test(file.url);
        return out;
      };
    });
    let is_archive_file = computed(() => {
      return (file) => {
        if (!file) return false;
        if (!file.url) return false;
        let re = /\.(ar|lbr|mar|tar|bz2|gz|lz|lz4|lzma|sz|xz|7z|s7z|aar|apk|ark|ba|jar|pak|tar.gz|tgz|tar.xz|tar.zst|xar|zip|zoo|zz)$/gm;
        let out = re.test(file.url);
        return out;
      };
    });
    computed(() => {
      return (file) => {
        if (!file) return null;
        if (!file.url) return null;
        let re = /\.(.*?)$/gm;
        let result = re.exec(file.url);
        if (!result) return null;
        return result[1];
      };
    });
    let c_folder_path = computed(() => {
      var chain = "/";
      let path = [{ title: "/", url: chain }];
      var url = cur_folder.value || chain;
      if (typeof url != "string") return path;
      url = url.trim();
      var tokens = url.split("/");
      tokens.map((it, i2) => {
        if (it == "/") return;
        if (!it) return;
        let seperator = i2 == 0 ? "" : "/";
        chain = chain + it + seperator;
        url = i2 == 0 ? chain : chain.substring(0, chain.length - 1);
        path.push({ title: it, url });
      });
      return path;
    });
    let folder_to_create = ref(null);
    let hnd_start_folder_creation = (e) => {
      e.stopPropagation();
      folder_to_create.value = "";
    };
    let hnd_stop_folder_creation = async (success, e) => {
      e.stopPropagation();
      if (success) {
        var payload = { folder: cur_folder.value, new_folder: folder_to_create.value, public: is_public_root.value };
        await useRequest({
          url: "/api/posts/uploads/create-folder",
          body: payload,
          method: "post"
        });
        load_folder_items();
      }
      folder_to_create.value = null;
    };
    let is_creating_folder = computed(() => folder_to_create.value != null);
    let upload_element = ref(null);
    let hnd_click_upload_btn = (e) => {
      e.stopPropagation();
      upload_element.value.click();
    };
    let hnd_selected_files_to_upload = (e) => {
      var _a, _b;
      let arr_file_objects = upload_element.value.files;
      if (arr_file_objects.length == 0) return;
      var form = new FormData();
      var field_name = upload_element.value.getAttribute("name") || "jxt_file";
      var file_obj = null;
      form.append("folder", cur_folder.value);
      form.append("public", is_public_root.value);
      let view_state = useViewerState();
      form.append("user_id", (_a = view_state.user) == null ? undefined : _a.id);
      for (var i = 0; i < arr_file_objects.length; i++) {
        file_obj = arr_file_objects[i];
        file_obj.to = cur_folder.value;
        form.append(field_name, file_obj, file_obj.name);
        console.log(field_name, file_obj, file_obj.name, file_obj.value);
      }
      try {
        useRequest({
          url: "/api/posts/uploads",
          method: "POST",
          body: form,
          headers: { "cache-control": "no-cache", "upload-to": cur_folder.value },
          query: {
            user_id: (_b = view_state.user) == null ? void 0 : _b.id,
            to: cur_folder.value
          }
        }).catch((err) => {
          let app_state = useAppState();
          app_state.notice({
            theme: "danger",
            title: "Upload Error",
            msg: err.message || err.msg
          });
        }).then((res) => {
          console.log("Successful upload", res, res.data, res.value);
          load_folder_items();
        });
      } catch (xi) {
        console.error("XX", xi);
      }
    };
    let monitored_d = computed({
      get() {
        if (d.value == null) {
          return "";
        } else if (Array.isArray(d.value)) {
          return d.value.join(", ");
        } else
          return d.value;
      },
      set(value) {
        if (!value) {
          d.value = value;
        } else {
          if (value.includes(",")) {
            value = value.split(",");
            d.value = value;
          } else {
            d.value = value;
          }
        }
      }
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_modal = __nuxt_component_3$2;
      const _component_r_checkbox = __nuxt_component_8$2;
      const _component_r_button = __nuxt_component_1$3;
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_busy = __nuxt_component_3$3;
      const _component_r_row_label = __nuxt_component_4$2;
      const _component_r_select = __nuxt_component_7$2;
      _push(`<div${ssrRenderAttrs(mergeProps({
        ref_key: "root",
        ref: root,
        class: ["rc-media", [unref(has_focus) ? "has-focus" : "", __props.disabled ? "disabled" : ""]]
      }, _attrs))} data-v-b8ae6521>`);
      if (!__props.mediaOnly) {
        _push(`<div class="row flex border border-gray-300 rounded control" data-v-b8ae6521><input${ssrRenderAttr("value", unref(monitored_d))}${ssrRenderAttr("placeholder", __props.placeholder)}${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} data-v-b8ae6521><button type="button"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} class="button open-browser px-4 w-fit hover:bg-gray-200 rounded-tr rounded-br shrink-0" data-v-b8ae6521>...</button></div>`);
      } else {
        _push(`<button type="button"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} class="opener button px-4 w-fit hover:bg-gray-200 color-gray-600 hover:color-gray-800 rounded-tr rounded inline-flex items-center" data-v-b8ae6521><span data-v-b8ae6521><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4 paper-clip" data-v-b8ae6521><path stroke-linecap="round" stroke-linejoin="round" d="m18.375 12.739-7.693 7.693a4.5 4.5 0 0 1-6.364-6.364l10.94-10.94A3 3 0 1 1 19.5 7.372L8.552 18.32m.009-.01-.01.01m5.699-9.941-7.81 7.81a1.5 1.5 0 0 0 2.112 2.13" data-v-b8ae6521></path></svg></span><span data-v-b8ae6521>${ssrInterpolate(__props.placeholder || "Media")}</span></button>`);
      }
      _push(ssrRenderComponent(_component_r_modal, {
        modelValue: unref(open_browser),
        "onUpdate:modelValue": ($event) => isRef(open_browser) ? open_browser.value = $event : open_browser = $event,
        onClick: unref(hnd_close_browser),
        ref_key: "modal_root",
        ref: modal_root
      }, {
        footer: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="flex" data-v-b8ae6521${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_button, {
              class: "danger",
              onClick: ($event) => unref(hnd_close_browser)({ action: "cancel" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Cancel`);
                } else {
                  return [
                    createTextVNode("Cancel")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_r_button, {
              class: "success",
              onClick: ($event) => unref(hnd_close_browser)({ action: "ok" })
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`OK`);
                } else {
                  return [
                    createTextVNode("OK")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "flex" }, [
                createVNode(_component_r_button, {
                  class: "danger",
                  onClick: ($event) => unref(hnd_close_browser)({ action: "cancel" })
                }, {
                  default: withCtx(() => [
                    createTextVNode("Cancel")
                  ]),
                  _: 1
                }, 8, ["onClick"]),
                createVNode(_component_r_button, {
                  class: "success",
                  onClick: ($event) => unref(hnd_close_browser)({ action: "ok" })
                }, {
                  default: withCtx(() => [
                    createTextVNode("OK")
                  ]),
                  _: 1
                }, 8, ["onClick"])
              ])
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="gallery-content flex gap-2 sm:block" data-v-b8ae6521${_scopeId}><div class="w-1/4" data-v-b8ae6521${_scopeId}><div class="pt-3 pb-2" data-v-b8ae6521${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_checkbox, {
              modelValue: unref(is_public_root),
              "onUpdate:modelValue": ($event) => isRef(is_public_root) ? is_public_root.value = $event : is_public_root = $event,
              "is-switch": true,
              onChange: unref(hnd_public_private_root_changed)
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Public`);
                } else {
                  return [
                    createTextVNode("Public")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`<p class="color-gray-600" data-v-b8ae6521${_scopeId}>View/manage ${ssrInterpolate(unref(is_public_root) ? "/public" : "/site-plugins")} directory</p></div></div><div class="w-3/4 content-view ml-2 border-l border-gray-300" style="${ssrRenderStyle({})}" data-v-b8ae6521${_scopeId}><div class="view-navigation flex justify-between" data-v-b8ae6521${_scopeId}><div data-v-b8ae6521${_scopeId}><!--[-->`);
            ssrRenderList(unref(c_folder_path), (fp, fpi) => {
              _push2(ssrRenderComponent(_component_r_button, {
                class: "w-fit mx-1",
                key: "folder" + fpi,
                "ata-tooltip": fp.url,
                onClick: ($event) => unref(hnd_clicked_nav_folder)(fp)
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(fp.title)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(fp.title), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent2, _scopeId));
            });
            _push2(`<!--]--></div><div class="flex gap-1" data-v-b8ae6521${_scopeId}>`);
            _push2(ssrRenderComponent(_component_r_button, {
              class: "w-fit relative cursor-pointer primary flat",
              onClick: unref(hnd_click_upload_btn)
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<span data-v-b8ae6521${_scopeId2}>Upload</span><input class="absolute z-100 opacity-0 pointer-events-none" multiple style="${ssrRenderStyle({ "left": "0", "right": "0", "top": "0", "bottom": "0" })}" type="file" name="jxt_file" id="jxt_file" data-v-b8ae6521${_scopeId2}>`);
                } else {
                  return [
                    createVNode("span", null, "Upload"),
                    createVNode("input", {
                      ref_key: "upload_element",
                      ref: upload_element,
                      class: "absolute z-100 opacity-0 pointer-events-none",
                      onChange: unref(hnd_selected_files_to_upload),
                      multiple: "",
                      style: { "left": "0", "right": "0", "top": "0", "bottom": "0" },
                      type: "file",
                      name: "jxt_file",
                      id: "jxt_file"
                    }, null, 40, ["onChange"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            if (!unref(is_creating_folder)) {
              _push2(ssrRenderComponent(_component_r_button, {
                class: "w-fit",
                onClick: unref(hnd_start_folder_creation)
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`Create folder`);
                  } else {
                    return [
                      createTextVNode("Create folder")
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
            } else {
              _push2(`<div class="px-1" data-v-b8ae6521${_scopeId}>`);
              _push2(ssrRenderComponent(_component_r_input, {
                modelValue: unref(folder_to_create),
                "onUpdate:modelValue": ($event) => isRef(folder_to_create) ? folder_to_create.value = $event : folder_to_create = $event
              }, {
                "post-fix": withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(ssrRenderComponent(_component_r_button, {
                      class: "danger",
                      onClick: ($event) => unref(hnd_stop_folder_creation)(false, $event)
                    }, {
                      default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                        if (_push4) {
                          _push4(`cancel`);
                        } else {
                          return [
                            createTextVNode("cancel")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(_component_r_button, {
                      class: "success ml-1",
                      onClick: ($event) => unref(hnd_stop_folder_creation)(true, $event)
                    }, {
                      default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                        if (_push4) {
                          _push4(`ok`);
                        } else {
                          return [
                            createTextVNode("ok")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent3, _scopeId2));
                  } else {
                    return [
                      createVNode(_component_r_button, {
                        class: "danger",
                        onClick: ($event) => unref(hnd_stop_folder_creation)(false, $event)
                      }, {
                        default: withCtx(() => [
                          createTextVNode("cancel")
                        ]),
                        _: 1
                      }, 8, ["onClick"]),
                      createVNode(_component_r_button, {
                        class: "success ml-1",
                        onClick: ($event) => unref(hnd_stop_folder_creation)(true, $event)
                      }, {
                        default: withCtx(() => [
                          createTextVNode("ok")
                        ]),
                        _: 1
                      }, 8, ["onClick"])
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
              _push2(`</div>`);
            }
            if (unref(c_selected_files).length > 0) {
              _push2(ssrRenderComponent(_component_r_button, {
                class: "ml-auto w-fit",
                onClick: unref(hnd_clear_selection)
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`Clear selection (${ssrInterpolate(unref(c_selected_files).length)})`);
                  } else {
                    return [
                      createTextVNode("Clear selection (" + toDisplayString(unref(c_selected_files).length) + ")", 1)
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
            if (unref(c_selected_files).length > 0) {
              _push2(ssrRenderComponent(_component_r_button, {
                class: "fild-deleter w-fit danger border",
                style: { borderWidth: "1px", backgroundColor: unref(is_confirming_delete) ? "rgba(var(--red-300),0.8)" : "", borderColor: unref(is_confirming_delete) ? "rgba(var(--red-500),1.0)" : "" },
                onClick: unref(hnd_delete_selection)
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(` Delete `);
                  } else {
                    return [
                      createTextVNode(" Delete ")
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div></div>`);
            if (unref(is_busy)("fetch_folder_items")) {
              _push2(`<div class="absolute z-300" style="${ssrRenderStyle({ "left": "42%", "top": "45%" })}" data-v-b8ae6521${_scopeId}>`);
              _push2(ssrRenderComponent(_component_r_busy, { class: "absolute" }, null, _parent2, _scopeId));
              _push2(`</div>`);
            } else {
              _push2(`<!---->`);
            }
            if (unref(is_busy)("viewing_file_detail")) {
              _push2(`<div class="absolute z-300" style="${ssrRenderStyle({ "left": "42%", "top": "45%" })}" data-v-b8ae6521${_scopeId}>`);
              _push2(ssrRenderComponent(_component_r_busy, { class: "absolute" }, null, _parent2, _scopeId));
              _push2(`</div>`);
            } else {
              _push2(`<!---->`);
            }
            if (unref(folder_items)) {
              _push2(`<ul class="list-none flex flex-wrap gap-2 items-start p-2" style="${ssrRenderStyle({ "padding-bottom": "0px", "min-height": "350px", "align-content": "flex-start" })}" data-v-b8ae6521${_scopeId}>`);
              if (!unref(mode_view_file_detail)) {
                _push2(`<!--[-->`);
                ssrRenderList(unref(folder_items), (file, fi) => {
                  _push2(`<li class="${ssrRenderClass([[file.status, file._selected ? "selected" : ""], "file relative cursor-pointer"])}" style="${ssrRenderStyle({ minHeight: "90px", width: "120px" })}" data-v-b8ae6521${_scopeId}><div class="name text-sm" data-v-b8ae6521${_scopeId}>${ssrInterpolate(file.title)}</div><div class="absolute z-200" style="${ssrRenderStyle({ "top": "5px", "right": "5px" })}" data-v-b8ae6521${_scopeId}>`);
                  _push2(ssrRenderComponent(_component_r_checkbox, {
                    onClick: ($event) => $event.stopPropagation(),
                    onChange: ($event) => unref(hnd_selection_changed)(unref(folder_items)[fi]),
                    modelValue: unref(folder_items)[fi]._selected,
                    "onUpdate:modelValue": ($event) => unref(folder_items)[fi]._selected = $event
                  }, null, _parent2, _scopeId));
                  _push2(`</div><div class="preview flex justify-center items-center" data-v-b8ae6521${_scopeId}>`);
                  if (unref(is_image)(file)) {
                    _push2(`<!--[-->`);
                    if (unref(is_public_root)) {
                      _push2(`<img loading="lazy"${ssrRenderAttr("src", file.url)} class="image" data-v-b8ae6521${_scopeId}>`);
                    } else {
                      _push2(`<div class="w-11 h-11 bg-gray-300 rounded" data-v-b8ae6521${_scopeId}></div>`);
                    }
                    _push2(`<!--]-->`);
                  } else if (unref(is_video)(file)) {
                    _push2(`<span class="video" data-v-b8ae6521${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-11 h-11 color-gray-600" style="${ssrRenderStyle({ "width": "4rem", "height": "4rem" })}" data-v-b8ae6521${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="m15.75 10.5 4.72-4.72a.75.75 0 0 1 1.28.53v11.38a.75.75 0 0 1-1.28.53l-4.72-4.72M4.5 18.75h9a2.25 2.25 0 0 0 2.25-2.25v-9a2.25 2.25 0 0 0-2.25-2.25h-9A2.25 2.25 0 0 0 2.25 7.5v9a2.25 2.25 0 0 0 2.25 2.25Z" data-v-b8ae6521${_scopeId}></path></svg></span>`);
                  } else if (unref(is_code_file)(file)) {
                    _push2(`<span class="code-file" data-v-b8ae6521${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" style="${ssrRenderStyle({ "width": "4rem", "height": "4rem" })}" data-v-b8ae6521${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M17.25 6.75 22.5 12l-5.25 5.25m-10.5 0L1.5 12l5.25-5.25m7.5-3-4.5 16.5" data-v-b8ae6521${_scopeId}></path></svg></span>`);
                  } else if (file.is_directory) {
                    _push2(`<span class="folder" data-v-b8ae6521${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-11 h-11 color-gray-600" style="${ssrRenderStyle({ "width": "4rem", "height": "4rem" })}" data-v-b8ae6521${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M2.25 12.75V12A2.25 2.25 0 0 1 4.5 9.75h15A2.25 2.25 0 0 1 21.75 12v.75m-8.69-6.44-2.12-2.12a1.5 1.5 0 0 0-1.061-.44H4.5A2.25 2.25 0 0 0 2.25 6v12a2.25 2.25 0 0 0 2.25 2.25h15A2.25 2.25 0 0 0 21.75 18V9a2.25 2.25 0 0 0-2.25-2.25h-5.379a1.5 1.5 0 0 1-1.06-.44Z" data-v-b8ae6521${_scopeId}></path></svg></span>`);
                  } else if (unref(is_archive_file)(file)) {
                    _push2(`<span class="archive-file" data-v-b8ae6521${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" style="${ssrRenderStyle({ "width": "4rem", "height": "4rem" })}" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6" data-v-b8ae6521${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="m20.25 7.5-.625 10.632a2.25 2.25 0 0 1-2.247 2.118H6.622a2.25 2.25 0 0 1-2.247-2.118L3.75 7.5M10 11.25h4M3.375 7.5h17.25c.621 0 1.125-.504 1.125-1.125v-1.5c0-.621-.504-1.125-1.125-1.125H3.375c-.621 0-1.125.504-1.125 1.125v1.5c0 .621.504 1.125 1.125 1.125Z" data-v-b8ae6521${_scopeId}></path></svg></span>`);
                  } else {
                    _push2(`<span data-v-b8ae6521${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" style="${ssrRenderStyle({ "width": "4rem", "height": "4rem" })}" data-v-b8ae6521${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M19.5 14.25v-2.625a3.375 3.375 0 0 0-3.375-3.375h-1.5A1.125 1.125 0 0 1 13.5 7.125v-1.5a3.375 3.375 0 0 0-3.375-3.375H8.25m0 12.75h7.5m-7.5 3H12M10.5 2.25H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 0 0-9-9Z" data-v-b8ae6521${_scopeId}></path></svg></span>`);
                  }
                  _push2(`</div></li>`);
                });
                _push2(`<!--]-->`);
              } else {
                _push2(`<!--[--><div class="absolute z-300" style="${ssrRenderStyle({ "right": "20px", "top": "2px" })}" data-v-b8ae6521${_scopeId}>`);
                _push2(ssrRenderComponent(_component_r_button, {
                  class: "danger",
                  onClick: unref(hnd_click_cancel_file_detail)
                }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`<span class="color-red-500" data-v-b8ae6521${_scopeId2}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-b8ae6521${_scopeId2}><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" data-v-b8ae6521${_scopeId2}></path></svg></span>`);
                    } else {
                      return [
                        createVNode("span", { class: "color-red-500" }, [
                          (openBlock(), createBlock("svg", {
                            xmlns: "http://www.w3.org/2000/svg",
                            fill: "none",
                            viewBox: "0 0 24 24",
                            "stroke-width": "2.5",
                            stroke: "currentColor",
                            class: "w-4 h-4"
                          }, [
                            createVNode("path", {
                              "stroke-linecap": "round",
                              "stroke-linejoin": "round",
                              d: "M6 18 18 6M6 6l12 12"
                            })
                          ]))
                        ])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(`</div>`);
                if (unref(file_to_edit)) {
                  _push2(`<li class="file-detail flex gap-1 w-full" data-v-b8ae6521${_scopeId}><div style="${ssrRenderStyle({ "width": "180px" })}" data-v-b8ae6521${_scopeId}>`);
                  _push2(ssrRenderComponent(_component_r_row_label, { text: "Title" }, {
                    default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                      if (_push3) {
                        _push3(ssrRenderComponent(_component_r_input, {
                          modelValue: unref(file_to_edit).title,
                          "onUpdate:modelValue": ($event) => unref(file_to_edit).title = $event
                        }, null, _parent3, _scopeId2));
                      } else {
                        return [
                          createVNode(_component_r_input, {
                            modelValue: unref(file_to_edit).title,
                            "onUpdate:modelValue": ($event) => unref(file_to_edit).title = $event
                          }, null, 8, ["modelValue", "onUpdate:modelValue"])
                        ];
                      }
                    }),
                    _: 1
                  }, _parent2, _scopeId));
                  _push2(ssrRenderComponent(_component_r_row_label, { text: "Description" }, {
                    default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                      if (_push3) {
                        _push3(ssrRenderComponent(_component_r_input, {
                          "multi-line": true,
                          modelValue: unref(file_to_edit).description,
                          "onUpdate:modelValue": ($event) => unref(file_to_edit).description = $event
                        }, null, _parent3, _scopeId2));
                      } else {
                        return [
                          createVNode(_component_r_input, {
                            "multi-line": true,
                            modelValue: unref(file_to_edit).description,
                            "onUpdate:modelValue": ($event) => unref(file_to_edit).description = $event
                          }, null, 8, ["modelValue", "onUpdate:modelValue"])
                        ];
                      }
                    }),
                    _: 1
                  }, _parent2, _scopeId));
                  _push2(ssrRenderComponent(_component_r_row_label, { text: "Status" }, {
                    default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                      if (_push3) {
                        _push3(ssrRenderComponent(_component_r_select, {
                          modelValue: unref(file_to_edit).status,
                          "onUpdate:modelValue": ($event) => unref(file_to_edit).status = $event,
                          values: unref(status_types)
                        }, null, _parent3, _scopeId2));
                      } else {
                        return [
                          createVNode(_component_r_select, {
                            modelValue: unref(file_to_edit).status,
                            "onUpdate:modelValue": ($event) => unref(file_to_edit).status = $event,
                            values: unref(status_types)
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                        ];
                      }
                    }),
                    _: 1
                  }, _parent2, _scopeId));
                  _push2(ssrRenderComponent(_component_r_row_label, { text: "Tags" }, {
                    default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                      if (_push3) {
                        _push3(`<div data-v-b8ae6521${_scopeId2}>`);
                        _push3(ssrRenderComponent(_component_r_input, {
                          "multi-line": true,
                          modelValue: unref(file_to_edit).tags,
                          "onUpdate:modelValue": ($event) => unref(file_to_edit).tags = $event
                        }, null, _parent3, _scopeId2));
                        _push3(`</div>`);
                      } else {
                        return [
                          createVNode("div", null, [
                            createVNode(_component_r_input, {
                              "multi-line": true,
                              modelValue: unref(file_to_edit).tags,
                              "onUpdate:modelValue": ($event) => unref(file_to_edit).tags = $event
                            }, null, 8, ["modelValue", "onUpdate:modelValue"])
                          ])
                        ];
                      }
                    }),
                    _: 1
                  }, _parent2, _scopeId));
                  _push2(ssrRenderComponent(_component_r_button, {
                    onClick: unref(hnd_click_cancel_file_detail),
                    class: "cancel w-fit"
                  }, {
                    default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                      if (_push3) {
                        _push3(`Cancel`);
                      } else {
                        return [
                          createTextVNode("Cancel")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent2, _scopeId));
                  _push2(ssrRenderComponent(_component_r_button, {
                    "is-busy": unref(is_busy)("saving_post"),
                    class: "success w-fit",
                    onClick: unref(hnd_update_file_info)
                  }, {
                    default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                      if (_push3) {
                        _push3(`Update`);
                      } else {
                        return [
                          createTextVNode("Update")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent2, _scopeId));
                  _push2(`</div><div class="flex-1 p-1 flex items-center justify-center" style="${ssrRenderStyle({ "max-height": "350px", "overflow": "auto" })}" data-v-b8ae6521${_scopeId}>`);
                  if (unref(is_image)(unref(file_to_edit))) {
                    _push2(`<img loading="lazy"${ssrRenderAttr("src", unref(file_to_edit).url)} class="rounded border border-gray-300 border-dashed w-fit" data-v-b8ae6521${_scopeId}>`);
                  } else {
                    _push2(`<!---->`);
                  }
                  _push2(`</div></li>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`<!--]-->`);
              }
              _push2(`</ul>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div></div>`);
          } else {
            return [
              createVNode("div", { class: "gallery-content flex gap-2 sm:block" }, [
                createVNode("div", { class: "w-1/4" }, [
                  createVNode("div", { class: "pt-3 pb-2" }, [
                    createVNode(_component_r_checkbox, {
                      modelValue: unref(is_public_root),
                      "onUpdate:modelValue": ($event) => isRef(is_public_root) ? is_public_root.value = $event : is_public_root = $event,
                      "is-switch": true,
                      onChange: unref(hnd_public_private_root_changed)
                    }, {
                      default: withCtx(() => [
                        createTextVNode("Public")
                      ]),
                      _: 1
                    }, 8, ["modelValue", "onUpdate:modelValue", "onChange"]),
                    createVNode("p", { class: "color-gray-600" }, "View/manage " + toDisplayString(unref(is_public_root) ? "/public" : "/site-plugins") + " directory", 1)
                  ])
                ]),
                createVNode("div", {
                  class: "w-3/4 content-view ml-2 border-l border-gray-300",
                  style: {}
                }, [
                  createVNode("div", { class: "view-navigation flex justify-between" }, [
                    createVNode("div", null, [
                      (openBlock(true), createBlock(Fragment, null, renderList(unref(c_folder_path), (fp, fpi) => {
                        return openBlock(), createBlock(_component_r_button, {
                          class: "w-fit mx-1",
                          key: "folder" + fpi,
                          "ata-tooltip": fp.url,
                          onClick: ($event) => unref(hnd_clicked_nav_folder)(fp)
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString(fp.title), 1)
                          ]),
                          _: 2
                        }, 1032, ["ata-tooltip", "onClick"]);
                      }), 128))
                    ]),
                    createVNode("div", { class: "flex gap-1" }, [
                      createVNode(_component_r_button, {
                        class: "w-fit relative cursor-pointer primary flat",
                        onClick: unref(hnd_click_upload_btn)
                      }, {
                        default: withCtx(() => [
                          createVNode("span", null, "Upload"),
                          createVNode("input", {
                            ref_key: "upload_element",
                            ref: upload_element,
                            class: "absolute z-100 opacity-0 pointer-events-none",
                            onChange: unref(hnd_selected_files_to_upload),
                            multiple: "",
                            style: { "left": "0", "right": "0", "top": "0", "bottom": "0" },
                            type: "file",
                            name: "jxt_file",
                            id: "jxt_file"
                          }, null, 40, ["onChange"])
                        ]),
                        _: 1
                      }, 8, ["onClick"]),
                      !unref(is_creating_folder) ? (openBlock(), createBlock(_component_r_button, {
                        key: 0,
                        class: "w-fit",
                        onClick: unref(hnd_start_folder_creation)
                      }, {
                        default: withCtx(() => [
                          createTextVNode("Create folder")
                        ]),
                        _: 1
                      }, 8, ["onClick"])) : (openBlock(), createBlock("div", {
                        key: 1,
                        class: "px-1"
                      }, [
                        createVNode(_component_r_input, {
                          modelValue: unref(folder_to_create),
                          "onUpdate:modelValue": ($event) => isRef(folder_to_create) ? folder_to_create.value = $event : folder_to_create = $event
                        }, {
                          "post-fix": withCtx(() => [
                            createVNode(_component_r_button, {
                              class: "danger",
                              onClick: ($event) => unref(hnd_stop_folder_creation)(false, $event)
                            }, {
                              default: withCtx(() => [
                                createTextVNode("cancel")
                              ]),
                              _: 1
                            }, 8, ["onClick"]),
                            createVNode(_component_r_button, {
                              class: "success ml-1",
                              onClick: ($event) => unref(hnd_stop_folder_creation)(true, $event)
                            }, {
                              default: withCtx(() => [
                                createTextVNode("ok")
                              ]),
                              _: 1
                            }, 8, ["onClick"])
                          ]),
                          _: 1
                        }, 8, ["modelValue", "onUpdate:modelValue"])
                      ])),
                      unref(c_selected_files).length > 0 ? (openBlock(), createBlock(_component_r_button, {
                        key: 2,
                        class: "ml-auto w-fit",
                        onClick: unref(hnd_clear_selection)
                      }, {
                        default: withCtx(() => [
                          createTextVNode("Clear selection (" + toDisplayString(unref(c_selected_files).length) + ")", 1)
                        ]),
                        _: 1
                      }, 8, ["onClick"])) : createCommentVNode("", true),
                      unref(c_selected_files).length > 0 ? (openBlock(), createBlock(_component_r_button, {
                        key: 3,
                        class: "fild-deleter w-fit danger border",
                        style: { borderWidth: "1px", backgroundColor: unref(is_confirming_delete) ? "rgba(var(--red-300),0.8)" : "", borderColor: unref(is_confirming_delete) ? "rgba(var(--red-500),1.0)" : "" },
                        onClick: unref(hnd_delete_selection)
                      }, {
                        default: withCtx(() => [
                          createTextVNode(" Delete ")
                        ]),
                        _: 1
                      }, 8, ["style", "onClick"])) : createCommentVNode("", true)
                    ])
                  ]),
                  unref(is_busy)("fetch_folder_items") ? (openBlock(), createBlock("div", {
                    key: 0,
                    class: "absolute z-300",
                    style: { "left": "42%", "top": "45%" }
                  }, [
                    createVNode(_component_r_busy, { class: "absolute" })
                  ])) : createCommentVNode("", true),
                  unref(is_busy)("viewing_file_detail") ? (openBlock(), createBlock("div", {
                    key: 1,
                    class: "absolute z-300",
                    style: { "left": "42%", "top": "45%" }
                  }, [
                    createVNode(_component_r_busy, { class: "absolute" })
                  ])) : createCommentVNode("", true),
                  unref(folder_items) ? (openBlock(), createBlock("ul", {
                    key: 2,
                    class: "list-none flex flex-wrap gap-2 items-start p-2",
                    style: { "padding-bottom": "0px", "min-height": "350px", "align-content": "flex-start" }
                  }, [
                    !unref(mode_view_file_detail) ? (openBlock(true), createBlock(Fragment, { key: 0 }, renderList(unref(folder_items), (file, fi) => {
                      return openBlock(), createBlock("li", {
                        class: ["file relative cursor-pointer", [file.status, file._selected ? "selected" : ""]],
                        style: { minHeight: "90px", width: "120px" },
                        key: fi + "file"
                      }, [
                        createVNode("div", { class: "name text-sm" }, toDisplayString(file.title), 1),
                        createVNode("div", {
                          class: "absolute z-200",
                          style: { "top": "5px", "right": "5px" }
                        }, [
                          createVNode(_component_r_checkbox, {
                            onClick: ($event) => $event.stopPropagation(),
                            onChange: ($event) => unref(hnd_selection_changed)(unref(folder_items)[fi]),
                            modelValue: unref(folder_items)[fi]._selected,
                            "onUpdate:modelValue": ($event) => unref(folder_items)[fi]._selected = $event
                          }, null, 8, ["onClick", "onChange", "modelValue", "onUpdate:modelValue"])
                        ]),
                        createVNode("div", {
                          class: "preview flex justify-center items-center",
                          onClick: ($event) => unref(hnd_clicked_file)(file)
                        }, [
                          unref(is_image)(file) ? (openBlock(), createBlock(Fragment, { key: 0 }, [
                            unref(is_public_root) ? (openBlock(), createBlock("img", {
                              key: 0,
                              loading: "lazy",
                              src: file.url,
                              class: "image"
                            }, null, 8, ["src"])) : (openBlock(), createBlock("div", {
                              key: 1,
                              class: "w-11 h-11 bg-gray-300 rounded"
                            }))
                          ], 64)) : unref(is_video)(file) ? (openBlock(), createBlock("span", {
                            key: 1,
                            class: "video"
                          }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              fill: "none",
                              viewBox: "0 0 24 24",
                              "stroke-width": "1.5",
                              stroke: "currentColor",
                              class: "w-11 h-11 color-gray-600",
                              style: { "width": "4rem", "height": "4rem" }
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "m15.75 10.5 4.72-4.72a.75.75 0 0 1 1.28.53v11.38a.75.75 0 0 1-1.28.53l-4.72-4.72M4.5 18.75h9a2.25 2.25 0 0 0 2.25-2.25v-9a2.25 2.25 0 0 0-2.25-2.25h-9A2.25 2.25 0 0 0 2.25 7.5v9a2.25 2.25 0 0 0 2.25 2.25Z"
                              })
                            ]))
                          ])) : unref(is_code_file)(file) ? (openBlock(), createBlock("span", {
                            key: 2,
                            class: "code-file"
                          }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              fill: "none",
                              viewBox: "0 0 24 24",
                              "stroke-width": "1.5",
                              stroke: "currentColor",
                              style: { "width": "4rem", "height": "4rem" }
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "M17.25 6.75 22.5 12l-5.25 5.25m-10.5 0L1.5 12l5.25-5.25m7.5-3-4.5 16.5"
                              })
                            ]))
                          ])) : file.is_directory ? (openBlock(), createBlock("span", {
                            key: 3,
                            class: "folder"
                          }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              fill: "none",
                              viewBox: "0 0 24 24",
                              "stroke-width": "1.5",
                              stroke: "currentColor",
                              class: "w-11 h-11 color-gray-600",
                              style: { "width": "4rem", "height": "4rem" }
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "M2.25 12.75V12A2.25 2.25 0 0 1 4.5 9.75h15A2.25 2.25 0 0 1 21.75 12v.75m-8.69-6.44-2.12-2.12a1.5 1.5 0 0 0-1.061-.44H4.5A2.25 2.25 0 0 0 2.25 6v12a2.25 2.25 0 0 0 2.25 2.25h15A2.25 2.25 0 0 0 21.75 18V9a2.25 2.25 0 0 0-2.25-2.25h-5.379a1.5 1.5 0 0 1-1.06-.44Z"
                              })
                            ]))
                          ])) : unref(is_archive_file)(file) ? (openBlock(), createBlock("span", {
                            key: 4,
                            class: "archive-file"
                          }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              style: { "width": "4rem", "height": "4rem" },
                              fill: "none",
                              viewBox: "0 0 24 24",
                              "stroke-width": "1.5",
                              stroke: "currentColor",
                              class: "size-6"
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "m20.25 7.5-.625 10.632a2.25 2.25 0 0 1-2.247 2.118H6.622a2.25 2.25 0 0 1-2.247-2.118L3.75 7.5M10 11.25h4M3.375 7.5h17.25c.621 0 1.125-.504 1.125-1.125v-1.5c0-.621-.504-1.125-1.125-1.125H3.375c-.621 0-1.125.504-1.125 1.125v1.5c0 .621.504 1.125 1.125 1.125Z"
                              })
                            ]))
                          ])) : (openBlock(), createBlock("span", { key: 5 }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              fill: "none",
                              viewBox: "0 0 24 24",
                              "stroke-width": "1.5",
                              stroke: "currentColor",
                              style: { "width": "4rem", "height": "4rem" }
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "M19.5 14.25v-2.625a3.375 3.375 0 0 0-3.375-3.375h-1.5A1.125 1.125 0 0 1 13.5 7.125v-1.5a3.375 3.375 0 0 0-3.375-3.375H8.25m0 12.75h7.5m-7.5 3H12M10.5 2.25H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 0 0-9-9Z"
                              })
                            ]))
                          ]))
                        ], 8, ["onClick"])
                      ], 2);
                    }), 128)) : (openBlock(), createBlock(Fragment, { key: 1 }, [
                      createVNode("div", {
                        class: "absolute z-300",
                        style: { "right": "20px", "top": "2px" }
                      }, [
                        createVNode(_component_r_button, {
                          class: "danger",
                          onClick: unref(hnd_click_cancel_file_detail)
                        }, {
                          default: withCtx(() => [
                            createVNode("span", { class: "color-red-500" }, [
                              (openBlock(), createBlock("svg", {
                                xmlns: "http://www.w3.org/2000/svg",
                                fill: "none",
                                viewBox: "0 0 24 24",
                                "stroke-width": "2.5",
                                stroke: "currentColor",
                                class: "w-4 h-4"
                              }, [
                                createVNode("path", {
                                  "stroke-linecap": "round",
                                  "stroke-linejoin": "round",
                                  d: "M6 18 18 6M6 6l12 12"
                                })
                              ]))
                            ])
                          ]),
                          _: 1
                        }, 8, ["onClick"])
                      ]),
                      unref(file_to_edit) ? (openBlock(), createBlock("li", {
                        key: 0,
                        class: "file-detail flex gap-1 w-full"
                      }, [
                        createVNode("div", { style: { "width": "180px" } }, [
                          createVNode(_component_r_row_label, { text: "Title" }, {
                            default: withCtx(() => [
                              createVNode(_component_r_input, {
                                modelValue: unref(file_to_edit).title,
                                "onUpdate:modelValue": ($event) => unref(file_to_edit).title = $event
                              }, null, 8, ["modelValue", "onUpdate:modelValue"])
                            ]),
                            _: 1
                          }),
                          createVNode(_component_r_row_label, { text: "Description" }, {
                            default: withCtx(() => [
                              createVNode(_component_r_input, {
                                "multi-line": true,
                                modelValue: unref(file_to_edit).description,
                                "onUpdate:modelValue": ($event) => unref(file_to_edit).description = $event
                              }, null, 8, ["modelValue", "onUpdate:modelValue"])
                            ]),
                            _: 1
                          }),
                          createVNode(_component_r_row_label, { text: "Status" }, {
                            default: withCtx(() => [
                              createVNode(_component_r_select, {
                                modelValue: unref(file_to_edit).status,
                                "onUpdate:modelValue": ($event) => unref(file_to_edit).status = $event,
                                values: unref(status_types)
                              }, null, 8, ["modelValue", "onUpdate:modelValue", "values"])
                            ]),
                            _: 1
                          }),
                          createVNode(_component_r_row_label, { text: "Tags" }, {
                            default: withCtx(() => [
                              createVNode("div", null, [
                                createVNode(_component_r_input, {
                                  "multi-line": true,
                                  modelValue: unref(file_to_edit).tags,
                                  "onUpdate:modelValue": ($event) => unref(file_to_edit).tags = $event
                                }, null, 8, ["modelValue", "onUpdate:modelValue"])
                              ])
                            ]),
                            _: 1
                          }),
                          createVNode(_component_r_button, {
                            onClick: unref(hnd_click_cancel_file_detail),
                            class: "cancel w-fit"
                          }, {
                            default: withCtx(() => [
                              createTextVNode("Cancel")
                            ]),
                            _: 1
                          }, 8, ["onClick"]),
                          createVNode(_component_r_button, {
                            "is-busy": unref(is_busy)("saving_post"),
                            class: "success w-fit",
                            onClick: unref(hnd_update_file_info)
                          }, {
                            default: withCtx(() => [
                              createTextVNode("Update")
                            ]),
                            _: 1
                          }, 8, ["is-busy", "onClick"])
                        ]),
                        createVNode("div", {
                          class: "flex-1 p-1 flex items-center justify-center",
                          style: { "max-height": "350px", "overflow": "auto" }
                        }, [
                          unref(is_image)(unref(file_to_edit)) ? (openBlock(), createBlock("img", {
                            key: 0,
                            loading: "lazy",
                            src: unref(file_to_edit).url,
                            class: "rounded border border-gray-300 border-dashed w-fit"
                          }, null, 8, ["src"])) : createCommentVNode("", true)
                        ])
                      ])) : createCommentVNode("", true)
                    ], 64))
                  ])) : createCommentVNode("", true)
                ])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup$z = _sfc_main$z.setup;
_sfc_main$z.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RFilebrowser.vue");
  return _sfc_setup$z ? _sfc_setup$z(props, ctx) : undefined;
};
const __nuxt_component_8$1 = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$z, [["__scopeId", "data-v-b8ae6521"]]), { __name: "RFilebrowser" });
const _sfc_main$y = {
  __name: "RCodeEditor",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    type: { type: String, default: "string" },
    disabled: { type: Boolean, default: false },
    text: { type: String, default: "" },
    language: { type: String, default: "javascript" },
    showLanguages: { type: Boolean, default: false },
    height: { type: Number, default: () => null }
  },
  emits: ["change", "enter", "escape", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    let cur_language = ref(props.language);
    let languages = ref([
      { title: "Javascript", value: "javascript" },
      { title: "HTML/XML", value: "xml" },
      { title: "CSS", value: "css" },
      { title: "Python", value: "python" },
      { title: "Gas", value: "gas" }
    ]);
    watch(() => props.modelValue, (new_value) => {
      if (editor) {
        editor.setValue(new_value);
      }
    });
    const emit = __emit;
    useModel(props, emit);
    let root = ref(null);
    ref(null);
    let has_focus = ref(false);
    let has_initialized = ref(false);
    let hnd_language_type_changed = (e) => {
      return;
    };
    let editor = null;
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_select = __nuxt_component_7$2;
      const _component_r_busy = __nuxt_component_3$3;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["r-code-editor bg-gray-50", [unref(has_focus) ? "has-focus" : "", __props.disabled ? "disabled" : ""]],
        ref_key: "root",
        ref: root
      }, _attrs))}><div class="border-b border-gray-300 pb-3 px-2 pt-2">`);
      if (__props.showLanguages) {
        _push(ssrRenderComponent(_component_r_select, {
          disabled: __props.disabled,
          modelValue: unref(cur_language),
          "onUpdate:modelValue": ($event) => isRef(cur_language) ? cur_language.value = $event : cur_language = $event,
          class: "w-fit",
          values: unref(languages),
          onChange: unref(hnd_language_type_changed)
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      if (__props.text) {
        _push(`<span class="ml-2 font-bold">${ssrInterpolate(__props.text)}</span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><textarea></textarea>`);
      if (!unref(has_initialized)) {
        _push(ssrRenderComponent(_component_r_busy, null, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup$y = _sfc_main$y.setup;
_sfc_main$y.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RCodeEditor.vue");
  return _sfc_setup$y ? _sfc_setup$y(props, ctx) : undefined;
};
const __nuxt_component_5 = Object.assign(_sfc_main$y, { __name: "RCodeEditor" });
const _sfc_main$x = {
  __name: "RDate",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    disabled: { type: Boolean, default: false },
    values: { type: Array, default: () => [] },
    time: { type: Boolean, default: () => false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange", "open", "close"],
  setup(__props, { emit: __emit }) {
    const open_state = ref(false);
    const root = ref(null);
    ref(null);
    const menu_el = ref(null);
    const props = __props;
    const emit = __emit;
    const d = useModel(props, emit);
    let month_names = ref([
      "Jan",
      "Feb",
      "Mar",
      "Apr",
      "May",
      "Jun",
      "Jul",
      "Aug",
      "Sep",
      "Oct",
      "Nov",
      "Dec"
    ]);
    let days = ref(["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]);
    let date_parts = computed(() => {
      return util.get_date_parts(d.value);
    });
    let month_dates = computed(() => {
      return util.get_month_dates(view_year.value, view_month.value);
    });
    let view_mode = ref("month");
    let is_view_month = computed(() => view_mode.value == "month");
    let is_view_year = computed(() => view_mode.value == "year");
    let is_view_years = computed(() => view_mode.value == "decade");
    let is_view_month_day = computed(() => {
      return (mo) => {
        var x = /* @__PURE__ */ new Date();
        return x.getMonth() == mo && x.getFullYear() == view_year.value;
      };
    });
    let view_month = ref(null);
    let view_year = ref(null);
    let view_hours = ref(null);
    let view_minutes = ref(null);
    computed(() => {
      if (!props.time) return "";
      var h2 = view_hours.value || "00";
      var m = view_minutes.value || "00";
      return " " + h2 + ":" + m;
    });
    let init = () => {
      var today = /* @__PURE__ */ new Date();
      view_month.value = date_parts.value ? date_parts.value.month : today.getMonth() + 1;
      view_year.value = date_parts.value ? date_parts.value.year : today.getFullYear();
      view_hours.value = util.add_zero(date_parts.value ? date_parts.value.hours : today.getHours());
      view_minutes.value = util.add_zero(date_parts.value ? date_parts.value.minutes : today.getMinutes());
    };
    init();
    let hnd_advance_month = (dir, e) => {
      view_month.value += dir;
    };
    let hnd_advance_year = (dir, e) => {
      view_year.value += dir;
    };
    let has_focus = useFocusable();
    let is_date_selected = computed(() => {
      return (day) => {
        if (!date_parts.value) return false;
        return date_parts.value.month == day.month && date_parts.value.year == day.year && date_parts.value.date == day.date;
      };
    });
    let hnd_change_to_year_view = () => {
      view_mode.value = "year";
    };
    let hnd_change_to_decade_view = () => {
      view_mode.value = "decade";
    };
    let { click_opener, styler } = useDropdown(root, menu_el, open_state, emit);
    let decade_span = computed(() => {
      var span = util.get_decade_span(view_year.value);
      var out = [];
      for (var i = span[0]; i < span[1] + 2; i++) {
        out.push(i);
      }
      return out;
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_button = __nuxt_component_1$3;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["r-date rc", [unref(has_focus)]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-2fe91753><div class="control" data-v-2fe91753><input type="text"${ssrRenderAttr("value", unref(d))} data-v-2fe91753><span class="open-indicator" data-v-2fe91753><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6" data-v-2fe91753><path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" data-v-2fe91753></path></svg></span></div>`);
      ssrRenderTeleport(_push, (_push2) => {
        _push2(`<div class="date-menu" style="${ssrRenderStyle(unref(styler))}" data-v-2fe91753><div class="nav flex justify-between" data-v-2fe91753><div class="flex prev" data-v-2fe91753>`);
        _push2(ssrRenderComponent(_component_r_button, {
          class: "nav-b w-fit prev-year",
          type: "button",
          onClick: ($event) => unref(hnd_advance_year)(-1, $event)
        }, {
          default: withCtx((_, _push3, _parent2, _scopeId) => {
            if (_push3) {
              _push3(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4" data-v-2fe91753${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="m18.75 4.5-7.5 7.5 7.5 7.5m-6-15L5.25 12l7.5 7.5" data-v-2fe91753${_scopeId}></path></svg>`);
            } else {
              return [
                (openBlock(), createBlock("svg", {
                  xmlns: "http://www.w3.org/2000/svg",
                  fill: "none",
                  viewBox: "0 0 24 24",
                  "stroke-width": "1.5",
                  stroke: "currentColor",
                  class: "w-4 h-4"
                }, [
                  createVNode("path", {
                    "stroke-linecap": "round",
                    "stroke-linejoin": "round",
                    d: "m18.75 4.5-7.5 7.5 7.5 7.5m-6-15L5.25 12l7.5 7.5"
                  })
                ]))
              ];
            }
          }),
          _: 1
        }, _parent));
        _push2(ssrRenderComponent(_component_r_button, {
          class: "nav-b w-fit prev-month",
          type: "button",
          onClick: ($event) => unref(hnd_advance_month)(-1, $event)
        }, {
          default: withCtx((_, _push3, _parent2, _scopeId) => {
            if (_push3) {
              _push3(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4" data-v-2fe91753${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M15.75 19.5 8.25 12l7.5-7.5" data-v-2fe91753${_scopeId}></path></svg>`);
            } else {
              return [
                (openBlock(), createBlock("svg", {
                  xmlns: "http://www.w3.org/2000/svg",
                  fill: "none",
                  viewBox: "0 0 24 24",
                  "stroke-width": "1.5",
                  stroke: "currentColor",
                  class: "w-4 h-4"
                }, [
                  createVNode("path", {
                    "stroke-linecap": "round",
                    "stroke-linejoin": "round",
                    d: "M15.75 19.5 8.25 12l7.5-7.5"
                  })
                ]))
              ];
            }
          }),
          _: 1
        }, _parent));
        _push2(`</div><div class="title-control flex" data-v-2fe91753>`);
        _push2(ssrRenderComponent(_component_r_button, {
          class: "nav-b w-fit",
          onClick: unref(hnd_change_to_year_view),
          type: "button"
        }, {
          default: withCtx((_, _push3, _parent2, _scopeId) => {
            if (_push3) {
              _push3(`${ssrInterpolate(unref(month_names)[unref(view_month) - 1])}`);
            } else {
              return [
                createTextVNode(toDisplayString(unref(month_names)[unref(view_month) - 1]), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        _push2(ssrRenderComponent(_component_r_button, {
          class: "nav-b w-fit",
          onClick: unref(hnd_change_to_decade_view),
          type: "button"
        }, {
          default: withCtx((_, _push3, _parent2, _scopeId) => {
            if (_push3) {
              _push3(`${ssrInterpolate(unref(view_year))}`);
            } else {
              return [
                createTextVNode(toDisplayString(unref(view_year)), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        _push2(`</div><div class="flex next" data-v-2fe91753>`);
        _push2(ssrRenderComponent(_component_r_button, {
          type: "nav-b button",
          class: "flex next-month",
          onClick: ($event) => unref(hnd_advance_month)(1, $event)
        }, {
          default: withCtx((_, _push3, _parent2, _scopeId) => {
            if (_push3) {
              _push3(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4" data-v-2fe91753${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="m8.25 4.5 7.5 7.5-7.5 7.5" data-v-2fe91753${_scopeId}></path></svg>`);
            } else {
              return [
                (openBlock(), createBlock("svg", {
                  xmlns: "http://www.w3.org/2000/svg",
                  fill: "none",
                  viewBox: "0 0 24 24",
                  "stroke-width": "1.5",
                  stroke: "currentColor",
                  class: "w-4 h-4"
                }, [
                  createVNode("path", {
                    "stroke-linecap": "round",
                    "stroke-linejoin": "round",
                    d: "m8.25 4.5 7.5 7.5-7.5 7.5"
                  })
                ]))
              ];
            }
          }),
          _: 1
        }, _parent));
        _push2(ssrRenderComponent(_component_r_button, {
          type: "nav-b button",
          class: "flex next-year",
          onClick: ($event) => unref(hnd_advance_year)(1, $event)
        }, {
          default: withCtx((_, _push3, _parent2, _scopeId) => {
            if (_push3) {
              _push3(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4" data-v-2fe91753${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="m5.25 4.5 7.5 7.5-7.5 7.5m6-15 7.5 7.5-7.5 7.5" data-v-2fe91753${_scopeId}></path></svg>`);
            } else {
              return [
                (openBlock(), createBlock("svg", {
                  xmlns: "http://www.w3.org/2000/svg",
                  fill: "none",
                  viewBox: "0 0 24 24",
                  "stroke-width": "1.5",
                  stroke: "currentColor",
                  class: "w-4 h-4"
                }, [
                  createVNode("path", {
                    "stroke-linecap": "round",
                    "stroke-linejoin": "round",
                    d: "m5.25 4.5 7.5 7.5-7.5 7.5m6-15 7.5 7.5-7.5 7.5"
                  })
                ]))
              ];
            }
          }),
          _: 1
        }, _parent));
        _push2(`</div></div>`);
        if (__props.time) {
          _push2(`<div class="time-control flex justify-between" data-v-2fe91753><div data-v-2fe91753></div><div class="r-hour-minute flex items-center justify-center" data-v-2fe91753><input${ssrRenderAttr("value", unref(view_hours))} class="tf hours" data-v-2fe91753>: <input${ssrRenderAttr("value", unref(view_minutes))} class="tf minutes" data-v-2fe91753></div><div data-v-2fe91753></div></div>`);
        } else {
          _push2(`<!---->`);
        }
        if (unref(is_view_years)) {
          _push2(`<div class="decade" data-v-2fe91753><!--[-->`);
          ssrRenderList(unref(decade_span), (year) => {
            _push2(`<div class="c-item" data-v-2fe91753>${ssrInterpolate(year)}</div>`);
          });
          _push2(`<!--]--></div>`);
        } else {
          _push2(`<!---->`);
        }
        if (unref(is_view_year)) {
          _push2(`<div class="year" data-v-2fe91753><!--[-->`);
          ssrRenderList(unref(month_names), (mon, mo) => {
            _push2(`<div class="${ssrRenderClass(["c-item", unref(is_view_month_day)(mo) ? "today" : ""])}" data-v-2fe91753>${ssrInterpolate(mon)}</div>`);
          });
          _push2(`<!--]--></div>`);
        } else {
          _push2(`<!---->`);
        }
        if (unref(is_view_month)) {
          _push2(`<div class="month" data-v-2fe91753><div class="days mb-1" data-v-2fe91753><!--[-->`);
          ssrRenderList(unref(days), (day) => {
            _push2(`<div class="day-title c-item title font-extrabold color-gray-600" data-v-2fe91753>${ssrInterpolate(day)}</div>`);
          });
          _push2(`<!--]--></div><div class="days" data-v-2fe91753><!--[-->`);
          ssrRenderList(unref(month_dates), (day) => {
            _push2(`<div class="${ssrRenderClass([[
              day.is_current ? "current" : "",
              unref(is_date_selected)(day) ? "selected" : "",
              day.is_today ? "today" : ""
            ], "day c-item"])}" data-v-2fe91753><span data-v-2fe91753>${ssrInterpolate(day.date)}</span></div>`);
          });
          _push2(`<!--]--></div></div>`);
        } else {
          _push2(`<!---->`);
        }
        _push2(`</div>`);
      }, "body", false, _parent);
      _push(`</div>`);
    };
  }
};
const _sfc_setup$x = _sfc_main$x.setup;
_sfc_main$x.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RDate.vue");
  return _sfc_setup$x ? _sfc_setup$x(props, ctx) : undefined;
};
const RDate = /* @__PURE__ */ _export_sfc(_sfc_main$x, [["__scopeId", "data-v-2fe91753"]]);
const _sfc_main$w = {
  __name: "RArrayObject",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    disabled: { type: Boolean, default: false },
    values: { type: Array, default: () => [] },
    autoRemove: { type: Boolean, default() {
      return true;
    } }
  },
  emits: ["change", "enter", "remove", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const d = useModel(props, emit);
    ref(null);
    let root = ref(null);
    let values_attribute = computed(() => {
      return (field_name, target_attr) => {
        var out = "??";
        if (props.values == null && !Array.isArray(props.values)) return out;
        if (props.values.length == 0) return out;
        if (!field_name) return out;
        field_name = field_name.toLowerCase();
        for (var i = 0; i < props.values.length; i++) {
          if (field_name == props.values[i].name) {
            return props.values[i][target_attr];
          }
        }
        return out;
      };
    });
    let old_value = null;
    let has_focus = ref(false);
    let hnd_focus = (state) => {
      if (state == true && has_focus.value == true) return;
      let prev_focus = has_focus.value;
      if (prev_focus == false && state == true) {
        has_focus.value = true;
        has_fields_changed.value = false;
        old_value = util.copy(d.value);
        let cb = (e) => {
          var _a;
          var is_contained = e.target == root.value == e.target || ((_a = root.value) == null ? undefined : _a.contains(e.target));
          if (!is_contained) {
            emit("blur");
            has_focus.value = false;
            (undefined).removeEventListener("click", cb);
            if (has_fields_changed.value) {
              emit("change", { old_value, value: d.value });
            }
          }
        };
        setTimeout(() => {
          (undefined).addEventListener("click", cb);
        }, 120);
      }
    };
    let has_fields_changed = ref(false);
    let hnd_track_field_change = () => {
      has_fields_changed.value = true;
    };
    let hnd_input_change = (index, fld, val) => {
      emit("rchange", d.value);
    };
    let c_values = computed(() => {
      var out = [];
      if (Array.isArray(props.values)) {
        let it;
        for (var i = 0; i < props.values.length; i++) {
          it = props.values[i];
          if (!it) continue;
          if (typeof it != "object") {
            out.push({ name: "name", value: it, values: null });
          } else {
            var ccc = it.values || it.choices;
            var value = it.value;
            if (value === undefined) value = it.slug;
            if (value == undefined) value = "";
            if (value === undefined) value = "";
            out.push({
              name: it.name || it.slug || it.id,
              title: it.title,
              type: it.type,
              value,
              values: Array.isArray(ccc) ? ccc : null
            });
          }
        }
      }
      return out;
    });
    let infer_type = computed(() => {
      return (template) => {
        if (template == null) return "string";
        if (template.type) return template.type;
        if (Array.isArray(template.values)) return "dropdown";
        if (typeof template.value == "boolean") return "checkbox";
        return "string";
      };
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_input = __nuxt_component_5$1;
      const _component_r_checkbox = __nuxt_component_8$2;
      const _component_r_select = __nuxt_component_7$2;
      const _component_r_date = RDate;
      const _component_r_duplex = RDuplex;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-array-object rc", [
          unref(has_focus) ? "has-focus" : "",
          __props.disabled ? "disabled" : ""
        ]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-61cc7aba><div class="ml-2 mb-2 mt-1" data-v-61cc7aba><button class="bg-gray-200 hover:bg-primary-200 rounded w-fit color-gray-500 hover:color-gray-700" data-v-61cc7aba><span data-v-61cc7aba>Add</span></button></div><ul class="list-none arr-items" data-v-61cc7aba>`);
      if (!unref(d) || unref(d) && unref(d).length == 0) {
        _push(`<li class="mb-3 flex gap-1 flex-col relative pl-8" data-v-61cc7aba><span class="color-gray-400" data-v-61cc7aba>Array is empty</span></li>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--[-->`);
      ssrRenderList(unref(d), (item, ii) => {
        _push(`<li class="mb-3 flex gap-1 flex-col relative pl-8" data-v-61cc7aba><!--[-->`);
        ssrRenderList(unref(c_values), (tmplt, jj) => {
          _push(`<div class="row-item flex flex-gap-2 w-full" data-v-61cc7aba>`);
          if (jj == 0) {
            _push(`<button style="${ssrRenderStyle({ left: "-32px" })}" class="z-100 absolute color-red-700 hover:bg-red-200 w-fit flex-col self-start rounded" data-v-61cc7aba>x</button>`);
          } else {
            _push(`<!---->`);
          }
          _push(`<div class="p-1 w-28" data-v-61cc7aba><span class="${ssrRenderClass([unref(d)[ii].delete ? "color-red-500 color-opacity-60" : ""])}" data-v-61cc7aba>${ssrInterpolate(tmplt.title || tmplt.name)}</span></div><div class="${ssrRenderClass([[unref(d)[ii].delete ? "opacity-60" : ""], "p-1 flex-1"])}" data-v-61cc7aba>`);
          if (unref(infer_type)(tmplt) == "string") {
            _push(ssrRenderComponent(_component_r_input, {
              onChange: unref(hnd_track_field_change),
              onRchange: ($event) => unref(hnd_input_change)(ii, tmplt.name, $event),
              modelValue: unref(d)[ii][tmplt.name],
              "onUpdate:modelValue": ($event) => unref(d)[ii][tmplt.name] = $event,
              onFocus: ($event) => unref(hnd_focus)(true),
              placeholder: unref(values_attribute)(tmplt.name, "placeholder")
            }, null, _parent));
          } else {
            _push(`<!---->`);
          }
          if (unref(infer_type)(tmplt) == "bool" || unref(infer_type)(tmplt) == "boolean") {
            _push(ssrRenderComponent(_component_r_checkbox, {
              onChange: unref(hnd_track_field_change),
              onRchange: ($event) => unref(hnd_input_change)(ii, tmplt.name, $event),
              modelValue: unref(d)[ii][tmplt.name],
              "onUpdate:modelValue": ($event) => unref(d)[ii][tmplt.name] = $event,
              onFocus: ($event) => unref(hnd_focus)(true)
            }, null, _parent));
          } else {
            _push(`<!---->`);
          }
          if (unref(infer_type)(tmplt) == "text") {
            _push(ssrRenderComponent(_component_r_input, {
              onChange: unref(hnd_track_field_change),
              onRchange: ($event) => unref(hnd_input_change)(ii, tmplt.name, $event),
              modelValue: unref(d)[ii][tmplt.name],
              "onUpdate:modelValue": ($event) => unref(d)[ii][tmplt.name] = $event,
              "multi-line": true,
              onFocus: ($event) => unref(hnd_focus)(true)
            }, null, _parent));
          } else if (unref(infer_type)(tmplt) == "dropdown") {
            _push(ssrRenderComponent(_component_r_select, {
              onChange: unref(hnd_track_field_change),
              onRchange: ($event) => unref(hnd_input_change)(ii, tmplt.name, $event),
              modelValue: unref(d)[ii][tmplt.name],
              "onUpdate:modelValue": ($event) => unref(d)[ii][tmplt.name] = $event,
              values: tmplt.values,
              onFocus: ($event) => unref(hnd_focus)(true)
            }, null, _parent));
          } else if (unref(infer_type)(tmplt) == "checkbox") {
            _push(ssrRenderComponent(_component_r_checkbox, {
              onChange: unref(hnd_track_field_change),
              onRchange: ($event) => unref(hnd_input_change)(ii, tmplt.name, $event),
              modelValue: unref(d)[ii][tmplt.name],
              "onUpdate:modelValue": ($event) => unref(d)[ii][tmplt.name] = $event,
              onFocus: ($event) => unref(hnd_focus)(true)
            }, null, _parent));
          } else if (unref(infer_type)(tmplt) == "date") {
            _push(ssrRenderComponent(_component_r_date, {
              onChange: unref(hnd_track_field_change),
              onRchange: ($event) => unref(hnd_input_change)(ii, tmplt.name, $event),
              modelValue: unref(d)[ii][tmplt.name],
              "onUpdate:modelValue": ($event) => unref(d)[ii][tmplt.name] = $event,
              onFocus: ($event) => unref(hnd_focus)(true)
            }, null, _parent));
          } else if (unref(infer_type)(tmplt) == "duplex") {
            _push(ssrRenderComponent(_component_r_duplex, {
              onChange: unref(hnd_track_field_change),
              onRchange: ($event) => unref(hnd_input_change)(ii, tmplt.name, $event),
              modelValue: unref(d)[ii][tmplt.name],
              "onUpdate:modelValue": ($event) => unref(d)[ii][tmplt.name] = $event,
              onFocus: ($event) => unref(hnd_focus)(true)
            }, null, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</div></div>`);
        });
        _push(`<!--]--></li>`);
      });
      _push(`<!--]--></ul></div>`);
    };
  }
};
const _sfc_setup$w = _sfc_main$w.setup;
_sfc_main$w.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RArrayObject.vue");
  return _sfc_setup$w ? _sfc_setup$w(props, ctx) : undefined;
};
const RArrayObject = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$w, [["__scopeId", "data-v-61cc7aba"]]), { __name: "RArrayObject" });
function useTfText() {
  return computed(() => {
    return (text, options = {}) => {
      if (text == null || text == undefined) return text;
      let type = typeof text;
      if (!["number", "string"].includes(type)) return text;
      let is_number = type == "number" || text.length < 30 && util.is_number(text);
      let is_date = type == "string" ? text.match(/\d{4}-\d{2}-\d{2}T/g) : null;
      let max_length = options.max_length;
      let first_word = options.first_word || false;
      var out = "";
      if (is_date) {
        var d0 = new Date(text);
        let fmt = options.fmt || "Y-m-d I:M p";
        if (options.fmt == "text") {
          fmt = "B d, Y I:M p";
        }
        let p = d0.getHours() >= 12 ? "PM" : "AM";
        let H = util.add_zero(d0.getHours());
        let M = util.add_zero(d0.getMinutes());
        let S = util.add_zero(d0.getSeconds());
        let I = util.add_zero(d0.getHours() > 12 ? d0.getHours() - 12 : d0.getHours());
        let a = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"][d0.getDay()];
        let A = ["Sunday", "Monday", "Tueday", "Wednesday", "Thursday", "Friday", "Saturday"][d0.getDay()];
        let d = util.add_zero(d0.getDate());
        let e = d0.getDate();
        let m = util.add_zero(d0.getMonth() + 1);
        let b = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"][d0.getMonth()];
        let B = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"][d0.getMonth()];
        let Y = d0.getFullYear();
        let y = d0.getFullYear().toString().substring(2);
        let formatting = { Y, y, m, H, I, M, S, a, A, b, B, p, d, e };
        var value = null, char;
        out = "";
        for (var i = 0; i < fmt.length; i++) {
          char = fmt.charAt(i);
          value = formatting[char];
          if (value == undefined) value = char || " ";
          out += value;
        }
      } else if (is_number) {
        var parts = text.toString().split(".");
        parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        out = parts.join(".");
      } else {
        out = text.replace(/_/g, " ").replace(/(^\w{1})|(\s+\w{1})/g, (letter) => letter.toUpperCase());
        if (max_length && text.length > max_length) {
          out = out.substring(0, max_length) + "..";
        }
        if (first_word) {
          out = out.charAt(0) + out.substring(1).toLowerCase();
        }
        if (out == "Id") out = "ID";
      }
      return out;
    };
  });
}
const _sfc_main$v = {
  __name: "RField",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    disabled: { type: Boolean, default: false },
    values: { type: Array, default: () => [] }
  },
  emits: [
    "change",
    "delete",
    "update:modelValue",
    "focus",
    "blur",
    "rchange"
  ],
  setup(__props, { emit: __emit }) {
    let tf = useTfText();
    const props = __props;
    const emit = __emit;
    const d = useModel(props, emit);
    let hnd_emit_change = (e) => {
      if (props.disabled) return;
      emit("change", { ...e, name: d.value.name || "unknown" });
    };
    let field_type = computed(() => {
      var _a;
      var type = ((_a = d.value) == null ? undefined : _a.type) || null;
      if (!type) {
        type = "string";
      }
      return type;
    });
    if (field_type.value == "string_arr") {
      if (!Array.isArray(d.value.value)) {
        if (d.value.value) d.value.value = [d.value.value];
        else d.value.value = [];
      }
    }
    let field_choices = computed(() => {
      let choices = d.value.values || d.value.choices || [];
      if (!Array.isArray(choices)) {
        choices = [];
      }
      return choices;
    });
    let is_secret = computed(() => {
      return (val) => {
        if (!val) return false;
        if (!val.name) return false;
        return val.name.endsWith("_secret");
      };
    });
    let is_arr_object = computed(() => {
      return field_type.value == "arr-object" || field_type.value == "arr-obj";
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_array_object = RArrayObject;
      const _component_r_select = __nuxt_component_7$2;
      const _component_r_checkbox = __nuxt_component_8$2;
      const _component_r_date = RDate;
      const _component_r_text = __nuxt_component_7$1;
      const _component_r_duplex = RDuplex;
      const _component_r_input = __nuxt_component_5$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "rc rc-field mb-6" }, _attrs))}><div class="flex sm:block w-full pt-2"><div class="${ssrRenderClass([[unref(is_arr_object) ? "w-2xl" : "min-w-150"], "sm:w-full"])}"><div class="option-title font-bold"${ssrRenderAttr("data-tooltip", "Name : <b>" + unref(d).name + "</b>")}>${ssrInterpolate(unref(tf)(unref(d).title || unref(d).name))}</div>`);
      if (unref(is_arr_object)) {
        _push(ssrRenderComponent(_component_r_array_object, {
          class: "mt-2 w-full",
          modelValue: unref(d).value,
          "onUpdate:modelValue": ($event) => unref(d).value = $event,
          values: unref(field_choices),
          onChange: unref(hnd_emit_change),
          placeholder: unref(d).placeholder
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
      if (!unref(is_arr_object)) {
        _push(`<div class="sm:w-full min-w-sm sm:mt-2 pt-3 pl-3">`);
        if (unref(field_type) == "dropdown") {
          _push(ssrRenderComponent(_component_r_select, {
            modelValue: unref(d).value,
            "onUpdate:modelValue": ($event) => unref(d).value = $event,
            values: unref(field_choices),
            onChange: unref(hnd_emit_change)
          }, null, _parent));
        } else {
          _push(`<!---->`);
        }
        if (unref(field_type) == "bool" || unref(field_type) == "boolean") {
          _push(ssrRenderComponent(_component_r_checkbox, {
            modelValue: unref(d).value,
            "onUpdate:modelValue": ($event) => unref(d).value = $event,
            "is-switch": unref(d).use_switch,
            onChange: unref(hnd_emit_change)
          }, null, _parent));
        } else {
          _push(`<!---->`);
        }
        if (unref(field_type) == "date") {
          _push(ssrRenderComponent(_component_r_date, {
            modelValue: unref(d).value,
            "onUpdate:modelValue": ($event) => unref(d).value = $event,
            onChange: unref(hnd_emit_change),
            placeholder: unref(d).placeholder
          }, null, _parent));
        } else {
          _push(`<!---->`);
        }
        if (unref(field_type) == "text") {
          _push(ssrRenderComponent(_component_r_text, {
            modelValue: unref(d).value,
            "onUpdate:modelValue": ($event) => unref(d).value = $event,
            onChange: unref(hnd_emit_change),
            placeholder: unref(d).placeholder
          }, null, _parent));
        } else {
          _push(`<!---->`);
        }
        if (unref(field_type) == "duplex") {
          _push(ssrRenderComponent(_component_r_duplex, {
            modelValue: unref(d).value,
            "onUpdate:modelValue": ($event) => unref(d).value = $event,
            onChange: unref(hnd_emit_change),
            placeholder: unref(d).placeholder
          }, null, _parent));
        } else if (["number", "string"].includes(unref(field_type))) {
          _push(ssrRenderComponent(_component_r_input, {
            onChange: unref(hnd_emit_change),
            modelValue: unref(d).value,
            "onUpdate:modelValue": ($event) => unref(d).value = $event,
            type: unref(is_secret)(unref(d)) ? "password" : null,
            placeholder: unref(d).placeholder
          }, null, _parent));
        } else if (unref(field_type) == "string_arr") {
          _push(ssrRenderComponent(_component_r_input, {
            onChange: unref(hnd_emit_change),
            modelValue: unref(d).value,
            "onUpdate:modelValue": ($event) => unref(d).value = $event,
            placeholder: unref(d).placeholder
          }, null, _parent));
        } else if (unref(field_type) == "string_multi") {
          _push(ssrRenderComponent(_component_r_input, {
            "multi-line": true,
            height: "200px",
            onChange: unref(hnd_emit_change),
            modelValue: unref(d).value,
            "onUpdate:modelValue": ($event) => unref(d).value = $event,
            placeholder: unref(d).placeholder
          }, null, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="option-description mt-2 color-gray-500 text-smaller">${ssrInterpolate(unref(d).description)}</div></div>`);
    };
  }
};
const _sfc_setup$v = _sfc_main$v.setup;
_sfc_main$v.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RField.vue");
  return _sfc_setup$v ? _sfc_setup$v(props, ctx) : undefined;
};
const _sfc_main$u = {
  __name: "RLabel",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    button: { type: String, default: "flat" },
    type: { type: String, default: "button" },
    disabled: { type: Boolean, default: false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<label${ssrRenderAttrs(mergeProps({ class: "rc-label rc" }, _attrs))} data-v-c767b52d>`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</label>`);
    };
  }
};
const _sfc_setup$u = _sfc_main$u.setup;
_sfc_main$u.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RLabel.vue");
  return _sfc_setup$u ? _sfc_setup$u(props, ctx) : undefined;
};
const __nuxt_component_1$2 = /* @__PURE__ */ _export_sfc(_sfc_main$u, [["__scopeId", "data-v-c767b52d"]]);
const _sfc_main$t = {
  __name: "RNavSidebar",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    button: { type: String, default: "flat" },
    type: { type: String, default: "button" },
    disabled: { type: Boolean, default: false }
  },
  emits: ["change"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    let show_drawer = ref(false);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<article${ssrRenderAttrs(mergeProps({
        class: ["r-nav-side-bar rc", [unref(show_drawer) ? "active" : ""]]
      }, _attrs))} data-v-b06cc27e><aside class="r-side-nav" data-v-b06cc27e><nav class="nav-link-list" data-v-b06cc27e><ul class="nav-list p-2" data-v-b06cc27e>`);
      ssrRenderSlot(_ctx.$slots, "header", {}, null, _push, _parent);
      _push(`<ul class="navigation-listing" data-v-b06cc27e>`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</ul>`);
      ssrRenderSlot(_ctx.$slots, "s-footer", {}, null, _push, _parent);
      _push(`</ul></nav></aside><main class="r-nav-content" data-v-b06cc27e><div class="r-nav-title p-2 mt-1" data-v-b06cc27e><button class="btn color-primary-500 toggle-drawer" data-v-b06cc27e><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-6 h-6" data-v-b06cc27e><path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5" data-v-b06cc27e></path></svg></button>`);
      ssrRenderSlot(_ctx.$slots, "title", {}, null, _push, _parent);
      _push(`</div><div class="p-2 content-wrap" data-v-b06cc27e>`);
      ssrRenderSlot(_ctx.$slots, "content", {}, null, _push, _parent);
      _push(`</div><div class="${ssrRenderClass([[unref(show_drawer) ? "active" : ""], "overlay"])}" data-v-b06cc27e></div><div class="r-content-footer mt-1 p-2" data-v-b06cc27e>`);
      ssrRenderSlot(_ctx.$slots, "footer", {}, null, _push, _parent);
      _push(`</div></main></article>`);
    };
  }
};
const _sfc_setup$t = _sfc_main$t.setup;
_sfc_main$t.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RNavSidebar.vue");
  return _sfc_setup$t ? _sfc_setup$t(props, ctx) : undefined;
};
const __nuxt_component_0$2 = /* @__PURE__ */ _export_sfc(_sfc_main$t, [["__scopeId", "data-v-b06cc27e"]]);
const _sfc_main$s = {
  __name: "RRadio",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    name: { type: String, default: () => util.random_str() },
    values: { type: Array, default: () => [] },
    disabled: { type: Boolean, default: false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    let radio_options = useUnifiedValues(props);
    const emit = __emit;
    const d = useModel(props, emit);
    radio_options.value.find((opt) => opt.value == d.value);
    ref("");
    let root = ref(null);
    let has_focus = useFocusable();
    let is_option_selected = computed(() => {
      return (opt) => {
        return opt.value == d.value;
      };
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-radio rc", [unref(has_focus), __props.disabled ? "disabled" : ""]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-3070429b>`);
      if (unref(radio_options).length == 0) {
        _push(`<div class="p-2" data-v-3070429b><span class="color-gray-500" data-v-3070429b>Radio - no value options supplied</span></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--[-->`);
      ssrRenderList(unref(radio_options), (opt) => {
        _push(`<div class="option mb-1 mr-1" data-v-3070429b><input${ssrIncludeBooleanAttr(ssrLooseEqual(unref(d), null)) ? " checked" : ""} type="radio"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""}${ssrIncludeBooleanAttr(unref(is_option_selected)(opt)) ? " checked" : ""} class="inp-radio" data-v-3070429b><label class="${ssrRenderClass([[unref(is_option_selected)(opt) ? "selected" : ""], "radio"])}" data-v-3070429b><span class="pointer-events-none" data-v-3070429b><svg viewBox="0 0 100 100" width="12px" height="10px" data-v-3070429b><circle cx="50" cy="50" r="50"${ssrRenderAttr("fill", unref(is_option_selected)(opt) ? "white" : "transparent")} data-v-3070429b></circle></svg></span><span data-v-3070429b>`);
        ssrRenderSlot(_ctx.$slots, "value", mergeProps({ ref_for: true }, opt), () => {
          _push(`${ssrInterpolate(opt.text)}`);
        }, _push, _parent);
        _push(`</span></label></div>`);
      });
      _push(`<!--]--></div>`);
    };
  }
};
const _sfc_setup$s = _sfc_main$s.setup;
_sfc_main$s.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RRadio.vue");
  return _sfc_setup$s ? _sfc_setup$s(props, ctx) : undefined;
};
const __nuxt_component_7 = /* @__PURE__ */ _export_sfc(_sfc_main$s, [["__scopeId", "data-v-3070429b"]]);
const _sfc_main$r = {
  __name: "RDropdown",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    disabled: { type: Boolean, default: false },
    text: { type: String, default: "..." },
    hasBorder: { type: Boolean, default: () => true }
  },
  emits: ["change", "enter", "delete", "update:modelValue", "focus", "blur", "rchange", "open", "close"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    ref(false);
    let menu = ref(null);
    ref(null);
    let is_active = ref(false);
    const emit = __emit;
    useModel(props, emit);
    let root = ref(null);
    let { click_opener, styler } = useDropdown(root, menu, is_active, emit);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-dropdown", [
          __props.disabled ? "disabled" : "",
          unref(is_active) ? "is-active" : ""
        ]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-cb9ae722><button type="button" class="${ssrRenderClass([[__props.hasBorder ? "border-gray-300" : ""], "action"])}" data-v-cb9ae722>`);
      ssrRenderSlot(_ctx.$slots, "control", {}, () => {
        _push(`${ssrInterpolate(__props.text)}`);
      }, _push, _parent);
      _push(`</button>`);
      ssrRenderTeleport(_push, (_push2) => {
        _push2(`<div class="rc-drop-menu" style="${ssrRenderStyle(unref(styler))}" data-v-cb9ae722>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push2, _parent);
        _push2(`</div>`);
      }, "body", false, _parent);
      _push(`</div>`);
    };
  }
};
const _sfc_setup$r = _sfc_main$r.setup;
_sfc_main$r.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RDropdown.vue");
  return _sfc_setup$r ? _sfc_setup$r(props, ctx) : undefined;
};
const __nuxt_component_3$1 = /* @__PURE__ */ _export_sfc(_sfc_main$r, [["__scopeId", "data-v-cb9ae722"]]);
const _sfc_main$q = {
  __name: "RColor",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    type: { type: String, default: "string" },
    disabled: { type: Boolean, default: false }
  },
  emits: ["change", "enter", "escape", "delete", "update:modelValue", "focus", "blur", "rchange", "color", "open", "close"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const d = useModel(props, emit);
    let emit_change = useEmitChange(emit);
    let root = ref(null);
    let has_focus = useFocusable();
    let old_value = null;
    let hnd_grab_focus = (is_open) => {
      if (is_open) {
        old_value = d.value;
        emit("focus", d.value);
        emit("open");
      } else {
        var val = d.value;
        emit_change(val, old_value);
        emit("blur", val);
        emit("close");
      }
    };
    ref(null);
    let hnd_set_color = (color, e) => {
      e.stopPropagation();
      e.preventDefault();
      d.value = color;
      emit("color", color);
    };
    let colors = reactive([
      [
        "rgb(252, 192, 46)",
        "rgb(246, 124, 1)",
        "rgb(230, 74, 25)",
        "rgb(216, 27, 67)",
        "rgb(142, 36, 170)",
        "rgb(81, 45, 167)",
        "rgb(31, 135, 232)",
        "rgb(0, 135, 129)",
        "rgb(5, 160, 69)"
      ],
      [
        "rgb(254, 216, 53)",
        "rgb(251, 140, 0)",
        "rgb(245, 81, 30)",
        "rgb(235, 29, 78)",
        "rgb(156, 40, 177)",
        "rgb(93, 53, 176)",
        "rgb(32, 151, 243)",
        "rgb(2, 150, 136)",
        "rgb(76, 176, 80)"
      ],
      [
        "rgb(255, 235, 60)",
        "rgb(255, 167, 39)",
        "rgb(254, 87, 34)",
        "rgb(235, 65, 101)",
        "rgb(170, 71, 188)",
        "rgb(103, 59, 183)",
        "rgb(66, 165, 246)",
        "rgb(38, 165, 154)",
        "rgb(131, 198, 131)"
      ],
      [
        "rgb(255, 241, 118)",
        "rgb(255, 183, 78)",
        "rgb(255, 138, 102)",
        "rgb(241, 98, 126)",
        "rgb(185, 104, 199)",
        "rgb(121, 134, 204)",
        "rgb(100, 181, 246)",
        "rgb(128, 203, 196)",
        "rgb(165, 214, 167)"
      ],
      [
        "rgb(255, 245, 156)",
        "rgb(255, 204, 128)",
        "rgb(255, 171, 145)",
        "rgb(251, 135, 158)",
        "rgb(207, 147, 217)",
        "rgb(158, 168, 219)",
        "rgb(144, 202, 248)",
        "rgb(178, 223, 220)",
        "rgb(200, 230, 202)"
      ],
      [
        "rgba(0, 0, 0, 0)",
        "rgb(255, 255, 255)",
        "rgb(222, 222, 222)",
        "rgb(169, 169, 169)",
        "rgb(75, 75, 75)",
        "rgb(53, 53, 53)",
        "rgb(33, 33, 33)",
        "rgb(0, 0, 0)",
        "initial"
      ]
    ]);
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_dropdown = __nuxt_component_3$1;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-color", [unref(has_focus)]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-182eb166>`);
      _push(ssrRenderComponent(_component_r_dropdown, {
        text: "Color",
        onOpen: ($event) => unref(hnd_grab_focus)(true),
        onClose: ($event) => unref(hnd_grab_focus)(false)
      }, {
        control: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<span class="inline-block rounded w-4 h-4" style="${ssrRenderStyle({ backgroundColor: unref(d) })}" data-v-182eb166${_scopeId}></span>`);
          } else {
            return [
              createVNode("span", {
                class: "inline-block rounded w-4 h-4",
                style: { backgroundColor: unref(d) }
              }, null, 4)
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="color-grid grid gap-0" data-v-182eb166${_scopeId}><!--[-->`);
            ssrRenderList(unref(colors), (col, x) => {
              _push2(`<!--[--><!--[-->`);
              ssrRenderList(col, (color, y) => {
                _push2(`<span style="${ssrRenderStyle({ backgroundColor: unref(colors)[x][y] })}" class="${ssrRenderClass([[unref(colors)[x][y] == "initial" ? "reset" : ""], "inline-block color-cell"])}" data-v-182eb166${_scopeId}></span>`);
              });
              _push2(`<!--]--><!--]-->`);
            });
            _push2(`<!--]--></div>`);
          } else {
            return [
              createVNode("div", { class: "color-grid grid gap-0" }, [
                (openBlock(true), createBlock(Fragment, null, renderList(unref(colors), (col, x) => {
                  return openBlock(), createBlock(Fragment, null, [
                    (openBlock(true), createBlock(Fragment, null, renderList(col, (color, y) => {
                      return openBlock(), createBlock("span", {
                        key: "col" + x + y,
                        class: ["inline-block color-cell", [unref(colors)[x][y] == "initial" ? "reset" : ""]],
                        style: { backgroundColor: unref(colors)[x][y] },
                        onClick: ($event) => unref(hnd_set_color)(unref(colors)[x][y], $event)
                      }, null, 14, ["onClick"]);
                    }), 128))
                  ], 64);
                }), 256))
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup$q = _sfc_main$q.setup;
_sfc_main$q.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RColor.vue");
  return _sfc_setup$q ? _sfc_setup$q(props, ctx) : undefined;
};
const RColor = /* @__PURE__ */ _export_sfc(_sfc_main$q, [["__scopeId", "data-v-182eb166"]]);
const _sfc_main$p = {
  __name: "RCard",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: () => null },
    title: { type: String, default: () => null },
    description: { type: String, default: () => null },
    image: { type: String, default: () => null },
    url: { type: String, default: () => null },
    roundness: { type: String, default: () => null },
    vPadding: { type: String, default: () => null },
    border: { type: Boolean, default: () => true },
    maxText: { type: Number, default: () => 100 },
    badgePosition: { type: String, default: () => null },
    badgeColor: { type: String, default: () => "default" },
    badge: { type: String, default: () => null },
    overlay: { type: Boolean, default: () => false },
    overlayColor: { type: String, default: () => null },
    horizontal: { type: Boolean, default: () => false },
    contentClass: { type: String, default: () => null },
    zoom: { type: Boolean, default: () => true }
  },
  emits: [
    "change",
    "delete",
    "update:modelValue",
    "focus",
    "blur",
    "rchange"
  ],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    ref(null);
    let txt_tf = useTfText();
    let card_style = computed(() => {
      return {
        borderRadius: props.roundness
      };
    });
    let card_image_style = computed(() => {
      return {};
    });
    let card_content_style = computed(() => {
      let is_overlay = props.overlay;
      return {
        position: is_overlay ? "absolute" : null,
        ...is_overlay ? {
          display: "flex",
          flexDirection: "column",
          left: 0,
          right: 0,
          top: 0,
          bottom: 0,
          alignItems: "center",
          justifyContent: "center"
        } : {},
        padding: props.vPadding ? `${props.vPadding} 0` : null,
        borderTopLeftRadius: props.image ? null : props.roundness,
        borderTopRightRadius: props.image ? null : props.roundness,
        borderTop: props.image ? "none" : null,
        borderBottomLeftRadius: props.roundness,
        borderBottomRightRadius: props.roundness
      };
    });
    let badge_content = computed(() => {
      if (!props.badge) return null;
      if (!props.badge.trim) return null;
      let val = props.badge.trim().toLowerCase();
      if (!val) return false;
      if (val == "<br>") return null;
      if (val.length <= 1) return 1;
      return val;
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<figure${ssrRenderAttrs(mergeProps({
        class: ["rc-card rc card", [
          __props.horizontal ? "horizontal" : null,
          "badge-" + __props.badgeColor,
          __props.overlay ? "has-overlay" : "",
          __props.overlayColor,
          __props.zoom ? "" : "no-zoom",
          __props.border ? "bordered" : null
        ]],
        style: unref(card_style)
      }, _attrs))} data-v-4c24fed2>`);
      ssrRenderVNode(_push, createVNode(resolveDynamicComponent(__props.url ? __nuxt_component_1$4 : "div"), {
        class: "card-wrapper",
        to: __props.url
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (__props.image) {
              _push2(`<div class="card-image" style="${ssrRenderStyle(unref(card_image_style))}" data-v-4c24fed2${_scopeId}><img class=""${ssrRenderAttr("src", __props.image)} loading="lazy" data-v-4c24fed2${_scopeId}>`);
              if (unref(badge_content)) {
                _push2(`<div class="${ssrRenderClass([[__props.badgePosition], "badge"])}" data-v-4c24fed2${_scopeId}>${__props.badge ?? ""}</div>`);
              } else {
                _push2(`<!---->`);
              }
              _push2(`</div>`);
            } else {
              _push2(`<!---->`);
            }
            if (__props.overlay) {
              _push2(`<div class="overlay" data-v-4c24fed2${_scopeId}></div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`<div class="${ssrRenderClass([[__props.contentClass], "card-content"])}" style="${ssrRenderStyle(unref(card_content_style))}" data-v-4c24fed2${_scopeId}>`);
            if (__props.title) {
              _push2(`<h4 class="title" data-v-4c24fed2${_scopeId}>${ssrInterpolate(__props.title)}</h4>`);
            } else {
              _push2(`<!---->`);
            }
            if (__props.description) {
              _push2(`<div class="description" data-v-4c24fed2${_scopeId}>${unref(txt_tf)(__props.description, { max_length: __props.maxText }) ?? ""}</div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`<div class="card-slot" data-v-4c24fed2${_scopeId}>`);
            ssrRenderSlot(_ctx.$slots, "default", {}, null, _push2, _parent2, _scopeId);
            _push2(`</div></div>`);
          } else {
            return [
              __props.image ? (openBlock(), createBlock("div", {
                key: 0,
                class: "card-image",
                style: unref(card_image_style)
              }, [
                createVNode("img", {
                  class: "",
                  src: __props.image,
                  loading: "lazy"
                }, null, 8, ["src"]),
                unref(badge_content) ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: ["badge", [__props.badgePosition]],
                  innerHTML: __props.badge
                }, null, 10, ["innerHTML"])) : createCommentVNode("", true)
              ], 4)) : createCommentVNode("", true),
              __props.overlay ? (openBlock(), createBlock("div", {
                key: 1,
                class: "overlay"
              })) : createCommentVNode("", true),
              createVNode("div", {
                class: ["card-content", [__props.contentClass]],
                style: unref(card_content_style)
              }, [
                __props.title ? (openBlock(), createBlock("h4", {
                  key: 0,
                  class: "title"
                }, toDisplayString(__props.title), 1)) : createCommentVNode("", true),
                __props.description ? (openBlock(), createBlock("div", {
                  key: 1,
                  class: "description",
                  innerHTML: unref(txt_tf)(__props.description, { max_length: __props.maxText })
                }, null, 8, ["innerHTML"])) : createCommentVNode("", true),
                createVNode("div", { class: "card-slot" }, [
                  renderSlot(_ctx.$slots, "default", {}, undefined, true)
                ])
              ], 6)
            ];
          }
        }),
        _: 3
      }), _parent);
      _push(`</figure>`);
    };
  }
};
const _sfc_setup$p = _sfc_main$p.setup;
_sfc_main$p.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RCard.vue");
  return _sfc_setup$p ? _sfc_setup$p(props, ctx) : undefined;
};
const RCard = /* @__PURE__ */ _export_sfc(_sfc_main$p, [["__scopeId", "data-v-4c24fed2"]]);
const _sfc_main$o = {
  __name: "RCta",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    url: { type: String, default: () => null },
    image: { type: String, default: () => null },
    title: { type: String, default: () => null },
    titleClass: { type: String, default: () => null },
    actionsClass: { type: String, default: () => null },
    description: { type: String, default: () => null },
    layout: { type: null, default: () => "1" },
    roundness: { type: String, default: () => null },
    reverse: { type: Boolean, default: () => false },
    actions: { type: Array, default: () => [] }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    ref(null);
    let c_actions = computed(() => {
      if (!props.actions) return [];
      let out = props.actions.filter((it) => {
        if (!it) return false;
        return true;
      }).map((it, index) => {
        return {
          id: it.id || it.type + "-" + index + ":" + it.link,
          text: it.text || it.title,
          url: it.url || it.link,
          cls: it.css_cls || it.css_class || it.class_css || it.cls_css,
          type: it.type
        };
      });
      return out;
    });
    useTfText();
    let graphic_url = computed(() => {
      if (props.image == "default") {
        return "https://dummyimage.com/600x400/343a40/6c757d";
      } else {
        return props.image;
      }
    });
    computed(() => {
      return {
        borderRadius: props.roundness
      };
    });
    computed(() => {
      return {};
    });
    computed(() => {
      props.overlay;
      return {};
    });
    let layout_type = computed(() => {
      if (props.layout == "1" || props.layout == 1) {
        return "layout-side-by-side";
      } else if (props.layout == "2" || props.layout == "2") {
        return "layout-lg-content";
      } else {
        return "layout-lg-image";
      }
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-cta rc cta", [unref(layout_type), !__props.image ? "no-image" : null, __props.reverse ? "reverse" : ""]]
      }, _attrs))} data-v-7a1370a0><div class="content lg:px-8 px-4 sm:px-4" data-v-7a1370a0><div class="my-5" data-v-7a1370a0>`);
      if (__props.title) {
        _push(`<h1 class="${ssrRenderClass([[__props.titleClass], "title"])}" data-v-7a1370a0>${ssrInterpolate(__props.title)}</h1>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.description) {
        _push(`<div class="description" data-v-7a1370a0>${__props.description ?? ""}</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="cta-slot" data-v-7a1370a0>`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</div><div class="${ssrRenderClass([__props.actionsClass, "cta-action-list flex gap-3 sm:block py-3"])}" data-v-7a1370a0><!--[-->`);
      ssrRenderList(unref(c_actions), (action) => {
        _push(`<a class="${ssrRenderClass([["cta-btn", action.type, action.cls, "sm:mr-2", "mb-3"], "button"])}"${ssrRenderAttr("href", action.url)} data-v-7a1370a0>${action.text ?? ""}</a>`);
      });
      _push(`<!--]--></div></div></div>`);
      if (__props.image) {
        _push(`<div class="image" data-v-7a1370a0><img loading="lazy"${ssrRenderAttr("src", unref(graphic_url))} style="${ssrRenderStyle({ borderRadius: __props.roundness })}" data-v-7a1370a0></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup$o = _sfc_main$o.setup;
_sfc_main$o.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RCta.vue");
  return _sfc_setup$o ? _sfc_setup$o(props, ctx) : undefined;
};
const RCta = /* @__PURE__ */ _export_sfc(_sfc_main$o, [["__scopeId", "data-v-7a1370a0"]]);
const _sfc_main$n = {
  __name: "RElement",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    class: null,
    tag: { type: String, default: () => "div" },
    layoutTemplate: { type: null, default: () => null },
    shape: { type: null, default: () => null },
    shapeHeight: { type: String, default: () => "3em" },
    paddingTop: { type: null, default: () => null },
    paddingBottom: { type: null, default: () => null },
    paddingLeft: { type: null, default: () => null },
    paddingRight: { type: null, default: () => null },
    marginTop: { type: null, default: () => null },
    marginBottom: { type: null, default: () => null },
    marginLeft: { type: null, default: () => null },
    marginRight: { type: null, default: () => null },
    backgroundColor: { type: String, default: () => "" },
    image: { type: String, default: () => null },
    overlay: { type: Boolean, default: () => false },
    overlayColor: { type: String, default: () => null },
    overlayOpacity: { type: Number, default: () => 0.75 },
    gradient: { type: Array, default: () => null },
    gradientDegree: { type: Number, default: () => 0 }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    let overlay_styler = computed(() => {
      let out = {
        backgroundColor: props.overlayColor,
        opacity: props.overlayOpacity
      };
      if (props.gradient && Array.isArray(props.gradient) && props.gradient.length > 1 && props.gradient[0] && props.gradient[1]) {
        out.background = `linear-gradient(${props.gradientDegree}deg, ${props.gradient[0]} 30%, ${props.gradient[1]} 100%)`;
      }
      return out;
    });
    let has_template = computed(() => {
      return props.layoutTemplate != null;
    });
    let template_classes = computed(() => {
      if (!has_template.value) return [];
      let count = parseInt(props.layoutTemplate);
      let on_small = "";
      if (count >= 4) {
        on_small = "sm:grid-cols-2";
      } else {
        on_small = "sm:grid-cols-1";
      }
      return ["grid-cols-" + count, on_small];
    });
    let styler = computed(() => {
      let img_url = null;
      if (props.image) img_url = `url(${props.image})`;
      let out = {
        backgroundColor: props.backgroundColor,
        backgroundImage: img_url,
        paddingLeft: props.paddingLeft,
        paddingTop: props.paddingTop,
        paddingRight: props.paddingRight,
        paddingBottom: props.paddingBottom,
        marginLeft: props.marginLeft,
        marginTop: props.marginTop,
        marginRight: props.marginRight,
        marginBottom: props.marginBottom,
        backgroundAttachment: "scroll",
        backgroundRepeat: "no-repeat",
        backgroundPosition: "center center",
        backgroundSize: "cover"
      };
      if (has_template.value) {
        out.display = "grid";
      }
      return out;
    });
    let style_shape = computed(() => {
      return {
        height: props.shapeHeight
      };
    });
    let shape_name = computed(() => {
      if (props.shape == null) return null;
      console.log("Attempting to parse ", props.shape);
      return parseInt(props.shape);
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<!--[-->`);
      if (unref(shape_name) != null) {
        _push(`<div style="${ssrRenderStyle(unref(style_shape))}" class="${ssrRenderClass([[], "shape-container shape-container top flex"])}" data-v-30dc3b1b>`);
        if (unref(shape_name) == 1) {
          _push(`<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="none" fill="currentColor" data-v-30dc3b1b><polygon _ngcontent-serverApp-c24="" points="0,100 100,0 100,100"${ssrRenderAttr("fill", __props.backgroundColor)} data-v-30dc3b1b></polygon></svg>`);
        } else if (unref(shape_name) == 2) {
          _push(`<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="none" fill="currentColor" data-v-30dc3b1b><polygon _ngcontent-serverApp-c24="" points="0,0, 0,100 100,100"${ssrRenderAttr("fill", __props.backgroundColor)} data-v-30dc3b1b></polygon></svg>`);
        } else if (unref(shape_name) == 3) {
          _push(`<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="none" fill="currentColor" data-v-30dc3b1b><polygon _ngcontent-serverApp-c24="" points="0,100 100,0 100,100"${ssrRenderAttr("fill", __props.backgroundColor)} data-v-30dc3b1b></polygon></svg>`);
        } else if (unref(shape_name) == 4) {
          _push(`<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="none" fill="currentColor" data-v-30dc3b1b><polygon _ngcontent-serverApp-c24="" points="0,0, 0,100 100,100"${ssrRenderAttr("fill", __props.backgroundColor)} data-v-30dc3b1b></polygon></svg>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      ssrRenderVNode(_push, createVNode(resolveDynamicComponent(__props.tag), mergeProps(_ctx.$attrs, {
        class: ["rc-element", "tag-" + __props.tag, ...unref(template_classes)],
        style: unref(styler)
      }), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            if (__props.overlay) {
              _push2(`<div class="overlay" style="${ssrRenderStyle(unref(overlay_styler))}" data-v-30dc3b1b${_scopeId}></div>`);
            } else {
              _push2(`<!---->`);
            }
            ssrRenderSlot(_ctx.$slots, "default", {}, null, _push2, _parent2, _scopeId);
          } else {
            return [
              __props.overlay ? (openBlock(), createBlock("div", {
                key: 0,
                class: "overlay",
                style: unref(overlay_styler)
              }, null, 4)) : createCommentVNode("", true),
              renderSlot(_ctx.$slots, "default", {}, undefined, true)
            ];
          }
        }),
        _: 3
      }), _parent);
      if (unref(shape_name) != null) {
        _push(`<div style="${ssrRenderStyle(unref(style_shape))}" class="${ssrRenderClass([[], "shape-container shape-container bottom flex"])}" data-v-30dc3b1b>`);
        if (unref(shape_name) == 1) {
          _push(`<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="none" fill="currentColor" data-v-30dc3b1b><polygon _ngcontent-serverApp-c24="" points="0,100 100,0 100,100"${ssrRenderAttr("fill", __props.backgroundColor)} data-v-30dc3b1b></polygon></svg>`);
        } else if (unref(shape_name) == 2) {
          _push(`<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="none" fill="currentColor" data-v-30dc3b1b><polygon _ngcontent-serverApp-c24="" points="0,0, 0,100 100,100"${ssrRenderAttr("fill", __props.backgroundColor)} data-v-30dc3b1b></polygon></svg>`);
        } else if (unref(shape_name) == 6) {
          _push(`<svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" viewBox="0 0 100 100" data-v-30dc3b1b><path xmlns="http://www.w3.org/2000/svg" style="${ssrRenderStyle({ "fill": "#0df203", "fill-opacity": "1", "stroke": "none", "stroke-width": "0.264583px", "stroke-linecap": "butt", "stroke-linejoin": "miter", "stroke-opacity": "1" })}" d="m 0.14931414,0.16625852 c 0,0 20.69148386,41.14134148 99.93758586,-0.0337594 0.4521,-0.2349079 -99.93758586,0.0337594 -99.93758586,0.0337594 z" id="path1062" sodipodi:nodetypes="csc" xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" data-v-30dc3b1b></path></svg>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--]-->`);
    };
  }
};
const _sfc_setup$n = _sfc_main$n.setup;
_sfc_main$n.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RElement.vue");
  return _sfc_setup$n ? _sfc_setup$n(props, ctx) : undefined;
};
const RElement = /* @__PURE__ */ _export_sfc(_sfc_main$n, [["__scopeId", "data-v-30dc3b1b"]]);
const _sfc_main$m = {
  __name: "RRange",
  __ssrInlineRender: true,
  props: {
    /**
     * Must be number or array of numbers between 0 - 1.  Otherwise, must be value that maps between min and max provided.
    */
    modelValue: { type: null, default: "" },
    min: { type: Number, default: null },
    max: { type: Number, default: null },
    round: { type: Number, default: () => 2 },
    disabled: { type: Boolean, default: false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange", "select", "new-value"],
  setup(__props, { emit: __emit }) {
    const root = ref(null);
    ref(null);
    const props = __props;
    const emit = __emit;
    const d = useModel(props, emit);
    ref(false);
    let has_focus = ref(false);
    let focus_class = computed(() => {
      return has_focus.value ? "has-focus" : null;
    });
    let midline_height = ref(15);
    let bar_style = computed(() => {
      return {
        top: midline_height.value + "px"
      };
    });
    let is_d_an_array = computed(() => {
      return Array.isArray(d.value);
    });
    let map_value_to_ratio = (value) => {
      let min = props.min;
      let max = props.max;
      if (value < min) value = min;
      if (value > max) value = max;
      let num = Math.abs(value - min);
      let denum = Math.abs(max - min);
      return num / denum;
    };
    let has_min_max = computed(() => {
      if (props.min != null && props.max != null) {
        if (typeof props.min == "number" && typeof props.max == "number") {
          return true;
        } else return false;
      } else return false;
    });
    let arr_of_ratios = computed(() => {
      var output = is_d_an_array.value ? [...d.value] : [d.value];
      if (has_min_max.value) {
        for (var i = 0; i < output.length; i++) {
          output[i];
          let tfit = map_value_to_ratio(output[i]);
          output[i] = tfit;
        }
      }
      return output;
    });
    let knob_style = computed(
      () => (knob, k_index) => {
        return {
          top: midline_height.value - 11 + "px",
          left: calc_left(knob)
        };
      }
    );
    let calc_left = (val) => `calc(${val * 100 + "%"} - 11px) `;
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["r-range rc", [unref(focus_class)]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-55c5d896><div class="wrapper" data-v-55c5d896><div class="bar" style="${ssrRenderStyle(unref(bar_style))}" data-v-55c5d896></div><!--[-->`);
      ssrRenderList(unref(arr_of_ratios), (ratio, k_index) => {
        _push(`<div class="knob" style="${ssrRenderStyle(unref(knob_style)(ratio, k_index))}" data-v-55c5d896></div>`);
      });
      _push(`<!--]--></div></div>`);
    };
  }
};
const _sfc_setup$m = _sfc_main$m.setup;
_sfc_main$m.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RRange.vue");
  return _sfc_setup$m ? _sfc_setup$m(props, ctx) : undefined;
};
const __nuxt_component_6 = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$m, [["__scopeId", "data-v-55c5d896"]]), { __name: "RRange" });
const _sfc_main$l = {
  __name: "RMedia",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    image: { type: String, default: null },
    imageShape: { type: String, default: null },
    imageSize: { type: String, default: null },
    title: { type: String, default: null },
    titleCss: { type: String, default: null },
    description: { type: String, default: null },
    horizontal: { type: Boolean, default: () => true },
    centered: { type: Boolean, default: () => false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    let is_svg = computed(() => {
      if (!props.image) return false;
      if (!props.image.substring) return false;
      return props.image.trim().startsWith("<svg");
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-media", [__props.horizontal ? "" : "vertical", __props.centered ? "centered" : ""]]
      }, _attrs))} data-v-e9e709c6><div class="${ssrRenderClass([[__props.imageShape, __props.imageSize], "image"])}" data-v-e9e709c6>`);
      if (unref(is_svg)) {
        _push(`<span data-v-e9e709c6>${__props.image ?? ""}</span>`);
      } else {
        _push(`<img loading="lazy"${ssrRenderAttr("src", __props.image)} data-v-e9e709c6>`);
      }
      _push(`</div><div class="content flex-1" data-v-e9e709c6>`);
      if (__props.title) {
        _push(`<h3 class="${ssrRenderClass([[__props.titleCss], "title"])}" data-v-e9e709c6>${__props.title ?? ""}</h3>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.description) {
        _push(`<div class="description" data-v-e9e709c6>${__props.description ?? ""}</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="media-slot" data-v-e9e709c6>`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</div></div></div>`);
    };
  }
};
const _sfc_setup$l = _sfc_main$l.setup;
_sfc_main$l.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RMedia.vue");
  return _sfc_setup$l ? _sfc_setup$l(props, ctx) : undefined;
};
const RMedia = /* @__PURE__ */ _export_sfc(_sfc_main$l, [["__scopeId", "data-v-e9e709c6"]]);
const _sfc_main$k = {
  __name: "RAvatar",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    image: { type: String },
    description: { type: String, default: null },
    size: { type: String, default: "base" },
    shape: { type: String, default: "round" },
    text: { type: String },
    horizontal: { type: Boolean, default: () => false },
    allowPicker: { type: Boolean, default: () => false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    ref(null);
    let c_image = computed(() => {
      if (!props.image) {
        return `https://cdn.icon-icons.com/icons2/1378/PNG/512/avatardefault_92824.png`;
      } else {
        return props.image;
      }
    });
    let tf = useTfText();
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-avatar", ["avatar", __props.horizontal ? "horizontal" : ""]]
      }, _attrs))} data-v-fc9c1009><img class="${ssrRenderClass([[__props.size, __props.shape], "avatar-image"])}"${ssrRenderAttr("src", unref(c_image))}${ssrRenderAttr("data-tooltip", __props.description)} data-v-fc9c1009><div class="avatar-text"${ssrRenderAttr("tooltip", __props.text)} data-v-fc9c1009>${ssrInterpolate(__props.text ? unref(tf)(__props.text, { max_length: 10 }) : null)}</div></div>`);
    };
  }
};
const _sfc_setup$k = _sfc_main$k.setup;
_sfc_main$k.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RAvatar.vue");
  return _sfc_setup$k ? _sfc_setup$k(props, ctx) : undefined;
};
const __nuxt_component_4 = /* @__PURE__ */ _export_sfc(_sfc_main$k, [["__scopeId", "data-v-fc9c1009"]]);
const _sfc_main$j = {
  __name: "RNotes",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    postId: {},
    disabled: { type: Boolean, default: false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    ref(null);
    let has_focus = useFocusable();
    let tf_text2 = useTfText();
    let status_types = ref([
      { title: "Pending", value: "pending" },
      { title: "Approved", value: "approved" },
      { title: "Denied", value: "denied" },
      { title: "Inappropriate", value: "flagged-inappropriate" },
      { title: "Abusive", value: "flagged-abusive" },
      { title: "Misinformation", value: "flagged-misinformation" }
    ]);
    const emit = __emit;
    useModel(props, emit);
    let post_notes = ref([]);
    let reply_to = ref(null);
    let reply_text = ref(null);
    let is_logged_in = ref(false);
    let fetch_notes = async (postId) => {
      let res = await useRequest({ url: "/api/posts/notes", method: "get", query: {
        postId: props.postId
      } });
      is_logged_in.value = res.is_logged_in;
      associate_child_parent_notes(res.d, null);
    };
    let associate_child_parent_notes = (notes, parent_id = -1, tab = 0) => {
      var i, j, it, on;
      if (parent_id == null || parent_id == -1) {
        for (i = notes.length - 1; i > -1; i--) {
          it = notes[i];
          for (j = 0; j < post_notes.value.length; j++) {
            on = post_notes.value[j];
            if (it.id == on.id) {
              post_notes.value[j] = it;
              it._processed = true;
              notes.splice(i, 1);
              console.info("Already in the list");
            }
          }
        }
      }
      let children = [];
      for (i = 0; i < notes.length; i++) {
        it = notes[i];
        if (it._processed) continue;
        if (it.parent_id == parent_id) {
          it._processed = true;
          it._tab = tab;
          children.push(it);
        }
      }
      if (parent_id == null) {
        post_notes.value.splice(0, 0, ...children);
      } else {
        for (i = 0; i < post_notes.value.length; i++) {
          it = post_notes.value[i];
          if (it.id == parent_id) {
            post_notes.value.splice(i + 1, 0, ...children);
          }
        }
      }
      for (i = 0; i < children.length; i++) {
        it = children[i];
        associate_child_parent_notes(notes, it.id, tab + 1);
      }
    };
    if (props.postId && props.postId) {
      fetch_notes(props.postId);
    }
    let new_note_text = ref("");
    let post_note_to_server = async (the_note, parent_id = null, tab = undefined) => {
      if (!the_note) return;
      let res = await useRequest({
        url: "/api/posts/notes",
        method: "post",
        body: the_note
      });
      let updated_comments = res.d;
      associate_child_parent_notes(updated_comments, parent_id, tab);
    };
    let hnd_note_status_changed = async (the_note) => {
      post_note_to_server({
        id: the_note.id,
        post_id: props.postId,
        status: the_note.status
      });
    };
    useAppState();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_text = __nuxt_component_7$1;
      const _component_r_link = __nuxt_component_1$4;
      const _component_r_avatar = __nuxt_component_4;
      const _component_r_select = __nuxt_component_7$2;
      _push(`<section${ssrRenderAttrs(mergeProps({
        class: ["rc-notes", [unref(has_focus)]],
        disabled: __props.disabled,
        "post-id": __props.postId
      }, _attrs))} data-v-4fd08b5c><h3 class="comment-heading flex items-center gap-2 mb-3 mt-6" data-v-4fd08b5c><span class="comment-icon" data-v-4fd08b5c><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-8 h-8" data-v-4fd08b5c><path stroke-linecap="round" stroke-linejoin="round" d="M8.625 12a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0H8.25m4.125 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0H12m4.125 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0h-.375M21 12c0 4.556-4.03 8.25-9 8.25a9.764 9.764 0 0 1-2.555-.337A5.972 5.972 0 0 1 5.41 20.97a5.969 5.969 0 0 1-.474-.065 4.48 4.48 0 0 0 .978-2.025c.09-.457-.133-.901-.467-1.226C3.93 16.178 3 14.189 3 12c0-4.556 4.03-8.25 9-8.25s9 3.694 9 8.25Z" data-v-4fd08b5c></path></svg></span><span class="text" data-v-4fd08b5c>Comments `);
      if (unref(post_notes).length > 0) {
        _push(`<span data-v-4fd08b5c>(${ssrInterpolate(unref(post_notes).length)})</span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</span></h3>`);
      if (unref(is_logged_in)) {
        _push(`<div class="post-note flex items-start gap-3 mb-3" data-v-4fd08b5c>`);
        _push(ssrRenderComponent(_component_r_text, {
          modelValue: unref(new_note_text),
          "onUpdate:modelValue": ($event) => isRef(new_note_text) ? new_note_text.value = $event : new_note_text = $event,
          class: "flex-1",
          "max-height": "60px",
          "max-length": 256
        }, null, _parent));
        _push(`<button class="btn primary mt-2" data-v-4fd08b5c><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5" data-v-4fd08b5c><path stroke-linecap="round" stroke-linejoin="round" d="M6 12 3.269 3.125A59.769 59.769 0 0 1 21.485 12 59.768 59.768 0 0 1 3.27 20.875L5.999 12Zm0 0h7.5" data-v-4fd08b5c></path></svg></button></div>`);
      } else {
        _push(`<div class="post-note log-in-required" data-v-4fd08b5c><p class="color-gray-400" data-v-4fd08b5c>Please `);
        _push(ssrRenderComponent(_component_r_link, { to: "/login" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`login`);
            } else {
              return [
                createTextVNode("login")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(` or `);
        _push(ssrRenderComponent(_component_r_link, { to: "/signup" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`create`);
            } else {
              return [
                createTextVNode("create")
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(` an account to comment</p></div>`);
      }
      _push(`<ul class="note-list list-none p-0 mb-2" data-v-4fd08b5c>`);
      if (unref(post_notes).length == 0) {
        _push(`<li data-v-4fd08b5c><p class="color-gray-500" data-v-4fd08b5c>Be the first to comment.</p></li>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--[-->`);
      ssrRenderList(unref(post_notes), (note, ni) => {
        _push(`<li${ssrRenderAttr("post-id", note.post_id)}${ssrRenderAttr("note-id", note.id)} class="${ssrRenderClass(["note", note.status])}" style="${ssrRenderStyle({ paddingLeft: `calc(${note._tab * 30}px + 0.5em)` })}" data-v-4fd08b5c><div class="user-avatar time flex gap-3 items-start mb-3" data-v-4fd08b5c>`);
        _push(ssrRenderComponent(_component_r_avatar, {
          size: "sm",
          image: note.created_by_avatar,
          text: note.created_by_name
        }, null, _parent));
        _push(`<div class="flex-1 items-center" data-v-4fd08b5c><div class="note-created" data-v-4fd08b5c>${ssrInterpolate(unref(tf_text2)(note.created))}</div><div class="note-content" data-v-4fd08b5c>${note.value ?? ""}</div><div class="action-bar mt-1 pl-3 flex items-center gap-1 flex-1" data-v-4fd08b5c>`);
        if (note.is_admin) {
          _push(ssrRenderComponent(_component_r_select, {
            modelValue: note.status,
            "onUpdate:modelValue": ($event) => note.status = $event,
            values: unref(status_types),
            onChange: ($event) => unref(hnd_note_status_changed)(note)
          }, null, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`<button class="${ssrRenderClass([[note.user_liked ? "red liked" : ""], "btn comment-like"])}"${ssrRenderAttr("title", note.likes)} data-v-4fd08b5c>`);
        if (note.likes > 0) {
          _push(`<span data-v-4fd08b5c>${ssrInterpolate(note.likes)}</span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5" data-v-4fd08b5c><path stroke-linecap="round" stroke-linejoin="round" d="M21 8.25c0-2.485-2.099-4.5-4.688-4.5-1.935 0-3.597 1.126-4.312 2.733-.715-1.607-2.377-2.733-4.313-2.733C5.1 3.75 3 5.765 3 8.25c0 7.22 9 12 9 12s9-4.78 9-12Z" data-v-4fd08b5c></path></svg></button><button class="btn emerald comment-reply"${ssrRenderAttr("title", "Reply to " + note.created_by_name)} data-v-4fd08b5c><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5" data-v-4fd08b5c><path stroke-linecap="round" stroke-linejoin="round" d="M9 15 3 9m0 0 6-6M3 9h12a6 6 0 0 1 0 12h-3" data-v-4fd08b5c></path></svg></button></div>`);
        if (unref(reply_to) == note.id) {
          _push(`<div class="post-note flex items-start gap-3 mt-2" data-v-4fd08b5c>`);
          _push(ssrRenderComponent(_component_r_text, {
            modelValue: unref(reply_text),
            "onUpdate:modelValue": ($event) => isRef(reply_text) ? reply_text.value = $event : reply_text = $event,
            class: "flex-1",
            "max-height": "60px",
            "max-length": 256
          }, null, _parent));
          _push(`<div class data-v-4fd08b5c><button class="btn primary" data-v-4fd08b5c><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5" data-v-4fd08b5c><path stroke-linecap="round" stroke-linejoin="round" d="M6 12 3.269 3.125A59.769 59.769 0 0 1 21.485 12 59.768 59.768 0 0 1 3.27 20.875L5.999 12Zm0 0h7.5" data-v-4fd08b5c></path></svg></button><div class="cursor-pointer hover:color-gray-600 color-gray-400" data-v-4fd08b5c> cancel</div></div></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div></li>`);
      });
      _push(`<!--]--></ul></section>`);
    };
  }
};
const _sfc_setup$j = _sfc_main$j.setup;
_sfc_main$j.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RNotes.vue");
  return _sfc_setup$j ? _sfc_setup$j(props, ctx) : undefined;
};
const RNotes = /* @__PURE__ */ _export_sfc(_sfc_main$j, [["__scopeId", "data-v-4fd08b5c"]]);
const _sfc_main$i = {
  __name: "RPicker",
  __ssrInlineRender: true,
  props: {
    modelValue: {
      type: null,
      default: ""
    },
    disabled: {
      type: Boolean,
      default: false
    },
    target: {
      type: String,
      default: `posts.page`
    },
    placeholder: { type: String, default: "Search" }
  },
  emits: ["change", "inflated", "delete", "update:modelValue", "focus", "blur", "click", "rchange", "click-item"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    let root = ref(null);
    ref(null);
    ref(null);
    const emit = __emit;
    const d = useModel(props, emit);
    ref(null);
    let txt_search = ref(null);
    let is_busy_loading = ref(false);
    let fake_counter = ref(1);
    let has_focus = ref(false);
    let compute_key_words = computed(() => {
      return (text) => {
        if (!text) return ["---"];
        let keywords = text.split(/\s/gm);
        return keywords;
      };
    });
    let make_quotes = computed(() => {
      return (arr) => {
        return arr.map((it) => '"' + it + '"').join(",");
      };
    });
    let pagination = ref({ p: 1, pages: 1 });
    let result_set = ref([]);
    let el_result_pane = ref(null);
    let show_pane_at_top = computed(() => {
      let show_top = false;
      if (el_result_pane.value) {
        let rect = null;
        rect = el_result_pane.value.getBoundingClientRect();
        let win_height = (undefined).innerHeight;
        show_top = win_height - rect.bottom <= 50;
      }
      return has_focus.value && show_top;
    });
    let result_pane_style = computed(() => {
      let show = has_focus.value;
      fake_counter.value + 0.1;
      let positioning = { left: "0px" };
      if (el_result_pane.value) {
        let rect = el_result_pane.value.getBoundingClientRect();
        let rect_root = root.value.getBoundingClientRect();
        let win_height = (undefined).innerHeight;
        let show_top = win_height - rect.bottom <= 75;
        let height = rect_root.height + 3 + "px";
        if (show_top) {
          positioning.bottom = height;
        } else {
          positioning.top = height;
        }
      }
      return {
        ...positioning,
        opacity: show ? 1 : 0,
        pointerEvents: show ? "initial" : "none"
      };
    });
    let is_d_an_array = computed(() => Array.isArray(d.value));
    let loopable_d = computed(() => {
      let arr = is_d_an_array.value ? d.value : [d.value];
      return arr;
    });
    let inflated_d = computed(() => {
      let arr = loopable_d.value;
      let I = arr.filter((id) => id != null).map((id) => {
        return list_previously_inflated_values.value[id] || null;
      });
      emit("inflated", I);
      return I;
    });
    let list_previously_inflated_values = ref({});
    let inflate_values = async (is_initial_load) => {
      if (is_d_an_array.value) ;
      let ids_to_inflate = loopable_d.value.filter((id) => {
        return list_previously_inflated_values.value[id] == undefined || list_previously_inflated_values.value[id] == null;
      });
      is_busy_loading.value = true;
      let url = `/api/search`;
      let res = await useRequest({
        url,
        query: {
          target: props.target,
          inflate: ids_to_inflate
        }
      });
      let results = res.d || [];
      let inflated;
      for (var i = 0; i < results.length; i++) {
        inflated = results[i];
        list_previously_inflated_values.value[inflated.id] = inflated;
      }
      is_busy_loading.value = false;
    };
    inflate_values();
    let emit_change = useEmitChange(emit);
    watch(d, (value, old_value2) => {
      emit_change(value, old_value2);
    });
    let has_more = computed(() => {
      if (!pagination.value) return false;
      return pagination.value.pages - 1 >= pagination.value.p;
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_link = __nuxt_component_1$4;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-picker flex rc", [unref(has_focus) ? "has-focus" : ""]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-368a017f><!--[-->`);
      ssrRenderList(unref(inflated_d), (obj, oi) => {
        _push(`<!--[-->`);
        if (obj) {
          _push(`<div class="object user-select-none relative"${ssrRenderAttr("object-id", obj.id)} data-v-368a017f><span class="absolute z-100 remove" data-v-368a017f><svg class="w-5 h-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" data-v-368a017f><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" data-v-368a017f></path></svg></span><div class="image" data-v-368a017f>`);
          if (obj.image) {
            _push(`<img${ssrRenderAttr("src", obj.image)} data-v-368a017f>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div><div class="detail" data-v-368a017f><div class="title" data-v-368a017f>${ssrInterpolate(obj.title)}</div></div></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<!--]-->`);
      });
      _push(`<!--]-->`);
      if (unref(is_busy_loading)) {
        _push(`<div class="loader-spinner sm absolute" style="${ssrRenderStyle({ right: "6px", top: "4px" })}" data-v-368a017f></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<input${ssrRenderAttr("placeholder", __props.placeholder)} class="flex-1" style="${ssrRenderStyle({ "min-width": "100px" })}"${ssrRenderAttr("value", unref(txt_search))} data-v-368a017f><div class="${ssrRenderClass([[unref(show_pane_at_top) ? "top" : ""], "results-pane"])}" style="${ssrRenderStyle(unref(result_pane_style))}" data-v-368a017f>`);
      if (unref(result_set) && unref(result_set).length > 0) {
        _push(`<div class="pagination-more" data-v-368a017f><span class="${ssrRenderClass([[unref(has_more) ? "active" : ""], "more"])}" data-v-368a017f>more</span></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<ul class="result-items list-none" data-v-368a017f><!--[-->`);
      ssrRenderList(unref(result_set), (item, ii) => {
        _push(`<li class="result"${ssrRenderAttr("item-id", item.id)} data-v-368a017f><div class="${ssrRenderClass([[item.image ? "has-image" : ""], "image"])}" data-v-368a017f>`);
        if (item.image) {
          _push(`<img${ssrRenderAttr("src", item.image)} class="w-fit" data-v-368a017f>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div><div class="detail flex-1" data-v-368a017f>`);
        _push(ssrRenderComponent(_component_r_link, {
          to: item.url || "#"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h4 class="text-base" data-v-368a017f${_scopeId}>${ssrInterpolate(item.title)}</h4>`);
            } else {
              return [
                createVNode("h4", { class: "text-base" }, toDisplayString(item.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`<p data-v-368a017f>${ssrInterpolate(item.description)}</p></div></li>`);
      });
      _push(`<!--]-->`);
      if (unref(result_set) && unref(result_set).length == 0) {
        _push(`<li data-v-368a017f><div class="image" data-v-368a017f></div><div class="detail" data-v-368a017f><p class="color-gray-400 mt-2" data-v-368a017f> There are no results for ${ssrInterpolate(unref(make_quotes)(unref(compute_key_words)(unref(txt_search))))}</p></div></li>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</ul></div></div>`);
    };
  }
};
const _sfc_setup$i = _sfc_main$i.setup;
_sfc_main$i.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RPicker.vue");
  return _sfc_setup$i ? _sfc_setup$i(props, ctx) : undefined;
};
const RPicker = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$i, [["__scopeId", "data-v-368a017f"]]), { __name: "RPicker" });
const _sfc_main$h = {
  __name: "RCollapse",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    text: { type: String, default: "" },
    startExpanded: { type: Boolean, default: () => false }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    ref(null);
    let root = ref(null);
    let max_height = ref(null);
    let styler = computed(() => {
      return { maxHeight: max_height.value };
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-collapse rc", []],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-789eba99><div class="title flex justify-between items-center" data-v-789eba99><div class="title" data-v-789eba99>`);
      if (__props.text) {
        _push(`<div data-v-789eba99>${__props.text ?? ""}</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="mr-4 indicator" data-v-789eba99>`);
      if (unref(max_height)) {
        _push(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4 minus" data-v-789eba99><path stroke-linecap="round" stroke-linejoin="round" d="M5 12h14" data-v-789eba99></path></svg>`);
      } else {
        _push(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4" data-v-789eba99><path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" data-v-789eba99></path></svg>`);
      }
      _push(`</div></div><div class="content" style="${ssrRenderStyle(unref(styler))}" data-v-789eba99>`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</div></div>`);
    };
  }
};
const _sfc_setup$h = _sfc_main$h.setup;
_sfc_main$h.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RCollapse.vue");
  return _sfc_setup$h ? _sfc_setup$h(props, ctx) : undefined;
};
const RCollapse = /* @__PURE__ */ _export_sfc(_sfc_main$h, [["__scopeId", "data-v-789eba99"]]);
const _sfc_main$g = {
  __name: "RCarousel",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" }
  },
  emits: ["blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    ref(null);
    ref(false);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: "rc carousel",
        ref: ""
      }, _attrs))}><div class="controls flex justify-between"><button class="btn pointer-events-initial hover:color-white"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="M15.75 19.5 8.25 12l7.5-7.5"></path></svg></button><button class="btn pointer-events-initial hover:color-white"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="m8.25 4.5 7.5 7.5-7.5 7.5"></path></svg></button></div><div class="inner user-select-none">`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</div></div>`);
    };
  }
};
const _sfc_setup$g = _sfc_main$g.setup;
_sfc_main$g.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RCarousel.vue");
  return _sfc_setup$g ? _sfc_setup$g(props, ctx) : undefined;
};
const RCarousel = Object.assign(_sfc_main$g, { __name: "RCarousel" });
const _sfc_main$f = {
  emits: ["rchange", "update:modelValue"],
  props: {
    //modelValue: { type: null },
    /** The post-id for which we need to customize/filter for components */
    postId: { type: null, default() {
      return -1;
    } },
    /** Indicate whether we are in view mode (editor,view) */
    action: { type: String, default() {
      return "view";
    } },
    /** Indicates the placement (before,inside,after,editor,post_tables,dashboard,product_options) of the post components  */
    location: { type: String, default() {
      return "after";
    } },
    /** Must be an array of string or a string that represents the names of PostComponents that are only allowed
     * to be displayed.  When null, all PostComponent that were not previously fltered by loc & matches 
     * restrictions will be shown will be shown.  Typically this is provided for postcomponents located "inside"
     * a rendered post.
     */
    limitTo: { type: null, default() {
      return null;
    } },
    consumable: { type: null, default() {
      return null;
    } }
  },
  async setup(props, { emit, slot }) {
    let Block = (p, render) => {
      let imports = useBlockImportables();
      imports.h = h;
      return () => h(
        "div",
        { class: "post-component-item-wrapper" },
        h("div", {}, render(imports))
      );
    };
    ref("");
    let view_state = useViewerState();
    let editor_state = useEditorState();
    let loaded_components = ref(false);
    let fyi_route = useRoute();
    let has_already_mounted = ref(false);
    watch(() => view_state.postcomp_sources, () => {
      if (!has_already_mounted.value) return;
    });
    let post_components = shallowRef([]);
    let compile_post_components = async () => {
      var _a;
      post_components.value = [];
      loaded_components.value = false;
      var arr_model_def = view_state.postcomp_sources;
      if (!Array.isArray(arr_model_def)) return;
      let post = ((_a = props.location) == null ? undefined : _a.startsWith("editor")) ? editor_state.post : view_state.post;
      arr_model_def.forEach((it, ij) => {
        var _a2, _b;
        if (!it) return;
        let include = true;
        let fn = new Function(`return ${it.component}`);
        let callable = fn();
        if (typeof callable != "function") return;
        let component = callable();
        if (!Array.isArray(component.emits)) component.emits = [];
        if (!component.props) component.props = {};
        component.props.Block = Function;
        component.props.postId = null;
        component.props.route = Object;
        component.props.consumable = null;
        let match_restrictions = component.matches || null;
        if (Array.isArray(match_restrictions) && match_restrictions.length > 0) {
          let cond, ci, subject, like;
          for (ci = 0; ci < match_restrictions.length; ci++) {
            cond = match_restrictions[ci];
            like = cond.like || cond.values || cond.value;
            if (!Array.isArray(like)) continue;
            if (cond.type == "post_type") {
              subject = post.type;
            } else if (cond.type == "post_id") {
              subject = post.id;
            } else if (cond.type == "post_status") {
              subject = post.status;
            } else if (cond.type == "post_category") {
              subject = post.category_slug;
            } else if (cond.type == "location") {
              subject = props.location;
            } else if (cond.type == "post_parent") {
              subject = post.parent_id;
            } else if (cond.type == "has_meta") {
              subject = (_a2 = post == null ? undefined : post.metas) == null ? undefined : _a2.map((it2) => it2.name);
            } else if (cond.type == "login_status") {
              subject = (post == null ? undefined : post.current_user) ? true : false;
            } else if (cond.type == "post_url") {
              subject = post.url;
              if (!subject) {
                include = false;
                continue;
              }
              let at_least_once = false, re;
              for (var i = 0; i < like.length; i++) {
                try {
                  re = new RegExp(like[i]);
                  if (re.test(subject)) {
                    at_least_once = true;
                    break;
                  }
                } catch (e) {
                }
              }
              include = include && at_least_once;
              continue;
            } else if (cond.type == "has_tag") {
              include = include && util.includes(post.tags, like);
              continue;
            } else if ((_b = cond.type) == null ? undefined : _b.startsWith("meta_")) {
              let parts = /meta_([a-zA-Z-_]+)_(>=|>|<=|<|=|!=|in|not_in)/gm.exec(cond.type);
              if (parts == null) continue;
              let meta_name = parts[1];
              let operator = parts[2];
              if (!meta_name) continue;
              if (operator == undefined) continue;
              if (!post.metas || post.metas && post.metas.length == 0) {
                include = false;
                continue;
              }
              let the_meta = post.metas.find((it2) => it2.name == meta_name);
              if (!the_meta) {
                include = false;
                continue;
              }
              let result;
              if (operator == ">=") {
                result = the_meta.value >= like[0];
              } else if (operator == ">") {
                result = the_meta.value > like[0];
              } else if (operator == "<=") {
                result = the_meta.value <= like[0];
              } else if (operator == "<") {
                result = the_meta.value < like[0];
              } else if (operator == "==" || operator == "=") {
                result = the_meta.value == like[0];
              } else if (operator == "!=") {
                result = the_meta.value != like[0];
              } else if (operator == "in" || operator == "=>") {
                result = util.includes(like, the_meta.value);
              } else if (operator == "not_in" || operator == "=<") {
                result = !util.includes(like, the_meta.value);
              }
              include = include && result;
              continue;
            } else {
              continue;
            }
            let yo = util.includes(like, subject);
            include = include && yo;
          }
        }
        if (include) post_components.value.push(component);
      });
      loaded_components.value = true;
    };
    useAppState();
    compile_post_components();
    return () => {
      let limited_to = [];
      if (props.limitTo) {
        if (Array.isArray(props.limitTo)) {
          limited_to.push(...props.limitTo);
        } else {
          if (typeof limited_to == "string") limited_to.push(props.limitTo);
        }
      }
      return h(
        "div",
        { class: [
          `post-component`,
          loaded_components.value ? "loaded" : "pending",
          "local-" + props.location,
          "action-" + props.action
        ], location: props.location },
        !loaded_components.value ? h(
          "div",
          { class: ["flex", "justify-center", "flex-1"] },
          h("div", { class: "loader-spinner sm" })
        ) : null,
        //Loop each  post component and render it
        post_components.value.map((COMP, index) => {
          if (limited_to.length > 0) {
            if (!limited_to.includes(COMP.name)) return null;
          }
          return h(COMP, {
            postId: props.postId || -1,
            consumable: props.consumable,
            route: fyi_route,
            //Give FYI information about the page this component is one
            Block,
            key: `COMP-${index}`,
            "post-component-name": COMP.name
          });
        })
      );
    };
  }
};
const _sfc_setup$f = _sfc_main$f.setup;
_sfc_main$f.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RPostComponent.vue");
  return _sfc_setup$f ? _sfc_setup$f(props, ctx) : undefined;
};
const __nuxt_component_8 = Object.assign(_sfc_main$f, { __name: "RPostComponent" });
const _sfc_main$e = {
  __name: "RGallery",
  __ssrInlineRender: true,
  props: {
    values: { type: Array, default: () => [] }
  },
  emits: ["click"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    ref(null);
    useTfText();
    let active_item = ref(null);
    let cur_index = computed(() => {
      let index = -1, it;
      for (var i = 0; i < props.values.length; i++) {
        it = props.values[i];
        if (!it) continue;
        if (it == active_item.value) {
          index = i;
          break;
        }
      }
      return index;
    });
    let total_slides = computed(() => {
      return props.values.length;
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "rc-gallery" }, _attrs))} data-v-a1299da6><div class="gallery" data-v-a1299da6><!--[-->`);
      ssrRenderList(__props.values, (item, ii) => {
        _push(`<div class="image-card" data-v-a1299da6><header class="header" data-v-a1299da6>`);
        if (item.badge) {
          _push(`<div class="badge" data-v-a1299da6><span data-v-a1299da6>${ssrInterpolate(item.badge)}</span></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</header>`);
        if (item.image) {
          _push(`<img loading="lazy"${ssrRenderAttr("src", item.image)} class="pointer-events-none"${ssrRenderAttr("alt", item.description)} data-v-a1299da6>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<footer class="footer drop-shadow" data-v-a1299da6>`);
        if (item.title) {
          _push(`<h4 class="text font-extrabold" data-v-a1299da6>${ssrInterpolate(item.title)}</h4>`);
        } else {
          _push(`<!---->`);
        }
        if (item.description) {
          _push(`<div data-v-a1299da6>${ssrInterpolate(item.description)}</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</footer></div>`);
      });
      _push(`<!--]--></div>`);
      if (unref(active_item)) {
        ssrRenderTeleport(_push, (_push2) => {
          _push2(`<div class="overlay fixed active z-800 flex justify-center items-center user-select-none" style="${ssrRenderStyle({ "position": "fixed" })}" data-v-a1299da6><div class="item-wrap color-white overflow rounded overflow-hidden flex flex-col" style="${ssrRenderStyle({ maxHeight: "90vh" })}" data-v-a1299da6><img class="h-auto"${ssrRenderAttr("src", unref(active_item).image)} loading="lazy" style="${ssrRenderStyle({ minWidth: "140px", maxHeight: "100%" })}"${ssrRenderAttr("alt", unref(active_item).description)} data-v-a1299da6><footer class="footer drop-shadow-md" data-v-a1299da6>`);
          if (unref(active_item).title) {
            _push2(`<h4 class="text font-extrabold" data-v-a1299da6>${ssrInterpolate(unref(active_item).title)}</h4>`);
          } else {
            _push2(`<!---->`);
          }
          if (unref(active_item).description) {
            _push2(`<div data-v-a1299da6>${ssrInterpolate(unref(active_item).description)}</div>`);
          } else {
            _push2(`<!---->`);
          }
          _push2(`</footer><div class="slide-meta absolute bottom-right drop-shadow-md" data-v-a1299da6><span class="text-sm font-bold" data-v-a1299da6>${ssrInterpolate(unref(cur_index) + 1)} / ${ssrInterpolate(unref(total_slides))}</span></div></div><aside class="controls flex justify-between absolute w-full" data-v-a1299da6><button class="btn pointer-events-initial color-white ml-6" data-v-a1299da6><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3.5" stroke="currentColor" class="w-5 h-5" data-v-a1299da6><path stroke-linecap="round" stroke-linejoin="round" d="M15.75 19.5 8.25 12l7.5-7.5" data-v-a1299da6></path></svg></button><button class="btn pointer-events-initial color-white mr-6" data-v-a1299da6><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3.5" stroke="currentColor" class="w-5 h-5" data-v-a1299da6><path stroke-linecap="round" stroke-linejoin="round" d="m8.25 4.5 7.5 7.5-7.5 7.5" data-v-a1299da6></path></svg></button></aside></div>`);
        }, "body", false, _parent);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup$e = _sfc_main$e.setup;
_sfc_main$e.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RGallery.vue");
  return _sfc_setup$e ? _sfc_setup$e(props, ctx) : undefined;
};
const RGallery = /* @__PURE__ */ _export_sfc(_sfc_main$e, [["__scopeId", "data-v-a1299da6"]]);
const _sfc_main$d = {
  __name: "RStarReview",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: "" },
    name: { type: String, default: () => util.random_str() },
    disabled: { type: Boolean, default: false },
    numStars: { type: Number, default: 5 }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "click", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    let root = ref(null);
    ref(null);
    const emit = __emit;
    const d = useModel(props, emit);
    const hover_value = ref(-1);
    let emit_change = useEmitChange(emit);
    watch(d, (value, old_value) => {
      emit_change(value, old_value);
    });
    ref("");
    let has_focus = useFocusable();
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-star-review mb-1 rc", [unref(has_focus)]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-397cbd54><!--[-->`);
      ssrRenderList(__props.numStars, (astar) => {
        _push(`<span class="${ssrRenderClass([[astar <= unref(d) ? "marked" : "cls", astar <= unref(hover_value) ? "hover-mark" : "", astar == unref(d) ? "active" : ""], "star mr-1 cursor-pointer ts-scale-2 inline-block"])}" data-v-397cbd54><svg class="w-5 fill-gray-800" viewBox="0 0 14 13" xmlns="http://www.w3.org/2000/svg" data-v-397cbd54><path d="M7 0L9.4687 3.60213L13.6574 4.83688L10.9944 8.29787L11.1145 12.6631L7 11.2L2.8855 12.6631L3.00556 8.29787L0.342604 4.83688L4.5313 3.60213L7 0Z" data-v-397cbd54></path></svg></span>`);
      });
      _push(`<!--]--></div>`);
    };
  }
};
const _sfc_setup$d = _sfc_main$d.setup;
_sfc_main$d.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RStarReview.vue");
  return _sfc_setup$d ? _sfc_setup$d(props, ctx) : undefined;
};
const RStarReview = /* @__PURE__ */ _export_sfc(_sfc_main$d, [["__scopeId", "data-v-397cbd54"]]);
function usePrettyCurrency() {
  let app_state = useAppState();
  return computed(() => {
    return (val) => {
      if (typeof val == "string") return val;
      if (val == null) return val;
      if (val == undefined || val == "" || val == null) val = 0;
      var text = util.round(val, 2) + "";
      if (text.indexOf(".") == -1) text += ".00";
      var parts = text.split(".");
      if (parts[1].length < 2) parts[1] += "0";
      parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
      let out = parts.join(".");
      return app_state.currency + "" + out;
    };
  });
}
const _sfc_main$c = {
  __name: "RProductPrice",
  __ssrInlineRender: true,
  props: {
    version: { type: Number, default: () => 1 },
    currentPrice: { type: null, default: () => null },
    basePrice: { type: null, default: () => null },
    size: { type: String, default: () => "base" },
    basePriceText: { type: String, default: () => null },
    showChange: { type: Boolean, default: () => true },
    discountText: { type: String, default: () => null },
    increaseText: { type: String, default: () => null }
  },
  emits: ["change", "delete", "update:modelValue", "focus", "blur", "rchange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    useAppState();
    let cur_price = computed(() => {
      if (props.currentPrice == "") return 0;
      if (props.currentPrice == 0) return 0;
      if (!props.currentPrice) return 0;
      let val = Number.parseFloat(props.currentPrice);
      if (isNaN(val)) return 0;
      return val;
    });
    let base_price = computed(() => {
      if (props.basePrice == "") return 0;
      if (props.basePrice == 0) return 0;
      if (!props.basePrice) return 0;
      let val = Number.parseFloat(props.basePrice);
      if (isNaN(val)) return 0;
      return val;
    });
    let percent_change = computed(() => {
      let n = cur_price.value;
      let o = base_price.value;
      if (o == 0) return 0;
      return Math.ceil((n - o) / o * 100);
    });
    let prettify = usePrettyCurrency();
    let num_parts = computed(() => {
      return (val) => {
        var text = prettify.value(val);
        var parts = text.split(".");
        return parts;
      };
    });
    const emit = __emit;
    useModel(props, emit);
    ref(null);
    useFocusable();
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-price rc", [__props.size]]
      }, _attrs))} data-v-fd6735f2>`);
      if (__props.version == 1) {
        _push(`<div class="${ssrRenderClass(["version-" + __props.version])}" data-v-fd6735f2><div data-v-fd6735f2><span class="current-price" data-v-fd6735f2><span class="symbol" data-v-fd6735f2>$</span><span class="whole" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[0])}</span><span class="decimal ml-1" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[1])}</span></span></div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.version == 2) {
        _push(`<div class="${ssrRenderClass(["version-" + __props.version])}" data-v-fd6735f2><div data-v-fd6735f2><span class="current-price" data-v-fd6735f2><span class="symbol" data-v-fd6735f2>$</span><span class="whole" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[0])}</span><span class="decimal ml-1" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[1])}</span></span><span class="mr-2 ml-2" data-v-fd6735f2>${ssrInterpolate(__props.basePriceText)}</span><span class="base-price text-strike mr-2" data-v-fd6735f2>${ssrInterpolate(unref(prettify)(unref(base_price)))}</span></div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.version == 3) {
        _push(`<div class="${ssrRenderClass(["version-" + __props.version])}" data-v-fd6735f2><div data-v-fd6735f2><span class="current-price" data-v-fd6735f2><span class="symbol" data-v-fd6735f2>$</span><span class="whole" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[0])}</span><span class="decimal ml-1" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[1])}</span></span>`);
        if (__props.showChange) {
          _push(`<span class="${ssrRenderClass([[unref(percent_change) < 0 ? "discount" : "increase"], "percentage ml-3"])}" data-v-fd6735f2>${ssrInterpolate(unref(percent_change))}% <span data-v-fd6735f2>${ssrInterpolate(unref(percent_change) < 0 ? __props.discountText : __props.increaseText)}</span></span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div><div class="list-price text-smaller mt-1" data-v-fd6735f2><span class="mr-2" data-v-fd6735f2>${ssrInterpolate(__props.basePriceText)}</span><span class="base-price text-strike mr-2" data-v-fd6735f2>${ssrInterpolate(unref(prettify)(unref(base_price)))}</span></div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.version == 4) {
        _push(`<div class="${ssrRenderClass(["version-" + __props.version])}" data-v-fd6735f2><div data-v-fd6735f2><span class="current-price" data-v-fd6735f2><span class="symbol" data-v-fd6735f2>$</span><span class="whole" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[0])}</span><span class="decimal ml-1" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[1])}</span></span></div><div class="list-price text-smaller mt-1" data-v-fd6735f2><span class="mr-2" data-v-fd6735f2>${ssrInterpolate(__props.basePriceText)}</span><span class="base-price text-strike mr-2" data-v-fd6735f2>${ssrInterpolate(unref(prettify)(unref(base_price)))}</span>`);
        if (__props.showChange) {
          _push(`<span class="${ssrRenderClass([[unref(percent_change) < 0 ? "discount" : "increase"], "percentage"])}" data-v-fd6735f2>${ssrInterpolate(unref(percent_change))}% <span data-v-fd6735f2>${ssrInterpolate(unref(percent_change) < 0 ? __props.discountText : __props.increaseText)}</span></span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.version == 5) {
        _push(`<div class="${ssrRenderClass(["version-" + __props.version])}" data-v-fd6735f2><div data-v-fd6735f2>`);
        if (__props.showChange) {
          _push(`<span class="${ssrRenderClass([[unref(percent_change) < 0 ? "discount" : "increase"], "percentage mr-2"])}" data-v-fd6735f2>${ssrInterpolate(unref(percent_change))}% <span data-v-fd6735f2>${ssrInterpolate(unref(percent_change) < 0 ? __props.discountText : __props.increaseText)}</span></span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<span class="current-price" data-v-fd6735f2><span class="symbol" data-v-fd6735f2>$</span><span class="whole" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[0])}</span><span class="decimal ml-1" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[1])}</span></span></div><div class="list-price text-smaller mt-1" data-v-fd6735f2><span class="mr-2" data-v-fd6735f2>${ssrInterpolate(__props.basePriceText)}</span><span class="base-price text-strike mr-2" data-v-fd6735f2>${ssrInterpolate(unref(prettify)(unref(base_price)))}</span></div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.version == 6) {
        _push(`<div class="${ssrRenderClass(["version-" + __props.version])}" data-v-fd6735f2><div data-v-fd6735f2>`);
        if (__props.showChange) {
          _push(`<span class="${ssrRenderClass([[unref(percent_change) < 0 ? "discount" : "increase"], "percentage mr-2"])}" data-v-fd6735f2>${ssrInterpolate(unref(percent_change))}% <span data-v-fd6735f2>${ssrInterpolate(unref(percent_change) < 0 ? __props.discountText : __props.increaseText)}</span></span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<span class="current-price" data-v-fd6735f2><span class="symbol" data-v-fd6735f2>$</span><span class="whole" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[0])}</span><span class="decimal ml-1" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[1])}</span></span></div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.version == 7) {
        _push(`<div class="${ssrRenderClass(["version-" + __props.version])}" data-v-fd6735f2><div data-v-fd6735f2><span class="current-price" data-v-fd6735f2><span class="symbol" data-v-fd6735f2>$</span><span class="whole" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[0])}</span><span class="decimal ml-1" data-v-fd6735f2>${ssrInterpolate(unref(num_parts)(unref(cur_price))[1])}</span></span></div><div data-v-fd6735f2><span class="mr-2 ml-2" data-v-fd6735f2>${ssrInterpolate(__props.basePriceText)}</span><span class="base-price text-strike mr-2" data-v-fd6735f2>${ssrInterpolate(unref(prettify)(unref(base_price)))}</span></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup$c = _sfc_main$c.setup;
_sfc_main$c.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RProductPrice.vue");
  return _sfc_setup$c ? _sfc_setup$c(props, ctx) : undefined;
};
const RProductPrice = /* @__PURE__ */ _export_sfc(_sfc_main$c, [["__scopeId", "data-v-fd6735f2"]]);
const _sfc_main$b = {
  __name: "RProductVariant",
  __ssrInlineRender: true,
  props: {
    productId: { type: Number, default: () => null }
  },
  emits: ["selected"],
  setup(__props, { emit: __emit }) {
    let app_state = useAppState();
    let tf = useTfText();
    let prettify = usePrettyCurrency();
    const props = __props;
    let emit = __emit;
    let the_product = ref(null);
    let selected_variant = ref(null);
    let product_metas = computed(() => {
      if (!the_product.value) return [];
      else return the_product.value.metas;
    });
    watch(() => props.productId, (val) => {
    });
    let load_price = async (on_init) => {
      {
        let view_state = useViewerState();
        the_product.value = view_state.post || null;
        if (the_product.value && the_product.value.id == props.productId) return;
      }
      the_product.value = await app_state.get_post({ id: props.productId });
    };
    load_price();
    let current_store_loc = computed(() => {
      return app_state.get_current_store_location();
    });
    let variant_types = computed(() => {
      if (!the_product.value) return null;
      if (!Array.isArray(the_product.value.metas)) return null;
      let variants = the_product.value.metas.filter((it) => it.name && it.name.startsWith("product_vardef_"));
      return variants;
    });
    let variant_type_names = computed(() => {
      let arr = variant_types.value;
      if (!arr) return [];
      return arr.map((it) => {
        var name = it.name;
        if (!name) return null;
        name = name.substring("product_vardef_".length);
        return name;
      });
    });
    let variant_type_name = computed(() => {
      return (name) => {
        if (!name) return null;
        return name.substring("product_vardef_".length);
      };
    });
    let variant_type_options = computed(() => {
      return (variant_type) => {
        if (!variant_type) return [];
        return variant_type.value;
      };
    });
    let emit_selected = (id) => {
      var _a;
      let shop_selection = app_state.page_storage(`variants`) || [];
      let the_variant = shop_selection.find((it) => {
        return it.product_id == props.productId;
      });
      let meta = product_metas.value.find((it) => it.id == id);
      var vtype = null;
      var vtype_option = null;
      for (var i = 0; i < variant_type_names.value.length; i++) {
        var tmp = `product_var_${variant_type_names.value[i].toLowerCase()}`;
        if (meta.name.startsWith(tmp)) {
          vtype = variant_type_names.value[i];
          var voptions = variant_type_options.value(
            the_product.value.metas.find((it) => it.name == `product_vardef_${vtype}`)
          ) || [];
          for (var j = 0; j < voptions.length; j++) {
            if (meta.name.startsWith(`product_var_${vtype}_${(_a = voptions[j]) == null ? undefined : _a.toLowerCase()}`)) {
              vtype_option = voptions[j].toLowerCase();
            }
          }
          break;
        } else console.info("else", meta.name, "vs", variant_type_names.value[i]);
      }
      if (!the_variant) {
        the_variant = {
          product_id: props.productId,
          id,
          price: meta.value,
          type: "variant",
          value: vtype_option
        };
        shop_selection.push(the_variant);
      } else {
        the_variant.id = id;
        the_variant.price = meta.value;
        the_variant.value = vtype_option;
      }
      app_state.page_storage("variants", shop_selection);
      emit("selected", id);
    };
    let get_meta_from_opt = computed(() => {
      return (type2, opt_val2) => {
        opt_val2 = opt_val2.toLowerCase();
        let target_meta = `${type2}_${opt_val2}`;
        let valz = product_metas.value.filter((it) => it.name && it.name.endsWith("_price") && it.name.startsWith(
          `product_var_${target_meta}`
        ));
        let output = null;
        if (valz.length == 1) {
          output = valz[0];
        } else {
          let tmp = `_loc:${current_store_loc.value}_`;
          let meta = valz.find((it) => {
            return it.name && it.name.includes(tmp);
          });
          if (!meta) {
            output = { title: "N/A", id: -1 };
          } else {
            output = meta;
          }
        }
        if (selected_variant.value == null) {
          selected_variant.value = output.id || -1;
          emit_selected(selected_variant.value);
        }
        return output;
      };
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-product-variant rc", []],
        "selected-variant": unref(selected_variant)
      }, _attrs))} data-v-3f1a0a2d><ul class="${ssrRenderClass(["variant-types", "list-none", "mb-5"])}" data-v-3f1a0a2d><!--[-->`);
      ssrRenderList(unref(variant_types), (variant_type) => {
        _push(`<li data-v-3f1a0a2d><div class="variant-title mt-3 mb-2 color-gray-500 font-bold" data-v-3f1a0a2d>${ssrInterpolate(unref(tf)(unref(variant_type_name)(variant_type.name)))}</div><div class="${ssrRenderClass(["flex", "gap-3", "flex-wrap"])}" data-v-3f1a0a2d><!--[-->`);
        ssrRenderList(unref(variant_type_options)(variant_type), (opt) => {
          _push(`<button class="${ssrRenderClass([[unref(get_meta_from_opt)(unref(variant_type_name)(variant_type.name), opt).id == unref(selected_variant) ? "selected" : "", "btn"], "flex-col min-w-2 hover:color-primary-500 border-gray-300 border"])}"${ssrRenderAttr("variant-type", unref(variant_type_name)(variant_type.name))}${ssrRenderAttr("variant-opt", opt)}${ssrRenderAttr("meta-id", unref(get_meta_from_opt)(unref(variant_type_name)(variant_type.name), opt).id)} data-v-3f1a0a2d><div data-v-3f1a0a2d><span class="font-bold variant-option-value" data-v-3f1a0a2d>${ssrInterpolate(opt)}</span></div><div class="text-smaller" data-v-3f1a0a2d>${ssrInterpolate(unref(prettify)(
            unref(get_meta_from_opt)(unref(variant_type_name)(variant_type.name), opt).value
          ))}</div></button>`);
        });
        _push(`<!--]--></div></li>`);
      });
      _push(`<!--]-->`);
      if (!unref(the_product)) {
        _push(`<li class="p-2 rounded border border-gray-300 color-gray-500 user-select-none" data-v-3f1a0a2d> Unable to locate product #${ssrInterpolate(__props.productId)}</li>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</ul></div>`);
    };
  }
};
const _sfc_setup$b = _sfc_main$b.setup;
_sfc_main$b.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RProductVariant.vue");
  return _sfc_setup$b ? _sfc_setup$b(props, ctx) : undefined;
};
const RProductVariant = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$b, [["__scopeId", "data-v-3f1a0a2d"]]), { __name: "RProductVariant" });
const _sfc_main$a = {
  __name: "RSpinner",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: null },
    type: { type: String, default: "string" },
    disabled: { type: Boolean, default: false },
    step: { type: Number, default: 1 },
    placeholder: { type: String, default: null },
    min: { type: Number, default: () => null },
    max: { type: Number, default: () => null }
  },
  emits: ["change", "enter", "delete", "update:modelValue", "focus", "blur", "rchange", "escape"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    let field_type = computed(() => {
      if (props.type == "currency") {
        return "text";
      } else if (props.type == "password") {
        return "password";
      } else {
        return props.type;
      }
    });
    const emit = __emit;
    const d = useModel(props, emit);
    let root = ref(null);
    let has_focus = useFocusable();
    let changed_from_internal = false;
    watch(() => props.modelValue, (new_val, old_val) => {
      if (!changed_from_internal) {
        set_new_value(new_val, true);
      }
      changed_from_internal = false;
    }, { deep: true });
    let set_new_value = (val, from_external = false) => {
      d.value = val;
      changed_from_internal = from_external;
    };
    ref(null);
    computed(() => {
      let step_val = props.step || 1;
      let step_size = step_val;
      return step_size;
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc spinner rc flex", [unref(has_focus) ? "has-focus" : "", __props.disabled ? "disabled" : ""]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-771569aa><div class="p wrap" data-v-771569aa><input${ssrRenderDynamicModel(unref(field_type), unref(d), null)}${ssrRenderAttr("type", unref(field_type))}${ssrRenderAttr("placeholder", __props.placeholder)}${ssrRenderAttr("aria-placeholder", __props.placeholder)} class="control flex-auto"${ssrIncludeBooleanAttr(__props.disabled) ? " disabled" : ""} data-v-771569aa></div><div class="s flex flex-col" data-v-771569aa><button class="btn up hover:color-primary-500" data-v-771569aa><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-4" data-v-771569aa><path stroke-linecap="round" stroke-linejoin="round" d="m4.5 15.75 7.5-7.5 7.5 7.5" data-v-771569aa></path></svg></button><button class="btn down hover:color-primary-500" data-v-771569aa><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-4" data-v-771569aa><path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" data-v-771569aa></path></svg></button></div></div>`);
    };
  }
};
const _sfc_setup$a = _sfc_main$a.setup;
_sfc_main$a.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RSpinner.vue");
  return _sfc_setup$a ? _sfc_setup$a(props, ctx) : undefined;
};
const RSpinner = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$a, [["__scopeId", "data-v-771569aa"]]), { __name: "RSpinner" });
const _sfc_main$9 = {
  __name: "RProductAddToCart",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: null, default: null },
    productId: { type: Number, default: null },
    disabled: { type: Boolean, default: false }
  },
  emits: ["change", "enter", "delete", "update:modelValue", "focus", "blur", "rchange", "escape"],
  setup(__props, { emit: __emit }) {
    useAppState();
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    let root = ref(null);
    let item_count = ref(1);
    let hnd_item_r_changed = () => {
      if (props.disabled) item_count.value = 1;
    };
    let hnd_item_count_changed = (e) => {
      if (props.disabled) {
        item_count.value = 1;
        return;
      }
      if (item_count.value <= 0) item_count.value = 1;
    };
    let is_busy = ref(false);
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_spinner = RSpinner;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc add-to-cart rc flex gap-3", [__props.disabled ? "disabled" : ""]],
        ref_key: "root",
        ref: root
      }, _attrs))}>`);
      _push(ssrRenderComponent(_component_r_spinner, {
        modelValue: unref(item_count),
        "onUpdate:modelValue": ($event) => isRef(item_count) ? item_count.value = $event : item_count = $event,
        min: 1,
        onRchange: unref(hnd_item_r_changed),
        onChange: unref(hnd_item_count_changed)
      }, null, _parent));
      _push(`<button class="${ssrRenderClass([_ctx.$attrs.class, "add-to-cart btn solid-primary p-3"])}">`);
      if (unref(is_busy)) {
        _push(`<span class="loader-spinner sm white mr-1" style="${ssrRenderStyle({ "border-top-color": "white", "border-left-color": "white" })}"></span>`);
      } else {
        _push(`<!---->`);
      }
      _push(` Add to cart </button></div>`);
    };
  }
};
const _sfc_setup$9 = _sfc_main$9.setup;
_sfc_main$9.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RProductAddToCart.vue");
  return _sfc_setup$9 ? _sfc_setup$9(props, ctx) : undefined;
};
const RProductAddToCart = Object.assign(_sfc_main$9, { __name: "RProductAddToCart" });
const _sfc_main$8 = {
  __name: "RProductCart",
  __ssrInlineRender: true,
  props: {
    type: { type: Number, default: 1 },
    enableText: { type: Boolean, default: false },
    title: { type: String, default: null },
    itemClass: { type: String, default: null }
  },
  emits: ["change", "enter", "delete", "update:modelValue", "focus", "blur", "rchange", "escape"],
  setup(__props, { emit: __emit }) {
    let app_state = useAppState();
    let tf = useTfText();
    const props = __props;
    const emit = __emit;
    useModel(props, emit);
    const prettify = usePrettyCurrency();
    let root = ref(null);
    let is_busy = ref(false);
    let refresh_shopping_cart = async () => {
      is_busy.value = true;
      await app_state.get_cart();
      is_busy.value = false;
    };
    refresh_shopping_cart();
    let c_cart = computed(() => {
      if (!app_state.cart) return { total: 0, items: [] };
      return app_state.cart;
    });
    let cart_count = computed(() => {
      var _a;
      if (!c_cart.value.items) return 0;
      return (_a = c_cart.value.items) == null ? undefined : _a.length;
    });
    util.debounce((cart_item) => {
      cart_item.delete = true;
      update_cart(cart_item);
    });
    let hnd_quantity_changed = util.debounce((cart_item) => {
      update_cart(cart_item);
    });
    let update_cart = async (cart_item) => {
      if (!cart_item) return;
      is_busy.value = true;
      let res = await useRequest({
        url: `/api/shop/update-cart`,
        body: cart_item,
        method: "post"
      });
      await app_state.get_cart(res.d);
      setTimeout(() => is_busy.value = false, 200);
    };
    let has_remove_text = computed(() => {
      return props.enableText;
    });
    return (_ctx, _push, _parent, _attrs) => {
      var _a;
      const _component_r_link = __nuxt_component_1$4;
      const _component_r_spinner = RSpinner;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc shopping-cart rc my-2", []],
        ref_key: "root",
        ref: root
      }, _attrs))}><div class="cart-status flex justify-center absolute z-100 w-full point-events-none">`);
      if (unref(is_busy)) {
        _push(`<span class="loader-spinner sm"></span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><ul class="cart-wrapper list-none"><li class="lead-item mb-4"><div class="flex justify-between items-center"><h3 class="cart-title">${ssrInterpolate(__props.title || "")}</h3><span class="color-gray-500 inline-block pr-9">${ssrInterpolate(unref(cart_count))} items in cart</span></div></li><li class="cart-empty">`);
      if (((_a = unref(c_cart).items) == null ? undefined : _a.length) == 0) {
        _push(`<div class="flex justify-center color-gray-400 user-select-none py-6"> Cart is empty </div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</li><!--[-->`);
      ssrRenderList(unref(c_cart).items, (item, ii) => {
        _push(`<li class="${ssrRenderClass([[__props.itemClass], "cart-item"])}"${ssrRenderAttr("item-id", item.id)}>`);
        if (__props.type == 2) {
          _push(`<div class="cart-layout-2 flex mb-6"><div class="left flex-1 items-start flex gap-4"><div class="item-image w-18 h-18 bg-gray-300 rounded"><img class="object-fit-contain w-full h-full" src="https://static.wikia.nocookie.net/unanything/images/8/8b/Average_Anime_Girl.png/revision/latest?cb=20230326002111"></div><div class="item-content w-full"><h3 class="text-base mb-3">`);
          _push(ssrRenderComponent(_component_r_link, {
            to: item.url
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.title)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</h3><ol class="selections list-none mt-1 mb-2 text-smaller color-gray-600"><!--[-->`);
          ssrRenderList(item.choices, (choice) => {
            _push(`<li${ssrRenderAttr("type", choice.type)} class="mb-1"><span class="font-bold">${ssrInterpolate(unref(tf)(choice.name))}</span> : <span class="value">${ssrInterpolate(unref(tf)(choice.value))}</span></li>`);
          });
          _push(`<!--]--></ol></div></div><div class="right flex gap-3 items-center">`);
          _push(ssrRenderComponent(_component_r_spinner, {
            modelValue: item.quantity,
            "onUpdate:modelValue": ($event) => item.quantity = $event,
            class: "mr-5",
            onRchange: ($event) => unref(hnd_quantity_changed)(item, $event)
          }, null, _parent));
          _push(`<span class="inline-block font-bold">${ssrInterpolate(unref(prettify)(item.price))}</span><button class="btn color-opacity-40 hover:color-opacity-100 hover:color-red-500 hover-danger"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0"></path></svg>`);
          if (unref(has_remove_text)) {
            _push(`<span class="text-smaller">Remove</span>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</button>`);
          if (item.error) {
            _push(`<div><!--[-->`);
            ssrRenderList(item.msg, (msg, m) => {
              _push(`<ul>${ssrInterpolate(msg)}</ul>`);
            });
            _push(`<!--]--></div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div></div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.type == 1) {
          _push(`<div class="cart-layout-1 flex mb-6"><div class="left flex-1 items-start flex gap-4"><div class="item-image w-18 h-18 bg-gray-300 rounded"><img class="object-fit-contain w-full h-full" src="https://static.wikia.nocookie.net/unanything/images/8/8b/Average_Anime_Girl.png/revision/latest?cb=20230326002111"></div><div class="item-content w-full"><h3 class="text-base mb-3">`);
          _push(ssrRenderComponent(_component_r_link, {
            to: item.url
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.title)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</h3><ol class="selections list-none mt-1 mb-2 text-smaller color-gray-600"><!--[-->`);
          ssrRenderList(item.choices, (choice) => {
            _push(`<li${ssrRenderAttr("type", choice.type)} class="mb-1"><span class="font-bold">${ssrInterpolate(unref(tf)(choice.name))}</span> : ${ssrInterpolate(choice.value)}</li>`);
          });
          _push(`<!--]--></ol><button class="btn color-opacity-40 hover:color-opacity-100 hover:color-red-500 hover-danger"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0"></path></svg>`);
          if (unref(has_remove_text)) {
            _push(`<span class="text-smaller">Remove</span>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</button></div></div><div class="right"><div class="price-quanity"><span class="mb-3 inline-block font-bold">${ssrInterpolate(unref(prettify)(item.price))}</span>`);
          _push(ssrRenderComponent(_component_r_spinner, {
            modelValue: item.quantity,
            "onUpdate:modelValue": ($event) => item.quantity = $event,
            onRchange: ($event) => unref(hnd_quantity_changed)(item, $event)
          }, null, _parent));
          _push(`</div>`);
          if (item.error) {
            _push(`<div><!--[-->`);
            ssrRenderList(item.msg, (msg, m) => {
              _push(`<ul>${ssrInterpolate(msg)}</ul>`);
            });
            _push(`<!--]--></div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div>`);
    };
  }
};
const _sfc_setup$8 = _sfc_main$8.setup;
_sfc_main$8.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RProductCart.vue");
  return _sfc_setup$8 ? _sfc_setup$8(props, ctx) : undefined;
};
const _sfc_main$7 = {
  __name: "RProductOptions",
  __ssrInlineRender: true,
  props: {
    productId: { type: Number, default: () => null }
  },
  emits: ["selected"],
  setup(__props, { emit: __emit }) {
    let app_state = useAppState();
    const props = __props;
    let the_product = ref(null);
    let selected_option = ref(null);
    let tf_text2 = useTfText();
    let opt_name = computed(() => {
      return (str) => {
        if (!str) return str;
        return str.toLowerCase().substring("product_opt_".length);
      };
    });
    let emit_selected = (id, opt_val) => {
      let shop_selection = app_state.page_storage(`prod_options`) || [];
      let opt_settings = shop_selection.find((it) => it.product_id == props.productId && it.id == id);
      if (!opt_settings) {
        opt_settings = {
          id,
          product_id: props.productId,
          value: opt_val,
          type: "option"
        };
        shop_selection.push(opt_settings);
        app_state.page_storage("prod_options", shop_selection);
      } else {
        opt_settings.value = opt_val;
      }
    };
    let set_defaults = () => {
      if (!the_product.value) return;
      if (!Array.isArray(the_product.value.metas)) return;
      the_product.value.metas.filter((it) => it.name.startsWith("product_opt_")).forEach((meta) => {
        let init_val = null;
        if (Array.isArray(meta.value)) {
          init_val = meta.value[0] || 0;
        } else {
          init_val = meta.value;
        }
        emit_selected(meta.id, init_val);
      });
    };
    let load_options = async (on_init) => {
      {
        let view_state = useViewerState();
        the_product.value = view_state.post || null;
        if (the_product.value && the_product.value.id == props.productId) return set_defaults();
      }
      the_product.value = await app_state.get_post({ id: props.productId });
      return set_defaults();
    };
    load_options();
    let prod_options = computed(() => {
      if (!the_product.value) return null;
      if (!Array.isArray(the_product.value.metas)) return null;
      let opts = the_product.value.metas.filter((it) => it.name && it.name.startsWith("product_opt_"));
      if (opts.length == 0) return null;
      return opts;
    });
    let opt_choices = computed(() => {
      return (meta) => {
        if (!meta) return [];
        return meta.value || [];
      };
    });
    let is_selected_option = computed(() => {
      return (meta_id, opt) => {
        let shop_selection = app_state.page_storage(`prod_options`) || [];
        if (shop_selection.length == 0) return false;
        let setting = shop_selection.find((it, index) => {
          return it.product_id == props.productId && it.id == meta_id;
        });
        if (!setting) {
          return false;
        }
        return setting.value == opt;
      };
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_post_component = __nuxt_component_8;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["rc-product-options rc", [unref(prod_options) ? "my-1 py-1 pb-3" : ""]],
        "selected-option": unref(selected_option)
      }, _attrs))} data-v-fe55609b>`);
      if (unref(prod_options)) {
        _push(`<ul class="${ssrRenderClass(["options-wrapper", "list-none", "pb-2"])}" data-v-fe55609b><!--[-->`);
        ssrRenderList(unref(prod_options), (meta) => {
          _push(`<li class="mb-2" data-v-fe55609b><div class="option-name mb-2" data-v-fe55609b><span data-v-fe55609b>${ssrInterpolate(unref(tf_text2)(unref(opt_name)(meta.name)))}</span></div><div class="flex gap-2 flex-wrap" data-v-fe55609b><!--[-->`);
          ssrRenderList(unref(opt_choices)(meta), (opt) => {
            _push(`<button class="${ssrRenderClass([[unref(is_selected_option)(meta.id, opt) ? "selected" : ""], "btn"])}" data-v-fe55609b>${ssrInterpolate(unref(tf_text2)(opt))}</button>`);
          });
          _push(`<!--]--></div></li>`);
        });
        _push(`<!--]-->`);
        if (!unref(the_product)) {
          _push(`<li class="p-2 rounded border border-gray-300 color-gray-500 user-select-none" data-v-fe55609b> Unable to locate product #${ssrInterpolate(__props.productId)}</li>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</ul>`);
      } else {
        _push(`<!---->`);
      }
      _push(ssrRenderComponent(_component_r_post_component, { location: "product_options" }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup$7 = _sfc_main$7.setup;
_sfc_main$7.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RProductOptions.vue");
  return _sfc_setup$7 ? _sfc_setup$7(props, ctx) : undefined;
};
const RProductOptions = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$7, [["__scopeId", "data-v-fe55609b"]]), { __name: "RProductOptions" });
const _sfc_main$6 = {
  __name: "RProductCartSummary",
  __ssrInlineRender: true,
  props: {
    type: { type: Number, default: 1 },
    isStriped: { type: Boolean, default: false },
    checkoutText: { type: String, default: null },
    checkoutClass: { type: String, default: "solid-black" }
  },
  emits: ["change", "enter", "delete", "update:modelValue", "focus", "blur", "rchange", "escape"],
  setup(__props, { emit: __emit }) {
    let app_state = useAppState();
    let tf = useTfText();
    const props = __props;
    ref(null);
    ref(false);
    const emit = __emit;
    useModel(props, emit);
    const prettify = usePrettyCurrency();
    let root = ref(null);
    let is_busy = ref(false);
    let refresh_shopping_cart = async () => {
      is_busy.value = true;
      await app_state.get_cart();
      is_busy.value = false;
    };
    refresh_shopping_cart();
    let c_cart = computed(() => {
      if (!app_state.cart) return { total: 0, items: [] };
      return app_state.cart;
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["r-cart-summary rc my-2", [__props.isStriped ? "striped" : ""]],
        ref_key: "root",
        ref: root
      }, _attrs))} data-v-a5514549><div class="cart-status flex justify-center absolute z-100 w-full point-events-none" data-v-a5514549>`);
      if (unref(is_busy)) {
        _push(`<span class="loader-spinner sm" data-v-a5514549></span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="summary-row subtotal sub" data-v-a5514549><span class="txt" data-v-a5514549>Subtotal</span> <span class="amount" data-v-a5514549>${ssrInterpolate(unref(prettify)(unref(c_cart).subtotal))}</span></div><div class="summary-row shipping sub" data-v-a5514549><span class="txt" data-v-a5514549>Shipping</span> <span class="amount" data-v-a5514549>${ssrInterpolate(unref(prettify)(unref(c_cart).shipping))}</span></div><div class="summary-row weight sub" style="${ssrRenderStyle({ "display": "none" })}" data-v-a5514549><span class="txt" data-v-a5514549>Weight</span> <span class="amount" data-v-a5514549>${ssrInterpolate(unref(tf)(unref(c_cart).total_weight))}</span></div><div class="summary-row tax sub" data-v-a5514549><span class="txt" data-v-a5514549>Tax</span> <span class="amount" data-v-a5514549>${ssrInterpolate(unref(prettify)(unref(c_cart).tax))}</span></div><div class="summary-row total" data-v-a5514549><span class="txt font-extrabold" data-v-a5514549>Total</span> <span class="amount font-bold" data-v-a5514549>${ssrInterpolate(unref(prettify)(unref(c_cart).total))}</span></div>`);
      if (__props.checkoutText) {
        _push(`<button class="${ssrRenderClass([[__props.checkoutClass], "btn w-full py-4 font-bold"])}" data-v-a5514549>${ssrInterpolate(__props.checkoutText)}</button>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<div data-v-a5514549></div></div>`);
    };
  }
};
const _sfc_setup$6 = _sfc_main$6.setup;
_sfc_main$6.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RProductCartSummary.vue");
  return _sfc_setup$6 ? _sfc_setup$6(props, ctx) : undefined;
};
const RProductCartSummary = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$6, [["__scopeId", "data-v-a5514549"]]), { __name: "RProductCartSummary" });
const _sfc_main$5 = {
  __name: "RPagination",
  __ssrInlineRender: true,
  props: {
    url: { type: String, default() {
      return null;
    } },
    useLinks: { type: Boolean, default: () => true },
    options: {
      type: Object,
      default() {
        return { p: 1, pages: 1, limit: null };
      }
    },
    forceEmit: { type: Boolean, default: false }
  },
  emits: ["paginate"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    watch(() => props.options, (new_val, old_value) => {
    });
    let total_pages = computed(() => {
      let n = props.options.pages;
      if (!n) n = 1;
      return n;
    });
    let show_pagination = computed(() => total_pages.value > 1);
    let cur_page = computed(() => {
      let p = props.options.p;
      if (!p) p = 1;
      return p;
    });
    let limit = computed(() => {
      let l = props.options.limit;
      return l;
    });
    const emit = __emit;
    useModel(props, emit);
    watch(() => props.forceEmit, (new_val) => {
      if (new_val) {
        hnd_clicked_pagination_item(pages.value[0]);
      }
    });
    let hnd_clicked_pagination_item = (page) => {
      if (!page) return;
      emit("paginate", page);
    };
    let make_url = (index) => {
      let url = props.url;
      if (!url) return null;
      let parts = url.split("?");
      let base = parts[0];
      parts.length > 1;
      let queries = (parts[1] || "").split("&");
      let queries_without_pagination = [];
      for (var j = 0; j < queries.length; j++) {
        parts = queries[j].split("=");
        if (["p", "limit"].includes(parts[0])) continue;
        if (queries && !queries[j]) continue;
        queries_without_pagination.push(queries[j]);
      }
      return base + "?" + queries_without_pagination.join("&") + `${queries_without_pagination.length > 0 ? "&" : ""}p=${index}&limit=${limit.value}`;
    };
    let pages = computed(() => {
      let p = cur_page.value;
      let last_page = total_pages.value;
      let num_sides = 3;
      let pages2 = [];
      for (let i = 1; i <= last_page; i++) {
        let offset = i == 1 || last_page ? num_sides + 1 : num_sides;
        if ([1, p, last_page].includes(i) || i >= p - offset && i <= p + offset) {
          pages2.push({
            text: "" + i,
            index: i,
            is_empty: false,
            is_current: i == p,
            url: make_url(i)
          });
        } else if (i == p - (offset + 1) || i == p + (offset + 1)) {
          pages2.push({ text: "...", is_empty: true, index: i });
        }
      }
      return pages2;
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_link = __nuxt_component_1$4;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: "rc-pagination",
        ref: "root"
      }, _attrs))} data-v-c6326b76>`);
      if (unref(show_pagination)) {
        _push(`<ol class="list-none flex gap-2 flex-wrap items-baseline" data-v-c6326b76><!--[-->`);
        ssrRenderList(unref(pages), (page) => {
          _push(`<li class="${ssrRenderClass(["pagination-item", page.is_current ? "current" : "", page.is_empty ? "empty" : ""])}" data-v-c6326b76>`);
          if (page.is_empty) {
            _push(`<span class="inline-block" data-v-c6326b76>${ssrInterpolate(page.text)}</span>`);
          } else {
            _push(`<!--[-->`);
            if (__props.useLinks) {
              _push(ssrRenderComponent(_component_r_link, {
                to: page.url,
                class: "pagination-control link"
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(page.text)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(page.text), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent));
            } else {
              _push(`<button class="pagination-control action" data-v-c6326b76>${ssrInterpolate(page.text)}</button>`);
            }
            _push(`<!--]-->`);
          }
          _push(`</li>`);
        });
        _push(`<!--]--></ol>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup$5 = _sfc_main$5.setup;
_sfc_main$5.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RPagination.vue");
  return _sfc_setup$5 ? _sfc_setup$5(props, ctx) : undefined;
};
const __nuxt_component_3 = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["__scopeId", "data-v-c6326b76"]]);
function useTfProduct(cur_store_ref) {
  let prod_price = computed(() => {
    return (post) => {
      let inv = post.inventory;
      if (!inv) return null;
      let prices = [];
      let store_loc = "?";
      if (cur_store_ref) store_loc = cur_store_ref.value || "?";
      if (!inv.has_variants) {
        prices.push({
          title: "Default",
          value: inv.stores[store_loc].default.price
        });
      } else {
        for (var vname of inv.variant_keys) {
          prices.push({
            title: vname,
            value: inv.stores[store_loc][vname].price
          });
        }
      }
      return prices;
    };
  });
  let prod_quantity = computed(() => {
    return (post) => {
      let inv = post.inventory;
      if (!inv) return null;
      let prices = [];
      let store_loc = "?";
      if (cur_store_ref) store_loc = cur_store_ref.value || "?";
      if (!inv.has_variants) {
        prices.push({
          title: "Default",
          value: inv.stores[store_loc].default.quantity
        });
      } else {
        for (var vname of inv.variant_keys) {
          prices.push({
            title: vname,
            value: inv.stores[store_loc][vname].quantity
          });
        }
      }
      return prices;
    };
  });
  return { prod_price, prod_quantity };
}
let tf_text = useTfText();
function useBlockImportables(options = {}) {
  let tag_types = [
    { title: "Use default", value: null },
    { title: "None", value: null },
    { title: "Nav", value: "nav" },
    { title: "Main", value: "main" },
    { title: "Figure", value: "figure" },
    { title: "Header", value: "header" },
    { title: "Section", value: "section" },
    { title: "Aside", value: "aside" },
    { title: "Article", value: "article" },
    { title: "DIV", value: "div" },
    { title: "Aside", value: "aside" },
    { title: "Footer", value: "footer" }
  ];
  let get_post_meta = computed(() => {
    return (name, default_value = null) => {
      if (typeof name != "string") return default_value;
      name = name.toLocaleLowerCase();
      let view_state = useViewerState();
      let the_meta = view_state.get_meta(name);
      if (!the_meta) return default_value;
      return the_meta.value || default_value;
    };
  });
  let post_meta = (name, default_value) => {
    return get_post_meta.value(name, default_value);
  };
  let importables = {
    useRoute,
    onMounted,
    onUnmounted,
    onBeforeUpdate,
    watch,
    RPagination: __nuxt_component_3,
    tag_types,
    useAppState,
    useViewerState,
    useEditorState,
    usePrettyCurrency,
    tf_text,
    h,
    useRequest,
    RCollapse,
    RCarousel,
    RGallery,
    RPostComponent: __nuxt_component_8,
    RStarReview,
    RProductPrice,
    RBusy: __nuxt_component_3$3,
    RPicker,
    RButtonCycle,
    RCheckList: _sfc_main$J,
    RCodeEditor: __nuxt_component_5,
    RField: _sfc_main$v,
    RText: __nuxt_component_7$1,
    RInput: __nuxt_component_5$1,
    RCheckList: _sfc_main$J,
    RButton: __nuxt_component_1$3,
    RSpinner,
    RNotes,
    RAvatar: __nuxt_component_4,
    RSelect: __nuxt_component_7$2,
    RRowLabel: __nuxt_component_4$2,
    RLabel: __nuxt_component_1$2,
    RNavSidebar: __nuxt_component_0$2,
    RRadio: __nuxt_component_7,
    RColor,
    RResize,
    RDuplex,
    RRow: __nuxt_component_4$1,
    RCollapse,
    RProductAddToCart,
    RProductCart: _sfc_main$8,
    RProductOptions,
    RProductCartSummary,
    useTfProduct,
    RDate,
    RLink: __nuxt_component_1$4,
    RCheckbox: __nuxt_component_8$2,
    RModal: __nuxt_component_3$2,
    RFilebrowser: __nuxt_component_8$1,
    RCard,
    RCta,
    RElement,
    RRange: __nuxt_component_6,
    RMedia,
    RRowLabel: __nuxt_component_4$2,
    Teleport,
    RProductVariant,
    post_meta,
    ...options,
    util,
    get_post_meta
  };
  return importables;
}
const _sfc_main$4 = {
  props: {
    type: { type: String, default: () => "before_page" }
  },
  async setup(props, { slots, emit }) {
    let view_state = useViewerState();
    let { Jx, JxCompute, JxReactive } = useJxVariables();
    let route = useRoute();
    let create_view = (sniplet_options) => {
      let importables = useBlockImportables({ route });
      let svg_exclam = `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="M12 9v3.75m-9.303 3.376c-.866 1.5.217 3.374 1.948 3.374h14.71c1.73 0 2.813-1.874 1.948-3.374L13.949 3.378c-.866-1.5-3.032-1.5-3.898 0L2.697 16.126ZM12 15.75h.007v.008H12v-.008Z" /></svg>`;
      let Edit = (...args) => {
        let [attrs, fx_comp] = args;
        let args_length = args.length;
        if (args_length == 0) {
          return () => h("div", { class: ["blank-sniplet"] }, "<!-- Empty render function  -->");
        } else if (args_length == 1) {
          fx_comp = args[0];
          attrs = {};
          if (typeof fx_comp != "function") throw Error("RSniplet expected a render function");
        }
        return () => {
          let com_vnodes = null;
          try {
            if (sniplet_options.errors && sniplet_options.errors.length > 0) {
              throw new Error(sniplet_options.errors.join(", "));
            }
            com_vnodes = fx_comp({ is_edit: false, is_render: true, ...importables });
            com_vnodes = h("section", { class: ["Block-Sniplet", "sniplet", sniplet_options.type], "sniplet-type": sniplet_options.type }, com_vnodes);
          } catch (fx_exception) {
            com_vnodes = [
              h("div", {
                class: [
                  "bg-red-100",
                  "border-2",
                  "rounded",
                  "border-red-500",
                  "color-red-500",
                  "p-2"
                ]
              }, [
                h("h3", { class: ["font-bold", "text-base"] }, `Sniplet(${sniplet_options.type}) Error (${sniplet_options.index}/${sniplet_options.count})`),
                h(
                  "div",
                  { class: ["flex", "gap-2", "mt-2"] },
                  h("span", { innerHTML: svg_exclam }),
                  h("div", { class: ["pl-4", "flex-1", "color-red-900"] }, fx_exception.message)
                )
              ])
            ];
          }
          if (!com_vnodes) com_vnodes = [];
          return com_vnodes;
        };
      };
      return Edit;
    };
    let type = props.type || "before_page";
    let sniplet, callable, inner_fx;
    var arr_vnodes = [], allow_render = null;
    let errors = [];
    let arr_sniplet_functions = type == "static" ? [view_state.static_page] : view_state[type];
    if (!arr_sniplet_functions) {
      arr_sniplet_functions = [];
      arr_vnodes.push(h(
        "div",
        {
          class: ["p-3", "border-4", "border-red-500", "rounded", "bg-red-500"],
          style: { "--bg-opacity": 0.14 }
        },
        `Unable to Render PageSniplets for type `,
        h("span", { class: ["color-red-500", "font-bold"] }, type),
        ` while expected `,
        h("span", { class: ["font-bold color-gray-600 mr-2"] }, "static"),
        ",",
        h("span", { class: ["font-bold color-gray-600 mr-2"] }, "before_page"),
        ",",
        h("span", { class: ["font-bold color-gray-600 mr-1"] }, "after_page")
      ));
    }
    for (var i = 0; i < arr_sniplet_functions.length; i++) {
      sniplet = arr_sniplet_functions[i].trim();
      callable = new Function("return " + sniplet);
      inner_fx = callable();
      sniplet = null;
      if (typeof inner_fx == "function") {
        sniplet = inner_fx();
      } else continue;
      if (!sniplet) continue;
      sniplet.props.Block = Function;
      sniplet.props.Jx = Function;
      sniplet.props.JxCompute = Function;
      sniplet.props.JxReactive = Function;
      sniplet.props.Jx = Function;
      sniplet.props.JxRequest = Function;
      sniplet.props.onMounted = Function;
      sniplet.props.onBeforeUnmount = Function;
      sniplet.props.util = util;
      allow_render = true;
      if (Array.isArray(sniplet.matches) && sniplet.matches.length > 0) {
        let cur_path = route.path;
        let it_condition, it_cond_type, path_expression;
        allow_render = false;
        for (var i = 0; i < sniplet.matches.length; i++) {
          it_condition = sniplet.matches[i];
          it_cond_type = typeof it_condition;
          try {
            if (it_cond_type == "string") {
              path_expression = it_condition;
              if (path_expression == "*") {
                allow_render = true;
              } else {
                allow_render = cur_path.match(new RegExp(path_expression));
              }
            } else if (!Array.isArray(it_condition) && it_cond_type == "object") {
              var x_testing = true;
              path_expression = it_condition.path || it_condition.url || null;
              let params = typeof it_condition.params == "object" ? it_condition.params : null;
              let query = typeof it_condition.query == "object" ? it_condition.query : null;
              if (!query && !params && !path_expression) throw new Error("expected at least path,query, or path for match object instead " + JSON.stringify(it_condition));
              if (path_expression == "*") x_testing = x_testing && true;
              else {
                if (path_expression) {
                  x_testing = x_testing && cur_path.match(new RegExp(path_expression));
                }
              }
              for (var k in params) {
                x_testing = x_testing && params[k] == "*" || x_testing && route.params[k] !== void 0 && route.params[k] == params[k];
              }
              for (var k in query) {
                x_testing = x_testing && query[k] == "*" || x_testing && route.query[k] !== void 0 && route.query[k] == query[k];
              }
              allow_render = x_testing;
            }
            if (allow_render) break;
          } catch (err) {
            errors.push(err.message + ": match option(" + i + ') "' + path_expression + '"');
          }
        }
      }
      if (!allow_render) continue;
      arr_vnodes.push(
        h(sniplet, {
          Jx,
          JxCompute,
          JxReactive,
          JxRequest: useRequest,
          onMounted,
          onBeforeUnmount,
          util,
          Block: create_view({
            type,
            index: i,
            count: arr_sniplet_functions.length,
            errors
          })
        })
      );
    }
    return () => h(
      "article",
      {
        class: ["r-page-sniplet", type, "rc"]
      },
      arr_vnodes
    );
  }
};
const _sfc_setup$4 = _sfc_main$4.setup;
_sfc_main$4.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RPageSniplet.vue");
  return _sfc_setup$4 ? _sfc_setup$4(props, ctx) : undefined;
};
const __nuxt_component_0$1 = Object.assign(_sfc_main$4, { __name: "RPageSniplet" });
const _sfc_main$3 = {
  props: {
    post: { type: Object, default() {
      return null;
    } },
    //typically this will only be none-null when RViewer is called from PostContent
    passBlocks: null,
    passBlocksArr: null,
    mainType: null
    //the main post type
  },
  async setup(props, { slots, emit }) {
    let DefinedBlocks = {};
    let ArrDefinedBlocks = [];
    let view_state = useViewerState();
    let primary_post = null;
    if (props.passBlocks == null || props.passBlocksArr == null) {
      let data = view_state.block_classes;
      if (data) {
        let str_code = null;
        if (data == null) throw new Error("Failed to retrieve block definitions - " + typeof data);
        let inner_fx;
        for (var i = 0; i < data.length; i++) {
          try {
            str_code = data[i].code;
            inner_fx = new Function("return " + str_code)();
            data[i].scode = str_code;
            data[i].type_name = data[i].type.toLowerCase();
            let component = inner_fx();
            if (!component.props.Jx) component.props.Jx = Function;
            if (!component.props.h) component.props.h = Function;
            if (!component.props.JxCompute) component.props.JxCompute = Function;
            if (!component.props.JxReactive) component.props.JxReactive = Function;
            if (!component.props.JxRequest) component.props.JxRequest = Function;
            if (!component.props.onMounted) component.props.onMounted = Function;
            if (!component.props.onUpdated) component.props.onUpdated = Function;
            if (!component.props.onBeforeUnmount) component.props.onBeforeUnmount = Function;
            if (!component.props.util) component.props.util = util;
            if (!component.props.Blocks) component.props.Blocks = Object;
            if (!component.props.BlocksArray) component.props.BlocksArray = Object;
            DefinedBlocks[data[i].type_name] = component;
            ArrDefinedBlocks.push(data[i]);
          } catch (exo) {
            console.error("Handle Error", exo);
          }
        }
      }
    } else {
      DefinedBlocks = props.passBlocks;
      ArrDefinedBlocks = props.passBlocksArr;
    }
    if (view_state.is_static_page) {
      return () => h("div", { class: ["static-page-wrap"] }, h(__nuxt_component_0$1, { type: "static" }));
    } else {
      let the_post = null;
      let block_items = [];
      if (!props.post) {
        the_post = view_state.post;
        primary_post = the_post;
        block_items = view_state.block_instances();
        if (the_post && the_post.layout_post && Array.isArray(the_post.layout_post.value)) {
          block_items = the_post.layout_post.value;
          the_post = the_post.layout_post;
        }
      } else {
        the_post = props.post;
        if (Array.isArray(the_post.value)) block_items = the_post.value;
        primary_post = the_post;
      }
      var is_user_author = false;
      var has_post = the_post != null;
      if (view_state.user && has_post && the_post.created_by == view_state.user.id) {
        is_user_author = true;
      }
      let on_control_hover = ref(false);
      let final_vnodes = util.build_view(block_items, null, "root", h, primary_post, DefinedBlocks, ArrDefinedBlocks, slots);
      if (final_vnodes.length == 0) {
        final_vnodes.push(h("div", {
          class: ["empty-post-blocks"],
          "empty-post": `${primary_post.id}`,
          "empty-post-title": `${primary_post.title}`,
          innerHTML: `<!-- Post(${primary_post.id})(${primary_post.title}) blocks are empty either by design or error -->`
        }));
      }
      return () => h(
        "article",
        {
          class: ["r-view rc", the_post.id == primary_post.id ? "the-post" : "layout"],
          "the-post": has_post && the_post.id == primary_post.id,
          "post-type": has_post ? the_post.type : null,
          "post-id": has_post ? the_post.id : null,
          "main-post-type": (primary_post == null ? undefined : primary_post.type) || props.mainType,
          style: { padding: null },
          //the id of this current page viewing
          "post-activity": primary_post == null ? undefined : primary_post.activity_id
        },
        [
          is_user_author ? h(
            "div",
            {
              class: [
                "control-bar",
                "absolute",
                "w-full",
                "flex",
                "justify-center",
                "pointer-events-none",
                "z-300"
              ]
            },
            h(
              "div",
              {
                class: ["p-2", "pointer-events-initial", "px-5", "hover:opacity-90", "opacity-50"],
                style: {
                  borderBottomRightRadius: "3px",
                  borderBottomLeftRadius: "3px",
                  pointerEvents: "initial"
                },
                onmouseover(e) {
                  on_control_hover.value = true;
                },
                onmouseout(e) {
                  on_control_hover.value = false;
                }
              },
              h("button", {
                class: ["creator-edit", "btn", "font-bold", "bg-black", "bg-opacity-20", "hover:color-gray-50"],
                style: { pointerEvents: "initial" },
                onClick(e) {
                  navigateTo(`/user/editor/${has_post ? the_post.id : "new"}`);
                }
              }, "Edit " + (the_post.type || "post"))
            )
          ) : null,
          h("div", { class: ["overlay", on_control_hover.value ? "active z-200" : ""] }),
          (primary_post == null ? undefined : primary_post.id) == the_post.id ? h(__nuxt_component_8, {
            postId: primary_post == null ? undefined : primary_post.id,
            action: "view",
            //view,edit,
            location: "before"
          }) : null,
          ...final_vnodes,
          the_post.id == primary_post.id && typeof slots.default == "function" ? slots.default() : null,
          (primary_post == null ? undefined : primary_post.id) == the_post.id ? h(__nuxt_component_8, {
            postId: primary_post == null ? undefined : primary_post.id,
            action: "view",
            //view,edit,
            location: "after"
          }) : null
        ]
      );
    }
  }
};
const _sfc_setup$3 = _sfc_main$3.setup;
_sfc_main$3.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/RViewer.vue");
  return _sfc_setup$3 ? _sfc_setup$3(props, ctx) : undefined;
};
const __nuxt_component_1$1 = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$3, [["__scopeId", "data-v-2ae6ff95"]]), { __name: "RViewer" });
function useSimpleViewer(view_option = {}) {
  return ({ i: index, block_id: id, type: type_name, blk_inst: instance, parent_info }) => {
    let { svg_arrow, svg_handle, svg_plus, svg_trash } = util.svgs();
    let importables = useBlockImportables({
      ...view_option,
      useAppState,
      index,
      parent_info,
      RViewer: __nuxt_component_1$1,
      is_render: true,
      is_edit: false,
      block_id: id,
      type: type_name,
      useViewerState,
      util
    });
    let Render = (...args) => {
      let [attrs, fx_comp] = args;
      let args_length = args.length;
      if (args_length == 0) {
        return () => h("div", {}, "<!-- Empty render function for " + type_name + " -->");
      } else if (args_length == 1) {
        fx_comp = args[0];
        attrs = {};
        if (typeof fx_comp != "function") throw Error("RComponent expected a render function");
      }
      return () => {
        importables.state = instance.state;
        let com_vnodes = null;
        try {
          let x_cls = [];
          if (Array.isArray(instance.state.class)) x_cls = instance.state.class;
          else x_cls.push(instance.state.class);
          com_vnodes = fx_comp(importables);
          com_vnodes.props["block-id"] = instance.id;
          com_vnodes.props.class = (com_vnodes.props.class || "") + " " + x_cls.join(" ");
          return com_vnodes;
        } catch (fx_exception) {
          let { id: p_id, type: p_type } = parent_info;
          let div_fmt = ["block-error", "m-1", "bg-red-100", "color-red-500", "p-1", "border-solid", "border-red-500", "border-2", "rounded"];
          let txt_bold = ["font-extrabold", "border", "border-solid", "border-"];
          util.error("View.Render(" + instance.type + ") Exception", fx_exception);
          com_vnodes = h(
            "div",
            { class: div_fmt },
            h(
              "span",
              {},
              h("span", { class: txt_bold }, "RenderError ("),
              h("span", {}, `${id}.${type_name.toLowerCase()}`),
              h("span", { class: txt_bold }, ")")
            ),
            h("p", { class: ["ml-1", "flex", "items-center"] }, h("span", { innerHTML: svg_arrow }), `${fx_exception.message || "Unknown error"}`),
            h("p", { class: ["pl-7", "mt-2", "text-sm", "color-red-700"] }, `At index ${index} of ${p_type == "root" ? "Root" : p_type + "(" + p_id + ")"}`)
          );
          return com_vnodes;
        }
      };
    };
    return Render;
  };
}
const util = new class {
  constructor() {
    __publicField(this, "x", 0);
    __publicField(this, "y", 0);
    /**
     * Given a valid date string, return an object representing the parts of the date supplied
     * @param {String} input_date Input string representing a date object
     * @returns {Object}
     */
    __publicField(this, "get_date_parts", (input_date) => {
      if (!input_date) return null;
      var dstr = input_date;
      if (!dstr) {
        dstr = this.get_today_date();
      } else {
        dstr = dstr.trim();
        var date_time = dstr.split(/\s/gm);
        var part0 = date_time[0] || get_today_date(false);
        var part1 = date_time[1] || "00:00";
        var tokens = part0.split(/[\-\/]/gm);
        if (tokens[0].length > 2) {
          part0 = `${tokens[0]}-${tokens[1]}-${tokens[2]}`;
        } else {
          part0 = `${tokens[2]}-${tokens[0]}-${tokens[1]}`;
        }
        dstr = part0 + " " + part1;
      }
      let sub = dstr.split(/\s/gm);
      var FTs = [...sub[0].split(/[\-\/]/gm), ...sub[1].split(/\:/gm)];
      var Fstr = `${FTs[1]}-${FTs[2]}-${FTs[0]} ${sub[1] || ""}`;
      return this.describe_date(new Date(Fstr));
    });
    /**
     * Find all instances of the expression indicated within the supplied search string and for each term located,
     * invoke the supplied function that maps the term into a new string replacement of each term.  The replacement 
     * function is passed an object { match : String, items: instances } that can be used to dtermine which output 
     * to produce for each matched term(s).
     * 
     * @param {RegExp} regex The complex express to locate
     * @param {String} text The string to search within
     * @param {Function} fn Function returning string replacement of terms {match:String, items :Array} 
     * @returns {String} the newly replaced text 
     */
    __publicField(this, "find_replace_all", (regex, text, fn) => {
      if (!text) return text;
      if (typeof fn != "function") return text;
      let key_terms = this.get_all_matches(regex, text);
      let new_value;
      for (var term of key_terms) {
        new_value = fn(term);
        if (new_value === null || new_value === undefined) continue;
        text = text.replaceAll(term.match, new_value + "");
      }
      return text;
    });
    /**
     * Wrap a selection with another element
     * @param {Range} rng 
     * @param {HTMLElement} with_this_element 
     */
    __publicField(this, "wrap_element", (rng, with_this_element) => {
      rng.surroundContents(with_this_element);
    });
    __publicField(this, "load_script", async (options) => {
      return new Promise((resolve, reject) => {
        if (!options) return reject(new Error(`Script settings required`));
        let url = options.src || options.url;
        let script = (undefined).querySelector(`script[src="${url}"]`);
        if (!script) {
          script = (undefined).createElement("script");
          for (var k in options) {
            if (k == "src" || k == "url") {
              script.setAttribute("src", url);
            } else {
              script.setAttribute(k, options[k]);
            }
          }
          (undefined).head.append(script);
        } else return resolve(true);
        let on_ready = () => {
          script.removeEventListener("load", on_ready);
          return resolve(true);
        };
        script.addEventListener("load", on_ready);
      });
    });
  }
  /**
   * 
   * @param {mixed} arr The array to search within
   * @param {mixed} subject The item or array of items to search for within the array
   */
  includes(arr, subject) {
    if (arr == null) return false;
    let arr_is_array = Array.isArray(arr);
    let sub_is_array = Array.isArray(subject);
    if (!arr_is_array) arr = [arr];
    if (!sub_is_array) return arr.includes(subject);
    else {
      let has_at_least_one = false;
      for (let val of subject) {
        if (arr.includes(val)) {
          has_at_least_one = true;
          break;
        }
      }
      return has_at_least_one;
    }
  }
  is_class(fn) {
    return this.is_function(fn) && /^\s*class\s+/.test(fn.toString());
  }
  is_undefined(v) {
    return typeOf(v) === "undefined";
  }
  is_number(v) {
    if (v == null) return false;
    if (typeof v == "string" && v.trim() == "") return false;
    return typeof v === "number" || !isNaN(v);
  }
  is_string(v) {
    return typeof v === "string";
  }
  is_bool(v) {
    return typeof v === "boolean";
  }
  is_function(fn) {
    return typeof fn === "function" || typeof fn === "asyncfunction";
  }
  copy(d) {
    return JSON.parse(JSON.stringify(d));
  }
  random_str(length = 6) {
    return Math.random().toString(36).substring(2, length + 2);
  }
  clamp(num, min, max) {
    return num <= min ? min : num >= max ? max : num;
  }
  add_zero(i) {
    if (i < 10) {
      i = "0" + i;
    }
    return i;
  }
  throttle(mainFunction, delay) {
    let timerFlag = null;
    return (...args) => {
      if (timerFlag === null) {
        mainFunction(...args);
        timerFlag = setTimeout(() => {
          timerFlag = null;
        }, delay);
      }
    };
  }
  debounce(fn, timeout = 400) {
    let t;
    return (...args) => {
      clearTimeout(t);
      t = setTimeout(async () => {
        await fn.apply(this, args);
      }, timeout);
    };
  }
  // Start of the day (zero millisecond)
  day_start(t) {
    let start = new Date(t);
    return start.setUTCHours(0, 0, 0, 0);
  }
  // Start of the month
  month_start(t) {
    let date = new Date(t);
    return Date.UTC(
      date.getFullYear(),
      date.getMonth(),
      1
    );
  }
  // Start of the year
  year_start(t) {
    return Date.UTC(new Date(t).getFullYear());
  }
  get_year(t) {
    if (!t) return undefined;
    return new Date(t).getUTCFullYear();
  }
  get_month(t) {
    if (!t) return undefined;
    return new Date(t).getUTCMonth();
  }
  // Nearest in array
  nearest_a(x, array) {
    let dist = Infinity;
    let val = null;
    let index = -1;
    for (var i = 0; i < array.length; i++) {
      var xi = array[i];
      if (Math.abs(xi - x) < dist) {
        dist = Math.abs(xi - x);
        val = xi;
        index = i;
      }
    }
    return [index, val];
  }
  round(num, decimals = 8) {
    return parseFloat(Number(num).toFixed(decimals));
  }
  // Strip? No, it's ugly floats in js
  strip(number) {
    return parseFloat(
      parseFloat(number).toPrecision(12)
    );
  }
  get_day(t) {
    return t ? new Date(t).getDate() : null;
  }
  // Update array keeping the same reference
  overwrite(arr, new_arr) {
    arr.splice(0, arr.length, ...new_arr);
  }
  // Copy layout in reactive way
  copy_layout(obj, new_obj) {
    for (var k in obj) {
      if (Array.isArray(obj[k])) {
        if (obj[k].length !== new_obj[k].length) {
          this.overwrite(obj[k], new_obj[k]);
          continue;
        }
        for (var m in obj[k]) {
          Object.assign(obj[k][m], new_obj[k][m]);
        }
      } else {
        Object.assign(obj[k], new_obj[k]);
      }
    }
  }
  /**
   * Given An array of OHLCV Data, detect the candle intervals - Detects candles interval
   * 
   */
  detect_interval_min(ohlcv) {
    let min_seconds = Infinity;
    ohlcv.forEach((x, i) => {
      if (i == ohlcv.length - 1) return;
      let d = ohlcv[i + 1][0] - x[0];
      if (d === d && d < min_seconds) min_seconds = d;
    });
    if (min_seconds >= Const.MONTH && min_seconds <= Const.DAY * 30) {
      return Const.DAY * 31;
    }
    return min_seconds;
  }
  /**
   * Given the delta time(in seconds) between consecutive data points, return that interval frequency as a named strng
   * 
   * @param {Number} interval_seconds 
   * @returns {String}
   */
  interval_2_text(interval_seconds) {
    var val;
    for (var key in Const.map_unit) {
      val = Const.map_unit[key];
      if (val == interval_seconds) return key;
    }
    return "#tf?";
  }
  // Gets numberic part of overlay id (e.g 'EMA_1' = > 1)
  get_num_id(id) {
    return parseInt(id.split("_").pop());
  }
  // Fast filter. Really fast, like 10X
  fast_filter(arr, t1, t2) {
    if (!arr.length) return [arr, undefined];
    try {
      let ia = new IndexedArray(arr, "0");
      let res = ia.getRange(t1, t2);
      let i0 = ia.valpos[t1].next;
      return [res, i0];
    } catch (e) {
      return [arr.filter(
        (x) => x[0] >= t1 && x[0] <= t2
      ), 0];
    }
  }
  // Fast filter (index-based)
  fast_filter_i(arr, t1, t2) {
    if (!arr.length) return [arr, undefined];
    let i1 = Math.floor(t1);
    if (i1 < 0) i1 = 0;
    let i2 = Math.floor(t2 + 1);
    let res = arr.slice(i1, i2);
    return [res, i1];
  }
  // Nearest indexes (left and right)
  fast_nearest(arr, t1) {
    let ia = new IndexedArray(arr, "0");
    ia.fetch(t1);
    return [ia.nextlow, ia.nexthigh];
  }
  now() {
    return (/* @__PURE__ */ new Date()).getTime();
  }
  pause(delay) {
    return new Promise((rs, rj) => setTimeout(rs, delay));
  }
  // Limit crazy wheel delta values
  smart_wheel(delta) {
    let abs = Math.abs(delta);
    if (abs > 500) {
      return (200 + Math.log(abs)) * Math.sign(delta);
    }
    return delta;
  }
  // Parse the original mouse event to find deltaX
  get_deltaX(event) {
    return event.originalEvent.deltaX / 12;
  }
  // Parse the original mouse event to find deltaY
  get_deltaY(event) {
    return event.originalEvent.deltaY / 12;
  }
  // Apply opacity to a hex color
  apply_opacity(c, op) {
    if (c.length === 7) {
      let n = Math.floor(op * 255);
      n = this.clamp(n, 0, 255);
      c += n.toString(16);
    }
    return c;
  }
  // Parse timeframe or return value in ms
  parse_tf(smth) {
    if (typeof smth === "string") {
      return Const.map_unit[smth];
    } else {
      return smth;
    }
  }
  // Detect index shift between the main data sub
  // and the overlay's sub (for IB-mode)
  index_shift(sub, data) {
    if (!data.length) return 0;
    let first = data[0][0];
    let second;
    for (var i = 1; i < data.length; i++) {
      if (data[i][0] !== first) {
        second = data[i][0];
        break;
      }
    }
    for (var j = 0; j < sub.length; j++) {
      if (sub[j][0] === second) {
        return j - i;
      }
    }
    return 0;
  }
  // Fallback fix for Brave browser
  // https://github.com/brave/brave-browser/issues/1738
  measureText(ctx, text, tv_id) {
    let m = ctx.measureTextOrg(text);
    if (m.width === 0) {
      const doc2 = undefined;
      const id = "tvjs-measure-text";
      let el = doc2.getElementById(id);
      if (!el) {
        let base = doc2.getElementById(tv_id);
        el = doc2.createElement("div");
        el.id = id;
        el.style.position = "absolute";
        el.style.top = "-1000px";
        base.appendChild(el);
      }
      if (ctx.font) el.style.font = ctx.font;
      el.innerText = text.replace(/ /g, ".");
      return { width: el.offsetWidth };
    } else {
      return m;
    }
  }
  uuid(temp = "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx") {
    return temp.replace(/[xy]/g, (c) => {
      var r = Math.random() * 16 | 0, v = c == "x" ? r : r & 3 | 8;
      return v.toString(16);
    });
  }
  uuid2() {
    return this.uuid("xxxxxxxxxxxx");
  }
  create_id() {
    return this.uuid("B-xxxxxxxxx");
  }
  // Delayed warning, f = condition lambda fn
  warn(f, text, delay = 0) {
    setTimeout(() => {
      if (f()) console.warn(text);
    }, delay);
  }
  // Checks if script props updated
  // (and not style settings or something else)
  is_scr_props_upd(n, prev) {
    let p = prev.find((x) => x.v.$uuid === n.v.$uuid);
    if (!p) return false;
    let props = n.p.settings.$props;
    if (!props) return false;
    return props.some((x) => n.v[x] !== p.v[x]);
  }
  // Checks if it's time to make a script update
  // (based on execInterval in ms)
  delayed_exec(v) {
    if (!v.script || !v.script.execInterval)
      return true;
    let t = this.now();
    let dt = v.script.execInterval;
    if (!v.settings.$last_exec || t > v.settings.$last_exec + dt) {
      v.settings.$last_exec = t;
      return true;
    }
    return false;
  }
  // Format names such 'RSI, $length', where
  // length - is one of the settings
  format_name(ov) {
    if (!ov.name) return undefined;
    let name = ov.name;
    for (var k in ov.settings || {}) {
      let val = ov.settings[k];
      let reg = new RegExp(`\\$${k}`, "g");
      name = name.replace(reg, val);
    }
    return name;
  }
  // Default cursor mode
  xmode() {
    return this.is_mobile ? "explore" : "default";
  }
  default_prevented(event) {
    if (event.original) {
      return event.original.defaultPrevented;
    }
    return event.defaultPrevented;
  }
  describe_date(d0) {
    var s_months = ["Jan", "Feb", "Mar", "Apr", "May", "June", "July", "Aug", "Sep", "Oct", "Nov", "Dec"];
    var l_months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
    var s_days = ["Sun", "Mon", "Tue", "Wed", "Thur", "Fri", "Sat"];
    var l_days = ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
    let parts = {
      is_valid: !isNaN(d0) && d0 instanceof Date,
      day_short: s_days[d0.getDay()],
      day_long: l_days[d0.getDay()],
      month_short: s_months[d0.getMonth()],
      month_long: l_months[d0.getMonth()],
      month: d0.getMonth() + 1,
      year: d0.getFullYear(),
      date: d0.getDate(),
      hours: d0.getHours(),
      minutes: d0.getMinutes(),
      obj: d0
    };
    parts.text_date = `${parts.year}-${this.add_zero(parts.month)}-${this.add_zero(parts.date)}`;
    parts.text_time = `${this.add_zero(parts.hours)}:${this.add_zero(parts.minutes)}`;
    return parts;
  }
  get_today_date(include_time = true) {
    let T = /* @__PURE__ */ new Date();
    T.getFullYear();
    let M = T.getMonth() + 1, D = T.getDate();
    let hh = T.getHours(), mm = T.getMinutes();
    let time = include_time ? `${hh}:${mm}` : ``;
    return `${T}-${M}-${D} ${time}`;
  }
  /**
   * Get an array representing the calendar date view that spans the last sunday of the preceeding
   * month relative to the supplied year and month and the first saturday adjacent to the supplied
   * month and year
   * @param {Number} year the year
   * @param {Number} month the month
   * @returns {Array} 
   */
  get_month_window(year, month) {
    if (month < 1) month = 1;
    if (month > 12) month = 12;
    let pm_month = month - 1;
    let pm_year = year;
    if (pm_month <= 0) {
      pm_month = 12;
      pm_year--;
    }
    let prior_month = new Date(pm_year, pm_month, 1);
    prior_month.setDate(0);
    while (prior_month.getDay() != 0) {
      prior_month.setDate(prior_month.getDate() - 1);
    }
    prior_month.setHours(0, 0, 0);
    let nm_month = month + 1;
    let nm_year = year;
    if (nm_month > 12) {
      nm_month = 1;
      nm_year++;
    }
    let next_month = new Date(nm_year, nm_month - 1, 1);
    while (next_month.getDay() != 6) {
      next_month.setDate(next_month.getDate() + 1);
    }
    next_month.setHours(23, 59, 59);
    return [prior_month, next_month];
  }
  /**
   * 
   * @param {Number} year Date
   * @param {Number} month 
   * @returns 
   */
  get_month_dates(year, month) {
    let span = this.get_month_window(year, month);
    var it = span[0];
    var date_list = [];
    var today = /* @__PURE__ */ new Date();
    let current_date = today.getDate();
    let current_month = today.getMonth();
    var item = null;
    var current_year = today.getFullYear();
    while (it < span[1]) {
      item = this.describe_date(it);
      item.is_current = it.getMonth() + 1 == month && it.getFullYear() == year;
      item.is_today = it.getMonth() + 1 == current_month + 1 && it.getFullYear() == current_year && it.getDate() == current_date;
      date_list.push(item);
      it.setDate(it.getDate() + 1);
    }
    return date_list;
  }
  get_decade_span(year) {
    var rule = 10, sum = 0;
    var a = Math.floor(year / rule) * rule + sum;
    var b = a + 10;
    return [a, b];
  }
  /**
   * Fire a new event
   * @param {String} event_name Generate a new event named per argument
   * @param {HTMLElement} el the Element this event is triggered on
   * @param {*} event_body Additional data to pass to the event
   * @param {*} bubbles 
   */
  trigger(event_name, el, event_body, bubbles, nullable_window = undefined, x, y) {
    if (!el) return;
    if (!el.dispatchEvent) return;
    if (!event_name) return;
    if (bubbles === null || bubbles === undefined) bubbles = true;
    event_body = event_body || {};
    var event = null;
    switch (event_name) {
      case "mousemove":
      case "mouseover":
      case "mouseenter":
      case "mouseleave":
      case "mousedown":
      case "mouseup":
      case "dragstart":
      case "drop":
      case "dragover":
      case "dragenter":
      case "dragleave":
      case "dragend":
      case "drag":
      case "show-tooltip":
        var event = new MouseEvent(event_name, {
          view: nullable_window,
          bubbles,
          cancelable: true,
          detail: event_body,
          clientX: x || 0,
          clientY: y || 0
        });
        break;
      default:
        event = new CustomEvent(event_name, { "detail": event_body, bubbles });
    }
    el.dispatchEvent(event);
    return event;
  }
  unify(e) {
    var x = e.pageX || e.x;
    var y = e.pageY || y;
    return {
      ox: e.offsetX,
      oy: e.offsetY,
      sx: e.screenX,
      sy: e.screenY,
      x,
      y
    };
  }
  unify_diff(s0, s1) {
    return {
      ox: s1.ox - s0.ox,
      oy: s1.oy - s0.oy,
      sx: s1.sx - s0.sx,
      sy: s1.sy - s0.sy,
      x: s1.x - s0.x,
      y: s1.y - s0.y
    };
  }
  /**
  * Repeatedly searches the text to locate all items that match the regex
  * @param {RegExp} regex Regular expression object
  * @param {String} text The string to be searched
  * @returns {Array} Array of { match: the string that matched the regex exactly, items: captured items }.Empty array when no matches found.
  */
  get_all_matches(regex, text) {
    var matches = [], m;
    var group = null;
    while ((m = regex.exec(text)) !== null) {
      if (m.index === regex.lastIndex) {
        regex.lastIndex++;
      }
      m.forEach((match, groupIndex) => {
        if (groupIndex == 0) {
          group = { match, items: [] };
          matches.push(group);
        } else {
          group.items.push(match);
        }
      });
    }
    return matches;
  }
  /**
   * Given a String containing number and unit, return the number and unit in distinct fields
   * @param {String} val expression like "40.43px", "-30em","55%"
   * @returns {Object} Returns { value : Number, unit: String}
   */
  get_duplex(val) {
    let d = { value: 0, unit: "" };
    if (val == null || val == "" || typeof val != "string") return d;
    let re = /^(-?\d*.?[\d+]+)(none|px|em|rem|vw|vh|%)/gm;
    let parts = re.exec(val.trim());
    if (!parts) return d;
    d.value = Number.parseFloat(parts[1]);
    d.unit = parts[2];
    return d;
  }
  /**
   * Given an HTML element on the page, determine it's aspect ratio using the image original and natural size.
   * @param {HTMLElement} img An HTML element
   * @returns {Object} { mode : String, aspect : Number}
   */
  get_img_aspect_ratio(img) {
    const w = img.naturalWidth;
    const h2 = img.naturalHeight;
    let mode = "";
    let aspect;
    if (w > h2) {
      mode = "landscape";
      aspect = w / h2;
    } else {
      mode = "portrait";
      aspect = h2 / w;
    }
    return { mode, aspect };
  }
  is_in_viewport(el) {
    var rect = el.getBoundingClientRect();
    return rect.top >= 0 && rect.left >= 0 && rect.bottom <= ((undefined).innerHeight || (undefined).documentElement.clientHeight) && /* or $(window).height() */
    rect.right <= ((undefined).innerWidth || (undefined).documentElement.clientWidth);
  }
  svgs() {
    let svg_arrow = `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" 
    stroke="currentColor" class="w-4 h-4 mr-2 color-black user-select-none">
    <path stroke-linecap="round" stroke-linejoin="round" d="M17.25 8.25 21 12m0 0-3.75 3.75M21 12H3" />
    </svg>
    `;
    let svg_handle = `<svg stroke="currentColor" fill="currentColor" stroke-width="1" viewBox="0 0 24 24"
       height="18" width="18" xmlns="http://www.w3.org/2000/svg" class="color-gray-400 user-select-none pointer-events-none"> 
       <path d="M11 18c0 1.1-.9 2-2 2s-2-.9-2-2 .9-2 2-2 2 .9 2 2zm-2-8c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0-6c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm6 4c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm0 2c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0 6c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z">
        </path></svg>`;
    let svg_plus = `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" 
            stroke="currentColor" class="w-4 h-4 color-gray-400 user-select-none">
    <path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" />
    </svg>
    `;
    let svg_trash = `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
    stroke-width="2.5" fill="white" stroke="currentColor" class="w-5 h-5 color-red-400  user-select-none">
    <path stroke-linecap="round" stroke-linejoin="round" d="m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0" />
    </svg>
    `;
    return { svg_arrow, svg_handle, svg_plus, svg_trash };
  }
  /**
   * Get the current element or node that is currently highlighted
   * @returns {Range}
   */
  get_selection() {
    let sel = (undefined).getSelection();
    return sel.getRangeAt(0);
  }
  /**
   * Given the range that is currently select, replace it's content with the parameter passed.  The parameter can be a string, translate
   * to text node, or an HTML element.
   * @param {Range} rng Range element to be replaced
   * @param {String|HTMLElement} text_content_or_element 
   */
  replace_selection_content(rng, text_content_or_element) {
    rng.deleteContents();
    var element = null;
    if (typeof text_content_or_element == "string") {
      element = (undefined).createTextNode(replacementText);
    } else {
      element = text_content_or_element;
    }
    rng.insertNode(element);
  }
  /**
  * Given a range object, make it highlighted
  * @param {Range} rng 
  */
  reapply_selection(rng) {
    var sel = (undefined).getSelection();
    sel.removeAllRanges();
    sel.addRange(rng);
  }
  /**
   * Remove the element that wraps this element
   * @param {HTMLElement} element 
   */
  unwrap_element(element) {
    while (element.firstChild) {
      element.parentNode.insertBefore(element.firstChild, element);
    }
    element.parentNode.removeChild(element);
  }
  delegate(event_name, css_selector, callback_fn) {
    if (!event_name || !css_selector || typeof callback_fn != "function") return;
    let handler = (e) => {
      var e_target = e.target;
      e.target_actual = e_target;
      if (!e_target.matches(css_selector)) {
        var closest_match = e_target.closest(css_selector);
        if (!closest_match) return;
        if (!closest_match.contains(e_target)) return;
        e.target_actual = closest_match;
      }
      callback_fn(e);
    };
    let el_proxy = (undefined).document.body;
    if (!Array.isArray(event_name)) event_name = [event_name];
    let event_list = event_name;
    event_list.forEach((e_name) => {
      if (e_name == "mouseenter") e_name = "mouseover";
      var capture = false;
      if (["scroll"].includes(e_name)) capture = true;
      el_proxy.addEventListener(e_name, handler, capture);
    });
    return () => {
      event_list.forEach((e_name) => doc.removeEventListener(e_name, handler));
    };
  }
  trim_arr(arr, remove_empty = true) {
    if (!arr) return arr;
    for (var j = arr.length - 1; j > -1; j--) {
      arr[j] = arr[j].trim();
      if (remove_empty && arr[j] == "") {
        arr.splice(j, 1);
        continue;
      }
    }
    return arr;
  }
  /**
   * Ensures that a JSON string is return as JSON, while string, object, and numbers are returned
   * as numbers and boolean. 
   * @param {mixed } data 
   * @returns {mixed } 
   */
  type_cast(data) {
    if (data == null || data == undefined) return null;
    var t = typeof data;
    if (data == "true") return true;
    else if (t == "string" && data.trim() == "") return data;
    else if (t == "string" && t.startsWith("#")) return data;
    else if (Array.isArray(data)) {
      for (var i = 0; i < data.length; i++) {
        data[i] = this.type_cast(data[i]);
      }
      return data;
    } else if (t == "object") return data;
    else if (data == "false") return false;
    else if (t == "number" || t == "boolean") return data;
    else if (t == "string") {
      if (data.charAt(0) == "[" || data.charAt(0) == "{") {
        try {
          data = JSON.parse(data);
        } catch (e) {
        }
      } else {
        if (!isNaN(data)) return parseFloat(data);
        let tmp = data.trim();
        if (tmp.includes("T") && tmp.endsWith("Z")) return new Date(tmp);
        if (["true", "TRUE", "True"].includes(tmp)) return true;
        else if (["False", "false", "FALSE"].includes(tmp)) return false;
        else return data;
      }
    } else if (!isNaN(data)) {
      data = Number.parseFloat(data);
    }
    return data;
  }
  log(options) {
    if (typeof options != "object") options = { args: [...arguments] };
    this.__log(options);
  }
  info(options) {
    if (typeof options != "object") options = { type: "info", args: [...arguments] };
    this.__log(options);
  }
  error(options) {
    if (typeof options != "object") options = { type: "error", args: [...arguments] };
    this.__log(options);
  }
  __log(options) {
    const consoleLogFn = console.log;
    const type = options.type || "log";
    const type_color = {
      log: "#f59e0b",
      info: "#3b82f6",
      warn: "green",
      error: "#e93b3b"
    }[type];
    const tag = options.tag || "";
    const color = type_color;
    const style = `
      background: ${color};
      border-radius: 0.5em;
      color: white;
      font-weight: bold;
      padding: 2px 0.5em;
    `;
    const badge = `%c${[tag, type].filter(Boolean).join(":")}`;
    consoleLogFn(
      badge,
      style,
      ...Array.isArray(options.args) ? options.args : [options.args]
    );
  }
  /**
   * Force HTML new line characters in order to breakup a HTML string.  This comes in handy for strings that have html coding (ie brackets) and
   * you dont want to arbitarly force breaks within existing HTML brackets.  This function
   * @param {String} text String to breakup
   * @param {Number} max_char_per_line number of characters to allow before forcing a HTML new line
   * @returns {String} Reformated String
   */
  html_multiline(text, max_char_per_line = 80) {
    if (!text) return text;
    if (typeof text != "string") return text;
    let out = [];
    let c = null;
    let track_length = 0;
    let is_at_or_between_brackets = false;
    let push_char = (c2) => {
      out.push(c2);
      track_length += c2.length;
    };
    for (var i = 0; i < text.length; i++) {
      c = text.charAt(i);
      if (c == "<") is_at_or_between_brackets = true;
      if (!is_at_or_between_brackets) {
        push_char(c);
      } else {
        let s0 = i, s1;
        for (var j = i; j < text.length; j++) {
          c = text.charAt(j);
          if (c == ">") {
            is_at_or_between_brackets = false;
            i = j;
            s1 = j;
            break;
          }
        }
        let contents = text.substring(s0, s1 + 1);
        out.push(contents);
      }
      if (track_length >= max_char_per_line) {
        out.push(`<br>`);
        track_length = 0;
      }
    }
    return out.join("");
  }
  /**
   * 
   * @param {Array} arr_instances An Array of blocks to render
   * @param {*} parent_id  Null or the string-id that parents the arr_instances about to be rendered
   * @param {*} parent_type Null or the string block name that parent the arr_instances
   * @param {*} h Vue render function
   * @param {*} primary_post The primary post being viewed.  This is not an embed post or a layout - the core post itself
   * @param {*} DefinedBlocks An Object where each key is the name of block and value is the block component
   * @param {*} ArrDefinedBlocks An Array where each item is a block component
   * @returns vnodes 
   */
  build_view(arr_instances, parent_id, parent_type, h2, primary_post, DefinedBlocks, ArrDefinedBlocks, rviewer_slots) {
    if (!Array.isArray(arr_instances)) return [];
    let { Jx, JxCompute, JxReactive } = useJxVariables();
    let out = [];
    let blk_inst, type, state, key, block_id;
    let blk_props = null, blk_component;
    let create_view_fx = null;
    for (var i = 0; i < arr_instances.length; i++) {
      blk_inst = arr_instances[i];
      type = blk_inst.type;
      state = blk_inst.state || {};
      key = block_id = blk_inst.id;
      if (blk_inst.do_not_render) {
        out.push(h2("div", {
          class: ["hidden", "absolute", "no-render"],
          innerHTML: `<!-- Hidden Block{${type}.${block_id}}-->`
        }));
        continue;
      }
      if (!create_view_fx) create_view_fx = useSimpleViewer({ post: primary_post, util: this });
      try {
        if (!DefinedBlocks[type]) throw new Error(`cannot find block <b>${type}</b>`);
        blk_component = DefinedBlocks[type];
        let elm_id = blk_inst.state.element_id;
        if (!elm_id && blk_inst.type == "heading" && blk_inst.state.as_tb_content) {
          elm_id = blk_inst.id;
        }
        blk_props = {
          "block-type": blk_inst.type,
          id: elm_id,
          block_id: blk_inst.id,
          class: ["block-view", state.is_hidden ? "hide-block" : ""],
          state,
          isEdit: false,
          Jx,
          JxCompute,
          JxReactive,
          h: h2,
          JxRequest: useRequest,
          onMounted,
          onUnmounted,
          onUpdated,
          onBeforeUnmount,
          util: this,
          Blocks: DefinedBlocks,
          BlocksArray: DefinedBlocks,
          style: {
            ...blk_inst.state.style ? blk_inst.state.style : {},
            fontSize: blk_inst.state.font_size != "0" && blk_inst.state.font_size != " " ? blk_inst.state.font_size : null,
            color: blk_inst.state.font_color || void 0,
            fontFamily: blk_inst.state.font_family || void 0
          },
          Block: create_view_fx({
            util: this,
            i,
            block_id,
            type,
            blk_inst,
            parent_info: { id: parent_id, type: parent_type }
          }),
          "block-id": blk_inst.id,
          key: `block-key-${key}-${i}`
        };
        let vnode = null;
        if (type == "postcontent") {
          blk_props.passBlocks = DefinedBlocks;
          blk_props.passBlocksArr = ArrDefinedBlocks;
          vnode = h2(
            blk_component,
            blk_props,
            typeof rviewer_slots.default == "function" ? rviewer_slots.default() : null
          );
        } else {
          let call_later = (arr, bid, btype) => {
            return () => this.build_view(arr, bid, btype, h2, primary_post, DefinedBlocks, ArrDefinedBlocks, rviewer_slots);
          };
          vnode = h2(blk_component, blk_props, call_later(blk_inst.children, blk_inst.id, blk_inst.type));
        }
        vnode["block-id"] = blk_inst.id;
        out.push(vnode);
      } catch (e) {
        console.log("render-block-error on->block", blk_inst, "of", arr_instances, e);
        out.push(
          h2(
            "div",
            {
              class: ["error", "border", "border-2", "border-red-500", "rounded", "m-2", "p-2", "bg-red-100"]
            },
            h2("div", {
              class: ["font-extrabold"],
              innerHTML: '<span class="color-red-500">Error</span>: Render:' + type + "." + block_id + ` at index ${i} `
            }),
            h2("div", { class: ["message"], innerHTML: "Uncaught error " + e.message })
          )
        );
      }
    }
    return out;
  }
  /**
   * Given a valid url string, extract its file extension, if any
   * @param {Object} options { url }
   * @returns {String|Null} 
   */
  extract_file_extension(options) {
    if (!options) return null;
    let url = options.url;
    if (!url) return null;
    if (typeof url != "string") return null;
    url = url.split("?")[0];
    if (!url) return null;
    let ext = "";
    let dot_encountered = false;
    for (var i = url.length - 1; i > -1; i--) {
      if (url.charAt(i) == ".") {
        dot_encountered = true;
        break;
      }
      ext = url.charAt(i) + ext;
    }
    if (!dot_encountered) ext = null;
    return ext;
  }
}();
const index_45global = /* @__PURE__ */ defineNuxtRouteMiddleware(async (to, from) => {
  var _a;
  let __temp, __restore;
  const header = useResponseHeader("X-My-Header");
  header.value = "my-value";
  useAppState();
  let view_state = useViewerState();
  [__temp, __restore] = executeAsync(() => view_state.load({
    fullPath: to.fullPath,
    href: to.href,
    path: to.path,
    params: to.params,
    query: to.query,
    use_async_data: true
  })), await __temp, __restore();
  let jxt_layout = ((_a = view_state.post) == null ? undefined : _a.jxt_layout_template) || "default";
  setPageLayout(jxt_layout);
  try {
    if (void 0) ;
  } catch (e) {
    console.log("middleware error", e);
  }
});
const redirects_45global = /* @__PURE__ */ defineNuxtRouteMiddleware(async (to, from) => {
  let url = to.fullPath;
  util.extract_file_extension(url);
});
const manifest_45route_45rule = /* @__PURE__ */ defineNuxtRouteMiddleware(async (to) => {
  {
    return;
  }
});
const globalMiddleware = [
  validate,
  index_45global,
  redirects_45global,
  manifest_45route_45rule
];
const namedMiddleware = {
  auth: () => import('./auth-DhwOY2i_.mjs')
};
const plugin$1 = /* @__PURE__ */ defineNuxtPlugin({
  name: "nuxt:router",
  enforce: "pre",
  async setup(nuxtApp) {
    var _a, _b, _c;
    let __temp, __restore;
    let routerBase = (/* @__PURE__ */ useRuntimeConfig()).app.baseURL;
    const history = ((_a = routerOptions.history) == null ? undefined : _a.call(routerOptions, routerBase)) ?? createMemoryHistory(routerBase);
    const routes = routerOptions.routes ? ([__temp, __restore] = executeAsync(() => routerOptions.routes(_routes)), __temp = await __temp, __restore(), __temp) ?? _routes : _routes;
    let startPosition;
    const router = createRouter({
      ...routerOptions,
      scrollBehavior: (to, from, savedPosition) => {
        if (from === START_LOCATION) {
          startPosition = savedPosition;
          return;
        }
        if (routerOptions.scrollBehavior) {
          router.options.scrollBehavior = routerOptions.scrollBehavior;
          if ("scrollRestoration" in (undefined).history) {
            const unsub = router.beforeEach(() => {
              unsub();
              (undefined).history.scrollRestoration = "manual";
            });
          }
          return routerOptions.scrollBehavior(to, START_LOCATION, startPosition || savedPosition);
        }
      },
      history,
      routes
    });
    handleHotUpdate(router, routerOptions.routes ? routerOptions.routes : (routes2) => routes2);
    nuxtApp.vueApp.use(router);
    const previousRoute = shallowRef(router.currentRoute.value);
    router.afterEach((_to, from) => {
      previousRoute.value = from;
    });
    Object.defineProperty(nuxtApp.vueApp.config.globalProperties, "previousRoute", {
      get: () => previousRoute.value
    });
    const initialURL = nuxtApp.ssrContext.url;
    const _route = shallowRef(router.currentRoute.value);
    const syncCurrentRoute = () => {
      _route.value = router.currentRoute.value;
    };
    nuxtApp.hook("page:finish", syncCurrentRoute);
    router.afterEach((to, from) => {
      var _a2, _b2, _c2, _d;
      if (((_b2 = (_a2 = to.matched[0]) == null ? undefined : _a2.components) == null ? undefined : _b2.default) === ((_d = (_c2 = from.matched[0]) == null ? undefined : _c2.components) == null ? undefined : _d.default)) {
        syncCurrentRoute();
      }
    });
    const route = {};
    for (const key in _route.value) {
      Object.defineProperty(route, key, {
        get: () => _route.value[key],
        enumerable: true
      });
    }
    nuxtApp._route = shallowReactive(route);
    nuxtApp._middleware = nuxtApp._middleware || {
      global: [],
      named: {}
    };
    useError();
    if (!((_b = nuxtApp.ssrContext) == null ? undefined : _b.islandContext)) {
      router.afterEach(async (to, _from, failure) => {
        delete nuxtApp._processingMiddleware;
        if (failure) {
          await nuxtApp.callHook("page:loading:end");
        }
        if ((failure == null ? undefined : failure.type) === 4) {
          return;
        }
        if (to.redirectedFrom && to.fullPath !== initialURL) {
          await nuxtApp.runWithContext(() => navigateTo(to.fullPath || "/"));
        }
      });
    }
    try {
      if (true) {
        ;
        [__temp, __restore] = executeAsync(() => router.push(initialURL)), await __temp, __restore();
        ;
      }
      ;
      [__temp, __restore] = executeAsync(() => router.isReady()), await __temp, __restore();
      ;
    } catch (error2) {
      [__temp, __restore] = executeAsync(() => nuxtApp.runWithContext(() => showError(error2))), await __temp, __restore();
    }
    const resolvedInitialRoute = router.currentRoute.value;
    syncCurrentRoute();
    if ((_c = nuxtApp.ssrContext) == null ? undefined : _c.islandContext) {
      return { provide: { router } };
    }
    const initialLayout = nuxtApp.payload.state._layout;
    router.beforeEach(async (to, from) => {
      var _a2, _b2;
      await nuxtApp.callHook("page:loading:start");
      to.meta = reactive(to.meta);
      if (nuxtApp.isHydrating && initialLayout && !isReadonly(to.meta.layout)) {
        to.meta.layout = initialLayout;
      }
      nuxtApp._processingMiddleware = true;
      if (!((_a2 = nuxtApp.ssrContext) == null ? undefined : _a2.islandContext)) {
        const middlewareEntries = /* @__PURE__ */ new Set([...globalMiddleware, ...nuxtApp._middleware.global]);
        for (const component of to.matched) {
          const componentMiddleware = component.meta.middleware;
          if (!componentMiddleware) {
            continue;
          }
          for (const entry2 of toArray(componentMiddleware)) {
            middlewareEntries.add(entry2);
          }
        }
        {
          const routeRules = await nuxtApp.runWithContext(() => getRouteRules({ path: to.path }));
          if (routeRules.appMiddleware) {
            for (const key in routeRules.appMiddleware) {
              if (routeRules.appMiddleware[key]) {
                middlewareEntries.add(key);
              } else {
                middlewareEntries.delete(key);
              }
            }
          }
        }
        for (const entry2 of middlewareEntries) {
          const middleware = typeof entry2 === "string" ? nuxtApp._middleware.named[entry2] || await ((_b2 = namedMiddleware[entry2]) == null ? undefined : _b2.call(namedMiddleware).then((r) => r.default || r)) : entry2;
          if (!middleware) {
            throw new Error(`Unknown route middleware: '${entry2}'.`);
          }
          const result = await nuxtApp.runWithContext(() => middleware(to, from));
          {
            if (result === false || result instanceof Error) {
              const error2 = result || createError$1({
                statusCode: 404,
                statusMessage: `Page Not Found: ${initialURL}`
              });
              await nuxtApp.runWithContext(() => showError(error2));
              return false;
            }
          }
          if (result === true) {
            continue;
          }
          if (result || result === false) {
            return result;
          }
        }
      }
    });
    router.onError(async () => {
      delete nuxtApp._processingMiddleware;
      await nuxtApp.callHook("page:loading:end");
    });
    router.afterEach(async (to, _from) => {
      if (to.matched.length === 0) {
        await nuxtApp.runWithContext(() => showError(createError$1({
          statusCode: 404,
          fatal: false,
          statusMessage: `Page not found: ${to.fullPath}`,
          data: {
            path: to.fullPath
          }
        })));
      }
    });
    nuxtApp.hooks.hookOnce("app:created", async () => {
      try {
        if ("name" in resolvedInitialRoute) {
          resolvedInitialRoute.name = void 0;
        }
        await router.replace({
          ...resolvedInitialRoute,
          force: true
        });
        router.options.scrollBehavior = routerOptions.scrollBehavior;
      } catch (error2) {
        await nuxtApp.runWithContext(() => showError(error2));
      }
    });
    return { provide: { router } };
  }
});
const reducers = [
  ["NuxtError", (data) => isNuxtError(data) && data.toJSON()],
  ["EmptyShallowRef", (data) => isRef(data) && isShallow(data) && !data.value && (typeof data.value === "bigint" ? "0n" : JSON.stringify(data.value) || "_")],
  ["EmptyRef", (data) => isRef(data) && !data.value && (typeof data.value === "bigint" ? "0n" : JSON.stringify(data.value) || "_")],
  ["ShallowRef", (data) => isRef(data) && isShallow(data) && data.value],
  ["ShallowReactive", (data) => isReactive(data) && isShallow(data) && toRaw(data)],
  ["Ref", (data) => isRef(data) && data.value],
  ["Reactive", (data) => isReactive(data) && toRaw(data)]
];
const revive_payload_server_eJ33V7gbc6 = /* @__PURE__ */ defineNuxtPlugin({
  name: "nuxt:revive-payload:server",
  setup() {
    for (const [reducer, fn] of reducers) {
      definePayloadReducer(reducer, fn);
    }
  }
});
const plugin = /* @__PURE__ */ defineNuxtPlugin({
  name: "pinia",
  setup(nuxtApp) {
    const pinia = createPinia();
    nuxtApp.vueApp.use(pinia);
    setActivePinia(pinia);
    {
      nuxtApp.payload.pinia = toRaw(pinia.state.value);
    }
    return {
      provide: {
        pinia
      }
    };
  }
});
const components_plugin_zlvi6dcIsi = /* @__PURE__ */ defineNuxtPlugin({
  name: "nuxt:global-components"
});
const index_kWziF0uvuE = /* @__PURE__ */ defineNuxtPlugin((nuxt_appp) => {
  useViewerState(nuxt_appp.$pinia);
  useAppState(nuxt_appp.$pinia);
  try {
    (void 0).useRequest = useRequest;
    (void 0).useFetch = useFetch;
    (void 0).util = util;
  } catch (e) {
  }
  addRouteMiddleware("jxt-global-middlware", async (to, from) => {
  }, { global: true });
});
const plugins = [
  payloadPlugin,
  unhead_KgADcZ0jPj,
  plugin$1,
  revive_payload_server_eJ33V7gbc6,
  plugin,
  components_plugin_zlvi6dcIsi,
  index_kWziF0uvuE
];
const layouts = {
  default: defineAsyncComponent(() => import('./default-DPA15R42.mjs').then((m) => m.default || m)),
  user: defineAsyncComponent(() => import('./user-DM9rj6s4.mjs').then((m) => m.default || m))
};
const LayoutLoader = defineComponent({
  name: "LayoutLoader",
  inheritAttrs: false,
  props: {
    name: String,
    layoutProps: Object
  },
  setup(props, context) {
    return () => h(layouts[props.name], props.layoutProps, context.slots);
  }
});
const __nuxt_component_0 = defineComponent({
  name: "NuxtLayout",
  inheritAttrs: false,
  props: {
    name: {
      type: [String, Boolean, Object],
      default: null
    },
    fallback: {
      type: [String, Object],
      default: null
    }
  },
  setup(props, context) {
    const nuxtApp = useNuxtApp();
    const injectedRoute = inject(PageRouteSymbol);
    const route = injectedRoute === useRoute() ? useRoute$1() : injectedRoute;
    const layout = computed(() => {
      let layout2 = unref(props.name) ?? route.meta.layout ?? "default";
      if (layout2 && !(layout2 in layouts)) {
        if (props.fallback) {
          layout2 = unref(props.fallback);
        }
      }
      return layout2;
    });
    const layoutRef = ref();
    context.expose({ layoutRef });
    const done = nuxtApp.deferHydration();
    return () => {
      const hasLayout = layout.value && layout.value in layouts;
      const transitionProps = route.meta.layoutTransition ?? appLayoutTransition;
      return _wrapIf(Transition, hasLayout && transitionProps, {
        default: () => h(Suspense, { suspensible: true, onResolve: () => {
          nextTick(done);
        } }, {
          default: () => h(
            LayoutProvider,
            {
              layoutProps: mergeProps(context.attrs, { ref: layoutRef }),
              key: layout.value || undefined,
              name: layout.value,
              shouldProvide: !props.name,
              hasTransition: !!transitionProps
            },
            context.slots
          )
        })
      }).default();
    };
  }
});
const LayoutProvider = defineComponent({
  name: "NuxtLayoutProvider",
  inheritAttrs: false,
  props: {
    name: {
      type: [String, Boolean]
    },
    layoutProps: {
      type: Object
    },
    hasTransition: {
      type: Boolean
    },
    shouldProvide: {
      type: Boolean
    }
  },
  setup(props, context) {
    const name = props.name;
    if (props.shouldProvide) {
      provide(LayoutMetaSymbol, {
        isCurrent: (route) => name === (route.meta.layout ?? "default")
      });
    }
    return () => {
      var _a, _b;
      if (!name || typeof name === "string" && !(name in layouts)) {
        return (_b = (_a = context.slots).default) == null ? undefined : _b.call(_a);
      }
      return h(
        LayoutLoader,
        { key: name, layoutProps: props.layoutProps, name },
        context.slots
      );
    };
  }
});
const RouteProvider = defineComponent({
  props: {
    vnode: {
      type: Object,
      required: true
    },
    route: {
      type: Object,
      required: true
    },
    vnodeRef: Object,
    renderKey: String,
    trackRootNodes: Boolean
  },
  setup(props) {
    const previousKey = props.renderKey;
    const previousRoute = props.route;
    const route = {};
    for (const key in props.route) {
      Object.defineProperty(route, key, {
        get: () => previousKey === props.renderKey ? props.route[key] : previousRoute[key],
        enumerable: true
      });
    }
    provide(PageRouteSymbol, shallowReactive(route));
    return () => {
      return h(props.vnode, { ref: props.vnodeRef });
    };
  }
});
const __nuxt_component_1 = defineComponent({
  name: "NuxtPage",
  inheritAttrs: false,
  props: {
    name: {
      type: String
    },
    transition: {
      type: [Boolean, Object],
      default: undefined
    },
    keepalive: {
      type: [Boolean, Object],
      default: undefined
    },
    route: {
      type: Object
    },
    pageKey: {
      type: [Function, String],
      default: null
    }
  },
  setup(props, { attrs, slots, expose }) {
    const nuxtApp = useNuxtApp();
    const pageRef = ref();
    const forkRoute = inject(PageRouteSymbol, null);
    let previousPageKey;
    expose({ pageRef });
    inject(LayoutMetaSymbol, null);
    let vnode;
    const done = nuxtApp.deferHydration();
    if (props.pageKey) {
      watch(() => props.pageKey, (next, prev) => {
        if (next !== prev) {
          nuxtApp.callHook("page:loading:start");
        }
      });
    }
    return () => {
      return h(RouterView, { name: props.name, route: props.route, ...attrs }, {
        default: (routeProps) => {
          if (!routeProps.Component) {
            done();
            return;
          }
          const key = generateRouteKey$1(routeProps, props.pageKey);
          if (!nuxtApp.isHydrating && !hasChildrenRoutes(forkRoute, routeProps.route, routeProps.Component) && previousPageKey === key) {
            nuxtApp.callHook("page:loading:end");
          }
          previousPageKey = key;
          const hasTransition = !!(props.transition ?? routeProps.route.meta.pageTransition ?? appPageTransition);
          const transitionProps = hasTransition && _mergeTransitionProps([
            props.transition,
            routeProps.route.meta.pageTransition,
            appPageTransition,
            { onAfterLeave: () => {
              nuxtApp.callHook("page:transition:finish", routeProps.Component);
            } }
          ].filter(Boolean));
          const keepaliveConfig = props.keepalive ?? routeProps.route.meta.keepalive ?? appKeepalive;
          vnode = _wrapIf(
            Transition,
            hasTransition && transitionProps,
            wrapInKeepAlive(
              keepaliveConfig,
              h(Suspense, {
                suspensible: true,
                onPending: () => nuxtApp.callHook("page:start", routeProps.Component),
                onResolve: () => {
                  nextTick(() => nuxtApp.callHook("page:finish", routeProps.Component).then(() => nuxtApp.callHook("page:loading:end")).finally(done));
                }
              }, {
                default: () => {
                  const providerVNode = h(RouteProvider, {
                    key: key || undefined,
                    vnode: slots.default ? h(Fragment, undefined, slots.default(routeProps)) : routeProps.Component,
                    route: routeProps.route,
                    renderKey: key || undefined,
                    trackRootNodes: hasTransition,
                    vnodeRef: pageRef
                  });
                  return providerVNode;
                }
              })
            )
          ).default();
          return vnode;
        }
      });
    };
  }
});
function _mergeTransitionProps(routeProps) {
  const _props = routeProps.map((prop) => ({
    ...prop,
    onAfterLeave: prop.onAfterLeave ? toArray(prop.onAfterLeave) : undefined
  }));
  return defu(..._props);
}
function hasChildrenRoutes(fork, newRoute, Component) {
  if (!fork) {
    return false;
  }
  const index = newRoute.matched.findIndex((m) => {
    var _a;
    return ((_a = m.components) == null ? undefined : _a.default) === (Component == null ? undefined : Component.type);
  });
  return index < newRoute.matched.length - 1;
}
const _sfc_main$2 = {
  __name: "app",
  __ssrInlineRender: true,
  setup(__props) {
    let app_state = useAppState();
    try {
      (void 0).app_state = app_state;
    } catch (e) {
    }
    app_state.on_init();
    util.debounce((e) => {
      let wh = (undefined).innerHeight, w_page_offset = (undefined).pageYOffSet || (undefined).documentElement.scrollTop;
      let dh_offset = (undefined).body.offsetHeight - 5;
      if (wh + w_page_offset > dh_offset) {
        app_state.do_event("pageend", e);
        if (app_state.page_activity.activity_id) {
          app_state.update_activity({
            id: app_state.page_activity.activity_id,
            value: { bottom: true }
          });
        }
      }
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLayout = __nuxt_component_0;
      const _component_NuxtPage = __nuxt_component_1;
      _push(`<div${ssrRenderAttrs(_attrs)}>`);
      _push(ssrRenderComponent(_component_NuxtLayout, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_NuxtPage, null, null, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_NuxtPage)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("app.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : undefined;
};
const _sfc_main$1 = {
  __name: "nuxt-error-page",
  __ssrInlineRender: true,
  props: {
    error: Object
  },
  setup(__props) {
    const props = __props;
    const _error = props.error;
    _error.stack ? _error.stack.split("\n").splice(1).map((line) => {
      const text = line.replace("webpack:/", "").replace(".vue", ".js").trim();
      return {
        text,
        internal: line.includes("node_modules") && !line.includes(".cache") || line.includes("internal") || line.includes("new Promise")
      };
    }).map((i) => `<span class="stack${i.internal ? " internal" : ""}">${i.text}</span>`).join("\n") : "";
    const statusCode = Number(_error.statusCode || 500);
    const is404 = statusCode === 404;
    const statusMessage = _error.statusMessage ?? (is404 ? "Page Not Found" : "Internal Server Error");
    const description = _error.message || _error.toString();
    const stack = undefined;
    const _Error404 = defineAsyncComponent(() => import('./error-404-CCcpMR62.mjs'));
    const _Error = defineAsyncComponent(() => import('./error-500-C3zju7XY.mjs'));
    const ErrorTemplate = is404 ? _Error404 : _Error;
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(unref(ErrorTemplate), mergeProps({ statusCode: unref(statusCode), statusMessage: unref(statusMessage), description: unref(description), stack: unref(stack) }, _attrs), null, _parent));
    };
  }
};
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("../node_modules/nuxt/dist/app/components/nuxt-error-page.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : undefined;
};
const _sfc_main = {
  __name: "nuxt-root",
  __ssrInlineRender: true,
  setup(__props) {
    const IslandRenderer = () => null;
    const nuxtApp = useNuxtApp();
    nuxtApp.deferHydration();
    nuxtApp.ssrContext.url;
    const SingleRenderer = false;
    provide(PageRouteSymbol, useRoute());
    nuxtApp.hooks.callHookWith((hooks) => hooks.map((hook) => hook()), "vue:setup");
    const error = useError();
    const abortRender = error.value && !nuxtApp.ssrContext.error;
    onErrorCaptured((err, target, info) => {
      nuxtApp.hooks.callHook("vue:error", err, target, info).catch((hookError) => console.error("[nuxt] Error in `vue:error` hook", hookError));
      {
        const p = nuxtApp.runWithContext(() => showError(err));
        onServerPrefetch(() => p);
        return false;
      }
    });
    const islandContext = nuxtApp.ssrContext.islandContext;
    return (_ctx, _push, _parent, _attrs) => {
      ssrRenderSuspense(_push, {
        default: () => {
          if (unref(abortRender)) {
            _push(`<div></div>`);
          } else if (unref(error)) {
            _push(ssrRenderComponent(unref(_sfc_main$1), { error: unref(error) }, null, _parent));
          } else if (unref(islandContext)) {
            _push(ssrRenderComponent(unref(IslandRenderer), { context: unref(islandContext) }, null, _parent));
          } else if (unref(SingleRenderer)) {
            ssrRenderVNode(_push, createVNode(resolveDynamicComponent(unref(SingleRenderer)), null, null), _parent);
          } else {
            _push(ssrRenderComponent(unref(_sfc_main$2), null, null, _parent));
          }
        },
        _: 1
      });
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("../node_modules/nuxt/dist/app/components/nuxt-root.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
let entry;
{
  entry = async function createNuxtAppServer(ssrContext) {
    const vueApp = createApp(_sfc_main);
    const nuxt = createNuxtApp({ vueApp, ssrContext });
    try {
      await applyPlugins(nuxt, plugins);
      await nuxt.hooks.callHook("app:created", vueApp);
    } catch (error) {
      await nuxt.hooks.callHook("app:error", error);
      nuxt.payload.error = nuxt.payload.error || createError(error);
    }
    if (ssrContext == null ? undefined : ssrContext._renderResponse) {
      throw new Error("skipping render");
    }
    return vueApp;
  };
}
const entry$1 = (ssrContext) => entry(ssrContext);

export { __nuxt_component_8$2 as A, __nuxt_component_3 as B, __nuxt_component_4$2 as C, useEditorState as D, __nuxt_component_5 as E, __nuxt_component_4 as F, __nuxt_component_8$1 as G, _sfc_main$v as H, useTfProduct as I, __nuxt_component_4$1 as J, _sfc_main$J as K, defineNuxtRouteMiddleware as L, executeAsync as M, abortNavigation as N, __nuxt_component_0$2 as O, __nuxt_component_3$1 as P, _export_sfc as _, __nuxt_component_0$3 as a, useAppState as b, __nuxt_component_0$1 as c, __nuxt_component_1$1 as d, entry$1 as default, useRoute as e, useTfText as f, useModel as g, usePrettyCurrency as h, injectHead as i, useRequest as j, __nuxt_component_8 as k, useBusy as l, util as m, navigateTo as n, __nuxt_component_5$1 as o, __nuxt_component_1$3 as p, __nuxt_component_3$3 as q, resolveUnrefHeadInput as r, __nuxt_component_1$4 as s, __nuxt_component_1$2 as t, useViewerState as u, __nuxt_component_3$2 as v, __nuxt_component_7$2 as w, __nuxt_component_7$1 as x, __nuxt_component_6 as y, __nuxt_component_7 as z };
//# sourceMappingURL=server.mjs.map
