import process from 'node:process';globalThis._importMeta_=globalThis._importMeta_||{url:"file:///_entry.js",env:process.env};import http, { Server as Server$1 } from 'node:http';
import https, { Server } from 'node:https';
import { promises, existsSync } from 'node:fs';
import { dirname as dirname$1, resolve as resolve$1, join } from 'node:path';
import jsonwebtoken from 'jsonwebtoken';
import mysql from 'mysql2';
import { exec } from 'child_process';
import crypto from 'crypto';
import stripe from 'stripe';
import fs from 'node:fs/promises';
import { createReadStream, constants } from 'fs';
import { createRequire } from 'module';
import path$1 from 'path';
import cron from 'node-cron';
import { fileURLToPath } from 'node:url';

const suspectProtoRx = /"(?:_|\\u0{2}5[Ff]){2}(?:p|\\u0{2}70)(?:r|\\u0{2}72)(?:o|\\u0{2}6[Ff])(?:t|\\u0{2}74)(?:o|\\u0{2}6[Ff])(?:_|\\u0{2}5[Ff]){2}"\s*:/;
const suspectConstructorRx = /"(?:c|\\u0063)(?:o|\\u006[Ff])(?:n|\\u006[Ee])(?:s|\\u0073)(?:t|\\u0074)(?:r|\\u0072)(?:u|\\u0075)(?:c|\\u0063)(?:t|\\u0074)(?:o|\\u006[Ff])(?:r|\\u0072)"\s*:/;
const JsonSigRx = /^\s*["[{]|^\s*-?\d{1,16}(\.\d{1,17})?([Ee][+-]?\d+)?\s*$/;
function jsonParseTransform(key, value) {
  if (key === "__proto__" || key === "constructor" && value && typeof value === "object" && "prototype" in value) {
    warnKeyDropped(key);
    return;
  }
  return value;
}
function warnKeyDropped(key) {
  console.warn(`[destr] Dropping "${key}" key to prevent prototype pollution.`);
}
function destr(value, options = {}) {
  if (typeof value !== "string") {
    return value;
  }
  const _value = value.trim();
  if (
    // eslint-disable-next-line unicorn/prefer-at
    value[0] === '"' && value.endsWith('"') && !value.includes("\\")
  ) {
    return _value.slice(1, -1);
  }
  if (_value.length <= 9) {
    const _lval = _value.toLowerCase();
    if (_lval === "true") {
      return true;
    }
    if (_lval === "false") {
      return false;
    }
    if (_lval === "undefined") {
      return undefined;
    }
    if (_lval === "null") {
      return null;
    }
    if (_lval === "nan") {
      return Number.NaN;
    }
    if (_lval === "infinity") {
      return Number.POSITIVE_INFINITY;
    }
    if (_lval === "-infinity") {
      return Number.NEGATIVE_INFINITY;
    }
  }
  if (!JsonSigRx.test(value)) {
    if (options.strict) {
      throw new SyntaxError("[destr] Invalid JSON");
    }
    return value;
  }
  try {
    if (suspectProtoRx.test(value) || suspectConstructorRx.test(value)) {
      if (options.strict) {
        throw new Error("[destr] Possible prototype pollution");
      }
      return JSON.parse(value, jsonParseTransform);
    }
    return JSON.parse(value);
  } catch (error) {
    if (options.strict) {
      throw error;
    }
    return value;
  }
}

const HASH_RE = /#/g;
const AMPERSAND_RE = /&/g;
const SLASH_RE = /\//g;
const EQUAL_RE = /=/g;
const PLUS_RE = /\+/g;
const ENC_CARET_RE = /%5e/gi;
const ENC_BACKTICK_RE = /%60/gi;
const ENC_PIPE_RE = /%7c/gi;
const ENC_SPACE_RE = /%20/gi;
const ENC_SLASH_RE = /%2f/gi;
function encode(text) {
  return encodeURI("" + text).replace(ENC_PIPE_RE, "|");
}
function encodeQueryValue(input) {
  return encode(typeof input === "string" ? input : JSON.stringify(input)).replace(PLUS_RE, "%2B").replace(ENC_SPACE_RE, "+").replace(HASH_RE, "%23").replace(AMPERSAND_RE, "%26").replace(ENC_BACKTICK_RE, "`").replace(ENC_CARET_RE, "^").replace(SLASH_RE, "%2F");
}
function encodeQueryKey(text) {
  return encodeQueryValue(text).replace(EQUAL_RE, "%3D");
}
function decode$1(text = "") {
  try {
    return decodeURIComponent("" + text);
  } catch {
    return "" + text;
  }
}
function decodePath(text) {
  return decode$1(text.replace(ENC_SLASH_RE, "%252F"));
}
function decodeQueryKey(text) {
  return decode$1(text.replace(PLUS_RE, " "));
}
function decodeQueryValue(text) {
  return decode$1(text.replace(PLUS_RE, " "));
}

function parseQuery(parametersString = "") {
  const object = {};
  if (parametersString[0] === "?") {
    parametersString = parametersString.slice(1);
  }
  for (const parameter of parametersString.split("&")) {
    const s = parameter.match(/([^=]+)=?(.*)/) || [];
    if (s.length < 2) {
      continue;
    }
    const key = decodeQueryKey(s[1]);
    if (key === "__proto__" || key === "constructor") {
      continue;
    }
    const value = decodeQueryValue(s[2] || "");
    if (object[key] === undefined) {
      object[key] = value;
    } else if (Array.isArray(object[key])) {
      object[key].push(value);
    } else {
      object[key] = [object[key], value];
    }
  }
  return object;
}
function encodeQueryItem(key, value) {
  if (typeof value === "number" || typeof value === "boolean") {
    value = String(value);
  }
  if (!value) {
    return encodeQueryKey(key);
  }
  if (Array.isArray(value)) {
    return value.map((_value) => `${encodeQueryKey(key)}=${encodeQueryValue(_value)}`).join("&");
  }
  return `${encodeQueryKey(key)}=${encodeQueryValue(value)}`;
}
function stringifyQuery(query) {
  return Object.keys(query).filter((k) => query[k] !== undefined).map((k) => encodeQueryItem(k, query[k])).filter(Boolean).join("&");
}

const PROTOCOL_STRICT_REGEX = /^[\s\w\0+.-]{2,}:([/\\]{1,2})/;
const PROTOCOL_REGEX = /^[\s\w\0+.-]{2,}:([/\\]{2})?/;
const PROTOCOL_RELATIVE_REGEX = /^([/\\]\s*){2,}[^/\\]/;
const PROTOCOL_SCRIPT_RE = /^[\s\0]*(blob|data|javascript|vbscript):$/i;
const TRAILING_SLASH_RE = /\/$|\/\?|\/#/;
const JOIN_LEADING_SLASH_RE = /^\.?\//;
function hasProtocol(inputString, opts = {}) {
  if (typeof opts === "boolean") {
    opts = { acceptRelative: opts };
  }
  if (opts.strict) {
    return PROTOCOL_STRICT_REGEX.test(inputString);
  }
  return PROTOCOL_REGEX.test(inputString) || (opts.acceptRelative ? PROTOCOL_RELATIVE_REGEX.test(inputString) : false);
}
function isScriptProtocol(protocol) {
  return !!protocol && PROTOCOL_SCRIPT_RE.test(protocol);
}
function hasTrailingSlash(input = "", respectQueryAndFragment) {
  if (!respectQueryAndFragment) {
    return input.endsWith("/");
  }
  return TRAILING_SLASH_RE.test(input);
}
function withoutTrailingSlash(input = "", respectQueryAndFragment) {
  if (!respectQueryAndFragment) {
    return (hasTrailingSlash(input) ? input.slice(0, -1) : input) || "/";
  }
  if (!hasTrailingSlash(input, true)) {
    return input || "/";
  }
  let path = input;
  let fragment = "";
  const fragmentIndex = input.indexOf("#");
  if (fragmentIndex >= 0) {
    path = input.slice(0, fragmentIndex);
    fragment = input.slice(fragmentIndex);
  }
  const [s0, ...s] = path.split("?");
  const cleanPath = s0.endsWith("/") ? s0.slice(0, -1) : s0;
  return (cleanPath || "/") + (s.length > 0 ? `?${s.join("?")}` : "") + fragment;
}
function withTrailingSlash(input = "", respectQueryAndFragment) {
  if (!respectQueryAndFragment) {
    return input.endsWith("/") ? input : input + "/";
  }
  if (hasTrailingSlash(input, true)) {
    return input || "/";
  }
  let path = input;
  let fragment = "";
  const fragmentIndex = input.indexOf("#");
  if (fragmentIndex >= 0) {
    path = input.slice(0, fragmentIndex);
    fragment = input.slice(fragmentIndex);
    if (!path) {
      return fragment;
    }
  }
  const [s0, ...s] = path.split("?");
  return s0 + "/" + (s.length > 0 ? `?${s.join("?")}` : "") + fragment;
}
function hasLeadingSlash(input = "") {
  return input.startsWith("/");
}
function withLeadingSlash(input = "") {
  return hasLeadingSlash(input) ? input : "/" + input;
}
function withBase(input, base) {
  if (isEmptyURL(base) || hasProtocol(input)) {
    return input;
  }
  const _base = withoutTrailingSlash(base);
  if (input.startsWith(_base)) {
    return input;
  }
  return joinURL(_base, input);
}
function withoutBase(input, base) {
  if (isEmptyURL(base)) {
    return input;
  }
  const _base = withoutTrailingSlash(base);
  if (!input.startsWith(_base)) {
    return input;
  }
  const trimmed = input.slice(_base.length);
  return trimmed[0] === "/" ? trimmed : "/" + trimmed;
}
function withQuery(input, query) {
  const parsed = parseURL(input);
  const mergedQuery = { ...parseQuery(parsed.search), ...query };
  parsed.search = stringifyQuery(mergedQuery);
  return stringifyParsedURL(parsed);
}
function getQuery$1(input) {
  return parseQuery(parseURL(input).search);
}
function isEmptyURL(url) {
  return !url || url === "/";
}
function isNonEmptyURL(url) {
  return url && url !== "/";
}
function joinURL(base, ...input) {
  let url = base || "";
  for (const segment of input.filter((url2) => isNonEmptyURL(url2))) {
    if (url) {
      const _segment = segment.replace(JOIN_LEADING_SLASH_RE, "");
      url = withTrailingSlash(url) + _segment;
    } else {
      url = segment;
    }
  }
  return url;
}
function joinRelativeURL(..._input) {
  const JOIN_SEGMENT_SPLIT_RE = /\/(?!\/)/;
  const input = _input.filter(Boolean);
  const segments = [];
  let segmentsDepth = 0;
  for (const i of input) {
    if (!i || i === "/") {
      continue;
    }
    for (const [sindex, s] of i.split(JOIN_SEGMENT_SPLIT_RE).entries()) {
      if (!s || s === ".") {
        continue;
      }
      if (s === "..") {
        if (segments.length === 1 && hasProtocol(segments[0])) {
          continue;
        }
        segments.pop();
        segmentsDepth--;
        continue;
      }
      if (sindex === 1 && segments[segments.length - 1]?.endsWith(":/")) {
        segments[segments.length - 1] += "/" + s;
        continue;
      }
      segments.push(s);
      segmentsDepth++;
    }
  }
  let url = segments.join("/");
  if (segmentsDepth >= 0) {
    if (input[0]?.startsWith("/") && !url.startsWith("/")) {
      url = "/" + url;
    } else if (input[0]?.startsWith("./") && !url.startsWith("./")) {
      url = "./" + url;
    }
  } else {
    url = "../".repeat(-1 * segmentsDepth) + url;
  }
  if (input[input.length - 1]?.endsWith("/") && !url.endsWith("/")) {
    url += "/";
  }
  return url;
}

const protocolRelative = Symbol.for("ufo:protocolRelative");
function parseURL(input = "", defaultProto) {
  const _specialProtoMatch = input.match(
    /^[\s\0]*(blob:|data:|javascript:|vbscript:)(.*)/i
  );
  if (_specialProtoMatch) {
    const [, _proto, _pathname = ""] = _specialProtoMatch;
    return {
      protocol: _proto.toLowerCase(),
      pathname: _pathname,
      href: _proto + _pathname,
      auth: "",
      host: "",
      search: "",
      hash: ""
    };
  }
  if (!hasProtocol(input, { acceptRelative: true })) {
    return parsePath(input);
  }
  const [, protocol = "", auth, hostAndPath = ""] = input.replace(/\\/g, "/").match(/^[\s\0]*([\w+.-]{2,}:)?\/\/([^/@]+@)?(.*)/) || [];
  let [, host = "", path = ""] = hostAndPath.match(/([^#/?]*)(.*)?/) || [];
  if (protocol === "file:") {
    path = path.replace(/\/(?=[A-Za-z]:)/, "");
  }
  const { pathname, search, hash } = parsePath(path);
  return {
    protocol: protocol.toLowerCase(),
    auth: auth ? auth.slice(0, Math.max(0, auth.length - 1)) : "",
    host,
    pathname,
    search,
    hash,
    [protocolRelative]: !protocol
  };
}
function parsePath(input = "") {
  const [pathname = "", search = "", hash = ""] = (input.match(/([^#?]*)(\?[^#]*)?(#.*)?/) || []).splice(1);
  return {
    pathname,
    search,
    hash
  };
}
function stringifyParsedURL(parsed) {
  const pathname = parsed.pathname || "";
  const search = parsed.search ? (parsed.search.startsWith("?") ? "" : "?") + parsed.search : "";
  const hash = parsed.hash || "";
  const auth = parsed.auth ? parsed.auth + "@" : "";
  const host = parsed.host || "";
  const proto = parsed.protocol || parsed[protocolRelative] ? (parsed.protocol || "") + "//" : "";
  return proto + auth + host + pathname + search + hash;
}

function parse(str, options) {
  if (typeof str !== "string") {
    throw new TypeError("argument str must be a string");
  }
  const obj = {};
  const opt = options || {};
  const dec = opt.decode || decode;
  let index = 0;
  while (index < str.length) {
    const eqIdx = str.indexOf("=", index);
    if (eqIdx === -1) {
      break;
    }
    let endIdx = str.indexOf(";", index);
    if (endIdx === -1) {
      endIdx = str.length;
    } else if (endIdx < eqIdx) {
      index = str.lastIndexOf(";", eqIdx - 1) + 1;
      continue;
    }
    const key = str.slice(index, eqIdx).trim();
    if (opt?.filter && !opt?.filter(key)) {
      index = endIdx + 1;
      continue;
    }
    if (undefined === obj[key]) {
      let val = str.slice(eqIdx + 1, endIdx).trim();
      if (val.codePointAt(0) === 34) {
        val = val.slice(1, -1);
      }
      obj[key] = tryDecode(val, dec);
    }
    index = endIdx + 1;
  }
  return obj;
}
function decode(str) {
  return str.includes("%") ? decodeURIComponent(str) : str;
}
function tryDecode(str, decode2) {
  try {
    return decode2(str);
  } catch {
    return str;
  }
}

const fieldContentRegExp = /^[\u0009\u0020-\u007E\u0080-\u00FF]+$/;
function serialize(name, value, options) {
  const opt = options || {};
  const enc = opt.encode || encodeURIComponent;
  if (typeof enc !== "function") {
    throw new TypeError("option encode is invalid");
  }
  if (!fieldContentRegExp.test(name)) {
    throw new TypeError("argument name is invalid");
  }
  const encodedValue = enc(value);
  if (encodedValue && !fieldContentRegExp.test(encodedValue)) {
    throw new TypeError("argument val is invalid");
  }
  let str = name + "=" + encodedValue;
  if (undefined !== opt.maxAge && opt.maxAge !== null) {
    const maxAge = opt.maxAge - 0;
    if (Number.isNaN(maxAge) || !Number.isFinite(maxAge)) {
      throw new TypeError("option maxAge is invalid");
    }
    str += "; Max-Age=" + Math.floor(maxAge);
  }
  if (opt.domain) {
    if (!fieldContentRegExp.test(opt.domain)) {
      throw new TypeError("option domain is invalid");
    }
    str += "; Domain=" + opt.domain;
  }
  if (opt.path) {
    if (!fieldContentRegExp.test(opt.path)) {
      throw new TypeError("option path is invalid");
    }
    str += "; Path=" + opt.path;
  }
  if (opt.expires) {
    if (!isDate(opt.expires) || Number.isNaN(opt.expires.valueOf())) {
      throw new TypeError("option expires is invalid");
    }
    str += "; Expires=" + opt.expires.toUTCString();
  }
  if (opt.httpOnly) {
    str += "; HttpOnly";
  }
  if (opt.secure) {
    str += "; Secure";
  }
  if (opt.priority) {
    const priority = typeof opt.priority === "string" ? opt.priority.toLowerCase() : opt.priority;
    switch (priority) {
      case "low": {
        str += "; Priority=Low";
        break;
      }
      case "medium": {
        str += "; Priority=Medium";
        break;
      }
      case "high": {
        str += "; Priority=High";
        break;
      }
      default: {
        throw new TypeError("option priority is invalid");
      }
    }
  }
  if (opt.sameSite) {
    const sameSite = typeof opt.sameSite === "string" ? opt.sameSite.toLowerCase() : opt.sameSite;
    switch (sameSite) {
      case true: {
        str += "; SameSite=Strict";
        break;
      }
      case "lax": {
        str += "; SameSite=Lax";
        break;
      }
      case "strict": {
        str += "; SameSite=Strict";
        break;
      }
      case "none": {
        str += "; SameSite=None";
        break;
      }
      default: {
        throw new TypeError("option sameSite is invalid");
      }
    }
  }
  if (opt.partitioned) {
    str += "; Partitioned";
  }
  return str;
}
function isDate(val) {
  return Object.prototype.toString.call(val) === "[object Date]" || val instanceof Date;
}

const defaults = Object.freeze({
  ignoreUnknown: false,
  respectType: false,
  respectFunctionNames: false,
  respectFunctionProperties: false,
  unorderedObjects: true,
  unorderedArrays: false,
  unorderedSets: false,
  excludeKeys: undefined,
  excludeValues: undefined,
  replacer: undefined
});
function objectHash(object, options) {
  if (options) {
    options = { ...defaults, ...options };
  } else {
    options = defaults;
  }
  const hasher = createHasher(options);
  hasher.dispatch(object);
  return hasher.toString();
}
const defaultPrototypesKeys = Object.freeze([
  "prototype",
  "__proto__",
  "constructor"
]);
function createHasher(options) {
  let buff = "";
  let context = /* @__PURE__ */ new Map();
  const write = (str) => {
    buff += str;
  };
  return {
    toString() {
      return buff;
    },
    getContext() {
      return context;
    },
    dispatch(value) {
      if (options.replacer) {
        value = options.replacer(value);
      }
      const type = value === null ? "null" : typeof value;
      return this[type](value);
    },
    object(object) {
      if (object && typeof object.toJSON === "function") {
        return this.object(object.toJSON());
      }
      const objString = Object.prototype.toString.call(object);
      let objType = "";
      const objectLength = objString.length;
      if (objectLength < 10) {
        objType = "unknown:[" + objString + "]";
      } else {
        objType = objString.slice(8, objectLength - 1);
      }
      objType = objType.toLowerCase();
      let objectNumber = null;
      if ((objectNumber = context.get(object)) === undefined) {
        context.set(object, context.size);
      } else {
        return this.dispatch("[CIRCULAR:" + objectNumber + "]");
      }
      if (typeof Buffer !== "undefined" && Buffer.isBuffer && Buffer.isBuffer(object)) {
        write("buffer:");
        return write(object.toString("utf8"));
      }
      if (objType !== "object" && objType !== "function" && objType !== "asyncfunction") {
        if (this[objType]) {
          this[objType](object);
        } else if (!options.ignoreUnknown) {
          this.unkown(object, objType);
        }
      } else {
        let keys = Object.keys(object);
        if (options.unorderedObjects) {
          keys = keys.sort();
        }
        let extraKeys = [];
        if (options.respectType !== false && !isNativeFunction(object)) {
          extraKeys = defaultPrototypesKeys;
        }
        if (options.excludeKeys) {
          keys = keys.filter((key) => {
            return !options.excludeKeys(key);
          });
          extraKeys = extraKeys.filter((key) => {
            return !options.excludeKeys(key);
          });
        }
        write("object:" + (keys.length + extraKeys.length) + ":");
        const dispatchForKey = (key) => {
          this.dispatch(key);
          write(":");
          if (!options.excludeValues) {
            this.dispatch(object[key]);
          }
          write(",");
        };
        for (const key of keys) {
          dispatchForKey(key);
        }
        for (const key of extraKeys) {
          dispatchForKey(key);
        }
      }
    },
    array(arr, unordered) {
      unordered = unordered === undefined ? options.unorderedArrays !== false : unordered;
      write("array:" + arr.length + ":");
      if (!unordered || arr.length <= 1) {
        for (const entry of arr) {
          this.dispatch(entry);
        }
        return;
      }
      const contextAdditions = /* @__PURE__ */ new Map();
      const entries = arr.map((entry) => {
        const hasher = createHasher(options);
        hasher.dispatch(entry);
        for (const [key, value] of hasher.getContext()) {
          contextAdditions.set(key, value);
        }
        return hasher.toString();
      });
      context = contextAdditions;
      entries.sort();
      return this.array(entries, false);
    },
    date(date) {
      return write("date:" + date.toJSON());
    },
    symbol(sym) {
      return write("symbol:" + sym.toString());
    },
    unkown(value, type) {
      write(type);
      if (!value) {
        return;
      }
      write(":");
      if (value && typeof value.entries === "function") {
        return this.array(
          Array.from(value.entries()),
          true
          /* ordered */
        );
      }
    },
    error(err) {
      return write("error:" + err.toString());
    },
    boolean(bool) {
      return write("bool:" + bool);
    },
    string(string) {
      write("string:" + string.length + ":");
      write(string);
    },
    function(fn) {
      write("fn:");
      if (isNativeFunction(fn)) {
        this.dispatch("[native]");
      } else {
        this.dispatch(fn.toString());
      }
      if (options.respectFunctionNames !== false) {
        this.dispatch("function-name:" + String(fn.name));
      }
      if (options.respectFunctionProperties) {
        this.object(fn);
      }
    },
    number(number) {
      return write("number:" + number);
    },
    xml(xml) {
      return write("xml:" + xml.toString());
    },
    null() {
      return write("Null");
    },
    undefined() {
      return write("Undefined");
    },
    regexp(regex) {
      return write("regex:" + regex.toString());
    },
    uint8array(arr) {
      write("uint8array:");
      return this.dispatch(Array.prototype.slice.call(arr));
    },
    uint8clampedarray(arr) {
      write("uint8clampedarray:");
      return this.dispatch(Array.prototype.slice.call(arr));
    },
    int8array(arr) {
      write("int8array:");
      return this.dispatch(Array.prototype.slice.call(arr));
    },
    uint16array(arr) {
      write("uint16array:");
      return this.dispatch(Array.prototype.slice.call(arr));
    },
    int16array(arr) {
      write("int16array:");
      return this.dispatch(Array.prototype.slice.call(arr));
    },
    uint32array(arr) {
      write("uint32array:");
      return this.dispatch(Array.prototype.slice.call(arr));
    },
    int32array(arr) {
      write("int32array:");
      return this.dispatch(Array.prototype.slice.call(arr));
    },
    float32array(arr) {
      write("float32array:");
      return this.dispatch(Array.prototype.slice.call(arr));
    },
    float64array(arr) {
      write("float64array:");
      return this.dispatch(Array.prototype.slice.call(arr));
    },
    arraybuffer(arr) {
      write("arraybuffer:");
      return this.dispatch(new Uint8Array(arr));
    },
    url(url) {
      return write("url:" + url.toString());
    },
    map(map) {
      write("map:");
      const arr = [...map];
      return this.array(arr, options.unorderedSets !== false);
    },
    set(set) {
      write("set:");
      const arr = [...set];
      return this.array(arr, options.unorderedSets !== false);
    },
    file(file) {
      write("file:");
      return this.dispatch([file.name, file.size, file.type, file.lastModfied]);
    },
    blob() {
      if (options.ignoreUnknown) {
        return write("[blob]");
      }
      throw new Error(
        'Hashing Blob objects is currently not supported\nUse "options.replacer" or "options.ignoreUnknown"\n'
      );
    },
    domwindow() {
      return write("domwindow");
    },
    bigint(number) {
      return write("bigint:" + number.toString());
    },
    /* Node.js standard native objects */
    process() {
      return write("process");
    },
    timer() {
      return write("timer");
    },
    pipe() {
      return write("pipe");
    },
    tcp() {
      return write("tcp");
    },
    udp() {
      return write("udp");
    },
    tty() {
      return write("tty");
    },
    statwatcher() {
      return write("statwatcher");
    },
    securecontext() {
      return write("securecontext");
    },
    connection() {
      return write("connection");
    },
    zlib() {
      return write("zlib");
    },
    context() {
      return write("context");
    },
    nodescript() {
      return write("nodescript");
    },
    httpparser() {
      return write("httpparser");
    },
    dataview() {
      return write("dataview");
    },
    signal() {
      return write("signal");
    },
    fsevent() {
      return write("fsevent");
    },
    tlswrap() {
      return write("tlswrap");
    }
  };
}
const nativeFunc = "[native code] }";
const nativeFuncLength = nativeFunc.length;
function isNativeFunction(f) {
  if (typeof f !== "function") {
    return false;
  }
  return Function.prototype.toString.call(f).slice(-nativeFuncLength) === nativeFunc;
}

var __defProp$1$1 = Object.defineProperty;
var __defNormalProp$1$1 = (obj, key, value) => key in obj ? __defProp$1$1(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField$1$1 = (obj, key, value) => {
  __defNormalProp$1$1(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
class WordArray {
  constructor(words, sigBytes) {
    __publicField$1$1(this, "words");
    __publicField$1$1(this, "sigBytes");
    words = this.words = words || [];
    this.sigBytes = sigBytes === undefined ? words.length * 4 : sigBytes;
  }
  toString(encoder) {
    return (encoder || Hex).stringify(this);
  }
  concat(wordArray) {
    this.clamp();
    if (this.sigBytes % 4) {
      for (let i = 0; i < wordArray.sigBytes; i++) {
        const thatByte = wordArray.words[i >>> 2] >>> 24 - i % 4 * 8 & 255;
        this.words[this.sigBytes + i >>> 2] |= thatByte << 24 - (this.sigBytes + i) % 4 * 8;
      }
    } else {
      for (let j = 0; j < wordArray.sigBytes; j += 4) {
        this.words[this.sigBytes + j >>> 2] = wordArray.words[j >>> 2];
      }
    }
    this.sigBytes += wordArray.sigBytes;
    return this;
  }
  clamp() {
    this.words[this.sigBytes >>> 2] &= 4294967295 << 32 - this.sigBytes % 4 * 8;
    this.words.length = Math.ceil(this.sigBytes / 4);
  }
  clone() {
    return new WordArray([...this.words]);
  }
}
const Hex = {
  stringify(wordArray) {
    const hexChars = [];
    for (let i = 0; i < wordArray.sigBytes; i++) {
      const bite = wordArray.words[i >>> 2] >>> 24 - i % 4 * 8 & 255;
      hexChars.push((bite >>> 4).toString(16), (bite & 15).toString(16));
    }
    return hexChars.join("");
  }
};
const Base64 = {
  stringify(wordArray) {
    const keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
    const base64Chars = [];
    for (let i = 0; i < wordArray.sigBytes; i += 3) {
      const byte1 = wordArray.words[i >>> 2] >>> 24 - i % 4 * 8 & 255;
      const byte2 = wordArray.words[i + 1 >>> 2] >>> 24 - (i + 1) % 4 * 8 & 255;
      const byte3 = wordArray.words[i + 2 >>> 2] >>> 24 - (i + 2) % 4 * 8 & 255;
      const triplet = byte1 << 16 | byte2 << 8 | byte3;
      for (let j = 0; j < 4 && i * 8 + j * 6 < wordArray.sigBytes * 8; j++) {
        base64Chars.push(keyStr.charAt(triplet >>> 6 * (3 - j) & 63));
      }
    }
    return base64Chars.join("");
  }
};
const Latin1 = {
  parse(latin1Str) {
    const latin1StrLength = latin1Str.length;
    const words = [];
    for (let i = 0; i < latin1StrLength; i++) {
      words[i >>> 2] |= (latin1Str.charCodeAt(i) & 255) << 24 - i % 4 * 8;
    }
    return new WordArray(words, latin1StrLength);
  }
};
const Utf8 = {
  parse(utf8Str) {
    return Latin1.parse(unescape(encodeURIComponent(utf8Str)));
  }
};
class BufferedBlockAlgorithm {
  constructor() {
    __publicField$1$1(this, "_data", new WordArray());
    __publicField$1$1(this, "_nDataBytes", 0);
    __publicField$1$1(this, "_minBufferSize", 0);
    __publicField$1$1(this, "blockSize", 512 / 32);
  }
  reset() {
    this._data = new WordArray();
    this._nDataBytes = 0;
  }
  _append(data) {
    if (typeof data === "string") {
      data = Utf8.parse(data);
    }
    this._data.concat(data);
    this._nDataBytes += data.sigBytes;
  }
  _doProcessBlock(_dataWords, _offset) {
  }
  _process(doFlush) {
    let processedWords;
    let nBlocksReady = this._data.sigBytes / (this.blockSize * 4);
    if (doFlush) {
      nBlocksReady = Math.ceil(nBlocksReady);
    } else {
      nBlocksReady = Math.max((nBlocksReady | 0) - this._minBufferSize, 0);
    }
    const nWordsReady = nBlocksReady * this.blockSize;
    const nBytesReady = Math.min(nWordsReady * 4, this._data.sigBytes);
    if (nWordsReady) {
      for (let offset = 0; offset < nWordsReady; offset += this.blockSize) {
        this._doProcessBlock(this._data.words, offset);
      }
      processedWords = this._data.words.splice(0, nWordsReady);
      this._data.sigBytes -= nBytesReady;
    }
    return new WordArray(processedWords, nBytesReady);
  }
}
class Hasher extends BufferedBlockAlgorithm {
  update(messageUpdate) {
    this._append(messageUpdate);
    this._process();
    return this;
  }
  finalize(messageUpdate) {
    if (messageUpdate) {
      this._append(messageUpdate);
    }
  }
}

var __defProp$4 = Object.defineProperty;
var __defNormalProp$4 = (obj, key, value) => key in obj ? __defProp$4(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField$4 = (obj, key, value) => {
  __defNormalProp$4(obj, key + "" , value);
  return value;
};
const H = [
  1779033703,
  -1150833019,
  1013904242,
  -1521486534,
  1359893119,
  -1694144372,
  528734635,
  1541459225
];
const K = [
  1116352408,
  1899447441,
  -1245643825,
  -373957723,
  961987163,
  1508970993,
  -1841331548,
  -1424204075,
  -670586216,
  310598401,
  607225278,
  1426881987,
  1925078388,
  -2132889090,
  -1680079193,
  -1046744716,
  -459576895,
  -272742522,
  264347078,
  604807628,
  770255983,
  1249150122,
  1555081692,
  1996064986,
  -1740746414,
  -1473132947,
  -1341970488,
  -1084653625,
  -958395405,
  -710438585,
  113926993,
  338241895,
  666307205,
  773529912,
  1294757372,
  1396182291,
  1695183700,
  1986661051,
  -2117940946,
  -1838011259,
  -1564481375,
  -1474664885,
  -1035236496,
  -949202525,
  -778901479,
  -694614492,
  -200395387,
  275423344,
  430227734,
  506948616,
  659060556,
  883997877,
  958139571,
  1322822218,
  1537002063,
  1747873779,
  1955562222,
  2024104815,
  -2067236844,
  -1933114872,
  -1866530822,
  -1538233109,
  -1090935817,
  -965641998
];
const W = [];
class SHA256 extends Hasher {
  constructor() {
    super(...arguments);
    __publicField$4(this, "_hash", new WordArray([...H]));
  }
  /**
   * Resets the internal state of the hash object to initial values.
   */
  reset() {
    super.reset();
    this._hash = new WordArray([...H]);
  }
  _doProcessBlock(M, offset) {
    const H2 = this._hash.words;
    let a = H2[0];
    let b = H2[1];
    let c = H2[2];
    let d = H2[3];
    let e = H2[4];
    let f = H2[5];
    let g = H2[6];
    let h = H2[7];
    for (let i = 0; i < 64; i++) {
      if (i < 16) {
        W[i] = M[offset + i] | 0;
      } else {
        const gamma0x = W[i - 15];
        const gamma0 = (gamma0x << 25 | gamma0x >>> 7) ^ (gamma0x << 14 | gamma0x >>> 18) ^ gamma0x >>> 3;
        const gamma1x = W[i - 2];
        const gamma1 = (gamma1x << 15 | gamma1x >>> 17) ^ (gamma1x << 13 | gamma1x >>> 19) ^ gamma1x >>> 10;
        W[i] = gamma0 + W[i - 7] + gamma1 + W[i - 16];
      }
      const ch = e & f ^ ~e & g;
      const maj = a & b ^ a & c ^ b & c;
      const sigma0 = (a << 30 | a >>> 2) ^ (a << 19 | a >>> 13) ^ (a << 10 | a >>> 22);
      const sigma1 = (e << 26 | e >>> 6) ^ (e << 21 | e >>> 11) ^ (e << 7 | e >>> 25);
      const t1 = h + sigma1 + ch + K[i] + W[i];
      const t2 = sigma0 + maj;
      h = g;
      g = f;
      f = e;
      e = d + t1 | 0;
      d = c;
      c = b;
      b = a;
      a = t1 + t2 | 0;
    }
    H2[0] = H2[0] + a | 0;
    H2[1] = H2[1] + b | 0;
    H2[2] = H2[2] + c | 0;
    H2[3] = H2[3] + d | 0;
    H2[4] = H2[4] + e | 0;
    H2[5] = H2[5] + f | 0;
    H2[6] = H2[6] + g | 0;
    H2[7] = H2[7] + h | 0;
  }
  /**
   * Finishes the hash calculation and returns the hash as a WordArray.
   *
   * @param {string} messageUpdate - Additional message content to include in the hash.
   * @returns {WordArray} The finalised hash as a WordArray.
   */
  finalize(messageUpdate) {
    super.finalize(messageUpdate);
    const nBitsTotal = this._nDataBytes * 8;
    const nBitsLeft = this._data.sigBytes * 8;
    this._data.words[nBitsLeft >>> 5] |= 128 << 24 - nBitsLeft % 32;
    this._data.words[(nBitsLeft + 64 >>> 9 << 4) + 14] = Math.floor(
      nBitsTotal / 4294967296
    );
    this._data.words[(nBitsLeft + 64 >>> 9 << 4) + 15] = nBitsTotal;
    this._data.sigBytes = this._data.words.length * 4;
    this._process();
    return this._hash;
  }
}
function sha256base64(message) {
  return new SHA256().finalize(message).toString(Base64);
}

function hash(object, options = {}) {
  const hashed = typeof object === "string" ? object : objectHash(object, options);
  return sha256base64(hashed).slice(0, 10);
}

function isEqual(object1, object2, hashOptions = {}) {
  if (object1 === object2) {
    return true;
  }
  if (objectHash(object1, hashOptions) === objectHash(object2, hashOptions)) {
    return true;
  }
  return false;
}

const NODE_TYPES = {
  NORMAL: 0,
  WILDCARD: 1,
  PLACEHOLDER: 2
};

function createRouter$1(options = {}) {
  const ctx = {
    options,
    rootNode: createRadixNode(),
    staticRoutesMap: {}
  };
  const normalizeTrailingSlash = (p) => options.strictTrailingSlash ? p : p.replace(/\/$/, "") || "/";
  if (options.routes) {
    for (const path in options.routes) {
      insert(ctx, normalizeTrailingSlash(path), options.routes[path]);
    }
  }
  return {
    ctx,
    lookup: (path) => lookup(ctx, normalizeTrailingSlash(path)),
    insert: (path, data) => insert(ctx, normalizeTrailingSlash(path), data),
    remove: (path) => remove$1(ctx, normalizeTrailingSlash(path))
  };
}
function lookup(ctx, path) {
  const staticPathNode = ctx.staticRoutesMap[path];
  if (staticPathNode) {
    return staticPathNode.data;
  }
  const sections = path.split("/");
  const params = {};
  let paramsFound = false;
  let wildcardNode = null;
  let node = ctx.rootNode;
  let wildCardParam = null;
  for (let i = 0; i < sections.length; i++) {
    const section = sections[i];
    if (node.wildcardChildNode !== null) {
      wildcardNode = node.wildcardChildNode;
      wildCardParam = sections.slice(i).join("/");
    }
    const nextNode = node.children.get(section);
    if (nextNode === undefined) {
      if (node && node.placeholderChildren.length > 1) {
        const remaining = sections.length - i;
        node = node.placeholderChildren.find((c) => c.maxDepth === remaining) || null;
      } else {
        node = node.placeholderChildren[0] || null;
      }
      if (!node) {
        break;
      }
      if (node.paramName) {
        params[node.paramName] = section;
      }
      paramsFound = true;
    } else {
      node = nextNode;
    }
  }
  if ((node === null || node.data === null) && wildcardNode !== null) {
    node = wildcardNode;
    params[node.paramName || "_"] = wildCardParam;
    paramsFound = true;
  }
  if (!node) {
    return null;
  }
  if (paramsFound) {
    return {
      ...node.data,
      params: paramsFound ? params : undefined
    };
  }
  return node.data;
}
function insert(ctx, path, data) {
  let isStaticRoute = true;
  const sections = path.split("/");
  let node = ctx.rootNode;
  let _unnamedPlaceholderCtr = 0;
  const matchedNodes = [node];
  for (const section of sections) {
    let childNode;
    if (childNode = node.children.get(section)) {
      node = childNode;
    } else {
      const type = getNodeType(section);
      childNode = createRadixNode({ type, parent: node });
      node.children.set(section, childNode);
      if (type === NODE_TYPES.PLACEHOLDER) {
        childNode.paramName = section === "*" ? `_${_unnamedPlaceholderCtr++}` : section.slice(1);
        node.placeholderChildren.push(childNode);
        isStaticRoute = false;
      } else if (type === NODE_TYPES.WILDCARD) {
        node.wildcardChildNode = childNode;
        childNode.paramName = section.slice(
          3
          /* "**:" */
        ) || "_";
        isStaticRoute = false;
      }
      matchedNodes.push(childNode);
      node = childNode;
    }
  }
  for (const [depth, node2] of matchedNodes.entries()) {
    node2.maxDepth = Math.max(matchedNodes.length - depth, node2.maxDepth || 0);
  }
  node.data = data;
  if (isStaticRoute === true) {
    ctx.staticRoutesMap[path] = node;
  }
  return node;
}
function remove$1(ctx, path) {
  let success = false;
  const sections = path.split("/");
  let node = ctx.rootNode;
  for (const section of sections) {
    node = node.children.get(section);
    if (!node) {
      return success;
    }
  }
  if (node.data) {
    const lastSection = sections.at(-1) || "";
    node.data = null;
    if (Object.keys(node.children).length === 0 && node.parent) {
      node.parent.children.delete(lastSection);
      node.parent.wildcardChildNode = null;
      node.parent.placeholderChildren = [];
    }
    success = true;
  }
  return success;
}
function createRadixNode(options = {}) {
  return {
    type: options.type || NODE_TYPES.NORMAL,
    maxDepth: 0,
    parent: options.parent || null,
    children: /* @__PURE__ */ new Map(),
    data: options.data || null,
    paramName: options.paramName || null,
    wildcardChildNode: null,
    placeholderChildren: []
  };
}
function getNodeType(str) {
  if (str.startsWith("**")) {
    return NODE_TYPES.WILDCARD;
  }
  if (str[0] === ":" || str === "*") {
    return NODE_TYPES.PLACEHOLDER;
  }
  return NODE_TYPES.NORMAL;
}

function toRouteMatcher(router) {
  const table = _routerNodeToTable("", router.ctx.rootNode);
  return _createMatcher(table, router.ctx.options.strictTrailingSlash);
}
function _createMatcher(table, strictTrailingSlash) {
  return {
    ctx: { table },
    matchAll: (path) => _matchRoutes(path, table, strictTrailingSlash)
  };
}
function _createRouteTable() {
  return {
    static: /* @__PURE__ */ new Map(),
    wildcard: /* @__PURE__ */ new Map(),
    dynamic: /* @__PURE__ */ new Map()
  };
}
function _matchRoutes(path, table, strictTrailingSlash) {
  if (strictTrailingSlash !== true && path.endsWith("/")) {
    path = path.slice(0, -1) || "/";
  }
  const matches = [];
  for (const [key, value] of _sortRoutesMap(table.wildcard)) {
    if (path === key || path.startsWith(key + "/")) {
      matches.push(value);
    }
  }
  for (const [key, value] of _sortRoutesMap(table.dynamic)) {
    if (path.startsWith(key + "/")) {
      const subPath = "/" + path.slice(key.length).split("/").splice(2).join("/");
      matches.push(..._matchRoutes(subPath, value));
    }
  }
  const staticMatch = table.static.get(path);
  if (staticMatch) {
    matches.push(staticMatch);
  }
  return matches.filter(Boolean);
}
function _sortRoutesMap(m) {
  return [...m.entries()].sort((a, b) => a[0].length - b[0].length);
}
function _routerNodeToTable(initialPath, initialNode) {
  const table = _createRouteTable();
  function _addNode(path, node) {
    if (path) {
      if (node.type === NODE_TYPES.NORMAL && !(path.includes("*") || path.includes(":"))) {
        if (node.data) {
          table.static.set(path, node.data);
        }
      } else if (node.type === NODE_TYPES.WILDCARD) {
        table.wildcard.set(path.replace("/**", ""), node.data);
      } else if (node.type === NODE_TYPES.PLACEHOLDER) {
        const subTable = _routerNodeToTable("", node);
        if (node.data) {
          subTable.static.set("/", node.data);
        }
        table.dynamic.set(path.replace(/\/\*|\/:\w+/, ""), subTable);
        return;
      }
    }
    for (const [childPath, child] of node.children.entries()) {
      _addNode(`${path}/${childPath}`.replace("//", "/"), child);
    }
  }
  _addNode(initialPath, initialNode);
  return table;
}

function isPlainObject(value) {
  if (value === null || typeof value !== "object") {
    return false;
  }
  const prototype = Object.getPrototypeOf(value);
  if (prototype !== null && prototype !== Object.prototype && Object.getPrototypeOf(prototype) !== null) {
    return false;
  }
  if (Symbol.iterator in value) {
    return false;
  }
  if (Symbol.toStringTag in value) {
    return Object.prototype.toString.call(value) === "[object Module]";
  }
  return true;
}

function _defu(baseObject, defaults, namespace = ".", merger) {
  if (!isPlainObject(defaults)) {
    return _defu(baseObject, {}, namespace, merger);
  }
  const object = Object.assign({}, defaults);
  for (const key in baseObject) {
    if (key === "__proto__" || key === "constructor") {
      continue;
    }
    const value = baseObject[key];
    if (value === null || value === undefined) {
      continue;
    }
    if (merger && merger(object, key, value, namespace)) {
      continue;
    }
    if (Array.isArray(value) && Array.isArray(object[key])) {
      object[key] = [...value, ...object[key]];
    } else if (isPlainObject(value) && isPlainObject(object[key])) {
      object[key] = _defu(
        value,
        object[key],
        (namespace ? `${namespace}.` : "") + key.toString(),
        merger
      );
    } else {
      object[key] = value;
    }
  }
  return object;
}
function createDefu(merger) {
  return (...arguments_) => (
    // eslint-disable-next-line unicorn/no-array-reduce
    arguments_.reduce((p, c) => _defu(p, c, "", merger), {})
  );
}
const defu = createDefu();
const defuFn = createDefu((object, key, currentValue) => {
  if (object[key] !== undefined && typeof currentValue === "function") {
    object[key] = currentValue(object[key]);
    return true;
  }
});

function rawHeaders(headers) {
  const rawHeaders2 = [];
  for (const key in headers) {
    if (Array.isArray(headers[key])) {
      for (const h of headers[key]) {
        rawHeaders2.push(key, h);
      }
    } else {
      rawHeaders2.push(key, headers[key]);
    }
  }
  return rawHeaders2;
}
function mergeFns(...functions) {
  return function(...args) {
    for (const fn of functions) {
      fn(...args);
    }
  };
}
function createNotImplementedError(name) {
  throw new Error(`[unenv] ${name} is not implemented yet!`);
}

let defaultMaxListeners = 10;
let EventEmitter$1 = class EventEmitter {
  __unenv__ = true;
  _events = /* @__PURE__ */ Object.create(null);
  _maxListeners;
  static get defaultMaxListeners() {
    return defaultMaxListeners;
  }
  static set defaultMaxListeners(arg) {
    if (typeof arg !== "number" || arg < 0 || Number.isNaN(arg)) {
      throw new RangeError(
        'The value of "defaultMaxListeners" is out of range. It must be a non-negative number. Received ' + arg + "."
      );
    }
    defaultMaxListeners = arg;
  }
  setMaxListeners(n) {
    if (typeof n !== "number" || n < 0 || Number.isNaN(n)) {
      throw new RangeError(
        'The value of "n" is out of range. It must be a non-negative number. Received ' + n + "."
      );
    }
    this._maxListeners = n;
    return this;
  }
  getMaxListeners() {
    return _getMaxListeners(this);
  }
  emit(type, ...args) {
    if (!this._events[type] || this._events[type].length === 0) {
      return false;
    }
    if (type === "error") {
      let er;
      if (args.length > 0) {
        er = args[0];
      }
      if (er instanceof Error) {
        throw er;
      }
      const err = new Error(
        "Unhandled error." + (er ? " (" + er.message + ")" : "")
      );
      err.context = er;
      throw err;
    }
    for (const _listener of this._events[type]) {
      (_listener.listener || _listener).apply(this, args);
    }
    return true;
  }
  addListener(type, listener) {
    return _addListener(this, type, listener, false);
  }
  on(type, listener) {
    return _addListener(this, type, listener, false);
  }
  prependListener(type, listener) {
    return _addListener(this, type, listener, true);
  }
  once(type, listener) {
    return this.on(type, _wrapOnce(this, type, listener));
  }
  prependOnceListener(type, listener) {
    return this.prependListener(type, _wrapOnce(this, type, listener));
  }
  removeListener(type, listener) {
    return _removeListener(this, type, listener);
  }
  off(type, listener) {
    return this.removeListener(type, listener);
  }
  removeAllListeners(type) {
    return _removeAllListeners(this, type);
  }
  listeners(type) {
    return _listeners(this, type, true);
  }
  rawListeners(type) {
    return _listeners(this, type, false);
  }
  listenerCount(type) {
    return this.rawListeners(type).length;
  }
  eventNames() {
    return Object.keys(this._events);
  }
};
function _addListener(target, type, listener, prepend) {
  _checkListener(listener);
  if (target._events.newListener !== undefined) {
    target.emit("newListener", type, listener.listener || listener);
  }
  if (!target._events[type]) {
    target._events[type] = [];
  }
  if (prepend) {
    target._events[type].unshift(listener);
  } else {
    target._events[type].push(listener);
  }
  const maxListeners = _getMaxListeners(target);
  if (maxListeners > 0 && target._events[type].length > maxListeners && !target._events[type].warned) {
    target._events[type].warned = true;
    const warning = new Error(
      `[unenv] Possible EventEmitter memory leak detected. ${target._events[type].length} ${type} listeners added. Use emitter.setMaxListeners() to increase limit`
    );
    warning.name = "MaxListenersExceededWarning";
    warning.emitter = target;
    warning.type = type;
    warning.count = target._events[type]?.length;
    console.warn(warning);
  }
  return target;
}
function _removeListener(target, type, listener) {
  _checkListener(listener);
  if (!target._events[type] || target._events[type].length === 0) {
    return target;
  }
  const lenBeforeFilter = target._events[type].length;
  target._events[type] = target._events[type].filter((fn) => fn !== listener);
  if (lenBeforeFilter === target._events[type].length) {
    return target;
  }
  if (target._events.removeListener) {
    target.emit("removeListener", type, listener.listener || listener);
  }
  if (target._events[type].length === 0) {
    delete target._events[type];
  }
  return target;
}
function _removeAllListeners(target, type) {
  if (!target._events[type] || target._events[type].length === 0) {
    return target;
  }
  if (target._events.removeListener) {
    for (const _listener of target._events[type]) {
      target.emit("removeListener", type, _listener.listener || _listener);
    }
  }
  delete target._events[type];
  return target;
}
function _wrapOnce(target, type, listener) {
  let fired = false;
  const wrapper = (...args) => {
    if (fired) {
      return;
    }
    target.removeListener(type, wrapper);
    fired = true;
    return args.length === 0 ? listener.call(target) : listener.apply(target, args);
  };
  wrapper.listener = listener;
  return wrapper;
}
function _getMaxListeners(target) {
  return target._maxListeners ?? EventEmitter$1.defaultMaxListeners;
}
function _listeners(target, type, unwrap) {
  let listeners = target._events[type];
  if (typeof listeners === "function") {
    listeners = [listeners];
  }
  return unwrap ? listeners.map((l) => l.listener || l) : listeners;
}
function _checkListener(listener) {
  if (typeof listener !== "function") {
    throw new TypeError(
      'The "listener" argument must be of type Function. Received type ' + typeof listener
    );
  }
}

const EventEmitter = globalThis.EventEmitter || EventEmitter$1;

class _Readable extends EventEmitter {
  __unenv__ = true;
  readableEncoding = null;
  readableEnded = true;
  readableFlowing = false;
  readableHighWaterMark = 0;
  readableLength = 0;
  readableObjectMode = false;
  readableAborted = false;
  readableDidRead = false;
  closed = false;
  errored = null;
  readable = false;
  destroyed = false;
  static from(_iterable, options) {
    return new _Readable(options);
  }
  constructor(_opts) {
    super();
  }
  _read(_size) {
  }
  read(_size) {
  }
  setEncoding(_encoding) {
    return this;
  }
  pause() {
    return this;
  }
  resume() {
    return this;
  }
  isPaused() {
    return true;
  }
  unpipe(_destination) {
    return this;
  }
  unshift(_chunk, _encoding) {
  }
  wrap(_oldStream) {
    return this;
  }
  push(_chunk, _encoding) {
    return false;
  }
  _destroy(_error, _callback) {
    this.removeAllListeners();
  }
  destroy(error) {
    this.destroyed = true;
    this._destroy(error);
    return this;
  }
  pipe(_destenition, _options) {
    return {};
  }
  compose(stream, options) {
    throw new Error("[unenv] Method not implemented.");
  }
  [Symbol.asyncDispose]() {
    this.destroy();
    return Promise.resolve();
  }
  // eslint-disable-next-line require-yield
  async *[Symbol.asyncIterator]() {
    throw createNotImplementedError("Readable.asyncIterator");
  }
  iterator(options) {
    throw createNotImplementedError("Readable.iterator");
  }
  map(fn, options) {
    throw createNotImplementedError("Readable.map");
  }
  filter(fn, options) {
    throw createNotImplementedError("Readable.filter");
  }
  forEach(fn, options) {
    throw createNotImplementedError("Readable.forEach");
  }
  reduce(fn, initialValue, options) {
    throw createNotImplementedError("Readable.reduce");
  }
  find(fn, options) {
    throw createNotImplementedError("Readable.find");
  }
  findIndex(fn, options) {
    throw createNotImplementedError("Readable.findIndex");
  }
  some(fn, options) {
    throw createNotImplementedError("Readable.some");
  }
  toArray(options) {
    throw createNotImplementedError("Readable.toArray");
  }
  every(fn, options) {
    throw createNotImplementedError("Readable.every");
  }
  flatMap(fn, options) {
    throw createNotImplementedError("Readable.flatMap");
  }
  drop(limit, options) {
    throw createNotImplementedError("Readable.drop");
  }
  take(limit, options) {
    throw createNotImplementedError("Readable.take");
  }
  asIndexedPairs(options) {
    throw createNotImplementedError("Readable.asIndexedPairs");
  }
}
const Readable = globalThis.Readable || _Readable;

class _Writable extends EventEmitter {
  __unenv__ = true;
  writable = true;
  writableEnded = false;
  writableFinished = false;
  writableHighWaterMark = 0;
  writableLength = 0;
  writableObjectMode = false;
  writableCorked = 0;
  closed = false;
  errored = null;
  writableNeedDrain = false;
  destroyed = false;
  _data;
  _encoding = "utf-8";
  constructor(_opts) {
    super();
  }
  pipe(_destenition, _options) {
    return {};
  }
  _write(chunk, encoding, callback) {
    if (this.writableEnded) {
      if (callback) {
        callback();
      }
      return;
    }
    if (this._data === undefined) {
      this._data = chunk;
    } else {
      const a = typeof this._data === "string" ? Buffer.from(this._data, this._encoding || encoding || "utf8") : this._data;
      const b = typeof chunk === "string" ? Buffer.from(chunk, encoding || this._encoding || "utf8") : chunk;
      this._data = Buffer.concat([a, b]);
    }
    this._encoding = encoding;
    if (callback) {
      callback();
    }
  }
  _writev(_chunks, _callback) {
  }
  _destroy(_error, _callback) {
  }
  _final(_callback) {
  }
  write(chunk, arg2, arg3) {
    const encoding = typeof arg2 === "string" ? this._encoding : "utf-8";
    const cb = typeof arg2 === "function" ? arg2 : typeof arg3 === "function" ? arg3 : undefined;
    this._write(chunk, encoding, cb);
    return true;
  }
  setDefaultEncoding(_encoding) {
    return this;
  }
  end(arg1, arg2, arg3) {
    const callback = typeof arg1 === "function" ? arg1 : typeof arg2 === "function" ? arg2 : typeof arg3 === "function" ? arg3 : undefined;
    if (this.writableEnded) {
      if (callback) {
        callback();
      }
      return this;
    }
    const data = arg1 === callback ? undefined : arg1;
    if (data) {
      const encoding = arg2 === callback ? undefined : arg2;
      this.write(data, encoding, callback);
    }
    this.writableEnded = true;
    this.writableFinished = true;
    this.emit("close");
    this.emit("finish");
    return this;
  }
  cork() {
  }
  uncork() {
  }
  destroy(_error) {
    this.destroyed = true;
    delete this._data;
    this.removeAllListeners();
    return this;
  }
  compose(stream, options) {
    throw new Error("[h3] Method not implemented.");
  }
}
const Writable = globalThis.Writable || _Writable;

const __Duplex = class {
  allowHalfOpen = true;
  _destroy;
  constructor(readable = new Readable(), writable = new Writable()) {
    Object.assign(this, readable);
    Object.assign(this, writable);
    this._destroy = mergeFns(readable._destroy, writable._destroy);
  }
};
function getDuplex() {
  Object.assign(__Duplex.prototype, Readable.prototype);
  Object.assign(__Duplex.prototype, Writable.prototype);
  return __Duplex;
}
const _Duplex = /* @__PURE__ */ getDuplex();
const Duplex = globalThis.Duplex || _Duplex;

class Socket extends Duplex {
  __unenv__ = true;
  bufferSize = 0;
  bytesRead = 0;
  bytesWritten = 0;
  connecting = false;
  destroyed = false;
  pending = false;
  localAddress = "";
  localPort = 0;
  remoteAddress = "";
  remoteFamily = "";
  remotePort = 0;
  autoSelectFamilyAttemptedAddresses = [];
  readyState = "readOnly";
  constructor(_options) {
    super();
  }
  write(_buffer, _arg1, _arg2) {
    return false;
  }
  connect(_arg1, _arg2, _arg3) {
    return this;
  }
  end(_arg1, _arg2, _arg3) {
    return this;
  }
  setEncoding(_encoding) {
    return this;
  }
  pause() {
    return this;
  }
  resume() {
    return this;
  }
  setTimeout(_timeout, _callback) {
    return this;
  }
  setNoDelay(_noDelay) {
    return this;
  }
  setKeepAlive(_enable, _initialDelay) {
    return this;
  }
  address() {
    return {};
  }
  unref() {
    return this;
  }
  ref() {
    return this;
  }
  destroySoon() {
    this.destroy();
  }
  resetAndDestroy() {
    const err = new Error("ERR_SOCKET_CLOSED");
    err.code = "ERR_SOCKET_CLOSED";
    this.destroy(err);
    return this;
  }
}

class IncomingMessage extends Readable {
  __unenv__ = {};
  aborted = false;
  httpVersion = "1.1";
  httpVersionMajor = 1;
  httpVersionMinor = 1;
  complete = true;
  connection;
  socket;
  headers = {};
  trailers = {};
  method = "GET";
  url = "/";
  statusCode = 200;
  statusMessage = "";
  closed = false;
  errored = null;
  readable = false;
  constructor(socket) {
    super();
    this.socket = this.connection = socket || new Socket();
  }
  get rawHeaders() {
    return rawHeaders(this.headers);
  }
  get rawTrailers() {
    return [];
  }
  setTimeout(_msecs, _callback) {
    return this;
  }
  get headersDistinct() {
    return _distinct(this.headers);
  }
  get trailersDistinct() {
    return _distinct(this.trailers);
  }
}
function _distinct(obj) {
  const d = {};
  for (const [key, value] of Object.entries(obj)) {
    if (key) {
      d[key] = (Array.isArray(value) ? value : [value]).filter(
        Boolean
      );
    }
  }
  return d;
}

class ServerResponse extends Writable {
  __unenv__ = true;
  statusCode = 200;
  statusMessage = "";
  upgrading = false;
  chunkedEncoding = false;
  shouldKeepAlive = false;
  useChunkedEncodingByDefault = false;
  sendDate = false;
  finished = false;
  headersSent = false;
  strictContentLength = false;
  connection = null;
  socket = null;
  req;
  _headers = {};
  constructor(req) {
    super();
    this.req = req;
  }
  assignSocket(socket) {
    socket._httpMessage = this;
    this.socket = socket;
    this.connection = socket;
    this.emit("socket", socket);
    this._flush();
  }
  _flush() {
    this.flushHeaders();
  }
  detachSocket(_socket) {
  }
  writeContinue(_callback) {
  }
  writeHead(statusCode, arg1, arg2) {
    if (statusCode) {
      this.statusCode = statusCode;
    }
    if (typeof arg1 === "string") {
      this.statusMessage = arg1;
      arg1 = undefined;
    }
    const headers = arg2 || arg1;
    if (headers) {
      if (Array.isArray(headers)) ; else {
        for (const key in headers) {
          this.setHeader(key, headers[key]);
        }
      }
    }
    this.headersSent = true;
    return this;
  }
  writeProcessing() {
  }
  setTimeout(_msecs, _callback) {
    return this;
  }
  appendHeader(name, value) {
    name = name.toLowerCase();
    const current = this._headers[name];
    const all = [
      ...Array.isArray(current) ? current : [current],
      ...Array.isArray(value) ? value : [value]
    ].filter(Boolean);
    this._headers[name] = all.length > 1 ? all : all[0];
    return this;
  }
  setHeader(name, value) {
    this._headers[name.toLowerCase()] = value;
    return this;
  }
  getHeader(name) {
    return this._headers[name.toLowerCase()];
  }
  getHeaders() {
    return this._headers;
  }
  getHeaderNames() {
    return Object.keys(this._headers);
  }
  hasHeader(name) {
    return name.toLowerCase() in this._headers;
  }
  removeHeader(name) {
    delete this._headers[name.toLowerCase()];
  }
  addTrailers(_headers) {
  }
  flushHeaders() {
  }
  writeEarlyHints(_headers, cb) {
    if (typeof cb === "function") {
      cb();
    }
  }
}

function hasProp(obj, prop) {
  try {
    return prop in obj;
  } catch {
    return false;
  }
}

var __defProp$2$1 = Object.defineProperty;
var __defNormalProp$2$1 = (obj, key, value) => key in obj ? __defProp$2$1(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField$2$1 = (obj, key, value) => {
  __defNormalProp$2$1(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
class H3Error extends Error {
  constructor(message, opts = {}) {
    super(message, opts);
    __publicField$2$1(this, "statusCode", 500);
    __publicField$2$1(this, "fatal", false);
    __publicField$2$1(this, "unhandled", false);
    __publicField$2$1(this, "statusMessage");
    __publicField$2$1(this, "data");
    __publicField$2$1(this, "cause");
    if (opts.cause && !this.cause) {
      this.cause = opts.cause;
    }
  }
  toJSON() {
    const obj = {
      message: this.message,
      statusCode: sanitizeStatusCode(this.statusCode, 500)
    };
    if (this.statusMessage) {
      obj.statusMessage = sanitizeStatusMessage(this.statusMessage);
    }
    if (this.data !== undefined) {
      obj.data = this.data;
    }
    return obj;
  }
}
__publicField$2$1(H3Error, "__h3_error__", true);
function createError$1(input) {
  if (typeof input === "string") {
    return new H3Error(input);
  }
  if (isError(input)) {
    return input;
  }
  const err = new H3Error(input.message ?? input.statusMessage ?? "", {
    cause: input.cause || input
  });
  if (hasProp(input, "stack")) {
    try {
      Object.defineProperty(err, "stack", {
        get() {
          return input.stack;
        }
      });
    } catch {
      try {
        err.stack = input.stack;
      } catch {
      }
    }
  }
  if (input.data) {
    err.data = input.data;
  }
  if (input.statusCode) {
    err.statusCode = sanitizeStatusCode(input.statusCode, err.statusCode);
  } else if (input.status) {
    err.statusCode = sanitizeStatusCode(input.status, err.statusCode);
  }
  if (input.statusMessage) {
    err.statusMessage = input.statusMessage;
  } else if (input.statusText) {
    err.statusMessage = input.statusText;
  }
  if (err.statusMessage) {
    const originalMessage = err.statusMessage;
    const sanitizedMessage = sanitizeStatusMessage(err.statusMessage);
    if (sanitizedMessage !== originalMessage) {
      console.warn(
        "[h3] Please prefer using `message` for longer error messages instead of `statusMessage`. In the future, `statusMessage` will be sanitized by default."
      );
    }
  }
  if (input.fatal !== undefined) {
    err.fatal = input.fatal;
  }
  if (input.unhandled !== undefined) {
    err.unhandled = input.unhandled;
  }
  return err;
}
function sendError(event, error, debug) {
  if (event.handled) {
    return;
  }
  const h3Error = isError(error) ? error : createError$1(error);
  const responseBody = {
    statusCode: h3Error.statusCode,
    statusMessage: h3Error.statusMessage,
    stack: [],
    data: h3Error.data
  };
  if (debug) {
    responseBody.stack = (h3Error.stack || "").split("\n").map((l) => l.trim());
  }
  if (event.handled) {
    return;
  }
  const _code = Number.parseInt(h3Error.statusCode);
  setResponseStatus(event, _code, h3Error.statusMessage);
  event.node.res.setHeader("content-type", MIMES.json);
  event.node.res.end(JSON.stringify(responseBody, undefined, 2));
}
function isError(input) {
  return input?.constructor?.__h3_error__ === true;
}

function getQuery(event) {
  return getQuery$1(event.path || "");
}
function getRouterParams(event, opts = {}) {
  let params = event.context.params || {};
  if (opts.decode) {
    params = { ...params };
    for (const key in params) {
      params[key] = decode$1(params[key]);
    }
  }
  return params;
}
function isMethod(event, expected, allowHead) {
  if (typeof expected === "string") {
    if (event.method === expected) {
      return true;
    }
  } else if (expected.includes(event.method)) {
    return true;
  }
  return false;
}
function assertMethod(event, expected, allowHead) {
  if (!isMethod(event, expected)) {
    throw createError$1({
      statusCode: 405,
      statusMessage: "HTTP method is not allowed."
    });
  }
}
function getRequestHeaders(event) {
  const _headers = {};
  for (const key in event.node.req.headers) {
    const val = event.node.req.headers[key];
    _headers[key] = Array.isArray(val) ? val.filter(Boolean).join(", ") : val;
  }
  return _headers;
}
const getHeaders = getRequestHeaders;
function getRequestHeader(event, name) {
  const headers = getRequestHeaders(event);
  const value = headers[name.toLowerCase()];
  return value;
}
function getRequestHost(event, opts = {}) {
  if (opts.xForwardedHost) {
    const xForwardedHost = event.node.req.headers["x-forwarded-host"];
    if (xForwardedHost) {
      return xForwardedHost;
    }
  }
  return event.node.req.headers.host || "localhost";
}
function getRequestProtocol(event, opts = {}) {
  if (opts.xForwardedProto !== false && event.node.req.headers["x-forwarded-proto"] === "https") {
    return "https";
  }
  return event.node.req.connection?.encrypted ? "https" : "http";
}
function getRequestURL(event, opts = {}) {
  const host = getRequestHost(event, opts);
  const protocol = getRequestProtocol(event, opts);
  const path = (event.node.req.originalUrl || event.path).replace(
    /^[/\\]+/g,
    "/"
  );
  return new URL(path, `${protocol}://${host}`);
}

const RawBodySymbol = Symbol.for("h3RawBody");
const ParsedBodySymbol = Symbol.for("h3ParsedBody");
const PayloadMethods$1 = ["PATCH", "POST", "PUT", "DELETE"];
function readRawBody(event, encoding = "utf8") {
  assertMethod(event, PayloadMethods$1);
  const _rawBody = event._requestBody || event.web?.request?.body || event.node.req[RawBodySymbol] || event.node.req.rawBody || event.node.req.body;
  if (_rawBody) {
    const promise2 = Promise.resolve(_rawBody).then((_resolved) => {
      if (Buffer.isBuffer(_resolved)) {
        return _resolved;
      }
      if (typeof _resolved.pipeTo === "function") {
        return new Promise((resolve, reject) => {
          const chunks = [];
          _resolved.pipeTo(
            new WritableStream({
              write(chunk) {
                chunks.push(chunk);
              },
              close() {
                resolve(Buffer.concat(chunks));
              },
              abort(reason) {
                reject(reason);
              }
            })
          ).catch(reject);
        });
      } else if (typeof _resolved.pipe === "function") {
        return new Promise((resolve, reject) => {
          const chunks = [];
          _resolved.on("data", (chunk) => {
            chunks.push(chunk);
          }).on("end", () => {
            resolve(Buffer.concat(chunks));
          }).on("error", reject);
        });
      }
      if (_resolved.constructor === Object) {
        return Buffer.from(JSON.stringify(_resolved));
      }
      if (_resolved instanceof URLSearchParams) {
        return Buffer.from(_resolved.toString());
      }
      return Buffer.from(_resolved);
    });
    return encoding ? promise2.then((buff) => buff.toString(encoding)) : promise2;
  }
  if (!Number.parseInt(event.node.req.headers["content-length"] || "") && !String(event.node.req.headers["transfer-encoding"] ?? "").split(",").map((e) => e.trim()).filter(Boolean).includes("chunked")) {
    return Promise.resolve(undefined);
  }
  const promise = event.node.req[RawBodySymbol] = new Promise(
    (resolve, reject) => {
      const bodyData = [];
      event.node.req.on("error", (err) => {
        reject(err);
      }).on("data", (chunk) => {
        bodyData.push(chunk);
      }).on("end", () => {
        resolve(Buffer.concat(bodyData));
      });
    }
  );
  const result = encoding ? promise.then((buff) => buff.toString(encoding)) : promise;
  return result;
}
async function readBody(event, options = {}) {
  const request = event.node.req;
  if (hasProp(request, ParsedBodySymbol)) {
    return request[ParsedBodySymbol];
  }
  const contentType = request.headers["content-type"] || "";
  const body = await readRawBody(event);
  let parsed;
  if (contentType === "application/json") {
    parsed = _parseJSON(body, options.strict ?? true);
  } else if (contentType.startsWith("application/x-www-form-urlencoded")) {
    parsed = _parseURLEncodedBody(body);
  } else if (contentType.startsWith("text/")) {
    parsed = body;
  } else {
    parsed = _parseJSON(body, options.strict ?? false);
  }
  request[ParsedBodySymbol] = parsed;
  return parsed;
}
function getRequestWebStream(event) {
  if (!PayloadMethods$1.includes(event.method)) {
    return;
  }
  const bodyStream = event.web?.request?.body || event._requestBody;
  if (bodyStream) {
    return bodyStream;
  }
  const _hasRawBody = RawBodySymbol in event.node.req || "rawBody" in event.node.req || "body" in event.node.req || "__unenv__" in event.node.req;
  if (_hasRawBody) {
    return new ReadableStream({
      async start(controller) {
        const _rawBody = await readRawBody(event, false);
        if (_rawBody) {
          controller.enqueue(_rawBody);
        }
        controller.close();
      }
    });
  }
  return new ReadableStream({
    start: (controller) => {
      event.node.req.on("data", (chunk) => {
        controller.enqueue(chunk);
      });
      event.node.req.on("end", () => {
        controller.close();
      });
      event.node.req.on("error", (err) => {
        controller.error(err);
      });
    }
  });
}
function _parseJSON(body = "", strict) {
  if (!body) {
    return undefined;
  }
  try {
    return destr(body, { strict });
  } catch {
    throw createError$1({
      statusCode: 400,
      statusMessage: "Bad Request",
      message: "Invalid JSON body"
    });
  }
}
function _parseURLEncodedBody(body) {
  const form = new URLSearchParams(body);
  const parsedForm = /* @__PURE__ */ Object.create(null);
  for (const [key, value] of form.entries()) {
    if (hasProp(parsedForm, key)) {
      if (!Array.isArray(parsedForm[key])) {
        parsedForm[key] = [parsedForm[key]];
      }
      parsedForm[key].push(value);
    } else {
      parsedForm[key] = value;
    }
  }
  return parsedForm;
}

function handleCacheHeaders(event, opts) {
  const cacheControls = ["public", ...opts.cacheControls || []];
  let cacheMatched = false;
  if (opts.maxAge !== undefined) {
    cacheControls.push(`max-age=${+opts.maxAge}`, `s-maxage=${+opts.maxAge}`);
  }
  if (opts.modifiedTime) {
    const modifiedTime = new Date(opts.modifiedTime);
    const ifModifiedSince = event.node.req.headers["if-modified-since"];
    event.node.res.setHeader("last-modified", modifiedTime.toUTCString());
    if (ifModifiedSince && new Date(ifModifiedSince) >= opts.modifiedTime) {
      cacheMatched = true;
    }
  }
  if (opts.etag) {
    event.node.res.setHeader("etag", opts.etag);
    const ifNonMatch = event.node.req.headers["if-none-match"];
    if (ifNonMatch === opts.etag) {
      cacheMatched = true;
    }
  }
  event.node.res.setHeader("cache-control", cacheControls.join(", "));
  if (cacheMatched) {
    event.node.res.statusCode = 304;
    if (!event.handled) {
      event.node.res.end();
    }
    return true;
  }
  return false;
}

const MIMES = {
  html: "text/html",
  json: "application/json"
};

const DISALLOWED_STATUS_CHARS = /[^\u0009\u0020-\u007E]/g;
function sanitizeStatusMessage(statusMessage = "") {
  return statusMessage.replace(DISALLOWED_STATUS_CHARS, "");
}
function sanitizeStatusCode(statusCode, defaultStatusCode = 200) {
  if (!statusCode) {
    return defaultStatusCode;
  }
  if (typeof statusCode === "string") {
    statusCode = Number.parseInt(statusCode, 10);
  }
  if (statusCode < 100 || statusCode > 999) {
    return defaultStatusCode;
  }
  return statusCode;
}

function parseCookies(event) {
  return parse(event.node.req.headers.cookie || "");
}
function getCookie(event, name) {
  return parseCookies(event)[name];
}
function setCookie(event, name, value, serializeOptions) {
  serializeOptions = { path: "/", ...serializeOptions };
  const cookieStr = serialize(name, value, serializeOptions);
  let setCookies = event.node.res.getHeader("set-cookie");
  if (!Array.isArray(setCookies)) {
    setCookies = [setCookies];
  }
  const _optionsHash = objectHash(serializeOptions);
  setCookies = setCookies.filter((cookieValue) => {
    return cookieValue && _optionsHash !== objectHash(parse(cookieValue));
  });
  event.node.res.setHeader("set-cookie", [...setCookies, cookieStr]);
}
function deleteCookie(event, name, serializeOptions) {
  setCookie(event, name, "", {
    ...serializeOptions,
    maxAge: 0
  });
}
function splitCookiesString(cookiesString) {
  if (Array.isArray(cookiesString)) {
    return cookiesString.flatMap((c) => splitCookiesString(c));
  }
  if (typeof cookiesString !== "string") {
    return [];
  }
  const cookiesStrings = [];
  let pos = 0;
  let start;
  let ch;
  let lastComma;
  let nextStart;
  let cookiesSeparatorFound;
  const skipWhitespace = () => {
    while (pos < cookiesString.length && /\s/.test(cookiesString.charAt(pos))) {
      pos += 1;
    }
    return pos < cookiesString.length;
  };
  const notSpecialChar = () => {
    ch = cookiesString.charAt(pos);
    return ch !== "=" && ch !== ";" && ch !== ",";
  };
  while (pos < cookiesString.length) {
    start = pos;
    cookiesSeparatorFound = false;
    while (skipWhitespace()) {
      ch = cookiesString.charAt(pos);
      if (ch === ",") {
        lastComma = pos;
        pos += 1;
        skipWhitespace();
        nextStart = pos;
        while (pos < cookiesString.length && notSpecialChar()) {
          pos += 1;
        }
        if (pos < cookiesString.length && cookiesString.charAt(pos) === "=") {
          cookiesSeparatorFound = true;
          pos = nextStart;
          cookiesStrings.push(cookiesString.slice(start, lastComma));
          start = pos;
        } else {
          pos = lastComma + 1;
        }
      } else {
        pos += 1;
      }
    }
    if (!cookiesSeparatorFound || pos >= cookiesString.length) {
      cookiesStrings.push(cookiesString.slice(start));
    }
  }
  return cookiesStrings;
}

const defer = typeof setImmediate === "undefined" ? (fn) => fn() : setImmediate;
function send(event, data, type) {
  if (type) {
    defaultContentType(event, type);
  }
  return new Promise((resolve) => {
    defer(() => {
      if (!event.handled) {
        event.node.res.end(data);
      }
      resolve();
    });
  });
}
function sendNoContent(event, code) {
  if (event.handled) {
    return;
  }
  if (!code && event.node.res.statusCode !== 200) {
    code = event.node.res.statusCode;
  }
  const _code = sanitizeStatusCode(code, 204);
  if (_code === 204) {
    event.node.res.removeHeader("content-length");
  }
  event.node.res.writeHead(_code);
  event.node.res.end();
}
function setResponseStatus(event, code, text) {
  if (code) {
    event.node.res.statusCode = sanitizeStatusCode(
      code,
      event.node.res.statusCode
    );
  }
  if (text) {
    event.node.res.statusMessage = sanitizeStatusMessage(text);
  }
}
function getResponseStatus(event) {
  return event.node.res.statusCode;
}
function getResponseStatusText(event) {
  return event.node.res.statusMessage;
}
function defaultContentType(event, type) {
  if (type && event.node.res.statusCode !== 304 && !event.node.res.getHeader("content-type")) {
    event.node.res.setHeader("content-type", type);
  }
}
function sendRedirect(event, location, code = 302) {
  event.node.res.statusCode = sanitizeStatusCode(
    code,
    event.node.res.statusCode
  );
  event.node.res.setHeader("location", location);
  const encodedLoc = location.replace(/"/g, "%22");
  const html = `<!DOCTYPE html><html><head><meta http-equiv="refresh" content="0; url=${encodedLoc}"></head></html>`;
  return send(event, html, MIMES.html);
}
function getResponseHeader(event, name) {
  return event.node.res.getHeader(name);
}
function setResponseHeaders(event, headers) {
  for (const [name, value] of Object.entries(headers)) {
    event.node.res.setHeader(
      name,
      value
    );
  }
}
const setHeaders = setResponseHeaders;
function setResponseHeader(event, name, value) {
  event.node.res.setHeader(name, value);
}
function appendResponseHeader(event, name, value) {
  let current = event.node.res.getHeader(name);
  if (!current) {
    event.node.res.setHeader(name, value);
    return;
  }
  if (!Array.isArray(current)) {
    current = [current.toString()];
  }
  event.node.res.setHeader(name, [...current, value]);
}
function removeResponseHeader(event, name) {
  return event.node.res.removeHeader(name);
}
function isStream(data) {
  if (!data || typeof data !== "object") {
    return false;
  }
  if (typeof data.pipe === "function") {
    if (typeof data._read === "function") {
      return true;
    }
    if (typeof data.abort === "function") {
      return true;
    }
  }
  if (typeof data.pipeTo === "function") {
    return true;
  }
  return false;
}
function isWebResponse(data) {
  return typeof Response !== "undefined" && data instanceof Response;
}
function sendStream(event, stream) {
  if (!stream || typeof stream !== "object") {
    throw new Error("[h3] Invalid stream provided.");
  }
  event.node.res._data = stream;
  if (!event.node.res.socket) {
    event._handled = true;
    return Promise.resolve();
  }
  if (hasProp(stream, "pipeTo") && typeof stream.pipeTo === "function") {
    return stream.pipeTo(
      new WritableStream({
        write(chunk) {
          event.node.res.write(chunk);
        }
      })
    ).then(() => {
      event.node.res.end();
    });
  }
  if (hasProp(stream, "pipe") && typeof stream.pipe === "function") {
    return new Promise((resolve, reject) => {
      stream.pipe(event.node.res);
      if (stream.on) {
        stream.on("end", () => {
          event.node.res.end();
          resolve();
        });
        stream.on("error", (error) => {
          reject(error);
        });
      }
      event.node.res.on("close", () => {
        if (stream.abort) {
          stream.abort();
        }
      });
    });
  }
  throw new Error("[h3] Invalid or incompatible stream provided.");
}
function sendWebResponse(event, response) {
  for (const [key, value] of response.headers) {
    if (key === "set-cookie") {
      event.node.res.appendHeader(key, splitCookiesString(value));
    } else {
      event.node.res.setHeader(key, value);
    }
  }
  if (response.status) {
    event.node.res.statusCode = sanitizeStatusCode(
      response.status,
      event.node.res.statusCode
    );
  }
  if (response.statusText) {
    event.node.res.statusMessage = sanitizeStatusMessage(response.statusText);
  }
  if (response.redirected) {
    event.node.res.setHeader("location", response.url);
  }
  if (!response.body) {
    event.node.res.end();
    return;
  }
  return sendStream(event, response.body);
}

const PayloadMethods = /* @__PURE__ */ new Set(["PATCH", "POST", "PUT", "DELETE"]);
const ignoredHeaders = /* @__PURE__ */ new Set([
  "transfer-encoding",
  "connection",
  "keep-alive",
  "upgrade",
  "expect",
  "host",
  "accept"
]);
async function proxyRequest(event, target, opts = {}) {
  let body;
  let duplex;
  if (PayloadMethods.has(event.method)) {
    if (opts.streamRequest) {
      body = getRequestWebStream(event);
      duplex = "half";
    } else {
      body = await readRawBody(event, false).catch(() => undefined);
    }
  }
  const method = opts.fetchOptions?.method || event.method;
  const fetchHeaders = mergeHeaders$1(
    getProxyRequestHeaders(event),
    opts.fetchOptions?.headers,
    opts.headers
  );
  return sendProxy(event, target, {
    ...opts,
    fetchOptions: {
      method,
      body,
      duplex,
      ...opts.fetchOptions,
      headers: fetchHeaders
    }
  });
}
async function sendProxy(event, target, opts = {}) {
  let response;
  try {
    response = await _getFetch(opts.fetch)(target, {
      headers: opts.headers,
      ignoreResponseError: true,
      // make $ofetch.raw transparent
      ...opts.fetchOptions
    });
  } catch (error) {
    throw createError$1({
      status: 502,
      statusMessage: "Bad Gateway",
      cause: error
    });
  }
  event.node.res.statusCode = sanitizeStatusCode(
    response.status,
    event.node.res.statusCode
  );
  event.node.res.statusMessage = sanitizeStatusMessage(response.statusText);
  const cookies = [];
  for (const [key, value] of response.headers.entries()) {
    if (key === "content-encoding") {
      continue;
    }
    if (key === "content-length") {
      continue;
    }
    if (key === "set-cookie") {
      cookies.push(...splitCookiesString(value));
      continue;
    }
    event.node.res.setHeader(key, value);
  }
  if (cookies.length > 0) {
    event.node.res.setHeader(
      "set-cookie",
      cookies.map((cookie) => {
        if (opts.cookieDomainRewrite) {
          cookie = rewriteCookieProperty(
            cookie,
            opts.cookieDomainRewrite,
            "domain"
          );
        }
        if (opts.cookiePathRewrite) {
          cookie = rewriteCookieProperty(
            cookie,
            opts.cookiePathRewrite,
            "path"
          );
        }
        return cookie;
      })
    );
  }
  if (opts.onResponse) {
    await opts.onResponse(event, response);
  }
  if (response._data !== undefined) {
    return response._data;
  }
  if (event.handled) {
    return;
  }
  if (opts.sendStream === false) {
    const data = new Uint8Array(await response.arrayBuffer());
    return event.node.res.end(data);
  }
  if (response.body) {
    for await (const chunk of response.body) {
      event.node.res.write(chunk);
    }
  }
  return event.node.res.end();
}
function getProxyRequestHeaders(event) {
  const headers = /* @__PURE__ */ Object.create(null);
  const reqHeaders = getRequestHeaders(event);
  for (const name in reqHeaders) {
    if (!ignoredHeaders.has(name)) {
      headers[name] = reqHeaders[name];
    }
  }
  return headers;
}
function fetchWithEvent(event, req, init, options) {
  return _getFetch(options?.fetch)(req, {
    ...init,
    context: init?.context || event.context,
    headers: {
      ...getProxyRequestHeaders(event),
      ...init?.headers
    }
  });
}
function _getFetch(_fetch) {
  if (_fetch) {
    return _fetch;
  }
  if (globalThis.fetch) {
    return globalThis.fetch;
  }
  throw new Error(
    "fetch is not available. Try importing `node-fetch-native/polyfill` for Node.js."
  );
}
function rewriteCookieProperty(header, map, property) {
  const _map = typeof map === "string" ? { "*": map } : map;
  return header.replace(
    new RegExp(`(;\\s*${property}=)([^;]+)`, "gi"),
    (match, prefix, previousValue) => {
      let newValue;
      if (previousValue in _map) {
        newValue = _map[previousValue];
      } else if ("*" in _map) {
        newValue = _map["*"];
      } else {
        return match;
      }
      return newValue ? prefix + newValue : "";
    }
  );
}
function mergeHeaders$1(defaults, ...inputs) {
  const _inputs = inputs.filter(Boolean);
  if (_inputs.length === 0) {
    return defaults;
  }
  const merged = new Headers(defaults);
  for (const input of _inputs) {
    for (const [key, value] of Object.entries(input)) {
      if (value !== undefined) {
        merged.set(key, value);
      }
    }
  }
  return merged;
}

var __defProp$3 = Object.defineProperty;
var __defNormalProp$3 = (obj, key, value) => key in obj ? __defProp$3(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField$3 = (obj, key, value) => {
  __defNormalProp$3(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
class H3Event {
  constructor(req, res) {
    __publicField$3(this, "__is_event__", true);
    // Context
    __publicField$3(this, "node");
    // Node
    __publicField$3(this, "web");
    // Web
    __publicField$3(this, "context", {});
    // Shared
    // Request
    __publicField$3(this, "_method");
    __publicField$3(this, "_path");
    __publicField$3(this, "_headers");
    __publicField$3(this, "_requestBody");
    // Response
    __publicField$3(this, "_handled", false);
    // Hooks
    __publicField$3(this, "_onBeforeResponseCalled");
    __publicField$3(this, "_onAfterResponseCalled");
    this.node = { req, res };
  }
  // --- Request ---
  get method() {
    if (!this._method) {
      this._method = (this.node.req.method || "GET").toUpperCase();
    }
    return this._method;
  }
  get path() {
    return this._path || this.node.req.url || "/";
  }
  get headers() {
    if (!this._headers) {
      this._headers = _normalizeNodeHeaders(this.node.req.headers);
    }
    return this._headers;
  }
  // --- Respoonse ---
  get handled() {
    return this._handled || this.node.res.writableEnded || this.node.res.headersSent;
  }
  respondWith(response) {
    return Promise.resolve(response).then(
      (_response) => sendWebResponse(this, _response)
    );
  }
  // --- Utils ---
  toString() {
    return `[${this.method}] ${this.path}`;
  }
  toJSON() {
    return this.toString();
  }
  // --- Deprecated ---
  /** @deprecated Please use `event.node.req` instead. */
  get req() {
    return this.node.req;
  }
  /** @deprecated Please use `event.node.res` instead. */
  get res() {
    return this.node.res;
  }
}
function isEvent(input) {
  return hasProp(input, "__is_event__");
}
function createEvent(req, res) {
  return new H3Event(req, res);
}
function _normalizeNodeHeaders(nodeHeaders) {
  const headers = new Headers();
  for (const [name, value] of Object.entries(nodeHeaders)) {
    if (Array.isArray(value)) {
      for (const item of value) {
        headers.append(name, item);
      }
    } else if (value) {
      headers.set(name, value);
    }
  }
  return headers;
}

function defineEventHandler(handler) {
  if (typeof handler === "function") {
    handler.__is_handler__ = true;
    return handler;
  }
  const _hooks = {
    onRequest: _normalizeArray(handler.onRequest),
    onBeforeResponse: _normalizeArray(handler.onBeforeResponse)
  };
  const _handler = (event) => {
    return _callHandler(event, handler.handler, _hooks);
  };
  _handler.__is_handler__ = true;
  _handler.__resolve__ = handler.handler.__resolve__;
  _handler.__websocket__ = handler.websocket;
  return _handler;
}
function _normalizeArray(input) {
  return input ? Array.isArray(input) ? input : [input] : undefined;
}
async function _callHandler(event, handler, hooks) {
  if (hooks.onRequest) {
    for (const hook of hooks.onRequest) {
      await hook(event);
      if (event.handled) {
        return;
      }
    }
  }
  const body = await handler(event);
  const response = { body };
  if (hooks.onBeforeResponse) {
    for (const hook of hooks.onBeforeResponse) {
      await hook(event, response);
    }
  }
  return response.body;
}
const eventHandler = defineEventHandler;
function isEventHandler(input) {
  return hasProp(input, "__is_handler__");
}
function toEventHandler(input, _, _route) {
  if (!isEventHandler(input)) {
    console.warn(
      "[h3] Implicit event handler conversion is deprecated. Use `eventHandler()` or `fromNodeMiddleware()` to define event handlers.",
      _route && _route !== "/" ? `
     Route: ${_route}` : "",
      `
     Handler: ${input}`
    );
  }
  return input;
}
function defineLazyEventHandler(factory) {
  let _promise;
  let _resolved;
  const resolveHandler = () => {
    if (_resolved) {
      return Promise.resolve(_resolved);
    }
    if (!_promise) {
      _promise = Promise.resolve(factory()).then((r) => {
        const handler2 = r.default || r;
        if (typeof handler2 !== "function") {
          throw new TypeError(
            "Invalid lazy handler result. It should be a function:",
            handler2
          );
        }
        _resolved = { handler: toEventHandler(r.default || r) };
        return _resolved;
      });
    }
    return _promise;
  };
  const handler = eventHandler((event) => {
    if (_resolved) {
      return _resolved.handler(event);
    }
    return resolveHandler().then((r) => r.handler(event));
  });
  handler.__resolve__ = resolveHandler;
  return handler;
}
const lazyEventHandler = defineLazyEventHandler;

function createApp(options = {}) {
  const stack = [];
  const handler = createAppEventHandler(stack, options);
  const resolve = createResolver(stack);
  handler.__resolve__ = resolve;
  const getWebsocket = cachedFn(() => websocketOptions(resolve, options));
  const app = {
    // @ts-expect-error
    use: (arg1, arg2, arg3) => use(app, arg1, arg2, arg3),
    resolve,
    handler,
    stack,
    options,
    get websocket() {
      return getWebsocket();
    }
  };
  return app;
}
function use(app, arg1, arg2, arg3) {
  if (Array.isArray(arg1)) {
    for (const i of arg1) {
      use(app, i, arg2, arg3);
    }
  } else if (Array.isArray(arg2)) {
    for (const i of arg2) {
      use(app, arg1, i, arg3);
    }
  } else if (typeof arg1 === "string") {
    app.stack.push(
      normalizeLayer({ ...arg3, route: arg1, handler: arg2 })
    );
  } else if (typeof arg1 === "function") {
    app.stack.push(normalizeLayer({ ...arg2, handler: arg1 }));
  } else {
    app.stack.push(normalizeLayer({ ...arg1 }));
  }
  return app;
}
function createAppEventHandler(stack, options) {
  const spacing = options.debug ? 2 : undefined;
  return eventHandler(async (event) => {
    event.node.req.originalUrl = event.node.req.originalUrl || event.node.req.url || "/";
    const _reqPath = event._path || event.node.req.url || "/";
    let _layerPath;
    if (options.onRequest) {
      await options.onRequest(event);
    }
    for (const layer of stack) {
      if (layer.route.length > 1) {
        if (!_reqPath.startsWith(layer.route)) {
          continue;
        }
        _layerPath = _reqPath.slice(layer.route.length) || "/";
      } else {
        _layerPath = _reqPath;
      }
      if (layer.match && !layer.match(_layerPath, event)) {
        continue;
      }
      event._path = _layerPath;
      event.node.req.url = _layerPath;
      const val = await layer.handler(event);
      const _body = val === undefined ? undefined : await val;
      if (_body !== undefined) {
        const _response = { body: _body };
        if (options.onBeforeResponse) {
          event._onBeforeResponseCalled = true;
          await options.onBeforeResponse(event, _response);
        }
        await handleHandlerResponse(event, _response.body, spacing);
        if (options.onAfterResponse) {
          event._onAfterResponseCalled = true;
          await options.onAfterResponse(event, _response);
        }
        return;
      }
      if (event.handled) {
        if (options.onAfterResponse) {
          event._onAfterResponseCalled = true;
          await options.onAfterResponse(event, undefined);
        }
        return;
      }
    }
    if (!event.handled) {
      throw createError$1({
        statusCode: 404,
        statusMessage: `Cannot find any path matching ${event.path || "/"}.`
      });
    }
    if (options.onAfterResponse) {
      event._onAfterResponseCalled = true;
      await options.onAfterResponse(event, undefined);
    }
  });
}
function createResolver(stack) {
  return async (path) => {
    let _layerPath;
    for (const layer of stack) {
      if (layer.route === "/" && !layer.handler.__resolve__) {
        continue;
      }
      if (!path.startsWith(layer.route)) {
        continue;
      }
      _layerPath = path.slice(layer.route.length) || "/";
      if (layer.match && !layer.match(_layerPath, undefined)) {
        continue;
      }
      let res = { route: layer.route, handler: layer.handler };
      if (res.handler.__resolve__) {
        const _res = await res.handler.__resolve__(_layerPath);
        if (!_res) {
          continue;
        }
        res = {
          ...res,
          ..._res,
          route: joinURL(res.route || "/", _res.route || "/")
        };
      }
      return res;
    }
  };
}
function normalizeLayer(input) {
  let handler = input.handler;
  if (handler.handler) {
    handler = handler.handler;
  }
  if (input.lazy) {
    handler = lazyEventHandler(handler);
  } else if (!isEventHandler(handler)) {
    handler = toEventHandler(handler, undefined, input.route);
  }
  return {
    route: withoutTrailingSlash(input.route),
    match: input.match,
    handler
  };
}
function handleHandlerResponse(event, val, jsonSpace) {
  if (val === null) {
    return sendNoContent(event);
  }
  if (val) {
    if (isWebResponse(val)) {
      return sendWebResponse(event, val);
    }
    if (isStream(val)) {
      return sendStream(event, val);
    }
    if (val.buffer) {
      return send(event, val);
    }
    if (val.arrayBuffer && typeof val.arrayBuffer === "function") {
      return val.arrayBuffer().then((arrayBuffer) => {
        return send(event, Buffer.from(arrayBuffer), val.type);
      });
    }
    if (val instanceof Error) {
      throw createError$1(val);
    }
    if (typeof val.end === "function") {
      return true;
    }
  }
  const valType = typeof val;
  if (valType === "string") {
    return send(event, val, MIMES.html);
  }
  if (valType === "object" || valType === "boolean" || valType === "number") {
    return send(event, JSON.stringify(val, undefined, jsonSpace), MIMES.json);
  }
  if (valType === "bigint") {
    return send(event, val.toString(), MIMES.json);
  }
  throw createError$1({
    statusCode: 500,
    statusMessage: `[h3] Cannot send ${valType} as response.`
  });
}
function cachedFn(fn) {
  let cache;
  return () => {
    if (!cache) {
      cache = fn();
    }
    return cache;
  };
}
function websocketOptions(evResolver, appOptions) {
  return {
    ...appOptions.websocket,
    async resolve(info) {
      const url = info.request?.url || info.url || "/";
      const { pathname } = typeof url === "string" ? parseURL(url) : url;
      const resolved = await evResolver(pathname);
      return resolved?.handler?.__websocket__ || {};
    }
  };
}

const RouterMethods = [
  "connect",
  "delete",
  "get",
  "head",
  "options",
  "post",
  "put",
  "trace",
  "patch"
];
function createRouter(opts = {}) {
  const _router = createRouter$1({});
  const routes = {};
  let _matcher;
  const router = {};
  const addRoute = (path, handler, method) => {
    let route = routes[path];
    if (!route) {
      routes[path] = route = { path, handlers: {} };
      _router.insert(path, route);
    }
    if (Array.isArray(method)) {
      for (const m of method) {
        addRoute(path, handler, m);
      }
    } else {
      route.handlers[method] = toEventHandler(handler, undefined, path);
    }
    return router;
  };
  router.use = router.add = (path, handler, method) => addRoute(path, handler, method || "all");
  for (const method of RouterMethods) {
    router[method] = (path, handle) => router.add(path, handle, method);
  }
  const matchHandler = (path = "/", method = "get") => {
    const qIndex = path.indexOf("?");
    if (qIndex !== -1) {
      path = path.slice(0, Math.max(0, qIndex));
    }
    const matched = _router.lookup(path);
    if (!matched || !matched.handlers) {
      return {
        error: createError$1({
          statusCode: 404,
          name: "Not Found",
          statusMessage: `Cannot find any route matching ${path || "/"}.`
        })
      };
    }
    let handler = matched.handlers[method] || matched.handlers.all;
    if (!handler) {
      if (!_matcher) {
        _matcher = toRouteMatcher(_router);
      }
      const _matches = _matcher.matchAll(path).reverse();
      for (const _match of _matches) {
        if (_match.handlers[method]) {
          handler = _match.handlers[method];
          matched.handlers[method] = matched.handlers[method] || handler;
          break;
        }
        if (_match.handlers.all) {
          handler = _match.handlers.all;
          matched.handlers.all = matched.handlers.all || handler;
          break;
        }
      }
    }
    if (!handler) {
      return {
        error: createError$1({
          statusCode: 405,
          name: "Method Not Allowed",
          statusMessage: `Method ${method} is not allowed on this route.`
        })
      };
    }
    return { matched, handler };
  };
  const isPreemptive = opts.preemptive || opts.preemtive;
  router.handler = eventHandler((event) => {
    const match = matchHandler(
      event.path,
      event.method.toLowerCase()
    );
    if ("error" in match) {
      if (isPreemptive) {
        throw match.error;
      } else {
        return;
      }
    }
    event.context.matchedRoute = match.matched;
    const params = match.matched.params || {};
    event.context.params = params;
    return Promise.resolve(match.handler(event)).then((res) => {
      if (res === undefined && isPreemptive) {
        return null;
      }
      return res;
    });
  });
  router.handler.__resolve__ = async (path) => {
    path = withLeadingSlash(path);
    const match = matchHandler(path);
    if ("error" in match) {
      return;
    }
    let res = {
      route: match.matched.path,
      handler: match.handler
    };
    if (match.handler.__resolve__) {
      const _res = await match.handler.__resolve__(path);
      if (!_res) {
        return;
      }
      res = { ...res, ..._res };
    }
    return res;
  };
  return router;
}
function toNodeListener(app) {
  const toNodeHandle = async function(req, res) {
    const event = createEvent(req, res);
    try {
      await app.handler(event);
    } catch (_error) {
      const error = createError$1(_error);
      if (!isError(_error)) {
        error.unhandled = true;
      }
      setResponseStatus(event, error.statusCode, error.statusMessage);
      if (app.options.onError) {
        await app.options.onError(error, event);
      }
      if (event.handled) {
        return;
      }
      if (error.unhandled || error.fatal) {
        console.error("[h3]", error.fatal ? "[fatal]" : "[unhandled]", error);
      }
      if (app.options.onBeforeResponse && !event._onBeforeResponseCalled) {
        await app.options.onBeforeResponse(event, { body: error });
      }
      await sendError(event, error, !!app.options.debug);
      if (app.options.onAfterResponse && !event._onAfterResponseCalled) {
        await app.options.onAfterResponse(event, { body: error });
      }
    }
  };
  return toNodeHandle;
}

function flatHooks(configHooks, hooks = {}, parentName) {
  for (const key in configHooks) {
    const subHook = configHooks[key];
    const name = parentName ? `${parentName}:${key}` : key;
    if (typeof subHook === "object" && subHook !== null) {
      flatHooks(subHook, hooks, name);
    } else if (typeof subHook === "function") {
      hooks[name] = subHook;
    }
  }
  return hooks;
}
const defaultTask = { run: (function_) => function_() };
const _createTask = () => defaultTask;
const createTask = typeof console.createTask !== "undefined" ? console.createTask : _createTask;
function serialTaskCaller(hooks, args) {
  const name = args.shift();
  const task = createTask(name);
  return hooks.reduce(
    (promise, hookFunction) => promise.then(() => task.run(() => hookFunction(...args))),
    Promise.resolve()
  );
}
function parallelTaskCaller(hooks, args) {
  const name = args.shift();
  const task = createTask(name);
  return Promise.all(hooks.map((hook) => task.run(() => hook(...args))));
}
function callEachWith(callbacks, arg0) {
  for (const callback of [...callbacks]) {
    callback(arg0);
  }
}

class Hookable {
  constructor() {
    this._hooks = {};
    this._before = undefined;
    this._after = undefined;
    this._deprecatedMessages = undefined;
    this._deprecatedHooks = {};
    this.hook = this.hook.bind(this);
    this.callHook = this.callHook.bind(this);
    this.callHookWith = this.callHookWith.bind(this);
  }
  hook(name, function_, options = {}) {
    if (!name || typeof function_ !== "function") {
      return () => {
      };
    }
    const originalName = name;
    let dep;
    while (this._deprecatedHooks[name]) {
      dep = this._deprecatedHooks[name];
      name = dep.to;
    }
    if (dep && !options.allowDeprecated) {
      let message = dep.message;
      if (!message) {
        message = `${originalName} hook has been deprecated` + (dep.to ? `, please use ${dep.to}` : "");
      }
      if (!this._deprecatedMessages) {
        this._deprecatedMessages = /* @__PURE__ */ new Set();
      }
      if (!this._deprecatedMessages.has(message)) {
        console.warn(message);
        this._deprecatedMessages.add(message);
      }
    }
    if (!function_.name) {
      try {
        Object.defineProperty(function_, "name", {
          get: () => "_" + name.replace(/\W+/g, "_") + "_hook_cb",
          configurable: true
        });
      } catch {
      }
    }
    this._hooks[name] = this._hooks[name] || [];
    this._hooks[name].push(function_);
    return () => {
      if (function_) {
        this.removeHook(name, function_);
        function_ = undefined;
      }
    };
  }
  hookOnce(name, function_) {
    let _unreg;
    let _function = (...arguments_) => {
      if (typeof _unreg === "function") {
        _unreg();
      }
      _unreg = undefined;
      _function = undefined;
      return function_(...arguments_);
    };
    _unreg = this.hook(name, _function);
    return _unreg;
  }
  removeHook(name, function_) {
    if (this._hooks[name]) {
      const index = this._hooks[name].indexOf(function_);
      if (index !== -1) {
        this._hooks[name].splice(index, 1);
      }
      if (this._hooks[name].length === 0) {
        delete this._hooks[name];
      }
    }
  }
  deprecateHook(name, deprecated) {
    this._deprecatedHooks[name] = typeof deprecated === "string" ? { to: deprecated } : deprecated;
    const _hooks = this._hooks[name] || [];
    delete this._hooks[name];
    for (const hook of _hooks) {
      this.hook(name, hook);
    }
  }
  deprecateHooks(deprecatedHooks) {
    Object.assign(this._deprecatedHooks, deprecatedHooks);
    for (const name in deprecatedHooks) {
      this.deprecateHook(name, deprecatedHooks[name]);
    }
  }
  addHooks(configHooks) {
    const hooks = flatHooks(configHooks);
    const removeFns = Object.keys(hooks).map(
      (key) => this.hook(key, hooks[key])
    );
    return () => {
      for (const unreg of removeFns.splice(0, removeFns.length)) {
        unreg();
      }
    };
  }
  removeHooks(configHooks) {
    const hooks = flatHooks(configHooks);
    for (const key in hooks) {
      this.removeHook(key, hooks[key]);
    }
  }
  removeAllHooks() {
    for (const key in this._hooks) {
      delete this._hooks[key];
    }
  }
  callHook(name, ...arguments_) {
    arguments_.unshift(name);
    return this.callHookWith(serialTaskCaller, name, ...arguments_);
  }
  callHookParallel(name, ...arguments_) {
    arguments_.unshift(name);
    return this.callHookWith(parallelTaskCaller, name, ...arguments_);
  }
  callHookWith(caller, name, ...arguments_) {
    const event = this._before || this._after ? { name, args: arguments_, context: {} } : undefined;
    if (this._before) {
      callEachWith(this._before, event);
    }
    const result = caller(
      name in this._hooks ? [...this._hooks[name]] : [],
      arguments_
    );
    if (result instanceof Promise) {
      return result.finally(() => {
        if (this._after && event) {
          callEachWith(this._after, event);
        }
      });
    }
    if (this._after && event) {
      callEachWith(this._after, event);
    }
    return result;
  }
  beforeEach(function_) {
    this._before = this._before || [];
    this._before.push(function_);
    return () => {
      if (this._before !== undefined) {
        const index = this._before.indexOf(function_);
        if (index !== -1) {
          this._before.splice(index, 1);
        }
      }
    };
  }
  afterEach(function_) {
    this._after = this._after || [];
    this._after.push(function_);
    return () => {
      if (this._after !== undefined) {
        const index = this._after.indexOf(function_);
        if (index !== -1) {
          this._after.splice(index, 1);
        }
      }
    };
  }
}
function createHooks() {
  return new Hookable();
}

const s=globalThis.Headers,i=globalThis.AbortController,l=globalThis.fetch||(()=>{throw new Error("[node-fetch-native] Failed to fetch: `globalThis.fetch` is not available!")});

class FetchError extends Error {
  constructor(message, opts) {
    super(message, opts);
    this.name = "FetchError";
    if (opts?.cause && !this.cause) {
      this.cause = opts.cause;
    }
  }
}
function createFetchError(ctx) {
  const errorMessage = ctx.error?.message || ctx.error?.toString() || "";
  const method = ctx.request?.method || ctx.options?.method || "GET";
  const url = ctx.request?.url || String(ctx.request) || "/";
  const requestStr = `[${method}] ${JSON.stringify(url)}`;
  const statusStr = ctx.response ? `${ctx.response.status} ${ctx.response.statusText}` : "<no response>";
  const message = `${requestStr}: ${statusStr}${errorMessage ? ` ${errorMessage}` : ""}`;
  const fetchError = new FetchError(
    message,
    ctx.error ? { cause: ctx.error } : undefined
  );
  for (const key of ["request", "options", "response"]) {
    Object.defineProperty(fetchError, key, {
      get() {
        return ctx[key];
      }
    });
  }
  for (const [key, refKey] of [
    ["data", "_data"],
    ["status", "status"],
    ["statusCode", "status"],
    ["statusText", "statusText"],
    ["statusMessage", "statusText"]
  ]) {
    Object.defineProperty(fetchError, key, {
      get() {
        return ctx.response && ctx.response[refKey];
      }
    });
  }
  return fetchError;
}

const payloadMethods = new Set(
  Object.freeze(["PATCH", "POST", "PUT", "DELETE"])
);
function isPayloadMethod(method = "GET") {
  return payloadMethods.has(method.toUpperCase());
}
function isJSONSerializable(value) {
  if (value === undefined) {
    return false;
  }
  const t = typeof value;
  if (t === "string" || t === "number" || t === "boolean" || t === null) {
    return true;
  }
  if (t !== "object") {
    return false;
  }
  if (Array.isArray(value)) {
    return true;
  }
  if (value.buffer) {
    return false;
  }
  return value.constructor && value.constructor.name === "Object" || typeof value.toJSON === "function";
}
const textTypes = /* @__PURE__ */ new Set([
  "image/svg",
  "application/xml",
  "application/xhtml",
  "application/html"
]);
const JSON_RE = /^application\/(?:[\w!#$%&*.^`~-]*\+)?json(;.+)?$/i;
function detectResponseType(_contentType = "") {
  if (!_contentType) {
    return "json";
  }
  const contentType = _contentType.split(";").shift() || "";
  if (JSON_RE.test(contentType)) {
    return "json";
  }
  if (textTypes.has(contentType) || contentType.startsWith("text/")) {
    return "text";
  }
  return "blob";
}
function resolveFetchOptions(request, input, defaults, Headers) {
  const headers = mergeHeaders(
    input?.headers ?? request?.headers,
    defaults?.headers,
    Headers
  );
  let query;
  if (defaults?.query || defaults?.params || input?.params || input?.query) {
    query = {
      ...defaults?.params,
      ...defaults?.query,
      ...input?.params,
      ...input?.query
    };
  }
  return {
    ...defaults,
    ...input,
    query,
    params: query,
    headers
  };
}
function mergeHeaders(input, defaults, Headers) {
  if (!defaults) {
    return new Headers(input);
  }
  const headers = new Headers(defaults);
  if (input) {
    for (const [key, value] of Symbol.iterator in input || Array.isArray(input) ? input : new Headers(input)) {
      headers.set(key, value);
    }
  }
  return headers;
}
async function callHooks(context, hooks) {
  if (hooks) {
    if (Array.isArray(hooks)) {
      for (const hook of hooks) {
        await hook(context);
      }
    } else {
      await hooks(context);
    }
  }
}

const retryStatusCodes = /* @__PURE__ */ new Set([
  408,
  // Request Timeout
  409,
  // Conflict
  425,
  // Too Early (Experimental)
  429,
  // Too Many Requests
  500,
  // Internal Server Error
  502,
  // Bad Gateway
  503,
  // Service Unavailable
  504
  // Gateway Timeout
]);
const nullBodyResponses$1 = /* @__PURE__ */ new Set([101, 204, 205, 304]);
function createFetch$1(globalOptions = {}) {
  const {
    fetch = globalThis.fetch,
    Headers = globalThis.Headers,
    AbortController = globalThis.AbortController
  } = globalOptions;
  async function onError(context) {
    const isAbort = context.error && context.error.name === "AbortError" && !context.options.timeout || false;
    if (context.options.retry !== false && !isAbort) {
      let retries;
      if (typeof context.options.retry === "number") {
        retries = context.options.retry;
      } else {
        retries = isPayloadMethod(context.options.method) ? 0 : 1;
      }
      const responseCode = context.response && context.response.status || 500;
      if (retries > 0 && (Array.isArray(context.options.retryStatusCodes) ? context.options.retryStatusCodes.includes(responseCode) : retryStatusCodes.has(responseCode))) {
        const retryDelay = typeof context.options.retryDelay === "function" ? context.options.retryDelay(context) : context.options.retryDelay || 0;
        if (retryDelay > 0) {
          await new Promise((resolve) => setTimeout(resolve, retryDelay));
        }
        return $fetchRaw(context.request, {
          ...context.options,
          retry: retries - 1
        });
      }
    }
    const error = createFetchError(context);
    if (Error.captureStackTrace) {
      Error.captureStackTrace(error, $fetchRaw);
    }
    throw error;
  }
  const $fetchRaw = async function $fetchRaw2(_request, _options = {}) {
    const context = {
      request: _request,
      options: resolveFetchOptions(
        _request,
        _options,
        globalOptions.defaults,
        Headers
      ),
      response: undefined,
      error: undefined
    };
    if (context.options.method) {
      context.options.method = context.options.method.toUpperCase();
    }
    if (context.options.onRequest) {
      await callHooks(context, context.options.onRequest);
    }
    if (typeof context.request === "string") {
      if (context.options.baseURL) {
        context.request = withBase(context.request, context.options.baseURL);
      }
      if (context.options.query) {
        context.request = withQuery(context.request, context.options.query);
        delete context.options.query;
      }
      if ("query" in context.options) {
        delete context.options.query;
      }
      if ("params" in context.options) {
        delete context.options.params;
      }
    }
    if (context.options.body && isPayloadMethod(context.options.method)) {
      if (isJSONSerializable(context.options.body)) {
        context.options.body = typeof context.options.body === "string" ? context.options.body : JSON.stringify(context.options.body);
        context.options.headers = new Headers(context.options.headers || {});
        if (!context.options.headers.has("content-type")) {
          context.options.headers.set("content-type", "application/json");
        }
        if (!context.options.headers.has("accept")) {
          context.options.headers.set("accept", "application/json");
        }
      } else if (
        // ReadableStream Body
        "pipeTo" in context.options.body && typeof context.options.body.pipeTo === "function" || // Node.js Stream Body
        typeof context.options.body.pipe === "function"
      ) {
        if (!("duplex" in context.options)) {
          context.options.duplex = "half";
        }
      }
    }
    let abortTimeout;
    if (!context.options.signal && context.options.timeout) {
      const controller = new AbortController();
      abortTimeout = setTimeout(() => {
        const error = new Error(
          "[TimeoutError]: The operation was aborted due to timeout"
        );
        error.name = "TimeoutError";
        error.code = 23;
        controller.abort(error);
      }, context.options.timeout);
      context.options.signal = controller.signal;
    }
    try {
      context.response = await fetch(
        context.request,
        context.options
      );
    } catch (error) {
      context.error = error;
      if (context.options.onRequestError) {
        await callHooks(
          context,
          context.options.onRequestError
        );
      }
      return await onError(context);
    } finally {
      if (abortTimeout) {
        clearTimeout(abortTimeout);
      }
    }
    const hasBody = (context.response.body || // https://github.com/unjs/ofetch/issues/324
    // https://github.com/unjs/ofetch/issues/294
    // https://github.com/JakeChampion/fetch/issues/1454
    context.response._bodyInit) && !nullBodyResponses$1.has(context.response.status) && context.options.method !== "HEAD";
    if (hasBody) {
      const responseType = (context.options.parseResponse ? "json" : context.options.responseType) || detectResponseType(context.response.headers.get("content-type") || "");
      switch (responseType) {
        case "json": {
          const data = await context.response.text();
          const parseFunction = context.options.parseResponse || destr;
          context.response._data = parseFunction(data);
          break;
        }
        case "stream": {
          context.response._data = context.response.body || context.response._bodyInit;
          break;
        }
        default: {
          context.response._data = await context.response[responseType]();
        }
      }
    }
    if (context.options.onResponse) {
      await callHooks(
        context,
        context.options.onResponse
      );
    }
    if (!context.options.ignoreResponseError && context.response.status >= 400 && context.response.status < 600) {
      if (context.options.onResponseError) {
        await callHooks(
          context,
          context.options.onResponseError
        );
      }
      return await onError(context);
    }
    return context.response;
  };
  const $fetch = async function $fetch2(request, options) {
    const r = await $fetchRaw(request, options);
    return r._data;
  };
  $fetch.raw = $fetchRaw;
  $fetch.native = (...args) => fetch(...args);
  $fetch.create = (defaultOptions = {}, customGlobalOptions = {}) => createFetch$1({
    ...globalOptions,
    ...customGlobalOptions,
    defaults: {
      ...globalOptions.defaults,
      ...customGlobalOptions.defaults,
      ...defaultOptions
    }
  });
  return $fetch;
}

function createNodeFetch() {
  const useKeepAlive = JSON.parse(process.env.FETCH_KEEP_ALIVE || "false");
  if (!useKeepAlive) {
    return l;
  }
  const agentOptions = { keepAlive: true };
  const httpAgent = new http.Agent(agentOptions);
  const httpsAgent = new https.Agent(agentOptions);
  const nodeFetchOptions = {
    agent(parsedURL) {
      return parsedURL.protocol === "http:" ? httpAgent : httpsAgent;
    }
  };
  return function nodeFetchWithKeepAlive(input, init) {
    return l(input, { ...nodeFetchOptions, ...init });
  };
}
const fetch = globalThis.fetch ? (...args) => globalThis.fetch(...args) : createNodeFetch();
const Headers$1 = globalThis.Headers || s;
const AbortController = globalThis.AbortController || i;
const ofetch = createFetch$1({ fetch, Headers: Headers$1, AbortController });
const $fetch$1 = ofetch;

const nullBodyResponses = /* @__PURE__ */ new Set([101, 204, 205, 304]);
function createCall(handle) {
  return function callHandle(context) {
    const req = new IncomingMessage();
    const res = new ServerResponse(req);
    req.url = context.url || "/";
    req.method = context.method || "GET";
    req.headers = {};
    if (context.headers) {
      const headerEntries = typeof context.headers.entries === "function" ? context.headers.entries() : Object.entries(context.headers);
      for (const [name, value] of headerEntries) {
        if (!value) {
          continue;
        }
        req.headers[name.toLowerCase()] = value;
      }
    }
    req.headers.host = req.headers.host || context.host || "localhost";
    req.connection.encrypted = // @ts-ignore
    req.connection.encrypted || context.protocol === "https";
    req.body = context.body || null;
    req.__unenv__ = context.context;
    return handle(req, res).then(() => {
      let body = res._data;
      if (nullBodyResponses.has(res.statusCode) || req.method.toUpperCase() === "HEAD") {
        body = null;
        delete res._headers["content-length"];
      }
      const r = {
        body,
        headers: res._headers,
        status: res.statusCode,
        statusText: res.statusMessage
      };
      req.destroy();
      res.destroy();
      return r;
    });
  };
}

function createFetch(call, _fetch = global.fetch) {
  return async function ufetch(input, init) {
    const url = input.toString();
    if (!url.startsWith("/")) {
      return _fetch(url, init);
    }
    try {
      const r = await call({ url, ...init });
      return new Response(r.body, {
        status: r.status,
        statusText: r.statusText,
        headers: Object.fromEntries(
          Object.entries(r.headers).map(([name, value]) => [
            name,
            Array.isArray(value) ? value.join(",") : String(value) || ""
          ])
        )
      });
    } catch (error) {
      return new Response(error.toString(), {
        status: Number.parseInt(error.statusCode || error.code) || 500,
        statusText: error.statusText
      });
    }
  };
}

function hasReqHeader(event, name, includes) {
  const value = getRequestHeader(event, name);
  return value && typeof value === "string" && value.toLowerCase().includes(includes);
}
function isJsonRequest(event) {
  if (hasReqHeader(event, "accept", "text/html")) {
    return false;
  }
  return hasReqHeader(event, "accept", "application/json") || hasReqHeader(event, "user-agent", "curl/") || hasReqHeader(event, "user-agent", "httpie/") || hasReqHeader(event, "sec-fetch-mode", "cors") || event.path.startsWith("/api/") || event.path.endsWith(".json");
}
function normalizeError(error, isDev) {
  const cwd = typeof process.cwd === "function" ? process.cwd() : "/";
  const stack = (error.unhandled || error.fatal) ? [] : (error.stack || "").split("\n").splice(1).filter((line) => line.includes("at ")).map((line) => {
    const text = line.replace(cwd + "/", "./").replace("webpack:/", "").replace("file://", "").trim();
    return {
      text,
      internal: line.includes("node_modules") && !line.includes(".cache") || line.includes("internal") || line.includes("new Promise")
    };
  });
  const statusCode = error.statusCode || 500;
  const statusMessage = error.statusMessage ?? (statusCode === 404 ? "Not Found" : "");
  const message = error.unhandled ? "internal server error" : error.message || error.toString();
  return {
    stack,
    statusCode,
    statusMessage,
    message
  };
}
function _captureError(error, type) {
  console.error(`[nitro] [${type}]`, error);
  useNitroApp().captureError(error, { tags: [type] });
}
function trapUnhandledNodeErrors() {
  process.on(
    "unhandledRejection",
    (error) => _captureError(error, "unhandledRejection")
  );
  process.on(
    "uncaughtException",
    (error) => _captureError(error, "uncaughtException")
  );
}
function joinHeaders(value) {
  return Array.isArray(value) ? value.join(", ") : String(value);
}
function normalizeFetchResponse(response) {
  if (!response.headers.has("set-cookie")) {
    return response;
  }
  return new Response(response.body, {
    status: response.status,
    statusText: response.statusText,
    headers: normalizeCookieHeaders(response.headers)
  });
}
function normalizeCookieHeader(header = "") {
  return splitCookiesString(joinHeaders(header));
}
function normalizeCookieHeaders(headers) {
  const outgoingHeaders = new Headers();
  for (const [name, header] of headers) {
    if (name === "set-cookie") {
      for (const cookie of normalizeCookieHeader(header)) {
        outgoingHeaders.append("set-cookie", cookie);
      }
    } else {
      outgoingHeaders.set(name, joinHeaders(header));
    }
  }
  return outgoingHeaders;
}

const errorHandler = (async function errorhandler(error, event) {
  const { stack, statusCode, statusMessage, message } = normalizeError(error);
  const errorObject = {
    url: event.path,
    statusCode,
    statusMessage,
    message,
    stack: "",
    // TODO: check and validate error.data for serialisation into query
    data: error.data
  };
  if (error.unhandled || error.fatal) {
    const tags = [
      "[nuxt]",
      "[request error]",
      error.unhandled && "[unhandled]",
      error.fatal && "[fatal]",
      Number(errorObject.statusCode) !== 200 && `[${errorObject.statusCode}]`
    ].filter(Boolean).join(" ");
    console.error(tags, (error.message || error.toString() || "internal server error") + "\n" + stack.map((l) => "  " + l.text).join("  \n"));
  }
  if (event.handled) {
    return;
  }
  setResponseStatus(event, errorObject.statusCode !== 200 && errorObject.statusCode || 500, errorObject.statusMessage);
  if (isJsonRequest(event)) {
    setResponseHeader(event, "Content-Type", "application/json");
    return send(event, JSON.stringify(errorObject));
  }
  const reqHeaders = getRequestHeaders(event);
  const isRenderingError = event.path.startsWith("/__nuxt_error") || !!reqHeaders["x-nuxt-error"];
  const res = isRenderingError ? null : await useNitroApp().localFetch(
    withQuery(joinURL(useRuntimeConfig(event).app.baseURL, "/__nuxt_error"), errorObject),
    {
      headers: { ...reqHeaders, "x-nuxt-error": "true" },
      redirect: "manual"
    }
  ).catch(() => null);
  if (!res) {
    const { template } = await import('../_/error-500.mjs');
    if (event.handled) {
      return;
    }
    setResponseHeader(event, "Content-Type", "text/html;charset=UTF-8");
    return send(event, template(errorObject));
  }
  const html = await res.text();
  if (event.handled) {
    return;
  }
  for (const [header, value] of res.headers.entries()) {
    setResponseHeader(event, header, value);
  }
  setResponseStatus(event, res.status && res.status !== 200 ? res.status : undefined, res.statusText);
  return send(event, html);
});

function defineNitroPlugin(def) {
  return def;
}

let table_structure = {};
let create_table = async (options) => {
  if (!options) return null;
  let D = db.name || "TEST_DB";
  let T = options.table_name;
  if (!T) throw new Error("Invalid Table name supplied");
  delete options.table_name;
  var openining = `CREATE TABLE IF NOT EXISTS ${D}.${T} (
`;
  var closing = `) ENGINE=INNODB;`;
  var properties;
  var temp_sql = "";
  var sql_line = [];
  var sql_index = [];
  var column_list = [];
  if (Array.isArray(options.index)) sql_index.push(...options.index);
  delete options.index;
  for (var key in options) {
    if (key == "index") continue;
    if (key.toLowerCase() == "decimal") key = "DECIMAL(15,2)";
    properties = options[key];
    temp_sql = "";
    if (!Array.isArray(properties)) continue;
    column_list.push(key);
    if (properties.includes("key")) {
      temp_sql += `id BIGINT AUTO_INCREMENT PRIMARY KEY`;
      sql_line.push(temp_sql);
    } else {
      var type = properties[0];
      var def_val = properties[1] || null;
      var term_default = "DEFAULT";
      if (type == "MEDIUMTEXT" || type == "LONGTEXT") {
        def_val = "";
        term_default = "";
      }
      var modifier = properties[2] || "";
      if (def_val == null) def_val = "NULL";
      if (properties.includes("index")) {
        if (!sql_index.includes(key)) sql_index.push(key);
      }
      if (type == "create-ts") {
        type = "TIMESTAMP";
        def_val = "CURRENT_TIMESTAMP";
        modifier = "NOT NULL";
      } else if (type == "modify-ts") {
        type = "TIMESTAMP";
        def_val = "CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP";
        modifier = "";
      } else if (type == "ref") {
        type = "BIGINT";
        def_val = "NULL";
        modifier = "";
      }
      temp_sql += `${key} ${type.toUpperCase()} ${modifier} ${term_default} ${def_val}`;
      sql_line.push(temp_sql);
    }
  }
  if (sql_index.length > 0) sql_line.push(`INDEX(${sql_index.join(",")})`);
  let sql = openining + sql_line.join(",\n") + closing;
  table_structure[T] = column_list;
  return await db.query(sql);
};
table_structure.create_table = create_table;

var __defProp$2 = Object.defineProperty;
var __defNormalProp$2 = (obj, key, value) => key in obj ? __defProp$2(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField$2 = (obj, key, value) => __defNormalProp$2(obj, typeof key !== "symbol" ? key + "" : key, value);
class DB {
  constructor() {
    __publicField$2(this, "name", "");
    __publicField$2(this, "_is_connected", false);
    __publicField$2(this, "_pool", null);
    __publicField$2(this, "promised_pool", null);
    /**
     * Use this utility function to add time base SQL conditions to variable "where" based on a target key ("tkey") found in the "options" parameter.
     * If the key does not exist, function exist.  Otherwise, based on the value in the key being an array or not, appropriate sql is generated and
     * added to "where" variable.
     * @param {String} tkey a key that exists within options - ie created, modified, encounter,start,end, etc
     * @param {Object} options an object with various key properties
     * @param {*} where an arrary holding the list of conditions for selecting database records 
     */
    __publicField$2(this, "add_temporal_condition", (tkey, options, where) => {
      if (!options[tkey]) return;
      if (Array.isArray(options[tkey])) {
        var tmp = options[tkey];
        if (tmp.length >= 2) {
          where.push(`(${db.between_date(tkey, tmp)})`);
        } else {
          where.push(db.is(tkey, tmp[0]));
        }
      } else {
        where.push(db.is(tkey, options[tkey]));
      }
    });
  }
  backup() {
    return new Promise(async (resolve, reject) => {
      let now = /* @__PURE__ */ new Date();
      let ts = `${now.getFullYear()}${core.lz(now.getMonth() + 1)}${core.lz(now.getDate())}-${core.lz(now.getHours())}:${core.lz(now.getMinutes())}`;
      let f_name = `backup-${ts}.sql`;
      let r_pwd = core.env.DB_PASSWORD;
      let r_user = core.env.DB_USER;
      let r_db = core.env.DB_NAME;
      let command = ` mysqldump -u ${r_user} -p${r_pwd} ${r_db} > 'backups/${f_name}'`;
      var child = exec(command);
      child.on("exit", (code) => {
        if (code === 0) {
          core.log("Backup was successful");
          resolve(true);
        } else {
          core.error(`Child process exited with code ${code}`);
          resolve(false);
        }
      });
    });
  }
  async connect(options) {
    var errors = [];
    if (!options) throw new Error("Options is null");
    if (!options.host) errors.push("Host not provided");
    if (!options.user) errors.push("User not provided");
    if (!options.db_name) errors.push("DB Name not provided");
    if (!options.password) errors.push("Password not provided");
    if (errors.length > 0) {
      throw new Error(errors.join(";"));
    }
    this.name = options.db_name;
    try {
      this._pool = mysql.createPool({
        host: options.host,
        user: options.user,
        password: options.password,
        waitForConnections: true,
        connectionLimit: 10,
        queueLimit: 0,
        //timezone:           "UTC", //utc is "invalid"
        dateStrings: ["DATE", "DATETIME"],
        multipleStatements: true
      });
      this._is_connected = true;
    } catch (e) {
      throw e;
    }
    this.promised_pool = this._pool.promise();
    return new Promise((resolve) => {
      setTimeout(() => resolve(), 300);
    });
  }
  santize(str) {
    if (!str) return str;
    var t = typeof str;
    if (["boolean", "number", "object"].includes(t)) return str;
    var re = /[^#\sA-Za-z0-9'-\/]/g;
    return str.replace(re, "");
  }
  esc(val, no_quotes = false) {
    if (val == "now()" || val == "NOW()" || val == "NOW" || val == "now") return "NOW()";
    var out = mysql.escape(val);
    if (no_quotes && typeof val == "string") {
      out = out.substring(0, out.length - 1).substring(1);
    }
    return out;
  }
  set(column_name, val) {
    return ` ${column_name}=${this.esc(val)} `;
  }
  is(column_name, val, negate = false) {
    if ((negate == "like" || negate == "like-array") && Array.isArray(val)) {
      var arr = [];
      val.forEach((it) => arr.push(`${column_name} LIKE ${this.esc(it)}`));
      return `(${arr.join(" OR ")})`;
    }
    var operator = !negate ? "=" : "<>";
    var is_array = false;
    if (val == undefined) val = null;
    if (val == null) {
      operator = negate ? "IS NOT" : "IS";
    }
    if (typeof val == "string") {
      operator = negate ? "NOT LIKE" : "LIKE";
    }
    is_array = Array.isArray(val);
    if (is_array) {
      operator = negate ? "NOT IN" : "IN";
    }
    var esc_val = is_array ? `(${this.esc(val)})` : this.esc(val);
    return `${column_name} ${operator} ${esc_val}`;
  }
  like(column_name, val, txt_wrapper = undefined) {
    if (Array.isArray(val)) {
      var arr = [];
      let L_wrap = "";
      let R_wrap = "";
      if (!txt_wrapper) txt_wrapper = "";
      else {
        if (txt_wrapper == "^%") {
          L_wrap = "";
          R_wrap = "%";
        } else {
          L_wrap = txt_wrapper;
          R_wrap = txt_wrapper;
        }
      }
      val.forEach((it) => arr.push(`${column_name} LIKE ${this.esc(L_wrap + it + R_wrap)}`));
      if (arr.length == 0) return " (1) ";
      return `(${arr.join(" OR ")})`;
    }
    return `${column_name} LIKE ${this.esc(val)}`;
  }
  not_like(column_name, val, txt_wrapper = undefined) {
    if (Array.isArray(val)) {
      var arr = [];
      let L_wrap = "";
      let R_wrap = "";
      if (!txt_wrapper) txt_wrapper = "";
      else {
        if (txt_wrapper == "^%") {
          L_wrap = "";
          R_wrap = "%";
        } else {
          L_wrap = txt_wrapper;
          R_wrap = txt_wrapper;
        }
      }
      val.forEach((it) => arr.push(`${column_name} NOT LIKE ${this.esc(L_wrap + it + R_wrap)}`));
      if (arr.length == 0) return " (1) ";
      return `(${arr.join(" AND ")})`;
    }
    return `${column_name} NOT LIKE ${this.esc(val)}`;
  }
  arr(vals) {
    if (Array.isArray(vals)) {
      var arr = [];
      for (var i = 0; i < vals.length; i++) {
        arr.push(this.esc(vals[i]));
      }
      return ` ( ${arr.join(",")} ) `;
    } else return " ('empty') ";
  }
  between_date(column_name, arr_dates) {
    if (!arr_dates) throw new Error("Invalid date span");
    if (!Array.isArray(arr_dates)) throw new Error("Invalid span type");
    if (arr_dates.length < 2) throw new Error("2 or more dates is required");
    var span = [core.date_to_mysql(arr_dates[0]), core.date_to_mysql(arr_dates[1])];
    return ` (${column_name} >= '${span[0]}' AND ${column_name} <= '${span[1]}') `;
  }
  is_connected() {
    return this._is_connected;
  }
  /**
   * Perform a database query
   * @param {String} sql The SQL command to execute
   * @param {Object} options Additional options to consider while executing the SQL
   * @returns {Array|Object}
   */
  async query(sql, options = {}) {
    if (this._table_not_setup) {
      core.log('FLAG<TABLE_NOT_SETUP> is true. Existing db.query call. Make call to "/api/site/config/install to clear"');
      return null;
    }
    if (!this.is_connected()) throw new Error("DQ.query: database is not connected");
    try {
      if (options.debug) console.log("  #db.query 0 {" + sql + "}");
      var [results, fields] = await this.promised_pool.query(sql);
      if (options.debug) console.log("  #db.query 0.a");
      if (options.sql || options.show_sql) core.log("db.query", sql);
      if (options.debug) console.log("  #db.query 1");
      var run_filter = true;
      if (options.run_filter != void 0) run_filter = options.run_filter;
      if (options.debug) console.log("  #db.query 2", results);
      if (Array.isArray(results)) {
        if (sql.includes(".options") || sql.includes(".post_metas") || sql.includes(".user_metas")) {
          for (let it of results) {
            if (Array.isArray(it)) {
              for (let jt of it) {
                if (jt.name && jt.name.endsWith("_secret")) {
                  jt.value = core.decrypt(jt.value);
                }
              }
            } else {
              if (it.name && it.name.endsWith("_secret")) {
                it.value = core.decrypt(it.value);
              }
            }
          }
        }
      }
      if (run_filter) {
        return results;
      } else {
        return results;
      }
    } catch (e) {
      var msg = `"${e.sqlMessage}"
==>"${e.sql}" code "${e.code}"
Stack: ` + new Error().stack;
      core.error(msg, e);
      throw e;
    }
  }
  /**
   * Given a desired page number and number of items to display on each page, return an SQL sniplet that can allow use to limit our
   * result set.  Use this SQL sniplet with the main SQL Query.  To geet the total amount of pages, invoke @pagination seperately
   * @param {Object} options { p : Page number, limit : items per page}
   * @returns {String} SQL fragment 
   */
  async page_limit(options) {
    if (!options) return " ";
    options.p = JSON.parse(options.p || options.page || 1);
    if (!options.limit) {
      options.limit = await core.get_option({ name: "pagination_limit", flat: true }) || 20;
    }
    options.limit = JSON.parse(options.limit);
    var offset = (options.p - 1) * options.limit;
    return ` LIMIT ${offset}, ${options.limit} `;
  }
  /**
   * Given the table and the where clause, return a count of the number of pages there are.  
   * @param {String} tb Name of table.  If not preceed with database name, database name will be auto set.  Include 
   * @param {String} where SQL where clause for counting the desired pages
   * @param {Number} limit Integer representing number of items within each page
   * @returns {Number} Total number of pages
   */
  async _page_total(tb, where, limit, table_alias = "T") {
    if (typeof tb != "string") return 0;
    if (!where) return 0;
    if (!tb.includes(".")) tb = this.name + "." + tb;
    let sql = `SELECT count(id) as num_rows FROM ${tb} ${table_alias} WHERE ${where}`;
    limit = limit || await core.get_option({ name: "pagination_limit", flat: true }) || 20;
    let rows = await this.query(sql, { ignore_pagination: true });
    var pages = rows[0].num_rows / limit + 1;
    if (pages % 1) pages += 1;
    return Number.parseInt(pages);
  }
  /**
   * With the provided Array or Object representing a MySQL query result set, set the pagination data within the first result.
   * This is useful for when when returning pagination to frontend.
   * @param {Array|Object} result_set The result MySQL Query Row
   * @param {Object} options { table , where : where expression, limit : number items per page, p : optional current page, table_alias : String ("T")}
   * @returns {result_set}
   */
  async pagination(result_set, options) {
    if (!result_set) return result_set;
    var first_item = Array.isArray(result_set) ? result_set[0] : result_set;
    if (!first_item) return result_set;
    var where_expr = options.where;
    var tb = options.tb || options.table;
    var limit = JSON.parse(options.limit || await core.get_option({ name: "pagination_limit", flat: true }) || 20);
    if (!where_expr) {
      return result_set;
    }
    if (!tb) return result_set;
    var pages = await db._page_total(tb, where_expr, limit, options.table_alias);
    var p = JSON.parse(options.p || options.current || options.current_page || options.page || 1);
    first_item.pagination = { pages, p, limit };
    return result_set;
  }
  /**
   * Perform an update and or an insert depending on whether the data (Object or array of Object) each has and id property or note.
   * For updates, the function first check to see if contents of database table differents from the value being presenting for update 
   * and only performs updates for new data columns. If old and new value are the same, update is skipped entirely.  For insert,
   * each data is inserted into the database directly. 
   * @param {Object} options { table , data }
   * @returns 
   */
  async update(options = {}) {
    let table = options.table;
    let data = options.data;
    if (!table_structure[table]) {
      throw Error(`Table ${table} does not exist in core table list`);
    }
    let is_encryptable_table = ["options", "post_metas", "user_metas"].includes(table);
    if (!data) return data;
    if (data.then) {
      core.log({ msg: "Update(" + table + ") received promised instead of data", data });
      return null;
    }
    if (Array.isArray(data) && data.length == 0) {
      core.log({ msg: "Cannot save empty array for table " + table, data });
      return data;
    }
    var tb = `${this.name}.${table}`;
    var d = Array.isArray(data) ? data : [data];
    var d_insert = [];
    var d_update = [];
    var ids = [], tmp;
    var unique_query = [], Tab = table_structure[table];
    for (var i = 0; i < d.length; i++) {
      if (d[i].id === undefined) {
        if (options) {
          if (options.unique && Tab.includes("name")) {
            var has_account = Tab.includes("account_id");
            unique_query.push(
              has_account ? `SELECT id FROM ${tb} WHERE name LIKE ${this.esc(d[i].name)} AND ${db.is("account_id", d[i].account_id)}` : `SELECT id FROM ${tb} WHERE name LIKE ${this.esc(d[i].name)} `
            );
          }
        }
        d_insert.push(d[i]);
      } else {
        ids.push(this.esc(d[i].id));
        tmp = JSON.parse(JSON.stringify(d[i]));
        d_update.push(tmp);
      }
    }
    if (unique_query.length > 0) {
      var sql = unique_query.join(";");
      var uret = await this.query(sql);
      var override = true;
      if (options.override != undefined) override = options.override;
      for (var j = uret.length - 1; j > -1; j--) {
        if (uret[j].length == 0) continue;
        var it = d_insert[j];
        var ut = Array.isArray(uret[j]) ? uret[j][0] : uret[j];
        it.id = ut.id;
        if (override) {
          d_update.push(it);
          ids.push(this.esc(it.id));
        }
        d_insert.splice(j, 1);
      }
    }
    var sql;
    {
      var cur_dbstate = [];
      if (ids.length > 0) {
        sql = `SELECT * FROM ${tb} WHERE id IN (${ids.join(",")});`;
        cur_dbstate = await this.query(sql);
      }
      sql = ``;
      var has_query = false;
      var set_statements = [];
      var curr, new_val, keys, key, has_override_property = false;
      var timebased = ["created", "updated", "start", "modified"];
      for (var i = 0; i < cur_dbstate.length; i++) {
        curr = cur_dbstate[i];
        for (var j = 0; j < d_update.length; j++) {
          new_val = d_update[j];
          if (new_val.id == curr.id) {
            keys = Object.keys(new_val);
            has_override_property = new_val.override !== undefined;
            set_statements = [];
            for (var k = 0; k < keys.length; k++) {
              key = keys[k];
              if (!table_structure[table].includes(key)) continue;
              if (has_override_property) {
                if (new_val.override == false) {
                  if (key == "value") {
                    continue;
                  }
                }
              }
              if (key == "id") continue;
              if (key != "value" && new_val[key] == curr[key]) {
                delete new_val[key];
              } else if (key == "value" && (new_val[key] == curr[key] || JSON.stringify(new_val[key]) == curr[key])) {
                delete new_val[key];
              } else {
                var value = new_val[key];
                if (timebased.includes(key)) {
                  if (typeof value == "string" && value.includes("T")) continue;
                }
                if (is_encryptable_table && key == "value") {
                  var meta_name = new_val["name"] || curr["name"];
                  if (meta_name && meta_name.endsWith("_secret")) {
                    value = core.encrypt(value);
                  }
                }
                if (typeof value == "boolean" && value == false) value = "false";
                if (typeof value == "object" && value != null) {
                  value = JSON.stringify(value);
                }
                set_statements.push(`${key}=${this.esc(value)}`);
              }
            }
            if (set_statements.length > 0) {
              has_query = true;
              sql += `
UPDATE ${tb} SET ${set_statements.join(",")} WHERE id=${new_val.id};`;
            }
          }
        }
      }
      if (has_query) {
        if (options.show_sql) {
          console.log(">>", sql);
        }
        await this.query(sql);
      }
    }
    {
      var item, cols, values, keys, key, val;
      sql = "";
      for (var i = 0; i < d_insert.length; i++) {
        item = d_insert[i];
        cols = [];
        values = [];
        keys = Object.keys(item);
        for (var j = 0; j < keys.length; j++) {
          key = keys[j];
          if (!table_structure[table].includes(key)) continue;
          cols.push(key);
          val = item[key];
          if (typeof val == "object") {
            if (val != null) {
              val = JSON.stringify(val);
            }
          }
          if (is_encryptable_table && key == "value") {
            var meta_name = item["name"];
            if (meta_name && meta_name.endsWith("_secret")) {
              val = core.encrypt(val);
            }
          }
          values.push(this.esc(val));
        }
        if (cols.length == 0) continue;
        sql += `INSERT INTO ${tb} (${cols.join(",")}) VALUES (${values.join(",")});
`;
      }
      if (d_insert.length > 0) {
        var ret = await db.query(sql);
        if (Array.isArray(ret)) {
          for (var i = 0; i < ret.length; i++) {
            d_insert[i].id = ret[i].insertId;
            d_insert[i].__is_new = true;
          }
        } else {
          d_insert[0].id = ret.insertId;
        }
      }
    }
    return data;
  }
  async remove(table, id) {
    if (!table_structure[table]) throw Error(`Table ${table} does not exist in core table list`);
    if (!id) return false;
    var tb = `${this.name}.${table}`;
    await db.query(`DELETE FROM ${tb} WHERE ${db.is("id", id)}`);
    return true;
  }
}
let db = new DB();

const cache_storage = {};
const default_namespace = Symbol("defaultNamespace");
function is_expired(expires_at) {
  return expires_at && expires_at < Date.now();
}
function get_named_cache(namespace) {
  if (!cache_storage[namespace]) {
    cache_storage[namespace] = /* @__PURE__ */ new Map();
  }
  return cache_storage[namespace];
}
function useNamespace(namespace) {
  const namedCache = get_named_cache(namespace);
  function get2(key) {
    const { value, expiresAt: expires_at } = namedCache.get(key) || {};
    if (is_expired(expires_at)) {
      remove2(key);
      return undefined;
    }
    return value;
  }
  function set2(key, value, timeout) {
    const expires_at = timeout ? Date.now() + timeout : null;
    namedCache.set(key, { value, expiresAt: expires_at });
  }
  function timeTillExpires2(key) {
    const { expiresAt: expires_at } = namedCache.get(key) || {};
    if (!expires_at) {
      return null;
    }
    if (is_expired(expires_at)) {
      return 0;
    }
    return expires_at - Date.now();
  }
  function remove2(key) {
    namedCache.delete(key);
  }
  function removeAll2() {
    namedCache.clear();
  }
  return { get: get2, set: set2, timeTillExpires: timeTillExpires2, remove: remove2, removeAll: removeAll2 };
}
const { get, set, timeTillExpires, remove, removeAll } = useNamespace(default_namespace);
const cache = { get, set, timeTillExpires, remove, useNamespace, removeAll };

class Users {
  /**
   * Get a user by name of below parameters
   * @param {Object} options { user_id, name, email, parent_id }
   * @returns {Object}
   */
  async get_user(options) {
    if (!options) return null;
    let where = [];
    let tbu = `${db.name}.users`, tbum = `${db.name}.user_metas`;
    if (options.user_id) where.push(db.is("id", options.user_id));
    if (options.name) where.push(db.is("name", options.name));
    if (options.email) where.push(db.is("email", options.email));
    if (options.parent_id) where.push(db.is("parent_id", options.parent_id));
    let xcol = [`(SELECT value FROM ${tbum} WHERE name LIKE 'avatar' AND user_id=T.id) as image`];
    var sel_user = `SELECT id,parent_id, status, name, email, ${xcol.join(",")} FROM ${tbu} T WHERE ${where.join(" AND ")}`;
    var results = await db.query(sel_user);
    if (results.length == 0) return null;
    let out = results[0];
    await plugin.do_filter("get_user", { data: out });
    return out;
  }
  /**
   * Determine if the user is able to perform the specified capablity based on the users list of approved roles
   * @param {Object} options { user_id , cap : String/Array } 
   * @returns {Boolean} Can user perform the named cap(s)
   */
  async can_user(options) {
    if (!options) return false;
    if (!options.user_id) return false;
    if (!options.cap) {
      if (options.action) options.cap = options.action;
      if (!options.cap) return false;
    }
    let target_caps = Array.isArray(options.cap) ? options.cap : [options.cap];
    let tbur = `${db.name}.user_roles`;
    let sel_approved_roles = `SELECT role,status FROM ${tbur} WHERE ${db.is("user_id", options.user_id)} AND ${db.like("status", "approved")}`;
    let approved_roles = await db.query(sel_approved_roles);
    let capabilities = await core.get_capabilities();
    let site_caps = capabilities.filter((it) => {
      return target_caps.includes(it.name);
    });
    if (!site_caps || site_caps && site_caps.length == 0) {
      core.log({ ...options, source: "can_user", msg: 'Unable to check if user can perform "' + options.cap + '" when cap does not exist' });
      return false;
    }
    let assigned_role;
    for (var i = 0; i < approved_roles.length; i++) {
      assigned_role = approved_roles[i];
      for (var j = 0; j < site_caps.length; j++) {
        if (!Array.isArray(site_caps[j].roles)) {
          core.log({ ...options, source: "can_user", msg: 'Capability "' + options.cap + '" did not define roles :Array' });
          continue;
        }
        if (site_caps[j].roles.includes(assigned_role.role)) {
          return true;
        }
      }
    }
    return false;
  }
  /**
   * Get the user's list of capabilities
   * @param {Object} options { user_id , } 
   * @returns {Array} Array of string capabilities
   */
  async get_user_caps(options) {
    if (!options) return [];
    if (!options.user_id) return [];
    let tbur = `${db.name}.user_roles`;
    let sel_approved_roles = `SELECT role,status FROM ${tbur} WHERE ${db.is("user_id", options.user_id)} AND ${db.like("status", "approved")}`;
    let approved_roles = await db.query(sel_approved_roles);
    let capabilities = await core.get_capabilities();
    let assigned_role;
    let user_cap_list = [];
    for (var i = 0; i < approved_roles.length; i++) {
      assigned_role = approved_roles[i];
      for (var j = 0; j < capabilities.length; j++) {
        if (!Array.isArray(capabilities[j].roles)) {
          core.log({ ...options, source: "user_caps", msg: 'Capability "' + options.cap + '" did not define roles :Array' });
          continue;
        }
        if (capabilities[j].roles.includes(assigned_role.role)) {
          user_cap_list.push(capabilities[j].name);
        }
      }
    }
    return user_cap_list;
  }
  /**
   * Add or modify the current role assignment of a user
   * @param {Object} options { user_id, role }
   * @returns {Object}
   */
  async modify_user_role(options) {
    if (!options) return null;
    if (!options.user_id) return null;
    if (!options.role) return null;
    let tbur = `${db.name}.user_roles`;
    var sel_existing_role = `SELECT * FROM ${tbur} WHERE ${db.like("role", options.role)} AND ${db.is("user_id", options.user_id)}`;
    var cur_roles = await db.query(sel_existing_role);
    if (cur_roles.length > 0) {
      options.id = cur_roles[0].id;
    }
    await db.update({ table: "user_roles", data: options });
    return options;
  }
  /**
   * Get all roles approved or pending for a specified user
   * @param {Array} options { user_id, status : optional }
   * @returns {Array} Array of { id, user_id, role, status }
   */
  async get_user_roles(options) {
    if (!options.user_id) return [];
    let tbur = `${db.name}.user_roles`;
    var where = [
      db.is("user_id", options.user_id)
    ];
    if (options.status) {
      where.push(db.like("status", options.status));
    }
    var sel_roles = `SELECT * FROM ${tbur} WHERE ${where.join(" AND ")}`;
    let results = await db.query(sel_roles);
    return results;
  }
  /**
   * Add or update a user meta property for a specified user
   * @param {Object} options { name, value, user_id }
   */
  async set_meta(options) {
    if (!options) return null;
    if (!options.user_id) return core.log({ source: "set_meta", msg: "Cannot modify user meta without a user id " });
    if (!options.name) return core.log({ source: "set_meta", msg: "Cannot add/modify user meta without a name" });
    `${db.name}.users`;
    var tbum = `${db.name}.user_metas`;
    var results = await db.query(`SELECT id,value FROM ${tbum} WHERE ${db.is("user_id", options.user_id)} AND ${db.like("name", options.name)}`);
    if (results.length > 0) {
      options.id = results[0].id;
      var old_value = await core.type_cast(results[0].value);
      if (old_value == options.value) return options;
    }
    await plugin.do_filter("set_user_meta", { data: options });
    db.update({ table: "user_metas", data: options });
    options.value = await core.type_cast(options.value);
    return options;
  }
  /**
  * Get an option
  * @param {Object} options {name, user_id }
  * @returns {mixed} Returns the value component of the options
  */
  async get_meta(options) {
    if (!options.name) return null;
    if (!options.user_id) return null;
    let tbum = `${db.name}.user_metas`;
    let sql = `SELECT * FROM ${tbum} WHERE ${db.like("name", options.name)} AND ${db.is("user_id", options.user_id)}`;
    var results = await db.query(sql);
    var o = { name: options.name, value: null };
    if (results.length > 0) {
      o = results[0];
    } else {
      let items = await core.get_user_settings_items({ event: options.event || null });
      let item = items.find((it) => it.name == options.name);
      if (item) o.value = item.default;
    }
    o.value = await core.type_cast(o.value);
    await plugin.do_filter("user_meta", { data: o });
    return o.value;
  }
  /**
   * 
   * @param {Object} options { user_id}
   * @returns {Array} array of { name, value }
   */
  async get_metas(options) {
    if (!options.user_id) return null;
    let tbum = `${db.name}.user_metas`;
    var results = await db.query(`SELECT * FROM ${tbum} WHERE ${db.is("user_id", options.user_id)}`);
    let o;
    for (var i = 0; i < results.length; i++) {
      o = results[i];
      o.value = await core.type_cast(o.value);
    }
    let items = await core.get_user_settings_items({ event: options.event || null });
    for (var i = 0; i < items.length; i++) {
      o = items[i];
      if (!results.find((it) => it.name == o.name)) {
        let new_meta = { name: o.name, value: o.default, user_id: options.user_id };
        if (new_meta.value === undefined) new_meta.value = null;
        results.push(new_meta);
      }
    }
    await plugin.do_filter("user_metas", { data: o });
    return results;
  }
  /**
   * Allow user to login
   * @param {Object} options {name , password}
   * @returns {Boolean}
   */
  async login(options) {
    if (!options) return core.throw({
      msg: "Login parameters not supplied",
      source: "user.login"
    });
    let { name, password } = options;
    if (!name || !password) return null;
    var sql = `SELECT * FROM ${db.name}.users WHERE ${db.is("name", name)}`;
    var ret = await db.query(sql);
    if (ret.length == 0) return null;
    let registered_user = ret[0];
    var hashed_password = core.hash(password, registered_user.salt);
    var password_matches = hashed_password == registered_user.password;
    if (!password_matches) return null;
    delete registered_user.password;
    delete registered_user.salt;
    plugin.do_action("login", { registered_user });
    await plugin.do_filter("login", { data: registered_user });
    plugin.do_action("login", { data: registered_user });
    db.update({ table: "users", data: { id: registered_user.id, status: "online" } });
    return registered_user;
  }
  async logout(options) {
    if (!options) return false;
    await plugin.do_filter("logout", { data: options });
    await db.update({ table: "users", data: { id: options.user_id, status: "offline" } });
    plugin.do_action("logout", { options });
    return true;
  }
  /**
   * Sign-up/register a user 
   * @param {Object} options User description to be created
   * @throws {Object}
   * @returns True on success
   */
  async signup(options) {
    if (!options) return false;
    let tbusers = db.name + ".users";
    if (!core.is_email(options.email)) {
      return core.throw({ ...options, msg: "Invalid email provided.", source: "user.signup" });
    }
    let allow_user_registration = await core.get_option({ name: "allow_user_registration_public" });
    if (!allow_user_registration) {
      return false;
    }
    let user = { ...options };
    let w0 = `${db.like("email", user.email)} OR ${db.like("name", user.name)}`;
    var sql = `SELECT id FROM ${tbusers} WHERE ${w0}`;
    var ret = await db.query(sql);
    if (ret.length > 0) return core.throw({
      ...options,
      source: "user.signup",
      msg: "User name or email already exists"
    });
    var sel_count = await db.query(`SELECT COUNT(id) as total FROM ${tbusers}`);
    var total_users = sel_count[0].total;
    await plugin.do_filter("before_signup", { data: user });
    user.salt = core.random_str(64);
    user.password = core.hash(user.password, user.salt);
    user = await db.update({ table: "users", data: user });
    delete user.password;
    delete user.salt;
    let all_roles = await core.get_roles();
    let def_roles = await core.get_option({ name: "default_role" });
    if (!Array.isArray(def_roles)) {
      def_roles = [def_roles];
    }
    let arr_str_roles_4_user = [];
    for (var i = 0; Array.isArray(def_roles) && i < def_roles.length; i++) {
      if (!arr_str_roles_4_user.includes(def_roles[i])) arr_str_roles_4_user.push(def_roles[i]);
    }
    if (arr_str_roles_4_user.length == 0) arr_str_roles_4_user.push("no-roles");
    if (total_users == 0) {
      for (var i = 0; i < all_roles.length; i++) {
        if (!arr_str_roles_4_user.includes(all_roles[i].name))
          arr_str_roles_4_user.push(all_roles[i].name);
      }
    }
    for (var i = 0; i < arr_str_roles_4_user.length; i++) {
      if (!arr_str_roles_4_user[i]) continue;
      this.modify_user_role({ user_id: user.id, role: arr_str_roles_4_user[i], status: "approved" });
    }
    await plugin.do_filter("after_signup", { data: user });
    return true;
  }
  /**
   * Validate whether or not a user still exists on  the site
   * @param {Object} options { user_id | email }
   * @returns {Boolean}
   */
  async exists(options) {
    if (!options) return false;
    let tbusers = db.name + ".users";
    let where = options.user_id ? `${db.is("id", options.user_id)}` : `${db.is("email", options.email)}`;
    var sel_count = await db.query(`SELECT COUNT(id) as total FROM ${tbusers} WHERE ${where}`);
    var total_users = sel_count[0].total;
    return total_users > 0;
  }
  /**
   * Determine if the current HTTP event has the user object set
   * @param {Object} options  {event }Event Object
   * @returns {Boolean}
   */
  async is_logged_in(options) {
    if (!options) return false;
    let event = options.event || options.evt || null;
    if (!event) return false;
    return event.user != null && event.user != undefined;
  }
  /**
   * Get roles 
   * @param {Object} options { name, email, parent-id, status , include_roles : whether to include user roles or note }
   * @returns {Array} Are of user objects
   */
  async get_users(options) {
    if (!options) return null;
    let tbu = `${db.name}.users`;
    let tbum = `${db.name}.user_metas`;
    let where = [];
    if (options.name) where.push(db.like("name", options.name, "%"));
    if (options.email) where.push(db.like("email", options.email, "%"));
    if (options.parent_id) where.push(db.is("parent_id", options.parent_id));
    if (options.status) where.push(db.like("status", options.status));
    if (where.length == 0) where.push(` 1 `);
    let xcol = [`(SELECT value FROM ${tbum} WHERE name LIKE 'avatar' AND user_id=T.id) as image`];
    let where_clause = where.join(` AND `);
    let limit_expression = await posts.pagination_limit_sql(options);
    let sql = `SELECT id,parent_id,name,email,status,created,modified, ${xcol.join(",")} FROM ${tbu} T WHERE ${where_clause} ${limit_expression}`;
    let result_set = await db.query(sql);
    await posts.pagination_apply({
      p: options.p,
      limit: options.limit,
      table: "users",
      result_set,
      where: where_clause
    });
    if (options.include_roles) {
      let promises = [], j;
      for (j = 0; j < result_set.length; j++) {
        promises.push(this.get_user_roles({ user_id: result_set[j].id }));
      }
      let promised = await Promise.all(promises);
      for (j = 0; j < promised.length; j++) {
        result_set[j].roles = promised[j];
      }
    }
    await plugin.do_filter("get_users", { data: result_set });
    return result_set;
  }
}
let users = new Users();

class Posts {
  /**
   * Given a post that is of post type form, return all form fields contained within the first
   * form block that is encountered. 
   * @param {Object} post_obj An object representing a post 
   * @returns {Object} null or an object where each key is the name of field pointing to { type,name,validation, required}
   */
  async get_form_fields(post_obj, include_field_instance = false) {
    if (!post_obj) return null;
    if (post_obj.type != "form") return null;
    if (!Array.isArray(post_obj.value)) return null;
    let target_types = ["form", "formfield"];
    let fields = {};
    let already_found_the_form_container = false;
    let find_form_fields = (hay) => {
      if (!Array.isArray(hay)) return;
      let blk;
      for (var i = 0; i < hay.length; i++) {
        blk = hay[i];
        if (!target_types.includes(blk.type)) continue;
        if (blk.type == "form") {
          if (!already_found_the_form_container) {
            already_found_the_form_container = true;
            fields.__form = blk.state;
            find_form_fields(blk.children);
          }
        } else {
          if (already_found_the_form_container) {
            let prop = {
              name: blk.state.name || null,
              type: blk.state.type || null,
              validation: blk.state.validation,
              required: blk.state.required
            };
            if (include_field_instance) {
              prop.state = blk.state;
            }
            fields[prop.name] = prop;
          }
        }
      }
    };
    find_form_fields(post_obj.value);
    return fields;
  }
  /**
   * Get all status types available to all post types
   * @returns {Array} 
   */
  async get_default_status() {
    let output = [
      { title: "Trash", value: "trash" },
      { title: "Draft", value: "draft" },
      { title: "Published", value: "published" }
    ];
    await plugin.do_filter("get_default_status", { data: output });
    return output;
  }
  /**
   * Get all post types that exist of the site.  If type is specified, then the the specific type named, if available, will be returned
   * 
   * @param { Object} { type : optional }
   * @returns {Array} { name, name_plural, title,title_plural, description, is_static, admin_menu:false, url , status}
   */
  async get_posttypes(options) {
    if (!options) options = {};
    let def_status = await this.get_default_status(options);
    let tbo = `${db.name}.options`;
    let sel_types = `SELECT * FROM ${tbo} WHERE name LIKE "type_%"`;
    let result = await db.query(sel_types, {});
    let has_ecommerce = await core.get_option({ name: "has_ecommerce" });
    let types = [
      {
        name: "attachment",
        name_plural: "attachments",
        title: "Attachment",
        title_plural: "Attachments",
        is_static: true,
        description: "Uploaded media files",
        admin_menu: false,
        status: [...def_status],
        caps: ["edit_post"]
      },
      {
        name: "layout",
        name_plural: "layouts",
        title: "Layout",
        title_plural: "Layouts",
        description: "Post that setups of presentation structure of other posts",
        is_static: true,
        admin_menu: true,
        status: [...def_status],
        caps: ["edit_post"],
        metas: []
      },
      {
        name: "page",
        name_plural: "pages",
        title: "Page",
        title_plural: "Pages",
        is_static: true,
        description: "Collection of website pages",
        admin_menu: true,
        icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="M15.75 17.25v3.375c0 .621-.504 1.125-1.125 1.125h-9.75a1.125 1.125 0 0 1-1.125-1.125V7.875c0-.621.504-1.125 1.125-1.125H6.75a9.06 9.06 0 0 1 1.5.124m7.5 10.376h3.375c.621 0 1.125-.504 1.125-1.125V11.25c0-4.46-3.243-8.161-7.5-8.876a9.06 9.06 0 0 0-1.5-.124H9.375c-.621 0-1.125.504-1.125 1.125v3.5m7.5 10.375H9.375a1.125 1.125 0 0 1-1.125-1.125v-9.25m12 6.625v-1.875a3.375 3.375 0 0 0-3.375-3.375h-1.5a1.125 1.125 0 0 1-1.125-1.125v-1.5a3.375 3.375 0 0 0-3.375-3.375H9.75" /></svg>`,
        status: [...def_status],
        caps: ["edit_post"],
        metas: [
          { name: "inc_admin_menu", value: false },
          { name: "cap_read", value: "", title: "Enter capabilities (edit_options, view_posts, ...etc) seperated by spaces" },
          { name: "cap_write", value: "", title: "Enter capabilities (edit_options, view_posts, ...etc) seperated by spaces" }
        ]
      },
      has_ecommerce ? {
        name: "product",
        name_plural: "products",
        title: "Product",
        title_plural: "Products",
        is_static: true,
        description: "Site products and services",
        admin_menu: true,
        metas: [
          //specify meta properties that all products must have
          { name: "product_name", value: "my-product" },
          { name: "product_sku", value: "" },
          { name: "product_barcode", value: "" },
          { name: "product_price", value: 0 },
          { name: "product_base_price", value: 0 }
        ],
        icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="M15.75 10.5V6a3.75 3.75 0 1 0-7.5 0v4.5m11.356-1.993 1.263 12c.07.665-.45 1.243-1.119 1.243H4.25a1.125 1.125 0 0 1-1.12-1.243l1.264-12A1.125 1.125 0 0 1 5.513 7.5h12.974c.576 0 1.059.435 1.119 1.007ZM8.625 10.5a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm7.5 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Z" /></svg>`,
        status: [...def_status],
        caps: ["edit_post"]
      } : null,
      has_ecommerce ? {
        name: "order",
        name_plural: "orders",
        title: "Order",
        title_plural: "Orders",
        is_static: true,
        description: "Site orders",
        admin_menu: true,
        metas: [
          //specify meta properties that all products must have 
        ],
        icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="M9.568 3H5.25A2.25 2.25 0 0 0 3 5.25v4.318c0 .597.237 1.17.659 1.591l9.581 9.581c.699.699 1.78.872 2.607.33a18.095 18.095 0 0 0 5.223-5.223c.542-.827.369-1.908-.33-2.607L11.16 3.66A2.25 2.25 0 0 0 9.568 3Z" /><path stroke-linecap="round" stroke-linejoin="round" d="M6 6h.008v.008H6V6Z" /></svg>`,
        status: [
          ...def_status,
          { title: "Paid", value: "paid" },
          { title: "Unpaid", value: "unpaid" },
          { title: "Cancelled", value: "cancelled" }
        ],
        caps: ["edit_post"]
      } : null,
      {
        name: "form",
        name_plural: "forms",
        title: "Form",
        title_plural: "Forms",
        is_static: true,
        description: "Built data fields to collect data and organize data",
        admin_menu: true,
        icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="M20.25 6.375c0 2.278-3.694 4.125-8.25 4.125S3.75 8.653 3.75 6.375m16.5 0c0-2.278-3.694-4.125-8.25-4.125S3.75 4.097 3.75 6.375m16.5 0v11.25c0 2.278-3.694 4.125-8.25 4.125s-8.25-1.847-8.25-4.125V6.375m16.5 0v3.75m-16.5-3.75v3.75m16.5 0v3.75C20.25 16.153 16.556 18 12 18s-8.25-1.847-8.25-4.125v-3.75m16.5 0c0 2.278-3.694 4.125-8.25 4.125s-8.25-1.847-8.25-4.125" /></svg>`,
        status: [...def_status],
        caps: ["edit_post"]
      },
      {
        name: "blog",
        name_plural: "blogs",
        title: "Blog",
        title_plural: "Blogs",
        icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="M6 12 3.269 3.125A59.769 59.769 0 0 1 21.485 12 59.768 59.768 0 0 1 3.27 20.875L5.999 12Zm0 0h7.5" /></svg>`,
        description: "Collection of website blogs",
        is_static: true,
        admin_menu: true,
        status: [...def_status],
        caps: ["edit_post"]
      }
    ];
    for (var i = 0; i < result.length; i++) {
      try {
        result[i].value = JSON.parse(result[i].value);
        if (!result[i].value) continue;
        result[i].value.is_static = false;
        result[i].value.status = [...def_status];
        types.push(result[i].value);
      } catch (e) {
      }
    }
    await plugin.do_filter("posttypes", { data: types });
    let original = [...types];
    let sql, tbr = `${db.name}.posts`;
    for (var i = types.length - 1; i > -1; i--) {
      if (!types[i]) {
        types.splice(i, 1);
        continue;
      }
      if (!Array.isArray(types[i].status)) {
        types[i].status = [...def_status];
      }
      sql = `SELECT COUNT(id) as count FROM ${tbr} WHERE ${db.like("type", types[i].name)}`;
      result = await db.query(sql);
      types[i].url = `/user/types/${types[i].name} `;
      types[i].count = 0;
      if (!original.find((it) => it === types[i])) {
        types[i].is_static = true;
      }
      if (result.length > 0) types[i].count = result[0].count;
    }
    return types;
  }
  /**
   * Create or modify a posttype
   * @param {Object} option { name,name_plural,title,title_plural,description,...}
   */
  async update_posttypes(option) {
    let tbo = `${db.name}.options`;
    let sel_types = `SELECT id FROM ${tbo} WHERE name LIKE "type_${db.esc(option.name, true)}"`;
    var result = await db.query(sel_types);
    var rec_opt = { name: `type_${option.name}`, value: JSON.stringify(option) };
    if (result.length > 0) {
      rec_opt.id = result[0].id;
    }
    await db.update({ table: "options", data: rec_opt });
  }
  /**
   * Remove a non-static( stored in database ) posttype.  Note, if the posttype is being
   * created via a plugin, this method will not have an effect
   * @param {Object} option { name  }
   */
  async remove_posttypes(option) {
    let tbo = `${db.name}.options`;
    let sel_types = `SELECT id FROM ${tbo} WHERE name LIKE "type_${db.esc(option.name, true)}"`;
    var result = await db.query(sel_types);
    if (result.length > 0) {
      let sql_remove = `DELETE FROM ${tbo} WHERE id=${result[0].id}`;
      await db.query(sql_remove);
      return true;
    }
    return false;
  }
  /**
   * Get all tags that exist for a specified post_id
   * @param {Object} { post_id }
   * @returns {Array} Returns empty array by default or the array of { id, term_id,object_id }
   */
  async get_post_tags(options = {}) {
    let post_id = options.post_id || null;
    if (!post_id) return [];
    `${db.name}.term_class`; var ttt = `${db.name}.terms`;
    let tbr = `${db.name}.terms_relation`;
    var sel_slug = `SELECT slug FROM ${ttt} WHERE id=R.term_id`;
    var sel_class_id = `SELECT class_id FROM ${ttt} WHERE id=R.term_id`;
    var sel_terms = `SELECT *, (${sel_slug}) as slug, (${sel_class_id}) as class_id FROM ${tbr} R WHERE ${db.is("object_id", post_id)} `;
    var results = await db.query(sel_terms);
    await plugin.do_filter("get_post_tags", { ...options, data: results });
    if (!results) results = [];
    return results;
  }
  /**
   * Given a post id get, check its type and return all default fields as defined within the post-types 
   * definition and any plugin that registers "filter_post_metas"
   * @param {Object } options {post_id, type : optional -hint that the post is new}
   * @returns 
   */
  async _get_default_post_metas(options) {
    if (!options) return [];
    let post_id = options.post_id;
    if (!post_id) return [];
    let tbp = `${db.name}.posts`, results;
    results = await db.query(`SELECT type,status FROM ${tbp} WHERE ${db.is("id", post_id)}`);
    if (results.length == 0) {
      if (post_id != "new") return [];
    }
    let post_obj = results[0];
    if (post_id == "new") {
      if (!options.type) return [];
      post_obj = { type: options.type || null, status: "draft" };
    }
    let custom_fields = [];
    if (post_obj) {
      let site_posttypes = await this.get_posttypes();
      if (Array.isArray(site_posttypes) && site_posttypes.length > 0) {
        let the_post_type = site_posttypes.find((it) => it.name == post_obj.type);
        if (the_post_type && Array.isArray(the_post_type.metas) && the_post_type.metas.length > 0) {
          let def_meta;
          for (var j = 0; j < the_post_type.metas.length; j++) {
            def_meta = the_post_type.metas[j];
            custom_fields.push({
              name: def_meta.name,
              value: def_meta.value,
              post_id
            });
          }
        }
      }
    }
    await plugin.do_filter("post_metas", {
      post_type: post_obj.type || null,
      post_id,
      post_status: post_obj.status || null,
      data: custom_fields
    });
    return custom_fields;
  }
  /**
   * Get a specific post meta for a specific post
   * @param {Object} options { post_id, name : Meta name  } or { id }
   * @returns {Object} the named post meta
   */
  async get_post_meta(options) {
    let tbpm = `${db.name}.post_metas`, results;
    if (options.id) {
      let ret = await db.query(`SELECT * FROM ${tbpm} WHERE ${db.is("id", options.id)} `);
      if (ret.length == 0) return null;
      ret[0].value = await core.type_cast(ret[0].value);
      return ret[0];
    }
    let post_id = options.post_id || null;
    let meta_name = options.name || null;
    if (!post_id || !meta_name) return null;
    let arr_promises = [
      this._get_default_post_metas({ post_id }),
      db.query(`SELECT * FROM ${tbpm} WHERE ${db.is("post_id", post_id)} AND ${db.is("name", meta_name)}`)
    ];
    results = await Promise.all(arr_promises);
    let custom_postmetas = results[0] || [];
    results = results[1];
    let the_meta = results[0] || null;
    if (!the_meta) {
      let cm;
      for (var j = 0; j < custom_postmetas.length; j++) {
        cm = custom_postmetas[j];
        if (cm.name == meta_name) {
          the_meta = { name: cm.name, value: cm.value, post_id };
          break;
        }
      }
    }
    the_meta.value = await core.type_cast(the_meta.value);
    return the_meta;
  }
  /**
   * Get all the tags that exists for a specified post id
   * @param {Object} options { post_id }
   * @returns {Array} Array of all post metas for an object
   */
  async get_post_metas(options = {}) {
    let post_id = options.post_id || null;
    if (!post_id) return [];
    let tbpm = `${db.name}.post_metas`, results;
    let arr_promises = [
      this._get_default_post_metas({ post_id, type: options.type }),
      //options.type is options - treated as signal to include for new post types of this type
      db.query(`SELECT * FROM ${tbpm} WHERE ${db.is("post_id", post_id)}`)
    ];
    results = await Promise.all(arr_promises);
    let custom_postmetas = results[0] || [];
    results = results[1];
    let found = false, cm;
    for (var j = 0; j < custom_postmetas.length; j++) {
      cm = custom_postmetas[j];
      found = false;
      for (var i = 0; i < results.length; i++) {
        if (results[i].name == cm.name) {
          found = true;
          break;
        }
      }
      if (!found) {
        results.push({
          name: cm.name,
          post_id,
          value: cm.value
        });
      }
    }
    await core.loop(results, async (pm) => {
      pm.value = await core.type_cast(pm.value);
    });
    return results;
  }
  /**
   * Get all categories that exist on the site
   */
  async get_categories() {
    let cls_category = await core.get_classification({ name: "categories", create: true });
    var ttt = `${db.name}.terms`;
    var sel = `SELECT * FROM ${ttt} WHERE ${db.is("class_id", cls_category.id)}`;
    var results = await db.query(sel);
    await plugin.do_filter("get_categories", { data: results });
    return results;
  }
  /**
   * Create associations between post and the set of string tags specified
   * @param {Object} options { post_id , tags : Array}
   */
  async modify_post_tags(options) {
    if (!options.post_id) return;
    if (!Array.isArray(options.tags)) return;
    let { post_id, tags } = options;
    `${db.name}.term_class`; var ttt = `${db.name}.terms`;
    let tag_class = await core.get_classification({ name: "tags", create: true });
    let sel_tag_ids = `SELECT * FROM ${ttt} WHERE ${db.like("slug", tags)}`;
    let existing_tags = await db.query(sel_tag_ids);
    let tags_to_create = [];
    let slug, tag;
    for (var ti = 0; ti < tags.length; ti++) {
      slug = tags[ti];
      tag = existing_tags.find((it) => it.slug == slug);
      if (!tag) {
        tags_to_create.push({ slug, class_id: tag_class.id });
      }
    }
    if (tags_to_create.length > 0) {
      await core.modify_term(tags_to_create);
    }
    let final_tags = [];
    for (var ti = 0; ti < tags.length; ti++) {
      slug = tags[ti];
      tag = existing_tags.find((it) => it.slug == slug);
      if (tag) final_tags.push(tag);
      else {
        tag = tags_to_create.find((it) => it.slug == slug);
        if (tag) final_tags.push(tag);
      }
    }
    let tbr = `${db.name}.terms_relation`;
    let sel_relations = `SELECT * FROM ${tbr} WHERE ${db.is("object_id", post_id)}`;
    var cur_relations = await db.query(sel_relations);
    var relations_to_create = [];
    for (var i = 0; i < final_tags.length; i++) {
      tag = final_tags[i];
      if (!cur_relations.find((it) => it.term_id == tag.id)) {
        relations_to_create.push({ object_id: post_id, term_id: tag.id });
      }
    }
    await core.modify_relation(relations_to_create);
  }
  /**
   * Save the post metas of a post
   * @param {Object } options {metas : Array of meta properties}
   */
  async modify_post_metas(options) {
    if (!options) return;
    let T = db.name + ".post_metas";
    let metas = options.metas || options.values || null;
    if (!metas && Array.isArray(options)) metas = options;
    if (!Array.isArray(metas)) return;
    if (metas.length == 0) return;
    let it, metas_without_id = [];
    let post_id = null, ie_name = null, ie_id = null;
    for (var i = metas.length - 1; i > -1; i--) {
      it = metas[i];
      if (typeof it.value == "boolean") {
        it.value = "" + it.value;
      }
      if (!it.name && !it.id) {
        metas.splice(i, 1);
      }
      if (!ie_id && it.id) ie_id = it.id;
      if (!ie_name && it.name) ie_name = it.name;
      if (!post_id && it.post_id) post_id = it.post_id;
      if (!it.id && it.name) {
        metas_without_id.push(it.name);
      }
    }
    let results;
    if (!post_id) {
      if (ie_id) {
        let results2 = await db.query(`SELECT post_id FROM ${T} WHERE ${db.is("id", ie_id)}`);
        if (results2.length > 0) post_id = results2[0].post_id;
      }
    }
    if (metas_without_id.length > 0 && post_id) {
      results = await db.query(`SELECT id,name FROM ${T} WHERE ${db.like("name", metas_without_id)} AND ${db.is("post_id", post_id)}`);
      results.forEach((item) => {
        for (var j = 0; j < metas.length; j++) {
          if (metas[j].name == item.name) {
            metas[j].id = item.id;
          }
        }
      });
    }
    await plugin.do_filter("update_post_metas", { data: metas, post_id });
    await db.update({ table: "post_metas", data: metas });
    for (var i = metas.length - 1; i > -1; i--) {
      it = metas[i];
      if (typeof it.value == "string") {
        it.value = await core.type_cast(it.value);
      }
    }
  }
  async remove_post(options) {
    if (!options) return null;
    if (!options.id) return null;
    let tbp = `${db.name}.posts`;
    let ids = options.id;
    let sel_post = `SELECT id,status FROM ${tbp} WHERE ${db.is("id", ids)}`;
    let result = await db.query(sel_post);
    if (result.length == 0) return null;
    if (result[0].status != "trash") {
      await db.update({ table: "posts", data: { id: ids, status: "trash" } });
      return true;
    }
    options.allow = true;
    await plugin.do_filter("remove_post", { data: options });
    if (!options.allow) return false;
    let tbm = `${db.name}.post_metas`;
    let tbn = `${db.name}.post_notes`;
    let ttr = `${db.name}.terms_relation`;
    let sel_id_of_drafts = `SELECT id FROM ${tbp} WHERE ${db.is("source_id", ids)}`;
    await db.query(`DELETE FROM ${tbm} WHERE post_id IN (${sel_id_of_drafts})`);
    let sel_types = `DELETE FROM ${tbp} WHERE ${db.is("id", ids)} OR ${db.is("source_id", ids)};
DELETE FROM ${tbm} WHERE ${db.is("post_id", ids)};
DELETE FROM ${tbn} WHERE ${db.is("post_id", ids)};
DELETE FROM ${ttr} WHERE ${db.is("object_id", ids)};
`;
    await db.query(sel_types);
    this.update_sitemap({ ...options, remove: true });
    return true;
  }
  /**
   * Create or modify an object
   * @param {Object} options Object
   * @returns {Object}
   */
  async modify_post(options) {
    if (!options) return core.throw({ ...options, msg: "post object is required", source: "posts.modify_post" });
    options.id === undefined;
    let tbp = `${db.name}.posts`;
    let update_publish_date = false;
    let old_post_status = null;
    let new_post_status = options.status;
    let old_title = null;
    let url_was_not_included = false;
    if (!options.id) {
      if (new_post_status == "published") {
        update_publish_date = true;
        options.published = "NOW";
      }
    } else {
      let cur_post_state = (await db.query(`SELECT title, url, status, published, source_id, type FROM ${tbp} WHERE ${db.is("id", options.id)}`))[0] || null;
      if (cur_post_state) {
        old_post_status = cur_post_state.status;
        let status_is_now_published = new_post_status == "published";
        old_title = cur_post_state.title;
        options.source_id = cur_post_state.source_id;
        options.type = cur_post_state.type;
        if (!options.url) {
          url_was_not_included = true;
          options.url = cur_post_state.url;
        }
        if (status_is_now_published && cur_post_state.published == null) {
          update_publish_date = true;
          options.published = "NOW";
        }
      }
    }
    if (new_post_status != undefined) {
      await this._version_control({ post: options, old_status: old_post_status, new_status: new_post_status });
    }
    if (!update_publish_date) {
      delete options.published;
    }
    await plugin.do_filter("before_modify_post", { data: options });
    options = await db.update({ table: "posts", data: options });
    if (Array.isArray(options.metas)) {
      let j, pm, metas_id_to_delete = [], tbpm = `${db.name}.post_metas`;
      for (j = options.metas.length - 1; j > -1; j--) {
        pm = options.metas[j];
        if (pm.delete && pm.id) {
          metas_id_to_delete.push(pm.id);
          options.metas.splice(j, 1);
        } else {
          pm.post_id = options.id;
        }
      }
      if (metas_id_to_delete.length > 0) {
        await db.query(`DELETE FROM ${tbpm} WHERE ${db.is("id", metas_id_to_delete)}`);
      }
    }
    await this.modify_post_tags({ ...options, post_id: options.id, tags: options.tags });
    await this.modify_post_metas({ evt: options.event || options.evt, metas: options.metas, values: options.metas });
    await plugin.do_filter("after_modify_post", { data: options });
    if (!["layout", "form", "media"].includes(options.type)) {
      await this.update_sitemap(options);
    }
    if (options.type == "media") {
      if (options.url && old_title != null && old_title != options.title) {
        let server_root = path$1.join(core.get_server_root() + "/public");
        let index_of_old_filename;
        for (var i = options.url.length - 1; i > -1; i--) {
          if (options.url.charAt(i) == "/") {
            index_of_old_filename = i;
            break;
          }
        }
        let base_url = options.url.substring(0, index_of_old_filename);
        let new_url = `${base_url}/${options.title}`;
        let old_path = `${server_root}${options.url}`;
        let new_path = `${server_root}${new_url}`;
        await core.rename_file(old_path, new_path);
      }
    }
    if (!url_was_not_included) delete options.url;
    return options;
  }
  /**
   * Versioning should be invoked only when the post is not new and the status of the post is 'draft' or 'publish'
   * @param {Object} config { post, old_status, new status }
   */
  async _version_control(config) {
    if (!config) return core.log({ msg: 1 });
    if (!config.post) return core.log({ msg: 2 });
    let new_status = config.post.status;
    let post_id = config.post.id;
    if (new_status == null) return core.log({ msg: 3 });
    if (!["published", "draft"].includes(new_status)) return core.log({ msg: 4 });
    if (!post_id) {
      core.log({ msg: "No versioning for new posts" });
      return;
    }
    let N = db.name;
    let tbp = `${N}.posts`, tbtr = `${N}.terms_relation`, tbt = `${N}.terms`, tbpm = `${N}.post_metas`;
    let sel_tr_term_ids = `SELECT term_id FROM ${tbtr} WHERE ${db.is("object_id", post_id)}`;
    let sel_metas = `SELECT * FROM ${tbpm} WHERE ${db.is("post_id", post_id)}`;
    let QR, old_post;
    if (new_status == "draft") {
      QR = await db.query(`SELECT status,source_id,published FROM ${tbp} WHERE ${db.is("id", post_id)}`);
      old_post = QR[0];
      if (!old_post) return core.log({ msg: `version_control(${post_id},${new_status}) failed cannot find ${post_id}` });
      if (old_post.source_id != null) return core.log({ msg: `verson_control(${post_id} already a draft)` });
      if (old_post.published == null) return core.log({ msg: `version_control(#${post_id},${new_status}) not required as never published` });
      if (!Array.isArray(config.post.tags)) {
        QR = await db.query(`SELECT slug FROM ${tbt} WHERE id IN (${sel_tr_term_ids})`);
        config.post.tags = QR.map((it) => it.slug);
      }
      if (!Array.isArray(config.post.metas)) {
        QR = await db.query(sel_metas);
        config.post.metas = await core.map(QR, (it) => ({
          name: it.name,
          value: core.parse(it.value)
        }));
      } else {
        config.post.metas = config.post.metas.map((it) => ({ name: it.name, value: it.value || null }));
      }
      config.post.source_id = post_id;
      delete config.post.id;
      delete config.post.created;
      delete config.post.modified;
    }
    if (new_status == "published") {
      let sel_source_id = `SELECT source_id, id, status FROM ${tbp} WHERE ${db.is("id", post_id)}`;
      QR = await db.query(sel_source_id);
      if (QR.length == 0) return core.log(`version_control(#${post_id},publish) failed cannot find`);
      if (QR[0].source_id == null) return core.log(`version_control(#${post_id},publish is not a draft)`);
      let source_id = QR[0].source_id;
      let tbm = `${db.name}.post_metas`;
      let source_metas = await db.query(`SELECT id,name FROM ${tbm} WHERE ${db.is("post_id", source_id)}`);
      if (!Array.isArray(config.post.tags)) {
        config.post.tags = await this.get_post_tags({ post_id }).map((term) => term.slug);
      }
      if (!Array.isArray(config.post.metas)) {
        config.post.metas = await this.get_post_metas({ post_id });
      }
      let i, j, old_meta, new_meta, was_found, metas_to_delete = [];
      for (i = 0; i < source_metas.length; i++) {
        was_found = false;
        old_meta = source_metas[i];
        for (j = 0; j < config.post.metas.length; j++) {
          new_meta = config.post.metas[j];
          if (old_meta.name == new_meta.name) {
            new_meta.id = old_meta.id;
            new_meta.post_id = source_id;
            was_found = true;
            break;
          }
        }
        if (!was_found) {
          metas_to_delete.push(old_meta.id);
        }
      }
      if (metas_to_delete.length > 0)
        await db.query(`DELETE FROM ${tbm} WHERE ${db.like("id", metas_to_delete)}`);
      config.post.metas = config.post.metas.map((pm) => ({
        name: pm.name,
        value: pm.value,
        post_id: source_id
      }));
      config.post.id = source_id;
      config.post.source_id = null;
    }
  }
  /**
   * Get a post by the specified search options specified
   * @param {Object} options { id : 'new' or id, url, type, cols: optional array of columns to get }
   */
  async get_post(options) {
    let N = db.name;
    let tbr = `${N}.posts`;
    let tbu = `${N}.users`;
    let tbum = `${N}.user_metas`;
    let where = [], is_new = false;
    if (options.id) {
      if (options.id == -1 || options.id == "new") {
        is_new = true;
      } else {
        try {
          where.push(db.is("id", options.id));
        } catch (e) {
          core.log({ ...options, msg: e.message, source: "Post.get_post" });
        }
      }
    }
    if (options.url) where.push(db.like("url", options.url));
    if (where.length == 0 && !is_new) {
      return null;
    }
    var tbt = `${db.name}.terms`;
    var sel_user_name = `(SELECT name FROM ${tbu} WHERE id=R.created_by) as created_by_name`;
    var sel_category_title = `(SELECT title FROM ${tbt} WHERE id=R.category_id) as category_title`;
    var sel_category_slug = `(SELECT slug FROM ${tbt} WHERE id=R.category_id) as category_slug`;
    let sel_user_title = `(SELECT value FROM ${tbum} WHERE user_id=R.created_by AND name LIKE "display_name") as created_by_title`;
    let sel_user_image = `(SELECT value FROM ${tbum} WHERE user_id=R.created_by AND name LIKE "avatar") as created_by_image`;
    let sel_user_description = `(SELECT value FROM ${tbum} WHERE user_id=R.created_by AND name LIKE "description") as created_by_description`;
    let cols_list = `*, ${sel_user_name},${sel_category_slug},${sel_category_title},${sel_user_title}, ${sel_user_image},${sel_user_description} `;
    if (Array.isArray(options.cols)) {
      cols_list = options.cols.join(",");
    }
    let sql = `SELECT ${cols_list} FROM ${tbr} R WHERE ${where.join(" AND ")}`;
    var out = null;
    if (!is_new) {
      let result = await db.query(sql);
      if (result.length == 0) out = null;
      else out = result[0] || null;
      if (out) {
        out.value = await core.type_cast(out.value);
      }
      var sql_socials = `SELECT name, value as url FROM ${tbum} WHERE user_id= ${out.created_by} AND name LIKE "social_%" AND value IS NOT NULL`;
      out.socials = await db.query(sql_socials);
      for (var i = 0; i < out.socials.length; i++) {
        out.socials[i].icon = out.socials[i].name.substring(7);
      }
    } else {
      let initial_blocks = [{ id: "blk-" + Date.now(), children: [], state: {}, type: "paragraph" }];
      if (options.type && options.type == "form") {
        initial_blocks = [];
      }
      out = {
        title: `New ${options.type}`,
        description: `New ${options.type} content`,
        status: "draft",
        start: null,
        end: null,
        value: initial_blocks,
        metas: [],
        tags: [],
        type: options.type || null
      };
      await plugin.do_filter("get_new_post", { data: out, event: options.event });
    }
    if (out) {
      out.tags = (await this.get_post_tags({ post_id: out.id })).map((term) => term.slug);
      out.metas = await this.get_post_metas({ post_id: is_new ? "new" : out.id, type: is_new ? options.type : undefined });
      let tbupm = `${db.name}.user_post_metas`;
      if (out.type == "order") {
        let items = await db.query(`SELECT * FROM ${tbupm} WHERE type LIKE 'order_${out.id}_%'`);
        await core.loop(items, async (i2) => {
          var _a;
          i2.value = await core.type_cast(i2.value);
          for (var other of items) {
            if (((_a = other.type) == null ? undefined : _a.includes("_prod_key_")) && other.type.endsWith("_" + i2.id)) {
              i2.product_key = other.value;
              i2.product_key_meta_id = other.id;
            }
          }
        });
        out.order_items = items;
      }
    }
    await plugin.do_filter("get_post", { data: out });
    return out;
  }
  /**
   * Return the limit (amount of items per page/list) and if not defined use database
   * @param {Object} options { limit }
   * @returns 
   */
  async get_pagination_limit_count({ limit }) {
    let default_limit = await core.get_option({ name: "pagination_limit" });
    if (!limit) limit = default_limit;
    try {
      limit = Number.parseInt(limit);
    } catch (e) {
      limit = default_limit;
    }
    if (isNaN(limit)) limit = default_limit;
    return limit;
  }
  /**
   * Given variables "p" (current page) and "limit" (how many per page) construct the SQL limit expression
   * @param {Object} param0 { limit, p}
   * @returns SQL expression
   */
  async pagination_limit_sql({ p, limit }) {
    try {
      p = Number.parseInt(p) || 1;
    } catch (e) {
      return " ";
    }
    if (isNaN(p)) return " ";
    let limit_count = await this.get_pagination_limit_count({ limit });
    var offset = (p - 1) * limit_count;
    return ` LIMIT ${limit_count} OFFSET ${offset} `;
  }
  async pagination_apply({ p, limit, where, table, table_alias, result_set }) {
    if (!Array.isArray(result_set)) return;
    if (result_set.length == 0) return;
    let first_item = result_set[0];
    if (!first_item) return;
    if (!table_alias) table_alias = "T";
    if (!p) p = 1;
    limit = await this.get_pagination_limit_count({ limit });
    if (typeof table != "string") return core.throw({
      msg: "table is required to calculate pagination",
      source: "pagination"
    });
    if (!where) return core.throw({ msg: "pagination requires where clauses", source: "pagination" });
    if (!table.includes(".")) table = `${db.name}.${table}`;
    let sql = `SELECT count(id) as num_rows FROM ${table} ${table_alias} WHERE ${where}`;
    let results = await db.query(sql);
    let num = results[0].num_rows / limit;
    var pages = Math.ceil(num);
    first_item.pagination = { pages, p, limit };
  }
  /**
   * Get a list of items of a specified type
   * @param {Object} options { type, status, category_id, p, limit, include_value:false ,
   *  all : default undefine -when true indicates to function will not do pagination of results
   *  order_by : an array which contains string column name to sort by and optionally, desc or asc,
   *  s : search by title,
   * }
   */
  async get_posts(options) {
    if (!options) options = {};
    await plugin.do_filter("before_get_posts", options);
    let tbr = `${db.name}.posts`;
    let tbu = `${db.name}.users`;
    let tbum = `${db.name}.user_metas`;
    let tba = `${db.name}.activities`;
    let where = [];
    let col = options.cols || options.columns || null;
    if (!Array.isArray(col)) col = [
      `id`,
      `type`,
      `title`,
      `description`,
      `url`,
      `status`,
      `published`,
      `start`,
      `end`,
      `created`,
      `modified`,
      `created_by`,
      "category_id",
      `(SELECT name FROM ${tbu} WHERE id=T.created_by) as created_by_name`,
      `(SELECT title FROM ${db.name}.terms WHERE id=T.category_id) as category_title`,
      `(SELECT value FROM ${tbum} WHERE user_id=T.created_by AND name LIKE "display_name") as created_by_title`,
      `(SELECT COUNT(id) FROM ${tba} WHERE post_id=T.id) as views`,
      `(SELECT COUNT(id) FROM ${tbr} WHERE parent_id=T.id) as child_count`,
      `(SELECT COUNT(id) FROM ${tbr} WHERE source_id=T.id) as drafts`
    ];
    if (options.include_blocks) {
      col.push("value");
    }
    if (options.type) where.push(db.like("type", options.type));
    if (options.category_id) where.push(db.is("category_id", options.category_id));
    if (options.created_by) where.push(db.is("created_by", options.created_by));
    if (options.status) where.push(db.like("status", options.status));
    if (options.parent_id) where.push(db.is("parent_id", options.parent_id));
    if (options.s && typeof options.s == "string") {
      let parts = options.s.split(/\s/gm), tokens = [];
      for (var i = 0; i < parts.length; i++) {
        if (parts[i].length > 1) {
          tokens.push(`%${parts[i]}%`);
        }
      }
      let expr = db.like("title", tokens);
      where.push(expr);
    }
    if (options.source_id === undefined) {
      where.push(`source_id IS NULL`);
    } else {
      where.push(db.is("source_id", options.source_id));
    }
    if (where.length == 0) where.push("1");
    where = where.join(" AND ");
    if (options.include_value && col.indexOf("value") == -1) {
      col.push("value");
    }
    let limit_sql = ``;
    if (!options.all) {
      limit_sql = await this.pagination_limit_sql(options);
    }
    let ordering_command = ``;
    if (options.order_by) {
      let order_by = options.order_by;
      if (order_by) {
        if (!Array.isArray(order_by)) order_by = [order_by];
        let sort_column = order_by[0];
        let sort_type = (order_by[1] || "DESC").toUpperCase();
        ordering_command = `ORDER BY ${sort_column} ${sort_type}`;
      }
    }
    col = col.join(",");
    let sql = `SELECT ${col} FROM ${tbr} T WHERE ${where}  ${ordering_command} ${limit_sql}`;
    var result = await db.query(sql);
    if (!options.all) {
      await this.pagination_apply({ ...options, result_set: result, table: tbr, where });
    }
    await core.loop(result, async (p, index) => {
      if (p.value != undefined) p.value = await core.type_cast(p.value);
      if (p.type == "product") {
        p.inventory = await this.get_inventory({ post_id: p.id });
      }
    });
    await plugin.do_filter("get_posts", { data: result });
    return result;
  }
  async _render_404(route) {
    var _a;
    let site_name = await core.get_option({ name: "site_name" });
    let id = -1, is_archive = undefined;
    let url = route.path.toLowerCase();
    let title = `Cannot find ${url}`;
    let description = "This is an example 404 page being displayed";
    let is_404 = true;
    let type = "404";
    let additional_hints = ``;
    if (route.in_draft_mode) {
      additional_hints = `  The page <i>maybe</i>  unavailable at this time.  `;
    }
    let value = [
      {
        type: "heading",
        id: "dafasdf",
        children: [],
        state: {
          level: 1,
          text: "404",
          class: ["text-5xl", "color-red-500", "mb-5"]
        }
      },
      {
        type: "paragraph",
        children: [],
        state: {
          text: `Unable to locate the resource located at <span class='text-bold'>${url}</span>. ${additional_hints}`
        }
      },
      { type: "paragraph", children: [], state: { text: `` } },
      {
        type: "image",
        children: [],
        id: "none",
        state: {
          alt_text: "alternate text here",
          caption: "Sample image text",
          size: { height: "400px", width: "400px" },
          default_size: true,
          url: "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTpGxNv0zXlQ_7QFWpLV69uB6PGohgfAwDIt_IaPPGuCg&s"
        }
      },
      {
        type: "rawhtml",
        id: "myrawness",
        children: [],
        state: {
          content: "<textarea>This is a sample text area</textarea>"
        }
      },
      {
        type: "rawhtml",
        id: "af3424445",
        children: [],
        state: {
          content: "<p>Whatever this is it is a test</p>"
        }
      }
    ];
    if (url.startsWith("/logout")) {
      is_404 = false;
      id = "logout-page";
      title = `Logged out`;
      description = `User logged out`;
      type = "page";
      value = [
        {
          type: "heading",
          id: "6logout123",
          children: [],
          state: {
            level: 1,
            text: "Signed off",
            class: ["text-5xl", "color-primary-500", "mb-5"]
          }
        },
        {
          type: "paragraph",
          children: [],
          state: {
            text: `You are now logged out. Log <a href="/login">back in</a> `
          }
        },
        {
          type: "link",
          id: "452rl3nink",
          children: [],
          state: { class: ["mb-3"], url: "/", text: "Home" }
        }
      ];
    } else if (url.startsWith("/p/")) {
      is_404 = false;
      id = "archival_page";
      is_archive = true;
      let is_index_page = false;
      let iloop_title = null;
      type = "archive";
      if (route.params) {
        is_index_page = route.params.tax_name != undefined && route.params.name == undefined;
        if (is_index_page) {
          title = core.capitalize(route.params.tax_name) + " Archives";
          description = `View posts related to ${route.params.tax_name}`;
          iloop_title = core.capitalize(route.params.tax_name);
        } else {
          title = core.capitalize(route.params.tax_name) + " - " + route.params.name + " Archives";
          description = `View posts related to ${route.params.name} & ${route.params.tax_name}`;
          iloop_title = core.capitalize(route.params.name);
        }
      }
      let default_format = "style3";
      if (!is_index_page) default_format = "style2";
      value = [
        {
          type: "postloop",
          children: [],
          state: {
            //title : iloop_title,
            loop_class: is_index_page ? "flex gap-3 flex-wrap" : "",
            format: default_format,
            //default is 2
            data_source: "page_taxonomy",
            empty_message: `Unable to locate posts related to <span class="color-primary-500">${iloop_title == null ? undefined : iloop_title.toLowerCase()}</span>.`
          }
        }
      ];
    } else if (route.path == "/s") {
      is_404 = true;
      type = "page";
      title = "Search " + site_name;
      id = "search_page";
      description = `Sitewide content search`;
      value = [
        {
          id: "coh001",
          type: "heading",
          state: {
            level: 2,
            text: `Search Results`,
            class: ["mb-3"]
          }
        },
        {
          type: "postloop",
          children: [],
          state: {
            format: "style1",
            //default is 2
            data_source: "page_query",
            empty_message: `No search results found`
          }
        }
      ];
    } else if (["/user/settings", "/user/plugins", "/user/users", "/user/profile"].includes(url)) {
      is_404 = false;
      type = "page";
      value = [];
      title = "Untitled Page";
    } else if (["/checkout-complete", "/checkout-canceled"].includes(url)) {
      is_404 = false;
      type = "page";
      let site_email = await core.get_option({ name: "site_email" });
      let is_success = url == "/checkout-complete";
      id = "checkout-" + is_success ? "complete" : "cancel";
      title = `${is_success ? "Successful Checkout" : "Checkout Canceled"}`;
      description = `Payment checkout finalized`;
      value = [
        {
          id: "tmp-checkout-1",
          type: "heading",
          state: {
            level: 1,
            text: `${is_success ? "Checkout Completed" : "Checkout Canceled"}`,
            class: ["mb-3"]
          }
        },
        is_success ? {
          type: "paragraph",
          id: "p103424",
          children: [],
          state: {
            text: ` We appreciate your business! If you have any questions, please email  <a href="mailto:${site_email}">${site_email}</a>.`
          }
        } : { id: "tmp-erepe1", type: "paragraph", state: { text: "Checkout was canceled." } }
      ];
    } else if (url == "/") {
      is_404 = false;
      type = "page";
      let site_name2 = await core.get_option({ name: "site_name" });
      title = `${site_name2}`;
      description = `${site_name2} home page.`;
      value = [
        {
          type: "element",
          state: {
            class: "py-9 h-md"
          },
          children: [
            { id: "id23480572x4", type: "heading", state: { level: 1, text: `Welcome to ${site_name2}`, class: ["text-center", "mt-9"] } },
            {
              id: `3ifh4485998`,
              type: "paragraph",
              state: {
                text: `Site is currently under construction.  Please check back shortly.  ${additional_hints}`,
                class: ["text-center", "my-8"]
              }
            },
            {
              id: "3440959477u",
              type: "link",
              state: {
                text: "edit page",
                url: `/user/editor/new?type=page`,
                class: ["text-center"],
                render_conditions: [
                  { type: "login_status", target_value: ["logged_in"], operator: "is" }
                ]
              }
            }
          ]
        }
      ];
    } else if (url == "/user") {
      title = "Dashboard - " + site_name;
      description = "Dashboard";
      is_404 = false;
      type = "page";
      value = [{
        id: "P-testee03223",
        type: "paragraph",
        state: {
          text: ((_a = route.evt.user) == null ? undefined : _a.is_admin) ? `` : `Welcome to <span class="site-name">${site_name}</span>.  Feel free to check out our content.  Thank you.`
        },
        children: []
      }];
    }
    let output = { id, is_404, is_archive, type, title, description, url, value };
    if (is_404) {
      await plugin.do_filter("true_404", { data: output, route });
    }
    await plugin.do_filter("404", { data: output, route });
    return output;
  }
  /**
   * Prepare a post for rendering
   * @param {Object} route { path, fullPath, href, query:Object, params : Object , id: nullable, user_id : nullable}
   * @returns {Object} Null or the post named
   */
  async get_post_render(route) {
    var _a;
    if (!route) return null;
    let tbr = `${db.name}.posts`;
    let url = route.path || route.url || route.fullPath;
    if (url && url.toLowerCase) {
      url = url.split("?")[0];
    }
    let id = route.id;
    let post = null;
    let where = [];
    let is_preview = false;
    if (route.preview_id || url.startsWith("/user/preview/")) {
      let preview_id = route.params.id;
      where.push(db.is("id", preview_id));
      is_preview = true;
    } else {
      if (url) where.push(db.like("url", url));
      if (id) where.push(db.is("id", id));
    }
    if (where.length == 0) {
      post = await this._render_404(route);
    } else {
      let sql = `SELECT id,status FROM ${tbr} WHERE ${where}`;
      let result = await db.query(sql);
      if (result.length == 0) {
        post = await this._render_404(route);
      } else {
        if (!is_preview && result[0].status == "draft") {
          post = await this._render_404({ ...route, in_draft_mode: true });
        } else {
          post = await this.get_post({ id: result[0].id });
        }
      }
    }
    let should_use_layout = true;
    if (post.url && post.url.startsWith("/user/")) {
      should_use_layout = false;
      post.is_backend = true;
    }
    if (route.path == "/user") {
      post.is_dashboard = true;
      post.is_backend = true;
      should_use_layout = false;
    } else if (post.url && post.url.startsWith("/p/")) {
      post.is_archive = true;
    }
    let layout_id = post.layout_id;
    if (!is_preview) {
      if (!layout_id && should_use_layout) {
        let def_layout_id = await core.get_option({ name: "default_layout", post_type: post.type });
        let payload = { data: def_layout_id, post_type: post.type, post_id: post.id };
        await plugin.do_filter("default_layout", payload);
        layout_id = payload.data;
      }
      let layout_post = null;
      if (layout_id && post.type != "layout") layout_post = await this.get_post({ id: layout_id });
      post.layout_post = layout_post;
    }
    let arr_promises = [
      core.get_option({ name: "page_asset_links" }),
      core.get_option({ name: "page_asset_scripts" }),
      core.get_option({ name: "page_asset_styles" }),
      core.get_option({ name: "default_font" }),
      core.get_option({ name: "custom_fonts" }),
      core.get_option("site_name")
    ];
    let resolved = await Promise.all(arr_promises);
    post.page_links = resolved[0] || [];
    post.page_scripts = resolved[1] || [];
    post.page_styles = resolved[2] || [];
    post.default_font = resolved[3] || null;
    let cust_fonts = resolved[4] || [];
    let site_name = resolved[5];
    if (Array.isArray(cust_fonts)) {
      let cf;
      let google_fonts = [];
      for (var j = 0; j < cust_fonts.length; j++) {
        cf = cust_fonts[j];
        if (cf.is_google) {
          if (cf.value) {
            google_fonts.push(`family=${cf.value}`);
          }
        } else {
          post.page_links.push({
            href: cf.value,
            rel: "stylesheet"
          });
        }
      }
      if (google_fonts.length > 0) {
        post.page_links.push({ href: `https://fonts.googleapis.com`, rel: "preconnect" });
        post.page_links.push({ href: `https://fonts.gstatic.com`, rel: "preconnect" });
        post.page_links.push({ href: `https://fonts.googleapis.com/css2?${google_fonts.join("&")}&display=swap`, rel: "stylesheet" });
      }
    }
    let cust_css = {
      id: "jxt-global-css",
      innerHTML: `
            body {
                ${post.default_font ? "font-family: " : ""} ${post.default_font ? post.default_font + " !important;" : ""}
            }`
    };
    post.page_styles.push(cust_css);
    let description = post.description;
    if (description) {
      description = description.substring(0, 160).replace(/"/gm, "&quot;").replace(/'/gm, "&lsquo;").replace(/</gm, "&lt;").replace(/>/gm, "&gt;");
    }
    if (post.type != "layout") {
      post.meta = [
        { name: "keywords", content: (_a = post.tags) == null ? undefined : _a.join(", ") },
        { name: "description", content: description },
        { name: "application-name", content: post.app_name || "" },
        { property: "og:site_name", content: site_name },
        { property: "og:title", content: post.title },
        { property: "og:description", content: description },
        { property: "og:type", content: "website" },
        { property: "og:url", content: url },
        { property: "og:image", content: post.image || null }
      ];
    }
    if (typeof post.id == "number" && post.status == "published") {
      if (!post.is_404 && post.created_by != route.user_id) {
        let activity = {
          created_by: route.user_id,
          post_id: post.id,
          name: "view",
          value: {}
        };
        await plugin.do_filter("new_view_activity", { data: activity, post, route });
        await this.modify_activity(activity);
        post.activity_id = activity.id;
      }
    }
    await plugin.do_filter("view_post", { data: post, route });
    return post;
  }
  /**
   * Create an activity.
   * @param {Object} options { ... post_id}
   * @returns 
   */
  async modify_activity(options) {
    await db.update({ table: "activities", data: options });
    return options;
  }
  /**
   * Get an activity by activity name or ID
   * @param {Object} options { id } given an ID search name and id with the provided activity
   */
  async get_activity(options) {
    let id = options.id || options.name;
    let tba = `${db.name}.activities`;
    let sql = `SELECT * FROM ${tba} WHERE ${db.is("id", id)} OR ${db.like("name", id)}`;
    let ret = await db.query(sql);
    if (ret.length == 0) return null;
    let out = ret[0];
    out.value = await core.type_cast(out.value);
    return out;
  }
  /**
   * Given a set of parameters, return all medias 
   * @param {Object} options { public: Boolean controls public folder or site plugin toggle, 
   *  user_id : if available,
   *  folder: relative to server root, is_initial : For very first call upon server start up so that a recursive call can be then 
   *  }
   * @returns {Array}
   */
  async get_media(options) {
    if (!options) return null;
    var root = core.get_server_root(), records;
    if (typeof options.public == "string") options.public = options.public.toLowerCase() == "true" || options.public.toLowerCase() == "1";
    if (options.public == undefined) options.public = true;
    var folder = options.folder || "/";
    if (!is_public && folder.startsWith("/site-plugins")) folder = folder.substring(13);
    if (!folder.endsWith("/")) folder = folder + "/";
    var is_public = options.public;
    let the_user = null;
    var source_folder = is_public ? "public" : "site-plugins";
    if (options.user_id && is_public) {
      the_user = await users.get_user({ user_id: options.user_id, cols: ["name", "status"] });
      if (the_user) {
        var user_folder = `${root}/${source_folder}/uploads/${the_user.name}`;
        await core.create_directory(user_folder);
      } else {
        return [{ title: "Invalid User" }];
      }
    }
    var dir_path = `${source_folder}${folder}`;
    let user_matches = /\/uploads\/([\w\-]+)\//gi.exec(dir_path), matched_user_name = null;
    if (user_matches && is_public) {
      matched_user_name = user_matches[1];
      var user_record = await db.query(`SELECT id FROM ${db.name}.users WHERE ${db.like("name", matched_user_name)}`);
      var matched_user_id = user_record.length > 0 ? user_record[0].id : null;
      var is_own_files = matched_user_id == options.user_id;
      if (!is_own_files) return [{ title: "Protected", url: null, protected: true }];
    }
    var dir_records = await core.get_dir_files(dir_path);
    if (!dir_records) return core.throw({ msg: dir_path + " does not exist or is throwing errors" });
    var arr_inodes = [];
    dir_records.forEach((it) => arr_inodes.push(it.inode));
    if (dir_records) {
      var subfolders = dir_records.filter((file) => file.is_directory);
      if (options.is_initial) {
        for (var i = 0; i < subfolders.length; i++) {
          var copy_options = JSON.parse(JSON.stringify(options));
          copy_options.folder = subfolders[i].url;
          await this.get_media(copy_options);
        }
      }
    }
    if (arr_inodes.length == 0) arr_inodes.push("NULL");
    if (is_public) {
      var tb_posts = `${db.name}.posts`;
      var sql = `SELECT * FROM ${tb_posts} WHERE (type="media" OR type="attachment") AND value IN ${db.arr(arr_inodes)} `;
      var DB_records = await db.query(sql);
      var db_rec, f_rec;
      var promise_waiting = [];
      var i = 0;
      var re_path_starts = new RegExp("^" + folder);
      for (var i = 0; i < DB_records.length; i++) {
        db_rec = DB_records[i];
        try {
          db_rec.value = JSON.parse(db_rec.value);
        } catch (xwo) {
        }
        f_rec = dir_records.find((it) => {
          if (it.__do_skip == true) return false;
          var result = it.inode == db_rec.value || it.url == db_rec.url;
          if (result) it.__do_skip = true;
          return result;
        });
        if (!f_rec) {
          var name_only = db_rec.url.replace(re_path_starts, "");
          if (folder == "/" && name_only.charAt(0) == "/") name_only = name_only.substring(1);
          var is_db_rec_in_folder = name_only == db_rec.title;
          if (is_db_rec_in_folder) {
            promise_waiting.push(db.query(`DELETE FROM ${tb_posts} WHERE id LIKE ${db_rec.id}`));
          }
        } else {
          f_rec.already_processed = true;
          promise_waiting.push(db.update({ table: "posts", data: { id: db_rec.id, url: f_rec.url, title: f_rec.name } }));
        }
      }
    }
    var output = [];
    for (i = 0; dir_records && i < dir_records.length; i++) {
      f_rec = dir_records[i];
      if (f_rec.already_processed) continue;
      if (f_rec.is_directory) {
        output.push({
          title: f_rec.name,
          url: f_rec.url,
          id: null,
          value: f_rec.inode,
          is_directory: true,
          status: "published"
        });
        continue;
      }
      if (is_public) {
        promise_waiting.push(
          db.update({
            table: "posts",
            data: {
              title: f_rec.name,
              url: f_rec.url,
              value: f_rec.inode,
              status: "published",
              amount: f_rec.size,
              type: "media"
            }
          })
        );
      } else {
        output.push({
          title: f_rec.name,
          url: f_rec.url,
          id: f_rec.inode,
          value: f_rec.inode,
          is_directory: false,
          status: "published",
          is_private: true
        });
      }
    }
    if (is_public) {
      await Promise.all(promise_waiting);
    }
    records = [...output, ...is_public ? await db.query(sql) : []];
    let rec;
    var is_user_admin = await users.can_user({ user_id: options.user_id, cap: "edit_options" });
    for (var i = records.length - 1; i > -1; i--) {
      rec = records[i];
      if (rec.is_directory) {
        rec.id = rec.inode || rec.value;
      }
      user_matches = /\/uploads\/([\w\-]+)/gi.exec(rec.url);
      if (user_matches) {
        if (!options.user_id) {
          records.splice(i, 1);
          continue;
        }
        matched_user_name = user_matches[1];
        if (matched_user_name != the_user.name) {
          records.splice(i, 1);
          continue;
        }
      }
      if (is_public) {
        if (folder == "/" && rec.title != "uploads" && !is_user_admin) {
          records.splice(i, 1);
          continue;
        }
      } else {
        rec.url = rec.url.replace("/site-plugins", "");
      }
    }
    return records;
  }
  /**
  * Get a meta property
  * @param {Object} options {name, post_id }
  * @returns {mixed} Returns the value component of the options
  */
  async get_meta(options) {
    if (!options.name) return null;
    if (!options.post_id) return null;
    let tbpm = `${db.name}.post_metas`;
    let sql = `SELECT * FROM ${tbpm} WHERE ${db.like("name", options.name)} AND ${db.is("post_id", options.post_id)}`;
    var results = await db.query(sql);
    var o_meta = { name: options.name, value: null };
    if (results.length > 0) {
      o_meta = results[0];
    } else {
      return null;
    }
    o_meta.value = await core.type_cast(o_meta.value);
    await plugin.do_filter("post_meta", { data: o_meta });
    return o_meta.value;
  }
  /**
   * 
   * @param {Object} options { post_id}
   * @returns {Array} array of { name, value }
   */
  async get_metas(options) {
    if (!options.post_id) return null;
    let tbpm = `${db.name}.post_metas`;
    var results = await db.query(`SELECT * FROM ${tbpm} WHERE ${db.is("post_id", options.post_id)}`);
    let o_meta;
    for (var i = 0; i < results.length; i++) {
      o_meta = results[i];
      o_meta.value = await core.type_cast(o_meta.value);
    }
    await plugin.do_filter("post_metas", { data: o_meta });
    return results;
  }
  /**
   * Get an array of notes, if any
   * @param {Object} options Get notes by { id, post_id, user_id , cur_user: Used to indicate the current id of the user wanting to see the requested set of output comments }
   * @returns {Array} All notes matching the query requirements
   */
  async get_notes(options) {
    let empty = [];
    if (!options) return empty;
    let where = [];
    if (options.post_id) where.push(db.is("post_id", options.post_id));
    if (options.id) where.push(db.is("id", options.id));
    if (options.user_id) where.push(db.is("created_by", options.user_id));
    if (where.length == 0) return empty;
    let view_user = options.cur_user ? db.esc(options.cur_user) : "NULL";
    let is_admin = false;
    if (options.cur_user && await users.can_user({ cap: "edit_options", user_id: options.cur_user })) {
      is_admin = true;
    }
    let tb = `${db.name}.post_notes`;
    let tba = `${db.name}.activities`;
    let tbu = `${db.name}.users`;
    let tbum = `${db.name}.user_metas`;
    let col = `(SELECT name FROM ${tbu} WHERE id=T.created_by) as created_by_name,(SELECT Count(id) FROM ${tba} WHERE name LIKE CONCAT('comment-',T.id) ) as likes,(SELECT Count(id) FROM ${tba} WHERE name LIKE CONCAT('comment-',T.id) AND created_by=${view_user} ) as user_liked,(SELECT value FROM ${tbum} WHERE name LIKE 'avatar' AND user_id=T.created_by) as created_by_avatar,${is_admin ? 1 : 0} as is_admin`;
    let sql = `SELECT *,${col}  FROM ${tb} T WHERE ${where.join(" AND ")} ORDER BY created DESC `;
    let result = await db.query(sql);
    await plugin.do_filter("get_notes", result);
    return result;
  }
  async modify_note(option) {
    if (!option) return null;
    if (!option.post_id && !option.id) return null;
    await plugin.do_filter("modify_note", { data: option });
    option = await db.update({ table: "post_notes", data: option });
    return option;
  }
  /**
   * Get most recent published posts that match requested parameters.
   * @param {Object} options { type: default "blog", limit : default 5, status : default "published" }
   * @returns {Array } arre of posts {id,title,description,image,url,category_id,created_by,published}
   */
  async get_latest(options) {
    if (!options) return [];
    let type = options.type || "blog";
    let limit = options.limit || 5;
    let status = options.status || "published";
    let tb = `${db.name}.posts`;
    let columns = [
      `(SELECT name FROM ${db.name}.users WHERE id=T.created_by) as created_by_title `,
      `(SELECT title FROM ${db.name}.terms WHERE id=T.created_by) as category_title `
    ];
    let sql = `SELECT id,title,description,image,url,category_id,created_by,published, ${columns.join(",")}  FROM ${tb} T WHERE ${db.is("type", type)} AND ${db.is("status", status)} ORDER BY published DESC LIMIT ${limit} `;
    let out = await db.query(sql);
    return out;
  }
  /**
   * Given a post id representing a product, return all inventory information for the product
   * @param {Object } options { post_id }
   * @returns {Object} {has_variants, is_virtual , track_inventory
                  num_stores, num_variants, variant_keys: [], description,
                  stores: {
                      default: {};
                  }, requires_key, options: {}, weight, weight_text 
              }
   */
  async get_inventory(options) {
    var _a;
    if (!options) return null;
    let product_id = options.post_id;
    if (!product_id) return null;
    let tbp = `${db.name}.posts`;
    let tbm = `${db.name}.post_metas`;
    let results = await db.query(`SELECT id, type, status, url FROM ${tbp} WHERE ${db.is("id", product_id)};SELECT * FROM ${tbm} WHERE ${db.is("post_id", product_id)} AND name LIKE 'product_%'`);
    let the_product = results[0][0];
    let product_settings = results[1];
    if (!the_product) {
      core.log({ msg: `get_inventory ${product_id} does not exist` });
      return null;
    }
    if (the_product.type != "product") {
      core.log({ msg: `get_inventory: ${product_id} is not a product, ${the_product.type}`, the_product });
      return null;
    }
    let setting = null;
    let stores = await core.get_option({ name: "store_locations" }) || [];
    if (stores.length == 0) {
      stores = [{ title: "Default Store", value: "default" }];
    }
    let vardef = `product_vardef_`;
    let num_variants = 0;
    let store_inventories = {};
    if (stores.length == 0) {
      store_inventories.default = {};
      stores = [{ type: "default", value: "default" }];
    }
    for (var i = 0; i < stores.length; i++) {
      store_inventories[(_a = stores[i].value) == null ? undefined : _a.toLowerCase()] = {};
    }
    let has_variants = false, variant_types = [];
    let product_opt = "product_opt_";
    let product_options = {}, weight = 0, weight_units = "lbs";
    let is_virtual = false, val, requires_key = false;
    let variant_key_names = [], product_track_inventory = false;
    for (var i = 0; i < product_settings.length; i++) {
      if (!product_settings[i].name) continue;
      val = await core.type_cast(product_settings[i].value);
      if (product_settings[i].name == "product_virtual") {
        is_virtual = val;
      }
      if (product_settings[i].name == "product_requires_key") {
        requires_key = await core.type_cast(product_settings[i].value);
      }
      if (product_settings[i].name == "product_track_inventory") {
        product_track_inventory = val;
      }
      if (product_settings[i].name == "product_weight") {
        if (val) {
          val.replace(/[^a-zA-Z]/g, "").trim().toLowerCase();
          weight = parseFloat(val.replace(/[^-.0-9]/g, ""));
        }
      }
      if (product_settings[i].name.includes("_vardef")) {
        has_variants = true;
        variant_types.push(product_settings[i].name.substring(vardef.length));
        num_variants += val == null ? undefined : val.length;
        if (Array.isArray(val)) variant_key_names.push(...val);
      }
      if (product_settings[i].name.startsWith(product_opt)) {
        product_options[product_settings[i].name.substring(product_opt.length)] = {
          meta_id: product_settings[i].id,
          value: await core.type_cast(product_settings[i].value)
        };
      }
    }
    if (is_virtual) {
      weight = 0;
      weight_units = "virtual";
    }
    for (var i = 0; i < product_settings.length; i++) {
      setting = product_settings[i];
      if (typeof setting.value == "string") setting.value = await core.type_cast(setting.value);
      if (!setting.name) continue;
      setting.name = setting.name.toLowerCase();
      if (setting.name.includes("_loc:")) {
        var last_underscore = setting.name.lastIndexOf("_");
        var index_loc = setting.name.indexOf("_loc:") + 5;
        let loc_name = setting.name.substring(index_loc, last_underscore);
        if (!loc_name) continue;
        if (!store_inventories[loc_name]) {
          continue;
        }
        var is_variant = setting.name.includes("product_var_"), variant_name = "", variant_type = "";
        if (is_variant) {
          for (var tmpvar_type of variant_types) {
            if (setting.name.startsWith(`product_var_${tmpvar_type}`)) {
              variant_type = tmpvar_type;
              break;
            }
          }
          let expr = `product_var_${variant_type}_(.*?)_(?:quantity|price|sku|barcode)`;
          let re = new RegExp(expr, "gm");
          var matches = re.exec(setting.name);
          variant_name = matches[1];
          if (variant_name.includes("_loc:")) {
            variant_name = variant_name.substring(0, variant_name.indexOf("_loc:"));
          }
        }
        let inv_setting = null;
        if (!is_variant) {
          if (!has_variants) {
            inv_setting = store_inventories[loc_name].default;
            if (!inv_setting) {
              inv_setting = { type: "no_variants", name: "no_variants", quantity: 0 };
              store_inventories[loc_name].default = inv_setting;
              let pprice = product_settings.find((it) => it.name == "product_price");
              if (pprice) inv_setting.price = pprice.value;
              let psku = product_settings.find((it) => it.name == "product_sku");
              if (psku) inv_setting.sku = psku.value;
              let pbarcode = product_settings.find((it) => it.name == "product_barcode");
              if (pbarcode) inv_setting.barcode = pbarcode.value;
            }
          } else {
            continue;
          }
        } else {
          inv_setting = store_inventories[loc_name][variant_name];
          if (!inv_setting) {
            inv_setting = { type: variant_type, name: variant_name, quantity: 0 };
            store_inventories[loc_name][variant_name] = inv_setting;
          }
        }
        if (setting.name.endsWith("_quantity")) {
          inv_setting.quantity = setting.value;
          inv_setting.quantity_meta_id = setting.id;
        }
        if (setting.name.endsWith("_price")) {
          inv_setting.price = setting.value;
        }
        if (setting.name.endsWith("_sku")) {
          inv_setting.sku = setting.value;
        }
        if (setting.name.endsWith("_barcode")) {
          inv_setting.barcode = setting.value;
        }
      }
    }
    if (variant_key_names.length == 0) variant_key_names.push("default");
    let output = {
      has_variants,
      is_virtual,
      num_stores: stores.length,
      num_variants,
      variant_keys: variant_key_names.map((it) => it == null ? undefined : it.toLowerCase()),
      description: `Inventory object points to keys into different store locations.  Each store object keys into different variants.`,
      track_inventory: product_track_inventory,
      stores: store_inventories,
      requires_key,
      options: product_options,
      weight,
      weight_text: weight + weight_units
    };
    return output;
  }
  /**
   * Add an item to user's cart
   * @param {Object} options { user_id, current_store :String, post_id, quantity, 
   *          value : Array {id : meta id, product_id, type, value} describes variants/options }
   * @returns {Object} { user_id, post_id, quantity, value }
   */
  async add_to_cart(options) {
    if (!options) return null;
    let { user_id, current_store, post_id, quantity } = options;
    let inventory = await posts.get_inventory({ post_id: options.post_id });
    if (!inventory) throw new Error(`add_to_cart unable to locate inventory for ${post_id}`);
    let story_inventory = inventory.stores[current_store];
    if (!story_inventory) throw new Error(`add_to_cart unable to locate store ${current_store}'s inventory`);
    let inventory_variant = null;
    if (inventory.has_variants) {
      let cart_variant_obj = null;
      if (!Array.isArray(options.value)) throw new Error("add_to_cart missing cart item variant/options");
      for (var i = 0; i < options.value.length; i++) {
        if (!cart_variant_obj && options.value[i].type == "variant") {
          cart_variant_obj = options.value[i];
          break;
        }
      }
      if (!cart_variant_obj) {
        throw new Error(`add_to_cart incomplete cart-item data for product(${post_id}) which has variants`);
      }
      if (!cart_variant_obj.id) throw new Error(`add_to_cart variant id not provided`);
      let selected_variant_name = cart_variant_obj.value;
      if (!selected_variant_name) throw new Error(`add_to_cart variant option selected is invalid`);
      selected_variant_name = selected_variant_name.toLowerCase();
      inventory_variant = story_inventory[selected_variant_name];
    } else {
      inventory_variant = story_inventory.default;
    }
    if (!inventory_variant) throw new Error(`add_to_cart failed to locate the product variant  within store ${current_store}; has variants=${inventory.has_variants ? "true" : "false"}`);
    let req_quantity = options.quantity;
    let remaining_quantity = inventory_variant.quantity - req_quantity;
    if (inventory.track_inventory && remaining_quantity < 0) {
      throw new Error(`Cannot add to cart - request of ${req_quantity} ${inventory_variant.name}  exceeds store inventory ${inventory_variant.quantity}`);
    }
    let cart_record = {
      type: "cart",
      user_id,
      post_id,
      quantity: req_quantity,
      value: options.value
    };
    if (user_id) {
      await this.modify_user_post_metas(cart_record);
    }
    return cart_record;
  }
  /**
   * Create or update user-post-metas 
   * @param {Object} options Array 
   */
  async modify_user_post_metas(options) {
    if (Array.isArray(options) && options.length == 0) return options;
    await db.update({ table: "user_post_metas", data: options });
    return options;
  }
  /**
   * Given a cart item id, fetch it from the database record
   * @param {Object} options { id }
   */
  async get_user_post_meta({ id }) {
    let tupm = `${db.name}.user_post_metas`;
    let sql = `SELECT * FROM ${tupm} T WHERE ${db.is("id", id)}`;
    let res = await db.query(sql);
    return res[0] || null;
  }
  /**
   * Given a cart-item (options), check for product availability 
   * @param {Object} options { id , user_id, post_id , quantity }
   */
  async update_cart_item(options) {
    if (!options) return null;
    if (!options.id) return null;
    let tupm = `${db.name}.user_post_metas`;
    if (options.delete) {
      if (options.id) {
        await db.query(`DELETE FROM ${tupm} WHERE ${db.is("id", options.id)}`);
      }
      return null;
    }
    let current_store = null;
    let variant_name = null;
    let post_id = options.post_id;
    let quantity = options.quantity;
    if (Array.isArray(options.value)) {
      for (var val of options.value) {
        if (val.type == "store") current_store = val.value;
        if (val.type == "variant") variant_name = val.value;
      }
    }
    let record = null;
    if (options.user_id) {
      record = await this.get_user_post_meta({ id: options.id });
      if (!record)
        throw new Error(`update_cart_item unable to update ${options.id} - not found`);
      if (record.user_id != options.user_id)
        throw new Error(`update_cart_item cart-item to update does not match user`);
      post_id = record.post_id;
      if (Array.isArray(options.value)) {
        for (var val of options.value) {
          if (!current_store && val.type == "store") current_store = val.value;
          if (!variant_name && val.type == "variant") variant_name = val.value;
        }
      }
    }
    let inventory = await posts.get_inventory({ post_id });
    if (!inventory) throw new Error(`update_cart_item unable to locate inventory for ${post_id}`);
    let story_inventory = inventory.stores[current_store];
    if (!story_inventory) throw new Error(`update_cart_item unable to locate store ${current_store}'s inventory`);
    let inventory_variant = null;
    if (inventory.has_variants) {
      inventory_variant = story_inventory[variant_name];
    } else {
      inventory_variant = story_inventory.default;
    }
    if (!inventory_variant) throw new Error(`add_to_cart failed to locate the product variant  within store ${current_store}; has variants=${inventory.has_variants ? "true" : "false"}`);
    let remaining_quantity = inventory_variant.quantity - quantity;
    if (inventory.track_inventory && remaining_quantity < 0) {
      quantity = quantity + remaining_quantity;
      if (quantity > inventory_variant.quantity) {
        quantity = inventory_variant.quantity;
      }
    }
    if (options.user_id) {
      await db.update({
        table: "user_post_metas",
        show_sql: true,
        data: {
          id: options.id,
          quantity
        }
      });
    }
    return options;
  }
  /**
   * 
   * @param {Object} options {user_id}
   * @returns {Array}
   */
  async get_cart(options) {
    if (!options) return [];
    if (!options.user_id) return [];
    let { user_id } = options;
    let tupm = `${db.name}.user_post_metas`, tp = `${db.name}.posts`;
    let cols = [
      `(SELECT title FROM ${tp} WHERE id=M.post_id) as title`,
      `(SELECT url FROM ${tp} WHERE id=M.post_id) as url`
    ];
    let sql = `SELECT *, ${cols.join(", ")} FROM ${tupm} M WHERE type LIKE "cart" AND ${db.is("user_id", user_id)}`;
    var cart = await db.query(sql);
    let preload_inventory = {};
    let tot_item_counter = {};
    let tot_key = null;
    let cart_item = null, item_variant, item_store;
    let the_inventory = null, total_weight = 0, prod_var_store_inventory;
    for (var i = 0; i < cart.length; i++) {
      cart_item = cart[i];
      if (cart_item.quantity < 0) cart_item.quantity = 0;
      cart_item.choices = [];
      cart_item.value = await core.type_cast(cart_item.value) || [];
      cart_item.error = false;
      cart_item.msg = [];
      item_variant = cart_item.value.find((it) => it.type == "variant");
      item_store = cart_item.value.find((it) => it.type == "store");
      if (!item_store) item_store = { title: "Default store", value: "default" };
      if (!preload_inventory[cart_item.post_id]) {
        preload_inventory[cart_item.post_id] = await posts.get_inventory({ post_id: cart_item.post_id });
      }
      the_inventory = preload_inventory[cart_item.post_id];
      cart_item.weight = the_inventory.weight;
      cart_item.weight_text = the_inventory.weight_text;
      if (the_inventory.has_variants && !item_variant) {
        cart_item.error = true;
        cart_item.msg.push(`This product(${cart_item.title}) requires you select a variant.`);
        continue;
      }
      if (!the_inventory.stores[item_store.value]) {
        cart_item.error = true;
        cart_item.msg.push(`Unable to locate product store "${item_store.value}".`);
        continue;
      }
      prod_var_store_inventory = the_inventory.stores[item_store.value][item_variant.value];
      if (!prod_var_store_inventory) {
        cart_item.error = true;
        cart_item.msg.push(`The store (${item_store.value}) did not locate variant ${item_variant.value}`);
        continue;
      }
      cart_item.price = prod_var_store_inventory.price;
      cart_item.quantity_meta_id = prod_var_store_inventory.quantity_meta_id;
      tot_key = `${cart_item.post_id}_${item_store.value}_${item_variant.value}`;
      if (!tot_item_counter[tot_key]) {
        tot_item_counter[tot_key] = {
          variant: item_variant.value,
          post_id: cart_item.post_id,
          cart_item_ids: [],
          available: prod_var_store_inventory.quantity,
          meta_id: prod_var_store_inventory.quantity_meta_id,
          total_request: 0,
          store_name: item_store.value,
          item_weight: the_inventory.weight
        };
      }
      tot_item_counter[tot_key].total_request += cart_item.quantity;
      tot_item_counter[tot_key].cart_item_ids.push(cart_item.id);
      if (the_inventory.has_variants) {
        cart_item.choices.push({
          type: "variant",
          value: prod_var_store_inventory.name,
          name: prod_var_store_inventory.type
        });
      }
      cart_item.value.forEach((opt) => {
        if (opt.type != "option") return;
        let the_option_name = null;
        for (var opt_name in the_inventory.options) {
          if (the_inventory.options[opt_name].meta_id == opt.id) {
            the_option_name = opt_name;
            break;
          }
        }
        cart_item.choices.push({ type: "option", name: the_option_name, value: opt.value });
      });
    }
    let counter = null, def_reset;
    sql = "";
    for (var key in tot_item_counter) {
      counter = tot_item_counter[key];
      if (!counter) continue;
      if (counter.total_request > counter.available) {
        def_reset = Math.trunc(counter.available / (counter.cart_item_ids.length || 1));
        for (var item_id of counter.cart_item_ids) {
          for (cart_item of cart) {
            if (cart_item.id != item_id) continue;
            cart_item.quantity = def_reset;
            sql += ` UPDATE ${tupm} SET ${db.is("quantity", def_reset)} WHERE ${db.is("id", item_id)};`;
          }
        }
      }
    }
    if (sql) await db.query(sql);
    let subtotal = 0;
    for (cart_item of cart) {
      subtotal += cart_item.quantity * cart_item.price;
      total_weight += cart_item.quantity * cart_item.weight;
    }
    subtotal = core.round(subtotal);
    let cart_data = {
      items: cart,
      total_weight,
      subtotal
    };
    let promises = [
      this.apply_tax(cart_data),
      ,
      this.apply_shipping(cart_data)
    ];
    await Promise.all(promises);
    let total = 0;
    if (cart_data.shipping) total += cart_data.shipping;
    if (cart_data.tax) total += cart_data.tax;
    if (cart_data.subtotal) total += cart_data.subtotal;
    cart_data.total = Number(total).toFixed(2);
    return cart_data;
  }
  /**
   * 
   * @param {Object} options { items : Array of cart items , subtotal}
   * @returns 
   */
  async apply_tax(options) {
    if (!options) return;
    if (!options.subtotal) return;
    let has_econ = await core.get_option("has_ecommerce");
    if (!has_econ) return;
    let tax_value = await core.get_option("store_tax_rate");
    let default_rate = 5.5;
    if (!tax_value) tax_value = default_rate;
    if (isNaN(tax_value)) tax_value = 5.5;
    let tax_rate = tax_value / 100;
    let tax_amount = core.round(tax_rate * options.subtotal);
    options.tax = tax_amount;
  }
  async apply_shipping(options) {
    options.shipping = 0;
    if (options.subtotal <= 0) return;
    let has_econ = await core.get_option("has_ecommerce");
    if (!has_econ) return;
    let shipping_settings = await core.get_option("store_shipping");
    if (!Array.isArray(shipping_settings)) return;
    let current_total = 99999999, iter_total = 0;
    if (shipping_settings.length == 0) current_total = 0;
    let condition_met;
    for (let s_setting of shipping_settings) {
      if (s_setting.type == "flat") {
        iter_total = s_setting.rate;
      } else if (s_setting.type == "by_price") {
        iter_total = s_setting.rate;
        if (s_setting.conditional) {
          let a = 0, b = 0;
          condition_met = false;
          if (s_setting.min_order > 0) {
            if (options.subtotal >= s_setting.min_order) {
              a = s_setting.min_order_rate;
              condition_met = true;
            }
          }
          if (s_setting.max_order > 0) {
            if (options.subtotal <= s_setting.max_order) {
              b = s_setting.max_order_rate;
              condition_met = true;
            }
          }
          if (condition_met) iter_total = a > b ? a : b;
        }
      } else if (s_setting.type == "by_weight") {
        iter_total = s_setting.rate;
        if (s_setting.conditional) {
          condition_met = false;
          let a = 0, b = 0;
          if (s_setting.min_weight > 0) {
            if (options.total_weight >= s_setting.min_weight) {
              a = s_setting.min_weight_rate;
              condition_met = true;
            }
          }
          if (s_setting.max_weight > 0) {
            if (options.total_weight <= s_setting.max_weight) {
              b = s_setting.max_weight_rate;
              condition_met = true;
            }
          }
          if (condition_met) iter_total = a > b ? a : b;
        }
        iter_total *= options.total_weight;
      }
      if (iter_total < current_total) {
        current_total = iter_total;
      }
    }
    if (current_total == 99999999) current_total = 0;
    options.shipping = current_total || 0;
  }
  /**
   * Complete order takes a user's cart and builds an order (post), order meta properties,
   * and order items.
   * @param {Object} options {user_id, cart }
   * @returns {Object} type, created_by, title, url, value, metas, order_items 
   */
  async build_order(options) {
    if (!options) throw new Error(`posts.complete_order requires parameters`);
    if (!options.user_id && !options.cart) throw new Error(`posts.complete_order`);
    let { user_id, cart } = options;
    if (!cart) {
      cart = await this.get_cart({ user_id });
      if (!cart) throw new Error(`post.complete_order unable to get cart data`);
    }
    let the_order = {
      type: "order",
      created_by: user_id || null,
      description: `Order`,
      title: `Order`,
      url: null,
      status: "unpaid",
      value: [],
      metas: [
        { name: "order_weight", value: cart.total_weight },
        { name: "subtotal", value: cart.subtotal },
        { name: "shipping", value: cart.shipping },
        { name: "tax", value: cart.tax },
        { name: "total", value: cart.total }
      ]
    };
    await this.modify_post(the_order);
    let order_items = [], o_item = null;
    let key_to_remove = ["id", "user_id", "post_id", "quantity", "value", "created", "modified"];
    let quantity_ref_metas = {};
    let inventory_ref = {};
    let order_item_metas = [];
    for (let c_item of cart.items) {
      o_item = {
        type: `order_${the_order.id}_item`,
        user_id: c_item.user_id,
        //Track what user bought and the amount
        post_id: c_item.post_id,
        quantity: c_item.quantity,
        quantity_meta_id: c_item.quantity_meta_id,
        value: [
          ...c_item.value,
          //summarize details like - title, url, choices, error, msg, 
          //weight, weight_text, price, quantity_meta_id 
          { ...c_item, type: "summary" }
        ],
        status: "pending",
        temp_id: core.random_str()
      };
      var t_inventory = inventory_ref[o_item.post_id];
      if (!t_inventory) {
        inventory_ref[o_item.post_id] = await this.get_inventory({ post_id: o_item.post_id });
        t_inventory = inventory_ref[o_item.post_id];
      }
      if (o_item.quantity_meta_id) {
        let QID = o_item.quantity_meta_id;
        if (!quantity_ref_metas[QID]) {
          quantity_ref_metas[QID] = await this.get_post_meta({ id: QID });
          if (quantity_ref_metas[QID]) {
            quantity_ref_metas[QID].track = t_inventory.track_inventory;
          }
        }
        if (quantity_ref_metas[QID] && quantity_ref_metas[QID].track) {
          quantity_ref_metas[QID].value = quantity_ref_metas[QID].value - o_item.quantity;
        }
      }
      if (t_inventory.requires_key) {
        order_item_metas.push({
          parent_meta_id: o_item.temp_id,
          type: `order_${the_order.id}_prod_key`,
          post_id: o_item.post_id,
          user_id,
          quantity: o_item.quantity,
          value: await core.create_key()
        });
      }
      key_to_remove.forEach((key) => {
        let L = o_item.value.length - 1;
        delete o_item.value[L][key];
      });
      order_items.push(o_item);
    }
    let quant_metas = [];
    for (let meta_id in quantity_ref_metas) {
      quant_metas.push({
        id: await core.type_cast(meta_id),
        value: quantity_ref_metas[meta_id].value
      });
    }
    if (quant_metas.length > 0) await this.modify_post_metas({ metas: quant_metas });
    await this.modify_user_post_metas(order_items);
    await core.loop(order_item_metas, async (imeta) => {
      if (imeta.parent_meta_id) {
        let parent = order_items.find((it) => it.temp_id == imeta.parent_meta_id);
        if (parent) {
          imeta.type += "_" + parent.id;
          if (imeta.type.includes("_prod_key_")) {
            imeta.prod_key = imeta.value;
          }
        }
      }
    });
    await this.modify_user_post_metas(order_item_metas);
    the_order.items = order_items;
    await plugin.do_filter("build_order", { data: the_order });
    return the_order;
  }
  /**
   * Creates sitemap for web crawlers based on published posts.  Exclusions are
   * of post types that are excluded.  The method also opens of what can be added, excluded,
   * or modified with plugin of the same name. This method can be invoked directly, however 
   * it is automatically call with each Post.modify_post and Post.remove_post in order to keep sitemap up to day.  When
   * invoked from Post.modify_post, the options parameter passed in is expected to be the post
   * that was just modified.
   * @param  options 
   */
  async update_sitemap(options = { ignore: true }) {
    if (options.ignore) {
      core.log(" Site-map update canceled");
      let payload = { post: options, allow: true };
      await plugin.do_filter("before_update_sitemap", payload);
      if (!payload.allow) return;
    }
    let tbp = `${db.name}.posts`; `${db.name}.post_metas`;
    let exluded_types = await core.get_option({ name: "sitemap_type_exclusion" });
    let site_url = await core.get_option({ name: "site_url" });
    let where = [
      db.is("status", "published"),
      db.is("type", ["media", ...Array.isArray(exluded_types) ? exluded_types : []], true)
    ];
    where.push();
    let result = await db.query(`SELECT id,url,modified, type FROM ${tbp} WHERE ${where.join(" AND ")}`);
    let now = /* @__PURE__ */ new Date();
    result.push(...[
      { url: `/p/categories`, id: -1, modified: now, type: "archive" },
      { url: `/p/tags`, id: -1, modified: now, type: "archive" }
    ]);
    await plugin.do_filter("update_sitemap", { data: result });
    let tag_url = (post) => {
      if (!post) return;
      if (!post.url) return;
      let d = post.modified ? new Date(post.modified) : /* @__PURE__ */ new Date();
      let freq = post.freq, priority = post.priority;
      if (!freq) freq = "monthly";
      if (!priority) priority = "1.0";
      let xml = `	<url>
		<loc>${site_url}${post.url}</loc>
		<lastmod>${d.getFullYear()}-${core.lz(d.getMonth() + 1)}-${core.lz(d.getDate())}</lastmod>
		<changefreq>${freq}</changefreq>
		<priority>${priority}</priority>
	</url>
`;
      return xml;
    };
    let map = `<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
`;
    for (let post of result) {
      let tag = tag_url(post);
      if (!tag) continue;
      map += tag;
    }
    map += `</urlset>`;
    await core.set_file_content("public/sitemap.xml", map);
    let run_later = async () => {
      let robots_content = await core.get_option({ name: "site_robots_txt" });
      if (typeof robots_content == "string")
        await core.set_file_content("public/robots.txt", robots_content);
    };
    run_later();
    plugin.do_action("update_sitemap", { data: result });
  }
  /**
   * Given a post id, return all posts that are related to it via tags
   * @param {Object} options {post_id , limit : max number of related post to return }
   * @returns {Array} Array of { id,title,description,status,url,image,modified,created_by}
   */
  async get_related(options) {
    if (!options) return [];
    let { post_id, limit } = options;
    limit = core.type_cast(limit);
    if (typeof limit != "number" || !limit) limit = 5;
    let N = `${db.name}`;
    let tbp = `${N}.posts`, tbtr = `${N}.terms_relation`;
    let excluded_types = ["media", "layout", "sniplet", "attachment", "order", "plugin", "formdata"];
    let status_types = ["published"];
    await plugin.do_filter("before_get_related", { data: options, excluded_types });
    let out_cols = `id,type,image,url,title,description,modified,created_by`;
    let sel_cur_post_term_ids = `SELECT term_id FROM ${tbtr} WHERE ${db.is("object_id", post_id)} `;
    let sel_related_post_ids = `SELECT object_id FROM ${tbtr} WHERE term_id IN (${sel_cur_post_term_ids}) `;
    let sel_related_post_data = `SELECT ${out_cols} FROM ${tbp} WHERE  id IN (${sel_related_post_ids}) AND ${db.is("id", post_id, true)} AND  ${db.not_like("type", excluded_types)} AND ${db.like("status", status_types)}  LIMIT ${limit}`;
    let records = await db.query(sel_related_post_data);
    await plugin.do_filter("get_related", { ...options, data: records });
    return records;
  }
}
let posts = new Posts();

var __defProp$1 = Object.defineProperty;
var __defNormalProp$1 = (obj, key, value) => key in obj ? __defProp$1(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField$1 = (obj, key, value) => __defNormalProp$1(obj, key + "" , value);
class Plugin {
  constructor() {
    /**
     * An Array of Plugin Instances with { title, description, name, priority, status, id }
     */
    __publicField$1(this, "instances", null);
  }
  /**
   * Create a plugin shell for the user
   * @param {Object} options { name , title , description }
   */
  async create_new(options) {
    if (!options) return false;
    if (!options.name || !options.description || !options.title) return false;
    options.name = options.name.replaceAll(/\s/gm, "_");
    let folder = `site-plugins/${options.name}`;
    let check_create_source_code = async () => {
      let file_path = `${folder}/index.js`;
      let has_source_file = false;
      has_source_file = await core.file_exists(file_path);
      if (!has_source_file) {
        let ptitle = options.title ? '"' + options.title + '"' : "null";
        let pdesc = options.description ? '"' + options.description + '"' : "null";
        let source_code = `
export default class {
	constructor(core) {
		this.title = ${ptitle}
		this.description = ${pdesc}
	}
	action_on_init(core){
		core.log('Initialize ', this.title)	}
	action_on_activate(core){
		core.log('Activated ', this.title)
	}
	action_on_deactivate(core){
		core.log('Deactivate ', this.title)
	}
	filter_admin_menu(core, {data }){
		 //data.push({  title : "Some title",url : "/some/url" } ) 
	}


	// additional hooks ...

}


`;
        await core.set_file_content(file_path, source_code);
        return true;
      } else {
        return false;
      }
    };
    if (!await core.is_directory(folder)) {
      await core.create_directory(folder);
      return await check_create_source_code();
    } else {
      return await check_create_source_code();
    }
  }
  /**
   * Given a plugin ID, un-cache source code
   * @param {Object} options {id : plugin id}
   * @returns 
   */
  async refresh_plugin(options) {
    if (!options) return;
    if (!options.id) return;
    let id = options.id;
    let R = await db.query(`SELECT id,url,type FROM ${db.name}.posts WHERE ${db.is("id", id)}`);
    if (R.length == 0) return;
    if (R[0].type != "plugin") return;
    if (R[0].url == null) return;
    options.id = R[0].id;
    let plugin_dir = await core.get_dir_files(R[0].url.substring(1)), fd;
    const require2 = createRequire(globalThis._importMeta_.url);
    let imported_plugin = null, plugin_class, plugin_instance;
    for (var j = 0; j < plugin_dir.length; j++) {
      fd = plugin_dir[j];
      if (fd.ext != "js") continue;
      delete require2.cache[fd.path];
    }
    let cur_instance;
    for (var j = 0; j < plugin_dir.length; j++) {
      fd = plugin_dir[j];
      if (fd.ext != "js") continue;
      imported_plugin = await import(`${fd.path}?update=${Date.now()}`);
      plugin_class = imported_plugin.default;
      if (!plugin_class.toString().startsWith("class")) continue;
      plugin_instance = new plugin_class(core);
      try {
        plugin_instance.name = fd.name;
        if (this.instances) {
          for (let ii = 0; ii < this.instances.length; ii++) {
            cur_instance = this.instances[ii];
            if (cur_instance.id == options.id) {
              let priority = cur_instance.priority;
              let name = cur_instance.name;
              this.instances[ii] = plugin_instance;
              plugin_instance.priority = priority;
              plugin_instance.name = name;
              plugin_instance.id = cur_instance.id;
              let tmp = { id: options.id };
              if (plugin_instance.title != void 0) tmp.title = plugin_instance.title;
              if (plugin_instance.description != void 0) tmp.description = plugin_instance.description;
              await db.update({ table: "posts", data: tmp });
              break;
            }
          }
        } else {
          core.log("Refresh fx, unable to find instances array");
        }
      } catch (e) {
        core.error("Caught refresh plugin error", e);
      }
    }
  }
  async init() {
    this.instances = [];
    const require2 = createRequire(globalThis._importMeta_.url);
    await core.create_directory("site-plugins");
    let plugin_folder = "site-plugins";
    let plugin_folders = await core.get_dir_files(plugin_folder);
    let plugin_root, plugin_files = null, plugin_index, imported_plugin;
    let plugin_class = null, is_plugin_class, plugin_instance = null;
    console.log("Plugin.init", plugin_folders.length, "plugins");
    for (var i = 0; i < plugin_folders.length; i++) {
      plugin_root = plugin_folders[i];
      if (!plugin_root.is_directory) continue;
      plugin_files = await core.get_dir_files(plugin_root.url.substring(1));
      plugin_index = plugin_files.find((file) => {
        delete require2.cache[file.path];
        return file.name == "index.js";
      });
      if (!plugin_index) continue;
      imported_plugin = await import(`${plugin_index.path}?update=${Date.now()}`);
      plugin_class = imported_plugin.default;
      is_plugin_class = plugin_class.toString().startsWith("class");
      if (!is_plugin_class) continue;
      try {
        plugin_instance = new plugin_class(core);
        plugin_instance.name = plugin_root.name;
        if (!plugin_instance.title) plugin_instance.title = "Untitled Plugin";
        if (!plugin_instance.description) plugin_instance.description = "No description available";
        if (plugin_instance.priority === void 0) plugin_instance.priority = 10;
        await this._init_prepare_instance(plugin_root, plugin_instance);
      } catch (pe) {
        core.error({
          source: "plugins.init",
          msg: `Unable to instantiate plugin "${plugin_root.name}" due to {${pe.message}}`
        });
      }
    }
  }
  /**
   * Add the instance to the database if not already
   * @param {File} plugin_root Object { path, is_file,is_directory, url,ext,name, size} describing root plugin folder 
   * @param {PluginInstance} plugin_instance An instantiated class found within plugin-folder/index.js
   */
  async _init_prepare_instance(plugin_root, plugin_instance) {
    if (!plugin_root) return;
    if (!plugin_instance) return;
    let tbr = `${db.name}.posts`;
    let { url, name, inode } = plugin_root;
    let sql = `SELECT id,status FROM ${tbr} WHERE type LIKE "plugin" AND value LIKE "[${inode}]"`;
    var result = await db.query(sql);
    let plugin_rec = {
      title: plugin_instance.title,
      description: plugin_instance.description,
      type: "plugin",
      url: plugin_root.url,
      value: [inode]
    };
    if (result.length == 0) {
      var status = "inactive";
      plugin_rec.status = status;
      plugin_instance.status = status;
    } else {
      plugin_rec.id = result[0].id;
      plugin_instance.status = result[0].status;
    }
    await posts.modify_post(plugin_rec);
    plugin_instance.id = plugin_rec.id;
    this.instances.push(plugin_instance);
  }
  /**
   * Run an action 
   * @param {Object } options {name:Action name, description} 
   */
  async do_action(name, payload) {
    if (!name) return;
    if (!this.instances) {
      core.log({ msg: `plugin.do_action('${name}') - no plugin instances available` });
      return;
    }
    if (this.instances.length == 0) return;
    var tbr = `${db.name}.posts`;
    let sel_active_plugins = `SELECT id,status FROM ${tbr} WHERE  type LIKE "plugin" AND status LIKE "active"`;
    var active_plugins = await db.query(sel_active_plugins);
    var rec = null, plugin_instance;
    let type = "action";
    if (name.startsWith("cron_")) type = "cron";
    for (var i = 0; i < active_plugins.length; i++) {
      rec = active_plugins[i];
      plugin_instance = this.instances.find((it) => it.id == rec.id);
      if (plugin_instance) {
        this._execute(type, name, plugin_instance, payload);
      }
    }
  }
  /**
   * Run a filter 
   * @param {String } name {name:Action name, description} 
   * @param {Object} Object An object, typically should have a key (data) that is meant to be changed within plugin
   */
  async do_filter(name, payload) {
    if (!name) return payload;
    if (!this.instances) {
      core.log({ msg: `plugin.do_filter('${name}') - no plugin instances available` });
      return payload;
    }
    if (this.instances.length == 0) return payload;
    var tbr = `${db.name}.posts`;
    let sel_active_plugins = `SELECT id,status FROM ${tbr} WHERE type LIKE "plugin" AND status LIKE "active"`;
    var active_plugins = await db.query(sel_active_plugins);
    var rec = null, plugin_instance;
    let plug_instances_by_name = {};
    for (var i = 0; i < active_plugins.length; i++) {
      rec = active_plugins[i];
      if (!plug_instances_by_name[rec.id]) {
        plug_instances_by_name[rec.id] = plugin_instance = this.instances.find((it) => it.id == rec.id);
      } else {
        plugin_instance = plug_instances_by_name[rec.id];
      }
      if (plugin_instance) {
        var temp = await this._execute("filter", name, plugin_instance, payload);
        if (temp !== undefined) payload = temp;
      } else {
        core.log("Unable to find plugin(" + rec.id + ") within", this.instances);
      }
    }
    return payload;
  }
  async _execute(method_type, name, plugin_instance, data = undefined) {
    if (!name) return data;
    if (!plugin_instance) return data;
    var fn_name = `${method_type}_${name}`;
    if (method_type == "cron") {
      method_type = "action";
      fn_name = name;
    }
    if (data && data.debug) {
      console.log("Invoking Plugin[" + fn_name + "]");
    }
    if (typeof plugin_instance[fn_name] != "function") return data;
    if (method_type == "action") {
      try {
        plugin_instance[fn_name](core, data);
      } catch (e) {
        core.log({ msg: `plugin(${name}:action -> ${e.msg || e.message})`, e });
      }
    } else {
      try {
        return await plugin_instance[fn_name](core, data);
      } catch (e) {
        core.log({ msg: `plugin(${name}:filter -> ${e.msg || e.message})`, e });
      }
    }
  }
  /**
   * Query all active plugins for their list of registered endpoints
   * @param {String } method get,post,or delete 
   * @param {Object} Object An object, typically should have a key (data) that is meant to be changed within plugin
   * @returns {Object} payload { data }
   **/
  async exec_endpoint(method, payload) {
    if (!method) return payload;
    if (!this.instances) {
      core.log({ msg: `plugin.exec_endpoint('${method}') - no plugin instances available` });
      return payload;
    }
    if (!method) {
      core.log({ msg: `plugin.exec_endpoint('${method}') - method was not supplied` });
      return payload;
    } else {
      method = method.toLowerCase();
      if (["get", "post", "delete"].includes(method)) {
        core.log({ msg: `plugin.exec_endpoint(${method}) - invalid method "${method}"` });
      }
    }
    if (this.instances.length == 0) return payload;
    var tbr = `${db.name}.posts`;
    let sel_active_plugins = `SELECT id,status FROM ${tbr} WHERE type LIKE "plugin" AND status LIKE "active"`;
    var active_plugins = await db.query(sel_active_plugins);
    var rec = null, plugin_instance;
    let fn_name = `add_${method}_endpoints`;
    let plug_instances_by_name = {};
    for (var i = 0; i < active_plugins.length; i++) {
      rec = active_plugins[i];
      if (!plug_instances_by_name[rec.id]) {
        plug_instances_by_name[rec.id] = plugin_instance = this.instances.find((it) => it.id == rec.id);
      } else {
        plugin_instance = plug_instances_by_name[rec.id];
      }
      if (plugin_instance) {
        if (typeof plugin_instance[fn_name] == "function") {
          try {
            var temp = await plugin_instance[fn_name](core, payload);
            if (temp !== void 0) payload = temp;
          } catch (e) {
            core.log({ msg: `exec_endpoint (${fn_name}) error->${e.message || e.msg}`, e });
          }
        }
      } else {
        core.log("Unable to find plugin(" + rec.id + ") within", this.instances);
      }
    }
    return payload;
  }
  /**
   * Get a set of plugins that match the parameters.  By default, all plugins are returned
   * @param {Object} options { status}
   * @returns {Array } Array of { id, status, description, title }
   */
  async get_plugins(options) {
    var tbr = `${db.name}.posts`;
    var where = [];
    if (options.status) where.push(db.like("status", options.status));
    if (where.length == 0) where.push("1");
    var sel_plugins = `SELECT id,title,description, status, url FROM ${tbr} WHERE type="plugin" AND ${where.join(" AND ")}`;
    var list = await db.query(sel_plugins);
    var plugin_inst;
    for (var i = 0; i < list.length; i++) {
      plugin_inst = this.instances.find((it) => it.id == list[i].id);
      if (!plugin_inst) continue;
      list[i].priority = plugin_inst.priority;
    }
    return list;
  }
  /**
   * Update the status of a plugin via it's plugin id
   * @param {Object} option { id , status}
   * @returns {Boolean}
   */
  async update_status(option) {
    if (!option) return false;
    let { id, status } = option;
    if (!id || !status) return false;
    let tbr = `${db.name}.posts`;
    let sel_plugin_type = `SELECT type,id,status FROM ${tbr} WHERE ${db.is("id", id)} AND type LIKE "plugin"`;
    let result = await db.query(sel_plugin_type);
    if (result.length == 0) return false;
    let rec_data = result[0];
    let plugin_instance = this.instances.find((plugin2) => plugin2.id == option.id);
    if (!plugin_instance) return false;
    if (option.status == rec_data.status) {
      return false;
    }
    db.update({ table: "posts", data: option });
    plugin_instance.status = option.status;
    if (option.status == "active" && typeof plugin_instance.action_on_activate == "function")
      plugin_instance.action_on_activate(core);
    if (option.status == "inactive" && typeof plugin_instance.action_on_deactivate == "function")
      plugin_instance.action_on_deactivate(core);
  }
  /**
   * Get all script files associated with the specified plugin id
   * @param {Object} options { id : Plugin id}
   * @returns {Array} Array of { name : file name, url , size, plugin_id, plugin_title }
   */
  async get_plugin_files(options) {
    if (!options) return null;
    if (!options.id) return null;
    let tbp = `${db.name}.posts`, id = options.id;
    let R = await db.query(`SELECT id,title,status,type,url FROM ${tbp} WHERE ${db.is("id", id)}`);
    let P = R[0];
    if (!P) return null;
    if (P.type != "plugin") return;
    let fd, i;
    if (!P.url) return null;
    let arr_fd = await core.get_dir_files(P.url.substring(1));
    let out = [], tmp;
    for (i = 0; i < arr_fd.length; i++) {
      fd = arr_fd[i];
      if (fd.ext != "js") continue;
      tmp = {
        url: fd.url,
        name: fd.name,
        size: fd.size,
        plugin_id: options.id,
        plugin_title: P.title
      };
      tmp.source = await core.get_file_content(fd.path), out.push(tmp);
    }
    return out;
  }
}
let plugin = new Plugin();

const Header = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Jx: Function,
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        banner_logo: "",
        banner_title: "Site-name",
        banner_css: "",
        banner_link: "/",
        nav_links_css: "",
        containerize: true,
        seperate_title_links: true,
        links0: [],
        links1: [],
        reverse_flow: false,
        theme_style: "solid",
        underline: false
      })
    }
    /* ... */
  },
  name: "Header",
  description: "Create site navigation and logos",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-6 h-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5" />
  </svg>
  `,
  assets(options) {
    return {
      style: [
        {
          innerHTML: `
                    .header {
                        font-weight: 700;
                        --base-color: var(--gray-500);
                        --active-color: var(--gray-800);
                        --secondary-color: var(--white);
                    }
                    .dark .header , .dark.header { 
                        --base-color: var(--gray-800);
                    }
                    .header a:hover { 
                        text-decoration:none;
                    }
                    .header .banner-logo {
                        margin: 0 1.2rem;    
                    }
                    .header .banner-logo > img {
                        width: fit-content;
                        max-width: 90px;
                    }
                    .header .nav-links .r-link {
                        text-decoration: none;
                        margin: 0 3px;
                        border-radius: 3px; 
                    }
                    .header .title {
                        font-size: 2.2em;
                        font-family: 'Roboto';
                        letter-spacing: 0.10em;
                        color: rgba(var(--primary-500),var(--color-opacity));
                    } 

                    .header.underline .nav-links .r-link {
                        border-bottom: 4px solid transparent;
                    } 
                    .header.underline .nav-links .router-link-active {
                        border-bottom-color: currentColor;
                        border-bottom-left-radius: 4px;
                        border-bottom-right-radius: 4px; 
                        border-bottom-left-radius: 0;
                        border-bottom-right-radius: 0;
                        background-color: rgba(var(--primary-500),0.040);
                    }

                    .header.theme-solid .nav-links .r-link { 
                        color: rgba(var(--base-color),1.0);
                    }
                    .header.theme-solid .nav-links .r-link:hover {
                        color: rgba(var(--secondary-color),1.0);
                        background-color: rgba(var( --gray-600),0.750);
                    } 
                    .header.theme-solid .nav-links .router-link-active {
                        color: rgba(var(--secondary-color),1.0);
                        background-color: rgba(var( --gray-600),1.0); 
                    }

                    .header.theme-solid-primary .nav-links .r-link { 
                        color: rgba(var(--base-color),1.0);
                    }
                    .header.theme-solid-primary .nav-links .r-link:hover {
                        color: rgba(var(--white),1.0);
                        background-color: rgba(var( --primary-600),1.0);
                    }
                    .header.theme-solid-primary .nav-links .router-link-active  {
                        color: rgba(var(--white),1.0);
                        background-color: rgba(var( --primary-600),1.0);
                    }

                    .header.theme-flat .nav-links .r-link { 
                        color: rgba(var(--base-color),1.0);
                    }
                    .header.theme-flat .nav-links .r-link:hover { 
                        color: rgba(var(--primary-500),1.0); 
                    }
                    .header.theme-flat .nav-links  .router-link-active{ 
                        color: rgba(var(--primary-500),1.0); 
                    }

                    .header .mobile-btn {
                        z-index:100;
                        display: none;
                    }
                    .header:not(.reverse) .mobile-btn {
                        right: 24px;
                        top : 12px
                    }
                    .header .mobile-btn {
                        left: 12px ;
                    }
                    .header.reverse .mobile-btn {
                        left: 8px;
                        top : 12px;
                    }


                    .header .submenu {
                        position: absolute;
                        min-width: 260px;
                        background-color: rgba(var(--whitespace),1);
                        z-index: 420;
                        visibility: hidden;
                        opacity : 0.0;
                        transform: translate(0,-15px)
                        transition: opacity 120ms ease-in-out, transform 120ms ease-in-out;
                    } 
                    .header .tl-item:hover > .submenu {
                        visibility: visible;
                        opacity: 1.0;
                        transform: translate(0,0)
                        transition: opacity 120ms ease-in-out, transform 120ms ease-in-out;
                    }
                    .header .tl-item:hover .sm-indicator {
                        transition:  transform 120ms ease-in-out;

                    }
                    .header .tl-item:hover .sm-indicator {
                        transition:  transform 120ms ease-in-out;
                        transform: rotate(180deg);
                    }

                        
                        .editor-main .header .header-wrap {
                            min-width: 100% !important;
                            max-width: 100%  !important;
                        }
                    @media (max-width: 640px) { 

                        .header .mobile-btn {
                            display: block;
                        }
                        .header .header-wrap {
                            display: block;
                        }
                        .header .nav-links {
                            display: none;
                        }
                        .editor-main .header .nav-links {
                            display: flex;
                        }
                        .header .r-link {
                            width: 100%;
                            display: block;
                        }
                        .header.open .nav-links {
                            display: block;
                        }
                        .header.reverse .anchor-title {
                            padding-left: 3em;
                        }
                        .header:not(.reverse) .anchor-title {
                            padding-left: 3.1em;
                        }


                    .header .submenu {
                        position: absolute;
                        min-width: 100%; 
                    }

                    .header .tl-item:hover > .submenu {
                        position: relative;
                        
                    }
                    `
        }
      ]
    };
  },
  on_view(options) {
    options.block_instance.state.cur_link = options.url;
  },
  setup(props, { attrs, emit, slots }) {
    let is_open = props.Jx(false);
    let Block = props.Block;
    let svg_link = `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4 color-gray-500">
        <path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244" />
      </svg>
      `;
    let svg_img = `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4 color-gray-500" >
        <path stroke-linecap="round" stroke-linejoin="round" d="m2.25 15.75 5.159-5.159a2.25 2.25 0 0 1 3.182 0l5.159 5.159m-1.5-1.5 1.409-1.409a2.25 2.25 0 0 1 3.182 0l2.909 2.909m-18 3.75h16.5a1.5 1.5 0 0 0 1.5-1.5V6a1.5 1.5 0 0 0-1.5-1.5H3.75A1.5 1.5 0 0 0 2.25 6v12a1.5 1.5 0 0 0 1.5 1.5Zm10.5-11.25h.008v.008h-.008V8.25Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Z" />
      </svg>
      `;
    let render_header = ({ state, h, RLink, block_id, local_state, useViewerState, util, post }) => {
      var _a;
      let viewer_state = null;
      if (!props.isEdit) viewer_state = useViewerState();
      let cls_sep0 = state.reverse_flow ? "ml-auto" : "mr-auto";
      let has_logo = state.banner_logo != null && state.banner_logo;
      let svg_logo = typeof state.banner_logo == "string" && state.banner_logo.startsWith("<svg");
      let achor_title = h(
        RLink,
        {
          class: ["anchor-title", "flex", "items-center", state.seperate_title_links ? cls_sep0 : "", "gap-1"],
          to: state.banner_link || "/"
        },
        () => [
          h("span", {
            class: ["banner-logo"],
            innerHTML: svg_logo ? state.banner_logo : has_logo ? `<img src="${state.banner_logo}">` : null
          }),
          h("span", { class: ["title", "font-bold", state.banner_css] }, state.banner_title || "")
        ]
      );
      let has_title_or_logo = state.banner_logo || state.banner_title;
      let nav_links = state.links0.map((toplvl_item) => {
        var inner = toplvl_item.text;
        let has_submenu = toplvl_item.submenu_id;
        let do_submenu = !props.isEdit && toplvl_item.submenu_instance;
        let vnode_submenu = null;
        if (do_submenu) {
          if (!toplvl_item.submenu_instance.state) toplvl_item.submenu_instance.state = { class: [] };
          if (!Array.isArray(toplvl_item.submenu_instance.state.class)) toplvl_item.submenu_instance.class = [];
          toplvl_item.submenu_instance.state.class.push("submenu");
          vnode_submenu = util.build_view(
            [toplvl_item.submenu_instance],
            null,
            null,
            h,
            post,
            props.Blocks,
            props.BlocksArray
          );
        }
        if (!props.isEdit) {
          let show_value = toplvl_item.show;
          if (show_value == "logged_out") {
            if (viewer_state.user) return null;
          } else if (show_value == "logged_in") {
            if (!viewer_state.user) return null;
          } else {
            let operands = util.trim_arr((toplvl_item.operand || "").split(","));
            if (show_value == "posttype_is") {
              let ret = operands.includes(post.type);
              if (!ret) return null;
            } else if (show_value == "posttype_isnot") {
              if (operands.includes(post.type)) return null;
            } else if (show_value == "category_is") {
              let ret = operands.includes(post.category_slug);
              if (!ret) return null;
            } else if (show_value == "category_isnot") {
              let ret = operands.includes(post.category_slug);
              if (ret) return null;
            }
          }
        }
        if (toplvl_item.image && toplvl_item.image.startsWith) {
          if (toplvl_item.image.startsWith("<svg")) {
            inner = [h("span", { innerHTML: toplvl_item.image }), h("span", {}, toplvl_item.text)];
          } else {
            inner = [h("img", { src: toplvl_item.image, loading: "lazy" }), h("span", {}, toplvl_item.text)];
          }
        }
        if (has_submenu) {
          if (!Array.isArray(inner)) inner = [inner];
          inner.push(h("span", {
            class: ["sm-indicator"],
            innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5"> <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" /></svg>`
          }));
        }
        return h(
          "li",
          { class: [
            "tl-item",
            toplvl_item.class,
            "item-cond-" + toplvl_item.show,
            post == null ? undefined : post.type,
            has_submenu ? "has-submenu" : ""
          ] },
          h(RLink, { class: ["tl-link", "px-4", "py-2", state.cur_link == toplvl_item.url ? "current-link" : ""], to: toplvl_item.url }, () => inner),
          vnode_submenu
        );
      });
      return h(
        "header",
        { class: ["header", state.reverse_flow ? "reverse" : "", is_open.value ? "open" : "", "theme-" + state.theme_style, state.underline ? "underline" : ""], style: { minHeight: "1em" } },
        h(
          "div",
          {
            class: [
              "header-wrap",
              "block",
              "flex",
              "py-3",
              "justify-center",
              state.containerize ? "container" : "",
              state.reverse_flow ? "flex-row-reverse" : ""
            ]
          },
          ((_a = state.links0) == null ? undefined : _a.length) > 0 ? h("button", {
            class: ["mobile-btn", "absolute", "w-fit", "hover:color-primary-500", "color-primary-800"],
            innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-8 h-8">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5" />
                      </svg>`,
            onClick(e) {
              is_open.value = !is_open.value;
            }
          }) : null,
          has_title_or_logo ? achor_title : null,
          h(
            "ul",
            { class: ["nav", "nav-links", "list-none", "flex", "flex-wrap", "items-center", state.nav_links_css || ""] },
            nav_links
          )
        )
      );
    };
    if (!props.isEdit) return props.Block(render_header);
    let edit_content = ({
      state,
      virtual_blocks,
      util,
      ref,
      block_id,
      type,
      RSelect,
      h,
      useEditorState,
      Inspector,
      RText,
      RInput,
      VModel,
      RRowLabel,
      RButton,
      RButtonCycle,
      RRow,
      repeater,
      RLink,
      RCheckbox,
      local_state
    }) => {
      return h(
        "div",
        { class: ["Header"] },
        render_header({ state, h, RLink, local_state }),
        Inspector(
          h(
            RRowLabel,
            { text: "Title" },
            () => h(RInput, VModel("banner_title", {
              placeholder: "Header Title",
              onChange(banner_title) {
                return { banner_title };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Title CSS" },
            () => h(RInput, VModel("banner_css", {}))
          ),
          h(
            RRowLabel,
            { text: "Banner Logo URL" },
            () => h(RInput, VModel("banner_logo", {
              placeholder: "Header logo",
              onChange(banner_logo) {
                return { banner_logo };
              }
            }))
          ),
          state.banner_logo || state.banner_title ? h(
            RRowLabel,
            { text: "Banner URL" },
            () => h(RInput, VModel("banner_link", {
              placeholder: "Header link",
              onChange(banner_link) {
                return { banner_link };
              }
            }))
          ) : null,
          h(
            RRowLabel,
            { text: "Theme Style" },
            () => h(RSelect, VModel("theme_style", {
              values: [
                { title: "Solid Primary", value: "solid-primary" },
                { title: "Solid", value: "solid" },
                { title: "Flat", value: "flat" }
              ],
              onChange(theme_style) {
                return { theme_style };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Nav Links CSS", tooltip: "CSS for nav links wrapper" },
            () => h(RInput, VModel("nav_links_css", {
              onChange(nav_links_css) {
                return { nav_links_css };
              }
            }))
          ),
          h(RCheckbox, VModel("containerize", {
            tooltip: "Force header to maintainer center focus",
            onChange(containerize) {
              return { containerize };
            }
          }), () => "Containerize"),
          h(RCheckbox, VModel("reverse_flow", {
            tooltip: "Reverse the order of elements",
            onChange(reverse_flow) {
              return { reverse_flow };
            }
          }), () => "Reverse Flow"),
          h(RCheckbox, VModel("seperate_title_links", {
            class: ["mb-3"],
            onChange(seperate_title_links) {
              return { seperate_title_links };
            }
          }), () => "Seperate Title and Links"),
          h(RCheckbox, VModel("underline", {
            class: ["mb-3"],
            onChange(underline) {
              return { underline };
            }
          }), () => "Underline active link"),
          ...repeater("links0", "Primary Links", {
            onNew() {
              return {
                text: "",
                url: "",
                image: "",
                show: "always",
                operand: "",
                submenu_id: ""
              };
            },
            onRender(item, index) {
              let is_complex = !["always", "logged_in", "logged_out"].includes(item.show);
              return [
                h(RInput, {
                  class: ["mb-1"],
                  placeholder: "Link Text",
                  modelValue: item.text,
                  onRchange(text) {
                    item.text = text;
                  }
                }),
                h(RInput, {
                  class: ["mb-1"],
                  placeholder: "Link URL",
                  modelValue: item.url,
                  onRchange(url) {
                    item.url = url;
                  }
                }, () => h("span", { innerHTML: svg_link })),
                h(RInput, {
                  class: ["mb-1"],
                  placeholder: "Image",
                  modelValue: item.image,
                  onRchange(image) {
                    item.image = image;
                  }
                }, () => h("span", { innerHTML: svg_img })),
                h(RInput, {
                  class: ["mb-1"],
                  placeholder: "CSS Class",
                  modelValue: item.class,
                  onRchange(val) {
                    item.class = val;
                  }
                }, () => h("span", { innerHTML: svg_img })),
                h(
                  RRowLabel,
                  { text: "Show" },
                  () => h(RSelect, {
                    values: [
                      { title: "Always", value: "always" },
                      { title: "When Logged-In", value: "logged_in" },
                      { title: "When Logged-Out", value: "logged_out" },
                      { title: "Posttype Is", value: "posttype_is" },
                      { title: "Posttype Is Not", value: "posttype_isnot" },
                      { title: "Category Is", value: "category_is" },
                      { title: "Category Is Not", value: "category_isnot" }
                    ],
                    modelValue: item.show,
                    onRchange(value) {
                      item.show = value;
                    }
                  })
                ),
                is_complex ? h(RInput, {
                  class: ["mb-1"],
                  placeholder: "operand(s)",
                  modelValue: item.operand,
                  onRchange(operand) {
                    item.operand = operand;
                  },
                  onUpdate(val) {
                    item.operand = val;
                  }
                }) : null,
                h(
                  RRowLabel,
                  {
                    text: "Submenu Id",
                    tooltip: `Select & use virtual blocks as submenu`
                  },
                  () => h(RSelect, {
                    values: [{ title: "No Submenu", value: "" }, ...Array.isArray(virtual_blocks.value) ? virtual_blocks.value : []],
                    modelValue: item.submenu_id,
                    onRchange(value) {
                      item.submenu_id = value;
                    }
                  })
                )
              ];
            }
          })
        )
      );
    };
    return Block({}, props.isEdit ? edit_content : render_header);
  }
  //End of setup
});

const Heading = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    state: {
      type: Object,
      default: () => ({
        level: 1,
        alignment: "",
        text: "Title",
        text_css: "",
        subtext: "",
        link: null,
        as_tb_content: false,
        anchor_text: ""
      })
    }
    //The blocks state (ideal for render view, but not for edit view)
  },
  name: "Heading",
  description: "Create Heading tags 1-6",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  on_drop(effect) {
  },
  setup(props, { attrs, emit, slots }) {
    let svg_left = `<svg width="24" height="24" focusable="false"><path d="M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm0 4h8c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Zm0-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z" fill-rule="evenodd"></path></svg>`;
    let svg_center = `<svg width="24" height="24" focusable="false"><path d="M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm3 4h8c.6 0 1 .4 1 1s-.4 1-1 1H8a1 1 0 1 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1H8a1 1 0 0 1 0-2Zm-3-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z" fill-rule="evenodd"></path></svg>`;
    let svg_right = `<svg width="24" height="24" focusable="false"><path d="M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm6 4h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm-6-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z" fill-rule="evenodd"></path></svg>`;
    let active_cls = "bg-primary-300";
    let Block = props.Block;
    let view_content = ({ h, state, RText, VModel, RLink, block_inst }) => {
      let level = "H" + state.level;
      let txt_align = "text-left";
      if (state.alignment) txt_align = "text-" + state.alignment;
      let subtext_ui = h("p", { innerHTML: state.subtext, class: [txt_align] });
      let title_ui = h(level, { class: [
        state.text_css,
        txt_align,
        state.as_tb_content ? "content-anchor" : ""
      ], innerHTML: state.text });
      if (state.link) {
        title_ui = h(
          "a",
          { href: state.link },
          h("div", {}, title_ui)
        );
      }
      return props.isEdit ? [
        h(level, {
          style: {
            paddingLeft: state.as_tb_content ? "20px" : "",
            border: state.as_tb_content ? `1px dashed rgba(var(--indigo-500), 1)` : ``,
            borderLeftStyle: state.as_tb_content ? `solid` : "",
            borderLeftWidth: state.as_tb_content ? "6px" : ""
          }
        }, h(RText, VModel("text", {
          tag: level,
          inline: true,
          class: [txt_align, state.text_css],
          onChange: (e) => ({ text: e }),
          onEnter(e) {
            let detail = { after: block_id, data: { type } };
            util.trigger("blur", e.target);
            util.trigger("new", e.target, detail);
            e.preventDefault();
          },
          onkeydown(e) {
          }
        }))),
        state.subtext ? subtext_ui : null,
        state.as_tb_content ? h("div", {
          class: "absolute",
          style: { top: "16px", left: "12px" },
          innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5 color-indigo-500 color-opacity-80"> <path stroke-linecap="round" stroke-linejoin="round" d="M5.25 8.25h15m-16.5 7.5h15m-1.8-13.5-3.9 19.5m-2.1-19.5-3.9 19.5" /></svg>`
        }) : null
      ] : state.subtext ? h(
        "div",
        { class: ["compound-heading"] },
        title_ui,
        subtext_ui
      ) : title_ui;
    };
    let edit_content = (payload) => {
      let {
        util: util2,
        ref,
        state,
        block_id: block_id2,
        RCheckbox,
        type: type2,
        h,
        useEditorState,
        Inspector,
        RText,
        RSelect,
        VModel,
        RInput,
        RRowLabel,
        RButton
      } = payload;
      let editor_states = useEditorState();
      let update_alignment = (val) => {
        let blk = editor_states.get_block(block_id2);
        blk.state.alignment = val;
      };
      return h(
        "div",
        {},
        view_content(payload),
        Inspector(
          h(RRowLabel, { text: "Level " }, () => h(RSelect, VModel("level", {
            values: [
              { text: "Level 1", value: 1 },
              { text: "Level 2", value: 2 },
              { text: "Level 3", value: 3 },
              { text: "Level 4", value: 4 },
              { text: "Level 5", value: 5 },
              { text: "Level 6", value: 6 }
            ],
            onChange: (e) => ({ level: e })
          }))),
          h(
            RRowLabel,
            { text: "Alignment" },
            () => h(
              "div",
              { class: ["flex", "justify-center", "gap-2"] },
              h(RButton, { class: ["w-fit", state.alignment == "left" ? active_cls : ""], onClick(e) {
                update_alignment("left");
              } }, () => h("span", { innerHTML: svg_left })),
              h(RButton, { class: ["w-fit", state.alignment == "center" ? active_cls : ""], onClick(e) {
                update_alignment("center");
              } }, () => h("span", { innerHTML: svg_center })),
              h(RButton, { class: ["w-fit", state.alignment == "right" ? active_cls : ""], onClick(e) {
                update_alignment("right");
              } }, () => h("span", { innerHTML: svg_right }))
            )
          ),
          h(
            RRowLabel,
            { text: "Text CSS", tooltip: "CSS for primary text" },
            () => h(RInput, VModel("text_css", {}))
          ),
          h(
            RRowLabel,
            { text: "Subtext" },
            () => h(RInput, VModel("subtext", {
              multiLine: true,
              height: "80px",
              onRchange: (subtext) => ({ subtext })
            }))
          ),
          h(
            RRowLabel,
            { text: "Link" },
            () => h(
              RInput,
              VModel("link", {
                onRchange: (link) => ({ link })
              }),
              () => h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
                         <path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244" />
                       </svg> ` })
            )
          ),
          h(RCheckbox, VModel("as_tb_content", {
            class: ["mb-2", "mt-1"],
            onRchange(as_tb_content) {
              return { as_tb_content };
            }
          }), () => "Table Content Anchor"),
          state.as_tb_content ? h(
            RRowLabel,
            {
              text: "Anchor Text",
              tooltip: "Alternate text for table contents",
              class: ["pl-4"]
            },
            () => h(
              RInput,
              VModel("anchor_text", {
                onRchange: (anchor_text) => ({ anchor_text }),
                placeholder: "Use default"
              })
            )
          ) : null
        )
      );
    };
    return Block({}, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const Image = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        size: { width: "300px", height: "300px" },
        default_size: true,
        url: "",
        aspect: true,
        caption: "",
        caption_css: "",
        alt_text: "",
        alignment: "left",
        roundness: "2em",
        link: ""
      })
    }
    /* ... */
  },
  name: "Image",
  description: "Display graphics within document",
  icon: `<svg width="24" height="24" focusable="false"><path d="m5 15.7 3.3-3.2c.3-.3.7-.3 1 0L12 15l4.1-4c.3-.4.8-.4 1 0l2 1.9V5H5v10.7ZM5 18V19h3l2.8-2.9-2-2L5 17.9Zm14-3-2.5-2.4-6.4 6.5H19v-4ZM4 3h16c.6 0 1 .4 1 1v16c0 .6-.4 1-1 1H4a1 1 0 0 1-1-1V4c0-.6.4-1 1-1Zm6 8a2 2 0 1 0 0-4 2 2 0 0 0 0 4Z" fill-rule="nonzero"></path></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let active_cls = "bg-primary-300";
    let svg_left = `<svg width="24" height="24" focusable="false"><path d="M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm0 4h8c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Zm0-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z" fill-rule="evenodd"></path></svg>`;
    let svg_center = `<svg width="24" height="24" focusable="false"><path d="M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm3 4h8c.6 0 1 .4 1 1s-.4 1-1 1H8a1 1 0 1 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1H8a1 1 0 0 1 0-2Zm-3-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z" fill-rule="evenodd"></path></svg>`;
    let svg_right = `<svg width="24" height="24" focusable="false"><path d="M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm6 4h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm-6-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z" fill-rule="evenodd"></path></svg>`;
    let view_content = ({ h, state, RLink }) => {
      let img_el = h("img", {
        src: state.url,
        loading: "lazy",
        alt: state.alt_text,
        class: ["w-fit"],
        style: {
          ...state.default_size ? {} : state.size,
          borderRadius: state.roundness
        }
      });
      let caption_el = h("div", { class: ["caption", state.caption_css] }, state.caption);
      return h(
        "figure",
        {
          class: ["flex", "flex-col", state.alignment == "right" ? "items-end" : state.alignment == "center" ? "items-center" : ""]
        },
        state.link ? h(
          RLink,
          { to: state.link },
          () => img_el
        ) : img_el,
        state.caption ? state.link ? h(RLink, { to: state.link }, () => caption_el) : caption_el : null
      );
    };
    let edit_content = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      RInput,
      RCheckbox,
      VModel,
      RRowLabel,
      RRow,
      RResize,
      RDuplex,
      state,
      RButton,
      RFilebrowser
    }) => {
      let editor_states = useEditorState();
      let update_alignment = (val) => {
        let blk = editor_states.get_block(block_id);
        blk.state.alignment = val;
      };
      return h(
        "div",
        {
          style: { minHeight: "32px" },
          class: ["Image", "flex", "flex-col", state.alignment == "right" ? "items-end" : state.alignment == "center" ? "items-center" : ""]
        },
        h(
          RResize,
          VModel("size", {
            disabled: state.default_size,
            aspect: state.aspect,
            onChange(size) {
              return { size };
            }
          }),
          () => h(
            "div",
            { class: ["flex", "flex-col", "w-fit"] },
            state.url ? h("img", {
              loading: "lazy",
              src: state.url,
              draggable: false,
              alt: state.alt_text,
              style: {
                ...state.default_size ? {} : state.size,
                userSelect: "none",
                borderRadius: state.roundness,
                width: state.default_size ? "100%" : undefined
              }
            }) : h("div", { class: ["bg-gray-300", "rounded", "border", "border-gray-500", "border-solid", "w-md", "border-2", "h-24"] })
          )
        ),
        state.caption ? h("div", {
          class: ["p-1", state.caption_css, "caption"]
        }, state.caption) : h("div", {}),
        Inspector(
          h(
            RRowLabel,
            { text: "URL" },
            () => h(RFilebrowser, VModel("url", {
              onChange(url) {
                return { url };
              }
            }))
          ),
          h(RCheckbox, VModel("default_size", {
            onChange(default_size) {
              return { default_size };
            }
          }), () => "Use Default Size"),
          !state.default_size ? h(
            RRow,
            {},
            () => [
              (() => h(RRowLabel, { text: "Width" }, h(RDuplex, {
                modelValue: state.size.width,
                onRchange(e) {
                  let blk = editor_states.get_block(block_id);
                  blk.state.size.width = e;
                }
              })))(),
              (() => h(
                RRowLabel,
                { text: "Height" },
                h(RDuplex, {
                  modelValue: state.size.height,
                  onRchange(e) {
                    let blk = editor_states.get_block(block_id);
                    blk.state.size.height = e;
                  }
                })
              ))()
            ]
          ) : null,
          h(
            "div",
            { class: ["flex", "gap-3", "justify-between"] },
            h(
              RRowLabel,
              { text: "Alignment" },
              () => h(
                "div",
                { class: ["flex", "justify-center", "gap-2"] },
                h(RButton, { class: ["w-fit", state.alignment == "left" ? active_cls : ""], onClick(e) {
                  update_alignment("left");
                } }, () => h("span", { innerHTML: svg_left })),
                h(RButton, { class: ["w-fit", state.alignment == "center" ? active_cls : ""], onClick(e) {
                  update_alignment("center");
                } }, () => h("span", { innerHTML: svg_center })),
                h(RButton, { class: ["w-fit", state.alignment == "right" ? active_cls : ""], onClick(e) {
                  update_alignment("right");
                } }, () => h("span", { innerHTML: svg_right }))
              )
            ),
            h(
              RRowLabel,
              { text: "Roundness" },
              () => h(RDuplex, VModel("roundness", {
                onChange(roundness) {
                  return { roundness };
                }
              }))
            )
          ),
          h(
            RRowLabel,
            { text: "Alt Text" },
            () => h(RInput, VModel("alt_text", {
              onChange(alt_text) {
                return { alt_text };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Caption" },
            () => h(RInput, VModel("caption", {
              onChange(caption) {
                return { caption };
              }
            }))
          ),
          state.caption ? h(
            RRowLabel,
            { text: "Caption CSS" },
            () => h(RInput, VModel("caption_css", {
              onChange(caption_css) {
                return { caption_css };
              }
            }))
          ) : null,
          h(
            RRowLabel,
            { text: "Link" },
            () => h(
              RInput,
              VModel("link", {
                onRchange: (link) => ({ link })
              }),
              () => h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244" /></svg> ` })
            )
          )
        )
      );
    };
    return Block({ emits: ["new"] }, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const InspectClass = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        class: [],
        element_id: null
      })
    }
    //The blocks state (ideal for render view, but not for edit view)
    /* ... */
  },
  name: "InspectClass",
  description: "Inspector for class and id properties for a block",
  icon: ``,
  setup(props, { attrs, emit, slots }) {
    try {
      let Block = props.Block;
      let content = ({ util, ref, block_id, type, h, useEditorState, Inspector, RText, RInput, VModel, RRowLabel }) => {
        let editor_states = useEditorState();
        return h(
          "div",
          { class: ["InspectClass"] },
          h(
            RRowLabel,
            { text: "Block CLass", class: ["class-field"] },
            () => h(RInput, VModel("class", {
              get(blk) {
                var cls = blk.state.class || [];
                if (Array.isArray(cls)) {
                } else {
                  cls = [cls];
                }
                return cls;
              },
              onChange(e) {
                if (!Array.isArray(e)) {
                  var parts = e.split(/[,\s]/gm);
                  e = parts;
                }
                for (var i = 0; i < e.length; i++) {
                  e[i] = e[i].trim();
                  if (e[i].length == 0 && i < e.length - 1) {
                    e.splice(i, 1);
                  }
                }
                return { class: e };
              },
              onEnter(e) {
                let detail = { after: block_id, data: { type } };
                e.preventDefault();
              },
              onkeydown(e) {
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Element ID", class: "text-field" },
            () => h(RInput, VModel("element_id", {
              onChange(e) {
                return { element_id: e };
              },
              onEnter(e) {
                let detail = { after: block_id, data: { type } };
                util.trigger("blur", e.target);
                util.trigger("new", e.target, detail);
                e.preventDefault();
              },
              onkeydown(e) {
              }
            }))
          )
        );
      };
      return Block({}, content);
    } catch (xx) {
      console.log("????EIFHO", xx);
    }
  }
  //End of setup
});

const Paragraph = () => ({
  emits: ["update:modelValue", "new"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    h: null,
    state: {
      type: Object,
      default: () => ({
        text: "",
        alignment: "",
        callout: ""
      })
    }
  },
  name: "Paragraph",
  description: "Compose multiple sentence within your document",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  is_droppable(options) {
    return false;
  },
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return {
      style: [],
      script: []
    };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let active_cls = "bg-primary-300";
    let svg_left = `<svg width="24" height="24" focusable="false"><path d="M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm0 4h8c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Zm0-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z" fill-rule="evenodd"></path></svg>`;
    let svg_center = `<svg width="24" height="24" focusable="false"><path d="M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm3 4h8c.6 0 1 .4 1 1s-.4 1-1 1H8a1 1 0 1 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1H8a1 1 0 0 1 0-2Zm-3-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z" fill-rule="evenodd"></path></svg>`;
    let svg_right = `<svg width="24" height="24" focusable="false"><path d="M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm6 4h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm-6-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z" fill-rule="evenodd"></path></svg>`;
    let map_callout = (state) => {
      let callout_classes = [];
      if (state.callout) {
        switch (state.callout) {
          case "callout":
            callout_classes = ["callout"];
            break;
          case "callout-primary":
            callout_classes = ["callout", "callout-primary"];
            break;
          case "callout-danger":
            callout_classes = ["callout", "callout-danger"];
            break;
          case "callout-success":
            callout_classes = ["callout", "callout-success"];
            break;
          case "callout-warn":
            callout_classes = ["callout", "callout-warn"];
            break;
          case "callout-indigo":
            callout_classes = ["callout", "callout-indigo"];
            break;
        }
      }
      return callout_classes;
    };
    let content_view = ({ h, state }) => {
      let txt_align = "text-left";
      if (state.alignment) txt_align = "text-" + state.alignment;
      return h("p", { class: ["paragraph", txt_align, ...map_callout(state)], innerHTML: state.text });
    };
    let raw_mode = props.Jx(false);
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      RButton,
      RSelect,
      Inspector,
      RText,
      instance,
      state,
      is_active,
      RInput,
      VModel,
      RRowLabel,
      editor_store
    }) => {
      let editor_states = useEditorState();
      let update_alignment = (val) => {
        let blk = editor_states.get_block(block_id);
        blk.state.alignment = val;
      };
      let txt_align = "text-left";
      if (state.alignment) txt_align = "text-" + state.alignment;
      return h(
        "div",
        { class: ["Paragraph", ...map_callout(state)] },
        editor_states.active_block_id() == block_id ? h("div", {
          class: ["Advance", "absolute", "z-800"],
          style: { top: "-30px", right: "38px" }
        }, h("button", {
          class: ["bg-primary-300", "rounded", "p-1", "hover:bg-primary-500"],
          style: { "--bg-opacity": "0.25" },
          innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
  <path stroke-linecap="round" stroke-linejoin="round" d="M17.25 6.75 22.5 12l-5.25 5.25m-10.5 0L1.5 12l5.25-5.25m7.5-3-4.5 16.5" /></svg>`,
          onClick(e) {
            raw_mode.value = !raw_mode.value;
          },
          "data-tooltip": `Enable finer control through direct HTML markup`
        })) : null,
        !raw_mode.value ? h(RText, VModel("text", {
          minHeight: "32px",
          class: [txt_align],
          inline: true,
          onChange: (e) => ({ text: e }),
          onEnter(e) {
            e.preventDefault();
            e.stopPropagation();
            let detail = { after: block_id, data: { type }, get_focus: true };
            emit("blur");
            let new_id = editor_states.insert_block(detail);
            editor_states.active_block(new_id);
            setTimeout(() => {
              let el_blk = document.body.querySelector(`[block-id=${new_id}] .rc-text .control`);
              el_blk.focus();
            }, 30);
          }
        })) : h(
          "div",
          {},
          h("div", { class: "text-xx color-gray-400 mb-2" }, "HTML Mode"),
          h(RInput, VModel("text", {
            class: [txt_align],
            height: "140px",
            onChange: (e) => ({ text: e }),
            multiLine: true
          }))
        ),
        Inspector(
          h(
            RRowLabel,
            { text: "Mark as Callout" },
            () => h(RSelect, VModel("callout", {
              values: [
                { title: "Normal text", value: "" },
                { title: "Callout", value: "callout" },
                { title: "Callout - Primary", value: "callout-primary" },
                { title: "Callout - Danger", value: "callout-danger" },
                { title: "Callout - Success", value: "callout-success" },
                { title: "Callout - Warn", value: "callout-warn" },
                { title: "Callout - Indigo", value: "callout-indigo" }
              ]
            }))
          ),
          h(
            RRowLabel,
            { text: "Alignment" },
            () => h(
              "div",
              { class: ["flex", "justify-center", "gap-2"] },
              h(RButton, { class: ["w-fit", state.alignment == "left" ? active_cls : ""], onClick(e) {
                update_alignment("left");
              } }, () => h("span", { innerHTML: svg_left })),
              h(RButton, { class: ["w-fit", state.alignment == "center" ? active_cls : ""], onClick(e) {
                update_alignment("center");
              } }, () => h("span", { innerHTML: svg_center })),
              h(RButton, { class: ["w-fit", state.alignment == "right" ? active_cls : ""], onClick(e) {
                update_alignment("right");
              } }, () => h("span", { innerHTML: svg_right }))
            )
          )
        )
      );
    };
    return Block(props.isEdit ? content_edit : content_view);
  }
});

const RawHTML = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({ content: "" })
    }
    /* ... */
  },
  name: "RawHTML",
  description: "Insert raw HTML into the document.  Please validate the HTML and avoid script tags",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-6 h-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M17.25 6.75 22.5 12l-5.25 5.25m-10.5 0L1.5 12l5.25-5.25m7.5-3-4.5 16.5" /></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let view_content = ({ h, state }) => {
      return h("div", { innerHTML: state.content });
    };
    let edit_content = ({ state, util, ref, block_id, type, h, useEditorState, Inspector, RText, RInput, VModel, RRowLabel }) => {
      let editor_states = useEditorState();
      return [
        h(
          "div",
          { class: ["Markup"] },
          h("div", { innerHTML: state.content || "&nbsp;" }),
          Inspector([
            h(
              RRowLabel,
              { text: "Content" },
              h("textarea", {
                style: { minHeight: "320px" },
                class: ["bg-white"],
                modelValue: state.content,
                value: state.content,
                onInput(e) {
                  let blk = editor_states.get_block(block_id);
                  blk.state.content = e.target.value;
                  return { content };
                }
              })
            )
          ])
        ),
        h("span", {
          class: ["absolute", "color-red-500"],
          style: { left: "8px", bottom: "-8px" },
          innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5">  <path stroke-linecap="round" stroke-linejoin="round" d="M19.5 14.25v-2.625a3.375 3.375 0 0 0-3.375-3.375h-1.5A1.125 1.125 0 0 1 13.5 7.125v-1.5a3.375 3.375 0 0 0-3.375-3.375H8.25m0 12.75h7.5m-7.5 3H12M10.5 2.25H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 0 0-9-9Z" /></svg>`
        })
      ];
    };
    return Block({}, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const PostContent = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    //used to pass down prevent re-initialization of Blocks Classes within RViewer
    passBlocks: null,
    passBlocksArr: null,
    state: {
      type: Object,
      default: () => ({})
    }
  },
  name: "PostContent",
  description: "Used to import other posts",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, RViewer, post }) => {
      if (post) {
        return h(RViewer, {
          post,
          passBlocks: props.passBlocks,
          passBlocksArr: props.passBlocksArr,
          mainType: post == null ? undefined : post.type
        }, typeof slots.default == "function" ? slots.default() : null);
      } else {
        return h("div", {
          class: ["p-2", "rounded"]
        }, "No content was supplied");
      }
    };
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      instance,
      state,
      RInput,
      VModel,
      RRowLabel
    }) => {
      useEditorState();
      return h(
        "div",
        { class: ["Paragraph"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h("div", {}, h("b", {}, "PostContent")),
          h("div", { class: ["bg-gray-300", "h-3", "w-full", "mt-1"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-2/3", "mt-1"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-22", "mt-1"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-full", "mt-4", "w-2/3"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-22", "w-12", "mt-1"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-22", "mt-2"] })
        ),
        Inspector()
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const Container = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    state: {
      type: Object,
      default: () => ({
        tag: "section",
        text: ""
      })
    }
    //The blocks state (ideal for render view, but not for edit view)
  },
  name: "Container",
  description: "Container to center content",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  is_droppable(effect) {
    return true;
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let view_content = ({ h, state }) => {
      return h(state.tag || "div", {
        class: [!props.isEdit ? "container" : ""]
      }, slots.default ? slots.default() : null);
    };
    let edit_content = ({ state, util, RRowLabel, ref, block_id, type, children_count, h, useEditorState, Inspector, RText, RSelect, VModel, tag_types }) => {
      useEditorState();
      let tag = state.stag || "div";
      return h(
        tag,
        {
          class: ["p-1", "border-2", "border-dashed", "border-gray-300", "rounded", "container"],
          style: {
            minHeight: "6.5rem",
            width: "100%",
            minWidth: "100%"
          }
        },
        h("div", { class: ["container-content-wrap"] }, slots.default ? slots.default() : null),
        Inspector(
          h(
            "p",
            {},
            "The appears of the container within the editor is not a true representation.  Please click preview to get a more accurate view."
          ),
          h(
            RRowLabel,
            { text: "Container Element Type" },
            h(RSelect, VModel("tag", {
              values: tag_types,
              onChange(e) {
                return { tag: e };
              }
            }))
          )
        )
      );
    };
    return Block({}, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const InspectFont = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        font_family: "",
        font_color: "",
        font_size: ""
      })
    }
    //The blocks state (ideal for render view, but not for edit view)
    /* ... */
  },
  name: "InspectFont",
  description: "Inspector for class and id properties for a block",
  icon: ``,
  setup(props, { attrs, emit, slots }) {
    try {
      let Block = props.Block;
      let content = ({ state, util, ref, block_id, type, h, useEditorState, Inspector, RText, RInput, VModel, RDuplex, RRow, RRowLabel, RSelect, RColor }) => {
        let editor_states = useEditorState();
        let instance = editor_states.get_block(block_id);
        return h(
          "div",
          { class: ["Inspect-Family"] },
          h(
            RRowLabel,
            { text: "Block Font", class: ["class-field"] },
            () => h(
              RSelect,
              {
                values: editor_states.fonts,
                modelValue: instance.state.font_family,
                onRchange(e) {
                  let blk = instance;
                  blk.state.font_family = e;
                }
              },
              (info) => h("div", {
                class: ["font-preview", info.value],
                style: { fontfamily: info.value, "font-family": info.value }
              }, info.text)
            )
          ),
          h(
            RRow,
            {},
            () => [
              h(
                RRowLabel,
                { text: "Font Color", class: ["class-field"] },
                () => h(RColor, {
                  modelValue: instance.state.font_color,
                  onRchange(e) {
                    let blk = instance;
                    blk.state.font_color = e;
                  }
                })
              ),
              h(
                RRowLabel,
                { text: "Font Size", class: ["class-field"] },
                () => h(RDuplex, {
                  modelValue: instance.state.font_size,
                  onRchange(e) {
                    let blk = editor_states.get_block(block_id);
                    blk.state.font_size = e;
                  }
                })
              )
            ]
          )
        );
      };
      return Block({}, content);
    } catch (xx) {
      console.log("????EIFHO", xx);
    }
  }
  //End of setup
});

const InspectConditional = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        is_hidden: false,
        render_conditions: [],
        condition_color: ""
      })
    }
    //The blocks state (ideal for render view, but not for edit view)
    /* ... */
  },
  name: "InspectConditional",
  description: "Specify conditions for when a block may be visible or hidden",
  icon: ``,
  setup(props, { attrs, emit, slots }) {
    let condition_type_list = [
      { value: null, title: "None" },
      { value: "lockdown", title: "Lockdown" },
      // operators: specifies a reduces operator list to be used for the condition type
      // values : indicates whether or not a specific target value can be dropdown or fre text
      {
        value: "login_status",
        title: "Log Status",
        operators: ["is", "not"],
        values: [
          { value: "logged_in", title: "Logged In" },
          { value: "logged_out", title: "Logged Out" }
        ]
      },
      { value: "user_role", title: "User Role", operators: ["is", "not"] },
      { value: "user_cap", title: "User Capability", operators: ["is", "not"] },
      { value: "url_query", title: "URL Query", operators: ["is", "not"] },
      { value: "user_meta", title: "User Meta", operators: ["is", "not"] },
      { value: "post_meta", title: "Post Meta", operators: ["is", "not"] },
      { value: "post_id", title: "Post ID", operators: ["is", "not"] },
      { value: "post_type", title: "Post Type", operators: ["is", "not"] },
      {
        value: "post_category",
        title: "Post Category",
        operators: ["is", "not"],
        is_single: false
      },
      { value: "post_tag", title: "Post Tags", operators: ["is_in", "not_in"] },
      { value: "time_day", title: "Time of Day", operators: ["is_in", "not_in"], description: 'Time like "hh:mm"' },
      {
        value: "weekday",
        operators: ["is", "not"],
        is_single: false,
        title: "Day of Week",
        values: [
          { value: "sunday", title: "Sunday" },
          { value: "monday", title: "Monday" },
          { value: "tuesday", title: "Tuesday" },
          { value: "wednesday", title: "Wednesday" },
          { value: "thursday", title: "Thursday" },
          { value: "friday", title: "Friday" },
          { value: "saturday", title: "Saturday" }
        ]
      },
      {
        value: "month",
        operators: ["is", "not"],
        is_single: false,
        title: "Month Of",
        values: [
          { value: 0, title: "January" },
          { value: 1, title: "February" },
          { value: 2, title: "March" },
          { value: 3, title: "April" },
          { value: 4, title: "May" },
          { value: 5, title: "June" },
          { value: 6, title: "July" },
          { value: 7, title: "August" },
          { value: 8, title: "September" },
          { value: 9, title: "October" },
          { value: 10, title: "November" },
          { value: 11, title: "December" }
        ]
      },
      { value: "cookie", operator: ["is", "not"], title: "Cookies" },
      { value: "use_plugin", title: "Use Plugin", operators: ["is", "not"] }
    ];
    let condition_operators = [
      { value: "is", title: "Is/Has" },
      { value: "is_in", title: "Is in" },
      { value: "not", title: "Is not" },
      { value: "not_in", title: "Is not in" }
    ];
    try {
      let Block = props.Block;
      let content = ({
        repeater,
        RSelect,
        state,
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        RInput,
        VModel,
        RDuplex,
        RRow,
        RRowLabel,
        RColor,
        RCheckbox
      }) => {
        let editor_states = useEditorState();
        return h(
          "div",
          { class: ["Conditional", "mt-2"] },
          h(RCheckbox, VModel("is_hidden", {
            tooltip: "Mark this block as available on render, but hidden to users",
            onChange(is_hidden) {
              return { is_hidden };
            }
          }), () => "Hide in page"),
          h(
            "div",
            { class: ["flex", "gap-2", "items-center", "mt-3"] },
            h(RColor, {
              modelValue: editor_states.get_block(block_id).state.condition_color,
              onRchange(e) {
                let blk = editor_states.get_block(block_id);
                blk.state.condition_color = e;
              }
            }),
            h("div", "Condition Color")
          ),
          ...repeater("render_conditions", "Render Conditions", {
            onNew() {
              return { type: "", operator: "", target_value: "" };
            },
            onRender(item, index) {
              let type_def = condition_type_list.find((it) => it.value == item.type);
              if (!type_def) {
                type_def = { value: "lockdown" };
              }
              let is_lockdown = type_def && type_def.value == "lockdown";
              if (type_def && type_def.value == "user_role") {
                type_def.values = editor_states.roles.map((it) => ({ value: it.name, title: it.title || it.name }));
              }
              if (type_def && type_def.value == "user_cap") {
                type_def.values = editor_states.caps.map((it) => ({ value: it.name, title: it.name }));
              }
              if (type_def && type_def.value == "post_category") {
                type_def.values = editor_states.categories.map((it) => ({ value: it.id, title: it.title }));
              }
              let filter_operators = condition_operators.filter((it) => {
                if (!type_def) return true;
                if (!type_def.operators) return true;
                if (Array.isArray(type_def.operators) && type_def.operators.length == 0) return true;
                var limited_operators = type_def.operators;
                return limited_operators.includes(it.value);
              });
              let has_dropdown_choices = type_def && Array.isArray(type_def.values) && type_def.values.length > 0;
              if (!Array.isArray(item.target_value)) item.target_value = [item.target_value];
              let single = true;
              if (type_def && (type_def.single === false || type_def.is_single === false)) {
                single = false;
              }
              let operator_and_target_ui = [
                h(RSelect, {
                  modelValue: item.operator,
                  onRchange(operator) {
                    item.operator = operator;
                  },
                  values: filter_operators
                }),
                !has_dropdown_choices ? h(RInput, {
                  modelValue: item.target_value,
                  onRchange(target_value) {
                    item.target_value = target_value;
                  }
                }) : h(RSelect, {
                  single,
                  modelValue: item.target_value,
                  onRchange(target_value) {
                    item.target_value = target_value;
                  },
                  values: type_def ? type_def.values : []
                }),
                type_def ? !type_def.description ? null : h("p", { class: ["color-gray-400", "text-sm", "mt-1"] }, type_def.description) : null
              ];
              if (is_lockdown) operator_and_target_ui = [];
              return [
                h(RSelect, {
                  modelValue: item.type,
                  onRchange(type2) {
                    item.type = type2;
                  },
                  values: condition_type_list
                }),
                ...operator_and_target_ui
              ];
            }
          })
        );
      };
      return Block({}, content);
    } catch (xx) {
      console.log("????EIFHO", xx);
    }
  }
  //End of setup
});

const Card = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        url: null,
        image: null,
        roundness: null,
        title: null,
        v_padding: null,
        border: true,
        description: null,
        max_text: 100,
        badge: null,
        badge_position: null,
        badge_color: "default",
        overlay: false,
        disabled: false,
        horizontal: false
      })
    }
    /* ... */
  },
  name: "Card",
  description: "Card element",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 8.25h19.5M2.25 9h19.5m-16.5 5.25h6m-6 2.25h3m-3.75 3h15a2.25 2.25 0 0 0 2.25-2.25V6.75A2.25 2.25 0 0 0 19.5 4.5h-15a2.25 2.25 0 0 0-2.25 2.25v10.5A2.25 2.25 0 0 0 4.5 19.5Z" />
  </svg>
  `,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let badge_positions = [
      { title: "Default", value: null },
      { title: "Top Left", value: "top_left" },
      { title: "Top Right", value: "top_right" },
      { title: "Bottom Right", value: "bottom_right" }
    ];
    let view_content = ({ h, state, RCard }) => {
      return h(RCard, {
        title: state.title,
        description: state.description,
        image: state.image,
        url: state.url,
        roundness: state.roundness,
        vPadding: state.vpadding,
        border: state.border,
        overlay: state.overlay,
        overlayColor: state.overlay_color,
        horizontal: state.horizontal,
        maxText: state.max_text,
        badgeColor: state.badge_color,
        badgePosition: state.badge_position,
        badge: state.badge
      }, slots.default ? slots.default() : null);
    };
    let edit_content = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      RInput,
      RCheckbox,
      VModel,
      RRowLabel,
      RRow,
      RResize,
      RDuplex,
      state,
      RButton,
      RFilebrowser,
      RCard,
      RSelect
    }) => {
      let editor_states = useEditorState();
      let instance = editor_states.get_block(block_id);
      return h(
        "div",
        { class: ["Card"] },
        view_content({ h, state, RCard }),
        Inspector(
          h(
            RRowLabel,
            { text: "Title" },
            () => h(RInput, VModel("title", {
              onChange(title) {
                return { title };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Description" },
            () => h(RText, VModel("description", {
              onChange(description) {
                return { description };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Max Display Text" },
            () => h(RInput, VModel("max_text", {
              type: "number",
              onChange(max_text) {
                max_text = Number.parseInt(max_text);
                return { max_text };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Image" },
            () => h(RFilebrowser, VModel("image", {
              onChange(image) {
                return { image };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Navigation URL" },
            () => h(
              RInput,
              VModel("url", {
                onChange(url) {
                  return { url };
                }
              }),
              () => h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
                            <path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244" />
                          </svg>
                          ` })
            )
          ),
          h(
            "div",
            { class: ["flex", "gap-1"] },
            h(
              RRowLabel,
              { text: "Roundness" },
              () => h(RDuplex, VModel("roundness", {
                onChange(roundness) {
                  return { roundness };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "V Padding" },
              () => h(RDuplex, VModel("v_padding", {
                onChange(v_padding) {
                  return { v_padding };
                }
              }))
            )
          ),
          h(
            "div",
            { class: ["flex", "gap-1"] },
            h(RCheckbox, {
              modelValue: instance.state.border,
              onRchange(x) {
                instance.state.border = x;
              }
            }, () => "Border"),
            h(RCheckbox, {
              modelValue: instance.state.overlay,
              onRchange(overlay) {
                instance.state.overlay = overlay;
              }
            }, () => "Overlay"),
            h(RCheckbox, {
              modelValue: instance.state.horizontal,
              onRchange(horizontal) {
                instance.state.horizontal = horizontal;
              }
            }, () => "Horizontal")
          ),
          h(
            RRowLabel,
            { text: "Overlay Color" },
            () => h(RSelect, VModel("overlay_color", {
              values: [
                { title: "Primary", value: "primary" },
                { title: "Amber", value: "amber" },
                { title: "Emerald", value: "emerald" },
                { title: "Blue", value: "blue" },
                { title: "Red", value: "red" },
                { title: "White", value: "white" },
                { title: "Indigo", value: "indigo" },
                { title: "Gray", value: "gray" }
              ],
              onChange(overlay_color) {
                return { overlay_color };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Badge" },
            () => h(RText, VModel("badge", {
              onChange(badge) {
                return { badge };
              }
            }))
          ),
          state.badge && state.badge.toLowerCase() != "<br>" && state.badge.length > 1 ? h(
            "div",
            {},
            h(
              RRowLabel,
              { text: "Badge Color" },
              () => h(RSelect, VModel("badge_color", {
                values: [
                  { title: "Primary", value: "primary" },
                  { title: "Amber", value: "amber" },
                  { title: "Emerald", value: "emerald" },
                  { title: "Blue", value: "blue" },
                  { title: "Red", value: "red" },
                  { title: "White", value: "white" },
                  { title: "Indigo", value: "indigo" },
                  { title: "Gray", value: "gray" }
                ],
                onChange(badge_color) {
                  return { badge_color };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Badge Position" },
              () => h(RSelect, VModel("badge_position", {
                values: badge_positions,
                onChange(badge_position) {
                  return { badge_position };
                }
              }))
            )
          ) : null
        )
      );
    };
    return Block({ emits: ["new"] }, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const CTA = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        url: null,
        image: null,
        roundness: null,
        actions: [],
        title: "Special Offer Awaits",
        description: "Act <u>now</u> to activate offer",
        title_css: "",
        reverse: null,
        layout: null,
        actions_css_wrapper: null
      })
    }
    /* ... */
  },
  name: "CTA",
  description: "Call To Action component",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 8.25h19.5M2.25 9h19.5m-16.5 5.25h6m-6 2.25h3m-3.75 3h15a2.25 2.25 0 0 0 2.25-2.25V6.75A2.25 2.25 0 0 0 19.5 4.5h-15a2.25 2.25 0 0 0-2.25 2.25v10.5A2.25 2.25 0 0 0 4.5 19.5Z" />
  </svg>
  `,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let view_content = ({ h, state, RCta }) => {
      return h(RCta, {
        title: state.title,
        titleClass: state.title_css,
        description: state.description,
        image: state.image,
        url: state.url,
        roundness: state.roundness,
        layout: state.layout,
        reverse: state.reverse,
        actions: state.actions,
        actionsClass: state.actions_css_wrapper
      }, () => slots.default ? slots.default() : null);
    };
    let edit_content = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      RInput,
      RCheckbox,
      VModel,
      RRowLabel,
      RRow,
      RResize,
      RCta,
      RDuplex,
      state,
      RButton,
      RFilebrowser,
      RCard,
      RSelect,
      repeater
    }) => {
      let editor_states = useEditorState();
      let instance = editor_states.get_block(block_id);
      return h(
        "div",
        { class: ["Card"] },
        view_content({ h, state, RCta }),
        Inspector(
          h(
            RRowLabel,
            { text: "Title" },
            () => h(RInput, VModel("title", {
              onChange(title) {
                return { title };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Title CSS Class(es)" },
            () => h(RInput, VModel("title_css", {}))
          ),
          h(
            RRowLabel,
            { text: "Description" },
            () => h(RText, VModel("description", {
              onChange(description) {
                return { description };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "CTA Image" },
            () => h(RFilebrowser, VModel("image", {
              placeholder: "Image file",
              onChange(image) {
                return { image };
              }
            }))
          ),
          /*h(RRowLabel,{text:'Navigation URL'},
             ()=> h(RInput,VModel('url',{ 
                  onChange(url){ 
                      return { url }
                  }
              }),
              ()=> h('span',{innerHTML:`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
                  <path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244" />
                </svg>
                `})
              )
          ), */
          h(
            "div",
            { class: ["flex", "gap-1"] },
            h(
              RRowLabel,
              { text: "Roundness" },
              () => h(RDuplex, VModel("roundness", {
                onChange(roundness) {
                  return { roundness };
                }
              }))
            )
          ),
          h(
            "div",
            { class: ["flex", "gap-2"] },
            h(RCheckbox, {
              modelValue: instance.state.reverse,
              onRchange(val) {
                instance.state.reverse = val;
              }
            }, () => "Reverse")
          ),
          h(
            RRowLabel,
            { text: "Layout" },
            () => h(RSelect, VModel("layout", {
              modelValue: "layout",
              values: [
                { title: "Layout 1", value: "1" },
                { title: "Layout 2", value: "2" },
                { title: "Layout 3", value: "3" }
              ],
              onChange(layout) {
                return { layout };
              }
            }))
          ),
          state.actions && state.actions.length > 0 ? h(
            RRowLabel,
            { text: "Action Class Wrapper(s)" },
            () => h(RInput, VModel("actions_css_wrapper", {}))
          ) : null,
          ...repeater("actions", "Action Buttons", {
            onNew() {
              return { url: "", text: "", css_cls: "", type: "default" };
            },
            onRender(item, index) {
              return [
                h(RInput, {
                  placeholder: "Display text",
                  class: "mb-1",
                  modelValue: item.text,
                  multiLine: true,
                  onRchange(text) {
                    item.text = text;
                  }
                }),
                h(RInput, {
                  class: "mb-1",
                  placeholder: "/link/url",
                  modelValue: item.url,
                  onRchange(url) {
                    item.url = url;
                  }
                }, () => h("span", {
                  innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244" /></svg>`
                })),
                h(RSelect, {
                  modelValue: item.type,
                  onRchange(val) {
                    item.type = val;
                  },
                  values: [
                    { title: "Default", value: "default" },
                    { title: "Primary Solid", value: "primary-solid" },
                    { title: "Primary Outline", value: "primary-outline" },
                    { title: "Primary Flat", value: "primary-flat" },
                    { title: "Black Solid", value: "black-solid" },
                    { title: "Black Outline", value: "black-outline" }
                  ]
                }),
                h(RInput, {
                  placeholder: "CSS classes",
                  class: "mb-1",
                  modelValue: item.css_cls,
                  onRchange(css_cls) {
                    item.css_cls = css_cls;
                  }
                })
              ];
            }
          })
        )
      );
    };
    return Block({ emits: ["new"] }, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const Element = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        tag: "div",
        layout_template: null,
        shape: null,
        shape_height: "3em",
        padding_top: null,
        padding_bottom: null,
        padding_left: null,
        padding_right: null,
        margin_top: null,
        marging_bottom: null,
        margin_left: null,
        margin_right: null,
        background_color: "",
        image: null,
        overlay: false,
        overlay_color: null,
        overlay_opacity: 0.75,
        overlay_brightness: 1,
        gradient: ["", ""],
        gradient_degree: 0
      })
    }
    /* ... */
  },
  name: "Element",
  description: "Create HTML blocks of various tags",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M5.25 8.25h15m-16.5 7.5h15m-1.8-13.5-3.9 19.5m-2.1-19.5-3.9 19.5" />
  </svg>  
  `,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let layout_templates = [
      { title: "None", value: null },
      { title: "1 Column", value: 1 },
      { title: "2 Columns", value: 2 },
      { title: "3 Columns", value: 3 },
      { title: "4 Columns", value: 4 },
      { title: "5 Columns", value: 5 },
      { title: "6 Columns", value: 6 },
      { title: "7 Columns", value: 7 },
      { title: "8 Columns", value: 8 },
      { title: "9 Columns", value: 9 },
      { title: "10 Columns", value: 10 },
      { title: "11 Columns", value: 11 },
      { title: "12 Columns", value: 12 }
    ];
    let view_content = ({ h, state, RElement }) => {
      let has_gradient = state.gradient && Array.isArray(state.gradient) && state.gradient.length > 1 && state.gradient[0] && state.gradient[1];
      let bg_gradient = {};
      if (has_gradient) {
        bg_gradient = {
          background: `linear-gradient(${state.gradient_degree}deg, ${state.gradient[0]} 30%, ${state.gradient[1]} 100%)`
        };
      }
      let the_tag = state.tag || "div";
      return h(
        the_tag,
        {
          class: [
            Array.isArray(state.class) ? state.class.join(" ") : state.class,
            state.layout_template ? "grid-cols-" + state.layoutTemplate : null
          ],
          style: {
            minHeight: props.isEdit ? "48px" : undefined,
            backgroundRepeat: "no-repeat",
            backgroundSize: "cover",
            backgroundImage: state.image ? `url(${state.image})` : undefined,
            backgroundColor: state.background_color || undefined,
            paddingTop: state.padding_top,
            paddingBottom: state.padding_bottom,
            paddingLeft: state.padding_left,
            paddingRight: state.padding_right,
            // ----------------------------- \\
            marginTop: state.margin_top,
            marginBottom: state.margin_bottom,
            marginLeft: state.margin_left,
            marginRight: state.margin_right
          }
        },
        state.overlay ? h("div", {
          class: ["overlay"],
          style: {
            backgroundColor: state.overlay_color,
            opacity: state.overlay_opacity,
            filter: `brightness(${state.overlay_brightness})`,
            ...bg_gradient
          }
        }) : null,
        slots.default ? slots.default() : null
      );
    };
    let edit_content = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      RInput,
      RCheckbox,
      VModel,
      RRowLabel,
      RRow,
      RColor,
      RElement,
      RDuplex,
      state,
      RButton,
      RRange,
      RFilebrowser,
      RCard,
      RSelect,
      tag_types
    }) => {
      let editor_states = useEditorState();
      let instance = editor_states.get_block(block_id);
      if (!instance.state.gradient) instance.state.gradient = ["", ""];
      return h(
        "div",
        { class: ["Element", "w-full"] },
        view_content({ h, state, RElement }),
        h(
          "div",
          { class: ["absolute", "color-white", "shadow"], style: { bottom: "4px" } },
          h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
    <path stroke-linecap="round" stroke-linejoin="round" d="M5.25 8.25h15m-16.5 7.5h15m-1.8-13.5-3.9 19.5m-2.1-19.5-3.9 19.5" /></svg>` })
        ),
        Inspector(
          h(
            RRowLabel,
            { text: "Element Type" },
            () => h(RSelect, VModel("tag", {
              values: tag_types,
              onRchange: (tag) => {
                instance.state.tag = tag;
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Layout Template" },
            () => h(RSelect, {
              values: layout_templates,
              modelValue: instance.state.layout_template,
              onRchange(e) {
                instance.state.layout_template = e;
              }
            })
          ),
          h(
            RRowLabel,
            { text: "Background Image" },
            () => h(RFilebrowser, VModel("image", {
              onChange(image) {
                return { image };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Background Color" },
            () => h(RColor, {
              modelValue: instance.state.background_color,
              onRchange(e) {
                let blk = editor_states.get_block(block_id);
                blk.state.background_color = e;
              }
            })
          ),
          h("div", { class: ["font-bold"] }, "Overlay"),
          h(
            "div",
            { class: ["flex", "gap-2"] },
            h(RCheckbox, {
              modelValue: instance.state.overlay,
              onRchange(e) {
                instance.state.overlay = e;
              }
            }, () => "Overlay"),
            h(RInput, {
              placeholder: "Overlay color",
              modelValue: instance.state.overlay_color,
              onRchange(e) {
                let blk = editor_states.get_block(block_id);
                blk.state.overlay_color = e;
              }
            })
          ),
          instance.state.overlay ? h(
            "div",
            { class: ["overlay-controls", "mb-2"] },
            h(
              RRowLabel,
              { text: "Overlay Opacity" },
              () => h(RRange, {
                modelValue: instance.state.overlay_opacity,
                onRchange(e) {
                  let blk = editor_states.get_block(block_id);
                  blk.state.overlay_opacity = e;
                }
              })
            ),
            h(
              RRowLabel,
              { text: "Brightness" },
              () => h(RRange, {
                modelValue: instance.state.overlay_brightness,
                onRchange(e) {
                  let blk = editor_states.get_block(block_id);
                  blk.state.overlay_brightness = e;
                }
              })
            ),
            h(
              "div",
              {},
              h("div", "Gradient Colors"),
              h(
                "div",
                { class: ["flex", "gap-2"] },
                h(RInput, {
                  placeholder: "Color 1",
                  modelValue: instance.state.gradient[0],
                  onRchange(e) {
                    instance.state.gradient[0] = e;
                  }
                }),
                h(RInput, {
                  placeholder: "Color 2",
                  modelValue: instance.state.gradient[1],
                  onRchange(e) {
                    instance.state.gradient[1] = e;
                  }
                })
              )
            ),
            h(
              RRowLabel,
              { text: "Gradient Direction" },
              () => h(RRange, {
                modelValue: instance.state.gradient_degree,
                min: 0,
                max: 360,
                onRchange(e) {
                  instance.state.gradient_degree = e;
                }
              })
            )
          ) : null,
          h("div", { class: ["font-bold"] }, "Padding"),
          //Padding
          h(
            "div",
            { class: ["grid"], style: {
              gridTemplateColumns: "repeat(2,1fr)"
            } },
            h(
              RRowLabel,
              { text: "Top" },
              () => h(RDuplex, VModel("padding_top", {
                onChange: (padding_top) => ({ padding_top })
              }))
            ),
            h(
              RRowLabel,
              { text: "Right" },
              () => h(RDuplex, VModel("padding_right", {
                onChange: (padding_right) => ({ padding_right })
              }))
            ),
            h(
              RRowLabel,
              { text: "Bottom" },
              () => h(RDuplex, VModel("padding_bottom", {
                onChange: (padding_bottom) => ({ padding_bottom })
              }))
            ),
            h(
              RRowLabel,
              { text: "Left" },
              () => h(RDuplex, VModel("padding_left", {
                onChange: (padding_left) => ({ padding_left })
              }))
            )
          ),
          // Margin
          h("div", { class: ["font-bold"] }, "Margin"),
          h(
            "div",
            { class: ["grid"], style: {
              gridTemplateColumns: "repeat(2,1fr)"
            } },
            h(
              RRowLabel,
              { text: "Top" },
              () => h(
                RDuplex,
                VModel("margin_top", {
                  onChange: (margin_top) => ({ margin_top })
                })
              )
            ),
            h(
              RRowLabel,
              { text: "Right" },
              () => h(RDuplex, VModel("margin_right", {
                onChange: (margin_right) => ({ margin_right })
              }))
            ),
            h(
              RRowLabel,
              { text: "Bottom" },
              () => h(RDuplex, VModel("margin_bottom", {
                onChange: (margin_bottom) => ({ margin_bottom })
              }))
            ),
            h(
              RRowLabel,
              { text: "Left" },
              () => h(RDuplex, VModel("margin_left", {
                onChange: (margin_left) => ({ margin_left })
              }))
            )
          )
          /*h(RRowLabel,{text : 'Use Shape'}, 
              ()=> h(RSelect,{
                  modelValue: instance.state.shape, 
                  values : shape_types ,
                  onRchange(e){ instance.state.shape = e }
          })),
          instance.state.shape ? h(RRowLabel,{text : 'Shape Height'},
              () => h(RDuplex,{
                  modelValue : instance.state.shape_height,
                  onRchange(e){ instance.state.shape_height = e }
              })
          ): null */
        )
      );
    };
    return Block({ emits: ["new"] }, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const Media = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        url: null,
        image: null,
        image_shape: null,
        image_size: null,
        title: "Title",
        title_css: "",
        description: "Description goes here",
        horizontal: true,
        centered: false
      })
    }
    /* ... */
  },
  name: "Media",
  description: "Quickly display small content with image next to text title and description. Allows slots",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 8.25h19.5M2.25 9h19.5m-16.5 5.25h6m-6 2.25h3m-3.75 3h15a2.25 2.25 0 0 0 2.25-2.25V6.75A2.25 2.25 0 0 0 19.5 4.5h-15a2.25 2.25 0 0 0-2.25 2.25v10.5A2.25 2.25 0 0 0 4.5 19.5Z" />
  </svg>
  `,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let view_content = ({ h, state, RMedia }) => {
      return h(RMedia, {
        title: state.title,
        titleCss: state.title_css,
        description: state.description,
        image: state.image,
        imageShape: state.image_shape,
        imageSize: state.image_size,
        url: state.url,
        horizontal: state.horizontal,
        centered: state.centered
      }, () => slots.default ? slots.default() : null);
    };
    let edit_content = ({
      RMedia,
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      RInput,
      RCheckbox,
      VModel,
      RRowLabel,
      RRow,
      RResize,
      RDuplex,
      state,
      RButton,
      RFilebrowser,
      repeater,
      RSelect
    }) => {
      let editor_states = useEditorState();
      let instance = editor_states.get_block(block_id);
      return h(
        "div",
        { class: ["Card"] },
        view_content({ h, state, RMedia }),
        Inspector(
          h(RCheckbox, {
            modelValue: instance.state.horizontal,
            tooltip: "Change flow direction",
            onRchange(horizontal) {
              instance.state.horizontal = horizontal;
            }
          }, () => "Horizontal"),
          !state.horizontal ? h(RCheckbox, {
            modelValue: instance.state.centered,
            tooltip: "Change alignment",
            onRchange(centered) {
              instance.state.centered = centered;
            }
          }, () => "Center content") : null,
          h(
            RRowLabel,
            { text: "Title" },
            () => h(RInput, VModel("title", {
              onChange(title) {
                return { title };
              }
            }))
          ),
          state.title ? h(
            RRowLabel,
            { text: "Title CSS" },
            () => h(RInput, VModel("title_css", {}))
          ) : null,
          h(
            RRowLabel,
            { text: "Description" },
            () => h(RText, VModel("description", {
              onChange(description) {
                return { description };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Image", toooltip: "Image can be an SVG HTML string" },
            () => h(RFilebrowser, VModel("image", {
              onChange(image) {
                return { image };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Navigate to URL" },
            () => h(RInput, VModel("url", {
              onChange(url) {
                return { url };
              }
            }))
          ),
          h(
            "div",
            { class: ["flex", "gap-2"] },
            h(
              RRowLabel,
              { text: "Image Shape" },
              () => h(RSelect, VModel("image_shape", {
                values: [
                  { title: "None", value: null },
                  { title: "Rounded", value: "rounded" },
                  { title: "Circle", value: "circle" }
                ],
                onChange(image_shape) {
                  return { image_shape };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Image Size" },
              () => h(RSelect, VModel("image_size", {
                values: [
                  { title: "Default", value: null },
                  { title: "Small", value: "small" },
                  { title: "Medium", value: "medium" },
                  { title: "Large", value: "large" },
                  { title: "Extra Large", value: "xlg" }
                ],
                onChange(image_size) {
                  return { image_size };
                }
              }))
            )
          ),
          h(
            RRowLabel,
            { text: "Image" },
            () => h(RFilebrowser, VModel("image", {
              onChange(image) {
                return { image };
              }
            }))
          )
        )
      );
    };
    return Block({ emits: ["new"] }, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const List = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        title: "",
        title_class: "",
        bullet_color: null
      })
    }
  },
  name: "List",
  description: "Create ordered and unordered text list",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M8.25 6.75h12M8.25 12h12m-12 5.25h12M3.75 6.75h.007v.008H3.75V6.75Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0ZM3.75 12h.007v.008H3.75V12Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm-.375 5.25h.007v.008H3.75v-.008Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Z" />
  </svg>
  `,
  is_droppable(opt) {
    return opt.data.type.toLowerCase() == "listitem";
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state }) => {
      return h(
        "ul",
        { class: ["List", state.bullet_color] },
        state.title ? h(
          "div",
          { class: ["list-title", "text-base"], style: { listStyle: "none" } },
          h("h3", { class: state.title_class }, state.title)
        ) : null,
        slots.default ? slots.default() : null
      );
    };
    let content_edit = (payload) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RSelect,
        RInput,
        VModel,
        RRowLabel,
        RButton
      } = payload;
      let editor_states = useEditorState();
      return h(
        "div",
        { class: ["List"] },
        content_view(payload),
        Inspector(
          h(RButton, {
            class: ["primary"],
            onClick(e) {
              editor_states.insert_block({ push: block_id, data: {
                state: {},
                type: "listitem",
                children: []
              } });
              console.info("Add to block");
            }
          }, () => "Add Item"),
          h(
            RRowLabel,
            { text: "Title" },
            () => h(RInput, VModel("title", {
              onChange: (title) => ({ title })
            }))
          ),
          h(
            RRowLabel,
            { text: "Title CSS Class" },
            () => h(RInput, VModel("title_class", {
              onChange: (title_class) => ({ title_class })
            }))
          ),
          h(
            RRowLabel,
            { text: "Color" },
            () => h(RSelect, VModel("bullet_color", {
              values: [
                { title: "Default", value: null },
                { title: "Primary", value: "primary" },
                { title: "Indigo", value: "indigo" },
                { title: "Blue", value: "blue" },
                { title: "Amber", value: "amber" },
                { title: "Emerald", value: "emerald" }
              ],
              onChange: (bullet_color) => ({ bullet_color })
            }))
          )
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const ListItem = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        text: "text",
        bullet_type: null,
        custom_icon: null,
        link: null
      })
    }
  },
  name: "ListItem",
  description: "List item for List",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M8.25 6.75h12M8.25 12h12m-12 5.25h12M3.75 6.75h.007v.008H3.75V6.75Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0ZM3.75 12h.007v.008H3.75V12Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm-.375 5.25h.007v.008H3.75v-.008Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Z" />
  </svg>
  `,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let bullet_type_list = [
      { title: "Default", value: "" },
      { title: "Lower-Alpha", value: "lower-alpha" },
      { title: "Upper-Alpha", value: "upper-alpha" },
      { title: "Numeric", value: "numeric" },
      { title: "None", value: "none" },
      {
        title: "Checkmark - Primary Circle",
        value: "primary_circle_checkmark",
        html: `<svg focusable="false" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><g>
                <path fill="rgba(var(--primary-500),0.12577)" d="M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z"></path>
                <path fill="rgba(var(--primary-600))" d="M369 175c9.4 9.4 9.4 24.6 0 33.9L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0z"></path></g>
                </svg>`
      },
      {
        title: "Checkmark - Green Circle",
        value: "green_circle_checkmark",
        html: `<svg focusable="false" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><g>
                <path fill="rgba(var(--emerald-500),0.12577)" d="M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z"></path>
                <path fill="rgba(var(--emerald-600))" d="M369 175c9.4 9.4 9.4 24.6 0 33.9L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0z"></path></g>
                </svg>`
      },
      {
        title: "Checkmark - Red Circle",
        value: "red_circle_checkmark",
        html: `<svg focusable="false" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><g>
                <path fill="rgba(var(--red-500),0.12577)"  d="M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z"></path>
                <path fill="rgba(var(--red-600))" d="M369 175c9.4 9.4 9.4 24.6 0 33.9L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0z"></path></g>
                </svg>`
      },
      {
        title: "Checkmark - Indigo Circle",
        value: "indigo_circle_checkmark",
        html: `<svg focusable="false" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><g>
                <path fill="rgba(var(--indigo-500),0.12577)" d="M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z"></path>
                <path fill="rgba(var(--indigo-800),1.0)" d="M369 175c9.4 9.4 9.4 24.6 0 33.9L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0z"></path></g>
                </svg>`
      },
      {
        title: "Checkmark - Yellow Circle",
        value: "amber_circle_checkmark",
        html: `<svg focusable="false" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><g>
                <path fill="rgba(var(--amber-500),0.12577)" d="M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z"></path>
                <path fill="rgba(var(--amber-800),1.0)" d="M369 175c9.4 9.4 9.4 24.6 0 33.9L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0z"></path></g>
                </svg>`
      },
      {
        title: "X - Primary Circle",
        value: "x_primary_circle",
        html: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-7 h-7">
                <path stroke-linecap="round" fill="rgba(var(--primary-500), 0.12577)" stroke="rgba(var(--primary-500), 1.0)"
                    stroke-linejoin="round" d="m9.75 9.75 4.5 4.5m0-4.5-4.5 4.5M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />  </svg> `
      },
      {
        title: "X - Green Circle",
        value: "x_green_circle",
        html: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-7 h-7">
                <path stroke-linecap="round" fill="rgba(var(--emerald-500), 0.12577)" stroke="rgba(var(--emerald-500), 1.0)"
                    stroke-linejoin="round" d="m9.75 9.75 4.5 4.5m0-4.5-4.5 4.5M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />  </svg> `
      },
      {
        title: "X - Red Circle",
        value: "x_red_circle",
        html: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-7 h-7">
                <path stroke-linecap="round" fill="rgba(var(--red-500), 0.12577)" stroke="rgba(var(--red-500), 1.0)"
                    stroke-linejoin="round" d="m9.75 9.75 4.5 4.5m0-4.5-4.5 4.5M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />  </svg> `
      },
      {
        title: "X - Yellow Circle",
        value: "x_amber_circle",
        html: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-7 h-7">
                <path stroke-linecap="round" fill="rgba(var(--amber-500), 0.12577)" stroke="rgba(var(--amber-500), 1.0)"
                    stroke-linejoin="round" d="m9.75 9.75 4.5 4.5m0-4.5-4.5 4.5M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />  </svg> `
      },
      {
        title: "Shield - Primary Check",
        value: "shield_primary_check",
        html: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
                    <path stroke-linecap="round" stroke-linejoin="round"  fill="rgba(var(--primary-500), 0.12577)" stroke="rgba(var(--primary-500), 1.0)"
                    d="M9 12.75 11.25 15 15 9.75m-3-7.036A11.959 11.959 0 0 1 3.598 6 11.99 11.99 0 0 0 3 9.749c0 5.592 3.824 10.29 9 11.623 5.176-1.332 9-6.03 9-11.622 0-1.31-.21-2.571-.598-3.751h-.152c-3.196 0-6.1-1.248-8.25-3.285Z" /></svg>  `
      },
      {
        title: "Shield - Green Check",
        value: "shield_green_check",
        html: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
                    <path stroke-linecap="round" stroke-linejoin="round"  fill="rgba(var(--emerald-500), 0.12577)" stroke="rgba(var(--emerald-500), 1.0)"
                    d="M9 12.75 11.25 15 15 9.75m-3-7.036A11.959 11.959 0 0 1 3.598 6 11.99 11.99 0 0 0 3 9.749c0 5.592 3.824 10.29 9 11.623 5.176-1.332 9-6.03 9-11.622 0-1.31-.21-2.571-.598-3.751h-.152c-3.196 0-6.1-1.248-8.25-3.285Z" /></svg>  `
      },
      {
        title: "Shield - Red Check",
        value: "shield_red_check",
        html: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
                    <path stroke-linecap="round" stroke-linejoin="round"  fill="rgba(var(--red-500), 0.12577)" stroke="rgba(var(--red-500), 1.0)"
                    d="M9 12.75 11.25 15 15 9.75m-3-7.036A11.959 11.959 0 0 1 3.598 6 11.99 11.99 0 0 0 3 9.749c0 5.592 3.824 10.29 9 11.623 5.176-1.332 9-6.03 9-11.622 0-1.31-.21-2.571-.598-3.751h-.152c-3.196 0-6.1-1.248-8.25-3.285Z" /></svg>  `
      },
      {
        title: "Shield - Amber Check",
        value: "shield_amber_check",
        html: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
                    <path stroke-linecap="round" stroke-linejoin="round"  fill="rgba(var(--amber-500), 0.12577)" stroke="rgba(var(--amber-500), 1.0)"
                    d="M9 12.75 11.25 15 15 9.75m-3-7.036A11.959 11.959 0 0 1 3.598 6 11.99 11.99 0 0 0 3 9.749c0 5.592 3.824 10.29 9 11.623 5.176-1.332 9-6.03 9-11.622 0-1.31-.21-2.571-.598-3.751h-.152c-3.196 0-6.1-1.248-8.25-3.285Z" /></svg>  `
      },
      {
        title: "Shield - Indigo Check",
        value: "shield_indigo_check",
        html: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
                    <path stroke-linecap="round" stroke-linejoin="round"  fill="rgba(var(--indigo-500), 0.12577)" stroke="rgba(var(--indigo-500), 1.0)"
                    d="M9 12.75 11.25 15 15 9.75m-3-7.036A11.959 11.959 0 0 1 3.598 6 11.99 11.99 0 0 0 3 9.749c0 5.592 3.824 10.29 9 11.623 5.176-1.332 9-6.03 9-11.622 0-1.31-.21-2.571-.598-3.751h-.152c-3.196 0-6.1-1.248-8.25-3.285Z" /></svg>  `
      },
      {
        title: "Heart - Primary",
        value: "heart_primary",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--primary-500),1)" class="h-7 w-7">
                <path d="m11.645 20.91-.007-.003-.022-.012a15.247 15.247 0 0 1-.383-.218 25.18 25.18 0 0 1-4.244-3.17C4.688 15.36 2.25 12.174 2.25 8.25 2.25 5.322 4.714 3 7.688 3A5.5 5.5 0 0 1 12 5.052 5.5 5.5 0 0 1 16.313 3c2.973 0 5.437 2.322 5.437 5.25 0 3.925-2.438 7.111-4.739 9.256a25.175 25.175 0 0 1-4.244 3.17 15.247 15.247 0 0 1-.383.219l-.022.012-.007.004-.003.001a.752.752 0 0 1-.704 0l-.003-.001Z" />
              </svg>
              `
      },
      {
        title: "Heart - Green",
        value: "heart_green",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--emerald-500),1)" class="h-7 w-7">
                <path d="m11.645 20.91-.007-.003-.022-.012a15.247 15.247 0 0 1-.383-.218 25.18 25.18 0 0 1-4.244-3.17C4.688 15.36 2.25 12.174 2.25 8.25 2.25 5.322 4.714 3 7.688 3A5.5 5.5 0 0 1 12 5.052 5.5 5.5 0 0 1 16.313 3c2.973 0 5.437 2.322 5.437 5.25 0 3.925-2.438 7.111-4.739 9.256a25.175 25.175 0 0 1-4.244 3.17 15.247 15.247 0 0 1-.383.219l-.022.012-.007.004-.003.001a.752.752 0 0 1-.704 0l-.003-.001Z" />
              </svg>
              `
      },
      {
        title: "Heart - Red",
        value: "heart_red",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--red-500),1)" class="h-7 w-7">
                <path d="m11.645 20.91-.007-.003-.022-.012a15.247 15.247 0 0 1-.383-.218 25.18 25.18 0 0 1-4.244-3.17C4.688 15.36 2.25 12.174 2.25 8.25 2.25 5.322 4.714 3 7.688 3A5.5 5.5 0 0 1 12 5.052 5.5 5.5 0 0 1 16.313 3c2.973 0 5.437 2.322 5.437 5.25 0 3.925-2.438 7.111-4.739 9.256a25.175 25.175 0 0 1-4.244 3.17 15.247 15.247 0 0 1-.383.219l-.022.012-.007.004-.003.001a.752.752 0 0 1-.704 0l-.003-.001Z" />
              </svg>
              `
      },
      {
        title: "Heart - Indigo",
        value: "heart_indigo",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--indigo-500),1)" class="h-7 w-7">
                <path d="m11.645 20.91-.007-.003-.022-.012a15.247 15.247 0 0 1-.383-.218 25.18 25.18 0 0 1-4.244-3.17C4.688 15.36 2.25 12.174 2.25 8.25 2.25 5.322 4.714 3 7.688 3A5.5 5.5 0 0 1 12 5.052 5.5 5.5 0 0 1 16.313 3c2.973 0 5.437 2.322 5.437 5.25 0 3.925-2.438 7.111-4.739 9.256a25.175 25.175 0 0 1-4.244 3.17 15.247 15.247 0 0 1-.383.219l-.022.012-.007.004-.003.001a.752.752 0 0 1-.704 0l-.003-.001Z" />
              </svg>
              `
      },
      {
        title: "Heart - Yellow",
        value: "heart_indigo",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--amber-500),1)" class="h-7 w-7">
                <path d="m11.645 20.91-.007-.003-.022-.012a15.247 15.247 0 0 1-.383-.218 25.18 25.18 0 0 1-4.244-3.17C4.688 15.36 2.25 12.174 2.25 8.25 2.25 5.322 4.714 3 7.688 3A5.5 5.5 0 0 1 12 5.052 5.5 5.5 0 0 1 16.313 3c2.973 0 5.437 2.322 5.437 5.25 0 3.925-2.438 7.111-4.739 9.256a25.175 25.175 0 0 1-4.244 3.17 15.247 15.247 0 0 1-.383.219l-.022.012-.007.004-.003.001a.752.752 0 0 1-.704 0l-.003-.001Z" />
              </svg>
              `
      },
      {
        title: "Star - Primary",
        value: "star_primary",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--primary-500),1.0)" class="w-7 h-7">
                <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.006 5.404.434c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.434 2.082-5.005Z" clip-rule="evenodd" /></svg> `
      },
      {
        title: "Star - Green",
        value: "star_green",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--emerald-500),1.0)" class="w-7 h-7">
                <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.006 5.404.434c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.434 2.082-5.005Z" clip-rule="evenodd" /></svg> `
      },
      {
        title: "Star - Red",
        value: "star_red",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--red-500),1.0)" class="w-7 h-7">
                <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.006 5.404.434c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.434 2.082-5.005Z" clip-rule="evenodd" /></svg> `
      },
      {
        title: "Star - Indigo",
        value: "star_indigo",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--indigo-500),1.0)" class="w-7 h-7">
                <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.006 5.404.434c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.434 2.082-5.005Z" clip-rule="evenodd" /></svg> `
      },
      {
        title: "Star - Amber",
        value: "star_amber",
        html: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="rgba(var(--amber-500),1.0)" class="w-7 h-7">
                <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.006 5.404.434c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.434 2.082-5.005Z" clip-rule="evenodd" /></svg> `
      },
      {
        title: "Custom",
        value: "custom",
        html: null
      }
    ];
    let get_bullet_html = (name) => {
      let obj = bullet_type_list.find((it) => it.value == name);
      if (!obj) return null;
      return obj.html;
    };
    let content_view = ({ h, state, RText, VModel, RLink, block_id, useEditorState }) => {
      let is_edit_mode = props.isEdit;
      let uses_custom_graphic = false;
      if (state.bullet_type) {
        uses_custom_graphic = true;
      }
      let bullet_html_code = get_bullet_html(state.bullet_type);
      if (bullet_html_code == null) {
        bullet_html_code = state.custom_icon;
        if (bullet_html_code && !bullet_html_code.startsWith("<svg")) {
          let src = `<img loading="lazy" class="w-7 h-7" src="${bullet_html_code}">`;
          bullet_html_code = src;
        }
      }
      if (state.bullet_type == "none") {
        bullet_html_code = "";
      }
      let exclusion = ["lower-alpha", "upper-alpha", "numeric"];
      let use_custom_icon = state.bullet_type && !exclusion.includes(state.bullet_type) && state.bullet_type != "none";
      let body = [
        h(
          "div",
          { class: ["flex", "flex-row", "item-content", "items-start", state.flip ? "flex-row-reverse" : ""] },
          use_custom_icon ? h("div", {
            class: ["bullet"],
            style: { width: "1.7em", marginRight: "0.5em" },
            innerHTML: bullet_html_code
          }) : null,
          is_edit_mode ? h(RText, VModel("text", {
            class: ["flex-1"],
            inline: true,
            onChange: (text) => ({ text }),
            onEnter(e) {
              let editor_states = useEditorState();
              e.preventDefault();
              e.stopPropagation();
              let detail = { after: block_id, data: { type: "listitem" }, get_focus: true };
              emit("blur");
              let new_id = editor_states.insert_block(detail);
              editor_states.active_block(new_id);
              setTimeout(() => {
                let el_blk = document.body.querySelector(`[block-id=${new_id}] .rc-text .control`);
                el_blk.focus();
              }, 30);
            }
          })) : h("div", { class: ["item-content", "flex-1"], innerHTML: state.text })
        ),
        slots.default ? slots.default() : null
      ];
      if (state.link && !is_edit_mode) {
        body = [
          h(RLink, {}, () => body)
        ];
      }
      return h(
        "li",
        {
          class: ["list-item", state.bullet_type, !state.bullet_type ? "default" : ""],
          type: state.bullet_type,
          style: { listStyle: uses_custom_graphic || state.bullet_type == "none" ? "none" : null },
          onclick(e) {
          }
        },
        ...body
      );
    };
    let content_edit = (payload) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        state,
        RSelect,
        RInput,
        VModel,
        RRowLabel,
        RCheckbox
      } = payload;
      let editor_states = useEditorState();
      let instance = editor_states.get_block(block_id);
      return h(
        "li",
        { class: ["ListItem", "list-item"] },
        content_view(payload),
        Inspector(
          h(
            RRowLabel,
            { text: "Link To" },
            () => h(
              RInput,
              VModel("link", {
                onChange: (link) => ({ link })
              }),
              () => h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" stroke-width="2.5" viewBox="0 0 24 24" fill="currentColor" class="w-4 h-4">
                            <path fill-rule="evenodd" d="M19.902 4.098a3.75 3.75 0 0 0-5.304 0l-4.5 4.5a3.75 3.75 0 0 0 1.035 6.037.75.75 0 0 1-.646 1.353 5.25 5.25 0 0 1-1.449-8.45l4.5-4.5a5.25 5.25 0 1 1 7.424 7.424l-1.757 1.757a.75.75 0 1 1-1.06-1.06l1.757-1.757a3.75 3.75 0 0 0 0-5.304Zm-7.389 4.267a.75.75 0 0 1 1-.353 5.25 5.25 0 0 1 1.449 8.45l-4.5 4.5a5.25 5.25 0 1 1-7.424-7.424l1.757-1.757a.75.75 0 1 1 1.06 1.06l-1.757 1.757a3.75 3.75 0 1 0 5.304 5.304l4.5-4.5a3.75 3.75 0 0 0-1.035-6.037.75.75 0 0 1-.354-1Z" clip-rule="evenodd" />
                          </svg>
                          ` })
            )
          ),
          h(
            RRowLabel,
            { text: "Bullet Type" },
            () => h(RSelect, VModel("bullet_type", {
              values: bullet_type_list,
              onChange: (bullet_type) => ({ bullet_type })
            }))
          ),
          instance.state.bullet_type == "custom" ? h(
            RRowLabel,
            { text: "Custom Icon" },
            h(RInput, VModel("custom_icon", {
              multiLine: true,
              placeholder: "SVG Code or image url",
              onChange: (custom_icon) => ({ custom_icon })
            }))
          ) : null,
          instance.state.bullet_type && instance.state.bullet_type != "none" ? h(RCheckbox, VModel("flip", {
            onChange: (flip) => ({ flip })
          }), () => "Flip Direction") : null
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const CodeHighlighter = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        text: "",
        lang: "js",
        filename: ""
      })
    }
    /* ... */
  },
  name: "CodeHighlighter",
  description: "Display color formatted code",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M17.25 6.75 22.5 12l-5.25 5.25m-10.5 0L1.5 12l5.25-5.25m7.5-3-4.5 16.5" />
  </svg>
  `,
  assets(options) {
    return {
      link: [],
      style: [
        {
          innerHTML: `/* PrismJS 1.29.0
https://prismjs.com/download.html#themes=prism-tomorrow&languages=markup+css+clike+javascript */
code[class*=language-],pre[class*=language-]{color:#ccc;background:0 0;font-family:Consolas,Monaco,'Andale Mono','Ubuntu Mono',monospace;font-size:1em;text-align:left;white-space:pre;word-spacing:normal;word-break:normal;word-wrap:normal;line-height:1.5;-moz-tab-size:4;-o-tab-size:4;tab-size:4;-webkit-hyphens:none;-moz-hyphens:none;-ms-hyphens:none;hyphens:none}pre[class*=language-]{padding:1em;margin:.5em 0;overflow:auto}:not(pre)>code[class*=language-],pre[class*=language-]{background:#2d2d2d}:not(pre)>code[class*=language-]{padding:.1em;border-radius:.3em;white-space:normal}.token.block-comment,.token.cdata,.token.comment,.token.doctype,.token.prolog{color:#999}.token.punctuation{color:#ccc}.token.attr-name,.token.deleted,.token.namespace,.token.tag{color:#e2777a}.token.function-name{color:#6196cc}.token.boolean,.token.function,.token.number{color:#f08d49}.token.class-name,.token.constant,.token.property,.token.symbol{color:#f8c555}.token.atrule,.token.builtin,.token.important,.token.keyword,.token.selector{color:#cc99cd}.token.attr-value,.token.char,.token.regex,.token.string,.token.variable{color:#7ec699}.token.entity,.token.operator,.token.url{color:#67cdcc}.token.bold,.token.important{font-weight:700}.token.italic{font-style:italic}.token.entity{cursor:help}.token.inserted{color:green}`
        },
        {
          innerHTML: `pre[class*=language-] {border-radius:0.25em; background-color: #201f1f !important; }code[class*=language-]{color:white;}  .token.atrule, .token.builtin, .token.important, .token.keyword, .token.selector {
    color: #e531c5 !important;
}`
        }
      ],
      script: [
        { src: `https://cdn.jsdelivr.net/npm/prismjs@1.29.0/prism.min.js`, type: "text/javascript" }
      ]
    };
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let language_choices = [
      { title: "Javascript", value: "js" },
      { title: "CSS", value: "css" },
      { title: "HTML", value: "xml" },
      { title: "Assembly", value: "nasm" },
      { title: "PHP", value: "php" },
      { title: "Python", value: "python" },
      { title: "C", value: "c" },
      { title: "SQL", value: "sql" }
    ];
    let lang_title = (val) => {
      let out = null;
      let o = language_choices.find((it) => it.value == val);
      return o ? o.title : out;
    };
    let do_highlight = () => {
      try {
        setTimeout(() => {
          Prism.highlightAll();
        }, 10);
      } catch (e0) {
        console.error("CodeHighlighter error", e0);
      }
    };
    props.onMounted(() => {
      do_highlight();
    });
    props.onUpdated(() => {
      do_highlight();
    });
    let view_content = ({ h, state, useAppState }) => {
      return h(
        "pre",
        {
          style: {
            minHeight: props.isEdit ? "1.85em" : "",
            paddingTop: state.filename ? "2.5em" : null,
            "--bg-opacity": 0.25
          },
          class: ["Code-editor", ...props.isEdit ? [
            "bg-gray-200",
            "border",
            "border-dashed",
            "border-2",
            "border-emerald-600"
          ] : []]
        },
        state.filename ? h("div", {
          class: ["filename", "user-select-none", "py-1", "px-3", "rounded", "absolute", !props.isEdit ? "bg-primary-400" : "bg-primary-900", "font-bold", "color-primary-100"],
          style: { top: "8px", left: "16px", "--bg-opacity": 0.35 }
        }, state.filename) : null,
        props.isEdit ? h("span", { class: "absolute z-100 top-right p-1", innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3.5" stroke="currentColor" class="w-4 h-4 color-emerald-700"><path stroke-linecap="round" stroke-linejoin="round" d="M17.25 6.75 22.5 12l-5.25 5.25m-10.5 0L1.5 12l5.25-5.25m7.5-3-4.5 16.5" /></svg>` }) : null,
        h("code", { class: ["language-" + state.lang, props.isEdit ? "p-2 inline-block" : ""] }, state.text),
        !props.isEdit ? h(
          "div",
          { class: ["code-attribute", "user-select-none", "absolute", "top-right", "pr-2", "pt-2"] },
          h("span", { class: ["font-bold", "text-upper", "text-sm", "color-white", "p-2", "mr-2"] }, lang_title(state.lang)),
          h("button", {
            class: ["btn", "color-white", "font-bold", "bg-primary-500", "rounded-md"],
            onClick(e) {
              let root = e.target.closest("pre");
              if (!root) return;
              let code = root.querySelector("code");
              if (!code) return;
              let app = useAppState();
              let text_to_copy = code.innerText;
              try {
                navigator.clipboard.writeText(text_to_copy).then(
                  function() {
                    app.notice({ title: "Copied" });
                  }
                ).catch(function() {
                });
              } catch (e2) {
                document.execCommand("copy", text_to_copy);
                console.log("Unable to copy");
              }
            }
          }, "Copy")
        ) : null
      );
    };
    let edit_content = (payload) => {
      let {
        util,
        ref,
        block_id,
        type,
        RSelect,
        h,
        useEditorState,
        Inspector,
        RText,
        RInput,
        RCheckbox,
        VModel,
        RRowLabel,
        RRow,
        RResize,
        RDuplex,
        state,
        RButton,
        RFilebrowser
      } = payload;
      let editor_states = useEditorState();
      editor_states.get_block(block_id);
      return h(
        "div",
        {},
        view_content(payload),
        Inspector(
          h(
            RRowLabel,
            { text: "Language" },
            () => h(RSelect, VModel("lang", {
              values: language_choices,
              onChange: (lang) => ({ lang })
            }))
          ),
          h(
            RRowLabel,
            { text: "File Name" },
            () => h(RInput, VModel("filename", {
              onChange: (filename) => ({ filename })
            }))
          ),
          h(
            RRowLabel,
            { text: "Code" },
            () => h(RInput, VModel("text", {
              height: "300px",
              multiLine: true,
              onChange(text) {
                return { text };
              }
            }))
          )
        )
      );
    };
    return Block({ emits: ["new"] }, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const BlockLayout = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        tag: "section",
        on_default: "grid-cols-3",
        on_small: "sm:grid-cols-1",
        on_large: "lg:grid-cols-4"
      })
    }
  },
  assets() {
    return {
      style: [
        { innerHTML: `

@media (max-width: 640px) {
                .BlockLayout {
                    display: block !important;
                }    

}
                ` }
      ]
    };
  },
  name: "BlockLayout",
  description: "Group items together in uniform size & flow",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M9 4.5v15m6-15v15m-10.875 0h15.75c.621 0 1.125-.504 1.125-1.125V5.625c0-.621-.504-1.125-1.125-1.125H4.125C3.504 4.5 3 5.004 3 5.625v12.75c0 .621.504 1.125 1.125 1.125Z" />
  </svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let grid_default = [
      { title: "1 Col", value: "grid-cols-1" },
      { title: "2 Col", value: "grid-cols-2" },
      { title: "3 Col", value: "grid-cols-3" },
      { title: "2/3 Col", value: "grid-cols-2/3" },
      { title: "3/2 Col", value: "grid-cols-3/2" },
      { title: "4 Col", value: "grid-cols-4" },
      { title: "5 Col", value: "grid-cols-5" },
      { title: "6 Col", value: "grid-cols-6" },
      { title: "7 Col", value: "grid-cols-7" },
      { title: "8 Col", value: "grid-cols-8" },
      { title: "9 Col", value: "grid-cols-9" },
      { title: "10 Col", value: "grid-cols-10" },
      { title: "11 Col", value: "grid-cols-11" },
      { title: "12 Col", value: "grid-cols-12" }
    ];
    let grid_small = [
      { title: "Use default", value: null },
      { title: "1 Col", value: "sm:grid-cols-1" },
      { title: "2 Col", value: "sm:grid-cols-2" },
      { title: "3 Col", value: "sm:grid-cols-3" },
      { title: "2/3 Col", value: "sm:grid-cols-2/3" },
      { title: "3/2 Col", value: "sm:grid-cols-3/2" },
      { title: "4 Col", value: "sm:grid-cols-4" },
      { title: "5 Col", value: "sm:grid-cols-5" },
      { title: "6 Col", value: "sm:grid-cols-6" },
      { title: "7 Col", value: "sm:grid-cols-7" },
      { title: "8 Col", value: "sm:grid-cols-8" },
      { title: "9 Col", value: "sm:grid-cols-9" },
      { title: "10 Col", value: "sm:grid-cols-10" },
      { title: "11 Col", value: "sm:grid-cols-11" },
      { title: "12 Col", value: "sm:grid-cols-12" }
    ];
    let grid_lg = [
      { title: "Use default", value: null },
      { title: "1 Col", value: "lg:grid-cols-1" },
      { title: "2 Col", value: "lg:grid-cols-2" },
      { title: "3 Col", value: "lg:grid-cols-3" },
      { title: "2/3 Col", value: "lg:grid-cols-2/3" },
      { title: "3/2 Col", value: "lg:grid-cols-3/2" },
      { title: "4 Col", value: "lg:grid-cols-4" },
      { title: "5 Col", value: "lg:grid-cols-5" },
      { title: "6 Col", value: "lg:grid-cols-6" },
      { title: "7 Col", value: "lg:grid-cols-7" },
      { title: "8 Col", value: "lg:grid-cols-8" },
      { title: "9 Col", value: "lg:grid-cols-9" },
      { title: "10 Col", value: "lg:grid-cols-10" },
      { title: "11 Col", value: "lg:grid-cols-11" },
      { title: "12 Col", value: "lg:grid-cols-12" }
    ];
    let content_view = ({ h, state, RButton, block_id, RowLabel, useEditorState }) => {
      return h(
        state.tag || "section",
        {
          class: ["BlockLayout", "grid", state.on_default, state.on_small, state.on_large, ...props.isEdit ? ["border", "border-dashed", "border-gray-300", "rounded"] : []],
          style: { minHeight: props.isEdit ? "3.5em" : null }
        },
        props.isEdit ? h(
          "div",
          { class: ["absolute", "z-100"], style: { left: "0.45em", top: "-6px" } },
          h("button", {
            class: ["add-layout-item", "btn", "color-gray-300", "hover:color-white", "bg-opacity-30", "hover:bg-opacity-70"],
            style: {
              padding: "0.24em",
              borderRadius: "50%",
              width: "28px",
              height: "28px",
              color: "primary-500"
            },
            onClick(e) {
              let editor_states = useEditorState();
              editor_states.insert_block({ push: block_id, data: {
                state: {},
                children: [],
                type: "blocklayoutitem"
              } });
            },
            "data-tooltip": `Add Layout Item`
          }, h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3.5" stroke="currentColor" 
                        class="w-4 h-4 "> <path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" />  </svg> ` }))
        ) : null,
        slots.default ? slots.default() : null
      );
    };
    let edit_content = (payload) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RInput,
        VModel,
        RRowLabel,
        RButton,
        RSelect,
        tag_types
      } = payload;
      return h(
        "div",
        { class: ["BlockLayout-Root"] },
        content_view(payload),
        Inspector(
          h(
            RRowLabel,
            { text: "Element Type" },
            () => h(RSelect, VModel("tag", {
              values: tag_types,
              onChange(tag) {
                return { tag };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Default Screen" },
            () => h(RSelect, VModel("on_default", {
              values: grid_default,
              onChange: (on_default) => ({ on_default })
            }))
          ),
          h(
            RRowLabel,
            { text: "Small Screen" },
            () => h(RSelect, VModel("on_small", {
              values: grid_small,
              onChange: (on_small) => ({ on_small })
            }))
          ),
          h(
            RRowLabel,
            { text: "Large Screen" },
            () => h(RSelect, VModel("on_large", {
              values: grid_lg,
              onChange: (on_large) => ({ on_large })
            }))
          )
        )
      );
    };
    return Block({ emits: ["new"] }, props.isEdit ? edit_content : content_view);
  }
});

const BlockLayoutItem = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        type: "div"
      })
    }
  },
  name: "BlockLayoutItem",
  description: "Block container for layouts",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
    <path stroke-linecap="round" stroke-linejoin="round" d="M5.25 7.5A2.25 2.25 0 0 1 7.5 5.25h9a2.25 2.25 0 0 1 2.25 2.25v9a2.25 2.25 0 0 1-2.25 2.25h-9a2.25 2.25 0 0 1-2.25-2.25v-9Z" />
  </svg>
  `,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, RText, VModel }) => {
      return h(
        state.tag || "div",
        {
          class: [
            "BlockLayoutItem-Root",
            "h-full",
            ...props.isEdit ? ["border", "border-dashed", "border-gray-300", "rounded"] : []
          ],
          style: {
            ...props.isEdit ? {
              backgroundColor: "rgba(109, 53, 107,0.15)",
              minHeight: "80px"
            } : {}
          }
        },
        slots.default ? slots.default() : null
      );
    };
    let content_edit = (payload) => {
      let {
        h,
        Inspector,
        RSelect,
        tag_types,
        RInput,
        VModel,
        RRowLabel,
        RCheckbox,
        RText,
        state
      } = payload;
      return h(
        "div",
        { class: ["BlockLayoutItem", "h-full", "LayoutItemWrapper"] },
        content_view(payload),
        Inspector(
          h(
            RRowLabel,
            { text: "Element Type" },
            () => h(RSelect, VModel("tag", {
              values: tag_types,
              onChange: (tag) => ({ tag })
            }))
          )
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const Link = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({ href: "" })
    }
  },
  name: "Link",
  description: "Create link",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
  <path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244" />
</svg>`,
  is_droppable(blk) {
    return true;
  },
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return { style: [], script: [] };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, RLink }) => {
      return h(RLink, {
        class: ["Link-Component"],
        style: {},
        disabled: props.isEdit,
        to: state.url
      }, () => [state.text || null, slots.default ? slots.default() : null]);
    };
    let content_edit = (payload) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RLink,
        instance,
        state,
        RInput,
        VModel,
        RRowLabel
      } = payload;
      useEditorState();
      return h(
        "div",
        {
          class: ["LinkBlock"],
          style: {
            minHeight: "1.5em",
            borderRadius: "0.25em",
            backgroundColor: "#c0deff7d"
          }
        },
        content_view(payload),
        Inspector(
          h(
            RRowLabel,
            { text: "Text" },
            h(RInput, VModel("text", {
              onChange(text) {
                return { text };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "URL" },
            h(RInput, VModel("url", {
              onChange(url) {
                return { url };
              }
            }))
          )
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostComments = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({})
    }
  },
  name: "PostComments",
  description: "Used to import other posts",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, RNotes, post }) => {
      if (post) {
        return h(RNotes, { postId: post.id });
      } else {
        return h("div", {
          class: ["p-2", "rounded"]
        }, "Post ID not supplied");
      }
    };
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      instance,
      state,
      RInput,
      VModel,
      RRowLabel
    }) => {
      useEditorState();
      return h(
        "div",
        { class: ["CommentPreview"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h(
            "div",
            { class: "flex gap-1 items-center" },
            h("span", {
              innerHTML: `<svg data-v-d72d8f4e="" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-8 h-8"><path fill="white" data-v-d72d8f4e="" stroke-linecap="round" stroke-linejoin="round" d="M8.625 12a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0H8.25m4.125 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0H12m4.125 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0h-.375M21 12c0 4.556-4.03 8.25-9 8.25a9.764 9.764 0 0 1-2.555-.337A5.972 5.972 0 0 1 5.41 20.97a5.969 5.969 0 0 1-.474-.065 4.48 4.48 0 0 0 .978-2.025c.09-.457-.133-.901-.467-1.226C3.93 16.178 3 14.189 3 12c0-4.556 4.03-8.25 9-8.25s9 3.694 9 8.25Z"></path></svg>`
            }),
            h("b", {}, "PostComments")
          ),
          h("div", { class: ["bg-gray-300", "h-3", "w-full", "mt-1"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-26", "mt-2"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-2/3", "mt-1"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-22", "w-12", "mt-1"] })
        ),
        Inspector()
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostTitle = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({})
    }
  },
  name: "PostTitle",
  description: "Used to import other posts",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, RNotes, post }) => {
      var _a;
      if (post) {
        let title = h("h1", { class: ["post-title"] }, post.title);
        let vendor = null;
        if (post.type == "product") {
          vendor = (_a = post.metas) == null ? undefined : _a.find((it) => "product_vendor" == it.name);
          if (vendor) {
            vendor = h("div", { class: ["product-vendor", "font-bold", "mt-1", "mb-2", "color-primary-800", "color-opacity-80"] }, vendor.value);
          }
          title = h("div", {}, title, vendor);
        }
        return title;
      } else {
        return h("div", {
          class: ["p-2", "rounded"]
        }, "Post Object is null");
      }
    };
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      instance,
      state,
      RInput,
      VModel,
      RRowLabel
    }) => {
      useEditorState();
      return h(
        "div",
        { class: ["Title-Preview"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "38px"
            }
          },
          h(
            "div",
            { class: "flex gap-1 items-center" },
            h("b", {}, "Post-Title")
          )
        ),
        Inspector()
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostAttributes = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        arthur: true,
        arthur_name: "use_username",
        arthur_prefix: "",
        publish_date: true,
        category: false,
        include_socials: false,
        include_tags: false,
        avatar_sizing: "base",
        avatar_shape: "flat",
        include_description: false
      })
    }
  },
  name: "PostAttributes",
  description: "Display attribute data about the post - created by, publish by, etc",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, post, tf_text, RAvatar, RLink }) => {
      if (post) {
        let txt_aurthor_text = post.created_by_name;
        if (state.arthur_name == "use_display_name") txt_aurthor_text = post.created_by_title || (post.created_by_name || "Site Admin");
        let user_socials = null, post_tags = null;
        if (state.include_tags && !props.isEdit) {
          let tag_list = post.tags || [];
          post_tags = h("div", { class: ["tag-items", "flex", "flex-wrap", "gap-1", "mt-1"] }, tag_list.map((tag) => {
            if (!tag) return;
            return h(
              RLink,
              { to: `/p/tags/${tag}`, underline: false },
              () => h("span", { class: ["tag"] }, tag)
            );
          }));
        }
        if (state.include_socials && !props.isEdit) {
          let social_links = post.socials || [];
          let icon_class = `w-7 h-7`;
          let social_icons = {
            yt: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}"  viewBox="0 0 93 93" fill="none">
                      <rect x="1.13867" y="1" width="91.5618" height="91.5618" rx="15" fill="#FF0000"></rect>
                      <path fill-rule="evenodd" clip-rule="evenodd" d="M67.5615 29.2428C69.8115 29.8504 71.58 31.6234 72.1778 33.8708C73.2654 37.9495 73.2654 46.4647 73.2654 46.4647C73.2654 46.4647 73.2654 54.98 72.1778 59.0586C71.5717 61.3144 69.8032 63.0873 67.5615 63.6866C63.4932 64.7771 47.1703 64.7771 47.1703 64.7771C47.1703 64.7771 30.8557 64.7771 26.7791 63.6866C24.5291 63.079 22.7606 61.306 22.1628 59.0586C21.0752 54.98 21.0752 46.4647 21.0752 46.4647C21.0752 46.4647 21.0752 37.9495 22.1628 33.8708C22.7689 31.615 24.5374 29.8421 26.7791 29.2428C30.8557 28.1523 47.1703 28.1523 47.1703 28.1523C47.1703 28.1523 63.4932 28.1523 67.5615 29.2428ZM55.5142 46.4647L41.9561 54.314V38.6154L55.5142 46.4647Z" fill="white"></path>
                    </svg>`,
            fb: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}"  viewBox="0 0 93 92" fill="none">
                      <rect x="1.13867" width="91.5618" height="91.5618" rx="15" fill="#337FFF"></rect>
                      <path d="M57.4233 48.6403L58.7279 40.3588H50.6917V34.9759C50.6917 32.7114 51.8137 30.4987 55.4013 30.4987H59.1063V23.4465C56.9486 23.1028 54.7685 22.9168 52.5834 22.8901C45.9692 22.8901 41.651 26.8626 41.651 34.0442V40.3588H34.3193V48.6403H41.651V68.671H50.6917V48.6403H57.4233Z" fill="white"></path>
                    </svg>`,
            tiktok: `<svg class="${icon_class}"  viewBox="0 0 92 92" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <rect x="0.138672" width="91.5618" height="91.5618" rx="15" fill="black"></rect>
                      <path fill-rule="evenodd" clip-rule="evenodd" d="M55.6721 39.4285C58.7387 41.6085 62.4112 42.7733 66.1737 42.7592V35.3024C65.434 35.3045 64.6963 35.2253 63.9739 35.0663V41.0068C60.203 41.0135 56.5252 39.8354 53.4599 37.6389V52.9749C53.4507 55.4914 52.7606 57.9585 51.4628 60.1146C50.165 62.2706 48.3079 64.0353 46.0885 65.2215C43.8691 66.4076 41.37 66.9711 38.8563 66.852C36.3426 66.733 33.9079 65.9359 31.8105 64.5453C33.7506 66.5082 36.2295 67.8513 38.9333 68.4044C41.6372 68.9576 44.4444 68.6959 46.9994 67.6526C49.5545 66.6093 51.7425 64.8312 53.2864 62.5436C54.8302 60.256 55.6605 57.5616 55.6721 54.8018V39.4285ZM58.3938 31.8226C56.8343 30.1323 55.8775 27.9739 55.6721 25.6832V24.7139H53.5842C53.8423 26.1699 54.4039 27.5553 55.2326 28.78C56.0612 30.0048 57.1383 31.0414 58.3938 31.8226ZM36.645 58.642C35.9213 57.6957 35.4779 56.5653 35.365 55.3793C35.2522 54.1934 35.4746 52.9996 36.0068 51.9338C36.5391 50.8681 37.3598 49.9731 38.3757 49.3508C39.3915 48.7285 40.5616 48.4039 41.7529 48.4139C42.4106 48.4137 43.0644 48.5143 43.6916 48.7121V41.0068C42.9584 40.9097 42.2189 40.8682 41.4794 40.8826V46.8728C39.9522 46.39 38.2992 46.4998 36.8492 47.1803C35.3992 47.8608 34.2585 49.0621 33.6539 50.5454C33.0494 52.0286 33.0252 53.6851 33.5864 55.1853C34.1475 56.6855 35.2527 57.9196 36.6823 58.642H36.645Z" fill="#EE1D52"></path>
                      <path fill-rule="evenodd" clip-rule="evenodd" d="M53.4589 37.5892C56.5241 39.7857 60.2019 40.9638 63.9729 40.9571V35.0166C61.8243 34.5623 59.8726 33.4452 58.3927 31.8226C57.1372 31.0414 56.0601 30.0048 55.2315 28.78C54.4029 27.5553 53.8412 26.1699 53.5831 24.7139H48.09V54.8018C48.0849 56.1336 47.6629 57.4304 46.8831 58.51C46.1034 59.5897 45.0051 60.3981 43.7425 60.8217C42.4798 61.2453 41.1162 61.2629 39.8431 60.872C38.57 60.4811 37.4512 59.7012 36.6439 58.642C35.3645 57.9965 34.3399 56.9387 33.7354 55.6394C33.1309 54.3401 32.9818 52.875 33.3121 51.4805C33.6424 50.0861 34.4329 48.8435 35.556 47.9535C36.6791 47.0634 38.0693 46.5776 39.5023 46.5745C40.1599 46.5766 40.8134 46.6772 41.4411 46.8728V40.8826C38.7288 40.9477 36.0946 41.8033 33.8617 43.3444C31.6289 44.8855 29.8946 47.0451 28.8717 49.5579C27.8489 52.0708 27.5821 54.8276 28.1039 57.49C28.6258 60.1524 29.9137 62.6045 31.8095 64.5453C33.9073 65.9459 36.3458 66.7512 38.8651 66.8755C41.3845 66.9997 43.8904 66.4383 46.1158 65.2509C48.3413 64.0636 50.2031 62.2948 51.5027 60.133C52.8024 57.9712 53.4913 55.4973 53.4962 52.9749L53.4589 37.5892Z" fill="white"></path>
                      <path fill-rule="evenodd" clip-rule="evenodd" d="M63.9736 35.0161V33.4129C62.0005 33.4213 60.0655 32.8696 58.3934 31.8221C59.8695 33.4493 61.8229 34.5674 63.9736 35.0161ZM53.5838 24.7134C53.5838 24.4275 53.4968 24.1292 53.4596 23.8434V22.874H45.8785V52.9744C45.872 54.6598 45.197 56.2738 44.0017 57.4621C42.8064 58.6504 41.1885 59.3159 39.503 59.3126C38.5106 59.3176 37.5311 59.0876 36.6446 58.6415C37.4519 59.7007 38.5707 60.4805 39.8438 60.8715C41.1169 61.2624 42.4805 61.2448 43.7432 60.8212C45.0058 60.3976 46.1041 59.5892 46.8838 58.5095C47.6636 57.4298 48.0856 56.1331 48.0907 54.8013V24.7134H53.5838ZM41.4418 40.8696V39.167C38.3222 38.7432 35.1511 39.3885 32.4453 40.9977C29.7394 42.6069 27.6584 45.0851 26.5413 48.0284C25.4242 50.9718 25.337 54.2067 26.2938 57.206C27.2506 60.2053 29.195 62.792 31.8102 64.5448C29.9287 62.5995 28.6545 60.1484 28.1433 57.4908C27.6321 54.8333 27.906 52.0844 28.9315 49.5799C29.957 47.0755 31.6897 44.924 33.918 43.3882C36.1463 41.8524 38.7736 40.9988 41.4791 40.9318L41.4418 40.8696Z" fill="#69C9D0"></path>
                    </svg>`,
            insta: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}"  viewBox="0 0 93 92" fill="none">
                      <rect x="1.13867" width="91.5618" height="91.5618" rx="15" fill="url(#paint0_linear_7092_54439)"></rect>
                      <path d="M38.3762 45.7808C38.3762 41.1786 42.1083 37.4468 46.7132 37.4468C51.3182 37.4468 55.0522 41.1786 55.0522 45.7808C55.0522 50.383 51.3182 54.1148 46.7132 54.1148C42.1083 54.1148 38.3762 50.383 38.3762 45.7808ZM33.8683 45.7808C33.8683 52.8708 39.619 58.618 46.7132 58.618C53.8075 58.618 59.5581 52.8708 59.5581 45.7808C59.5581 38.6908 53.8075 32.9436 46.7132 32.9436C39.619 32.9436 33.8683 38.6908 33.8683 45.7808ZM57.0648 32.4346C57.0646 33.0279 57.2404 33.608 57.5701 34.1015C57.8997 34.595 58.3684 34.9797 58.9168 35.2069C59.4652 35.4342 60.0688 35.4939 60.6511 35.3784C61.2334 35.2628 61.7684 34.9773 62.1884 34.5579C62.6084 34.1385 62.8945 33.6041 63.0105 33.0222C63.1266 32.4403 63.0674 31.8371 62.8404 31.2888C62.6134 30.7406 62.2289 30.2719 61.7354 29.942C61.2418 29.6122 60.6615 29.436 60.0679 29.4358H60.0667C59.2708 29.4361 58.5077 29.7522 57.9449 30.3144C57.3821 30.8767 57.0655 31.6392 57.0648 32.4346ZM36.6072 66.1302C34.1683 66.0192 32.8427 65.6132 31.9618 65.2702C30.7939 64.8158 29.9606 64.2746 29.0845 63.4002C28.2083 62.5258 27.666 61.6938 27.2133 60.5266C26.8699 59.6466 26.4637 58.3214 26.3528 55.884C26.2316 53.2488 26.2073 52.4572 26.2073 45.781C26.2073 39.1048 26.2336 38.3154 26.3528 35.678C26.4639 33.2406 26.8731 31.918 27.2133 31.0354C27.668 29.8682 28.2095 29.0354 29.0845 28.1598C29.9594 27.2842 30.7919 26.7422 31.9618 26.2898C32.8423 25.9466 34.1683 25.5406 36.6072 25.4298C39.244 25.3086 40.036 25.2844 46.7132 25.2844C53.3904 25.2844 54.1833 25.3106 56.8223 25.4298C59.2612 25.5408 60.5846 25.9498 61.4677 26.2898C62.6356 26.7422 63.4689 27.2854 64.345 28.1598C65.2211 29.0342 65.7615 29.8682 66.2161 31.0354C66.5595 31.9154 66.9658 33.2406 67.0767 35.678C67.1979 38.3154 67.2221 39.1048 67.2221 45.781C67.2221 52.4572 67.1979 53.2466 67.0767 55.884C66.9656 58.3214 66.5573 59.6462 66.2161 60.5266C65.7615 61.6938 65.2199 62.5266 64.345 63.4002C63.4701 64.2738 62.6356 64.8158 61.4677 65.2702C60.5872 65.6134 59.2612 66.0194 56.8223 66.1302C54.1855 66.2514 53.3934 66.2756 46.7132 66.2756C40.033 66.2756 39.2432 66.2514 36.6072 66.1302ZM36.4001 20.9322C33.7371 21.0534 31.9174 21.4754 30.3282 22.0934C28.6824 22.7316 27.2892 23.5878 25.897 24.977C24.5047 26.3662 23.6502 27.7608 23.0116 29.4056C22.3933 30.9948 21.971 32.8124 21.8497 35.4738C21.7265 38.1394 21.6982 38.9916 21.6982 45.7808C21.6982 52.57 21.7265 53.4222 21.8497 56.0878C21.971 58.7494 22.3933 60.5668 23.0116 62.156C23.6502 63.7998 24.5049 65.196 25.897 66.5846C27.289 67.9732 28.6824 68.8282 30.3282 69.4682C31.9204 70.0862 33.7371 70.5082 36.4001 70.6294C39.0687 70.7506 39.92 70.7808 46.7132 70.7808C53.5065 70.7808 54.3592 70.7526 57.0264 70.6294C59.6896 70.5082 61.5081 70.0862 63.0983 69.4682C64.7431 68.8282 66.1373 67.9738 67.5295 66.5846C68.9218 65.1954 69.7745 63.7998 70.4149 62.156C71.0332 60.5668 71.4575 58.7492 71.5768 56.0878C71.698 53.4202 71.7262 52.57 71.7262 45.7808C71.7262 38.9916 71.698 38.1394 71.5768 35.4738C71.4555 32.8122 71.0332 30.9938 70.4149 29.4056C69.7745 27.7618 68.9196 26.3684 67.5295 24.977C66.1395 23.5856 64.7431 22.7316 63.1003 22.0934C61.5081 21.4754 59.6894 21.0514 57.0284 20.9322C54.3612 20.811 53.5085 20.7808 46.7152 20.7808C39.922 20.7808 39.0687 20.809 36.4001 20.9322Z" fill="white"></path>
                      <defs>
                        <linearGradient id="paint0_linear_7092_54439" x1="90.9407" y1="91.5618" x2="-0.621143" y2="-2.46459e-06" gradientUnits="userSpaceOnUse">
                          <stop stop-color="#FBE18A"></stop>
                          <stop offset="0.21" stop-color="#FCBB45"></stop>
                          <stop offset="0.38" stop-color="#F75274"></stop>
                          <stop offset="0.52" stop-color="#D53692"></stop>
                          <stop offset="0.74" stop-color="#8F39CE"></stop>
                          <stop offset="1" stop-color="#5B4FE9"></stop>
                        </linearGradient>
                      </defs>
                    </svg>`,
            x: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}"  viewBox="0 0 93 92" fill="none">
                      <rect x="0.138672" width="91.5618" height="91.5618" rx="15" fill="black"></rect>
                      <path d="M50.7568 42.1716L69.3704 21H64.9596L48.7974 39.383L35.8887 21H21L40.5205 48.7983L21 71H25.4111L42.4788 51.5869L56.1113 71H71L50.7557 42.1716H50.7568ZM44.7152 49.0433L42.7374 46.2752L27.0005 24.2492H33.7756L46.4755 42.0249L48.4533 44.7929L64.9617 67.8986H58.1865L44.7152 49.0443V49.0433Z" fill="white"></path>
                    </svg>`,
            linkedin: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}" viewBox="0 0 93 93" fill="none">
                      <rect x="1.13867" y="1" width="91.5618" height="91.5618" rx="15" fill="#006699"></rect>
                      <path d="M37.1339 63.4304V40.9068H29.6473V63.4304H37.1346H37.1339ZM33.3922 37.8321C36.0023 37.8321 37.6273 36.1025 37.6273 33.9411C37.5785 31.7304 36.0023 30.0491 33.4418 30.0491C30.8795 30.0491 29.2061 31.7304 29.2061 33.9409C29.2061 36.1023 30.8305 37.8319 33.3431 37.8319H33.3916L33.3922 37.8321ZM41.2777 63.4304H48.7637V50.8535C48.7637 50.1813 48.8125 49.5072 49.0103 49.0271C49.5513 47.6815 50.7831 46.2887 52.8517 46.2887C55.5599 46.2887 56.644 48.354 56.644 51.3822V63.4304H64.1297V50.516C64.1297 43.598 60.4369 40.3787 55.5115 40.3787C51.4733 40.3787 49.6998 42.6357 48.7144 44.173H48.7643V40.9075H41.2781C41.3759 43.0205 41.2775 63.4312 41.2775 63.4312L41.2777 63.4304Z" fill="white"></path>
                    </svg>`
          };
          if (social_links.length > 0) {
            user_socials = h(
              "div",
              { class: ["flex", "gap-1"] },
              social_links.map((social) => {
                return h(
                  RLink,
                  { to: social.url },
                  () => h("span", { innerHTML: social_icons[social.icon] })
                );
              })
            );
          }
        }
        return h(
          "div",
          { class: ["flex", "gap-2", "my-1"] },
          state.arthur ? h(
            "div",
            { class: ["left"] },
            h(RAvatar, {
              class: ["mr-3", "ml-1"],
              description: post.created_by_description,
              image: post.created_by_image,
              size: state.avatar_sizing,
              shape: state.avatar_shape
            })
          ) : null,
          h(
            "div",
            { class: ["right", "flex-1"] },
            state.arthur && state.arthur_name != "image_only" ? h(
              "div",
              { class: ["flex-1", "flex", "gap-1"] },
              state.arthur_prefix ? h("div", { class: ["post-arthur-prefix"], innerHTML: state.arthur_prefix }) : null,
              h("div", { class: ["post-arthur", "color-primary-500", "font-bold", "mb-1"] }, tf_text.value(txt_aurthor_text))
            ) : null,
            user_socials,
            state.publish_date ? h(
              "div",
              { class: ["flex", "items-center", "gap-1", "post-date", "mt-1"] },
              // h('span',{ class: ['color-primary-500'], innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="0.75" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5" /></svg>`}),
              h("div", { class: ["color-gray-500", "text-smaller"] }, tf_text.value(post.published || null, { fmt: state.publish_fmt }))
            ) : null,
            state.category ? h(RLink, { class: [], to: `/p/categories/${post.category_slug}` }, () => post.category_title) : null,
            state.include_description ? h("div", { class: ["post-description", "mt-1", "mb-2"] }, post.description) : null,
            post_tags
          )
        );
      } else {
        return h("div", {
          class: ["p-2", "rounded"]
        }, "Post Object is null");
      }
    };
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      instance,
      state,
      RCheckbox,
      RAvatar,
      RRadio,
      RSelect,
      RInput,
      VModel,
      RRowLabel
    }) => {
      useEditorState();
      return h(
        "div",
        { class: ["Title-Preview"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: { minHeight: "48px" }
          },
          h(
            "div",
            { class: "flex gap-1 items-center" },
            h("b", {}, "PostAttributes")
          ),
          h(
            "div",
            {},
            state.arthur ? h(RAvatar, {
              class: ["color-gray-500"],
              text: "User",
              size: state.avatar_sizing,
              shape: state.avatar_shape
            }) : null,
            state.include_socials ? h("div", { class: ["mt-1"] }, h("span", {}, "author-social-media-link")) : null,
            state.publish_date ? h("div", { class: ["color-gray-500"] }, "Format(" + state.publish_fmt + ")") : null,
            state.category ? h("div", { class: ["color-gray-500", "mt-2"] }, "Category") : null,
            state.include_tags ? h("div", { class: ["mt-2"] }, h("span", { class: ["tag"] }, "tag-1"), h("span", { class: ["tag"] }, "tag-2")) : null,
            state.include_description ? h("div", { class: ["mt-2"] }, h("span", { class: ["x"] }, "Description")) : null
          )
        ),
        Inspector(
          h(RCheckbox, VModel("arthur", {
            onChange(arthur) {
              return { arthur };
            }
          }), () => "Include Arthur"),
          state.arthur ? h(
            "div",
            { class: ["pl-8"] },
            h(RRadio, VModel("arthur_name", {
              values: [
                { title: "Image Only", value: "image_only" },
                { title: "Use Image & Username", value: "use_username" },
                { title: "Use Image & Display Name", value: "use_display_name" }
              ],
              onChange(arthur_name) {
                return { arthur_name };
              }
            }))
          ) : null,
          state.arthur ? h(
            "div",
            { class: ["pl-8"] },
            h(
              RRowLabel,
              { text: "Prefix with text" },
              h(RInput, VModel("arthur_prefix", {
                onChange: (arthur_prefix) => ({ arthur_prefix })
              }))
            ),
            h(
              "div",
              { class: ["flex", "gap-2"] },
              h(
                RRowLabel,
                { text: "Avatar Sizing" },
                h(RSelect, VModel("avatar_sizing", {
                  onChange: (avatar_sizing) => ({ avatar_sizing }),
                  values: [
                    { title: "Small", value: "sm" },
                    { title: "Base", value: "base" },
                    { title: "Large", value: "lg" }
                  ]
                }))
              ),
              h(
                RRowLabel,
                { text: "Avatar Shape" },
                h(RSelect, VModel("avatar_shape", {
                  onChange: (avatar_shape) => ({ avatar_shape }),
                  values: [
                    { title: "Flat", value: "flat" },
                    { title: "Round", value: "round" },
                    { title: "Circle", value: "circle" }
                  ]
                }))
              )
            )
          ) : null,
          h(RCheckbox, VModel("publish_date", {
            onChange(publish_date) {
              return { publish_date };
            }
          }), () => "Include Publish Date"),
          state.publish_date ? h(
            "div",
            {
              class: ["pl-8"]
            },
            h(RRadio, VModel("publish_fmt", {
              values: [
                { title: "YYYY-MM-dd HH:MM PM", value: "Y-m-d I:M p" },
                { title: "YYYY-MM-dd", value: "Y-m-d" },
                { title: "Month dd, YYYY HH:MM PM", value: "B d, Y I:M p" },
                { title: "Month dd, YYYY", value: "B d, Y" }
              ],
              onChange(publish_fmt) {
                return { publish_fmt };
              }
            }))
          ) : null,
          h(RCheckbox, VModel("category", {
            onChange(category) {
              return { category };
            }
          }), () => "Include Category"),
          h(RCheckbox, VModel("include_description", {
            onChange(include_description) {
              return { include_description };
            }
          }), () => "Include Description"),
          h(RCheckbox, VModel("include_tags", {
            onChange(include_tags) {
              return { include_tags };
            }
          }), () => "Include Tags"),
          h(RCheckbox, VModel("include_socials", {
            onChange(include_socials) {
              return { include_socials };
            }
          }), () => "Include User Socials")
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostImage = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        max_height: "",
        fitness: "contain"
      })
    }
  },
  name: "PostImage",
  description: "Displays feature image of the post",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, post, tf_text, RAvatar }) => {
      if (post) {
        return h(
          "div",
          { class: ["post-image-wrapper", "flex", "flex-col", "justify-center"] },
          post.image ? h("img", {
            src: post.image,
            loading: "lazy",
            alt: post.description,
            class: ["img", "rounded"],
            style: { maxHeight: state.max_height, objectFit: state.fitness }
          }) : h("div", { class: ["no-post-image"] })
        );
      } else {
        return h("div", { class: ["p-2", "rounded"] }, "Post Object is null");
      }
    };
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      RDuplex,
      RSelect,
      Inspector,
      RText,
      instance,
      state,
      RCheckbox,
      RAvatar,
      RRadio,
      RInput,
      VModel,
      RRowLabel
    }) => {
      useEditorState();
      return h(
        "div",
        { class: ["Title-Preview"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: { minHeight: "80px" }
          },
          h(
            "div",
            { class: "flex gap-1 items-center" },
            h("b", {}, "PostImage")
          ),
          h("div", { class: ["bg-gray-300", "w-full", "rounded", "mt-3"], style: { height: "50px" } })
        ),
        Inspector(
          h(
            RRowLabel,
            { text: "Max Height" },
            () => h(RDuplex, VModel("max_height", {
              onChange(max_height) {
                return { max_height };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Image Fit" },
            () => h(RSelect, VModel("fitness", {
              values: [
                { title: "None", value: "none" },
                { title: "Cover", value: "cover" },
                { title: "Contain", value: "contain" },
                { title: "Fill", value: "fill" }
              ],
              onChange(fitness) {
                return { fitness };
              }
            }))
          )
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const CustomRender = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        markup: "",
        //javascript markup script
        generator: "",
        data: null,
        usage: "use_parent"
      })
    }
  },
  name: "CustomRender",
  description: "Create a custom render function",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = (importables) => {
      let { h, state, RNotes, post, block_id } = importables;
      if (!state.markup) return h(null, {}, `Custom Render function ${props.blockId} has null markup`);
      let vnodes = new Function(
        `  let Imports = arguments[0]; let I=Imports; 
  let data = arguments[1] || null;
   let post_meta=  Imports.post_meta;
  let app_state = Imports.useAppState();
   let view_state = Imports.useViewerState();
   let { block_id,  h,state, RLink ,RButton,RInput,RText,RSelect, post} = Imports 
try { ${state.markup}; } catch(ie) {
  return h('div',{ class:['m-2','p-3','border-2','border-indigo-300','rounded','bg-indigo-100'] }, 
h('h3',{class:['color-indigo-500','text-base','mb-2']},'CustomRender(${block_id}) Error'), ie.message) }
`
      )(importables, state.data || null);
      if (vnodes) {
        return vnodes;
      } else {
        return h("div", {}, "Custom Render Function did not return nodes");
      }
    };
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      RRadio,
      Inspector,
      RText,
      instance,
      state,
      RInput,
      VModel,
      RRowLabel,
      parent_state
    }) => {
      useEditorState();
      let parent_prop_list = [];
      for (var k in parent_state) {
        parent_prop_list.push({ name: k, value: parent_state[k] });
      }
      return h(
        "div",
        { class: ["Title-Preview"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-indigo-200"],
            style: { minHeight: "38px" }
          },
          h(
            "div",
            { class: "flex gap-1 items-center" },
            h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg"  fill="none" viewBox="0 0 24 24" stroke-width="3.5" stroke="currentColor" class="h-6 w-6 color-indigo-500"><path stroke-linecap="round" stroke-linejoin="round" d="M4.745 3A23.933 23.933 0 0 0 3 12c0 3.183.62 6.22 1.745 9M19.5 3c.967 2.78 1.5 5.817 1.5 9s-.533 6.22-1.5 9M8.25 8.885l1.444-.89a.75.75 0 0 1 1.105.402l2.402 7.206a.75.75 0 0 0 1.104.401l1.445-.889m-8.25.75.213.09a1.687 1.687 0 0 0 2.062-.617l4.45-6.676a1.688 1.688 0 0 1 2.062-.618l.213.09" /></svg>` }),
            h("b", { class: ["color-indigo-500"] }, "Render ")
          )
        ),
        Inspector(
          h(
            RRowLabel,
            { text: "Data Source" },
            h(RRadio, VModel("usage", {
              values: [
                { title: "Use Parent State", value: "use_parent" },
                { title: "Use Generator", value: "use_generator" }
              ],
              onChange(usage) {
                return { usage };
              }
            }))
          ),
          state.usage == "use_generator" ? h(
            "div",
            {},
            h(
              RRowLabel,
              { text: "Local Variable", title: "variables available within generator function" },
              h(
                "div",
                { class: ["flex", "gap-1", "text-smaller"] },
                h("span", { class: ["color-indigo-500", "font-bold"] }, "core"),
                h("span", {}, "Jxt core library")
              ),
              h(
                "div",
                { class: ["flex", "gap-1", "text-smaller"] },
                h("span", { class: ["color-indigo-500", "font-bold"] }, "post"),
                h("span", {}, "The post this block is a part of")
              )
            ),
            h(
              RRowLabel,
              { text: "Server Generator" },
              h(RInput, VModel("generator", {
                title: "Generator function body",
                multiLine: true,
                height: "130px",
                placeholder: "Function body to produce data to render component",
                onChange(generator) {
                  return { generator };
                }
              }))
            )
          ) : null,
          h(
            RRowLabel,
            { text: "Pre-defined Local Variable(s)", class: ["mb-3", "mt-2"] },
            h(
              "div",
              { class: ["flex", "flex-wrap", "gap-2"] },
              h(
                "div",
                { class: ["flex", "gap-1", "text-smaller", "p-1", "rounded", "hover:bg-amber-500", "cursor-pointer"] },
                h("span", {
                  class: ["color-indigo-500", "font-bold"],
                  "data-tooltip": "Object contain various renderable components, helpful classes, and composables"
                }, "Imports")
              ),
              h(
                "div",
                { class: ["flex", "gap-1", "text-smaller", "p-1", "rounded", "hover:bg-amber-500", "cursor-pointer"] },
                h("span", {
                  class: ["color-indigo-500", "font-bold"],
                  "data-tooltip": "Consumerable data generated with server side generator function"
                }, "data")
              ),
              h(
                "div",
                { class: ["flex", "gap-1", "text-smaller", "p-1", "rounded", "hover:bg-amber-500", "cursor-pointer"] },
                h("span", {
                  class: ["color-indigo-500", "font-bold"],
                  "data-tooltip": "Access to jxt application state"
                }, "app_state")
              ),
              h(
                "div",
                { class: ["flex", "gap-1", "text-smaller", "p-1", "rounded", "hover:bg-amber-500", "cursor-pointer"] },
                h("span", {
                  class: ["color-indigo-500", "font-bold"],
                  "data-tooltip": "Render function ie h(tag, { ... props }, children )"
                }, "h")
              ),
              h(
                "div",
                { class: ["flex", "gap-1", "text-smaller", "p-1", "rounded", "hover:bg-amber-500", "cursor-pointer"] },
                h("span", {
                  class: ["color-indigo-500", "font-bold"],
                  "data-tooltip": "Get named meta property's value"
                }, "post_meta")
              )
            )
          ),
          h(
            RRowLabel,
            { text: "Render Function", tooltip: 'Enter script to be ran within Render function body.  Always return with "h"' },
            h(RInput, VModel("markup", {
              class: ["sm"],
              multiLine: true,
              height: "200px",
              onChange(markup) {
                return { markup };
              }
            })),
            h("div", { class: ["text-sm", "mt-1", "color-gray-700"] }, "remember to import/decompose Imports as needed")
          ),
          state.usage == "use_parent" ? h(
            RRowLabel,
            { text: "Parent States" },
            () => h(
              "ul",
              {},
              parent_prop_list.map((it) => h("li", { class: ["pl-2", "color-gray-600", "hover:color-indigo-500", "cursor-default"] }, `${it.name} : ${it.value}`)),
              parent_prop_list.length == 0 ? h("li", { class: ["color-indigo-400", "pl-2"] }, " No parent property") : null
            )
          ) : null
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostEmbed = () => ({
  emits: ["update:modelValue", "new"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    h: null,
    state: {
      type: Object,
      default: () => ({ post_id: null, target: "posts" })
    }
  },
  name: "PostEmbed",
  description: "Insert blocks from other post into in place of this block on page display.",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
  <path stroke-linecap="round" stroke-linejoin="round" d="m21 7.5-2.25-1.313M21 7.5v2.25m0-2.25-2.25 1.313M3 7.5l2.25-1.313M3 7.5l2.25 1.313M3 7.5v2.25m9 3 2.25-1.313M12 12.75l-2.25-1.313M12 12.75V15m0 6.75 2.25-1.313M12 21.75V19.5m0 2.25-2.25-1.313m0-16.875L12 2.25l2.25 1.313M21 14.25v2.25l-2.25 1.313m-13.5 0L3 16.5v-2.25" />
</svg>
`,
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return { style: [], script: [] };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let type_list = props.Jx([]);
    if (props.isEdit) {
      props.JxRequest({ url: "/api/types" }).then((tres) => {
        var _a;
        type_list.value = ((_a = tres.d) == null ? undefined : _a.map((it) => ({ title: it.title_plural, value: it.name }))) || [];
        type_list.value.splice(0, 0, { title: "All", value: "posts" });
      });
    }
    let content_view = ({ h, state }) => {
      return h(
        "div",
        { class: ["PostEmbed"], "post-id": state.post_id },
        slots.default ? slots.default() : null
      );
    };
    let inflated = props.Jx(null);
    let update_inflated = (arr) => {
      if (Array.isArray(arr) && arr.length > 0) {
        inflated.value = arr[0];
      } else {
        inflated.value = null;
      }
    };
    if (props.isEdit) {
      props.JxRequest({
        url: "/api/search",
        query: { inflate: props.state.post_id, target: "posts" }
      }).then((res) => {
        update_inflated(res.d);
      });
    }
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      RLink,
      Inspector,
      RText,
      instance,
      state,
      RPicker,
      RInput,
      VModel,
      RRowLabel,
      editor_store,
      RSelect
    }) => {
      useEditorState();
      let el_inflate_text = [];
      if (inflated.value) {
        el_inflate_text.push(...[
          h("div", { class: ["color-primary-500 font-bold"] }, inflated.value.title),
          h("div", { class: ["color-gray-400  "] }, inflated.value.description)
        ]);
      }
      return h(
        "div",
        { class: ["PostEmbed"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-100"],
            style: {
              minHeight: "50px"
            }
          },
          h(
            "div",
            { class: "mb-2 flex gap-2 items-center" },
            h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4">
  <path stroke-linecap="round" stroke-linejoin="round" d="m21 7.5-2.25-1.313M21 7.5v2.25m0-2.25-2.25 1.313M3 7.5l2.25-1.313M3 7.5l2.25 1.313M3 7.5v2.25m9 3 2.25-1.313M12 12.75l-2.25-1.313M12 12.75V15m0 6.75 2.25-1.313M12 21.75V19.5m0 2.25-2.25-1.313m0-16.875L12 2.25l2.25 1.313M21 14.25v2.25l-2.25 1.313m-13.5 0L3 16.5v-2.25" />
</svg>
` }),
            h("b", {}, "PostEmbed")
          ),
          h(
            "div",
            { class: ["pl-4"] },
            state.post_id ? h(RLink, {
              to: `/user/editor/${state.post_id}`
            }, () => `Embed Post(${state.post_id})`) : h("span", { class: ["font-italics"] }, `Select a post`)
          ),
          h("div", { class: ["pl-8 pt-2", "post-detail"] }, el_inflate_text)
        ),
        Inspector(
          h(
            RRowLabel,
            { text: "Lookup within", tooltip: "Specify post types to search" },
            h(RSelect, VModel("target", {
              values: type_list.value,
              onChange(target) {
                return { target };
              }
            }))
          ),
          h(RPicker, VModel("post_id", {
            target: state.target == "posts" ? "posts" : `posts.${state.target}`,
            onFocus(e) {
              console.log("PostEmbed.focus", e);
            },
            placeholder: "Search posts",
            onInflated(values) {
              update_inflated(values);
            },
            onChange(post_id) {
              return { post_id };
            }
          }))
        )
      );
    };
    return Block(props.isEdit ? content_edit : content_view);
  }
});

const PostLoop = () => ({
  emits: ["update:modelValue", "new"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    h: null,
    state: {
      type: Object,
      default: () => ({
        data_source: "page_query",
        format: "style1",
        render: null,
        the_loop: null,
        //initialized during post-render
        title: null,
        //Message to display when no items are in the loop
        empty_message: null,
        post_type: null,
        limit: 5,
        class_per_item: "",
        loop_class: "",
        title_class: "",
        taxonomy_id: null
      })
    }
  },
  name: "PostLoop",
  description: "Loop page's dataset (archive, etc) and render list",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5"><path stroke-linecap="round" stroke-linejoin="round" d="M19.5 12c0-1.232-.046-2.453-.138-3.662a4.006 4.006 0 0 0-3.7-3.7 48.678 48.678 0 0 0-7.324 0 4.006 4.006 0 0 0-3.7 3.7c-.017.22-.032.441-.046.662M19.5 12l3-3m-3 3-3-3m-12 3c0 1.232.046 2.453.138 3.662a4.006 4.006 0 0 0 3.7 3.7 48.656 48.656 0 0 0 7.324 0 4.006 4.006 0 0 0 3.7-3.7c.017-.22.032-.441.046-.662M4.5 12l3 3m-3-3-3 3" /></svg>`,
  is_droppable(blk) {
    return false;
  },
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return { style: [], script: [] };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let style_choices = [
      { title: "Style 1", value: "style1" },
      { title: "Style 2", value: "style2" },
      { title: "Style 3", value: "style3" },
      { title: "Style 4", value: "style4_vcard" },
      { title: "Style 5", value: "style5_hcard" },
      { title: "Custom", value: "custom" }
    ];
    let data_sources = props.Jx([
      { title: "Page Query", value: "page_query", tooltip: "For any page displying search results" },
      { title: "Page Archives", value: "page_taxonomy", tooltip: "For use on pages '/p/[taxonomy]/[term]' " },
      { title: "Latest Posts", value: "latest", tooltip: "Outputs most recent posts" },
      { title: "Related Posts", value: "related", tooltip: "Render post with related tags" },
      { title: "Taxonomy Terms", value: "taxonomy_terms", tooltip: "Render terms associated with taxonomy" },
      { title: "From Plugin", value: "plugin", tooltip: "Plugin to populate loop - references block_id" }
    ]);
    let post_types = props.Jx(null);
    let tax_classes = props.Jx(null);
    if (props.isEdit) {
      props.JxRequest({
        url: "/api/types"
      }).then((res) => {
        let values = res.d || [];
        post_types.value = values.map((it) => ({ title: it.title_plural, value: it.name }));
      });
      props.JxRequest({
        url: "/api/terms/class"
      }).then((res) => {
        tax_classes.value = (res.d || []).map((it) => ({ title: it.title, value: it.id }));
      });
    }
    let content_view = (Imports) => {
      let { h, state, RLink, tf_text, RCard, RPagination, useRoute } = Imports;
      let the_route = useRoute();
      let the_loop = state.the_loop || [];
      let format = state.format;
      let image = `https://archive.org/download/placeholder-image/placeholder-image.jpg`;
      let img_url = (item) => {
        return item.image || image;
      };
      let style1 = () => the_loop.map((item, index) => {
        let image2 = null;
        let el_img = h("img", { loading: "lazy", class: ["w-fit", "ts", "ts-scale"], src: img_url(item), alt: "Image for post " + item.title });
        if (img_url(item)) image2 = h(
          "figure",
          { class: ["post-image", "overflow-hidden", "rounded"], style: { minHeight: "280px", height: "280px", maxHeight: "280px" } },
          item.category_title ? h(
            RLink,
            {
              class: ["absolute", "z-100", "font-bold", "p-2", "post-category", "bg-white", "text-decoration-none", "rounded"],
              style: { left: "1em", top: "1em" },
              to: `/categories/${item.category_id}?slug=${item.category_slug}`
            },
            () => item.category_title
          ) : null,
          item.url ? h(RLink, { class: ["h-inherit", "block"], to: item.url }, () => el_img) : el_img
        );
        else {
          image2 = h("figure", { class: ["post-image", "overflow-hidden", "rounded", "bg-gray-300"], style: { minHeight: "280px" } });
        }
        return h(
          "li",
          { class: ["loop-item", "mb-4", "post-" + index, "pb-5", state.class_per_item], key: "item" + index + "-" + item.id, item: index, "post-id": item.id },
          image2,
          h(
            "div",
            { class: ["post-publish", , "text-smaller", "color-gray-600", "mb-1", "mt-2"] },
            tf_text.value(item.published, { fmt: "B d, Y" })
          ),
          h("h3", { class: ["post-title", "text-md", "my-2"] }, h(RLink, { to: item.url }, () => item.title)),
          h("div", { class: ["post-description"] }, item.description)
        );
      });
      let style2 = () => the_loop.map((item, index) => {
        return h(
          "li",
          { class: ["loop-item", "mb-2", "post-" + index, "flex", "gap-3", "pb-2", , state.class_per_item], key: "item" + index + "-" + item.id, item: index, "post-id": item.id },
          h(
            "figure",
            { class: ["post-image", "rounded", "overflow-hidden"], style: { width: "80px", maxHeight: "60px" } },
            h(
              RLink,
              { to: item.url, class: ["w-full", "h-full"] },
              img_url(item) ? () => h("img", { loading: "lazy", class: ["w-fit"], src: img_url(item), alt: item.description }) : () => h("div", { class: ["placeholder", "overflow-hidden", "rounded", "bg-gray-300", "w-full", "h-full"] })
            )
          ),
          h(
            "div",
            { class: ["wrapper", "flex-1"] },
            h("h3", { class: ["post-title", "text-md", "my-2"] }, h(RLink, { to: item.url }, () => item.title)),
            h("div", { class: ["post-description"] }, item.description)
          )
        );
      });
      let style3 = () => the_loop.map((item, index) => {
        return h(
          "li",
          {
            class: ["loop-item", "mb-1", "post-" + index, state.class_per_item],
            key: "item" + index + "-" + item.id,
            item: index,
            "post-id": item.id
          },
          h("h3", { class: ["post-title", "text-base"] }, h(RLink, { to: item.url }, () => item.title))
        );
      });
      let style4 = () => the_loop.map((item, index) => {
        return h(
          "li",
          {
            class: ["loop-item", "mb-1", "post-" + index, "w-sm", state.class_per_item],
            key: "item" + index + "-" + item.id,
            item: index,
            "post-id": item.id
          },
          h(RCard, {
            title: item.title,
            description: item.description,
            image: item.image || image,
            url: item.url,
            zoom: false,
            roundness: "6px",
            border: false
          })
        );
      });
      let style5 = () => the_loop.map((item, index) => {
        return h(
          "li",
          {
            class: ["loop-item", "mb-1", "post-" + index, "w-sm", state.class_per_item],
            key: "item" + index + "-" + item.id,
            item: index,
            "post-id": item.id
          },
          h(RCard, {
            title: item.title,
            description: item.description,
            image: item.image || image,
            url: item.url,
            zoom: false,
            roundness: "6px",
            border: false,
            horizontal: true
          })
        );
      });
      let custom_script = state.render || null;
      let inner_render_fx = format == "custom" ? new Function(
        `let Imports = arguments[0];
//make these variables readily available for the developer 
let { h,state ,RLink , tf_text  } = Imports 
let item = arguments[1], it = arguments[1],index=arguments[2]
try { ${custom_script} }catch(ie){ console.error('PostLoop.exception render',ie, it); }`
      ) : () => {
      };
      let custom = () => the_loop.map((item, index) => {
        return h(
          "li",
          {
            class: ["loop-item", "mb-2", "post-" + index, "pb-2", state.class_per_item],
            key: "item" + index + "-" + item.id,
            item: index,
            "post-id": item.id
          },
          inner_render_fx(Imports, item, index)
        );
      });
      let pagination = { p: 1, pages: 1 };
      if (Array.isArray(state.the_loop) && state.the_loop.length != 0) {
        if (state.the_loop[0].pagination) {
          pagination = state.the_loop[0].pagination;
        }
      }
      let fx_fn = format == "style1" ? style1 : format == "style2" ? style2 : format == "style3" ? style3 : format == "style4_vcard" ? style4 : format == "style5_hcard" ? style5 : custom;
      return h(
        "div",
        { class: ["PostLoop", "format-" + format] },
        state.title ? h("h3", {
          class: ["text-base", "loop-title", "mb-2", state.title_class],
          innerHTML: state.title
        }) : null,
        h(
          "ul",
          { class: ["loop-items", "list-none", "p-0", "my-2", state.loop_class, format] },
          fx_fn(),
          (!state.the_loop || state.the_loop && state.the_loop.length == 0) && state.empty_message ? h("li", {
            class: ["loop-item", "mb-2", "color-gray-500", "empty"],
            innerHTML: state.empty_message
          }) : null
        ),
        slots.default ? slots.default() : null,
        h(RPagination, { options: pagination, useLInks: true, url: the_route.path })
      );
    };
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      RSelect,
      Inspector,
      RText,
      instance,
      state,
      RPicker,
      RRadio,
      RInput,
      VModel,
      RRowLabel,
      editor_store,
      RCheckbox
    }) => {
      useEditorState();
      return h(
        "div",
        { class: ["Post-Loop"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: { minHeight: "50px" }
          },
          h(
            "div",
            { class: "mb-2 flex gap-2 items-center" },
            h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6"><path stroke-linecap="round" stroke-linejoin="round" d="M19.5 12c0-1.232-.046-2.453-.138-3.662a4.006 4.006 0 0 0-3.7-3.7 48.678 48.678 0 0 0-7.324 0 4.006 4.006 0 0 0-3.7 3.7c-.017.22-.032.441-.046.662M19.5 12l3-3m-3 3-3-3m-12 3c0 1.232.046 2.453.138 3.662a4.006 4.006 0 0 0 3.7 3.7 48.656 48.656 0 0 0 7.324 0 4.006 4.006 0 0 0 3.7-3.7c.017-.22.032-.441.046-.662M4.5 12l3 3m-3-3-3 3" /></svg>` }),
            h("b", {}, "PostLoop")
          ),
          state.title ? h("div", { innerHTML: state.title, class: ["text-base", "mb-2", "loop-title", state.title_class] }) : null,
          h(
            "div",
            { class: ["flex"] },
            h(
              RRowLabel,
              { text: "Render Style", class: ["w-1/3"] },
              () => h(RRadio, VModel("format", {
                values: style_choices,
                onChange(format) {
                  console.info("OK CLick", format);
                  return { format };
                }
              }))
            ),
            ["style1"].includes(state.format) ? h(
              "div",
              { class: ["flex-1"] },
              h("div", { class: ["rounded", "bg-gray-300", "mb-2"], style: { width: "100%", height: "72px" } }),
              h(
                "div",
                { class: [] },
                h("div", { class: "post-date text-smaller" }, "Month dd, YYYYY"),
                h("h3", { class: "post-title text-md my-2" }, "Title"),
                h("div", { class: "post-description" }, "Post description here")
              )
            ) : null,
            ["style2"].includes(state.format) ? h(
              "div",
              { class: ["flex", "flex-1", "gap-2"] },
              h("div", { class: ["rounded", "bg-gray-300", "mt-2"], style: { width: "60px", height: "46px" } }),
              h(
                "div",
                { class: [] },
                h("h3", { class: "post-title text-md my-2" }, "Title"),
                h("div", { class: "post-description" }, "Post description here")
              )
            ) : null,
            ["style3"].includes(state.format) ? h(
              "div",
              { class: ["flex", "flex-1", "gap-2"] },
              h(
                "div",
                { class: [] },
                h("h3", { class: "post-title text-md my-2" }, "Title (only)")
              )
            ) : null,
            ["style4_vcard"].includes(state.format) ? h(
              "div",
              { class: ["flex", "flex-1", "gap-2"] },
              h(
                "div",
                { class: ["w-full"] },
                h("div", { class: ["bg-gray-300", "bg-opacity-40"], style: { minWidth: "100px", minHeight: "75px" } }),
                h(
                  "div",
                  { class: ["p-2"] },
                  h("div", { class: ["rounded", "h-3", "bg-gray-400", "w-2/3", "mb-3"] }),
                  h("div", { class: ["rounded", "h-2", "bg-gray-400", "w-1/3", "mb-2"] }),
                  h("div", { class: ["rounded", "h-2", "bg-gray-400", "w-2/3", "mb-2"] }),
                  h("div", { class: ["rounded", "h-2", "bg-gray-400", "w-1/2", "mb-2"] })
                )
              )
            ) : null,
            ["style5_hcard"].includes(state.format) ? h(
              "div",
              { class: ["flex", "flex-1", "gap-2"] },
              h(
                "div",
                { class: ["flex", "w-full"] },
                h("div", { class: ["bg-gray-300", "bg-opacity-40"], style: { minWidth: "100px", maxHeight: "75px" } }),
                h(
                  "div",
                  { class: ["p-2", "w-1/2"] },
                  h("div", { class: ["rounded", "h-3", "bg-gray-400", "w-2/3", "mb-3"] }),
                  h("div", { class: ["rounded", "h-2", "bg-gray-400", "w-1/3", "mb-2"] }),
                  h("div", { class: ["rounded", "h-2", "bg-gray-400", "w-2/3", "mb-2"] }),
                  h("div", { class: ["rounded", "h-2", "bg-gray-400", "w-1/2", "mb-2"] })
                )
              )
            ) : null,
            state.format == "custom" ? h(
              RRowLabel,
              { text: "Render Function", class: ["w-2/3"] },
              () => [h("div", {
                title: "exposed variables and function",
                class: ["text-smaller", "color-gray-400"]
              }, "h, item,index,Imports,..."), h(RInput, VModel("render", {
                multiLine: true,
                height: "120px",
                tooltip: "Write the content of the render function",
                onChange(render) {
                  return { render };
                }
              }))]
            ) : null
          )
        ),
        Inspector(
          h(
            RRowLabel,
            { text: "Loop Wrapper CSS Class", tooltip: "CSS classes for loop root" },
            () => h(RInput, VModel("loop_class", {
              "data-tooltip": "CSS Classes for inner loop wrapper",
              onChange(loop_class) {
                return { loop_class };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Item(s) CSS Class", tooltip: "CSS classes to apply to each loop item" },
            () => h(RInput, VModel("class_per_item", {
              onChange(class_per_item) {
                return { class_per_item };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Get Data From", tooltip: "Specify where data is pulled" },
            () => h(RSelect, VModel("data_source", {
              values: data_sources.value,
              onChange(data_source) {
                return { data_source };
              }
            }))
          ),
          ["latest", "related"].includes(state.data_source) ? h(
            "div",
            { class: ["latest-properties"] },
            h(
              "div",
              { class: ["flex", "gap-2"] },
              state.data_source == "latest" ? h(
                RRowLabel,
                { text: "Post Type" },
                () => h(RSelect, VModel("post_type", {
                  values: post_types.value,
                  onChange(post_type) {
                    return { post_type };
                  }
                }))
              ) : null,
              h(
                RRowLabel,
                { text: "Limit to" },
                () => h(RInput, VModel("limit", {
                  type: "limit",
                  placeholder: "Max number of items to show",
                  onChange(limit) {
                    return { limit };
                  }
                }))
              )
            )
          ) : null,
          ["taxonomy_terms"].includes(state.data_source) ? h(
            "div",
            { class: ["taxonomy-classes"] },
            h(
              RRowLabel,
              { text: "Render Terms of" },
              () => h(RSelect, VModel("taxonomy_id", {
                onRchange(taxonomy_id) {
                  return { taxonomy_id };
                },
                values: tax_classes.value
              }))
            )
          ) : null,
          h(
            RRowLabel,
            { text: "Loop Title" },
            () => h(RInput, VModel("title", {
              onChange(title) {
                return { title };
              }
            }))
          ),
          state.title ? h(
            RRowLabel,
            { text: "Title CSS Class" },
            () => h(RInput, VModel("title_class", {
              onChange(title_class) {
                return { title_class };
              }
            }))
          ) : null,
          h(
            RRowLabel,
            { text: "When empty, display" },
            () => h(RInput, VModel("empty_message", {
              onChange(empty_message) {
                return { empty_message };
              }
            }))
          )
        )
      );
    };
    return Block(props.isEdit ? content_edit : content_view);
  }
});

const Carousel = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({ href: "" })
    }
  },
  name: "Carousel",
  description: "Create draggable slideshow of content",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M9 4.5v15m6-15v15m-10.875 0h15.75c.621 0 1.125-.504 1.125-1.125V5.625c0-.621-.504-1.125-1.125-1.125H4.125C3.504 4.5 3 5.004 3 5.625v12.75c0 .621.504 1.125 1.125 1.125Z" />
</svg>`,
  is_droppable(blk) {
    return true;
  },
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return { style: [`.Carousel .inner-wrapper > *:not(:first-child) { border-top: 1px dashed rgba(var(--primary-300),1);}`], script: [] };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, RCarousel }) => {
      if (!props.isEdit) {
        return h(RCarousel, {
          class: ["Carousel"],
          style: {},
          disabled: props.isEdit
        }, () => slots.default ? slots.default() : null);
      } else {
        return h(
          "div",
          { class: ["inner-wrapper"], style: {} },
          slots.default ? slots.default() : null
        );
      }
    };
    let content_edit = (payload) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        instance,
        state,
        RInput,
        VModel,
        RRowLabel
      } = payload;
      return h(
        "div",
        {
          class: ["Carousel", "border-dashed", "border", "border-primary-300", "rounded"],
          style: {
            minHeight: "1.5em",
            paddingLeft: "2.5em",
            paddingRight: "0.75em",
            borderRadius: "0.25em"
          }
        },
        content_view(payload),
        h(
          "div",
          { class: ["absolute", "z-100"], style: { left: "0.5em", top: "0.75em" } },
          h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5 color-primary-500"><path stroke-linecap="round" stroke-linejoin="round" d="M9 4.5v15m6-15v15m-10.875 0h15.75c.621 0 1.125-.504 1.125-1.125V5.625c0-.621-.504-1.125-1.125-1.125H4.125C3.504 4.5 3 5.004 3 5.625v12.75c0 .621.504 1.125 1.125 1.125Z" /></svg>` })
        ),
        Inspector(
          /* h(RRowLabel,{ text : 'Text'},
              h(RInput,VModel('text',{
                  onChange (text){ return { text } }
              }))
          ),
          h(RRowLabel,{ text : 'URL'},
              h(RInput,VModel('url',{
                  onChange (url){ return { url } }
              }))
          )  */
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const InspectSidebar = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        to_sidebar: false
      })
    }
    //The blocks state (ideal for render view, but not for edit view)
    /* ... */
  },
  name: "InspectSidebar",
  description: "Option to determine if block should be rendered to sidebar",
  icon: ``,
  setup(props, { attrs, emit, slots }) {
    try {
      let Block = props.Block;
      let content = ({
        state,
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        RInput,
        VModel,
        RDuplex,
        RRow,
        RRowLabel,
        RCheckbox,
        RColor
      }) => {
        let editor_states = useEditorState();
        let instance = editor_states.get_block(block_id);
        return h(
          "div",
          { class: ["Inspect-ToSidebar"] },
          h(RCheckbox, VModel("to_sidebar", {
            tooltip: `On post-view, remove block from its current position and append <b class="color-indigo-500">PostSidebar</b> block`,
            onChange(to_sidebar) {
              return { to_sidebar };
            }
          }), () => "Sidebar"),
          h(RCheckbox, VModel("is_virtual", {
            tooltip: `On post-view, element will be removed but available for other elements consume its data.`,
            onChange(is_virtual) {
              return { is_virtual };
            }
          }), () => "Virtual")
        );
      };
      return Block({}, content);
    } catch (xx) {
      console.log("????EIFHO", xx);
    }
  }
  //End of setup
});

const PostSidebar = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        max_height: "",
        fitness: "contain"
      })
    }
  },
  name: "PostSidebar",
  description: 'Marks location of sidebar content, especially for blocks marked "To Sidebar"',
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">  <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 12h16.5m-16.5 3.75h16.5M3.75 19.5h16.5M5.625 4.5h12.75a1.875 1.875 0 0 1 0 3.75H5.625a1.875 1.875 0 0 1 0-3.75Z" /></svg>`,
  is_droppable() {
    return false;
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, post, tf_text, RAvatar }) => {
      if (post) {
        return h("div", { class: ["PostSidebar"] }, slots.default ? slots.default() : null);
      } else {
        return h("div", {
          class: ["p-2", "rounded"]
        }, "Post Object is null");
      }
    };
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      RDuplex,
      RSelect,
      Inspector,
      RText,
      instance,
      state,
      RCheckbox,
      RAvatar,
      RRadio,
      RInput,
      VModel,
      RRowLabel
    }) => {
      useEditorState();
      return h(
        "div",
        { class: ["Post-Sidebar-Preview"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: { minHeight: "80px" }
          },
          h("div", { class: "flex gap-1 items-center" }, h("b", {}, "PostSidebar")),
          h("div", { class: ["bg-gray-300", "h-3", "w-1/2", "mt-1"] }),
          h("div", { class: ["bg-gray-300", "h-3", "mt-4", "w-2/3"] }),
          h("div", { class: ["bg-gray-300", "w-full", "rounded", "mt-3"], style: { height: "80px" } })
        ),
        Inspector()
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const LinkList = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        title: "",
        head_type: "h3",
        title_class: "mb-3",
        items_class: "",
        items: [],
        show: "always"
      })
    }
  },
  name: "LinkList",
  description: "Create an list of links - ideal for page footers",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M8.25 6.75h12M8.25 12h12m-12 5.25h12M3.75 6.75h.007v.008H3.75V6.75Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0ZM3.75 12h.007v.008H3.75V12Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm-.375 5.25h.007v.008H3.75v-.008Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Z" />
  </svg>
  `,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let tag_types = [
      { title: "H1", value: "h1" },
      { title: "H2", value: "h2" },
      { title: "H3", value: "h3" },
      { title: "H4", value: "h4" },
      { title: "H5", value: "h5" },
      { title: "H6", value: "h6" }
    ];
    let content_view = ({ h, state, RLink, useViewerState, block_id }) => {
      let viewer_state = useViewerState();
      return h(
        "div",
        { class: ["LinkList", "list-none"] },
        state.title ? h(
          "div",
          { class: ["list-title", "text-base"], style: { listStyle: "none" } },
          h(state.head_type || "h3", { class: state.title_class }, state.title)
        ) : null,
        h(
          "ul",
          { class: ["list-none", "items"] },
          Array.isArray(state.items) && state.items.length > 0 ? state.items.map((item, index) => {
            if (!props.isEdit) {
              let show_value = item.show;
              if (show_value == "logged_out") {
                if (viewer_state.user) return null;
              } else if (show_value == "logged_in") {
                if (!viewer_state.user) return null;
              }
            }
            let inner = h("div", { innerHTML: item.text });
            return h(
              "li",
              {
                "item": index,
                class: [state.items_class, "item-" + index],
                key: "it-" + index + block_id
              },
              item.url ? h(RLink, { to: item.url }, () => inner) : inner
            );
          }) : null
        )
      );
    };
    let content_edit = (payload) => {
      let {
        repeater,
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RSelect,
        RInput,
        VModel,
        RRowLabel,
        RButton
      } = payload;
      let editor_states = useEditorState();
      return h(
        "div",
        { class: ["List"] },
        content_view(payload),
        Inspector(
          h(RButton, {
            onClick(e) {
              editor_states.insert_block({ push: block_id, data: {
                state: {},
                type: "listitem",
                children: []
              } });
              console.info("Add to block");
            }
          }, () => "Add Item"),
          h(
            RRowLabel,
            { text: "Title" },
            () => h(RInput, VModel("title", {
              onChange: (title) => ({ title })
            }))
          ),
          state.title ? h(
            RRowLabel,
            { text: "Heading Type" },
            () => h(RSelect, VModel("head_type", {
              values: tag_types,
              onChange: (head_type) => ({ head_type })
            }))
          ) : null,
          h(
            RRowLabel,
            { text: "Title CSS Class" },
            () => h(RInput, VModel("title_class", {
              onChange: (title_class) => ({ title_class })
            }))
          ),
          h(
            RRowLabel,
            { text: "Items CSS Class" },
            () => h(RInput, VModel("items_class", {
              onChange: (items_class) => ({ items_class })
            }))
          ),
          ...repeater("items", "Items", {
            onNew() {
              return { url: "", text: "" };
            },
            onRender(item, index) {
              return [
                h(RInput, {
                  placeholder: "Display text",
                  class: "mb-1",
                  modelValue: item.text,
                  multiLine: true,
                  onRchange(text) {
                    item.text = text;
                  }
                }),
                h(RInput, {
                  class: "mb-1",
                  placeholder: "/link/url",
                  modelValue: item.url,
                  onRchange(url) {
                    item.url = url;
                  }
                }, () => h("span", {
                  innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
<path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244" /></svg>`
                })),
                h("div", { class: "mt-3 mb-1 text-sm" }, "Show when"),
                h(RSelect, {
                  modelValue: item.show,
                  values: [
                    { title: "Always", value: "always" },
                    { title: "Logged In", value: "logged_in" },
                    { title: "Logged Out", value: "logged_out" }
                  ],
                  onRchange(val) {
                    item.show = val;
                  }
                })
              ];
            }
          })
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const FormField = () => ({
  emits: ["update:modelValue", "fieldupdate"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    h: null,
    state: {
      type: Object,
      default: () => ({
        name: "",
        type: "string",
        sub_type: "submit",
        btn_shape: null,
        btn_theme: null,
        title: "",
        sub_title: "",
        placeholder: "",
        required: false,
        choices: [],
        initial_values: [],
        min: 0,
        max: 100,
        validation: [],
        hide_on_table: false,
        title_on_table: "",
        priority_on_table: 80
      })
    }
  },
  name: "FormField",
  description: "Create form elements.",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
  <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 12h16.5m-16.5 3.75h16.5M3.75 19.5h16.5M5.625 4.5h12.75a1.875 1.875 0 0 1 0 3.75H5.625a1.875 1.875 0 0 1 0-3.75Z" /></svg>`,
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return { style: [], script: [] };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let root = props.Jx(null);
    let field_types = [
      { title: `Button`, value: "button" },
      { title: `String`, value: "string" },
      { title: `Number`, value: "number" },
      { title: `Text`, value: "text" },
      { title: `Checkbox`, value: "checkbox" },
      { title: `Range`, value: "range" },
      { title: `Select`, value: "select" },
      { title: `Radio`, value: "radio" },
      { title: `Hidden`, value: "hidden" }
    ];
    let validation_types = [
      { title: "Is Date", value: "date" },
      { title: "Is Email", value: "email" },
      { title: "Is Phone", value: "phone" },
      { title: "Is Number", value: "number" },
      { title: "Within Range", value: "minmax" },
      { title: "Min Length", value: "minlen" },
      { title: "Max Length", value: "maxlen" },
      { title: "Matches Pattern", value: "pattern" }
    ];
    let d = props.Jx("");
    let onInput = (e) => {
    };
    let content_view = ({ h, state, RInput, RText, RCheckbox, RButton, RRange, RSelect, RRadio, util }) => {
      let el_field = null;
      let field_type = state.type;
      let show_title = true;
      let show_sub_title = true;
      let is_hidden = false;
      let onRchange = (value) => {
        d.value = value;
        let payload = { name: state.name, value, validation: util.copy(state.validation) };
        let form = root.value.closest("form");
        if (form) {
          util.trigger("fieldupdate", root.value, payload);
        }
      };
      if (["string", "number"].includes(field_type)) {
        let input_type = state.type == "string" ? "text" : "number";
        el_field = h(RInput, {
          modelValue: d.value,
          onRchange,
          onInput,
          placeholder: state.placeholder,
          required: state.required,
          type: input_type
        });
      } else if (field_type == "hidden") {
        show_sub_title = false;
        show_title = false;
        is_hidden = true;
        el_field = h("input", { type: "hidden", modelValue: d.value });
      } else if (field_type == "text") {
        el_field = h(RText, { modelValue: d.value, onRchange, onInput, placeholder: state.placeholder });
      } else if (field_type == "checkbox") {
        el_field = h(RCheckbox, { modelValue: d.value, onRchange, onInput }, () => state.placeholder);
      } else if (field_type == "button") {
        show_title = false;
        show_sub_title = false;
        el_field = h(RButton, {
          class: [state.btn_shape, state.btn_theme],
          type: state.sub_type
        }, () => state.title);
      } else if (field_type == "range") {
        el_field = h(RRange, {
          modelValue: d.value,
          onRchange,
          onInput,
          min: state.min,
          max: state.max
        });
      } else if (["radio", "select"].includes(field_type)) {
        el_field = h(
          field_type == "select" ? RSelect : RRadio,
          {
            modelValue: d.value,
            onRchange,
            onInput,
            values: state.choices
          }
        );
      }
      return h(
        "div",
        {
          class: ["Field", "mb-1", is_hidden ? props.isEdit ? "" : "hidden" : ""],
          "field-name": state.name,
          "field-type": state.type,
          ref: root,
          onInit(e) {
            let form = e.target.closest("form");
            util.trigger("fieldmeta", form, {
              name: state.name || null,
              type: state.type || null,
              validation: util.copy(state.validation),
              required: state.required
            });
          }
        },
        show_title ? h("div", { class: ["field-title", "mb-2", "color-gray-400"] }, state.title) : null,
        el_field,
        is_hidden && props.isEdit ? h(
          "div",
          { class: ["preview-hidden", "font-italics", "color-gray-600", "flex", "flex-1", "items-center"] },
          h("span", { class: ["ml-2", "inline-block"], innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M3.98 8.223A10.477 10.477 0 0 0 1.934 12C3.226 16.338 7.244 19.5 12 19.5c.993 0 1.953-.138 2.863-.395M6.228 6.228A10.451 10.451 0 0 1 12 4.5c4.756 0 8.773 3.162 10.065 7.498a10.522 10.522 0 0 1-4.293 5.774M6.228 6.228 3 3m3.228 3.228 3.65 3.65m7.894 7.894L21 21m-3.228-3.228-3.65-3.65m0 0a3 3 0 1 0-4.243-4.243m4.242 4.242L9.88 9.88" /></svg>` }),
          h("span", { class: ["inline-block", "ml-3", "font-bold"] }, "Hidden Field"),
          state.name ? h("span", {}, "(", h("span", { class: ["color-primary-500"] }, state.name), ")") : null
        ) : null,
        state.sub_title && show_sub_title ? h("div", { class: ["field-sub-title", "color-gray-600", "mt-2", "text-sm"] }, state.sub_title) : null,
        h("div", { class: ["field-error", "color-red-500"] })
      );
    };
    props.Jx(false);
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        RSelect,
        RCheckbox,
        Inspector,
        RText,
        instance,
        state,
        is_active,
        RInput,
        VModel,
        RRowLabel,
        editor_store,
        repeater
      } = imports;
      useEditorState();
      let is_hidden = state.type == "hidden";
      let has_values = ["select", "radio"].includes(state.type);
      let is_range = state.type == "range";
      return h(
        "div",
        { class: ["FormField"] },
        h(
          "div",
          { class: ["pointer-events-none"] },
          content_view(imports)
        ),
        Inspector(
          h(RRowLabel, { text: "Field Name" }, () => h(RInput, VModel("name", {
            onChange(name) {
              return { name };
            }
          }))),
          !is_hidden ? h(RRowLabel, { text: "Field Title" }, () => h(RInput, VModel("title", {
            onChange(title) {
              return { title };
            }
          }))) : null,
          !is_hidden ? h(RRowLabel, { text: "Field Sub Title" }, () => h(RInput, VModel("sub_title", {
            onChange(sub_title) {
              return { sub_title };
            }
          }))) : null,
          !is_hidden ? h(RRowLabel, { text: "Field Placeholder" }, () => h(RInput, VModel("placeholder", {
            onChange(placeholder) {
              return { placeholder };
            }
          }))) : null,
          !is_hidden ? h(RRowLabel, { text: " " }, () => h(RCheckbox, VModel("required", {
            onChange(required) {
              return { required };
            }
          }), () => "Is required")) : null,
          h(RRowLabel, { text: "Field Type" }, () => h(RSelect, VModel("type", {
            values: field_types,
            onChange: (type2) => ({ type: type2 })
          }))),
          ...repeater("validation", "Validation", {
            onNew() {
              return { type: "", min: 0, max: 0, min_len: 0, max_len: 0, pattern: "" };
            },
            onRender(item, index) {
              let is_range2 = item.type == "minmax";
              let is_minlen = item.type == "minlen";
              let is_maxlen = item.type == "maxlen";
              let is_pattern = item.type == "pattern";
              return [
                h(
                  RRowLabel,
                  { text: "Validation Type" },
                  () => h(RSelect, {
                    values: validation_types,
                    modelValue: item.type,
                    onRchange(value) {
                      item.type = value;
                    }
                  })
                ),
                is_range2 ? h(
                  "div",
                  { class: ["flex", "gap-2"] },
                  h(
                    RRowLabel,
                    { text: "Min" },
                    () => h(RInput, {
                      type: "number",
                      modelValue: item.min,
                      onRchange(value) {
                        item.min = value;
                      }
                    })
                  ),
                  h(
                    RRowLabel,
                    { text: "Max" },
                    () => h(RInput, {
                      type: "number",
                      modelValue: item.max,
                      onRchange(value) {
                        item.max = value;
                      }
                    })
                  )
                ) : null,
                is_minlen || is_maxlen ? h(
                  RRowLabel,
                  { text: (is_minlen ? "Min" : "Max") + " Length" },
                  () => h(RInput, {
                    type: "number",
                    modelValue: is_minlen ? item.min_len : item.max_len,
                    onRchange(value) {
                      if (is_minlen)
                        item.min_len = value;
                      else
                        item.max_len = value;
                    }
                  })
                ) : null,
                is_pattern ? h(
                  RRowLabel,
                  { text: "Regular Expression" },
                  () => h(RInput, {
                    placeholder: `\\d+`,
                    title: "Use double backslash",
                    modelValue: item.pattern,
                    onRchange(value) {
                      item.pattern = value;
                    }
                  })
                ) : null
              ];
            }
          }),
          //Validation options
          is_range ? h(
            "div",
            { class: "flex gap-2" },
            h(
              RRowLabel,
              { text: "Min" },
              () => h(RInput, VModel("min", { onChange(min) {
                return { min };
              } }))
            ),
            h(
              RRowLabel,
              { text: "Max" },
              () => h(RInput, VModel("max", { onChange(max) {
                return { max };
              } }))
            )
          ) : null,
          ...has_values ? repeater("choices", "Choices", {
            onNew() {
              return { title: "", value: "" };
            },
            onRender(item, index) {
              return [
                h(
                  RRowLabel,
                  { text: "Title" },
                  () => h(RInput, {
                    modelValue: item.title,
                    onRchange(value) {
                      item.title = value;
                    }
                  })
                ),
                h(
                  RRowLabel,
                  { text: "Value" },
                  () => h(RInput, {
                    modelValue: item.value,
                    onRchange(value) {
                      item.value = value;
                    }
                  })
                )
              ];
            }
          }) : [],
          state.type == "button" ? h(
            "div",
            {},
            h(
              RRowLabel,
              { text: "Button Type" },
              () => h(RSelect, VModel("sub_type", {
                values: [{ title: "Button", value: "button" }, { title: "Reset", value: "reset" }, { title: "Submit", value: "submit" }],
                onChange(sub_type) {
                  return { sub_type };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Color Style" },
              () => h(RSelect, VModel("btn_shape", {
                values: [
                  { title: "None", value: null },
                  { title: "Solid", value: "solid" },
                  { title: "Outline", value: "outline" }
                ],
                onChange(btn_shape) {
                  return { btn_shape };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Color Style" },
              () => h(RSelect, VModel("btn_theme", {
                values: [
                  { title: "None", value: null },
                  { title: "Primary", value: "primary" },
                  { title: "Success", value: "success" },
                  { title: "Warn", value: "warn" },
                  { title: "Danger", value: "danger" }
                ],
                onChange(btn_theme) {
                  return { btn_theme };
                }
              }))
            )
          ) : null,
          ...repeater("initial_values", "Default Values", {
            onNew() {
              return { title: "", value: "" };
            },
            onRender(item, index) {
              return [
                h(
                  RRowLabel,
                  { text: "Title" },
                  () => h(RInput, {
                    modelValue: item.title,
                    onRchange(value) {
                      item.title = value;
                    }
                  })
                ),
                h(
                  RRowLabel,
                  { text: "Value" },
                  () => h(RInput, {
                    modelValue: item.value,
                    onRchange(value) {
                      item.value = value;
                    }
                  })
                )
              ];
            }
          }),
          h(
            "div",
            { class: [
              "border-t",
              "border-gray-300",
              "border-solid",
              "mb-9",
              "pt-3",
              "pb-4",
              "border-b"
            ] },
            h("div", { class: ["font-bold", "color-primary-500", "text-base"] }, "Table Settings"),
            h(RCheckbox, VModel("hide_on_table", {
              onChange(hide_on_table) {
                return { hide_on_table };
              }
            }), () => "Hide Column"),
            state.hide_on_table ? null : h(
              RRowLabel,
              { text: "Column Title" },
              () => h(RInput, VModel("title_on_table", {
                placeholder: "uses default",
                onChange(title_on_table) {
                  return { title_on_table };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Column Priority" },
              () => h(RInput, VModel("priority_on_table", {
                placeholder: "Column order",
                onChange(priority_on_table) {
                  return { priority_on_table };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Column Width" },
              () => h(RInput, VModel("width_on_table", {
                placeholder: "blank (auto), 90px, ...",
                onChange(width_on_table) {
                  return { width_on_table };
                }
              }))
            )
          )
        )
      );
    };
    return Block(props.isEdit ? content_edit : content_view);
  }
});

const Form = () => ({
  emits: ["update:modelValue", "new"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    h: null,
    state: {
      type: Object,
      default: () => ({
        form_id: null,
        //the id of the post that this form was built in originally
        name: "",
        action: "",
        method: "post",
        success_title: "",
        success_message: "",
        //when true, the user must have an account in order to submit data to the form
        login_required: false
      })
    }
  },
  name: "Form",
  description: 'Create and manage user data collection.  Post type "form"',
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
  <path stroke-linecap="round" stroke-linejoin="round" d="M3.375 19.5h17.25m-17.25 0a1.125 1.125 0 0 1-1.125-1.125M3.375 19.5h7.5c.621 0 1.125-.504 1.125-1.125m-9.75 0V5.625m0 12.75v-1.5c0-.621.504-1.125 1.125-1.125m18.375 2.625V5.625m0 12.75c0 .621-.504 1.125-1.125 1.125m1.125-1.125v-1.5c0-.621-.504-1.125-1.125-1.125m0 3.75h-7.5A1.125 1.125 0 0 1 12 18.375m9.75-12.75c0-.621-.504-1.125-1.125-1.125H3.375c-.621 0-1.125.504-1.125 1.125m19.5 0v1.5c0 .621-.504 1.125-1.125 1.125M2.25 5.625v1.5c0 .621.504 1.125 1.125 1.125m0 0h17.25m-17.25 0h7.5c.621 0 1.125.504 1.125 1.125M3.375 8.25c-.621 0-1.125.504-1.125 1.125v1.5c0 .621.504 1.125 1.125 1.125m17.25-3.75h-7.5c-.621 0-1.125.504-1.125 1.125m8.625-1.125c.621 0 1.125.504 1.125 1.125v1.5c0 .621-.504 1.125-1.125 1.125m-17.25 0h7.5m-7.5 0c-.621 0-1.125.504-1.125 1.125v1.5c0 .621.504 1.125 1.125 1.125M12 10.875v-1.5m0 1.5c0 .621-.504 1.125-1.125 1.125M12 10.875c0 .621.504 1.125 1.125 1.125m-2.25 0c.621 0 1.125.504 1.125 1.125M13.125 12h7.5m-7.5 0c-.621 0-1.125.504-1.125 1.125M20.625 12c.621 0 1.125.504 1.125 1.125v1.5c0 .621-.504 1.125-1.125 1.125m-17.25 0h7.5M12 14.625v-1.5m0 1.5c0 .621-.504 1.125-1.125 1.125M12 14.625c0 .621.504 1.125 1.125 1.125m-2.25 0c.621 0 1.125.504 1.125 1.125m0 1.5v-1.5m0 0c0-.621.504-1.125 1.125-1.125m0 0h7.5" /></svg>`,
  is_droppable(blk) {
    return true;
  },
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return { style: [], script: [] };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let useRequest = props.JxRequest;
    let the_form = props.Jx(null);
    let field_data = props.Jx({});
    props.Jx(true);
    let is_busy = props.Jx(false);
    let show_form = props.Jx(true);
    let submission_error_msg = props.Jx(null);
    let field_meta = { valid_data: false };
    let ref_util = null;
    if (!props.isEdit) {
      if (props) props.onMounted(() => {
        let fields = the_form.value.querySelectorAll(`[block-type=formfield]`);
        fields.forEach((fd) => {
          let name = fd.getAttribute("field-name");
          let type = fd.getAttribute("field-type");
          let blk_id = fd.getAttribute("block-id");
          field_meta[name] = { name, type, blk_id };
          field_data.value[name] = null;
          setTimeout(() => {
            ref_util.trigger("init", fd, {});
          }, 10);
        });
      });
    }
    let has_validation = (field_name) => {
      let meta = field_meta[field_name];
      if (!meta) return false;
      if (meta.required == true || meta.validation && meta.validation.length > 0) {
        return true;
      }
      return false;
    };
    let do_validation = (field_name) => {
      let fld_root = document.querySelector(`[field-name=${field_name}]`);
      let fld_errors = fld_root == null ? undefined : fld_root.querySelector(".field-error");
      if (fld_errors) fld_errors.innerHTML = ``;
      let meta = field_meta[field_name];
      meta.passed_validation = true;
      if (!has_validation(field_name)) {
        return;
      }
      let errors = [];
      let c_outcome = true, cond_met = null;
      let value = field_data.value[field_name];
      if (meta.required) {
        let tmp_val = value;
        if (tmp_val != null && tmp_val.trim) {
          tmp_val = tmp_val.trim();
        }
        let has_value = tmp_val !== null && tmp_val !== "" && tmp_val !== " ";
        if (!has_value) errors.push("Field is required");
        c_outcome = c_outcome && has_value;
      }
      let validate = null;
      for (var i = 0; i < meta.validation.length; i++) {
        validate = meta.validation[i];
        if (validate.type == "number") {
          cond_met = ref_util.is_number(value);
          if (cond_met && typeof value == "string") value = Number.parseFloat(value);
          if (!cond_met) errors.push("Field must be a number");
          c_outcome = c_outcome && cond_met;
        } else if (validate.type == "minmax") {
          var n = Number.parseFloat(value);
          cond_met = ref_util.is_number(value) && n >= validate.min && n <= validate.max;
          if (!cond_met) errors.push(`Value must be between ${validate.min} and ${validate.max}`);
          c_outcome = c_outcome && cond_met;
        } else if (validate.type == "pattern") {
          var regex = new RegExp(validate.pattern);
          cond_met = regex.test(value);
          if (!cond_met) errors.push(`Value does not match expected pattern`);
          c_outcome = c_outcome && cond_met;
        } else if (["minlen", "maxlen"].includes(validate.type)) {
          if (validate.type == "minlen") {
            cond_met = value.length >= validate.min_len;
            if (!cond_met) errors.push(`Text length must be more than ${validate.min_len}`);
          } else {
            cond_met = value.length <= validate.max_len;
            if (!cond_met) errors.push(`Text length must be less than ${validate.max_len}`);
          }
          c_outcome = c_outcome && cond_met;
        } else if (validate.type == "phone") {
          var regex = new RegExp("^(1[ -]?)?\\d{3}[ -]?\\d{3}[ -]?\\d{4}$");
          cond_met = regex.test(value);
          if (!cond_met) errors.push(`Invalid phone number`);
          c_outcome = c_outcome && cond_met;
        } else if (validate.type == "email") {
          var regex = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
          cond_met = regex.test(value);
          if (!cond_met) errors.push(`Invalid email`);
          c_outcome = c_outcome && cond_met;
        } else if (validate.type == "date") {
          let is_date_valid = function(date_str) {
            return !isNaN(new Date(date_str));
          };
          cond_met = is_date_valid(value);
          if (!cond_met) errors.push(`Invalid date`);
          c_outcome = c_outcome && cond_met;
        }
      }
      if (errors.length > 0) {
        errors.forEach((str, index) => {
          if (!fld_errors) return;
          let el = document.createElement("div");
          el.classList.add("mb-1", "color-red-500", "text-sm", "pl-2");
          if (index == 0) el.classList.add("mt-2");
          if (index == errors.length - 1) el.classList.add("mb-3");
          el.innerHTML = str;
          fld_errors.appendChild(el);
        });
      }
      meta.passed_validation = c_outcome;
    };
    let content_view = ({ h, state, util, post, useAppState }) => {
      ref_util = util;
      return h(
        "form",
        {
          class: [
            "Form",
            props.isEdit ? "form-edit p-2 bg-amber-500 rounded" : ""
          ],
          name: state.name,
          action: state.action,
          ref: the_form,
          "form-id": state.form_id,
          style: {
            paddingTop: props.isEdit ? "1.75em" : null
          },
          onFieldmeta(e) {
            let payload = e.detail;
            field_meta[payload.name].required = payload.required;
            field_meta[payload.name].validation = payload.validation || [];
          },
          async onSubmit(e) {
            submission_error_msg.value = null;
            e.preventDefault();
            e.stopPropagation();
            if (props.isEdit) return;
            is_busy.value = true;
            let form = {
              name: state.name,
              data: util.copy(field_data.value)
            };
            if (!form.data) {
              submission_error_msg.value = "Form data is empty or invalid";
              return;
            }
            let field_names = Object.keys(form.data), name = null;
            let form_is_valid = true;
            for (var i = 0; i < field_names.length; i++) {
              name = field_names[i];
              do_validation(name);
              let meta = field_meta[name];
              form_is_valid = form_is_valid && meta.passed_validation;
            }
            form_is_valid = true;
            if (form_is_valid) {
              let url = the_form.value.getAttribute("action");
              let method = state.method || "get";
              if (!url || url == "" || url == "#" || url == "default") {
                url = `/api/forms`;
              }
              try {
                let payload = { url, method };
                let meta = {
                  _form_name: state.name,
                  _form_id: state.form_id,
                  _submitted_from_post: post.id
                };
                if (method.toLowerCase() == "get") {
                  payload.query = { ...form.data, ...meta };
                } else {
                  payload.body = { ...form.data, ...meta };
                }
                let res = await useRequest(payload);
                if (!res.d) {
                  submission_error_msg.value = res.msg;
                  let app_state = useAppState();
                  app_state.notice({
                    theme: "danger",
                    title: "Form Error",
                    msg: res.msg
                  });
                } else {
                }
                setTimeout(() => {
                  show_form.value = false;
                }, 210);
              } catch (exception) {
                submission_error_msg.value = exception.msg || exception.message;
              }
              console.info("Submit form to ", url, method);
            }
            is_busy.value = false;
          },
          //this CustomEvent event was emitted from the formfield block
          onFieldupdate(e) {
            if (props.isEdit) return;
            let payload = e.detail;
            field_data.value[payload.name] = payload.value;
            do_validation(payload.name);
          }
        },
        props.isEdit ? h(
          "div",
          {
            class: ["absolute", "flex", "justify-between", "w-full"],
            style: { top: "4px", left: "10px" }
          },
          h(
            "div",
            { class: "form-meta-name flex items-center" },
            state.login_required ? h("span", { class: ["mr-1", "inline-block"], innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="rgba(var(--white),1.0)" viewBox="0 0 24 24" stroke-width="2.5" stroke="rgba(var(--primary-500),1)" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M15 19.128a9.38 9.38 0 0 0 2.625.372 9.337 9.337 0 0 0 4.121-.952 4.125 4.125 0 0 0-7.533-2.493M15 19.128v-.003c0-1.113-.285-2.16-.786-3.07M15 19.128v.106A12.318 12.318 0 0 1 8.624 21c-2.331 0-4.512-.645-6.374-1.766l-.001-.109a6.375 6.375 0 0 1 11.964-3.07M12 6.375a3.375 3.375 0 1 1-6.75 0 3.375 3.375 0 0 1 6.75 0Zm8.25 2.25a2.625 2.625 0 1 1-5.25 0 2.625 2.625 0 0 1 5.25 0Z" />
</svg>
` }) : null,
            h("span", { class: ["font-bold"] }, "Form"),
            state.name ? h("span", { class: ["ml-3"] }, "(", h("span", { class: ["color-primary-500"] }, state.name), ")") : null
          ),
          h(
            "div",
            { class: "form-meta-action pr-4 inline-flex items-center" },
            h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4"><path fill="white" stroke-linecap="round" stroke-linejoin="round" d="M20.25 6.375c0 2.278-3.694 4.125-8.25 4.125S3.75 8.653 3.75 6.375m16.5 0c0-2.278-3.694-4.125-8.25-4.125S3.75 4.097 3.75 6.375m16.5 0v11.25c0 2.278-3.694 4.125-8.25 4.125s-8.25-1.847-8.25-4.125V6.375m16.5 0v3.75m-16.5-3.75v3.75m16.5 0v3.75C20.25 16.153 16.556 18 12 18s-8.25-1.847-8.25-4.125v-3.75m16.5 0c0 2.278-3.694 4.125-8.25 4.125s-8.25-1.847-8.25-4.125" /></svg>` }),
            h("span", { class: ["font-italics", "text-xs", "ml-2"] }, state.action || "/api/forms")
          )
        ) : null,
        show_form.value ? h(
          "div",
          { class: ["form-wrapper", props.isEdit ? "bg-white p-1 rounded" : null], style: {
            minHeight: props.isEdit ? "3.5em" : null,
            "--bg-opacity": props.isEdit ? "0.94" : null
          } },
          slots.default ? slots.default() : null
        ) : h(
          "div",
          { class: ["form-success", "flex", "items-center", "flex-col", "gap-2", "py-6"] },
          h("h3", { class: ["success-message", "title"], innerHTML: state.success_title }),
          h("div", { class: ["success-message", "description"], innerHTML: state.success_message })
        ),
        h("div", { class: ["form-complete"] }),
        h("div", { class: ["form-error", "color-red-500"] }, submission_error_msg.value),
        h("div", { class: [
          "form-overlay",
          "overlay",
          "blur",
          is_busy.value ? "active white" : ""
        ] }),
        is_busy.value ? h("div", { class: ["loader-spinner", "absolute", "center"] }) : null
      );
    };
    props.Jx(false);
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        post_id,
        Inspector,
        RText,
        instance,
        state,
        is_active,
        RSelect,
        RInput,
        VModel,
        RRowLabel,
        editor_store,
        RCheckbox
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["Form-Edit"] },
        content_view(imports),
        Inspector(
          h(RCheckbox, VModel("login_required", {
            onChange(login_required) {
              return { login_required };
            }
          }), () => "Login required"),
          h(
            RRowLabel,
            { text: "Form Name" },
            () => h(RInput, VModel("name", {
              onChange(name) {
                return { name };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Submission URL" },
            () => h(RInput, VModel("action", {
              placeholder: "/api/forms",
              onChange(action) {
                return { action };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Method" },
            () => h(RSelect, VModel("method", {
              values: [
                { title: "GET", value: "get" },
                { title: "POST", value: "post" },
                { title: "PUT", value: "put" },
                { title: "PATCH", value: "patch" },
                { title: "DELETE", value: "delete" }
              ],
              onChange(method) {
                return { method };
              }
            }))
          ),
          h(
            "div",
            { class: ["success-detail", "mb-2"] },
            h("div", { class: ["color-gray-400", "mt-4", "text-sm", "mb-1"] }, "On successful submission, display"),
            h(
              RRowLabel,
              { text: "Title" },
              () => h(RInput, VModel("success_title", {
                onChange(success_title) {
                  return { success_title };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Message" },
              () => h(RInput, VModel("success_message", {
                multiLine: true,
                height: "120px",
                onChange(success_message) {
                  return { success_message };
                }
              }))
            )
          )
        )
      );
    };
    return Block(props.isEdit ? content_edit : content_view);
  }
});

const Video = () => ({
  emits: ["update:modelValue", "new"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    h: null,
    state: {
      type: Object,
      default: () => ({
        type: "video",
        preload: "auto",
        playsinline: false,
        has_controls: true,
        autoplay: false,
        loop: false,
        muted: false,
        url: "",
        poster: "",
        crossorigin: "anonymous",
        width: "",
        height: ""
      })
    }
  },
  name: "Video",
  description: "Insert video clips into post",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">  <path stroke-linecap="round" stroke-linejoin="round" d="m15.75 10.5 4.72-4.72a.75.75 0 0 1 1.28.53v11.38a.75.75 0 0 1-1.28.53l-4.72-4.72M4.5 18.75h9a2.25 2.25 0 0 0 2.25-2.25v-9a2.25 2.25 0 0 0-2.25-2.25h-9A2.25 2.25 0 0 0 2.25 7.5v9a2.25 2.25 0 0 0 2.25 2.25Z" /></svg>`,
  is_droppable(blk) {
    return false;
  },
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return {
      style: [],
      script: []
    };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let preload_values = props.Jx([
      { title: "Auto", value: "auto" },
      { title: "Meta Data", value: "metadata" },
      { title: "None", value: "none" }
    ]);
    let cross_values = props.Jx([
      { title: "Anonymous", value: "anonymous" },
      { title: "Use-credentials", value: "use-credentials" }
    ]);
    let video_types = props.Jx([
      { title: "Video", value: "video" },
      { title: "YouTube", value: "youtube" }
    ]);
    let content_view = ({ h, state }) => {
      let is_video = state.type == "video";
      let tag, attrs2;
      if (is_video) {
        tag = "video";
        attrs2 = {
          preload: state.preload,
          playsinline: state.playsinline ? "" : undefined,
          controls: state.has_controls ? "" : undefined,
          autoplay: state.autoplay ? "" : undefined,
          loop: state.loop ? "" : undefined,
          muted: state.muted ? "" : undefined,
          src: state.url ? state.url : undefined,
          poster: state.poster ? state.poster : undefined
        };
      } else {
        tag = "iframe";
        let src = state.url || undefined;
        if (src) {
          let query = [];
          if (state.loop) query.push("loop=1");
          if (state.muted) query.push("muted=1");
          if (state.autoplay) query.push("autoplay=1");
          query.push("controls=" + (state.has_controls ? "1" : "0"));
          if (src.includes("?")) {
            src = src + "&" + query.join("&");
          } else {
            src = src + "?" + query.join("&");
          }
        }
        attrs2 = { src, allowfullscreen: "" };
        if (props.isEdit) {
          attrs2.style = { pointerEvents: "none" };
        }
      }
      let vnode = h(tag, {
        class: ["Video", !is_video ? "mx-auto" : ""],
        ...attrs2,
        style: {
          display: !is_video ? "block" : undefined,
          minWidth: !is_video ? "90%" : undefined,
          width: state.width ? state.width + "px" : ""
        },
        width: state.width ? state.width : undefined,
        height: state.height ? state.height : undefined
      });
      if (props.isEdit) {
        return h("div", { class: ["p-1", "bg-color-gray-300"], style: { minHeight: "18px" } }, vnode);
      } else {
        if (!is_video) vnode = h("div", {}, vnode);
        return vnode;
      }
    };
    props.Jx(false);
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        RCheckbox,
        Inspector,
        RText,
        instance,
        state,
        is_active,
        RSelect,
        RFilebrowser,
        RInput,
        VModel,
        RRowLabel,
        editor_store
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["Video"] },
        content_view(imports),
        Inspector(
          h(
            RRowLabel,
            { text: "Video Type" },
            () => h(RSelect, VModel("type", {
              values: video_types.value,
              onChange(type2) {
                return { type: type2 };
              }
            }))
          ),
          h(
            "div",
            { class: ["flex", "gap-3"] },
            h(
              RRowLabel,
              { text: "Width" },
              () => h(RInput, VModel("width", {
                onChange(width) {
                  return { width };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "height" },
              () => h(RInput, VModel("height", {
                onChange(height) {
                  return { height };
                }
              }))
            )
          ),
          h(
            RRowLabel,
            { text: "URL" },
            () => h(RFilebrowser, VModel("url", {
              placeholder: "Select video",
              onChange(url) {
                return { url };
              }
            }))
          ),
          state.type == "video" ? h(
            RRowLabel,
            { text: "Poster" },
            () => h(RFilebrowser, VModel("poster", {
              placeholder: "Select poster image",
              onChange(poster) {
                return { poster };
              }
            }))
          ) : null,
          h(
            RRowLabel,
            { text: "Cross Origin" },
            () => h(RSelect, VModel("crossorigin", {
              values: cross_values.value,
              onChange(crossorigin) {
                return { crossorigin };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Preload" },
            () => h(RSelect, VModel("preload", {
              values: preload_values.value,
              onChange(preload) {
                return { preload };
              }
            }))
          ),
          state.type == "video" ? h(RCheckbox, VModel("playsinline", {
            onChange(playsinline) {
              return { playsinline };
            }
          }), () => "Play Inline") : null,
          h(RCheckbox, VModel("has_controls", {
            onChange(has_controls) {
              return { has_controls };
            }
          }), () => "Show Controls"),
          h(RCheckbox, VModel("autoplay", {
            onChange(autoplay) {
              return { autoplay };
            }
          }), () => "Auto Play"),
          h(RCheckbox, VModel("loop", {
            onChange(loop) {
              return { loop };
            }
          }), () => "Loop"),
          h(RCheckbox, VModel("muted", {
            onChange(muted) {
              return { muted };
            }
          }), () => "Muted")
        )
      );
    };
    return Block(props.isEdit ? content_edit : content_view);
  }
});

const Accordion = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        text: "Accordion Title",
        start_expanded: false
      })
    }
    /* ... */
  },
  name: "Accordion",
  description: "Collapsible content block",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
    <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 8.25h19.5M2.25 9h19.5m-16.5 5.25h6m-6 2.25h3m-3.75 3h15a2.25 2.25 0 0 0 2.25-2.25V6.75A2.25 2.25 0 0 0 19.5 4.5h-15a2.25 2.25 0 0 0-2.25 2.25v10.5A2.25 2.25 0 0 0 4.5 19.5Z" />
  </svg>
  `,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let view_content = ({ h, state, RCollapse }) => {
      return h(RCollapse, {
        startExpanded: state.start_expanded,
        text: state.text
      }, () => slots.default());
    };
    let edit_content = ({
      RCollapse,
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      RInput,
      RCheckbox,
      VModel,
      RRowLabel,
      RRow,
      RResize,
      RCta,
      RDuplex,
      state,
      RButton,
      RFilebrowser,
      RCard,
      RSelect
    }) => {
      let editor_states = useEditorState();
      editor_states.get_block(block_id);
      return h(
        "div",
        { class: ["Accordion"] },
        view_content({ h, state, RCollapse }),
        Inspector(
          h(RCheckbox, VModel("start_expanded", {
            onChange(start_expanded) {
              return { start_expanded };
            }
          }), () => `Start Expanded`),
          h(
            RRowLabel,
            { text: "Title Text" },
            () => h(RInput, VModel("text", {
              multiLine: true,
              onChange(text) {
                return { text };
              }
            }))
          )
        )
      );
    };
    return Block({ emits: ["new"] }, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const CounterTypewriter = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        use_type: "counter",
        start_value: 0,
        end_value: 0,
        step: 1,
        duration: 500,
        //number of seconds to complete the animation within 
        text: "Typing . .",
        postfix: "",
        prefix: ""
      })
    }
    /* ... */
  },
  name: "CounterTypewriter",
  description: "Create number counter or text writer effect",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-4 h-4">
  <path fill-rule="evenodd" d="M12 1.5a.75.75 0 0 1 .75.75V4.5a.75.75 0 0 1-1.5 0V2.25A.75.75 0 0 1 12 1.5ZM5.636 4.136a.75.75 0 0 1 1.06 0l1.592 1.591a.75.75 0 0 1-1.061 1.06l-1.591-1.59a.75.75 0 0 1 0-1.061Zm12.728 0a.75.75 0 0 1 0 1.06l-1.591 1.592a.75.75 0 0 1-1.06-1.061l1.59-1.591a.75.75 0 0 1 1.061 0Zm-6.816 4.496a.75.75 0 0 1 .82.311l5.228 7.917a.75.75 0 0 1-.777 1.148l-2.097-.43 1.045 3.9a.75.75 0 0 1-1.45.388l-1.044-3.899-1.601 1.42a.75.75 0 0 1-1.247-.606l.569-9.47a.75.75 0 0 1 .554-.68ZM3 10.5a.75.75 0 0 1 .75-.75H6a.75.75 0 0 1 0 1.5H3.75A.75.75 0 0 1 3 10.5Zm14.25 0a.75.75 0 0 1 .75-.75h2.25a.75.75 0 0 1 0 1.5H18a.75.75 0 0 1-.75-.75Zm-8.962 3.712a.75.75 0 0 1 0 1.061l-1.591 1.591a.75.75 0 1 1-1.061-1.06l1.591-1.592a.75.75 0 0 1 1.06 0Z" clip-rule="evenodd" />
</svg>

  `,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let root = props.Jx(null);
    let v_counter = props.Jx(0);
    let v_message_index = props.Jx(0);
    let v_reset_message_index = props.Jx(false);
    let get_next_message = (state, do_increment = true) => {
      let arr_messages = state.messages || [];
      let max = arr_messages.length;
      var cur = v_message_index.value;
      if (cur == null) {
        console.info("q1");
        cur = 0;
      }
      if (cur > max - 1) {
        console.info("q2");
        cur = max - 1;
      }
      if (cur < 0) {
        console.info("q3");
        cur = 0;
      }
      let msg = "Text";
      if (arr_messages[cur]) {
        msg = arr_messages[cur].text;
      }
      if (do_increment) {
        let new_value = cur + 1;
        if (v_reset_message_index.value) {
          new_value = 0;
          v_reset_message_index.value = false;
        } else {
          if (new_value < 0) new_value = 0;
          if (new_value > max - 1) {
            new_value = max - 1;
            v_reset_message_index.value = true;
          }
        }
        v_message_index.value = new_value;
        console.info("Do_Typerwriter Increment", new_value);
      }
      return msg || "Text";
    };
    let initial_text = get_next_message(props.state, false);
    let is_unmounted = false;
    let v_text = props.Jx(initial_text);
    let v_cursor_index = props.Jx(0);
    let v_timer_id = props.Jx(null);
    let v_default_duration = 150;
    let is_typing_forward = props.Jx(true);
    let start_effects = props.Jx(false);
    let clear_timer = () => {
      if (v_timer_id.value) {
        clearInterval(v_timer_id.value);
        clearTimeout(v_timer_id.value);
        v_timer_id.value = null;
        v_cursor_index.value = 0;
        v_message_index.value = 0;
      }
    };
    props.onBeforeUnmount(() => {
      console.log("Typewriter Unmounted!");
      is_unmounted = true;
      clearInterval(v_timer_id.value);
      clear_timer();
    });
    let on_viewport = (e) => {
      if (props.isEdit) return;
      if (start_effects.value) return;
      start_effects.value = true;
      clear_timer();
      run_behavior(props.state);
      console.info("Starting Counter/Typewriter", props.state.type);
    };
    if (props && !props.isEdit) {
      props.onMounted(() => {
        {
          window.addEventListener("scroll", on_viewport);
          window.addEventListener("resize", on_viewport);
          on_viewport();
        }
      });
      props.onBeforeUnmount(() => {
        window.removeEventListener("scroll", on_viewport);
        window.removeEventListener("resize", on_viewport);
      });
    }
    let run_behavior = (state, is_test) => {
      let is_counter = state.use_type == "counter";
      clear_timer();
      if (is_counter) {
        let start = parseFloat(state.start_value);
        let end = parseFloat(state.end_value);
        let step = Math.abs(state.step || 1);
        v_counter.value = start;
        v_timer_id.value = setInterval(() => {
          if (start <= end) {
            v_counter.value += step;
            if (v_counter.value >= end) {
              v_counter.value = end;
              clear_timer();
            }
          } else {
            v_counter.value -= step;
            if (v_counter.value <= end) {
              v_counter.value = end;
              clear_timer();
            }
          }
        }, state.duration || v_default_duration);
        if (is_unmounted) {
          clearInterval(v_timer_id.value);
        }
      } else {
        v_text.value = "";
        v_cursor_index.value = 0;
        let c = null, n_tag_openners;
        let allow_advancement = true;
        v_timer_id.value = setInterval(() => {
          if (is_unmounted) {
            clearInterval(v_timer_id.value);
            clear_timer();
            return;
          }
          let source_text = get_next_message(state, false);
          if (source_text == null) return;
          c = source_text.charAt(v_cursor_index.value);
          if (is_typing_forward.value) {
            let s0 = v_cursor_index.value;
            if (is_typing_forward.value && c == "<") {
              n_tag_openners = 0;
              let it_c;
              for (v_cursor_index.value; v_cursor_index.value < source_text.length; v_cursor_index.value++) {
                it_c = source_text.charAt(v_cursor_index.value);
                if (it_c == "<") {
                  if (source_text.charAt(v_cursor_index.value + 1) != "/") {
                    n_tag_openners++;
                    continue;
                  }
                  if (source_text.charAt(v_cursor_index.value + 1) == "/") {
                    n_tag_openners--;
                    for (v_cursor_index.value; v_cursor_index.value < source_text.length; v_cursor_index.value++) {
                      it_c = source_text.charAt(v_cursor_index.value);
                      if (it_c == ">") break;
                    }
                    if (n_tag_openners == 0) break;
                    continue;
                  }
                }
              }
              c = source_text.substring(s0, Math.abs(v_cursor_index.value - s0) + 1);
            }
            v_text.value = v_text.value + c;
            v_cursor_index.value++;
            if (v_cursor_index.value > source_text.length - 1) {
              v_cursor_index.value = source_text.length - 1;
              v_text.value = get_next_message(state, false);
              let delay_and_do_backspace = () => {
                is_typing_forward.value = false;
              };
              setTimeout(delay_and_do_backspace, 2500);
              return;
            }
          }
          if (!is_typing_forward.value) {
            n_tag_openners = 0;
            let it_c;
            v_cursor_index.value;
            if (c == ">") {
              for (v_cursor_index.value; v_cursor_index.value > -1; v_cursor_index.value--) {
                it_c = source_text.charAt(v_cursor_index.value);
                if (it_c == ">") {
                  if (source_text.charAt(v_cursor_index.value - 1) != " ") {
                    for (v_cursor_index.value; v_cursor_index.value > -1; v_cursor_index.value--) {
                      if (source_text.charAt(v_cursor_index.value) == "<" && source_text.charAt(v_cursor_index.value + 1) == "/") {
                        n_tag_openners++;
                        break;
                      }
                      if (source_text.charAt(v_cursor_index.value) == "<" && source_text.charAt(v_cursor_index.value + 1) != "/") {
                        n_tag_openners--;
                        v_cursor_index.value++;
                        break;
                      }
                    }
                  }
                }
                if (it_c == "<") {
                  if (n_tag_openners == 0) break;
                }
              }
            }
            v_text.value = source_text.substring(0, v_cursor_index.value);
            v_cursor_index.value--;
            if (v_cursor_index.value < 0 && allow_advancement == true) {
              console.info("Need to ", v_message_index.value, "+1");
              v_cursor_index.value = 0;
              let delay_and_do_typing_forward = () => {
                console.info("---Invoking get_next_message with", true);
                is_typing_forward.value = true;
                get_next_message(state, true);
                allow_advancement = true;
              };
              allow_advancement = false;
              setTimeout(delay_and_do_typing_forward, 1200);
            }
          }
        }, state.duration || v_default_duration);
      }
    };
    let view_content = ({ h, state, tf_text }) => {
      try {
        return h(
          "div",
          { class: ["type-" + state.use_type], ref: root },
          state.text && state.user_type == "typewriter" ? h("h3", { class: "title" }, state.text) : null,
          state.use_type == "counter" ? h(
            "div",
            { class: "counter-slot" },
            h("span", { class: ["prefix"], innerHTML: state.prefix }),
            h("span", { class: ["number"] }, tf_text.value(v_counter.value)),
            h("span", { class: ["postfix"], innerHTML: state.postfix })
          ) : h(
            "div",
            { class: "typewriter-slot" },
            h("span", { class: ["message", state.messages[v_message_index.value] ? state.messages[v_message_index.value].css_class : null], innerHTML: `&nbsp;${v_text.value}` }),
            h("span", { class: ["cursor", "blink"] }, "|")
          )
        );
      } catch (e) {
        return h("div", {}, "!?!?!?");
      }
    };
    let edit_content = (imports) => {
      let {
        RCollapse,
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        RInput,
        RCheckbox,
        VModel,
        RRowLabel,
        RRow,
        RRadio,
        RResize,
        RCta,
        RDuplex,
        state,
        RButton,
        RFilebrowser,
        RCard,
        RSelect,
        repeater
      } = imports;
      return h(
        "div",
        { class: ["Typewriter-Counter"] },
        view_content(imports),
        Inspector(
          h(
            RRowLabel,
            { text: "Useage Type" },
            () => h(RRadio, VModel("use_type", {
              values: [
                { title: "Counter", value: "counter" },
                { title: "Type Writer", value: "typewriter" }
              ],
              onChange(use_type) {
                return { use_type };
              }
            }))
          ),
          state.use_type == "counter" ? h(
            "div",
            { class: ["counter-properties"] },
            h(
              "div",
              { class: ["flex", "gap-2"] },
              h(
                RRowLabel,
                { text: "Starting Value" },
                () => h(RInput, VModel("start_value", {
                  type: "number",
                  onChange(start_value) {
                    clear_timer();
                    return { start_value: parseFloat(start_value) };
                  }
                }))
              ),
              h(
                RRowLabel,
                { text: "Ending Value" },
                () => h(RInput, VModel("end_value", {
                  type: "number",
                  onChange(end_value) {
                    clear_timer();
                    return { end_value: parseFloat(end_value) };
                  }
                }))
              )
            ),
            h(
              RRowLabel,
              { text: "Step" },
              () => h(RInput, VModel("step", {
                type: "number",
                onChange(step) {
                  clear_timer();
                  return { step: parseFloat(step) };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Prefix " },
              () => h(RInput, VModel("prefix", {
                placeholder: "Text before count",
                onChange(prefix) {
                  clear_timer();
                  return { prefix };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Append " },
              () => h(RInput, VModel("postfix", {
                placeholder: "Text after count",
                onChange(postfix) {
                  clear_timer();
                  return { postfix };
                }
              }))
            )
          ) : h(
            "div",
            { class: ["typewriter-properties"] },
            h(
              RRowLabel,
              { text: "Title Text" },
              () => h(RInput, VModel("text", {
                multiLine: true,
                onChange(text) {
                  clear_timer();
                  return { text };
                }
              }))
            ),
            ...repeater("messages", "Text Messages", {
              onNew() {
                return { text: "", css_class: "" };
              },
              onRender(item, index) {
                return [
                  h(
                    RRowLabel,
                    { text: "Message" },
                    () => h(RInput, {
                      modelValue: item.text,
                      multiLine: true,
                      onRchange(text) {
                        item.text = text;
                      }
                    })
                  ),
                  h(
                    RRowLabel,
                    { text: "CSS Class" },
                    () => h(RInput, {
                      modelValue: item.css_class,
                      onRchange(css_class) {
                        item.css_class = css_class;
                      }
                    })
                  )
                ];
              }
            })
          ),
          h(
            RRowLabel,
            { text: "Speed" },
            () => h(RInput, VModel("duration", {
              type: "number",
              placeholder: "Default 150",
              onChange(duration) {
                clear_timer();
                return { duration: parseFloat(duration) };
              }
            }))
          ),
          h(
            "div",
            { class: ["flex", "gap-2"] },
            h(RButton, {
              onClick(e) {
                clear_timer();
              }
            }, () => "Clear"),
            h(RButton, {
              onClick(e) {
                run_behavior(state);
              }
            }, () => "Test")
          )
        )
      );
    };
    return Block({ emits: ["new"] }, props.isEdit ? edit_content : view_content);
  }
  //End of setup
});

const Gallery = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        items: []
      })
    }
  },
  name: "Gallery",
  description: "Display list of images",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
  <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6A2.25 2.25 0 0 1 6 3.75h2.25A2.25 2.25 0 0 1 10.5 6v2.25a2.25 2.25 0 0 1-2.25 2.25H6a2.25 2.25 0 0 1-2.25-2.25V6ZM3.75 15.75A2.25 2.25 0 0 1 6 13.5h2.25a2.25 2.25 0 0 1 2.25 2.25V18a2.25 2.25 0 0 1-2.25 2.25H6A2.25 2.25 0 0 1 3.75 18v-2.25ZM13.5 6a2.25 2.25 0 0 1 2.25-2.25H18A2.25 2.25 0 0 1 20.25 6v2.25A2.25 2.25 0 0 1 18 10.5h-2.25a2.25 2.25 0 0 1-2.25-2.25V6ZM13.5 15.75a2.25 2.25 0 0 1 2.25-2.25H18a2.25 2.25 0 0 1 2.25 2.25V18A2.25 2.25 0 0 1 18 20.25h-2.25A2.25 2.25 0 0 1 13.5 18v-2.25Z" /></svg>`,
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return { style: [], script: [] };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, RGallery }) => {
      return h(RGallery, {
        values: state.items,
        class: ["Gallery"],
        style: {},
        style: {
          minHeight: props.isEdit ? "12em" : null
        }
      });
    };
    let svg_img = `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4 color-gray-500" >
        <path stroke-linecap="round" stroke-linejoin="round" d="m2.25 15.75 5.159-5.159a2.25 2.25 0 0 1 3.182 0l5.159 5.159m-1.5-1.5 1.409-1.409a2.25 2.25 0 0 1 3.182 0l2.909 2.909m-18 3.75h16.5a1.5 1.5 0 0 0 1.5-1.5V6a1.5 1.5 0 0 0-1.5-1.5H3.75A1.5 1.5 0 0 0 2.25 6v12a1.5 1.5 0 0 0 1.5 1.5Zm10.5-11.25h.008v.008h-.008V8.25Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Z" />
      </svg>
      `;
    let content_edit = (payload) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        repeater,
        Inspector,
        instance,
        state,
        RInput,
        VModel,
        RRowLabel
      } = payload;
      return h(
        "div",
        {
          class: ["Carousel", "border-dashed", "border", "border-primary-300", "rounded"],
          style: {
            minHeight: "1.5em",
            paddingLeft: "2.5em",
            paddingRight: "0.75em",
            borderRadius: "0.25em"
          }
        },
        content_view(payload),
        h(
          "div",
          { class: ["absolute", "z-100"], style: { left: "0.5em", top: "0.75em" } },
          h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5 color-primary-500"><path stroke-linecap="round" stroke-linejoin="round" d="M9 4.5v15m6-15v15m-10.875 0h15.75c.621 0 1.125-.504 1.125-1.125V5.625c0-.621-.504-1.125-1.125-1.125H4.125C3.504 4.5 3 5.004 3 5.625v12.75c0 .621.504 1.125 1.125 1.125Z" /></svg>` })
        ),
        Inspector(
          ...repeater("items", "Images", {
            onNew() {
              return { image: "", title: "", description: "" };
            },
            onRender(item, index) {
              return [
                h(RInput, {
                  class: ["mb-1"],
                  placeholder: "Image",
                  modelValue: item.image,
                  onRchange(image) {
                    item.image = image;
                  }
                }, () => h("span", { innerHTML: svg_img })),
                h(RInput, {
                  placeholder: "Title",
                  modelValue: item.title,
                  onRchange(title) {
                    item.title = title;
                  }
                }),
                h(RInput, {
                  placeholder: "Description",
                  modelValue: item.description,
                  multiLine: true,
                  onRchange(description) {
                    item.description = description;
                  }
                }),
                h(
                  RRowLabel,
                  { text: "Badge" },
                  () => h(RInput, {
                    placeholder: "badge",
                    modelValue: item.badge,
                    onRchange(badge) {
                      item.badge = badge;
                    }
                  })
                )
              ];
            }
          })
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostComponent = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        useable: []
        //names/slugs to use 
      })
    }
  },
  name: "PostComponent",
  description: "Insert dynamic components from plugins into post content",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">  <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 12h16.5m-16.5 3.75h16.5M3.75 19.5h16.5M5.625 4.5h12.75a1.875 1.875 0 0 1 0 3.75H5.625a1.875 1.875 0 0 1 0-3.75Z" /></svg>`,
  is_droppable() {
    return false;
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let post_components = [];
    let is_available = props.Jx(false);
    let load_components = async () => {
      if (!props.isEdit) return;
      let res = await props.JxRequest({
        url: `/api/posts/components`
      });
      let arr_components = res.d;
      arr_components.forEach((it, ii) => {
        if (!it) return;
        let include = true;
        let fn = new Function(`return ${it.component}`);
        let callable = fn();
        if (typeof callable != "function") return;
        let component = callable();
        if (!component) return;
        if (!component.priority) component.priority = 10;
        if (!component.slug) component.slug = component.name;
        if (component.location) {
          if (!Array.isArray(component.location)) component.location = [component.location];
          include = include && component.location.includes("inside");
        }
        if (include) post_components.push(component);
      });
      is_available.value = true;
    };
    if (props.isEdit) load_components();
    let content_view = ({ h, state, post, tf_text, RAvatar, RPostComponent }) => {
      if (post) {
        return h(
          "div",
          { class: ["PostComponent"] },
          h(RPostComponent, { postId: post.id, location: "inside", limitTo: state.useable })
        );
      } else {
        return h("div", {
          class: ["p-2", "rounded"]
        }, "Post Object is null");
      }
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        RDuplex,
        RSelect,
        Inspector,
        RText,
        instance,
        state,
        RCheckbox,
        RAvatar,
        RRadio,
        RInput,
        VModel,
        RRowLabel
      } = imports;
      useEditorState();
      let lst_comp_vnodes = null;
      if (is_available.value && post_components.length > 0) {
        lst_comp_vnodes = post_components.filter((component) => {
          return true;
        }).sort((a, b) => a.priority - b.priority).map((component, ci) => {
          return h(
            "li",
            { class: ["pl-5", "mb-1", "post-component", "text-smaller"] },
            h(
              RCheckbox,
              {
                modelValue: state.useable.includes(component.name || component.title),
                onRchange(val) {
                  let subject = component.name || component.title;
                  if (!Array.isArray(instance.state.useable)) instance.state.useable = [];
                  if (val) {
                    if (instance.state.useable.indexOf(subject) == -1) {
                      instance.state.useable.push(subject);
                    }
                  } else {
                    let index = instance.state.useable.indexOf(subject);
                    if (index != -1) {
                      instance.state.useable.splice(index, 1);
                    }
                  }
                }
              },
              () => h("span", { "data-tooltip": component.description + "\n" + component.name }, component.title || component.name)
            )
          );
        });
      }
      let com_display_name = () => {
        if (!Array.isArray(state.useable)) return [];
        let out = [], comp;
        for (var comp_name of state.useable) {
          comp = post_components.find((it) => it.name == comp_name || it.title == comp_name);
          if (!comp) {
            out.push("Unknown(" + comp_name + ")");
          } else {
            out.push(comp.title);
          }
        }
        return out;
      };
      let name_display = h("div", { class: "color-gray-400" }, "Uses none");
      let the_names = com_display_name();
      if (the_names.length > 0) {
        name_display = the_names.map((title) => {
          return h(
            "span",
            {
              style: { "--bg-opacity": "0.09" },
              class: "inline-block p-1 mr-1 mb-1 bg-primary-500 rounded color-primary-500 text-smaller"
            },
            title
          );
        });
        for (var j = name_display.length - 2; j > -1; j--) {
          if (name_display[j]) {
            name_display.splice(j + 1, 0, h("span", {}, ","));
          }
        }
        name_display = h("div", { class: ["pl-3 mt-3"] }, "Uses ", name_display);
      }
      return h(
        "div",
        { class: ["Post-Sidebar-Preview"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: { minHeight: "80px" }
          },
          h("div", { class: "flex gap-1 items-center" }, h("b", {}, "PostComponent")),
          h("div", {}, name_display),
          h("div", { class: ["bg-primary-100", "h-3", "w-1/2", "mt-1"] }),
          h("div", { class: ["bg-primary-100", "h-3", "mt-2", "w-2/3"] }),
          h("div", { class: ["bg-primary-100", "h-3", "mt-2", "w-1/4"] })
        ),
        Inspector(
          h(
            "ul",
            { class: ["list-none", "mb-5 pb-2"] },
            h("li", { class: "mb-3 font-bold" }, `Use Post Components `),
            h(
              "li",
              { class: "mb-3 text-smaller color-gray-400" },
              "Use these PostComponents",
              h("i", { class: "color-primary-600 mx-2" }, "inside"),
              "the post"
            ),
            !lst_comp_vnodes ? h(
              "li",
              { class: ["color-gray-400", "user-select-none", "text-smaller", "pl-5"] },
              "None available.  Try using plugin hook ",
              h(
                "i",
                { class: " color-primary-300" },
                "filter_register_post_component"
              ),
              ' to register PostComponent with location property set to "inside".'
            ) : null,
            lst_comp_vnodes
          )
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostDescription = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    //used to pass down prevent re-initialization of Blocks Classes within RViewer
    passBlocks: null,
    passBlocksArr: null,
    state: {
      type: Object,
      default: () => ({})
    }
  },
  name: "PostDescription",
  description: "Echos the post description on page",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, RViewer, post }) => {
      if (post) {
        return h(
          "div",
          {},
          post.description
        );
      } else {
        return h("div", {
          class: ["p-2", "rounded"]
        }, "No content was supplied");
      }
    };
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      Inspector,
      RText,
      instance,
      state,
      RInput,
      VModel,
      RRowLabel
    }) => {
      useEditorState();
      return h(
        "div",
        { class: ["PostDescription"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h("div", {}, h("b", {}, "PostDescription")),
          h("div", { class: ["bg-gray-300", "h-3", "w-1/4", "mt-1"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-2/5", "mt-1"] }),
          h("div", { class: ["bg-gray-300", "h-3", "w-3/4", "mt-1"] })
        ),
        Inspector()
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostProductPrice = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    //used to pass down prevent re-initialization of Blocks Classes within RViewer
    passBlocks: null,
    passBlocksArr: null,
    state: {
      type: Object,
      default: () => ({
        size: "md",
        version: 1,
        text_inc: "",
        text_dec: "",
        text_base_price: "",
        show_change: false
      })
    }
  },
  name: "PostProductPrice",
  description: "Echos as a product(price)",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 0 0-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 0 0-16.536-1.84M7.5 14.25 5.106 5.272M6 20.25a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Zm12.75 0a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Z" />
</svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let version_list = props.Jx([
      { title: "Version 1", value: 1 },
      { title: "Version 2", value: 2 },
      { title: "Version 3", value: 3 },
      { title: "Version 4", value: 4 },
      { title: "Version 5", value: 5 },
      { title: "Version 6", value: 6 },
      { title: "Version 7", value: 7 }
    ]);
    let content_view = ({ h, state, post, RProductPrice, useViewerState, useAppState }) => {
      let basePrice = 99.99;
      let currentPrice = 79.99;
      if (post) {
        let view_state = useViewerState();
        let app_state = useAppState();
        let variants = app_state.page_storage("variants") || [];
        let var_obj = variants.find((it) => it.product_id == post.id);
        let pricing = view_state.get_product_price({ post, variant_id: var_obj == null ? undefined : var_obj.id });
        if (pricing) {
          basePrice = pricing.base_price;
          currentPrice = pricing.current_price;
        }
      }
      return h(RProductPrice, {
        "product-id": post ? post.id : undefined,
        showChange: state.show_change,
        discountText: state.text_dec,
        increaseText: state.text_inc,
        basePriceText: state.text_base_price,
        size: state.size,
        version: state.version,
        basePriceText: state.text_base_price,
        basePrice,
        currentPrice
      });
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RCheckbox,
        RInput,
        VModel,
        RRowLabel,
        RSelect
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["Paragraph"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h("div", {}, h("b", {}, "PostProductPrice")),
          content_view(imports),
          h("div", { class: ["color-gray-400", "text-smaller"] }, "{example only}")
        ),
        Inspector(
          h(
            "div",
            { class: ["flex", "gap-2"] },
            h(
              RRowLabel,
              { text: "Version Type" },
              () => h(RSelect, VModel("version", {
                values: version_list.value,
                modelValue: state.version,
                onChange(version) {
                  console.log("Val change", version);
                  return { version };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Text Size" },
              () => h(RSelect, VModel("size", {
                values: [
                  { title: "Base", value: "base" },
                  { title: "Medium", value: "md" },
                  { title: "Large", value: "lg" }
                ],
                modelValue: state.size,
                onChange(size) {
                  return { size };
                }
              }))
            )
          ),
          h(RCheckbox, VModel("show_change", {
            modelValue: state.show_change,
            onChange(show_change) {
              return { show_change };
            }
          }), () => "Show % Change"),
          h(
            "div",
            { class: ["flex", "gap-2"] },
            h(
              RRowLabel,
              { text: "Price Increase Text" },
              () => h(RInput, VModel("text_inc", {
                modelValue: state.text_inc,
                onChange(text_inc) {
                  return { text_inc };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Price Decrease Text" },
              () => h(RInput, VModel("text_dec", {
                modelValue: state.text_dec,
                onChange(text_dec) {
                  return { text_dec };
                }
              }))
            )
          ),
          h(
            RRowLabel,
            { text: "Base Price Text" },
            () => h(RInput, VModel("text_base_price", {
              modelValue: state.text_base_price,
              onChange(text_base_price) {
                return { text_base_price };
              }
            }))
          )
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostProductVariants = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    //used to pass down prevent re-initialization of Blocks Classes within RViewer
    passBlocks: null,
    passBlocksArr: null,
    state: {
      type: Object,
      default: () => ({
        size: "md",
        version: 1,
        text_inc: "",
        text_dec: "",
        text_base_price: "",
        show_change: false
      })
    }
  },
  name: "PostProductVariants",
  description: "Echos as a product(price)",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 0 0-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 0 0-16.536-1.84M7.5 14.25 5.106 5.272M6 20.25a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Zm12.75 0a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Z" />
</svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, post, RProductVariant, useViewerState }) => {
      if (post) {
        return h(RProductVariant, { productId: post ? post.id : undefined, class: ["m-2"] });
      } else {
        return { class: ["empty-variants"] };
      }
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RCheckbox,
        RInput,
        VModel,
        RRowLabel,
        RSelect
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["Paragraph"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h("div", {}, h("b", {}, "PostProductVariants")),
          h(
            "div",
            { class: ["flex", "gap-3", "flex-wrap", "my-3"] },
            [1, 2, 3].map((it) => {
              return h("div", { class: ["bg-gray-300", "rounded"], style: { minHeight: "1.8em", minWidth: "5em" } });
            })
          )
        ),
        Inspector()
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostProductCart = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    //used to pass down prevent re-initialization of Blocks Classes within RViewer
    passBlocks: null,
    passBlocksArr: null,
    state: {
      type: Object,
      default: () => ({
        title: "Your cart",
        use_text: false,
        item_class: "",
        render_type: 1
      })
    }
  },
  name: "PostProductCart",
  description: "List user cart selections",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 0 0-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 0 0-16.536-1.84M7.5 14.25 5.106 5.272M6 20.25a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Zm12.75 0a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Z" />
</svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let version_list = props.Jx([
      { title: "Type 1", value: 1 },
      { title: "Type 2", value: 2 }
    ]);
    let content_view = ({ h, state, post, RProductCart, useViewerState, useAppState }) => {
      return h(RProductCart, {
        title: state.title,
        type: state.render_type,
        enableText: state.use_text,
        itemClass: state.item_class
      });
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RCheckbox,
        RInput,
        VModel,
        RRowLabel,
        RSelect
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["Paragraph"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h("div", {}, h("b", {}, "PostProductCart")),
          h(
            "div",
            { class: ["flex", "gap-3", "mb-2"] },
            h("div", { class: ["bg-gray-300", "h-10", "w-10"] }),
            h(
              "div",
              { class: ["w-full"] },
              h("div", { class: ["bg-gray-300", "h-3", "w-2/3", "mb-2"] }),
              h("div", { class: ["bg-gray-300", "h-3", "mb-1"] }),
              h("div", { class: ["bg-gray-300", "h-3", "w-1/4", "mb-1"] })
            )
          ),
          h(
            "div",
            { class: ["flex", "gap-3", "mb-2"] },
            h("div", { class: ["bg-gray-300", "h-10", "w-10"] }),
            h(
              "div",
              { class: ["w-full"] },
              h("div", { class: ["bg-gray-300", "h-3", "w-2/3", "mb-2"] }),
              h("div", { class: ["bg-gray-300", "h-3", "mb-1"] }),
              h("div", { class: ["bg-gray-300", "h-3", "w-1/4", "mb-1"] })
            )
          )
        ),
        Inspector(
          h(RCheckbox, VModel("use_text", {
            modelValue: state.use_text,
            onChange(use_text) {
              return { use_text };
            }
          }), () => "Show Text"),
          h(
            RRowLabel,
            { text: "Cart title" },
            () => h(RInput, VModel("title", {
              modelValue: state.title,
              onChange(title) {
                return { title };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Item Class" },
            () => h(RInput, VModel("item_class", {
              modelValue: state.item_class,
              onChange(item_class) {
                return { item_class };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Render Type" },
            () => h(RSelect, VModel("render_type", {
              modelValue: state.render_type,
              values: version_list.value,
              onChange(render_type) {
                return { render_type };
              }
            }))
          )
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostProductAddToCart = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    //used to pass down prevent re-initialization of Blocks Classes within RViewer
    passBlocks: null,
    passBlocksArr: null,
    state: {
      type: Object,
      default: () => ({
        usage: "post",
        product_id: null
      })
    }
  },
  name: "PostProductAddToCart",
  description: "Control button to add items to cart",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 0 0-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 0 0-16.536-1.84M7.5 14.25 5.106 5.272M6 20.25a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Zm12.75 0a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Z" />
</svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let usage_types = props.Jx([
      { title: "Current Post", value: "post" },
      { title: "Specific Product", value: "specific-post" }
    ]);
    let content_view = ({ h, state, post, RProductAddToCart, useViewerState, useAppState }) => {
      let productId = -1, disabled = true;
      if (props.isEdit) {
        disabled = true;
      } else {
        disabled = false;
        if (state.usage == "post") {
          productId = post.id;
        } else {
          productId = state.product_id;
        }
      }
      return h(RProductAddToCart, {
        productId,
        disabled
      });
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        RPicker,
        Inspector,
        RText,
        instance,
        state,
        RCheckbox,
        RInput,
        VModel,
        RRowLabel,
        RSelect
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["Paragraph"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h("div", {}, h("b", {}, "PostProductCart")),
          content_view(imports),
          h(
            "div",
            { class: ["text-smaller", "mt-2", "color-gray-500"] },
            "Remember to include blocks PostProductOptions and PostProductVariants to ensure proper operation."
          )
        ),
        Inspector(
          h(
            RRowLabel,
            { text: "Usage Type" },
            () => h(RSelect, VModel("usage", {
              modelValue: state.usage,
              values: usage_types.value,
              onChange(usage) {
                return { usage };
              }
            }))
          ),
          state.usage != "post" ? h(
            RRowLabel,
            { text: "Product ID" },
            h(RPicker, VModel("product_id", {
              target: "posts.product",
              placeholder: "Search product",
              onInflated(values) {
              },
              onChange(product_id) {
                return { product_id };
              }
            }))
          ) : null
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostProductOptions = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    //used to pass down prevent re-initialization of Blocks Classes within RViewer
    passBlocks: null,
    passBlocksArr: null,
    state: {
      type: Object,
      default: () => ({})
    }
  },
  name: "PostProductOptions",
  description: "Custom settings for the product",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 0 0-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 0 0-16.536-1.84M7.5 14.25 5.106 5.272M6 20.25a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Zm12.75 0a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Z" />
</svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, post, RProductOptions, useViewerState }) => {
      if (post) {
        return h(RProductOptions, { productId: post ? post.id : undefined, class: ["m-2"] });
      } else {
        return h("div", { class: ["empty-variants"] });
      }
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RCheckbox,
        RInput,
        VModel,
        RRowLabel,
        RSelect
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["Paragraph"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h("div", {}, h("b", {}, "PostProductOptions")),
          h(
            "div",
            { class: ["flex", "gap-3", "flex-wrap", "my-3"] },
            [1, 2, 3].map((it, j) => {
              return h("div", { class: ["bg-" + ["gray", "indigo", "emerald"][j] + "-200", "rounded"], style: { minHeight: "1.8em", minWidth: "5em" } });
            })
          )
        ),
        Inspector()
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PostProductCartSummary = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    //used to pass down prevent re-initialization of Blocks Classes within RViewer
    passBlocks: null,
    passBlocksArr: null,
    state: {
      type: Object,
      default: () => ({
        checkout_text: "",
        checkout_class: "",
        striped: false
      })
    }
  },
  name: "PostProductCartSummary",
  description: "List user cart selections",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 0 0-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 0 0-16.536-1.84M7.5 14.25 5.106 5.272M6 20.25a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Zm12.75 0a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Z" />
</svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    props.Jx([
      { title: "Type 1", value: 1 },
      { title: "Type 2", value: 2 }
    ]);
    let content_view = ({ h, state, post, RProductCartSummary, useViewerState, useAppState }) => {
      return h(RProductCartSummary, {
        isStriped: state.striped,
        checkoutText: state.checkout_text ? state.checkout_text : null,
        checkoutClass: state.checkout_class
      });
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RCheckbox,
        RInput,
        VModel,
        RRowLabel,
        RSelect
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["Paragraph"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h("div", {}, h("b", {}, "PostProductCartSummary")),
          h(
            "div",
            { class: ["flex", "gap-3", "mb-2"] },
            h(
              "div",
              { class: ["w-full"] },
              h("div", { class: ["bg-gray-300", "h-3", "w-2/3", "mb-2"] }),
              h("div", { class: ["bg-gray-300", "h-3", "mb-1"] }),
              h("div", { class: ["bg-gray-300", "h-3", "w-1/4", "mb-1"] })
            )
          )
        ),
        Inspector(
          h(
            RRowLabel,
            { text: "Include Checkout Button" },
            () => h(RInput, VModel("checkout_text", {
              modelValue: state.checkout_text,
              onChange(checkout_text) {
                return { checkout_text };
              }
            }))
          ),
          state.checkout_text ? h(
            RRowLabel,
            { text: "Button CSS Styles" },
            () => h(RInput, VModel("checkout_class", {
              modelValue: state.checkout_class,
              onChange(checkout_class) {
                return { checkout_class };
              }
            }))
          ) : null,
          h(RCheckbox, VModel("striped", {
            modelValue: state.striped,
            "data-tooltip": `Visually seperate summary`,
            onChange(striped) {
              return { striped };
            }
          }), () => "Use Seperator")
          /*
          
                              h(RRowLabel,{text : 'Render Type'},
                                  ()=>h(RSelect,VModel('render_type',{
                                      modelValue : state.render_type,
                                      values : version_list.value ,
                                      onChange (render_type){
                                          return { render_type }
                                      }
                                  }))
                              ) */
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const Table = () => ({
  emits: ["update:modelValue", "new"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    h: null,
    state: {
      has_header: true,
      col_css: "",
      data_css: "",
      type: Object,
      default: () => ({
        titles: [],
        //titles as an array of { title,name, width, head_css, column_css,  }
        data: []
        //Array of { name, title }
      })
    }
  },
  name: "Table",
  description: "Organize content in table format",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M3.375 19.5h17.25m-17.25 0a1.125 1.125 0 0 1-1.125-1.125M3.375 19.5h7.5c.621 0 1.125-.504 1.125-1.125m-9.75 0V5.625m0 12.75v-1.5c0-.621.504-1.125 1.125-1.125m18.375 2.625V5.625m0 12.75c0 .621-.504 1.125-1.125 1.125m1.125-1.125v-1.5c0-.621-.504-1.125-1.125-1.125m0 3.75h-7.5A1.125 1.125 0 0 1 12 18.375m9.75-12.75c0-.621-.504-1.125-1.125-1.125H3.375c-.621 0-1.125.504-1.125 1.125m19.5 0v1.5c0 .621-.504 1.125-1.125 1.125M2.25 5.625v1.5c0 .621.504 1.125 1.125 1.125m0 0h17.25m-17.25 0h7.5c.621 0 1.125.504 1.125 1.125M3.375 8.25c-.621 0-1.125.504-1.125 1.125v1.5c0 .621.504 1.125 1.125 1.125m17.25-3.75h-7.5c-.621 0-1.125.504-1.125 1.125m8.625-1.125c.621 0 1.125.504 1.125 1.125v1.5c0 .621-.504 1.125-1.125 1.125m-17.25 0h7.5m-7.5 0c-.621 0-1.125.504-1.125 1.125v1.5c0 .621.504 1.125 1.125 1.125M12 10.875v-1.5m0 1.5c0 .621-.504 1.125-1.125 1.125M12 10.875c0 .621.504 1.125 1.125 1.125m-2.25 0c.621 0 1.125.504 1.125 1.125M13.125 12h7.5m-7.5 0c-.621 0-1.125.504-1.125 1.125M20.625 12c.621 0 1.125.504 1.125 1.125v1.5c0 .621-.504 1.125-1.125 1.125m-17.25 0h7.5M12 14.625v-1.5m0 1.5c0 .621-.504 1.125-1.125 1.125M12 14.625c0 .621.504 1.125 1.125 1.125m-2.25 0c.621 0 1.125.504 1.125 1.125m0 1.5v-1.5m0 0c0-.621.504-1.125 1.125-1.125m0 0h7.5" /></svg>`,
  is_droppable(blk) {
    return false;
  },
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return {
      style: [],
      script: []
    };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    props.Jx(false);
    let content_view = ({ h, state, instance, useEditorState, RInput }) => {
      let is_edit = props.isEdit;
      let add_record = (index) => {
        if (!Array.isArray(instance.state.data)) instance.state.data = [];
        let new_row = {};
        for (var col of columns) {
          new_row[col.name] = null;
        }
        if (index == undefined) {
          instance.state.data.push(new_row);
        } else {
          instance.state.data.splice(index, 0, new_row);
          console.log("Insert ", new_row, "into", index);
        }
        let editor_store = useEditorState();
        editor_store.push_undo("add-row", () => {
          if (index == undefined) {
            instance.state.data.pop();
          } else {
            instance.state.data.splice(index, 1);
          }
        });
      };
      let columns = [
        { placeholder: true, width: "48px", first_column: true },
        ...Array.isArray(state.titles) ? state.titles : [{ title: "No Columns", name: "nada" }],
        { placeholder: true, width: "48px", last_column: true }
      ];
      let th_headers = columns.filter((it) => {
        if (is_edit) return true;
        else return !it.placeholder;
      }).map((th_data) => {
        return h(
          "th",
          { class: [
            th_data.placeholder ? "placeholder" : "",
            !th_data.placeholder ? state.col_css : null,
            th_data.head_css,
            th_data.name
          ], style: { width: th_data.width } },
          h("span", { class: "text-wrap", innerHTML: th_data.title || "&nbsp;&nbsp;" })
        );
      });
      let tr_rows = [
        ...Array.isArray(state.data) ? state.data : [],
        { is_last_row: true, placeholder: true }
      ].filter((it) => {
        if (is_edit) return true;
        else return !it.placeholder;
      }).map((td_data, row_index) => {
        return [
          is_edit && !td_data.is_last_row ? h(
            "div",
            {
              "data-tooltip": "Insert row",
              class: [
                "insert-here",
                "p-1",
                "absolute",
                "z-500",
                "hover:bg-primary-500",
                "hover:bg-opacity-30",
                "cursor-pointer"
              ],
              style: { width: "100%", minHeight: "8px" },
              onClick() {
                add_record(row_index);
              }
            }
          ) : null,
          h(
            "tr",
            { class: [
              td_data.placeholder ? "placeholder" : "",
              td_data.is_last_row ? "last-row" : ""
            ] },
            columns.filter((it) => {
              if (is_edit) return true;
              else return !it.placeholder;
            }).map((col_data, col_index) => {
              let display_val = h("span", { class: "data" }, td_data[col_data.name]);
              if (col_data.placeholder) display_val = null;
              if (!col_data.placeholder && !td_data.placeholder && is_edit) {
                display_val = h(RInput, {
                  modelValue: td_data[col_data.name],
                  onRchange(val) {
                    td_data[col_data.name] = val;
                  },
                  onChange(x) {
                    let editor_store = useEditorState();
                    editor_store.push_undo("change-cell-row", () => {
                      td_data[col_data.name] = x.old_value;
                    });
                  }
                });
              }
              return h(
                "td",
                {
                  class: [
                    "cell",
                    !col_data.placeholder && !td_data.placeholder ? state.data_css : null,
                    col_data.column_css,
                    col_data.name,
                    is_edit ? "on-hover-target" : ""
                  ]
                },
                //
                //when edit mode and first column, Add Data row
                is_edit && col_index == 0 && td_data.is_last_row ? h("button", {
                  class: ["add-row-btn", "btn"],
                  innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" /></svg>`,
                  onClick(e) {
                    add_record(row_index);
                  }
                }) : null,
                //display the cell content
                display_val,
                is_edit && col_data.first_column && !td_data.is_last_row ? h(
                  "div",
                  { class: ["re-arrange", "flex", "flex-col", "target-item"] },
                  h("button", {
                    class: "btn up",
                    innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-3 h-3"> <path stroke-linecap="round" stroke-linejoin="round" d="m4.5 15.75 7.5-7.5 7.5 7.5" /></svg>`,
                    onClick() {
                      if (row_index == 0) return;
                      let above = instance.state.data[row_index - 1];
                      let cur = instance.state.data[row_index];
                      instance.state.data[row_index - 1] = cur;
                      instance.state.data[row_index] = above;
                      let editor_store = useEditorState();
                      editor_store.push_undo("shift-row-up", () => {
                        instance.state.data[row_index - 1] = above;
                        instance.state.data[row_index] = cur;
                      });
                    }
                  }),
                  h("button", {
                    class: "btn down",
                    innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-3 h-3"><path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" /></svg>`,
                    onClick() {
                      if (row_index == instance.state.data.length - 1) return;
                      let below = instance.state.data[row_index + 1];
                      let cur = instance.state.data[row_index];
                      instance.state.data[row_index + 1] = cur;
                      instance.state.data[row_index] = below;
                      let editor_store = useEditorState();
                      editor_store.push_undo("shift-row-down", () => {
                        instance.state.data[row_index + 1] = below;
                        instance.state.data[row_index] = cur;
                      });
                    }
                  })
                ) : null,
                //
                //Create the remove row button
                is_edit && col_data.last_column && !td_data.is_last_row ? h(
                  "div",
                  {},
                  h("button", {
                    class: ["btn", "remove-row", "color-red-500"],
                    innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M5 12h14" /></svg>`,
                    onClick(e) {
                      let cur_row_data = instance.state.data[row_index];
                      instance.state.data.splice(row_index, 1);
                      let editor_store = useEditorState();
                      editor_store.push_undo("remove-row", () => {
                        instance.state.data.splice(row_index, 0, cur_row_data);
                      });
                    }
                  })
                ) : null
              );
            })
          )
        ];
      });
      return h(
        "table",
        { class: [] },
        h(
          "thead",
          {},
          state.has_header ? h(
            "tr",
            {},
            ...th_headers
          ) : null
          //end of thead/tr
        ),
        //End of thead 
        h(
          "tbody",
          {},
          tr_rows
        )
        //end of tbody
      );
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        RButton,
        Inspector,
        RText,
        instance,
        state,
        is_active,
        RCheckbox,
        RInput,
        VModel,
        RRowLabel,
        editor_store,
        repeater
      } = imports;
      useEditorState();
      if (state.alignment) "text-" + state.alignment;
      return h(
        "div",
        { class: ["Table"] },
        content_view(imports),
        Inspector(
          h(RCheckbox, VModel("has_header", {
            onRchange(has_header) {
              return { has_header };
            }
          }), () => "Include Header"),
          h(
            RRowLabel,
            { text: "Header CSS Class" },
            () => h(RInput, VModel("col_css", {
              onRchange(col_css) {
                return { col_css };
              }
            }))
          ),
          h(
            RRowLabel,
            { text: "Data CSS Class" },
            () => h(RInput, VModel("data_css", {
              onRchange(data_css) {
                return { data_css };
              }
            }))
          ),
          ...repeater("titles", "Table Titles", {
            onNew() {
              return { title: "", name: "", width: "", head_css: "" };
            },
            onRender(item, index) {
              return [
                h(RInput, {
                  class: ["mb-1"],
                  "data-tooltip": "Data cell name",
                  placeholder: "Key",
                  modelValue: item.name,
                  onRchange(name) {
                    item.name = name;
                  }
                }),
                h(RInput, {
                  class: ["mb-1"],
                  "data-tooltip": "Column title",
                  placeholder: "Text",
                  modelValue: item.title,
                  onRchange(title) {
                    item.title = title;
                  }
                }),
                h(RInput, {
                  class: ["mb-1"],
                  "data-title": "CSS for the header column",
                  placeholder: "Header Class",
                  modelValue: item.head_css,
                  onRchange(val) {
                    item.head_css = val;
                  }
                }),
                h(RInput, {
                  class: ["mb-1"],
                  "data-title": "CSS for data columns",
                  placeholder: "Column CSS",
                  modelValue: item.column_css,
                  onRchange(column_css) {
                    item.column_css = column_css;
                  }
                }),
                h(RInput, {
                  class: ["mb-1"],
                  "data-title": "Custom width",
                  placeholder: "Width ie '50px', '3em",
                  modelValue: item.width,
                  onRchange(width) {
                    item.width = width;
                  }
                })
                /*h(RInput,{
                    class:['mb-1'],
                    placeholder: "Image",
                    modelValue: item.column_css ,
                    onRchange(column_css) { item.column_css=column_css }, 
                }, ()=> h('span',{innerHTML : svg_img })),*/
              ];
            }
          })
          /*h(RRowLabel,{text : "Alignment"}, 
              ()=>h('div',{class:['flex','justify-center','gap-2']}, 
                  h(RButton,{class:['w-fit', state.alignment =='left' ? active_cls :''], onClick(e){update_alignment('left');} }, ()=>h('span',{innerHTML : svg_left})),
                  h(RButton,{class:['w-fit', state.alignment =='center' ? active_cls :''], onClick(e){update_alignment('center');}}, ()=>h('span',{innerHTML : svg_center})),
                  h(RButton,{class:['w-fit', state.alignment =='right' ? active_cls :''], onClick(e){update_alignment('right');}}, ()=>h('span',{innerHTML : svg_right}))
              ) 
          ) */
        )
      );
    };
    return Block(props.isEdit ? content_edit : content_view);
  }
});

const TableContents = () => ({
  emits: ["update:modelValue", "new"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    h: null,
    state: {
      type: Object,
      default: () => ({
        data: []
        //table content list
      })
    }
  },
  hidden: true,
  name: "TableContents",
  description: "Display content key sections",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6"><path stroke-linecap="round" stroke-linejoin="round" d="M3.75 5.25h16.5m-16.5 4.5h16.5m-16.5 4.5h16.5m-16.5 4.5h16.5" /></svg>`,
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return {
      style: [{
        innerHTML: `
/** On small screen */
@media (max-width: 640px) {
    /*
    .table-content-column {
        position: fixed;
        left: calc(1px + 2vw);
        top: calc(0px + 5vh);
        z-index: 100;
        background-color: hotpink;
        min-width: 250px;
        height: 90%;
        border-radius: 4px;
    }*/
}
`
      }],
      script: []
    };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let get_level = (item) => {
      if (!item) return 0;
      let l = item.level;
      if (isNaN(l)) l = 0;
      else {
        if (l > 0) l = l - 1;
      }
      return l;
    };
    let root = props.Jx(null);
    props.onMounted(() => {
      if (!root.value) return;
      let first_child = root.value.children[0];
      if (!first_child) return;
      first_child.classList.add("active");
    });
    let content_view = ({ h, state, RLink }) => {
      let items = state.data || [];
      let spacing = 20;
      return h(
        "ul",
        {
          ref: root,
          class: ["list-none", "py-3", "px-1", "pl-2", "w-xs-1", "sm:w-full"],
          style: {
            position: "sticky",
            top: "3em"
          }
        },
        items.map((item) => {
          return h(
            "li",
            {
              class: ["item", "sy", "py-2", "pr-2", item.level == 1 ? "top-level-anchor" : null, "mb-2", "level-" + item.level],
              style: { paddingLeft: 10 + get_level(item) * spacing + "px" },
              level: get_level(item),
              target: item.target
            },
            h(RLink, { to: item.url }, () => item.title)
          );
        })
      );
    };
    props.Jx(false);
    let content_edit = ({
      util,
      ref,
      block_id,
      type,
      h,
      useEditorState,
      RButton,
      Inspector,
      RText,
      instance,
      state,
      is_active,
      RInput,
      VModel,
      RRowLabel,
      editor_store
    }) => {
      useEditorState();
      return h(
        "div",
        {
          class: ["TableContents", "h-9", "bg-gray-300"]
        },
        Inspector()
      );
    };
    return Block(props.isEdit ? content_edit : content_view);
  }
});

const ContentScripter = () => ({
  emits: ["update:modelValue", "new"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    h: null,
    state: {
      number: false,
      start_compacted: false,
      left_col_title: "Audio",
      right_col_title: "Visual",
      data: []
    }
  },
  name: "ContentScript",
  description: "Organize content in table format",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M8.625 12a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0H8.25m4.125 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0H12m4.125 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0h-.375M21 12c0 4.556-4.03 8.25-9 8.25a9.764 9.764 0 0 1-2.555-.337A5.972 5.972 0 0 1 5.41 20.97a5.969 5.969 0 0 1-.474-.065 4.48 4.48 0 0 0 .978-2.025c.09-.457-.133-.901-.467-1.226C3.93 16.178 3 14.189 3 12c0-4.556 4.03-8.25 9-8.25s9 3.694 9 8.25Z" /></svg>`,
  is_droppable(blk) {
    return false;
  },
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from, is_edit }) {
    let additional = "";
    if (is_edit === false) additional = `
            .media-segment:hover { 
                transform: scale(1.01);  
                transition: transform 180ms ease-in-out;
            }
            .media-segment:hover .segment-title { color: rgba(var(--primary-500),1.0); }
            .media-segment {
                box-shadow: 0 0 1px #1515151a,0 2px 8px -1px #15151533 !important;
            }
        `;
    return {
      style: [{ innerHTML: `
.media-segment {
    border: 1px solid rgba(var(--gray-800), 1.0);
    border-color: transparent;
    border-radius: 4px;
    border-left-color: black;
    border-left-width: 4px;
    padding-left: 14px !important;
    transition: transform 180ms ease-in-out;
    margin-bottom: 14px !important;
    --bg-opacity: 0.068;
}
    .media-segment.primary {
            border-left-color: rgba(var(--primary-500),1.0);
            background-color: rgba(var(--primary-500), var(--bg-opacity));
    }
    .media-segment.danger {
            border-left-color: rgba(var(--red-500),1.0);
            background-color: rgba(var(--red-500), var(--bg-opacity));
    }
    .media-segment.success {
            border-left-color: rgba(var(--emerald-500),1.0);
            background-color: rgba(var(--emerald-500), var(--bg-opacity));
    }
    .media-segment.warn {
            border-left-color: rgba(var(--amber-500),1.0);
            background-color: rgba(var(--amber-500), var(--bg-opacity));
    }
    ${additional}
                ` }],
      script: []
    };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let sec_per_line = 30;
    let entry_text = (text) => {
      if (!text) return text;
      text = props.util.find_replace_all(/"([^`]+?)"/gm, text, (term_match) => {
        let tooltip = term_match.match.replaceAll(/"/gm, "&quot;");
        return `<span class="term quote inline-block bg-opacity-30 bg-amber-400 rounded px-2 py-1" data-tooltip="${tooltip}">${term_match.items[0]}</span>`;
      });
      text = props.util.find_replace_all(/'([^`]+?)'/gm, text, (term_match) => {
        let tooltip = term_match.match.replaceAll(/"/gm, "&quot;");
        return `<span class="term quote inline-block bg-opacity-30 bg-emerald-400 rounded px-2 py-1" data-tooltip="${tooltip}">${term_match.items[0]}</span>`;
      });
      text = props.util.find_replace_all(/([#@?!][\w-]+)/gm, text, (term_match) => {
        let term = term_match.match;
        let first_char = term.charAt(0), str = term, cls = "";
        str = term.substring(1);
        switch (first_char) {
          case "@":
            cls = "call-out color-primary-500 bg-opacity-20 bg-primary-500";
            break;
          case "#":
            cls = "identify color-indigo-500 bg-opacity-10 bg-indigo-400";
            break;
          case "?":
            cls = "question color-amber-500 bg-opacity-20 bg-amber-500";
            break;
          case "!":
            cls = "critical color-red-500 bg-opacity-20 bg-red-500";
            break;
        }
        return `<span class="term cursor-default rounded inline-block px-2 py-1 mx-1 font-bold ${cls}">${str}</span>`;
      });
      text = props.util.find_replace_all(/\bwithout\b|\bwo\b|:=|->|=>|<->|\/c\/chg|\/change|\(|\)/gm, text, (term) => {
        let out = null, cls = "", tip = "";
        if (term.match == "->") {
          out = "&#10140;";
          cls = "next";
          tip = "Next";
        } else if (term.match == "without" || term.match == "wo") {
          out = "s\u0305";
          cls = "color-red-500 font-bold";
          tip = "Without";
        } else if (term.match == "=>") {
          out = "&rArr;";
          cls = "cause font-bold color-red-600";
          tip = "Causes";
        } else if (term.match == "<->") {
          out = "&xharr;";
          cls = "font-bold";
          tip = "Related";
        } else if (term.match == "/chg" || term.match == "/c" || term.match == "/change") {
          out = "	&Delta;";
          cls = "font-bold";
          tip = "Change";
        } else if (term.match == "/=" || term.match == "!=") {
          out = "&#8800;";
          cls = "font-bold color-red-50";
          tip = "Not equal to";
        } else if (term.match == ":=") {
          out = "&#x2236;";
          cls = "font-bold color-indigo-500 p-1 inline-block bg-indigo-500 bg-opacity-20 rounded";
          tip = "Defined as";
        } else if (term.match == "(") {
          out = "&lpar;";
          cls = "font-bold";
        } else if (term.match == ")") {
          out = "&rpar;";
          cls = "font-bold";
        }
        if (out) {
          return `<span class="text-larger ${cls}" data-tooltip="${tip}">${out}</span>`;
        }
      });
      return text;
    };
    let is_compact = props.Jx(false);
    let currently_pinned_index = props.Jx(-1);
    let has_initialized = props.Jx(false);
    let content_view = ({ h, state, instance, useEditorState, RInput, VModel, RText, RSelect, RCheckbox, util }) => {
      props.isEdit;
      let data_array = state.data || [];
      let total_time = 0;
      data_array.forEach((entry) => {
        var _a;
        let n = ((_a = entry.audio) == null ? undefined : _a.length) || 0;
        total_time += 15 + sec_per_line * n;
      });
      let time_format = (seconds) => {
        if (typeof seconds != "number") return seconds;
        let part = (util.round(seconds / 60) + "").split(".");
        if (part.length == 1) part.push("0");
        if (part[0] < 10) part[0] = "0" + part[0];
        if (part[1] < 10) part[1] = part[1] + "0";
        return part.join(":");
      };
      if (!props.isEdit && !has_initialized.value) {
        has_initialized.value = true;
        if (state.start_compacted) {
          is_compact.value = true;
        }
      }
      let push_undo_change = (fn) => {
        if (typeof fn != "function") return;
        let editor_store = useEditorState();
        editor_store.push_undo("add-row", fn);
      };
      let add_record = (arr, index, val) => {
        if (!Array.isArray(instance.state.data)) return;
        let new_row = val;
        if (index == undefined) {
          arr.push(new_row);
        } else {
          arr.splice(index, 0, new_row);
        }
        let editor_store = useEditorState();
        editor_store.push_undo("add-row", () => {
          if (index == undefined) {
            arr.pop();
          } else {
            arr.splice(index, 1);
          }
        });
      };
      let remove_record = (arr, row_index) => {
        let cur_row_data = arr[row_index];
        arr.splice(row_index, 1);
        let editor_store = useEditorState();
        editor_store.push_undo("remove-row", () => {
          arr.splice(row_index, 0, cur_row_data);
        });
      };
      let move_up = (arr, row_index) => {
        if (row_index == 0) return;
        let above = arr[row_index - 1];
        let cur = arr[row_index];
        arr[row_index - 1] = cur;
        arr[row_index] = above;
        let editor_store = useEditorState();
        editor_store.push_undo("shift-row-up", () => {
          arr[row_index - 1] = above;
          arr[row_index] = cur;
        });
      };
      let move_down = (arr, row_index) => {
        if (row_index == arr.length - 1) return;
        let below = arr[row_index + 1];
        let cur = arr[row_index];
        arr[row_index + 1] = cur;
        arr[row_index] = below;
        let editor_store = useEditorState();
        editor_store.push_undo("shift-row-down", () => {
          arr[row_index + 1] = below;
          arr[row_index] = cur;
        });
      };
      let create_controls = (arr, options) => {
        if (!props.isEdit) return null;
        return h(
          "div",
          { class: ["flex", options.row ? "flex-row" : "flex-col", "gap-0", "target-item"] },
          h("button", {
            class: ["btn", "sm"],
            onClick() {
              move_up(arr, options.index);
            },
            innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" stroke-width="2.0px" viewBox="0 0 24 24" fill="currentColor" class="w-4 h-4"><path fill-rule="evenodd" d="M11.47 7.72a.75.75 0 0 1 1.06 0l7.5 7.5a.75.75 0 1 1-1.06 1.06L12 9.31l-6.97 6.97a.75.75 0 0 1-1.06-1.06l7.5-7.5Z" clip-rule="evenodd" /></svg>`
          }),
          h("button", {
            class: ["btn", "sm"],
            onClick() {
              remove_record(arr, options.index);
            },
            innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-4 h-4"><path fill-rule="evenodd" d="M5.47 5.47a.75.75 0 0 1 1.06 0L12 10.94l5.47-5.47a.75.75 0 1 1 1.06 1.06L13.06 12l5.47 5.47a.75.75 0 1 1-1.06 1.06L12 13.06l-5.47 5.47a.75.75 0 0 1-1.06-1.06L10.94 12 5.47 6.53a.75.75 0 0 1 0-1.06Z" clip-rule="evenodd" /></svg>`
          }),
          h("button", {
            class: ["btn", "sm"],
            onClick() {
              move_down(arr, options.index);
            },
            innerHTML: `<svg xmlns="http://www.w3.org/2000/svg"  stroke-width="2.0px" viewBox="0 0 24 24" fill="currentColor" class="w-4 h-4"><path fill-rule="evenodd" d="M12.53 16.28a.75.75 0 0 1-1.06 0l-7.5-7.5a.75.75 0 0 1 1.06-1.06L12 14.69l6.97-6.97a.75.75 0 1 1 1.06 1.06l-7.5 7.5Z" clip-rule="evenodd" /></svg>`
          })
        );
      };
      let render_innereds_of = (arr, type_name) => {
        if (!Array.isArray(arr)) return null;
        return h(
          props.isEdit ? "div" : "ul",
          {
            class: [type_name + "-data", !props.isEdit ? "pl-6" : ""]
          },
          arr.map((it, index) => {
            if (!props.isEdit && !it.text) return null;
            return h(
              props.isEdit ? "div" : "li",
              {
                class: ["pl-2", "mb-2", "list-style-disclosure"]
              },
              h(
                "div",
                { class: ["flex", "gap-2", "on-hover-target", "items-start"] },
                create_controls(arr, { index, row: true }),
                props.isEdit ? h(RInput, {
                  height: "65px",
                  "data-tooltip": `<span class="color-indigo-500 font-bold">@</span>callout <span class="color-indigo-500 font-bold">#</span>identify <span class="color-indigo-500 font-bold">?</span>question <span class="color-indigo-500 font-bold">!</span>critical `,
                  class: ["flex-1"],
                  inline: true,
                  multiLine: true,
                  modelValue: it.text,
                  onUpdate(val) {
                    it.text = val;
                  },
                  onRchange(val) {
                    it.text = val;
                  },
                  onChange(e) {
                    it.text = e.value;
                    push_undo_change(() => {
                      it.text = e.old_value;
                    });
                  }
                }) : h("div", { class: "description mt-1 flex-1", innerHTML: entry_text(it.text) })
              )
            );
          })
          //end  of map
        );
      };
      let create_entry = () => ({
        title: "",
        color: "",
        transition: "",
        speaker: "",
        audio: "",
        visuals: "",
        emotive: ""
      });
      let add_line_css = ["add-line", "target-item", "cursor-pointer", "h-3", "w-full", "rounded", "hover:bg-indigo-500", "hover:bg-opacity-30"];
      let vnodes = [...data_array, props.isEdit ? { type: "blank", action: "new" } : null].map((entry, e_index) => {
        var _a;
        if (!entry) return;
        let entry_title = (the_entry, the_index) => {
          the_index = the_index + 1;
          let title = the_entry.title;
          if (state.number) {
            title = `<span class="entry-number">#${the_index}</span> ${entry_text(title)}`;
          }
          return title;
        };
        if (props.isEdit && entry.type == "blank") {
          return h("div", {
            "data-tooltip": "Append",
            onClick() {
              let data = instance.state.data || [];
              instance.state.data = data;
              add_record(data, data.length, create_entry());
            },
            class: add_line_css
          });
        } else {
          let color_option = (opt) => {
            let n = "--gray-500";
            switch (opt.value) {
              case "primary":
                n = "--primary-500";
                break;
              case "warn":
                n = "--amber-500";
                break;
              case "danger":
                n = "--red-500";
                break;
              case "success":
                n = "--emerald-500";
                break;
            }
            return h(
              "div",
              {},
              h("span", {
                class: ["inline-block", "w-4", "h-4", "mr-2", "rounded"],
                style: { backgroundColor: `rgba(var(${n}), 1.0)` }
              }),
              h("span", {}, opt.text)
            );
          };
          return [
            h(
              "div",
              { class: ["media-segment", "block", "w-full", "p-1", "mb-2", entry.color] },
              props.isEdit ? h("div", { class: ["flex", "justify-end"] }, h("span", { class: ["ml-3", "entry-runtime", "text-smaller", "color-indigo-600"] }, time_format(((_a = entry.audio) == null ? undefined : _a.length) * sec_per_line))) : null,
              h(
                "div",
                {
                  class: ["wrapper", "flex", "flex", "flex-row", "on-hover-target"]
                },
                props.isEdit ? create_controls(data_array, { index: e_index }) : null,
                h(
                  "div",
                  { class: ["media-content", "block", "w-full", "flex-1"] },
                  props.isEdit ? h(
                    "div",
                    { class: ["flex", "gap-2"] },
                    h(
                      RSelect,
                      {
                        values: [
                          { title: "None", value: "none" },
                          { title: "Primary", value: "primary" },
                          { title: "Danger", value: "danger" },
                          { title: "Warn", value: "warn" },
                          { title: "Success", value: "success" }
                        ],
                        modelValue: entry.color,
                        onRchange(val) {
                          entry.color = val;
                        },
                        onChange(e) {
                          push_undo_change(() => {
                            entry.color = e.old_value;
                          });
                        }
                      },
                      {
                        choice: color_option,
                        default: color_option
                      }
                    ),
                    h(RInput, {
                      class: ["flex-1"],
                      modelValue: entry.title,
                      onUpdate: (val) => entry.title = val,
                      onChange(e) {
                        push_undo_change(() => {
                          entry.title = e.old_value;
                        });
                      }
                    })
                  ) : [
                    h("h3", {
                      class: ["text-base", "segment-title", "text-larger", !props.isEdit ? "pb-2" : ""],
                      innerHTML: entry_title(entry, e_index)
                    }),
                    is_compact.value ? h("button", {
                      class: [
                        "btn",
                        "absolute",
                        "opacity-40",
                        "hover:opacity-100",
                        "hover:color-primary-500",
                        currently_pinned_index.value == e_index ? "color-primary-500 opacity-100" : ""
                      ],
                      style: { top: "4px", right: "10px" },
                      innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M6 20.25h12m-7.5-3v3m3-3v3m-10.125-3h17.25c.621 0 1.125-.504 1.125-1.125V4.875c0-.621-.504-1.125-1.125-1.125H3.375c-.621 0-1.125.504-1.125 1.125v11.25c0 .621.504 1.125 1.125 1.125Z" /></svg>`,
                      onClick(e) {
                        if (currently_pinned_index.value == e_index) {
                          currently_pinned_index.value = -1;
                          return;
                        }
                        currently_pinned_index.value = e_index;
                      }
                    }) : null
                  ],
                  h(
                    "div",
                    {
                      class: [
                        "block",
                        "content-divider",
                        props.isEdit || (!props.isEdit && !is_compact.value || !props.isEdit && e_index == currently_pinned_index.value) ? null : "hidden"
                      ]
                    },
                    h(
                      "div",
                      { class: ["grid", "content-divider-wrapper", "grid-cols-2", "mt-2"] },
                      h(
                        "div",
                        { class: ["media-audio", "left-column"] },
                        h(
                          "div",
                          { class: "section-label color-primary-500 font-bold color-opacity-40" },
                          h("span", { class: ["mr-2"], innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4">  <path stroke-linecap="round" stroke-linejoin="round" d="M19.114 5.636a9 9 0 0 1 0 12.728M16.463 8.288a5.25 5.25 0 0 1 0 7.424M6.75 8.25l4.72-4.72a.75.75 0 0 1 1.28.53v15.88a.75.75 0 0 1-1.28.53l-4.72-4.72H4.51c-.88 0-1.704-.507-1.938-1.354A9.009 9.009 0 0 1 2.25 12c0-.83.112-1.633.322-2.396C2.806 8.756 3.63 8.25 4.51 8.25H6.75Z" /></svg>` }),
                          h("span", { innerHTML: state.left_col_title }),
                          props.isEdit ? h("button", {
                            onClick() {
                              let arr = entry.audio || [];
                              entry.audio = arr;
                              let last = arr.length;
                              add_record(arr, last, { text: "" });
                            },
                            class: ["btn", "color-opacity-100", "sm", "ml-5"],
                            innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" /></svg>`
                          }) : null
                        ),
                        render_innereds_of(entry.audio, "audio")
                      ),
                      h(
                        "div",
                        { class: ["media-visual", "right-column"] },
                        h(
                          "div",
                          { class: "section-label color-primary-500 font-bold color-opacity-40" },
                          h("span", { class: ["mr-2"], innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4">  <path stroke-linecap="round" stroke-linejoin="round" d="m15.75 10.5 4.72-4.72a.75.75 0 0 1 1.28.53v11.38a.75.75 0 0 1-1.28.53l-4.72-4.72M4.5 18.75h9a2.25 2.25 0 0 0 2.25-2.25v-9a2.25 2.25 0 0 0-2.25-2.25h-9A2.25 2.25 0 0 0 2.25 7.5v9a2.25 2.25 0 0 0 2.25 2.25Z" /></svg>` }),
                          h("span", { innerHTML: state.right_col_title }),
                          props.isEdit ? h("button", {
                            onClick() {
                              let arr = entry.visual || [];
                              entry.visual = arr;
                              let last = arr.length;
                              add_record(arr, last, { text: "" });
                            },
                            class: ["btn", "color-opacity-100", "sm"],
                            innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" /></svg>`
                          }) : null
                        ),
                        render_innereds_of(entry.visual, "visual")
                      )
                    )
                  )
                )
              )
              //end of wrapper
            ),
            props.isEdit && state.data.length - 1 != e_index ? h("div", {
              "data-tooltip": "Insert here",
              class: ["mb-2"],
              onClick() {
                let data = instance.state.data;
                add_record(data, e_index + 1, create_entry());
              },
              class: add_line_css
            }) : null
          ];
        }
      });
      return h(
        "article",
        { class: ["ContentSript", !props.isEdit ? "sm:w-full " : null, "my-4"] },
        !props.isEdit ? h(RCheckbox, {
          modelValue: is_compact.value,
          isSwitch: true,
          onRchange(val) {
            is_compact.value = val;
          }
        }, () => "Compact") : null,
        props.isEdit ? h(
          "div",
          { class: ["flex", "justify-end", "mr-4", "mb-2"] },
          h("span", { class: ["mr-7", "color-opacity-70", "color-indigo-800", "font-bold"], "data-tooltip": "Estimated runtime" }, time_format(total_time))
        ) : null,
        vnodes
      );
    };
    let content_edit = (imports) => {
      let {
        ref,
        block_id,
        type,
        h,
        useEditorState,
        RButton,
        Inspector,
        RText,
        instance,
        state,
        is_active,
        RCheckbox,
        RInput,
        VModel,
        RRowLabel,
        editor_store,
        repeater
      } = imports;
      useEditorState();
      if (state.alignment) "text-" + state.alignment;
      return h(
        "div",
        { class: ["Table"] },
        content_view(imports),
        Inspector(
          h(
            "div",
            { class: ["flex", "gap-2"] },
            h(RCheckbox, VModel("number", {
              "data-tooltip": "Prepend Numbers to each media element",
              onRchange(number) {
                return { number };
              }
            }), () => "Number Media"),
            h(RCheckbox, VModel("start_compacted", {
              "data-tooltip": "On render, start as collapsed",
              onRchange(start_compacted) {
                return { start_compacted };
              }
            }), () => "Initial Compacted")
          ),
          h(
            "div",
            { class: ["flex", "gap-2"] },
            h(
              RRowLabel,
              { text: "Left Title" },
              () => h(RInput, VModel("left_col_title", {
                onRchange(left_col_title) {
                  return { left_col_title };
                }
              }))
            ),
            h(
              RRowLabel,
              { text: "Right Title" },
              () => h(RInput, VModel("right_col_title", {
                onRchange(right_col_title) {
                  return { right_col_title };
                }
              }))
            )
          )
          /*
                              
                              h(RCheckbox, VModel('has_header',{
                                  onRchange(has_header){
                                      return {has_header}
                                  }
                              }), ()=> "Include Header" ) ,
                             
                              h(RRowLabel,{text : "Header CSS Class"}, 
                                  ()=>h(RInput, VModel('col_css',{
                                      onRchange(col_css){
                                          return {col_css}
                                      }
                                  }) ) 
                              ),
                              h(RRowLabel,{text : "Data CSS Class"}, 
                                  ()=>h(RInput, VModel('data_css',{
                                      onRchange(data_css){
                                          return {data_css}
                                      }
                                  }) ) 
                              ),
          
                              ... repeater('titles','Table Titles', {
                                  onNew(){ 
                                      //{ title,name, width, head_css }
                                      return {  title :"", name : "", width : "", head_css : ""}
                                  },
                                  onRender(item, index ){
                                      return [
                                          h(RInput,{
                                              class       : ['mb-1'],'data-tooltip':'Data cell name',
                                              placeholder : "Key",
                                              modelValue  : item.name ,
                                              onRchange(name) { item.name=name   }, 
                                          }),
                                          h(RInput,{
                                              class           :['mb-1'],'data-tooltip':'Column title',
                                              placeholder     : "Text",
                                              modelValue      : item.title,
                                              onRchange(title) {  item.title=title  }
                                          }),
                                          h(RInput,{
                                              class:['mb-1'],'data-title':'CSS for the header column',
                                              placeholder: "Header Class",
                                              modelValue: item.head_css ,
                                              onRchange(val) { item.head_css=val  }, 
                                          }),
                                          h(RInput,{
                                              class:['mb-1'],'data-title':'CSS for data columns',
                                              placeholder: "Column CSS",
                                              modelValue: item.column_css ,
                                              onRchange(column_css) { item.column_css=column_css }, 
                                          }),
                                          h(RInput,{
                                              class:['mb-1'],'data-title':'Custom width',
                                              placeholder: "Width ie '50px', '3em",
                                              modelValue: item.width ,
                                              onRchange(width) { item.width=width }, 
                                          }),
                                          h(RInput,{
                                              class:['mb-1'],
                                              placeholder: "Image",
                                              modelValue: item.column_css ,
                                              onRchange(column_css) { item.column_css=column_css }, 
                                          }, ()=> h('span',{innerHTML : svg_img })),
                                           
                                      ]
                                  }
                              })
                       
                              */
        )
      );
    };
    return Block(props.isEdit ? content_edit : content_view);
  }
});

const PostProductImages = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    //used to pass down prevent re-initialization of Blocks Classes within RViewer
    passBlocks: null,
    passBlocksArr: null,
    state: {
      type: Object,
      default: () => ({
        checkout_text: "",
        checkout_class: "",
        striped: false
      })
    }
  },
  name: "PostProductImages",
  description: "Render out all images for a product",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 0 0-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 0 0-16.536-1.84M7.5 14.25 5.106 5.272M6 20.25a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Zm12.75 0a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Z" />
</svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let cur_media = props.Jx(null);
    let content_view = ({ h, state, post, RProductCartSummary, useViewerState, useAppState, get_post_meta }) => {
      let media_list = get_post_meta.value("product_media", []);
      if (media_list == null || media_list && media_list.length == 0) media_list = ["/default.png"];
      if (cur_media.value == null) {
        cur_media.value = media_list[0] || null;
      }
      let vnode_items = media_list.map((item) => {
        let inner = h("img", { src: item, class: ["w-full", "h-full"] });
        return h("li", {
          class: ["w-full", "mb-2", "rounded", "aspect-1", "hover:ring-primary", cur_media.value == item ? "ring-primary" : "", "p-1", "cursor-pointer", "p-2"],
          onClick(e) {
            cur_media.value = item;
          }
        }, inner);
      });
      let vnode_cur = null;
      if (cur_media.value) {
        let cur_media_src = cur_media.value;
        vnode_cur = h("img", { src: cur_media_src, class: ["w-full", "h-full", "object-fit-contain"] });
      }
      return h(
        "div",
        { class: ["PostProductImages", "p-2"] },
        h(
          "div",
          { class: ["wrapper", "flex", "w-full", "gap-2"] },
          h(
            "ul",
            {
              class: ["image-list", "w-28", "list-none", "p-2", "user-select-none"],
              style: {
                maxHeight: "520px",
                overflow: "auto",
                scrollBehavior: "smooth"
              }
            },
            vnode_items
          ),
          h(
            "div",
            { class: ["current-image", "flex-1"] },
            h("div", {
              class: ["w-full", "max-h-xl", "rounded", "aspect-1"],
              style: {
                //  width : 'calc(100% - 130px)'
              }
            }, vnode_cur)
          )
        )
      );
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RCheckbox,
        RInput,
        VModel,
        RRowLabel,
        RSelect
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["Paragraph"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: {
              minHeight: "80px"
            }
          },
          h("div", { class: ["mb-2"] }, h("b", {}, "PostProductImages")),
          h(
            "div",
            { class: ["wrapper"] },
            h(
              "div",
              { class: ["flex", "w-full", "gap-2"] },
              h(
                "div",
                { class: ["w-24"] },
                h("div", { class: ["bg-gray-300", "h-18", "w-full", "mb-2", "rounded"] }),
                h("div", { class: ["bg-gray-300", "h-18", "w-full", "mb-2", "rounded"] }),
                h("div", { class: ["bg-gray-300", "h-18", "w-full", "mb-2", "rounded"] })
              ),
              h(
                "div",
                { class: ["flex-1"] },
                h("div", { class: ["bg-gray-300", "h-3", "w-full", "h-md", "rounded"] })
              )
            )
          )
        ),
        Inspector(
          /*
                              h(RRowLabel,{text : 'Include Checkout Button'},
                                  ()=>h(RInput,VModel('checkout_text', { 
                                      modelValue : state.checkout_text,
                                      onChange( checkout_text) {
                                          return { checkout_text}
                                      }
                                  }))
                              ),
                              state.checkout_text? h(RRowLabel,{text : 'Button CSS Styles'},
                                  ()=>h(RInput,VModel('checkout_class',{
                                      modelValue : state.checkout_class,
                                      onChange (checkout_class){
                                          return { checkout_class }
                                      }
                                  }))
                              ):null,
                              h(RCheckbox, VModel('striped', {
                                  modelValue : state.striped,
                                  'data-tooltip':`Visually seperate summary`,
                                  onChange(striped) {
                                      return { striped}
                                  }
                              }), ()=> "Use Seperator"),
                              
          
                              h(RRowLabel,{text : 'Render Type'},
                                  ()=>h(RSelect,VModel('render_type',{
                                      modelValue : state.render_type,
                                      values : version_list.value ,
                                      onChange (render_type){
                                          return { render_type }
                                      }
                                  }))
                              ) */
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const PriceTable = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        title: "",
        title_class: "text-center text-base",
        description: "",
        description_class: "text-center",
        amount: "",
        frequency: "",
        amount_class: "",
        class_per_feature: "p-2 mt-2",
        features: [],
        has_image: "",
        nothave_image: "",
        has_class: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="color-emerald-500">   <path stroke-linecap="round" stroke-linejoin="round" d="m4.5 12.75 6 6 9-13.5" /> </svg>`,
        nothave_class: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="color-red-500"><path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" /></svg>`,
        cta_url: "",
        cta_text: "",
        cta_class: ""
      })
    }
  },
  name: "PriceTable",
  description: "Create Pricing table",
  icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4">
  <path stroke-linecap="round" stroke-linejoin="round" d="M19.5 14.25v-2.625a3.375 3.375 0 0 0-3.375-3.375h-1.5A1.125 1.125 0 0 1 13.5 7.125v-1.5a3.375 3.375 0 0 0-3.375-3.375H8.25M9 16.5v.75m3-3v3M15 12v5.25m-4.5-15H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 0 0-9-9Z" />
</svg>
`,
  is_droppable(blk) {
    return false;
  },
  /**
   * Used to add assets to the the page
   * @returns Object { link, style, script }
   */
  assets({ to, from }) {
    return { style: [], script: [] };
  },
  /**
   * Called once on server for each block of this type.
   * @param {Object} options 
   */
  on_view({ post, from, to }) {
  },
  /**
   * Called once  per render of this block type on edit mode on client
   * @param {Object} options 
   */
  on_edit({ post }) {
  },
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, RLink, usePrettyCurrency }) => {
      let pretty = usePrettyCurrency();
      let amount = pretty.value(state.amount);
      if (amount && amount.includes(".")) {
        let part = amount.split(".");
        amount = [h("span", { class: ["whole"] }, part[0]), h("span", { class: ["decimal", "text-smaller-2", "mb-3", "text-super"] }, part[1])];
      }
      let features = state.features || [];
      let vnode_features = h(
        "ul",
        { class: ["features-list", "list-none", "mt-2"] },
        features.map((feature) => {
          let vnode_img_icon = null;
          let img_src = feature.has ? state.has_image : state.nothave_image;
          if (typeof img_src == "string") {
            img_src = img_src.trim();
            let style = { maxWidth: "48px" };
            console.log("[" + img_src + "]", img_src.startsWith("<svg"));
            if (img_src.startsWith("<svg")) {
              vnode_img_icon = h(`span`, { class: ["feature-icon", "feature-svg", "w-6"], innerHTML: img_src, style });
            } else {
              console.log("noring img-tag");
              vnode_img_icon = h("img", { class: ["feature-icon", "feature-image", "w-6"], loading: "lazy", src: img_src, style });
            }
          }
          return h(
            "li",
            { class: [
              "feature",
              feature.has ? "has-feature " + state.has_class : "not-featured " + state.nothave_class,
              "flex",
              "items-start",
              "gap-2",
              state.class_per_feature
            ] },
            vnode_img_icon,
            h("span", { class: "feature-text" }, feature.text)
          );
        })
      );
      return h(
        "aside",
        { class: ["PriceTable"] },
        h("h3", { class: ["pricing-title", state.title_class], innerHTML: state.title }),
        h("p", { class: ["pricing-description", state.description_class] }, state.description),
        h(
          "div",
          { class: ["price-amount-frequency", "flex", "justify-center", "gap-2", "items-center"] },
          h("div", { class: ["amount", "text-lg", "font-bold", state.amount_class] }, amount),
          h("span", { class: ["frequency", "text-smaller"] }, state.frequency)
        ),
        vnode_features,
        state.cta_text ? h(RLink, {
          to: state.cta_url,
          style: { width: "100%" },
          underline: false
        }, () => h("div", { innerHTML: state.cta_text, class: ["w-full", "text-center", "price-cta-wrapper", "p-3", state.cta_class] })) : null
      );
    };
    let content_edit = (payload) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        RCheckbox,
        repeater,
        Inspector,
        RLink,
        instance,
        state,
        RInput,
        VModel,
        RRowLabel
      } = payload;
      useEditorState();
      return h(
        "div",
        {
          class: ["PriceTable"],
          style: {
            minHeight: "1.5em",
            borderRadius: "0.25em"
          }
        },
        content_view(payload),
        Inspector(
          h(
            RRowLabel,
            { text: "Title", tooltip: `Can be HTML` },
            () => h(RInput, VModel("title", { multiLine: true }))
          ),
          state.title ? h(
            RRowLabel,
            { text: "Title Class(es)", tooltip: "CSS Classes to customize the title" },
            () => h(RInput, VModel("title_class", {}))
          ) : null,
          h(
            RRowLabel,
            { text: "Description (optional)" },
            () => h(RInput, VModel("description", { multiLine: true }))
          ),
          state.description ? h(
            RRowLabel,
            { text: "Description Class(es)" },
            () => h(RInput, VModel("description_class", { multiLine: true }))
          ) : null,
          h(
            "div",
            { class: ["flex", "gap-2"] },
            h(
              RRowLabel,
              { text: "Amount" },
              () => h(RInput, VModel("amount", {}))
            ),
            h(
              RRowLabel,
              { text: "Frequency" },
              () => h(RInput, VModel("frequency", {}))
            )
          ),
          state.amount ? h(
            RRowLabel,
            { text: "Amount Class", "tooltip": "Styling for amount text" },
            () => h(RInput, VModel("amount_class", {}))
          ) : null,
          h(
            RRowLabel,
            { text: "cta_text" },
            () => h(RInput, VModel("cta_text", { multiLine: true }))
          ),
          state.cta_text ? h(
            "div",
            {
              class: ["flex", "gap-2"]
            },
            h(
              RRowLabel,
              { text: "CTA URL", tooltip: "Call to action url" },
              () => h(RInput, VModel("cta_url", { multiLine: true }))
            ),
            h(
              RRowLabel,
              { text: "CTA Class", tooltip: "Call to action css class" },
              () => h(RInput, VModel("cta_class", { multiLine: true }))
            )
          ) : null,
          h(
            RRowLabel,
            { text: "CSS Class per feature" },
            () => h(RInput, VModel("class_per_feature", {}))
          ),
          h(
            "div",
            { class: ["gap-2", "flex"] },
            h(
              RRowLabel,
              { text: `CSS Class - Has Properity` },
              () => h(RInput, VModel("has_class", {}))
            ),
            h(
              RRowLabel,
              { text: `CSS Class - Not Properity` },
              () => h(RInput, VModel("nothave_class", {}))
            )
          ),
          h(
            "div",
            { class: ["gap-2", "flex"] },
            h(
              RRowLabel,
              { text: `Icon - Has Properity` },
              () => h(RInput, VModel("has_image", {}))
            ),
            h(
              RRowLabel,
              { text: `Icon - Not Properity` },
              () => h(RInput, VModel("nothave_image", {}))
            )
          ),
          [
            ...repeater("features", "Features", {
              onNew() {
                return { has: false, text: "" };
              },
              onRender(item, index) {
                return [
                  h(RCheckbox, {
                    modelValue: item.has,
                    onRchange(val) {
                      item.has = val;
                    }
                  }, () => "Has Feature"),
                  h(RInput, {
                    multiLine: true,
                    placeholder: "Feature description",
                    modelValue: item.text,
                    onRchange(val) {
                      item.text = val;
                    }
                  })
                ];
              }
            })
          ]
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

const SocialIcons = () => ({
  emits: ["update:modelValue"],
  props: {
    modelValue: null,
    isEdit: { type: Boolean, default: false },
    Block: Function,
    blockId: null,
    state: {
      type: Object,
      default: () => ({
        socials: [],
        is_vertical: false,
        show_label: false
      })
    }
  },
  name: "SocialIcons",
  description: "Create list of links to common social applications",
  icon: `<svg width="24" height="24" focusable="false"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5a1 1 0 1 1 0 2h-4v11a1 1 0 1 1-2 0V7H7a1 1 0 0 1 0-2h10Z"></path><path></path></svg>`,
  setup(props, { attrs, emit, slots }) {
    let Block = props.Block;
    let content_view = ({ h, state, post, tf_text, RAvatar, RLink }) => {
      var _a;
      let user_socials = [];
      let icon_class = `w-7 h-7`;
      let social_icons = {
        yt: { text: "Youtube", icon: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}"  viewBox="0 0 93 93" fill="none">
                      <rect x="1.13867" y="1" width="91.5618" height="91.5618" rx="15" fill="#FF0000"></rect>
                      <path fill-rule="evenodd" clip-rule="evenodd" d="M67.5615 29.2428C69.8115 29.8504 71.58 31.6234 72.1778 33.8708C73.2654 37.9495 73.2654 46.4647 73.2654 46.4647C73.2654 46.4647 73.2654 54.98 72.1778 59.0586C71.5717 61.3144 69.8032 63.0873 67.5615 63.6866C63.4932 64.7771 47.1703 64.7771 47.1703 64.7771C47.1703 64.7771 30.8557 64.7771 26.7791 63.6866C24.5291 63.079 22.7606 61.306 22.1628 59.0586C21.0752 54.98 21.0752 46.4647 21.0752 46.4647C21.0752 46.4647 21.0752 37.9495 22.1628 33.8708C22.7689 31.615 24.5374 29.8421 26.7791 29.2428C30.8557 28.1523 47.1703 28.1523 47.1703 28.1523C47.1703 28.1523 63.4932 28.1523 67.5615 29.2428ZM55.5142 46.4647L41.9561 54.314V38.6154L55.5142 46.4647Z" fill="white"></path>
                    </svg>` },
        fb: { text: "Facebook", icon: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}"  viewBox="0 0 93 92" fill="none">
                      <rect x="1.13867" width="91.5618" height="91.5618" rx="15" fill="#337FFF"></rect>
                      <path d="M57.4233 48.6403L58.7279 40.3588H50.6917V34.9759C50.6917 32.7114 51.8137 30.4987 55.4013 30.4987H59.1063V23.4465C56.9486 23.1028 54.7685 22.9168 52.5834 22.8901C45.9692 22.8901 41.651 26.8626 41.651 34.0442V40.3588H34.3193V48.6403H41.651V68.671H50.6917V48.6403H57.4233Z" fill="white"></path>
                    </svg>` },
        tiktok: `<svg class="${icon_class}"  viewBox="0 0 92 92" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <rect x="0.138672" width="91.5618" height="91.5618" rx="15" fill="black"></rect>
                      <path fill-rule="evenodd" clip-rule="evenodd" d="M55.6721 39.4285C58.7387 41.6085 62.4112 42.7733 66.1737 42.7592V35.3024C65.434 35.3045 64.6963 35.2253 63.9739 35.0663V41.0068C60.203 41.0135 56.5252 39.8354 53.4599 37.6389V52.9749C53.4507 55.4914 52.7606 57.9585 51.4628 60.1146C50.165 62.2706 48.3079 64.0353 46.0885 65.2215C43.8691 66.4076 41.37 66.9711 38.8563 66.852C36.3426 66.733 33.9079 65.9359 31.8105 64.5453C33.7506 66.5082 36.2295 67.8513 38.9333 68.4044C41.6372 68.9576 44.4444 68.6959 46.9994 67.6526C49.5545 66.6093 51.7425 64.8312 53.2864 62.5436C54.8302 60.256 55.6605 57.5616 55.6721 54.8018V39.4285ZM58.3938 31.8226C56.8343 30.1323 55.8775 27.9739 55.6721 25.6832V24.7139H53.5842C53.8423 26.1699 54.4039 27.5553 55.2326 28.78C56.0612 30.0048 57.1383 31.0414 58.3938 31.8226ZM36.645 58.642C35.9213 57.6957 35.4779 56.5653 35.365 55.3793C35.2522 54.1934 35.4746 52.9996 36.0068 51.9338C36.5391 50.8681 37.3598 49.9731 38.3757 49.3508C39.3915 48.7285 40.5616 48.4039 41.7529 48.4139C42.4106 48.4137 43.0644 48.5143 43.6916 48.7121V41.0068C42.9584 40.9097 42.2189 40.8682 41.4794 40.8826V46.8728C39.9522 46.39 38.2992 46.4998 36.8492 47.1803C35.3992 47.8608 34.2585 49.0621 33.6539 50.5454C33.0494 52.0286 33.0252 53.6851 33.5864 55.1853C34.1475 56.6855 35.2527 57.9196 36.6823 58.642H36.645Z" fill="#EE1D52"></path>
                      <path fill-rule="evenodd" clip-rule="evenodd" d="M53.4589 37.5892C56.5241 39.7857 60.2019 40.9638 63.9729 40.9571V35.0166C61.8243 34.5623 59.8726 33.4452 58.3927 31.8226C57.1372 31.0414 56.0601 30.0048 55.2315 28.78C54.4029 27.5553 53.8412 26.1699 53.5831 24.7139H48.09V54.8018C48.0849 56.1336 47.6629 57.4304 46.8831 58.51C46.1034 59.5897 45.0051 60.3981 43.7425 60.8217C42.4798 61.2453 41.1162 61.2629 39.8431 60.872C38.57 60.4811 37.4512 59.7012 36.6439 58.642C35.3645 57.9965 34.3399 56.9387 33.7354 55.6394C33.1309 54.3401 32.9818 52.875 33.3121 51.4805C33.6424 50.0861 34.4329 48.8435 35.556 47.9535C36.6791 47.0634 38.0693 46.5776 39.5023 46.5745C40.1599 46.5766 40.8134 46.6772 41.4411 46.8728V40.8826C38.7288 40.9477 36.0946 41.8033 33.8617 43.3444C31.6289 44.8855 29.8946 47.0451 28.8717 49.5579C27.8489 52.0708 27.5821 54.8276 28.1039 57.49C28.6258 60.1524 29.9137 62.6045 31.8095 64.5453C33.9073 65.9459 36.3458 66.7512 38.8651 66.8755C41.3845 66.9997 43.8904 66.4383 46.1158 65.2509C48.3413 64.0636 50.2031 62.2948 51.5027 60.133C52.8024 57.9712 53.4913 55.4973 53.4962 52.9749L53.4589 37.5892Z" fill="white"></path>
                      <path fill-rule="evenodd" clip-rule="evenodd" d="M63.9736 35.0161V33.4129C62.0005 33.4213 60.0655 32.8696 58.3934 31.8221C59.8695 33.4493 61.8229 34.5674 63.9736 35.0161ZM53.5838 24.7134C53.5838 24.4275 53.4968 24.1292 53.4596 23.8434V22.874H45.8785V52.9744C45.872 54.6598 45.197 56.2738 44.0017 57.4621C42.8064 58.6504 41.1885 59.3159 39.503 59.3126C38.5106 59.3176 37.5311 59.0876 36.6446 58.6415C37.4519 59.7007 38.5707 60.4805 39.8438 60.8715C41.1169 61.2624 42.4805 61.2448 43.7432 60.8212C45.0058 60.3976 46.1041 59.5892 46.8838 58.5095C47.6636 57.4298 48.0856 56.1331 48.0907 54.8013V24.7134H53.5838ZM41.4418 40.8696V39.167C38.3222 38.7432 35.1511 39.3885 32.4453 40.9977C29.7394 42.6069 27.6584 45.0851 26.5413 48.0284C25.4242 50.9718 25.337 54.2067 26.2938 57.206C27.2506 60.2053 29.195 62.792 31.8102 64.5448C29.9287 62.5995 28.6545 60.1484 28.1433 57.4908C27.6321 54.8333 27.906 52.0844 28.9315 49.5799C29.957 47.0755 31.6897 44.924 33.918 43.3882C36.1463 41.8524 38.7736 40.9988 41.4791 40.9318L41.4418 40.8696Z" fill="#69C9D0"></path>
                    </svg>`,
        insta: { text: "Instagram", icon: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}"  viewBox="0 0 93 92" fill="none">
                      <rect x="1.13867" width="91.5618" height="91.5618" rx="15" fill="url(#paint0_linear_7092_54439)"></rect>
                      <path d="M38.3762 45.7808C38.3762 41.1786 42.1083 37.4468 46.7132 37.4468C51.3182 37.4468 55.0522 41.1786 55.0522 45.7808C55.0522 50.383 51.3182 54.1148 46.7132 54.1148C42.1083 54.1148 38.3762 50.383 38.3762 45.7808ZM33.8683 45.7808C33.8683 52.8708 39.619 58.618 46.7132 58.618C53.8075 58.618 59.5581 52.8708 59.5581 45.7808C59.5581 38.6908 53.8075 32.9436 46.7132 32.9436C39.619 32.9436 33.8683 38.6908 33.8683 45.7808ZM57.0648 32.4346C57.0646 33.0279 57.2404 33.608 57.5701 34.1015C57.8997 34.595 58.3684 34.9797 58.9168 35.2069C59.4652 35.4342 60.0688 35.4939 60.6511 35.3784C61.2334 35.2628 61.7684 34.9773 62.1884 34.5579C62.6084 34.1385 62.8945 33.6041 63.0105 33.0222C63.1266 32.4403 63.0674 31.8371 62.8404 31.2888C62.6134 30.7406 62.2289 30.2719 61.7354 29.942C61.2418 29.6122 60.6615 29.436 60.0679 29.4358H60.0667C59.2708 29.4361 58.5077 29.7522 57.9449 30.3144C57.3821 30.8767 57.0655 31.6392 57.0648 32.4346ZM36.6072 66.1302C34.1683 66.0192 32.8427 65.6132 31.9618 65.2702C30.7939 64.8158 29.9606 64.2746 29.0845 63.4002C28.2083 62.5258 27.666 61.6938 27.2133 60.5266C26.8699 59.6466 26.4637 58.3214 26.3528 55.884C26.2316 53.2488 26.2073 52.4572 26.2073 45.781C26.2073 39.1048 26.2336 38.3154 26.3528 35.678C26.4639 33.2406 26.8731 31.918 27.2133 31.0354C27.668 29.8682 28.2095 29.0354 29.0845 28.1598C29.9594 27.2842 30.7919 26.7422 31.9618 26.2898C32.8423 25.9466 34.1683 25.5406 36.6072 25.4298C39.244 25.3086 40.036 25.2844 46.7132 25.2844C53.3904 25.2844 54.1833 25.3106 56.8223 25.4298C59.2612 25.5408 60.5846 25.9498 61.4677 26.2898C62.6356 26.7422 63.4689 27.2854 64.345 28.1598C65.2211 29.0342 65.7615 29.8682 66.2161 31.0354C66.5595 31.9154 66.9658 33.2406 67.0767 35.678C67.1979 38.3154 67.2221 39.1048 67.2221 45.781C67.2221 52.4572 67.1979 53.2466 67.0767 55.884C66.9656 58.3214 66.5573 59.6462 66.2161 60.5266C65.7615 61.6938 65.2199 62.5266 64.345 63.4002C63.4701 64.2738 62.6356 64.8158 61.4677 65.2702C60.5872 65.6134 59.2612 66.0194 56.8223 66.1302C54.1855 66.2514 53.3934 66.2756 46.7132 66.2756C40.033 66.2756 39.2432 66.2514 36.6072 66.1302ZM36.4001 20.9322C33.7371 21.0534 31.9174 21.4754 30.3282 22.0934C28.6824 22.7316 27.2892 23.5878 25.897 24.977C24.5047 26.3662 23.6502 27.7608 23.0116 29.4056C22.3933 30.9948 21.971 32.8124 21.8497 35.4738C21.7265 38.1394 21.6982 38.9916 21.6982 45.7808C21.6982 52.57 21.7265 53.4222 21.8497 56.0878C21.971 58.7494 22.3933 60.5668 23.0116 62.156C23.6502 63.7998 24.5049 65.196 25.897 66.5846C27.289 67.9732 28.6824 68.8282 30.3282 69.4682C31.9204 70.0862 33.7371 70.5082 36.4001 70.6294C39.0687 70.7506 39.92 70.7808 46.7132 70.7808C53.5065 70.7808 54.3592 70.7526 57.0264 70.6294C59.6896 70.5082 61.5081 70.0862 63.0983 69.4682C64.7431 68.8282 66.1373 67.9738 67.5295 66.5846C68.9218 65.1954 69.7745 63.7998 70.4149 62.156C71.0332 60.5668 71.4575 58.7492 71.5768 56.0878C71.698 53.4202 71.7262 52.57 71.7262 45.7808C71.7262 38.9916 71.698 38.1394 71.5768 35.4738C71.4555 32.8122 71.0332 30.9938 70.4149 29.4056C69.7745 27.7618 68.9196 26.3684 67.5295 24.977C66.1395 23.5856 64.7431 22.7316 63.1003 22.0934C61.5081 21.4754 59.6894 21.0514 57.0284 20.9322C54.3612 20.811 53.5085 20.7808 46.7152 20.7808C39.922 20.7808 39.0687 20.809 36.4001 20.9322Z" fill="white"></path>
                      <defs>
                        <linearGradient id="paint0_linear_7092_54439" x1="90.9407" y1="91.5618" x2="-0.621143" y2="-2.46459e-06" gradientUnits="userSpaceOnUse">
                          <stop stop-color="#FBE18A"></stop>
                          <stop offset="0.21" stop-color="#FCBB45"></stop>
                          <stop offset="0.38" stop-color="#F75274"></stop>
                          <stop offset="0.52" stop-color="#D53692"></stop>
                          <stop offset="0.74" stop-color="#8F39CE"></stop>
                          <stop offset="1" stop-color="#5B4FE9"></stop>
                        </linearGradient>
                      </defs>
                    </svg>` },
        x: { text: "X", icon: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}"  viewBox="0 0 93 92" fill="none">
                      <rect x="0.138672" width="91.5618" height="91.5618" rx="15" fill="black"></rect>
                      <path d="M50.7568 42.1716L69.3704 21H64.9596L48.7974 39.383L35.8887 21H21L40.5205 48.7983L21 71H25.4111L42.4788 51.5869L56.1113 71H71L50.7557 42.1716H50.7568ZM44.7152 49.0433L42.7374 46.2752L27.0005 24.2492H33.7756L46.4755 42.0249L48.4533 44.7929L64.9617 67.8986H58.1865L44.7152 49.0443V49.0433Z" fill="white"></path>
                    </svg>` },
        linkedin: { text: "Linkedin", icon: `<svg xmlns="http://www.w3.org/2000/svg" class="${icon_class}" viewBox="0 0 93 93" fill="none">
                      <rect x="1.13867" y="1" width="91.5618" height="91.5618" rx="15" fill="#006699"></rect>
                      <path d="M37.1339 63.4304V40.9068H29.6473V63.4304H37.1346H37.1339ZM33.3922 37.8321C36.0023 37.8321 37.6273 36.1025 37.6273 33.9411C37.5785 31.7304 36.0023 30.0491 33.4418 30.0491C30.8795 30.0491 29.2061 31.7304 29.2061 33.9409C29.2061 36.1023 30.8305 37.8319 33.3431 37.8319H33.3916L33.3922 37.8321ZM41.2777 63.4304H48.7637V50.8535C48.7637 50.1813 48.8125 49.5072 49.0103 49.0271C49.5513 47.6815 50.7831 46.2887 52.8517 46.2887C55.5599 46.2887 56.644 48.354 56.644 51.3822V63.4304H64.1297V50.516C64.1297 43.598 60.4369 40.3787 55.5115 40.3787C51.4733 40.3787 49.6998 42.6357 48.7144 44.173H48.7643V40.9075H41.2781C41.3759 43.0205 41.2775 63.4312 41.2775 63.4312L41.2777 63.4304Z" fill="white"></path>
                    </svg>` }
      };
      if (((_a = state.socials) == null ? undefined : _a.length) > 0) {
        user_socials = h(
          "div",
          { class: ["flex", "gap-2", state.is_vertical ? "flex-col vertical w-fit" : ""] },
          state.socials.map((social) => {
            return h(
              RLink,
              {
                to: social.url
              },
              () => h(
                "div",
                { class: ["social-media-link", "flex", "items-center", "gap-1"] },
                h("span", { class: "icon", innerHTML: social_icons[social.type].icon }),
                state.show_label ? h("span", { class: "type" }, social_icons[social.type].text) : null
              )
            );
          })
        );
      } else {
        h("div", { class: "empty-media-list" });
      }
      return user_socials;
    };
    let content_edit = (imports) => {
      let {
        util,
        ref,
        block_id,
        type,
        h,
        useEditorState,
        Inspector,
        RText,
        instance,
        state,
        RCheckbox,
        RAvatar,
        repeater,
        RSelect,
        RInput,
        VModel,
        RRowLabel
      } = imports;
      useEditorState();
      return h(
        "div",
        { class: ["MediaSocials"] },
        h(
          "div",
          {
            class: ["p-2", "border-2", "rounded", "border-gray-400", "bg-primary-50"],
            style: { minHeight: "48px" }
          },
          content_view(imports)
        ),
        Inspector(
          h(RCheckbox, VModel("show_label", {}), () => "Include Media Label"),
          h(RCheckbox, VModel("is_vertical", {}), () => "Flow Vertical"),
          ...repeater("socials", "Social Links", {
            onNew() {
              return { type: "", url: "" };
            },
            onRender(item, index) {
              return [
                h(RSelect, {
                  modelValue: item.type,
                  values: [
                    { title: "YouTube", value: "yt" },
                    { title: "Tiktok", value: "tiktok" },
                    { title: "Linkedin", value: "linkedin" },
                    { title: "Instagram", value: "insta" },
                    { title: "Facebook", value: "fb" }
                  ],
                  onRchange: (val) => item.type = val
                }),
                h(RInput, {
                  placeholder: "social media link",
                  class: "mb-1",
                  modelValue: item.url,
                  onUpdate(val) {
                    item.url = val;
                  }
                }, () => h("span", { innerHTML: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4"><path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244" /></svg>` }))
              ];
            }
          })
        )
      );
    };
    return Block({}, props.isEdit ? content_edit : content_view);
  }
});

var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
let imported_blocks = [
  Accordion,
  Container,
  Card,
  Header,
  Heading,
  Image,
  CounterTypewriter,
  Carousel,
  CTA,
  CustomRender,
  InspectClass,
  InspectFont,
  InspectSidebar,
  CodeHighlighter,
  Gallery,
  InspectConditional,
  Element,
  Form,
  FormField,
  BlockLayout,
  BlockLayoutItem,
  Media,
  Link,
  List,
  ListItem,
  LinkList,
  Paragraph,
  RawHTML,
  PostImage,
  PostLoop,
  PostDescription,
  PriceTable,
  PostContent,
  PostComments,
  PostComponent,
  PostTitle,
  PostAttributes,
  PostEmbed,
  PostSidebar,
  PostProductPrice,
  PostProductVariants,
  PostProductOptions,
  PostProductCart,
  PostProductCartSummary,
  PostProductImages,
  ContentScripter,
  PostProductAddToCart,
  SocialIcons,
  Table,
  Video,
  TableContents
];
let {
  get: get_cache,
  set: set_cache,
  remove: remove_cache,
  removeAll: removal_all_cache
} = cache.useNamespace(Symbol("options"));
class JxtTrace extends Error {
  constructor(message) {
    super(message);
    this.name = "JxtTracer";
  }
}
class Core {
  constructor() {
    __publicField(this, "version", "2.1");
    __publicField(this, "_default_caps", [
      {
        name: "edit_options",
        description: "Ability to manage site options",
        roles: ["admin"],
        native: true
      },
      {
        name: "manage_users",
        description: "Ability to manage Users",
        roles: ["admin"],
        native: true
      },
      {
        name: "manage_uploads",
        description: "Ability to manage site options",
        roles: ["admin"],
        native: true
      },
      {
        name: "manage_classifications",
        description: "Ability to manage classifications of content",
        roles: ["admin"],
        native: true
      },
      {
        name: "manage_plugins",
        description: "Ability to change status of plugins and upload files to private folder",
        roles: ["admin"],
        native: true
      },
      {
        name: "edit_post",
        description: "Ability to edit posts on the site",
        roles: ["admin"],
        native: true
      },
      {
        name: "remove_post",
        description: "Ability to delete posts on the site",
        roles: ["admin"],
        native: true
      },
      {
        name: "manage_posttype",
        description: "Ability to create custom post types",
        roles: ["admin"],
        native: true
      },
      {
        name: "view_post",
        description: "Ability to view post content",
        roles: ["user"],
        native: true
      }
    ]);
    __publicField(this, "_default_roles", [
      {
        name: "admin",
        title: "Administrator",
        native: true,
        capabilities: [],
        description: "High level user"
      },
      {
        name: "user",
        title: "User",
        native: true,
        capabilities: [],
        description: "General level user"
      }
    ]);
    /**
     * Will appear as capitalized slugs where the leading "jxt_" will be dropped.
     * Examples - { cwd, ENCRYPT_IV,ENCRPT_SECRET, DB_HOST|USER|PASSWORD, JWT_SECRET }
     */
    __publicField(this, "env", {});
  }
  /** Clear site options cache */
  clear_option_cache() {
    removal_all_cache();
  }
  lz(digit) {
    if (isNaN(digit)) return digit;
    if (digit < 10) return `0${digit}`;
    return digit;
  }
  get_date(now = /* @__PURE__ */ new Date()) {
    const date = new Date(now);
    return date.toLocaleDateString("en-US", {
      year: "numeric",
      month: "short",
      day: "numeric"
    });
  }
  get_time(now = /* @__PURE__ */ new Date()) {
    return now.toLocaleTimeString("en-US", {
      hour12: false,
      hour: "2-digit",
      minute: "2-digit"
    });
  }
  /**
   * Loop the specified array while invoking an async function per each item
   * @param {Array} the_array The array of data to loop
   * @param {Function} fn Async function to invoke on each item
   * @param {Boolean} backwards Indicate if we should start the loop with the last object and move to front, default is false
   * @returns {Boolean} True on success
   */
  async loop(the_array, fn, backwards = false) {
    if (!Array.isArray(the_array)) return false;
    if (typeof fn != "function") throw new Error("core.loop requires second parameter to be a function");
    let it;
    let errors = [];
    let protected_fn = async (item, item_index) => {
      try {
        return await fn(item, item_index);
      } catch (e) {
        errors.push(e.message || e.msg);
      }
    };
    let promises = [];
    if (!backwards) {
      for (let index = 0; index < the_array.length; index++) {
        it = the_array[index];
        promises.push(protected_fn(it, index));
      }
    } else {
      for (let index = the_array.length - 1; index > -1; index--) {
        it = the_array[index];
        promises.push(protected_fn(it, index));
      }
    }
    if (errors.length > 0) throw new Error("core.loop errors: " + errors.join(","));
    await Promise.all(promises);
    return true;
  }
  async map(the_array, fn) {
    if (!Array.isArray(the_array)) return [];
    if (typeof fn != "function") throw new Error("core.loop requires second parameter to be a function");
    let it;
    let errors = [];
    let protected_fn = async (item, item_index) => {
      try {
        return await fn(item, item_index);
      } catch (e) {
        errors.push(e.message || e.msg);
      }
    };
    let promises = [];
    for (let index = 0; index < the_array.length; index++) {
      it = the_array[index];
      promises.push(protected_fn(it, index));
    }
    if (errors.length > 0) throw new Error("core.loop errors: " + errors.join(","));
    return await Promise.all(promises);
  }
  /**
   * Check if a string is a valid email format
   * @param {String} email Validate that a string is an email
   * @returns {Boolean}
   */
  is_email(email) {
    if (email == null || email == undefined) return false;
    return email.match(
      /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
    );
  }
  is_num(v) {
    if (v == null) return false;
    if (typeof v == "string" && v.trim() == "") return false;
    return typeof v === "number" || !isNaN(v);
  }
  _print(type, ...args) {
    var _a, _b, _c;
    let prefix = type == "error" ? "err> " : type == "log" ? "-> " : ":>";
    var f_print_arg = [];
    let source = null;
    let created_by = null;
    let api_url = null;
    let stack = null;
    let evt;
    let do_trace = false;
    for (var i = 0; i < args.length; i++) {
      if (!args[i]) continue;
      evt = args[i].evt || args[i].event;
      if (evt) {
        if (!api_url) api_url = {
          method: evt.jxt.method,
          url: evt.jxt.api_url,
          ip: evt.jxt.ip,
          referrer: (_a = evt.jxt) == null ? undefined : _a.referrer,
          os: (_b = evt.jxt) == null ? undefined : _b.os
        };
        if (!created_by) created_by = (_c = evt.user) == null ? undefined : _c.id;
      }
      if (typeof args[i] == "object" && !Array.isArray(args[i])) {
        let A = args[i];
        let o = null;
        if (!do_trace && A.trace === true) do_trace = true;
        if (A.stack) {
          if (!stack) stack = A.stack.toString();
        }
        if (!A.stack) o = { ...A };
        if (!source && o && o.source) source = `from  "${o.source}"`;
        f_print_arg.push(A);
      } else {
        f_print_arg.push(args[i]);
      }
    }
    if (api_url) f_print_arg.push(api_url);
    let t_err = new JxtTrace("log-trace");
    console.log(prefix, ...f_print_arg, source || "", do_trace ? t_err.stack : "");
  }
  log(...args) {
    this._print("log", ...args);
  }
  debug(...args) {
    this._print("debug", ...args);
  }
  /**
   * 
   * @param  {...any} args Variable array of arguments.  
   */
  error(...args) {
    this._print("error", ...args);
  }
  /**
   * Throw an error and ,also, log the error that is able to be thrown.  Function 
   * delays away waiting/blocking until AFTER o.evt (if available) is set with Array field "errors" and
   * will accumulate errors strings.  By convention, invoke this method with a return statement to clearly
   * document in code that executing for the current function will immediately terminate.  Additionally, use spread operator 
   * to ensure "evt" of an option is also passed to this function.
   * @param {Object} o { msg :String, source :String , evt :H3Event - if available}
   */
  throw(o) {
    var _a;
    let evt = o.evt || o.event;
    var err = new Error();
    let stack = err.stack;
    let index = stack.indexOf("Error\n");
    let endpoint = undefined;
    if (evt) {
      endpoint = ((_a = evt.jxt) == null ? undefined : _a.api_url) || "<?>";
      if (evt.errors === undefined || !Array.isArray(evt.errors)) {
        evt.errors = [];
      }
      if (o.msg) evt.errors.push(o.msg);
    }
    this.error({ ...o, evt: undefined, stack: stack.substring(index), on_endpoint: endpoint });
    throw o;
  }
  _remove_evt(obj) {
    if (!obj) return;
    if (obj.event) obj.event = undefined;
    if (obj.evt) obj.event = undefined;
  }
  __status(evt, obj, status) {
    if (typeof status != "number") status = 300;
    if (obj && evt) {
      obj.cur_user = null;
      if (evt.user) {
        obj.cur_user = {
          id: evt.user.id,
          name: evt.user.name,
          email: evt.user.email,
          image: evt.user.image,
          is_admin: evt.user.is_admin,
          roles: evt.user.roles
        };
      }
    }
    return status;
  }
  /**
   * Generate a HTTP Response Error back to the frontend caller
   * @param {H3Event} evt HTTP Event Object
   * @param {Object} obj The error object that was thrown
   * @returns {Object} 
   */
  async res_error(evt, obj) {
    if (obj.message && obj.stack) {
      obj = { msg: obj.message, e: obj };
    }
    this.error({ evt, e: obj, source: "core.res_error" });
    let status = this.__status(evt, obj, obj.status || 505);
    setResponseStatus(evt, status);
    obj.status = status;
    this._remove_evt(obj);
    return obj;
  }
  /**
   * 
   * @param {H3Event} evt 
   * @param {Object} obj { msg : String, reason : String }
   * @returns { msg : Reason }
   */
  async res_denied(evt, obj) {
    let status = this.__status(evt, obj, obj.status || 403);
    setResponseStatus(evt, status);
    if (!obj.msg) obj.msg = "";
    this._remove_evt(obj);
    obj.status = status;
    return obj;
  }
  /**
   * Generate an HTTP Response back to the frontend
   * @param {H3Event} evt HTTP Event Object
   * @param {Object} obj Object to return back to user
   * @returns {Object}
   */
  async res_success(evt, obj) {
    let status = this.__status(evt, obj, obj.status || 200);
    setResponseStatus(evt, status);
    this._remove_evt(obj);
    return obj;
  }
  random_str(length = 8) {
    return crypto.randomBytes(length).toString("hex");
  }
  /**
   * Create a key that is randomized and seperated by hypens
   * @param {Number} key_length Total length the product key
   * @param {Number} num_parts Number of individual part to be seperated by hypens
   * @returns {String}
   */
  create_key(key_length = 16, num_parts = 4) {
    const characters = this.random_str(16).toUpperCase();
    let product_key = "";
    for (let i = 0; i < num_parts; i++) {
      for (let j = 0; j < key_length / num_parts; j++) {
        product_key += characters.charAt(
          Math.floor(Math.random() * characters.length)
        );
      }
      if (i < num_parts - 1) product_key += "-";
    }
    return product_key;
  }
  /**
   * Utility function to update the modified_by and or created_by field of a database object that needs to be created or updated within
   * a database table.
   * @param {Object} obj A database object that likely needs to be saved to the database{ ... } 
   * @param {*} event Event objected
   */
  touched_by(obj, event) {
    if (obj.id == undefined) {
      obj.created_by = event.user.id;
    }
    obj.modified_by = event.user.id;
  }
  /**
   * Perform a one way encryption
   * @param {String} data Value to hash
   * @param {String} salt salting value
   * @returns 
   */
  hash(data, salt) {
    var hash = crypto.createHmac("sha512", salt);
    hash.update(data);
    return hash.digest("hex");
  }
  is_production() {
    return true;
  }
  is_development() {
    return !this.is_production();
  }
  /**
   * Read in and store the ".env" file int to application.  Invoked this upon start up
   * @param {Object} options { prefixes: Array string }
   */
  async initialize_env(options = {}) {
    let cur_working_dir = process.env.INIT_CWD;
    let is_prod = this.is_production();
    if (!is_prod) {
      console.log("JxtPress " + this.version + " Dev");
    } else {
      let ie_env_cwd = cur_working_dir;
      let prod_cwd = process.cwd();
      if (!cur_working_dir) cur_working_dir = prod_cwd;
      this.log("JxtPress " + this.version + ' Production on "' + prod_cwd + '"');
      console.log(" previous cwd { ", ie_env_cwd);
    }
    let essential_keys = ["JXT_ENCRYPT_IV", "JXT_ENCRYPT_SECRET", "JXT_DB_NAME", "JXT_DB_HOST", "JXT_DB_USER", "JXT_DB_PASSWORD", "JXT_JWT_SECRET"];
    let initd_essentials = {};
    let app_env = { cwd: cur_working_dir };
    var key_name = "", final_key = "";
    for (var key of Object.keys(process.env)) {
      key_name = key;
      final_key = key;
      if (!Array.isArray(options.prefixes)) {
        app_env[key_name] = process.env[key_name];
      } else {
        var prefix;
        for (var j = 0; j < options.prefixes.length; j++) {
          prefix = options.prefixes[j].toLowerCase();
          if (key_name.toLowerCase().startsWith(prefix)) {
            var abbr_name = key_name.substring(prefix.length);
            app_env[abbr_name] = process.env[key_name];
            final_key = abbr_name;
          }
        }
      }
      if (essential_keys.includes(key_name)) {
        initd_essentials[final_key] = "initialized";
        let ji = essential_keys.indexOf(key_name);
        essential_keys.splice(ji, 1);
      }
    }
    this.env = app_env;
    this.log("Initialize Env(s)", initd_essentials, "Uninitialized but required", essential_keys);
  }
  connect_db() {
    try {
      let db_config = {
        host: this.env.DB_HOST,
        user: this.env.DB_USER,
        password: this.env.DB_PASSWORD,
        db_name: this.env.DB_NAME
      };
      console.log(`DB.connecting to ${db_config.user}@${db_config.host} for "${db_config.db_name}"`);
      db.connect(db_config);
    } catch (e) {
      this.error({ msg: "Initialization error", error: e, args: null });
    }
  }
  async create_database(options = {}) {
    var promises = [];
    await db.query(`CREATE DATABASE IF NOT EXISTS ${db.name};`);
    await Promise.all(promises);
    let tb_promises = [];
    tb_promises.push(table_structure.create_table({
      table_name: "users",
      id: ["key"],
      parent_id: ["ref"],
      name: ["VARCHAR(255)"],
      email: ["VARCHAR(255)"],
      status: ["VARCHAR(100)"],
      activated: ["TINYINT"],
      password: ["VARCHAR(255)"],
      salt: ["VARCHAR(255)"],
      created: ["create-ts"],
      modified: ["modify-ts"],
      index: ["parent_id", "name", "status", "email"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "groups",
      id: ["key"],
      parent_id: ["ref"],
      created_by: ["ref"],
      title: ["VARCHAR(255)"],
      status: ["VARCHAR(100)"],
      created: ["create-ts"],
      index: ["created_by", "parent_id"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "options",
      id: ["key"],
      name: ["VARCHAR(125)"],
      value: ["MEDIUMTEXT"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "terms_class",
      id: ["key"],
      parent_id: ["ref"],
      name: ["VARCHAR(125)"],
      title: ["VARCHAR(255)"],
      description: ["MEDIUMTEXT"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "terms",
      id: ["key"],
      slug: ["VARCHAR(125)"],
      title: ["VARCHAR(125)"],
      class_id: ["ref"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "terms_relation",
      id: ["key"],
      term_id: ["ref"],
      object_id: ["ref"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "posts",
      id: ["key"],
      type: ["VARCHAR(255)"],
      title: ["VARCHAR(255)", null],
      description: ["MEDIUMTEXT", null],
      image: ["VARCHAR(255)", null],
      url: ["VARCHAR(255)"],
      status: ["VARCHAR(255)"],
      category_id: ["ref"],
      start: ["timestamp", null],
      end: ["timestamp", null],
      value: ["MEDIUMTEXT", null],
      created: ["create-ts"],
      modified: ["modify-ts"],
      published: ["timestamp", null],
      created_by: ["ref"],
      layout_id: ["ref"],
      parent_id: ["ref"],
      source_id: ["ref"],
      //used for drafts and identifies the real object
      index: ["type", "url", "status"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "post_notes",
      id: ["key"],
      post_id: ["ref"],
      parent_id: ["ref"],
      status: ["VARCHAR(255)"],
      encounter: ["timestamp", null],
      value: ["MEDIUMTEXT", null],
      created: ["create-ts"],
      modified: ["modify-ts"],
      created_by: ["ref"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "post_metas",
      id: ["key"],
      post_id: ["ref"],
      name: ["VARCHAR(125)"],
      value: ["MEDIUMTEXT", null],
      created: ["create-ts"],
      modified: ["modify-ts"],
      index: ["name", "post_id"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "activities",
      id: ["key"],
      post_id: ["ref"],
      created_by: ["ref"],
      category: ["VARCHAR(200)"],
      encounter: ["timestamp", null],
      amount: ["decimal", null],
      value: ["MEDIUMTEXT", null],
      created: ["create-ts"],
      modified: ["modify-ts"],
      name: ["VARCHAR(100)"],
      index: ["post_id", "created_by", "name"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "user_in_group",
      id: ["key"],
      user_id: ["ref"],
      group_id: ["ref"],
      status: ["VARCHAR(100)"],
      index: ["user_id", "group_id"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "user_roles",
      id: ["key"],
      user_id: ["ref"],
      role: ["VARCHAR(200)"],
      status: ["VARCHAR(100)"],
      index: ["user_id", "role"],
      created: ["create-ts"],
      modified: ["modify-ts"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "user_metas",
      id: ["key"],
      user_id: ["ref"],
      name: ["VARCHAR(125)"],
      value: ["MEDIUMTEXT"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "user_post_metas",
      id: ["key"],
      type: ["VARCHAR(200)"],
      user_id: ["ref"],
      post_id: ["ref"],
      quantity: ["ref"],
      value: ["MEDIUMTEXT"],
      status: ["VARCHAR(100)"],
      created: ["create-ts"],
      modified: ["modify-ts"],
      index: ["type", "post_id"]
    }));
    tb_promises.push(table_structure.create_table({
      table_name: "group_member",
      id: ["key"],
      group_id: ["ref"],
      user_id: ["ref"],
      status: ["VARCHAR(100)"],
      index: ["group_id", "user_id"]
    }));
    await Promise.all(tb_promises);
  }
  /**
   * Create a Token representation of the object payload provided
   * @param {Object} payload object to be signed
   * @returns {String|Null}
   */
  jwt_create(payload) {
    if (typeof payload != "object") return null;
    let token = jsonwebtoken.sign(payload, this.env.JWT_SECRET, {
      expiresIn: "2 days"
      //"10h","2 days", "10h", "7d"
    });
    return token;
  }
  jwt_verify(options) {
    let { token } = options;
    if (!token || token == "null") return null;
    try {
      const payload = jsonwebtoken.verify(token, this.env.JWT_SECRET);
      return payload;
    } catch (e) {
      console.log("-->", e);
      return this.throw({ ...options, msg: "Failed to verify token due to " + e.message, source: "Core.jwt_verify" });
    }
  }
  async verify_user(event) {
    var cookies = event.jxtpress.cookies;
    var headers = event.jxtpress.headers;
    if (!cookies) {
      this.error("verify_user - cookies are null");
      return null;
    }
    var token = cookies["jxt-token"] || headers["jxt-token"];
    if (!token || token == "null") {
      return null;
    }
    try {
      var user_obj = this.jwt_verify(token);
      if (!user_obj) console.lg("__;", token);
      return user_obj;
    } catch (e) {
      this.log("Could not verify token");
      return null;
    }
  }
  /**
   * {DocString get properties of a file.  Essentially checks whether or not a file or directory exists.  Returns an object.  For errors , check if errno key exist.}
   * @param {String} fullpath 
   * @returns {dev,mode,nlink,gid,rdev,blksize,ino,size,blocks:atimeMs,mtimeMs,ctimeMs,birthtimeMs,atime,mtime,ctime}
   or { errno: negative, code:'ENOENT', path, syscall}
   */
  async get_file_stat(fullpath) {
    if (!fullpath) return false;
    try {
      var ret = await fs.stat(fullpath);
      return ret;
    } catch (e) {
      this.error("get_file_stat error " + e.message, e);
      return e;
    }
  }
  async rename_file(old_path, new_path) {
    return await fs.rename(old_path, new_path);
  }
  async remove_file(path) {
    return await fs.unlink(path);
  }
  async is_directory(fullpath) {
    var stat = await this.get_file_stat(fullpath);
    if (stat.errno) {
      return false;
    }
    return true;
  }
  /**
  * Get Servers working directory
  * @returns {String}
  */
  get_server_root() {
    if (!this.env) return null;
    return this.env.cwd;
  }
  /**
   * Retrieve the file contents for the file path provided
   * @param {String} fullpath absolute path to the file to be read
   * @returns { String } Content of the file
   */
  async get_file_content(fullpath) {
    return new Promise((resolve, reject) => {
      try {
        let output = "";
        const reader = createReadStream(fullpath, { encoding: "utf8" });
        reader.on("data", (data) => {
          output += data;
        });
        reader.on("end", () => {
          resolve(output);
        });
        reader.on("error", (error) => {
          throw Error("Stream read error " + error.message);
        });
      } catch (error) {
        reject(error);
      }
    });
  }
  /**
   * Create or update the content of the named file path
   * @param {String} fullpath absolute system path
   * @param {String} content New content for the file
   */
  async set_file_content(fullpath, content) {
    try {
      await fs.writeFile(fullpath, content);
      this.log("Core.set_file_content", fullpath);
      return true;
    } catch (e) {
      this.error("Core.set_file_content for", fullpath);
      return false;
    }
  }
  /**
   * Create a folder, whether it exist currently or not
   * @param {String} fullpath Path of folder to be created
   * @returns {String|Unidefined} If created, the string name/path of the folder is returned
   */
  async create_directory(fullpath) {
    return await fs.mkdir(fullpath, { recursive: true });
  }
  /**
   * Delete a folder, recursively
   * @param {String} fullpath path to remove
   * @returns 
   */
  async remove_directory(fullpath) {
    return fs.rm(fullpath, { recursive: true });
  }
  /**
   * Check to see if a file exists
   * @param {String} file the path to the file
   * @returns {Boolean} indicate whether or not the file exist
   */
  async file_exists(file) {
    return new Promise((resolve, reject) => {
      try {
        fs.promises.access(filePath, constants.F_OK).then((ok) => {
          resolve(true);
        }).catch((err) => {
          return resolve(false);
        });
        resolve(true);
      } catch (err) {
        resolve(false);
      }
    });
  }
  /**
   * Return complete all files contained within a directory
   * @param {String} relative_dir_path the name of folder (ie "site-plugins") or multple folders seperated by "/" (ie "jxtpress/native-blocks")
   * @returns {Array } {path:includes extension,name:includes ext, is_file,is_directory,inode, size, is_socket}
   */
  async get_dir_files(relative_dir_path) {
    if (!relative_dir_path) this.throw("Directory not provided");
    if (relative_dir_path.startsWith("/")) this.throw('Directory must not start with "/" for ' + relative_dir_path);
    var root = this.get_server_root();
    var seperator = "/";
    if (root.endsWith("/") || relative_dir_path.startsWith("/")) seperator = "";
    var fullpath = root + seperator + relative_dir_path;
    var stat = await this.get_file_stat(fullpath);
    if (stat.errno) {
      console.error("get_dir_files", "cannot find", fullpath);
      return null;
    }
    var files = await fs.readdir(fullpath);
    var out = [];
    for (var i = 0; i < files.length; i++) {
      seperator = "/";
      if (relative_dir_path.endsWith("/") || files[i].startsWith("/")) seperator = "";
      var subpath = `${root}/${relative_dir_path}${seperator}`;
      var path = `${subpath}${files[i]}`;
      files[i].lastIndexOf(".");
      var ext = "UNK";
      var name = path.replace(subpath, "");
      var url = path.replace(root, "");
      if (url.startsWith("/public/")) url = url.replace("/public", "");
      if (url.startsWith("/private/")) url = url.replace("/private", "");
      var index_of_period = name.lastIndexOf(".");
      if (index_of_period != -1) {
        ext = name.substring(index_of_period + 1);
      }
      var stat = await this.get_file_stat(path);
      out.push({
        path,
        is_file: stat.isFile(),
        is_directory: stat.isDirectory(),
        url,
        is_socket: stat.isSocket(),
        inode: stat.ino,
        ext,
        name,
        size: stat.size,
        mimetype: stat.mimetype,
        accessed: stat.atimeMs,
        modified: stat.mtimeMs,
        created: stat.birthtimeMs
      });
    }
    return out;
  }
  /**
   * Return all available status options for a post type.  If a type is not named, return a generic list of options
   * @param {Object} options { type : post type name or null }
   */
  async get_status_list(options) {
    let type = null;
    if (options && options.type) type = options.type;
    if (type) type = type.toLowerCase();
    let list = [
      { text: "Draft", value: "draft" },
      { text: "Publish", value: "published" },
      { text: "Pending", value: "pending" },
      { text: "Trash", value: "trash" }
    ];
    await plugin.do_filter("status_list", { data: list, type });
    return list;
  }
  /**
   * Search all instances to locate the specified block id
   * @param {Object} options  { instances - Array of all block instance to, block_id - the block to locate} 
   * @returns {Object} Null or the block in question
   */
  find_block_instance(options) {
    let { instances, block_id } = options;
    if (!Array.isArray(instances)) return null;
    let the_block = null;
    let finder = (arr) => {
      if (!Array.isArray(arr)) return null;
      if (arr.length == 0) return null;
      let it = null, recur_result;
      for (var i = 0; i < arr.length; i++) {
        it = arr[i];
        if (!it) continue;
        if (it.id == block_id) return it;
        if (Array.isArray(it.children)) {
          recur_result = finder(it.children);
          if (recur_result != null) return recur_result;
        }
      }
      return null;
    };
    the_block = finder(instances);
    return the_block;
  }
  /**
   * Get all registered block types
   * @param {Object} {keypair:Boolean}
   * @returns {Array} { type, code , native,props }
   */
  async get_blocks(options = {}) {
    let keypair = options.keypair || false;
    let block_lists = [];
    let block_keypair = {};
    let name_only = (str) => {
      if (!str) return null;
      return str;
    };
    let define_blocks = async (list, is_native) => {
      let blk_def = null, runnable = null;
      let block_class = null;
      for (var i = 0; list && i < list.length; i++) {
        runnable = list[i];
        if (typeof runnable != "function") continue;
        block_class = runnable();
        if (typeof block_class.name != "string" || typeof block_class.description != "string") {
          this.log({
            source: "get_blocks",
            msg: "There is at least 1 block that is being defined but does not have a name and or description"
          });
          continue;
        }
        blk_def = {
          type: name_only(block_class.name),
          code: runnable.toString(),
          native: is_native,
          on_view: block_class.on_view || null,
          //function to be called just prior to sending to frontend
          on_edit: block_class.on_edit || null,
          assets: block_class.assets || null
        };
        try {
          let props_list = {};
          for (var k in runnable.props) {
            props_list[k] = runnable.props[k];
          }
          blk_def.props = props_list;
        } catch (e) {
          this.error(e);
        }
        if (keypair) {
          block_keypair[blk_def.type.toLowerCase()] = blk_def;
        } else {
          block_lists.push(blk_def);
        }
      }
    };
    await define_blocks(imported_blocks, true);
    let plugin_blocks = [];
    await plugin.do_filter("add_block", { ...options, data: plugin_blocks });
    await define_blocks(plugin_blocks, false);
    await plugin.do_filter("get_blocks", { data: block_lists });
    if (keypair) {
      return block_keypair;
    } else {
      return block_lists;
    }
  }
  /**
   * Get all site options that are registered to appear on the settings page
   * @param {Object} options { event, immediate_focus}
   * @returns {Array} Array of { name,value ,description, priority,default_value, value }
   */
  async get_user_settings_items(options) {
    let event = options.event;
    options.immediate_focus;
    let settings_items = [
      {
        name: "display_name",
        title: "User Display Name",
        priority: -15,
        description: "Pretty name to identify user",
        parent: "general"
      },
      /*{name : 'avatar', title : "User Avatar", priority: -14, parent:'general',
       description : "User display icon", default: ""
      },   */
      {
        name: "description",
        title: "About me",
        priority: -15,
        type: "string_multi",
        description: "Quick description",
        parent: "general"
      },
      {
        name: "social_yt",
        title: "YouTube",
        priority: 10,
        parent: "general",
        description: "Social media link",
        default: ""
      },
      {
        name: "social_fb",
        title: "Facebook",
        priority: 11,
        parent: "general",
        description: "Social media link",
        default: ""
      },
      {
        name: "social_tiktok",
        title: "Tiktok",
        priority: 12,
        parent: "general",
        description: "Social media link",
        default: ""
      },
      {
        name: "social_insta",
        title: "Instagram",
        priority: 13,
        parent: "general",
        description: "Social media link",
        default: ""
      },
      {
        name: "social_linkedin",
        title: "Linkedin",
        priority: 14,
        parent: "general",
        description: "Social media link",
        default: ""
      },
      {
        name: "social_x",
        title: "X",
        priority: 15,
        parent: "general",
        description: "Social media link",
        default: ""
      }
    ];
    await plugin.do_filter("user_settings_items", { data: settings_items, event, user_id: event == null ? undefined : event.user.id });
    return settings_items;
  }
  /**
   * Get all site options that are registered to appear on the settings page
   * @param {Object} options { event, immediate_focus : Boolean - this option is a bit of
   * a hack however is required in order to prevent infinite loops when this method is called from core.get_option or core.get_options.
   * Reason being is that when an option does not yet exit, it could exit as a default within this method and other functions within plugins
   * or jxtpress library can invoke core.get_option|options again thus looping.  In essense, this flag, force the
   * function to only return its static list of array values without making additional calls to core.get_options
   * }
   * @returns {Array} Array of { name,value ,description, priority,default_value, value }
   */
  async get_options_settings_items(options) {
    var _a;
    let event = options.event;
    let list_layouts = [];
    if (!options.immediate_focus) {
      list_layouts = await posts.get_posts({ type: "layout" });
    }
    let site_url = "localhost:3000";
    if (!list_layouts) list_layouts = [];
    list_layouts.splice(0, 0, { id: null, value: null, title: "None" });
    let settings_items = [
      {
        name: "upload_prefix",
        title: "Upload File Prefix",
        priority: -15,
        description: "Text prefix for newly uploaded files",
        default: "u-",
        placeholder: []
      },
      {
        name: "site_uploadable",
        title: "Uploadable File Types",
        priority: -15,
        description: "List of acceptable file types",
        parent: "general",
        default: ["image/png", "image/jpeg", "image/jpg", "image/gif", "image/webp", "text/txt", "application/pdf"],
        placeholder: "image/png,video/mp4,application/pdf",
        type: "string_arr"
      },
      { name: "site_name", title: "Site Name", priority: -15, description: "Website canonical name", parent: "general", default: "JxtPress " + this.version },
      //{name : "site_name", title : "Site Name",priority: -15, description: "Website canonical name", parent : 'general'},
      {
        name: "site_url",
        title: "Site URL",
        priority: -14,
        parent: "general",
        description: "The base URL for the syste",
        default: site_url
      },
      {
        name: "site_email",
        title: "Site Email",
        priority: -14,
        parent: "general",
        description: "Primary website email",
        default: null
      },
      {
        name: "dashboard_title",
        title: "Dashboard Title",
        priority: 0,
        parent: "general",
        description: "Label to be used on backend.",
        default: "Jxt"
      },
      {
        name: "dashboard_logo",
        title: "Dashboard Logo",
        priority: 0,
        parent: "general",
        description: "Logo to be used on backend.",
        default: ""
      },
      {
        name: "dashboard_theme",
        title: "Dashboard Theme",
        priority: 0,
        parent: "general",
        description: "Logo to be used on backend.",
        default: "",
        type: "dropdown",
        choices: [
          { value: "theme-default", title: "Default" },
          { value: "theme-dark", title: "Dark" }
        ]
      },
      {
        name: "pagination_limit",
        description: "Default number of pages to return when copius results exist",
        default: 15,
        parent: "general"
      },
      {
        name: "sitemap_type_exclusion",
        title: "Sitemap Exclusion",
        priority: 15,
        description: "Post types to exclude from sitemap",
        parent: "general",
        default: ["media", "form", "formdata", "layout"],
        placeholder: "Post type signular name",
        type: "string_arr"
      },
      {
        name: "site_robots_txt",
        title: "Robots.txt",
        priority: 15,
        description: "Create Robots Instructions",
        parent: "general",
        default: `User-agent: *
Allow: /
Disallow: /user/
Disallow: /api


#Sitemap URL must include HTTP/HTTPS protocol

Sitemap: ${site_url}/sitemap.xml
`,
        placeholder: "Post type signular name",
        type: "string_multi"
      },
      {
        name: "default_role",
        title: "Default Role",
        priority: -14,
        parent: "general",
        description: "Initial role to assign any new user that registers",
        default: "user",
        priority: 10,
        type: "dropdown",
        choices: (await this.get_roles()).map((role) => ({ title: role.title || role.name, value: role.name }))
      },
      {
        name: "allow_user_registration_public",
        title: "Allow Users To Register",
        priority: -14,
        parent: "general",
        description: "Enable/disable new users to register to the site",
        default: true,
        priority: 10,
        type: "bool",
        use_switch: true
      },
      {
        name: "default_layout",
        title: "Default Layout",
        priority: -14,
        parent: "general",
        description: "Specifies the default layout when rendering a post without a layout specifier.",
        priority: 10,
        type: "dropdown",
        choices: list_layouts
      },
      {
        name: "default_font",
        description: "Site-wide font",
        placeholder: "font name - may use commas",
        priority: 10,
        type: "string",
        parent: "general"
      },
      {
        name: "custom_fonts",
        description: "Array of custom fonts to use within site",
        default: [],
        parent: "general",
        priority: 16,
        type: "arr-obj",
        values: [
          { name: "title", value: "", placeholder: "Font display name" },
          { name: "value", value: "", placeholder: "font-family value" },
          { name: "is_google", value: false, type: "boolean" }
        ]
      },
      {
        name: "cron_qmonth",
        description: "Manage execution of cron jobs - 1st of month at midnight",
        default: [],
        parent: "cron_jobs",
        priority: 25,
        type: "bool",
        default: false,
        use_switch: true
      },
      {
        name: "cron_qweek",
        description: "Manage execution of cron jobs - each Sunday at 7AM",
        default: [],
        parent: "cron_jobs",
        priority: 25,
        type: "bool",
        default: false,
        use_switch: true
      },
      {
        name: "cron_qmorning",
        description: "Manage execution of cron jobs - each morning at 7AM",
        default: [],
        parent: "cron_jobs",
        priority: 25,
        type: "bool",
        default: false,
        use_switch: true
      },
      {
        name: "cron_qmidnight",
        description: "Manage execution of cron jobs - each midnight",
        default: [],
        parent: "cron_jobs",
        priority: 25,
        type: "bool",
        default: false,
        use_switch: true
      },
      {
        name: "cron_q30min",
        description: "Manage execution of cron jobs",
        default: [],
        parent: "cron_jobs",
        priority: 25,
        type: "bool",
        default: false,
        use_switch: true
      },
      {
        name: "cron_q5min",
        description: "Manage execution of cron jobs",
        default: [],
        parent: "cron_jobs",
        priority: 25,
        type: "bool",
        default: false,
        use_switch: true
      },
      // 
      {
        name: "has_ecommerce",
        description: "Enable/disabe eCommerce store ",
        default: [],
        parent: "store_settings",
        title: "Enable eCommerce",
        priority: 1,
        type: "boolean",
        default: false,
        use_switch: true
      },
      {
        name: "store_locations",
        description: "eCommerce physical locations where products are shipped from.",
        default: [{ title: "Default Store", value: "default" }],
        parent: "store_settings",
        priority: 16,
        type: "arr-obj",
        values: [
          { name: "title", value: "", placeholder: "Font display name" },
          { name: "value", value: "", placeholder: "font-family value" }
        ]
      },
      {
        name: "page_asset_links",
        description: "Array of link tag to load on each page",
        default: [],
        priority: 10,
        type: "arr-object",
        parent: "page_assets",
        values: [
          { name: "id", value: "" },
          { name: "href", type: "string", default: "" },
          { name: "media", type: "string" },
          {
            name: "rel",
            values: [
              { title: "None", value: null },
              { title: "Style Sheet", value: "stylesheet" },
              { title: "Alternate", value: "alternate" },
              { title: "Author", value: "author" },
              { title: "DNS Prefetch", value: "dns-prefetch" },
              { title: "Help", value: "help" },
              { title: "Icon", value: "icon" },
              { title: "license", value: "license" },
              { title: "Next", value: "next" },
              { title: "Pingback", value: "pingback" },
              { title: "Pre-Connect", value: "preconnect" },
              { title: "Pre-Fetch", value: "prefetch" },
              { title: "Pre-Load", value: "preload" },
              { title: "Pre-render", value: "prerender" },
              { title: "Prev", value: "prev" },
              { title: "Search", value: "search" }
            ]
          },
          {
            name: "crossorigin",
            values: [
              { title: "None", value: null },
              { title: "Annonymous", value: "anonymous" },
              { title: "Use Credentials", value: "use-credentials" }
            ]
          },
          { name: "referrerpolicy", values: [
            { title: "None", value: "" },
            { title: "No Referrer", value: "no-referrer" },
            { title: "No Referrer when downgraded", value: "no-referrer-when-downgrade" },
            { title: "Origin", value: "origin" },
            { title: "Origin when cross origin", value: "origin-when-cross-origin" },
            { title: "Unsafe-URL", value: "unsafe-url" }
          ] }
        ]
      },
      {
        name: "page_asset_scripts",
        description: "Array of script tag to load on each page",
        default: [],
        priority: 10,
        type: "arr-object",
        parent: "page_assets",
        values: [
          { name: "id", value: "" },
          { name: "src", value: "" },
          { name: "type", value: "" },
          { name: "async", type: "checkbox" },
          { name: "innerHTML", value: "", type: "text" },
          { name: "in-body", value: "", type: "checkbox" }
        ]
      },
      {
        name: "page_asset_styles",
        description: "Array of inline CSS to include on every page",
        default: [],
        priority: 11,
        type: "arr-object",
        parent: "page_assets",
        values: [
          { name: "id", value: "" },
          //{  },
          { name: "in-body", value: "", type: "checkbox" },
          { name: "innerHTML", value: "", type: "text" }
        ]
      },
      {
        name: "page_meta_props",
        title: "Additional Meta Tags",
        description: "Additional meta properties to include in all pages",
        default: [],
        priority: 11,
        type: "arr-object",
        parent: "page_assets",
        values: [
          { name: "name", value: "" },
          { name: "content", value: "" }
        ]
      },
      {
        name: "email_host",
        title: "Email Host URL",
        priority: -15,
        description: "Email server host url",
        parent: "email"
      },
      {
        name: "email_port",
        title: "Email Server Port",
        priority: -15,
        description: "Email server port",
        parent: "email"
      },
      {
        name: "email_user",
        title: "Email Username",
        priority: -15,
        description: "Email account user name",
        parent: "email"
      },
      {
        name: "email_password_secret",
        title: "Email Password",
        priority: -15,
        description: "Email account user password",
        parent: "email"
      }
    ];
    await plugin.do_filter("options_settings_items", { data: settings_items, event, user_id: (_a = event == null ? undefined : event.user) == null ? undefined : _a.id });
    return settings_items;
  }
  /**
   * Get whole options {id, name, value}
   * @param { Object } options { name }
   * @returns {Array } Array of { id , name, value }
   */
  async get_options(options) {
    if (!options) return [];
    let names = options.name || options.names;
    if (!Array.isArray(names)) {
      return [];
    }
    let topt = `${db.name}.options`;
    let sql = `SELECT * FROM ${topt} WHERE ${db.like("name", names)}`;
    let result = await db.query(sql);
    let items = await this.get_options_settings_items({ event: options.event || null, immediate_focus: true });
    for (var oname of names) {
      let opt = result.find((it) => it.name == oname);
      if (!opt) {
        let opt_def = items.find((it) => it.name == oname);
        if (opt_def) result.push({ name: oname, value: opt_def == null ? undefined : opt_def.value });
      } else {
        opt.value = await this.type_cast(opt.value);
      }
    }
    plugin.do_filter("get_options", { data: result, names });
    return result;
  }
  /**
   * Get an option
   * @param {Object} options {name }
   * @returns {mixed} Returns the value component of the options
   */
  async get_option(options) {
    if (!options) return null;
    if (typeof options == "string") options = { name: options };
    if (!options.name) return null;
    let oname = options.name;
    var cached_value = get_cache(oname);
    if (cached_value != undefined) {
      return cached_value;
    }
    let tbo = `${db.name}.options`;
    let sql = `SELECT * FROM ${tbo} WHERE ${db.like("name", oname)}`;
    var results = await db.query(sql, {});
    var o = { name: oname, value: null };
    if (results.length > 0) {
      o = results[0];
    } else {
      let items = await this.get_options_settings_items({ event: options.event || null, immediate_focus: true });
      let item = items.find((it) => it.name == oname);
      if (item) {
        o.value = item.default;
      }
    }
    o.value = await this.type_cast(o.value);
    await plugin.do_filter("option", { ...options, data: o });
    set_cache(oname, o.value);
    return o.value;
  }
  /**
   * Set an option. Seamless store sensitive data on the database using encrypted
   * values so long as the meta name ends with '_secret'
   * @param {Object} options {name , value }
   */
  async set_option(options) {
    if (!options.name) return null;
    if (options.value === undefined) options.value = null;
    let tbo = `${db.name}.options`;
    let sql = `SELECT id,value FROM ${tbo} WHERE ${db.like("name", options.name)}`;
    let results = await db.query(sql);
    let id = undefined;
    if (results.length > 0) {
      id = results[0].id;
      var old_value = await this.type_cast(results[0].value);
      if (old_value == options.value) {
        return options;
      }
    }
    let o = { name: options.name, value: options.value, id };
    await plugin.do_filter("set_option", { data: o });
    let is_boolean = typeof o.value == "boolean";
    if (is_boolean) o.value = "" + o.value;
    db.update({ table: "options", data: o });
    options.value = o.value = await this.type_cast(o.value);
    remove_cache(options.name);
    return o;
  }
  /**
   * Remove an option
   * @param {Object} options {name  }
   */
  async remove_option(options) {
    if (!options.name) return null;
    if (!options.value) options.value = null;
    let tbo = `${db.name}.options`;
    let sql = `SELECT id FROM ${tbo} WHERE ${db.like("name", options.name)}`;
    let results = await db.query(sql);
    let id = undefined;
    if (results.length > 0) return;
    let should_remove = { data: { name: options.name, id } };
    await plugin.do_filter("remove_option", should_remove);
    if (!should_remove.data) return;
    if (!should_remove.data.id) return;
    await db.query(`DELETE FROM ${tbo} WHERE ${db.is("id", should_remove.data.id)}`);
    remove_cache(options.name);
  }
  /**
   * Ensures that a JSON string is return as JSON, while string, object, and numbers are returned
   * as numbers and boolean. 
   * @param {mixed } data 
   * @param {Boolean } do_decrypt Indicate if the data is encrypted and we should decrypt before returning
   * @returns {mixed }
   */
  type_cast(data, do_decrypt = false) {
    if (data == null || data == undefined) return null;
    var t = typeof data;
    if (data == "true") return true;
    else if (t == "string" && data.trim() == "") return data;
    else if (t == "string" && t.startsWith("#")) return data;
    else if (Array.isArray(data)) {
      for (var i = 0; i < data.length; i++) {
        data[i] = this.type_cast(data[i]);
      }
      return data;
    } else if (t == "object") return data;
    else if (data == "false") return false;
    else if (t == "number" || t == "boolean") return data;
    else if (t == "string") {
      if (data.charAt(0) == "[" || data.charAt(0) == "{") {
        try {
          data = JSON.parse(data);
        } catch (e) {
        }
      } else {
        if (!isNaN(data)) return parseFloat(data);
        let tmp = data.trim();
        if (["true", "TRUE", "True"].includes(tmp)) return true;
        else if (["False", "false", "FALSE"].includes(tmp)) return false;
        else return data;
      }
    } else if (!isNaN(data)) {
      data = Number.parseFloat(data);
    }
    if (do_decrypt) {
      data = this.decrypt(data);
    }
    return data;
  }
  /**
   * Create an encrypted value
   * @param {String} data Data to encrypt using 'aes-256-cbc' and the application environment secret and secret IV
   * @returns {String} Encrypted version of data
   */
  encrypt(data) {
    var secret_key = this.env.ENCRYPT_SECRET || null;
    var secret_iv = this.env.ENCRYPT_IV;
    var ecnryption_method = `aes-256-cbc`;
    const key = crypto.createHash("sha512").update(secret_key).digest("hex").substring(0, 32);
    const encryptionIV = crypto.createHash("sha512").update(secret_iv).digest("hex").substring(0, 16);
    const cipher = crypto.createCipheriv(ecnryption_method, key, encryptionIV);
    var e_data = cipher.update(data, "utf8", "hex") + cipher.final("hex");
    return Buffer.from(e_data).toString("base64");
  }
  /**
   * De-encrypt a value that was previously encrypted
   * @param {String} encrypted_data Data to decrypt using 'aes-256-cbc' and the application environment secret and IV
   * @returns {String} Plan text value
   */
  decrypt(encrypted_data) {
    if (encrypted_data == "" || encrypted_data == null) return encrypted_data;
    var secret_key = this.env.ENCRYPT_SECRET;
    var secret_iv = this.env.ENCRYPT_IV;
    var ecnryption_method = `aes-256-cbc`;
    const key = crypto.createHash("sha512").update(secret_key).digest("hex").substring(0, 32);
    const encryptionIV = crypto.createHash("sha512").update(secret_iv).digest("hex").substring(0, 16);
    crypto.createCipheriv(ecnryption_method, key, encryptionIV);
    const buff = Buffer.from(encrypted_data, "base64");
    const decipher = crypto.createDecipheriv(ecnryption_method, key, encryptionIV);
    var e_subdata = decipher.update(buff.toString("utf8"), "hex", "utf8") + decipher.final("utf8");
    return e_subdata;
  }
  /**
   * Get all admin menu links that user can access 
   * @param {Object} options { user_id }
   * @returns {Array} Array of { title , url , caps:Array }
   */
  async get_admin_menu(options) {
    let menu_items = [
      {
        title: "Dashboard",
        url: "/user",
        caps: ["view_post"],
        priority: -100
        //top
      },
      {
        title: "Types",
        url: "/user/types",
        caps: ["edit_options"]
      },
      {
        title: "Plugins",
        url: "/user/plugins",
        caps: ["manage_plugins"],
        priority: 100,
        icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-5 h-5">
  <path stroke-linecap="round" stroke-linejoin="round" d="M14.25 6.087c0-.355.186-.676.401-.959.221-.29.349-.634.349-1.003 0-1.036-1.007-1.875-2.25-1.875s-2.25.84-2.25 1.875c0 .369.128.713.349 1.003.215.283.401.604.401.959v0a.64.64 0 0 1-.657.643 48.39 48.39 0 0 1-4.163-.3c.186 1.613.293 3.25.315 4.907a.656.656 0 0 1-.658.663v0c-.355 0-.676-.186-.959-.401a1.647 1.647 0 0 0-1.003-.349c-1.036 0-1.875 1.007-1.875 2.25s.84 2.25 1.875 2.25c.369 0 .713-.128 1.003-.349.283-.215.604-.401.959-.401v0c.31 0 .555.26.532.57a48.039 48.039 0 0 1-.642 5.056c1.518.19 3.058.309 4.616.354a.64.64 0 0 0 .657-.643v0c0-.355-.186-.676-.401-.959a1.647 1.647 0 0 1-.349-1.003c0-1.035 1.008-1.875 2.25-1.875 1.243 0 2.25.84 2.25 1.875 0 .369-.128.713-.349 1.003-.215.283-.4.604-.4.959v0c0 .333.277.599.61.58a48.1 48.1 0 0 0 5.427-.63 48.05 48.05 0 0 0 .582-4.717.532.532 0 0 0-.533-.57v0c-.355 0-.676.186-.959.401-.29.221-.634.349-1.003.349-1.035 0-1.875-1.007-1.875-2.25s.84-2.25 1.875-2.25c.37 0 .713.128 1.003.349.283.215.604.401.96.401v0a.656.656 0 0 0 .658-.663 48.422 48.422 0 0 0-.37-5.36c-1.886.342-3.81.574-5.766.689a.578.578 0 0 1-.61-.58v0Z" /></svg>`
      },
      {
        title: "Profile",
        url: "/user/profile",
        caps: ["view_post"]
      },
      {
        title: "Categorization",
        url: "/user/categorization",
        caps: ["manage_classifications"],
        priority: 90
      },
      {
        title: "Users",
        url: "/user/users",
        caps: ["edit_options"],
        priority: 90,
        icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-6 h-6">
  <path stroke-linecap="round" stroke-linejoin="round" d="M15 19.128a9.38 9.38 0 0 0 2.625.372 9.337 9.337 0 0 0 4.121-.952 4.125 4.125 0 0 0-7.533-2.493M15 19.128v-.003c0-1.113-.285-2.16-.786-3.07M15 19.128v.106A12.318 12.318 0 0 1 8.624 21c-2.331 0-4.512-.645-6.374-1.766l-.001-.109a6.375 6.375 0 0 1 11.964-3.07M12 6.375a3.375 3.375 0 1 1-6.75 0 3.375 3.375 0 0 1 6.75 0Zm8.25 2.25a2.625 2.625 0 1 1-5.25 0 2.625 2.625 0 0 1 5.25 0Z" /></svg>`
      },
      {
        title: "Settings",
        url: "/user/settings",
        caps: ["edit_options"],
        priority: 100,
        icon: `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-6 h-6">
  <path stroke-linecap="round" stroke-linejoin="round" d="M9.594 3.94c.09-.542.56-.94 1.11-.94h2.593c.55 0 1.02.398 1.11.94l.213 1.281c.063.374.313.686.645.87.074.04.147.083.22.127.325.196.72.257 1.075.124l1.217-.456a1.125 1.125 0 0 1 1.37.49l1.296 2.247a1.125 1.125 0 0 1-.26 1.431l-1.003.827c-.293.241-.438.613-.43.992a7.723 7.723 0 0 1 0 .255c-.008.378.137.75.43.991l1.004.827c.424.35.534.955.26 1.43l-1.298 2.247a1.125 1.125 0 0 1-1.369.491l-1.217-.456c-.355-.133-.75-.072-1.076.124a6.47 6.47 0 0 1-.22.128c-.331.183-.581.495-.644.869l-.213 1.281c-.09.543-.56.94-1.11.94h-2.594c-.55 0-1.019-.398-1.11-.94l-.213-1.281c-.062-.374-.312-.686-.644-.87a6.52 6.52 0 0 1-.22-.127c-.325-.196-.72-.257-1.076-.124l-1.217.456a1.125 1.125 0 0 1-1.369-.49l-1.297-2.247a1.125 1.125 0 0 1 .26-1.431l1.004-.827c.292-.24.437-.613.43-.991a6.932 6.932 0 0 1 0-.255c.007-.38-.138-.751-.43-.992l-1.004-.827a1.125 1.125 0 0 1-.26-1.43l1.297-2.247a1.125 1.125 0 0 1 1.37-.491l1.216.456c.356.133.751.072 1.076-.124.072-.044.146-.086.22-.128.332-.183.582-.495.644-.869l.214-1.28Z" />
  <path stroke-linecap="round" stroke-linejoin="round" d="M15 12a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z" />
</svg>
`
      }
    ];
    let tbpm = `${db.name}.post_metas`, tbp = `${db.name}.posts`;
    let sel_inc_metas = `SELECT post_id FROM ${tbpm} WHERE name LIKE "inc_admin_menu" AND value LIKE "true" OR value="1"`;
    let sel_post_caps = `SELECT value FROM ${tbpm} WHERE name LIKE "cap_read" AND post_id=T.id `;
    let status_published = ` status in ("approved","published","completed") `;
    let sel_posts_for_admin_menu = `SELECT title, url, (${sel_post_caps}) as caps FROM ${tbp} T WHERE source_id IS NULL AND ${status_published} AND id IN (${sel_inc_metas})`;
    let results = await Promise.all([
      posts.get_posttypes(),
      db.query(sel_posts_for_admin_menu)
    ]);
    let posttypes = results[0];
    for (var i = 0; posttypes && i < posttypes.length; i++) {
      if (!posttypes[i].admin_menu) continue;
      menu_items.push({
        title: posttypes[i].title_plural || posttypes[i].title,
        url: "/user/types/" + posttypes[i].name,
        icon: posttypes[i].icon,
        caps: posttypes[i].caps || ["view_post"]
      });
    }
    let includable_posts = results[1];
    for (var i = 0; i < includable_posts.length; i++) {
      includable_posts[i].caps = core.type_cast(includable_posts[i].caps);
      if (typeof includable_posts[i].caps == "string") {
        includable_posts[i].caps = includable_posts[i].caps.split(/,\s/g).map((it) => it.trim());
      }
      menu_items.push(includable_posts[i]);
    }
    var menu_item = null;
    for (var i = 0; i < menu_items.length; i++) {
      menu_item = menu_items[i];
      if (menu_item.caps === undefined) {
        menu_item.caps = [];
      }
      if (menu_item.priority === undefined) {
        menu_item.priority = 10;
      }
    }
    await plugin.do_filter("admin_menu", { data: menu_items, user_id: options.user_id });
    menu_items = menu_items.sort((a, b) => {
      if (a.caps == undefined) a.caps = [];
      if (b.caps == undefined) b.caps = [];
      if (a.priority == undefined) a.priority = 0;
      if (b.priority == undefined) b.priority = 0;
      return a.priority - b.priority;
    });
    return menu_items;
  }
  /**
   * This only works for non-native capabilities - capabilities created by the user.  If the capability name you are trying
   * to modify/delete is one of native capabilities, function will immediately exit.
   * @param {Object} options {name, description, roles:array, delete : if true, the capability will be deleted}
   * @returns 
   */
  async modify_capabilities(options) {
    var _a;
    if (!options) return false;
    if (!options.name) return false;
    if (!Array.isArray(this._default_caps)) return false;
    options.name = options.name.toLowerCase();
    let is_native = false;
    for (var i = 0; i < this._default_caps.length; i++) {
      if (((_a = this._default_caps[i].name) == null ? undefined : _a.toLowerCase()) == options.name) {
        is_native = true;
        break;
      }
    }
    if (is_native) return false;
    let data = { name: `cap_${options.name}`, value: { description: options.description, roles: options.roles } };
    let tbo = `${db.name}.options`;
    if (!options.delete) {
      let sql = `SELECT * FROM ${tbo} WHERE ${db.like("name", "cap_" + options.name)}`;
      let q_result = await db.query(sql);
      let existing = q_result[0] || null;
      if (existing) {
        data.id = existing.id;
        existing.value = this.type_cast(existing.value);
        if (data.value.description == undefined) data.value.description = existing.description || "";
        if (data.value.roles == undefined) data.value.roles = existing.roles || [];
      }
      if (!Array.isArray(data.value.roles)) {
        if (typeof data.value.roles == "string") data.value.roles = [data.roles];
        else data.value.roles = [];
      }
      await db.update({ table: "options", data });
    } else {
      let sql = `DELETE FROM ${tbo} WHERE ${db.like("name", "cap_" + options.name)}`;
      await db.query(sql);
    }
    return true;
  }
  /**
   * Get all capabilities that exist
   * @returns {Array} Array of { name, description, roles }
   */
  async get_capabilities() {
    let caps = this.copy(this._default_caps);
    await plugin.do_filter("native_capabilities", { data: caps });
    let tbo = `${db.name}.options`, cap, tmp_obj;
    let sel_caps = `SELECT name,value FROM ${tbo} WHERE name LIKE "cap_%"`;
    let q_result = await db.query(sel_caps);
    for (var i = 0; i < q_result.length; i++) {
      cap = q_result[i];
      cap.native = false;
      if (!cap.name) continue;
      cap.name = cap.name.substring(4);
      tmp_obj = this.type_cast(cap.value);
      delete cap.value;
      cap.description = tmp_obj.description || "";
      cap.roles = tmp_obj.roles || [];
      caps.push(cap);
    }
    await plugin.do_filter("capabilities", { data: caps });
    return caps;
  }
  /**
   * This only works for non-native roles - roles created by the user.  If the role name you are trying
   * to modify/delete is one of native roles, function will immediately exit.
   * @param {Object} options {name, description, title, delete : if true, the capability will be deleted}
   * @returns 
   */
  async modify_roles(options) {
    var _a;
    if (!options) return false;
    if (!options.name) return false;
    if (!Array.isArray(this._default_roles)) return false;
    options.name = options.name.toLowerCase();
    let is_native = false;
    for (var i = 0; i < this._default_roles.length; i++) {
      if (((_a = this._default_roles[i].name) == null ? undefined : _a.toLowerCase()) == options.name) {
        is_native = true;
        break;
      }
    }
    if (is_native) return false;
    let data = { name: `role_${options.name}`, value: { description: options.description, title: options.title } };
    let tbo = `${db.name}.options`;
    if (!options.delete) {
      let sql = `SELECT * FROM ${tbo} WHERE ${db.like("name", "role_" + options.name)}`;
      let q_result = await db.query(sql);
      let existing = q_result[0] || null;
      if (existing) {
        data.id = existing.id;
        existing.value = this.type_cast(existing.value);
        if (data.value.description == undefined) data.value.description = existing.description || "";
        if (data.value.title == undefined) data.value.title = existing.title || [];
      }
      await db.update({ table: "options", data });
    } else {
      let sql = `DELETE FROM ${tbo} WHERE ${db.like("name", "role_" + options.name)}`;
      await db.query(sql);
    }
    return true;
  }
  /**
   * Get all role types that exists
   * @returns {Array} Array of { name, title , description , capabilities}
   */
  async get_roles() {
    let roles = this.copy(this._default_roles);
    let role, cap;
    let tbo = `${db.name}.options`, tmp_obj;
    let sel_roles = `SELECT name,value FROM ${tbo} WHERE name LIKE "role_%"`;
    let q_result = await db.query(sel_roles);
    for (var i = 0; i < q_result.length; i++) {
      try {
        role = q_result[i];
        role.native = false;
        if (!role.name) continue;
        role.name = role.name.substring(5);
        tmp_obj = this.type_cast(role.value);
        delete role.value;
        role.description = tmp_obj.description || "";
        role.title = tmp_obj.title || "";
        role.capabilities = [];
        roles.push(role);
      } catch (e) {
        this.log(e, "-->?");
      }
    }
    await plugin.do_filter("roles", { data: roles });
    let caps = await this.get_capabilities();
    for (var i = 0; caps && i < caps.length; i++) {
      cap = caps[i];
      if (Array.isArray(cap.roles)) {
        cap.roles.forEach((role_name) => {
          var role2 = roles.find((it) => it.name == role_name);
          if (!role2) return;
          if (!Array.isArray(role2.capabilities)) {
            if (typeof role2.capabilities == "string" && role2.capabilities) role2.capabilities = [role2.capabilities];
            else role2.capabilities = [];
          }
          role2.capabilities.push(cap);
        });
      }
    }
    return roles;
  }
  /**
   * Get a classificiation that exist on the site
   * @param {Object} options { name : optional, parent_id : optional , id, create: Boolean }
   * @returns {Object} the classification {id, name, parent_id, title,description}
   */
  async get_classification(options = {}) {
    let where = [];
    if (options.parent_id) where.push(db.is("parent_id", options.parent_id));
    if (options.name) where.push(db.is("name", options.name));
    if (options.id) where.push(db.is("id", options.id));
    if (where.length == 0) where.push(" 1 ");
    let ttc = `${db.name}.terms_class`;
    let sel_class = `SELECT * FROM ${ttc} WHERE ${where.join(" AND ")}`;
    let out = (await db.query(sel_class))[0] || null;
    if (!out && options.create) {
      out = await this.modify_classification(options);
    }
    await plugin.do_filter("get_classification", { ...options, data: out });
    return out;
  }
  /**
   * Get a set of classificiations that exist on the site
   * @param {Object} options { name : optional, parent_id : optional , id}
   */
  async get_classifications(options = {}) {
    let where = [];
    if (options.parent_id) where.push(db.is("parent_id", options.parent_id));
    if (options.name) where.push(db.is("name", options.name));
    if (options.id) where.push(db.is("id", options.id));
    if (where.length == 0) where.push(" 1 ");
    let ttc = `${db.name}.terms_class`;
    let sel_class = `SELECT * FROM ${ttc} WHERE ${where.join(" AND ")}`;
    let out = await db.query(sel_class);
    await plugin.do_filter("get_classifications", { ...options, data: out });
    return out;
  }
  /**
   * Add/modify a classificiation
   * @param {Object} options { name, parent_id, id, title, description }
   * @returns 
   */
  async modify_classification(options) {
    if (!options) return null;
    await plugin.do_filter("before_modify_classifications", { event: options.event, data: options });
    let ttc = `terms_class`;
    await db.update({ table: ttc, data: options });
    await plugin.do_filter("modify_classifications", { event: options.event, data: options });
    return options;
  }
  /**
   * Remove of classificiations that exist on the site
   * @param {Object} options { name : optional, parent_id : optional }
   */
  async remove_classification(options = {}) {
    let where = [];
    if (options.parent_id) where.push(db.is("parent_id", options.parent_id));
    if (options.name) where.push(db.is("name", options.name));
    if (options.id) where.push(db.is("id", options.id));
    if (where.length == 0) return null;
    let payload = { data: true, where };
    await plugin.do_filter("remove_classifications", payload);
    if (!payload.data) return false;
    let ttc = `${db.name}.terms_class`;
    let sel_class = `DELETE FROM ${ttc} WHERE ${where.join(" AND ")}`;
    let out = await db.query(sel_class);
    return out;
  }
  capitalize(str) {
    if (typeof str != "string") return str;
    return str.trim().charAt(0).toUpperCase() + str.substring(1);
  }
  /**
   * Returns the named parameters of content.  If a taxonomy class name is only provided, then output returned is an array
   * of all terms that belong to the named taxonomy class.  If both class-name and term-slug are provided OR if only the term_slug is provided,
   * then the output returend is an array of all post that have the specified term.
   * @param {Object} options { class_name : options top level hierarchial name of a taxonomy, term_slug : taxonomy term's slug nmae }
   * @returns {Array} Array of { it, title, description,status,image, modified, url }
   */
  async get_class_term_items(options) {
    let items = [];
    if (!options) return items;
    if (!options.class_name && !options.term_slug) return items;
    let is_on_archive_index = options.term_slug === undefined && options.class_name != undefined;
    let is_categories = options.class_name.toLowerCase() == "categories";
    let tb_class = `${db.name}.terms_class`, tb_terms = `${db.name}.terms`, tb_relation = `${db.name}.terms_relation`, tb_posts = `${db.name}.posts`;
    let exclude_media_files = ` AND type <> "media" `;
    if (options.include_media) exclude_media_files = " ";
    let sql_class_id = `SELECT id FROM ${tb_class} WHERE ${db.like("name", options.class_name)}`;
    let sel_class_title = `(SELECT title FROM ${tb_class} WHERE id=T.class_id) as class_title `;
    let sel_post_count = `(SELECT COUNT(id) FROM ${tb_posts} WHERE category_id=T.id AND status LIKE "published" ) as posts`;
    if (!is_categories) {
      sel_post_count = `(SELECT COUNT(id) FROM ${tb_relation} WHERE  term_id=T.id AND object_id=(SELECT id FROM ${tb_posts} WHERE id=object_id AND status LIKE "published" ${exclude_media_files}) ) as posts`;
    }
    if (is_on_archive_index) {
      let inner_cols = `*, ${sel_class_title},${sel_post_count}, CONCAT('/p/${options.class_name}/',T.slug) as url`;
      let inner_where = `class_id IN (${sql_class_id}) AND slug IS NOT NULL AND slug <> '' `;
      let sql_class_terms = `SELECT ${inner_cols} FROM ${tb_terms}  T WHERE ${inner_where}`;
      let final_sql = `SELECT * FROM ( ${sql_class_terms} ) a WHERE a.posts > 0 `;
      items = await db.query(final_sql);
      for (var i = items.length - 1; i > -1; i--) {
        if (!items[i].title) {
          items[i].title = this.capitalize(items[i].slug);
        }
        items[i].title += ` (${items[i].posts})`;
      }
    } else {
      let cols = `id,title,description,status,image,modified,url `;
      let sql_term_id = `SELECT id FROM ${tb_terms} WHERE class_id IN (${sql_class_id}) AND ${db.like("slug", options.term_slug)}`;
      if (is_categories) {
        let sql_posts = `SELECT ${cols} FROM ${tb_posts} WHERE category_id IN (${sql_term_id}) AND status LIKE "published" AND source_id IS NULL `;
        items = await db.query(sql_posts);
      } else {
        let sql_obj_id = `SELECT object_id FROM ${tb_relation} WHERE term_id IN (${sql_term_id})`;
        let sql_posts = `SELECT  ${cols} FROM ${tb_posts} WHERE id IN (${sql_obj_id}) AND status LIKE "published" AND source_id IS NULL  ${exclude_media_files}`;
        items = await db.query(sql_posts);
      }
    }
    return items;
  }
  /**
   * Given a term name or ID,return all posts associated with that term
   * @param { Object } options { id , slug, class_id, post_status }
   * @returns { Array } Return an array of {id,title,description,status,image,modified, type}
   */
  async get_term_posts(options) {
    if (!options) return null;
    let tterms = `${db.name}.terms`, ttr = `${db.name}.terms_relation`, tbp = `${db.name}.posts`, tbtax = `${db.name}.terms_class`;
    let where = [];
    if (options.id) where.push(db.is("id", options.id));
    if (options.class_id) where.push(db.is("class_id", options.class_id));
    if (options.slug) where.push(db.like("slug", options.slug));
    if (options.class_name) {
      where.push(`class_id IN (SELECT id FROM ${tbtax} WHERE ${db.like("name", options.class_name)})`);
    }
    if (where.length == 0) return [];
    let where_expr = ` ${where.join(" AND ")}`;
    let sel_term_id = `SELECT id FROM ${tterms} WHERE ${where_expr}`;
    let sel_object_id = `SELECT object_id FROM ${ttr} WHERE term_id IN (${sel_term_id})`;
    let post_cost_where = [`id IN (${sel_object_id})`, "source_id IS NULL"];
    if (options.post_status)
      post_cost_where.push(db.like("status", options.post_status));
    else
      post_cost_where.push(db.like("status", "published"));
    let sel_posts = `SELECT id,title,description,status,image,modified,type FROM ${tbp} WHERE ${post_cost_where.join(" AND ")}`;
    let records = await db.query(sel_posts);
    await plugin.do_filter("get_term_posts", { data: records, options });
    return records;
  }
  /**
   * Get a set of classification terms that exist on the site
   * @param {Object} options { name : optional, slug : optional , id, class_id }
   */
  async get_terms(options = {}) {
    let where = [];
    if (options.slug) where.push(db.is("slug", options.slug));
    if (options.class_id) {
      if (isNaN(options.class_id)) {
        let sql_class_id = `SELECT id FROM ${db.name}.terms_class WHERE ${db.like("name", options.class_id)}`;
        where.push(`class_id=(${sql_class_id})`);
      } else {
        where.push(db.is("class_id", options.class_id));
      }
    }
    if (options.id) where.push(db.is("id", options.id));
    if (where.length == 0) where.push(" 1 ");
    let ttt = `${db.name}.terms`, ttr = `${db.name}.terms_relation`, tbp = `${db.name}.posts`;
    let sel_count = `SELECT count(id) FROM ${ttr} WHERE term_id=T.id AND object_id IN (SELECT id FROM ${tbp} WHERE status LIKE "published" AND source_id IS NULL)`;
    let sel_terms = `SELECT *,(${sel_count}) as count FROM ${ttt} T WHERE ${where.join(" AND ")}`;
    let out = await db.query(sel_terms);
    await plugin.do_filter("get_terms", { ...options, data: out });
    return out;
  }
  async modify_term(options) {
    if (!options) return null;
    if (Array.isArray(options) && options.length == 0) return 0;
    await plugin.do_filter("before_modify_term", { event: options.event, data: options });
    let ttt = `terms`;
    await db.update({ table: ttt, data: options });
    await plugin.do_filter("modify_term", { event: options.event, data: options });
    return options;
  }
  /**
   * Remove of classificiations that exist on the site
   * @param {Object} options { name : optional, parent_id : optional }
   */
  async remove_term(options = {}) {
    let where = [];
    if (options.slug) where.push(db.is("slug", options.slug));
    if (options.id) where.push(db.is("id", options.id));
    if (where.length == 0) return null;
    let payload = { data: true, where };
    await plugin.do_filter("remove_term", payload);
    if (!payload.data) return false;
    let ttt = `${db.name}.terms`;
    let sel_term = `DELETE FROM ${ttt} WHERE ${where.join(" AND ")}`;
    let out = await db.query(sel_term);
    return out;
  }
  /**
   * Get a set of relationships for terms
   * @param {Object} options { name : optional, object_id : optional , id}
   */
  async get_relations(options = {}) {
    let where = [];
    if (options.object_id) where.push(db.is("object_id", options.object_id));
    if (options.class_id) where.push(db.is("term_id", options.term_id));
    if (options.id) where.push(db.is("id", options.id));
    if (where.length == 0) return [];
    let ttt = `${db.name}.terms_relation`;
    let sel_terms = `SELECT * FROM ${ttt} WHERE ${where.join(" AND ")}`;
    let out = await db.query(sel_terms);
    await plugin.do_filter("get_relations", { ...options, data: out });
    return out;
  }
  async modify_relation(options) {
    if (!options) return null;
    if (Array.isArray(options) && options.length == 0) return options;
    await plugin.do_filter("before_modify_relation", { event: options.event, data: options });
    let ttt = `terms_relation`;
    await db.update({ table: ttt, data: options });
    await plugin.do_filter("modify_relation", { event: options.event, data: options });
    return options;
  }
  /**
  * Remove of classificiations that exist on the site
  * @param {Object} options { name : optional, parent_id : optional }
  */
  async remove_relation(options = {}) {
    let where = [];
    if (options.object_id) where.push(db.is("slug", options.slug));
    if (options.term_id) where.push(db.is("term_id", options.term_id));
    if (options.id) where.push(db.is("id", options.id));
    if (where.length == 0) return null;
    let payload = { data: true, where };
    await plugin.do_filter("remove_relation", payload);
    if (!payload.data) return false;
    let ttt = `${db.name}.terms_class`;
    let sel_term = `DELETE FROM ${ttt} WHERE ${where.join(" AND ")}`;
    let out = await db.query(sel_term);
    return out;
  }
  copy(val) {
    return JSON.parse(JSON.stringify(val));
  }
  /**
   * Transform A string or array of string into object
   * @param {String|Array} input Transforms an a string or an array of string into jobs
   */
  tf_to_arr_obj(input) {
    var out = this.copy(input);
    if (!Array.isArray(out)) out = [out];
    let chk_make_rng = (arr, index, input2 = null) => {
      var token = input2 || (arr ? arr[index] : null);
      let parts;
      if (token && token.includes && token.includes("-")) {
        parts = token.split("-");
        var a, b;
        if (parts.length == 2) {
          a = Number.parseInt(parts[0]);
          b = Number.parseInt(parts[1]);
        } else {
          if (parts[0] == "") {
            a = "-" + parts[1];
          } else {
            a = parts[0];
          }
          if (parts[1] == "") {
            b = "-" + parts[2];
          } else {
            if (parts["2"] == "") {
              b = "-" + parts[3];
            } else {
              b = parts[2];
            }
          }
          a = Number.parseInt(a);
          b = Number.parseInt(b);
        }
        var out2 = [a, b];
        if (arr) {
          arr[index] = out2;
        }
        return out2;
      }
    };
    for (var i = 0; i < out.length; i++) {
      if (typeof out[i] == "string") {
        let parts = out[i].split("=");
        let key = parts[0], value = parts[1] || null;
        let type = typeof value;
        if (type == "string" && value.includes(",")) {
          value = value.split(",");
          for (var j = 0; j < value.length; j++) {
            value[j] = value[j].trim();
            chk_make_rng(value, j);
          }
        } else {
          var t = chk_make_rng(null, null, value);
          if (t !== undefined) value = t;
        }
        out[i] = {};
        out[i][key] = value;
      }
    }
    return out;
  }
  /**
   * 
   * @param {Object} options { target, user_id, inflate }
   * @returns 
   */
  async inflate(options) {
    if (!options) return [];
    let ids_to_inflate = options.inflate;
    if (!ids_to_inflate) return [];
    if (!Array.isArray(ids_to_inflate)) ids_to_inflate = [ids_to_inflate];
    let target = options.target;
    if (!target) target = "posts";
    target = target.split(/\./gm);
    options.user_id || null;
    let target_table = `${db.name}.${db.esc(target[0], true)}`;
    let where_exprs = [db.is("id", ids_to_inflate)];
    let primary_where_clause = [];
    if (target.length > 1) {
      if (target[0] == "posts") {
        primary_where_clause.push(`type LIKE ${db.esc(target[1])}`);
      }
    }
    if (primary_where_clause.length == 0) primary_where_clause = [1];
    let columns = [];
    if (target[0] == "posts") {
      columns.push(...["id", "title", "description", "image", "url"]);
    } else if (target[0] == "users") {
      let tmu = `${db.name}.user_metas`;
      columns.push(...["id", "name as title", `(SELECT value FROM ${tmu} WHERE name LIKE "avatar" AND id=T.id) as image`]);
    } else {
      columns = ["*"];
    }
    let where = `(${primary_where_clause.join(" OR")}) AND (${where_exprs.join(" OR ")}) `;
    let sql = `SELECT ${columns.join(",")} FROM ${target_table} T WHERE ${where}`;
    let results = await db.query(sql);
    return results;
  }
  /**
   * 
   * @param {Object} options { user_id:null, target : String table to search within ie 'posts.page', keywords: Array of string}
   * @returns 
   */
  async search(options) {
    if (!options) return [];
    let tmp_keywords = options.keywords;
    if (!tmp_keywords) tmp_keywords = [];
    if (typeof tmp_keywords == "string") tmp_keywords = tmp_keywords.split(",");
    let target = options.target;
    if (!target) target = "posts";
    target = target.split(/\./gm);
    let keywords = tmp_keywords.filter((it) => it.length >= 2);
    if (keywords.length == 0) return [];
    let target_table = `${db.name}.${db.esc(target[0], true)}`;
    let where_exprs = [];
    let primary_where_clause = [];
    if (target.length > 1) {
      if (target[0] == "posts") {
        primary_where_clause.push(`type LIKE ${db.esc(target[1])}`);
      }
    }
    if (primary_where_clause.length == 0) primary_where_clause = [1];
    let columns = [];
    if (target[0] == "posts") {
      where_exprs.push(db.like("title", keywords, "%"));
      let sel_term_ids = `
SELECT id FROM ${db.name}.terms WHERE ${db.like("slug", keywords, "^%")}
`;
      let sel_term_relations = `SELECT object_id FROM ${db.name}.terms_relation WHERE term_id IN (${sel_term_ids})  `;
      where_exprs.push(`id IN (${sel_term_relations})`);
      columns = [
        "id",
        "type",
        "title",
        "description",
        "image",
        "url",
        "category_id",
        "published",
        `(SELECT title FROM ${db.name}.terms WHERE id=T.category_id) as category_title`,
        `(SELECT slug FROM ${db.name}.terms WHERE id=T.category_id) as category_slug`
      ];
    } else if (target[0] == "users") {
      columns = ["id", "name as title", `(SELECT value FROM ${db.name}.user_metas WHERE name LIKE 'avatar' AND id=T.id) as image`];
      where_exprs.push(db.like("name", keywords, "^%"));
      where_exprs.push(db.like("email", keywords, "%"));
    }
    let limit_expression = await posts.pagination_limit_sql(options);
    let full_where_clause = `(${primary_where_clause.join(" OR")}) AND (${where_exprs.join(" OR ")}) `;
    let sql = `SELECT ${columns.join(",")} FROM ${target_table} T WHERE ${full_where_clause} ${limit_expression}`;
    let result_set = await db.query(sql);
    await posts.pagination_apply({
      p: options.p,
      limit: options.limit,
      table: target_table,
      result_set,
      where: full_where_clause
    });
    await plugin.do_filter("search_results", { ...options, data: result_set });
    return result_set;
  }
  /**
  * Repeatedly searches the text to locate all items that match the regex
  * @param {RegExp} regex Regular expression object
  * @param {String} text The string to be searched
  * @returns {Array} Array of { match: the string that matched the regex exactly, items: captured items }.Empty array when no matches found.
  */
  get_all_matches(regex, text) {
    var matches = [], m;
    var group = null;
    while ((m = regex.exec(text)) !== null) {
      if (m.index === regex.lastIndex) {
        regex.lastIndex++;
      }
      m.forEach((match, groupIndex) => {
        if (groupIndex == 0) {
          group = { match, items: [] };
          matches.push(group);
        } else {
          group.items.push(match);
        }
      });
    }
    return matches;
  }
  round(num, decimals = 2) {
    return parseFloat(num.toFixed(decimals));
  }
  /**
   * Measure performance
   * @param {Object} initial_t on initial call, pass nothing.  On second call, pass the result of initial call
   * @returns { Object} Returns { start, end, elapsed_time, e}
   */
  time(initial_t = undefined) {
    if (initial_t == undefined) {
      initial_t = { start: performance.now() };
    } else {
      let end = performance.now();
      if (typeof initial_t != "object") return null;
      if (!initial_t.start) return null;
      initial_t.end = end;
      initial_t.elapsed_time = end - initial_t.start;
      initial_t.e = `${this.round(initial_t.elapsed_time)} ms`;
      initial_t.es = `${this.round(initial_t.elapsed_time * 1e-3)} ms`;
    }
    return initial_t;
  }
  /**
   * Get all registered post meta models used for viewing 
   * @param {Object} options { user_id, post_id, event}
   * @returns {Array} Array of { type, description, component }
   */
  async get_post_components(options = {}) {
    let post_components = [];
    let arr_com_source = [];
    await plugin.do_filter("register_post_component", { data: arr_com_source });
    if (Array.isArray(arr_com_source)) {
      let COMP, v_component;
      for (var i = 0; i < arr_com_source.length; i++) {
        COMP = arr_com_source[i];
        if (typeof COMP != "function") continue;
        v_component = COMP();
        if (!v_component.name) v_component.name = `unamed-${i}`;
        if (!v_component.description) v_component.description = `General description`;
        if (!v_component.location) v_component.location = null;
        post_components.push({
          type: COMP.type,
          description: COMP.description,
          matches: COMP.matches,
          component: COMP.toString()
        });
      }
    }
    return post_components;
  }
  /**
   * Get all defined currency types
   * @returns {Array} Array of { title, value : Currency code, symbol }
   */
  async get_currencies() {
    let data = [
      { title: "US Dollar", value: "usd", symbol: "$" },
      { title: "Euro", value: "eur", symbol: "\u20AC" },
      { title: "Albanian lek", value: "all", symbol: "L" },
      { title: "Belarusian ruble", value: "byn", symbol: "Br" },
      { title: "Bulgaria", value: "bgn", symbol: "\u043B\u0432" },
      { title: "Swiss franc", value: "chf", symbol: "CHF" },
      { title: "Russian ruble", value: "eur", symbol: "\u20AC" },
      { title: "Pounds", value: "gbp", symbol: "\xA3" },
      { title: "Argentine peso", value: "ars", symbol: "$" },
      { title: "Brazilian  real", value: "brl", symbol: "R$" },
      { title: "Canadian dollar", value: "cad", symbol: "CA$" },
      { title: "Mexican peso", value: "mxn", symbol: "$" },
      { title: "CFA franc", value: "xof", symbol: "CFA" },
      { title: "Congolese franc", value: "cdf", symbol: "FC" },
      { title: "Nigerian naira", value: "ngn", symbol: "\u20A6" },
      { title: "South African rand", value: "zar", symbol: "R" },
      { title: "Australian dollar", value: "aud", symbol: "A$" },
      { title: "Chinese yuan", value: "cny", symbol: "\xA5 /\u5143" },
      { title: "Ugandan shilling", value: "ugx", symbol: "Ush" },
      { title: "Hong Kong dollar", value: "hkd", symbol: "\u5143" },
      { title: "Indian rupee", value: "inr", symbol: "\u20B9" },
      { title: "Japanese yen", value: "jpy", symbol: "\xA5" }
    ];
    await plugin.do_filter("get_currencies", { data });
    return data;
  }
  /**
   * Get the payment API object for processing payment
   * @returns {Object}
   */
  async e_get_payment_api() {
    if (!await this.get_option({ name: "has_ecommerce" }))
      throw new Error(`core.get_payment_api please enable store prior to invoking gateway`);
    let sk = await this.get_option({ name: "store_stripe_sk_secret" });
    if (!sk) throw new Error(`core.get_payment_api secret key is not initialized`);
    let gateway = stripe(sk);
    return gateway;
  }
  /**
   * Create price amount to charge
   * @param {Object} options {amount, title : 'Price/Product description' }
   * @returns {String} API price id
   */
  async e_create_price(options) {
    if (!options) return null;
    if (options.amount == null) throw new Error("e_create_price - missing amount");
    let amount = (options.amount || 0) * 100;
    try {
      let api = await this.e_get_payment_api();
      let charge_label = `Order ${this.random_str()} ${options.title ? "- " + options.title : ""}`;
      let product_data = { name: charge_label };
      const price = await api.prices.create({
        currency: await this.get_option("store_currency") || "usd",
        unit_amount: amount,
        product_data
      });
      return price.id;
    } catch (e) {
      console.log("core.e_create_price ", e);
      return null;
    }
  }
  /**
   * 
   * @param {Object} options { amount,user_id, title : 'Order description' }
   * @returns {String} Stripe url to redirect to 
   */
  async e_create_checkout_session(options) {
    try {
      let order = await posts.build_order({ user_id: options.user_id });
      let order_id = order.id;
      let site_domain = `http://localhost:3000`;
      let success_url = `${site_domain}/checkout-complete?order-id=${order_id}`;
      let cancel_url = `${site_domain}/checkout-canceled?order-id=${order_id}`;
      let api = await this.e_get_payment_api();
      let config = {
        client_reference_id: order_id,
        line_items: [
          { quantity: 1, price: await this.e_create_price(options) }
        ],
        mode: "payment",
        success_url,
        cancel_url
      };
      const session = await api.checkout.sessions.create(config);
      await posts.modify_post_metas({
        metas: [
          { post_id: order_id, name: "session_id", value: session.id }
        ]
      });
      return session.url;
    } catch (e) {
      console.error("create_checkout_session", e);
    }
    return null;
  }
  /**
   * 
   * @param {Object} options { user_id, order_id }
   */
  async e_finalize_order(options) {
    if (!options) throw new Error(`core.e_finalize_order requires parameters`);
    if (!options.user_id) throw new Error(`core.e_finalize_order requires user_id`);
    let order_id = options.order_id;
    let session_meta = await posts.get_post_meta({ name: "session_id", post_id: order_id });
    if (!session_meta) throw new Error(`Unable to locate session id when finalizing order ${order_id}`);
    if (!session_meta.value) throw new Error(`Invalid session id for order ${order_id}`);
    let api = await this.e_get_payment_api();
    const session = await api.checkout.sessions.retrieve(session_meta.value);
    let completed_status = ["complete"];
    if (completed_status.includes(session.status)) {
      let db_order = await posts.get_post({ id: order_id, cols: ["status", "id"] });
      if (!db_order) throw new Error("e_finalize_order unable to locate order 'draft'");
      if (db_order.status == "unpaid") {
        let cust = session.customer_details;
        let order = {
          id: order_id,
          status: "paid",
          metas: [
            { post_id: order_id, name: "customer_name", value: cust.name },
            { post_id: order_id, name: "customer_phone", value: cust.phone },
            { post_id: order_id, name: "customer_email", value: cust.email },
            { post_id: order_id, name: "customer_addr1", value: cust.address.line1 },
            { post_id: order_id, name: "customer_addr2", value: cust.address.line2 },
            { post_id: order_id, name: "customer_city", value: cust.address.city },
            { post_id: order_id, name: "customer_postal_code", value: cust.postal_code }
          ]
        };
        await posts.modify_post(order);
        await posts.modify_post_metas(order);
        await plugin.do_filter("new_order", { event: options.event, data: order });
      }
    }
    return await posts.get_post({ id: order_id });
  }
  /**
   * Sends and email using the environment configuration setup for nodemailer
   * @param {Object} options { from , to , cc, bcc, subject, body|html }
   * @returns Object
   */
  async send_email(options) {
    return new Promise(async (resolve, reject) => {
      if (!options) {
        console.log("Email.options_missing");
        reject(new Error("Options is missing"));
        return;
      }
      let promises = [
        this.get_option("email_host"),
        this.get_option("email_port"),
        this.get_option("email_user"),
        this.get_option("email_password_secret"),
        this.get_option("email_address")
      ];
      let vals = await Promise.all(promises);
      const transporter = nodemailer.createTransport({
        host: vals[0],
        port: vals[1],
        secure: true,
        auth: {
          user: vals[2],
          pass: vals[3]
        }
      });
      var opt_errors = [];
      if (!options.from) {
        options.from = vals[4];
      }
      if (!options.to) opt_errors.push('"to" field is missing');
      if (!options.subject) opt_errors.push('"subject" field is missing');
      if (!options.html && !options.body) opt_errors.push('"html" field is missing');
      if (opt_errors.length > 0) {
        reject(opt_errors);
        return;
      }
      options.html = options.html || options.body;
      let to = (val) => {
        if (Array.isArray(val)) {
          for (var i = 0; i < val.length; i++) val[i] = val[i].trim();
          return val.join(",");
        } else {
          return val.trim();
        }
      };
      options.to = to(options.to);
      if (options.cc) options.cc = to(options.cc);
      if (options.bcc) options.bcc = to(options.bcc);
      console.log("Email.checking_connection");
      transporter.verify(function(error, success) {
        if (error) {
          console.log("Email.verification_error", error);
          reject(error);
          return;
        } else {
          console.log("Email.sending . .");
          transporter.sendMail(options, (err, info) => {
            if (err) {
              console.log("Email.send_error");
              reject(err);
              return;
            } else {
              console.log("	Email.delivered");
              resolve(info);
            }
          });
        }
      });
    });
  }
  /**
   * Create external HTTP Request 
   * @param {Object} options { url : Destination your, headers : Object, method }
   * @returns HTTP Request
   */
  async fetch(options) {
    if (!options) return null;
    if (!options.url) return null;
    await plugin.do_filter("before_fetch", { data: options });
    let url = options.url;
    delete options.url;
    try {
      let event = options.event || options.evt;
      delete options.event;
      delete options.evt;
      let res = await $fetch(url, options);
      options.event = options.evt = event;
      await plugin.do_filter("after_fetch", { data: res });
      return res;
    } catch (e) {
      this.error(e);
    }
  }
  /**
   * Given a valid url string, extract its file extension, if any
   * @param {Object} options { url }
   * @returns {String|Null} 
   */
  extract_file_extension(options) {
    if (!options) return null;
    let url = options.url;
    if (!url) return null;
    if (typeof url != "string") return null;
    url = url.split("?")[0];
    if (!url) return null;
    let ext = "";
    let dot_encountered = false;
    for (var i = url.length - 1; i > -1; i--) {
      if (url.charAt(i) == ".") {
        dot_encountered = true;
        break;
      }
      ext = url.charAt(i) + ext;
    }
    if (!dot_encountered) ext = null;
    return ext;
  }
}
let core = new Core();

class Permissions {
  /**
   * Determine if a user is able to perform a specific action 
   * @param {Object} options { user_id, action }
   * @returns 
   */
  async can_user(options) {
    return users.can_user(options);
  }
}
let permissions = new Permissions();

const _bo4ASfsuRZ = defineNitroPlugin(async (nitroApp) => {
  core.log(`--------------------------- JxtPress--${core.version}---------------------------`);
  await core.initialize_env({ prefixes: ["jxt_"] });
  await core.connect_db();
  await core.create_database();
  core.log(` Built databases `);
  core.plugin = plugin;
  core.users = users;
  core.permissions = permissions;
  core.posts = posts;
  core.db = db;
  core.log(` Plugin.initiating `);
  await plugin.init();
  for (var i = 0; i < plugin.instances.length; i++) {
    if (typeof plugin.instances[i].action_on_init == "function") {
      plugin.instances[i].action_on_init(core);
    }
  }
  core.create_directory("backups");
  let create_cron_payload = async (name) => {
    var _a;
    let result = await db.query(`SELECT value FROM ${toptions} WHERE name LIKE '${name}' `);
    if (result.length == 0) return null;
    var result_val = (_a = result[0].value) == null ? undefined : _a.toLowerCase();
    if (!result_val) return null;
    if (result_val != "true") return null;
    let now = /* @__PURE__ */ new Date();
    return {
      time: `${core.get_date(now)} ${core.get_time(now)}`,
      timestamp: now.getTime(),
      name
    };
  };
  let cron_debug = (...msg) => {
    console.log(msg);
  };
  let toptions = `${db.name}.options`;
  console.log("Starting cron jobs");
  cron.schedule("*/5 * * * *", async () => {
    let payload = await create_cron_payload("cron_q5min");
    if (!payload) return;
    plugin.do_action(payload.name, { data: payload });
    cron_debug("Payload -->", payload);
  });
  cron.schedule("*/30 * * * *", async () => {
    let payload = await create_cron_payload("cron_q30min");
    if (!payload) return;
    plugin.do_action(payload.name, { data: payload });
    cron_debug("Payload -->", payload);
  });
  cron.schedule("0 0 * * *", async () => {
    let payload = await create_cron_payload("cron_qmidnight");
    if (!payload) return;
    plugin.do_action(payload.name, { data: payload });
    cron_debug("Payload -->", payload);
  });
  cron.schedule("0 7 * * *", async () => {
    let payload = await create_cron_payload("cron_qmorning");
    if (!payload) return;
    plugin.do_action(payload.name, { data: payload });
    cron_debug("Payload -->", payload);
  });
  cron.schedule("0 7 * * 0", async () => {
    let payload = await create_cron_payload("cron_qweek");
    if (!payload) return;
    plugin.do_action(payload.name, { data: payload });
    cron_debug("Payload -->", payload);
  });
  cron.schedule("0 0 1 * *", async () => {
    let payload = await create_cron_payload("cron_qmonth");
    if (!payload) return;
    plugin.do_action(payload.name, { data: payload });
    cron_debug("Payload -->", payload);
  });
});

const plugins = [
  _bo4ASfsuRZ
];

const assets$1 = {
  "/F-317727_facebook_social media_social_icon.png": {
    "type": "image/png",
    "etag": "\"1ae-cXxAcMAQJv8rt/My3hPNpypaOnE\"",
    "mtime": "2025-01-16T17:49:43.645Z",
    "size": 430,
    "path": "../public/F-317727_facebook_social media_social_icon.png"
  },
  "/F-495057.png": {
    "type": "image/png",
    "etag": "\"7c6-SF7tKY70jHQzKRF4kZvk2bgSdUI\"",
    "mtime": "2025-01-16T17:49:43.645Z",
    "size": 1990,
    "path": "../public/F-495057.png"
  },
  "/F-bounce.mp4": {
    "type": "video/mp4",
    "etag": "\"1ed692-7KLo1+5vOtAR95ha3HhVI1EpIW8\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 2021010,
    "path": "../public/F-bounce.mp4"
  },
  "/F-qrcode_localhost.png": {
    "type": "image/png",
    "etag": "\"1a40-oPCTREQXnF3uTn+5C2K8R4s5drI\"",
    "mtime": "2025-01-16T17:49:43.645Z",
    "size": 6720,
    "path": "../public/F-qrcode_localhost.png"
  },
  "/F-re-inspire.jpg": {
    "type": "image/jpeg",
    "etag": "\"54c5b-fUp23Da6KjtWWLPZvawfYXDhEf0\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 347227,
    "path": "../public/F-re-inspire.jpg"
  },
  "/F-team1.jpg": {
    "type": "image/jpeg",
    "etag": "\"57f21-r9T42QZLNmWVYZe682/xOPJ8e2Y\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 360225,
    "path": "../public/F-team1.jpg"
  },
  "/F-team2.jpg": {
    "type": "image/jpeg",
    "etag": "\"70f24-rjjvrFznp+DdDX7Wl3edNnV0XEU\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 462628,
    "path": "../public/F-team2.jpg"
  },
  "/F-test.png": {
    "type": "image/png",
    "etag": "\"57da-K36Ay6qzlwtM+7kraiJL3tD8hSw\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 22490,
    "path": "../public/F-test.png"
  },
  "/F-test00.png": {
    "type": "image/png",
    "etag": "\"168c-MkyOohwLFds+SLC9bCa53hYHlm4\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 5772,
    "path": "../public/F-test00.png"
  },
  "/F-thumbnail.png": {
    "type": "image/png",
    "etag": "\"908-w4f+srcRZo5EvVgLMt7Ms+e2ZGg\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 2312,
    "path": "../public/F-thumbnail.png"
  },
  "/F-x.txt": {
    "type": "text/plain; charset=utf-8",
    "etag": "\"27-PqtKcLuOY/3yQLu391SCggILEuQ\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 39,
    "path": "../public/F-x.txt"
  },
  "/currencies.txt": {
    "type": "text/plain; charset=utf-8",
    "etag": "\"20-BYLX6J/nEEP9NPjgHeXyTzasRc8\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 32,
    "path": "../public/currencies.txt"
  },
  "/favicon.png": {
    "type": "image/png",
    "etag": "\"85be-91nnZ7NgondnU1eGsC4uUCSsaGM\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 34238,
    "path": "../public/favicon.png"
  },
  "/favicon.svg": {
    "type": "image/svg+xml",
    "etag": "\"1189-kyw7K918erxhNrCP5f9sZFulbpI\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 4489,
    "path": "../public/favicon.svg"
  },
  "/jxtpress.png": {
    "type": "image/png",
    "etag": "\"ed46-EQapFwWbEG6DxtTaR4nnjkv7+Xk\"",
    "mtime": "2025-01-16T17:49:43.648Z",
    "size": 60742,
    "path": "../public/jxtpress.png"
  },
  "/robots.txt": {
    "type": "text/plain; charset=utf-8",
    "etag": "\"8c-YW6kqOi8HgOKqTYRN3tZ18IIt98\"",
    "mtime": "2025-01-16T17:49:43.648Z",
    "size": 140,
    "path": "../public/robots.txt"
  },
  "/sitemap.xml": {
    "type": "application/xml",
    "etag": "\"321-MJVHQ56spb1x2lVVkhncgE0Mr04\"",
    "mtime": "2025-01-16T17:49:43.648Z",
    "size": 801,
    "path": "../public/sitemap.xml"
  },
  "/source.zip": {
    "type": "application/zip",
    "etag": "\"37a3-URsrL8MEAmGWsWg3r2d3i1vAAb0\"",
    "mtime": "2025-01-16T17:49:43.648Z",
    "size": 14243,
    "path": "../public/source.zip"
  },
  "/u-team:1.jpg": {
    "type": "image/jpeg",
    "etag": "\"57f21-r9T42QZLNmWVYZe682/xOPJ8e2Y\"",
    "mtime": "2025-01-16T17:49:43.648Z",
    "size": 360225,
    "path": "../public/u-team:1.jpg"
  },
  "/uploads/favicon.png": {
    "type": "image/png",
    "etag": "\"58b-ouBgZMh+pJyIfk1SjjUZIrqmTbQ\"",
    "mtime": "2025-01-16T17:49:43.645Z",
    "size": 1419,
    "path": "../public/uploads/favicon.png"
  },
  "/_nuxt/B2KYwgqT.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"39f-G1ocfe9uhUNxbnXUyQFdhDVKCj4\"",
    "mtime": "2025-01-16T17:49:43.636Z",
    "size": 927,
    "path": "../public/_nuxt/B2KYwgqT.js"
  },
  "/_nuxt/B9UCO3mE.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"d52-eq1r9mGagyPo4MFW3WPLBH86++Q\"",
    "mtime": "2025-01-16T17:49:43.636Z",
    "size": 3410,
    "path": "../public/_nuxt/B9UCO3mE.js"
  },
  "/_nuxt/BBKrOE1O.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"1783-Cq0Dv4llIbCZqvi5a+m5C/16vNU\"",
    "mtime": "2025-01-16T17:49:43.636Z",
    "size": 6019,
    "path": "../public/_nuxt/BBKrOE1O.js"
  },
  "/_nuxt/BBxsTgXN.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"ba0-5qvihdBNd2w0zixAMAjwea2yT30\"",
    "mtime": "2025-01-16T17:49:43.636Z",
    "size": 2976,
    "path": "../public/_nuxt/BBxsTgXN.js"
  },
  "/_nuxt/BCx9VX2y.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"17e-uQ7UBa80lbutsR6n9TfUBw3M2mg\"",
    "mtime": "2025-01-16T17:49:43.636Z",
    "size": 382,
    "path": "../public/_nuxt/BCx9VX2y.js"
  },
  "/_nuxt/BDHtvxQ-.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"aeac1-KDpCLdLLDU7pYlGom4QfKjSDoTw\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 715457,
    "path": "../public/_nuxt/BDHtvxQ-.js"
  },
  "/_nuxt/BhSy-MZU.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"158-RUM3ZF/QeIIWGe/FnLAZIFVy0DU\"",
    "mtime": "2025-01-16T17:49:43.636Z",
    "size": 344,
    "path": "../public/_nuxt/BhSy-MZU.js"
  },
  "/_nuxt/Bm-HypGL.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"24f8-OwHkHX1ZUl7g971j8hjLHl4s19Q\"",
    "mtime": "2025-01-16T17:49:43.636Z",
    "size": 9464,
    "path": "../public/_nuxt/Bm-HypGL.js"
  },
  "/_nuxt/BvsuVT0C.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"2fb6-8pUogxafd6avGrCAlU4113z/KHA\"",
    "mtime": "2025-01-16T17:49:43.636Z",
    "size": 12214,
    "path": "../public/_nuxt/BvsuVT0C.js"
  },
  "/_nuxt/C1p7YSEb.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"14e-nL+J/yMeoTbKxzS5qH8NaZR2Fh4\"",
    "mtime": "2025-01-16T17:49:43.636Z",
    "size": 334,
    "path": "../public/_nuxt/C1p7YSEb.js"
  },
  "/_nuxt/C5AbxPEV.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"a39-npSyoMaQGRB8CgWC2y2ezL4rai4\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 2617,
    "path": "../public/_nuxt/C5AbxPEV.js"
  },
  "/_nuxt/C5HOuJaG.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"239-7NguYEYyjqsj8FCxeU0m8LLlCOw\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 569,
    "path": "../public/_nuxt/C5HOuJaG.js"
  },
  "/_nuxt/CDvlMy6b.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"399-kfVB0yXB7xZ1SERzS2q3KZA0joA\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 921,
    "path": "../public/_nuxt/CDvlMy6b.js"
  },
  "/_nuxt/CGq0GNc_.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"2718-QdeY1jFU2VPPh6Muy+s7l5uHFUo\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 10008,
    "path": "../public/_nuxt/CGq0GNc_.js"
  },
  "/_nuxt/C_0jMPbP.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"5f8-89JRcYvSnJb900PixhbKJlrQXTM\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 1528,
    "path": "../public/_nuxt/C_0jMPbP.js"
  },
  "/_nuxt/C_p9GtJg.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"2891-x6lYybw4/bR9rA2flq6uKQgkRy8\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 10385,
    "path": "../public/_nuxt/C_p9GtJg.js"
  },
  "/_nuxt/CgdSctm2.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"188-7SwXMm+9qGWyNkURd/xn4yoPzH8\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 392,
    "path": "../public/_nuxt/CgdSctm2.js"
  },
  "/_nuxt/CjorlGVY.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"c48-zH4knGHVes+6iGEzstZx6OLZS64\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 3144,
    "path": "../public/_nuxt/CjorlGVY.js"
  },
  "/_nuxt/ClkVwd8q.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"e4b-pCEcvvYlrVZ5RI6fS+br7neJtVg\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 3659,
    "path": "../public/_nuxt/ClkVwd8q.js"
  },
  "/_nuxt/DPR4grwh.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"ea9-mopkN/Q9UzB7hSUvo9jOJKk8CnM\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 3753,
    "path": "../public/_nuxt/DPR4grwh.js"
  },
  "/_nuxt/DYazlH-d.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"209c-/bp8IfQHQEgkhLhyVUM0c53/Bs8\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 8348,
    "path": "../public/_nuxt/DYazlH-d.js"
  },
  "/_nuxt/DdHtpr-a.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"c5-DfehzEPm6fBAYwkEfJfYPBee8FQ\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 197,
    "path": "../public/_nuxt/DdHtpr-a.js"
  },
  "/_nuxt/DePsdZRw.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"19f-bi9eXKGubv2H0+4ozzw4Z3vW5MI\"",
    "mtime": "2025-01-16T17:49:43.637Z",
    "size": 415,
    "path": "../public/_nuxt/DePsdZRw.js"
  },
  "/_nuxt/DiGLkECv.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"10cb-gRg0VawYH6G5EdcaP5T6IwTlS+k\"",
    "mtime": "2025-01-16T17:49:43.638Z",
    "size": 4299,
    "path": "../public/_nuxt/DiGLkECv.js"
  },
  "/_nuxt/DvjPz2xa.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"933-FqJ8MDwiuZJwnFUDxTphQi5vxWU\"",
    "mtime": "2025-01-16T17:49:43.638Z",
    "size": 2355,
    "path": "../public/_nuxt/DvjPz2xa.js"
  },
  "/_nuxt/DwDoblxN.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"f436-cO51kSPkKH/wcsighaqqCxFJwS8\"",
    "mtime": "2025-01-16T17:49:43.638Z",
    "size": 62518,
    "path": "../public/_nuxt/DwDoblxN.js"
  },
  "/_nuxt/ROrderSummary.CsGgzio_.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"110-rQHYTx1kjtDP1uyvQ6s3vRR2i2Y\"",
    "mtime": "2025-01-16T17:49:43.638Z",
    "size": 272,
    "path": "../public/_nuxt/ROrderSummary.CsGgzio_.css"
  },
  "/_nuxt/RTable.DYlPZUfi.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"467-yfoItqIT+VdErt+Awe/mJEf/RyA\"",
    "mtime": "2025-01-16T17:49:43.638Z",
    "size": 1127,
    "path": "../public/_nuxt/RTable.DYlPZUfi.css"
  },
  "/_nuxt/_id_.D1Ar33ty.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"94d-pn1rR0Vkd89y0HMV60hl04jq0zk\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 2381,
    "path": "../public/_nuxt/_id_.D1Ar33ty.css"
  },
  "/_nuxt/_type_.BHlMFZYP.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"a5-I5XnSwpYYA0wb9JAc7eheUo+/lY\"",
    "mtime": "2025-01-16T17:49:43.638Z",
    "size": 165,
    "path": "../public/_nuxt/_type_.BHlMFZYP.css"
  },
  "/_nuxt/bEeJfu-a.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"163-q7IZGTZ/rYADUh+JX7Me8XtHPPg\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 355,
    "path": "../public/_nuxt/bEeJfu-a.js"
  },
  "/_nuxt/e_ccjON_.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"170-Aw4rvDh29/xvhD8bmWZHQeM1gaY\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 368,
    "path": "../public/_nuxt/e_ccjON_.js"
  },
  "/_nuxt/entry.DVtr9f55.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"35c41-AnaN0+BQtZ9u2umJ1kqErrtBbRc\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 220225,
    "path": "../public/_nuxt/entry.DVtr9f55.css"
  },
  "/_nuxt/epOoG9RJ.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"1d0a-kABrL0RVudTZChhTX33CisbQTdg\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 7434,
    "path": "../public/_nuxt/epOoG9RJ.js"
  },
  "/_nuxt/error-404.BJkSn6RI.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"de4-r9xtDsKTiqf+9Q1gboMnptHSjqc\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 3556,
    "path": "../public/_nuxt/error-404.BJkSn6RI.css"
  },
  "/_nuxt/error-500.TOCKLquH.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"75c-UgDuztSkituCmi5v2gpTJ/CXJTw\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 1884,
    "path": "../public/_nuxt/error-500.TOCKLquH.css"
  },
  "/_nuxt/index.Bc8NY_cA.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"a5-hNhE8qKWLturCoL5gJU4CSTQNbw\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 165,
    "path": "../public/_nuxt/index.Bc8NY_cA.css"
  },
  "/_nuxt/kwMXEjY9.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"17a-KQVift1dHyKO6Rqch5ia7Ic9sEk\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 378,
    "path": "../public/_nuxt/kwMXEjY9.js"
  },
  "/_nuxt/plugins.D6T8-mhq.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"a5-WEKDST4ZLwyz27U8M526k7NUow0\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 165,
    "path": "../public/_nuxt/plugins.D6T8-mhq.css"
  },
  "/_nuxt/user.Cjkq_v8g.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"37e-9yLGYJpjLEnIVFTnQpPP0K0lvn4\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 894,
    "path": "../public/_nuxt/user.Cjkq_v8g.css"
  },
  "/_nuxt/users.Dm-ZnMrG.css": {
    "type": "text/css; charset=utf-8",
    "etag": "\"84-rPncoEOEaGj9lwI9IZSrfNoYwVY\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 132,
    "path": "../public/_nuxt/users.Dm-ZnMrG.css"
  },
  "/_nuxt/vmQRYUhr.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"22e5-EHeusGxCput9f7PLs2Xq5b4h1I0\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 8933,
    "path": "../public/_nuxt/vmQRYUhr.js"
  },
  "/_nuxt/yD-zG7IG.js": {
    "type": "text/javascript; charset=utf-8",
    "etag": "\"21a-aydJLp6yfq6w9YD/5G6ZnHmcbys\"",
    "mtime": "2025-01-16T17:49:43.639Z",
    "size": 538,
    "path": "../public/_nuxt/yD-zG7IG.js"
  },
  "/uploads/user0/text.txt": {
    "type": "text/plain; charset=utf-8",
    "etag": "\"18-2pFHc7m+bCvDb+wQGVTbBm57q6E\"",
    "mtime": "2025-01-16T17:49:43.645Z",
    "size": 24,
    "path": "../public/uploads/user0/text.txt"
  },
  "/uploads/user4/palisades.jpg": {
    "type": "image/jpeg",
    "etag": "\"54c5b-fUp23Da6KjtWWLPZvawfYXDhEf0\"",
    "mtime": "2025-01-16T17:49:43.646Z",
    "size": 347227,
    "path": "../public/uploads/user4/palisades.jpg"
  },
  "/_nuxt/builds/latest.json": {
    "type": "application/json",
    "etag": "\"47-mLu+AvNWey41k2ezAFqhuFZ9i4c\"",
    "mtime": "2025-01-16T17:49:43.623Z",
    "size": 71,
    "path": "../public/_nuxt/builds/latest.json"
  },
  "/_nuxt/builds/meta/a89db059-4170-48a7-938b-5cf30f19eb0a.json": {
    "type": "application/json",
    "etag": "\"8b-rAiuS2NbvMMd81SlEvrGehROuC4\"",
    "mtime": "2025-01-16T17:49:43.619Z",
    "size": 139,
    "path": "../public/_nuxt/builds/meta/a89db059-4170-48a7-938b-5cf30f19eb0a.json"
  }
};

const _DRIVE_LETTER_START_RE = /^[A-Za-z]:\//;
function normalizeWindowsPath(input = "") {
  if (!input) {
    return input;
  }
  return input.replace(/\\/g, "/").replace(_DRIVE_LETTER_START_RE, (r) => r.toUpperCase());
}
const _IS_ABSOLUTE_RE = /^[/\\](?![/\\])|^[/\\]{2}(?!\.)|^[A-Za-z]:[/\\]/;
const _DRIVE_LETTER_RE = /^[A-Za-z]:$/;
globalThis.process?.platform === "win32" ? ";" : ":";
function cwd() {
  if (typeof process !== "undefined" && typeof process.cwd === "function") {
    return process.cwd().replace(/\\/g, "/");
  }
  return "/";
}
const resolve = function(...arguments_) {
  arguments_ = arguments_.map((argument) => normalizeWindowsPath(argument));
  let resolvedPath = "";
  let resolvedAbsolute = false;
  for (let index = arguments_.length - 1; index >= -1 && !resolvedAbsolute; index--) {
    const path = index >= 0 ? arguments_[index] : cwd();
    if (!path || path.length === 0) {
      continue;
    }
    resolvedPath = `${path}/${resolvedPath}`;
    resolvedAbsolute = isAbsolute(path);
  }
  resolvedPath = normalizeString(resolvedPath, !resolvedAbsolute);
  if (resolvedAbsolute && !isAbsolute(resolvedPath)) {
    return `/${resolvedPath}`;
  }
  return resolvedPath.length > 0 ? resolvedPath : ".";
};
function normalizeString(path, allowAboveRoot) {
  let res = "";
  let lastSegmentLength = 0;
  let lastSlash = -1;
  let dots = 0;
  let char = null;
  for (let index = 0; index <= path.length; ++index) {
    if (index < path.length) {
      char = path[index];
    } else if (char === "/") {
      break;
    } else {
      char = "/";
    }
    if (char === "/") {
      if (lastSlash === index - 1 || dots === 1) ; else if (dots === 2) {
        if (res.length < 2 || lastSegmentLength !== 2 || res[res.length - 1] !== "." || res[res.length - 2] !== ".") {
          if (res.length > 2) {
            const lastSlashIndex = res.lastIndexOf("/");
            if (lastSlashIndex === -1) {
              res = "";
              lastSegmentLength = 0;
            } else {
              res = res.slice(0, lastSlashIndex);
              lastSegmentLength = res.length - 1 - res.lastIndexOf("/");
            }
            lastSlash = index;
            dots = 0;
            continue;
          } else if (res.length > 0) {
            res = "";
            lastSegmentLength = 0;
            lastSlash = index;
            dots = 0;
            continue;
          }
        }
        if (allowAboveRoot) {
          res += res.length > 0 ? "/.." : "..";
          lastSegmentLength = 2;
        }
      } else {
        if (res.length > 0) {
          res += `/${path.slice(lastSlash + 1, index)}`;
        } else {
          res = path.slice(lastSlash + 1, index);
        }
        lastSegmentLength = index - lastSlash - 1;
      }
      lastSlash = index;
      dots = 0;
    } else if (char === "." && dots !== -1) {
      ++dots;
    } else {
      dots = -1;
    }
  }
  return res;
}
const isAbsolute = function(p) {
  return _IS_ABSOLUTE_RE.test(p);
};
const dirname = function(p) {
  const segments = normalizeWindowsPath(p).replace(/\/$/, "").split("/").slice(0, -1);
  if (segments.length === 1 && _DRIVE_LETTER_RE.test(segments[0])) {
    segments[0] += "/";
  }
  return segments.join("/") || (isAbsolute(p) ? "/" : ".");
};

function readAsset (id) {
  const serverDir = dirname(fileURLToPath(globalThis._importMeta_.url));
  return promises.readFile(resolve(serverDir, assets$1[id].path))
}

const publicAssetBases = {"/_nuxt/builds/meta/":{"maxAge":31536000},"/_nuxt/builds/":{"maxAge":1},"/_nuxt/":{"maxAge":31536000}};

function isPublicAssetURL(id = '') {
  if (assets$1[id]) {
    return true
  }
  for (const base in publicAssetBases) {
    if (id.startsWith(base)) { return true }
  }
  return false
}

function getAsset (id) {
  return assets$1[id]
}

const METHODS = /* @__PURE__ */ new Set(["HEAD", "GET"]);
const EncodingMap = { gzip: ".gz", br: ".br" };
const _iYOI6l = eventHandler((event) => {
  if (event.method && !METHODS.has(event.method)) {
    return;
  }
  let id = decodePath(
    withLeadingSlash(withoutTrailingSlash(parseURL(event.path).pathname))
  );
  let asset;
  const encodingHeader = String(
    getRequestHeader(event, "accept-encoding") || ""
  );
  const encodings = [
    ...encodingHeader.split(",").map((e) => EncodingMap[e.trim()]).filter(Boolean).sort(),
    ""
  ];
  if (encodings.length > 1) {
    appendResponseHeader(event, "Vary", "Accept-Encoding");
  }
  for (const encoding of encodings) {
    for (const _id of [id + encoding, joinURL(id, "index.html" + encoding)]) {
      const _asset = getAsset(_id);
      if (_asset) {
        asset = _asset;
        id = _id;
        break;
      }
    }
  }
  if (!asset) {
    if (isPublicAssetURL(id)) {
      removeResponseHeader(event, "Cache-Control");
      throw createError$1({
        statusMessage: "Cannot find static asset " + id,
        statusCode: 404
      });
    }
    return;
  }
  const ifNotMatch = getRequestHeader(event, "if-none-match") === asset.etag;
  if (ifNotMatch) {
    setResponseStatus(event, 304, "Not Modified");
    return "";
  }
  const ifModifiedSinceH = getRequestHeader(event, "if-modified-since");
  const mtimeDate = new Date(asset.mtime);
  if (ifModifiedSinceH && asset.mtime && new Date(ifModifiedSinceH) >= mtimeDate) {
    setResponseStatus(event, 304, "Not Modified");
    return "";
  }
  if (asset.type && !getResponseHeader(event, "Content-Type")) {
    setResponseHeader(event, "Content-Type", asset.type);
  }
  if (asset.etag && !getResponseHeader(event, "ETag")) {
    setResponseHeader(event, "ETag", asset.etag);
  }
  if (asset.mtime && !getResponseHeader(event, "Last-Modified")) {
    setResponseHeader(event, "Last-Modified", mtimeDate.toUTCString());
  }
  if (asset.encoding && !getResponseHeader(event, "Content-Encoding")) {
    setResponseHeader(event, "Content-Encoding", asset.encoding);
  }
  if (asset.size > 0 && !getResponseHeader(event, "Content-Length")) {
    setResponseHeader(event, "Content-Length", asset.size);
  }
  return readAsset(id);
});

const _Imxt5z = defineEventHandler(async (event) => {
  var _a;
  let cookies = await parseCookies(event);
  let headers = await getHeaders(event);
  var method = event.node.req.method.toLowerCase();
  let content_type = (_a = headers["content-type"]) == null ? undefined : _a.toLowerCase();
  let has_upload = content_type && content_type.includes("multipart/form-data");
  if (!has_upload) {
    if (["post", "delete", "put"].includes(method)) {
      let body = await readBody(event);
      event.body = body;
    } else if (["get"].includes(method)) {
      event.body = null;
      if (!event._path.startsWith("/api/")) {
        if (core.is_production()) {
          let file_extension = core.extract_file_extension({ url: event._path });
          let previously_redirected = event._path.startsWith("/jxt/assets/");
          if (file_extension && !previously_redirected) {
            let new_url = `/jxt/assets${event._path}`;
            await sendRedirect(event, new_url);
          }
        }
      }
    }
  }
  let token_name = "autht", user = null;
  let autht = headers[token_name] || cookies[token_name] || null;
  try {
    user = core.jwt_verify({ token: autht, evt: event });
    if (user) {
      user.image = await users.get_meta({ name: "avatar", user_id: user.id });
    } else {
      setCookie(event, "autht", null);
    }
  } catch (uex) {
    setCookie(event, "autht", null);
  }
  if (user) {
    if (!await users.exists({ user_id: user.id })) {
      user = null;
    } else {
      let u_promised = await Promise.all([
        users.can_user({ user_id: user.id, cap: "edit_options" }),
        users.get_user_roles({ user_id: user.id, status: "approved" })
      ]);
      user.is_admin = u_promised[0];
      user.roles = u_promised[1].map((it) => it.role);
      let sel_user_image = `SELECT value FROM ${db.name}.user_metas WHERE name LIKE 'avatar' AND user_id=${user.id}`;
      let q_result = await db.query(sel_user_image);
      if (q_result.length > 0) user.image = q_result[0].value;
      plugin.do_filter("inflate_user", { data: user });
    }
  }
  event.user = user;
  if (!has_upload) {
    var req_url = getRequestURL(event);
    let api_url = req_url.pathname;
    var referer = headers.referer || headers.referrer || headers.refer || headers.refferer || "<Initial>";
    var user_agent = headers["user-agent"];
    var os = headers["sec-ch-ua-platform"];
    var browser = headers["sec-ch-ua"];
    var ip = headers["x-forwarded-for"];
    let qp_results = await Promise.all([getQuery(event), getRouterParams(event)]);
    event.query = qp_results[0];
    event.params = qp_results[1];
    event.jxt = {
      cookies,
      headers,
      api_url,
      req_url,
      ip,
      referer,
      referrer: referer,
      user_agent,
      os,
      browser,
      method
    };
  } else {
    core.log("Middleware - received upload req");
  }
});

const _lazy_0ZqSej = () => import('../routes/api/analytics-action.post.mjs');
const _lazy_W9yCNH = () => import('../routes/api/analytics.post.mjs');
const _lazy_kehiKD = () => import('../routes/api/index.mjs');
const _lazy_dOpry3 = () => import('../routes/api/endpoints/_...suffix_.delete.mjs');
const _lazy_GVUkDW = () => import('../routes/api/endpoints/_...suffix_.get.mjs');
const _lazy_bgHpsj = () => import('../routes/api/endpoints/_...suffix_.post.mjs');
const _lazy_Hq5QdE = () => import('../routes/api/endpoints/webhooks.post.mjs');
const _lazy_DeF8uF = () => import('../routes/api/forms.post.mjs');
const _lazy_PSOKuZ = () => import('../routes/api/gate-check.post.mjs');
const _lazy_3Mf6m7 = () => import('../routes/api/init.get.mjs');
const _lazy_pFsgTC = () => import('../routes/api/login.mjs');
const _lazy_NRbGxH = () => import('../routes/api/options/_name_.get.mjs');
const _lazy_9MNPTQ = () => import('../routes/api/options/backup.get.mjs');
const _lazy_IYDJhp = () => import('../routes/api/options/capabilities.get.mjs');
const _lazy_RBCDiV = () => import('../routes/api/options/capabilities.post.mjs');
const _lazy_8LKk6B = () => import('../routes/api/options/clear-cache.get.mjs');
const _lazy_JZ9WEG = () => import('../routes/api/options/currencies.get.mjs');
const _lazy_AvilPI = () => import('../routes/api/index.get.mjs');
const _lazy_dL5HZw = () => import('../routes/api/index.post.mjs');
const _lazy_89Rxeu = () => import('../routes/api/options/roles.post.mjs');
const _lazy_FgW4bJ = () => import('../routes/api/options/subset.get.mjs');
const _lazy_DKWlMn = () => import('../routes/api/plugins/files.get.mjs');
const _lazy_Ix2o8B = () => import('../routes/api/plugins/files.post.mjs');
const _lazy_g8zsJe = () => import('../routes/api/index.get2.mjs');
const _lazy_zj4s0T = () => import('../routes/api/index.post2.mjs');
const _lazy_gLw7wb = () => import('../routes/api/plugins/new.post.mjs');
const _lazy_3SzO4x = () => import('../routes/api/plugins/remove.delete.mjs');
const _lazy_jTc6dS = () => import('../routes/api/posts/_id_.get.mjs');
const _lazy_HcGN7f = () => import('../routes/api/posts/categories.get.mjs');
const _lazy_SLHyei = () => import('../routes/api/posts/components.get.mjs');
const _lazy_ePqtUE = () => import('../routes/api/index.delete.mjs');
const _lazy_kDOGGN = () => import('../routes/api/index.get3.mjs');
const _lazy_TwOtQZ = () => import('../routes/api/index.post3.mjs');
const _lazy_PSnLGP = () => import('../routes/api/posts/items/_type_.get.mjs');
const _lazy_l5gbMq = () => import('../routes/api/posts/index.get.mjs');
const _lazy_TX7eRs = () => import('../routes/api/posts/ity.post.mjs');
const _lazy_lVTuyQ = () => import('../routes/api/posts/index.get2.mjs');
const _lazy_NegfE9 = () => import('../routes/api/posts/index.post.mjs');
const _lazy_9JE4mY = () => import('../routes/api/posts/sniplet.get.mjs');
const _lazy_a2NyYb = () => import('../routes/api/posts/sniplet.post.mjs');
const _lazy_vfcSTO = () => import('../routes/api/posts/uploads/create-folder.post.mjs');
const _lazy_M3bMYz = () => import('../routes/api/posts/index.get3.mjs');
const _lazy_WKAzxH = () => import('../routes/api/posts/index.post2.mjs');
const _lazy_9PGxrM = () => import('../routes/api/posts/uploads/remove.delete.mjs');
const _lazy_YmhxDY = () => import('../routes/api/posts/view.post.mjs');
const _lazy_QejGl6 = () => import('../routes/api/roles.get.mjs');
const _lazy_ahSLfD = () => import('../routes/api/search.get.mjs');
const _lazy_dgUrcQ = () => import('../routes/api/shop/cart.get.mjs');
const _lazy_NzfhC1 = () => import('../routes/api/shop/cart.post.mjs');
const _lazy_4W82Fo = () => import('../routes/api/shop/check-session.get.mjs');
const _lazy_CxcCoR = () => import('../routes/api/shop/create-session.get.mjs');
const _lazy_N36xw6 = () => import('../routes/api/shop/update-cart.post.mjs');
const _lazy_LGAr8p = () => import('../routes/api/signup.mjs');
const _lazy_siUIS5 = () => import('../routes/api/status-list.get.mjs');
const _lazy_4b6Vv6 = () => import('../routes/api/terms/_class_id/terms.get.mjs');
const _lazy_Qexoz4 = () => import('../routes/api/terms/class.delete.mjs');
const _lazy_MjLdHk = () => import('../routes/api/terms/class.get.mjs');
const _lazy_gBBr1J = () => import('../routes/api/terms/class.post.mjs');
const _lazy_w1XTdz = () => import('../routes/api/terms/term.delete.mjs');
const _lazy_u8yDey = () => import('../routes/api/terms/term.post.mjs');
const _lazy_uIRlNB = () => import('../routes/api/test.get.mjs');
const _lazy_JNc9jc = () => import('../routes/api/types/gator.mjs');
const _lazy_cuQSIf = () => import('../routes/api/index.delete2.mjs');
const _lazy_r2T9WS = () => import('../routes/api/index.get4.mjs');
const _lazy_2CwKmN = () => import('../routes/api/index.post4.mjs');
const _lazy_fHj7z6 = () => import('../routes/api/users/can/_cap_.get.mjs');
const _lazy_x78DvO = () => import('../routes/api/index.get5.mjs');
const _lazy_Xlnvkb = () => import('../routes/api/users/logout.get.mjs');
const _lazy_reS7Q2 = () => import('../routes/api/users/metas.get.mjs');
const _lazy_qTtnt4 = () => import('../routes/api/users/metas.post.mjs');
const _lazy_X0FGg7 = () => import('../routes/api/users/user-role-request.post.mjs');
const _lazy_NLOoKr = () => import('../routes/api/users/user-roles.get.mjs');
const _lazy_qse2ce = () => import('../routes/api/users/user-roles.post.mjs');
const _lazy_xelJB2 = () => import('../routes/hello.mjs');
const _lazy_vDENEj = () => import('../routes/jxt/assets/_...path_.get.mjs');
const _lazy_UFIA6Y = () => import('../routes/jxt/assets/hello.mjs');
const _lazy_UqD7CJ = () => import('../routes/renderer.mjs').then(function (n) { return n.r; });

const handlers = [
  { route: '', handler: _iYOI6l, lazy: false, middleware: true, method: undefined },
  { route: '', handler: _Imxt5z, lazy: false, middleware: true, method: undefined },
  { route: '/api/analytics-action', handler: _lazy_0ZqSej, lazy: true, middleware: false, method: "post" },
  { route: '/api/analytics', handler: _lazy_W9yCNH, lazy: true, middleware: false, method: "post" },
  { route: '/api/blocks', handler: _lazy_kehiKD, lazy: true, middleware: false, method: undefined },
  { route: '/api/endpoints/**:suffix', handler: _lazy_dOpry3, lazy: true, middleware: false, method: "delete" },
  { route: '/api/endpoints/**:suffix', handler: _lazy_GVUkDW, lazy: true, middleware: false, method: "get" },
  { route: '/api/endpoints/**:suffix', handler: _lazy_bgHpsj, lazy: true, middleware: false, method: "post" },
  { route: '/api/endpoints/webhooks', handler: _lazy_Hq5QdE, lazy: true, middleware: false, method: "post" },
  { route: '/api/forms', handler: _lazy_DeF8uF, lazy: true, middleware: false, method: "post" },
  { route: '/api/gate-check', handler: _lazy_PSOKuZ, lazy: true, middleware: false, method: "post" },
  { route: '/api/init', handler: _lazy_3Mf6m7, lazy: true, middleware: false, method: "get" },
  { route: '/api/login', handler: _lazy_pFsgTC, lazy: true, middleware: false, method: undefined },
  { route: '/api/options/:name', handler: _lazy_NRbGxH, lazy: true, middleware: false, method: "get" },
  { route: '/api/options/backup', handler: _lazy_9MNPTQ, lazy: true, middleware: false, method: "get" },
  { route: '/api/options/capabilities', handler: _lazy_IYDJhp, lazy: true, middleware: false, method: "get" },
  { route: '/api/options/capabilities', handler: _lazy_RBCDiV, lazy: true, middleware: false, method: "post" },
  { route: '/api/options/clear-cache', handler: _lazy_8LKk6B, lazy: true, middleware: false, method: "get" },
  { route: '/api/options/currencies', handler: _lazy_JZ9WEG, lazy: true, middleware: false, method: "get" },
  { route: '/api/options', handler: _lazy_AvilPI, lazy: true, middleware: false, method: "get" },
  { route: '/api/options', handler: _lazy_dL5HZw, lazy: true, middleware: false, method: "post" },
  { route: '/api/options/roles', handler: _lazy_89Rxeu, lazy: true, middleware: false, method: "post" },
  { route: '/api/options/subset', handler: _lazy_FgW4bJ, lazy: true, middleware: false, method: "get" },
  { route: '/api/plugins/files', handler: _lazy_DKWlMn, lazy: true, middleware: false, method: "get" },
  { route: '/api/plugins/files', handler: _lazy_Ix2o8B, lazy: true, middleware: false, method: "post" },
  { route: '/api/plugins', handler: _lazy_g8zsJe, lazy: true, middleware: false, method: "get" },
  { route: '/api/plugins', handler: _lazy_zj4s0T, lazy: true, middleware: false, method: "post" },
  { route: '/api/plugins/new', handler: _lazy_gLw7wb, lazy: true, middleware: false, method: "post" },
  { route: '/api/plugins/remove', handler: _lazy_3SzO4x, lazy: true, middleware: false, method: "delete" },
  { route: '/api/posts/:id', handler: _lazy_jTc6dS, lazy: true, middleware: false, method: "get" },
  { route: '/api/posts/categories', handler: _lazy_HcGN7f, lazy: true, middleware: false, method: "get" },
  { route: '/api/posts/components', handler: _lazy_SLHyei, lazy: true, middleware: false, method: "get" },
  { route: '/api/posts', handler: _lazy_ePqtUE, lazy: true, middleware: false, method: "delete" },
  { route: '/api/posts', handler: _lazy_kDOGGN, lazy: true, middleware: false, method: "get" },
  { route: '/api/posts', handler: _lazy_TwOtQZ, lazy: true, middleware: false, method: "post" },
  { route: '/api/posts/items/:type', handler: _lazy_PSnLGP, lazy: true, middleware: false, method: "get" },
  { route: '/api/posts/items', handler: _lazy_l5gbMq, lazy: true, middleware: false, method: "get" },
  { route: '/api/posts/ity', handler: _lazy_TX7eRs, lazy: true, middleware: false, method: "post" },
  { route: '/api/posts/notes', handler: _lazy_lVTuyQ, lazy: true, middleware: false, method: "get" },
  { route: '/api/posts/notes', handler: _lazy_NegfE9, lazy: true, middleware: false, method: "post" },
  { route: '/api/posts/sniplet', handler: _lazy_9JE4mY, lazy: true, middleware: false, method: "get" },
  { route: '/api/posts/sniplet', handler: _lazy_a2NyYb, lazy: true, middleware: false, method: "post" },
  { route: '/api/posts/uploads/create-folder', handler: _lazy_vfcSTO, lazy: true, middleware: false, method: "post" },
  { route: '/api/posts/uploads', handler: _lazy_M3bMYz, lazy: true, middleware: false, method: "get" },
  { route: '/api/posts/uploads', handler: _lazy_WKAzxH, lazy: true, middleware: false, method: "post" },
  { route: '/api/posts/uploads/remove', handler: _lazy_9PGxrM, lazy: true, middleware: false, method: "delete" },
  { route: '/api/posts/view', handler: _lazy_YmhxDY, lazy: true, middleware: false, method: "post" },
  { route: '/api/roles', handler: _lazy_QejGl6, lazy: true, middleware: false, method: "get" },
  { route: '/api/search', handler: _lazy_ahSLfD, lazy: true, middleware: false, method: "get" },
  { route: '/api/shop/cart', handler: _lazy_dgUrcQ, lazy: true, middleware: false, method: "get" },
  { route: '/api/shop/cart', handler: _lazy_NzfhC1, lazy: true, middleware: false, method: "post" },
  { route: '/api/shop/check-session', handler: _lazy_4W82Fo, lazy: true, middleware: false, method: "get" },
  { route: '/api/shop/create-session', handler: _lazy_CxcCoR, lazy: true, middleware: false, method: "get" },
  { route: '/api/shop/update-cart', handler: _lazy_N36xw6, lazy: true, middleware: false, method: "post" },
  { route: '/api/signup', handler: _lazy_LGAr8p, lazy: true, middleware: false, method: undefined },
  { route: '/api/status-list', handler: _lazy_siUIS5, lazy: true, middleware: false, method: "get" },
  { route: '/api/terms/:class_id/terms', handler: _lazy_4b6Vv6, lazy: true, middleware: false, method: "get" },
  { route: '/api/terms/class', handler: _lazy_Qexoz4, lazy: true, middleware: false, method: "delete" },
  { route: '/api/terms/class', handler: _lazy_MjLdHk, lazy: true, middleware: false, method: "get" },
  { route: '/api/terms/class', handler: _lazy_gBBr1J, lazy: true, middleware: false, method: "post" },
  { route: '/api/terms/term', handler: _lazy_w1XTdz, lazy: true, middleware: false, method: "delete" },
  { route: '/api/terms/term', handler: _lazy_u8yDey, lazy: true, middleware: false, method: "post" },
  { route: '/api/test', handler: _lazy_uIRlNB, lazy: true, middleware: false, method: "get" },
  { route: '/api/types/gator', handler: _lazy_JNc9jc, lazy: true, middleware: false, method: undefined },
  { route: '/api/types', handler: _lazy_cuQSIf, lazy: true, middleware: false, method: "delete" },
  { route: '/api/types', handler: _lazy_r2T9WS, lazy: true, middleware: false, method: "get" },
  { route: '/api/types', handler: _lazy_2CwKmN, lazy: true, middleware: false, method: "post" },
  { route: '/api/users/can/:cap', handler: _lazy_fHj7z6, lazy: true, middleware: false, method: "get" },
  { route: '/api/users', handler: _lazy_x78DvO, lazy: true, middleware: false, method: "get" },
  { route: '/api/users/logout', handler: _lazy_Xlnvkb, lazy: true, middleware: false, method: "get" },
  { route: '/api/users/metas', handler: _lazy_reS7Q2, lazy: true, middleware: false, method: "get" },
  { route: '/api/users/metas', handler: _lazy_qTtnt4, lazy: true, middleware: false, method: "post" },
  { route: '/api/users/user-role-request', handler: _lazy_X0FGg7, lazy: true, middleware: false, method: "post" },
  { route: '/api/users/user-roles', handler: _lazy_NLOoKr, lazy: true, middleware: false, method: "get" },
  { route: '/api/users/user-roles', handler: _lazy_qse2ce, lazy: true, middleware: false, method: "post" },
  { route: '/hello', handler: _lazy_xelJB2, lazy: true, middleware: false, method: undefined },
  { route: '/jxt/assets/**:path', handler: _lazy_vDENEj, lazy: true, middleware: false, method: "get" },
  { route: '/jxt/assets/hello', handler: _lazy_UFIA6Y, lazy: true, middleware: false, method: undefined },
  { route: '/__nuxt_error', handler: _lazy_UqD7CJ, lazy: true, middleware: false, method: undefined },
  { route: '/**', handler: _lazy_UqD7CJ, lazy: true, middleware: false, method: undefined }
];

function wrapToPromise(value) {
  if (!value || typeof value.then !== "function") {
    return Promise.resolve(value);
  }
  return value;
}
function asyncCall(function_, ...arguments_) {
  try {
    return wrapToPromise(function_(...arguments_));
  } catch (error) {
    return Promise.reject(error);
  }
}
function isPrimitive(value) {
  const type = typeof value;
  return value === null || type !== "object" && type !== "function";
}
function isPureObject(value) {
  const proto = Object.getPrototypeOf(value);
  return !proto || proto.isPrototypeOf(Object);
}
function stringify(value) {
  if (isPrimitive(value)) {
    return String(value);
  }
  if (isPureObject(value) || Array.isArray(value)) {
    return JSON.stringify(value);
  }
  if (typeof value.toJSON === "function") {
    return stringify(value.toJSON());
  }
  throw new Error("[unstorage] Cannot stringify value!");
}
const BASE64_PREFIX = "base64:";
function serializeRaw(value) {
  if (typeof value === "string") {
    return value;
  }
  return BASE64_PREFIX + base64Encode(value);
}
function deserializeRaw(value) {
  if (typeof value !== "string") {
    return value;
  }
  if (!value.startsWith(BASE64_PREFIX)) {
    return value;
  }
  return base64Decode(value.slice(BASE64_PREFIX.length));
}
function base64Decode(input) {
  if (globalThis.Buffer) {
    return Buffer.from(input, "base64");
  }
  return Uint8Array.from(
    globalThis.atob(input),
    (c) => c.codePointAt(0)
  );
}
function base64Encode(input) {
  if (globalThis.Buffer) {
    return Buffer.from(input).toString("base64");
  }
  return globalThis.btoa(String.fromCodePoint(...input));
}

const storageKeyProperties = [
  "hasItem",
  "getItem",
  "getItemRaw",
  "setItem",
  "setItemRaw",
  "removeItem",
  "getMeta",
  "setMeta",
  "removeMeta",
  "getKeys",
  "clear",
  "mount",
  "unmount"
];
function prefixStorage(storage, base) {
  base = normalizeBaseKey(base);
  if (!base) {
    return storage;
  }
  const nsStorage = { ...storage };
  for (const property of storageKeyProperties) {
    nsStorage[property] = (key = "", ...args) => (
      // @ts-ignore
      storage[property](base + key, ...args)
    );
  }
  nsStorage.getKeys = (key = "", ...arguments_) => storage.getKeys(base + key, ...arguments_).then((keys) => keys.map((key2) => key2.slice(base.length)));
  return nsStorage;
}
function normalizeKey$1(key) {
  if (!key) {
    return "";
  }
  return key.split("?")[0]?.replace(/[/\\]/g, ":").replace(/:+/g, ":").replace(/^:|:$/g, "") || "";
}
function joinKeys(...keys) {
  return normalizeKey$1(keys.join(":"));
}
function normalizeBaseKey(base) {
  base = normalizeKey$1(base);
  return base ? base + ":" : "";
}

function defineDriver$1(factory) {
  return factory;
}

const DRIVER_NAME$1 = "memory";
const memory = defineDriver$1(() => {
  const data = /* @__PURE__ */ new Map();
  return {
    name: DRIVER_NAME$1,
    getInstance: () => data,
    hasItem(key) {
      return data.has(key);
    },
    getItem(key) {
      return data.get(key) ?? null;
    },
    getItemRaw(key) {
      return data.get(key) ?? null;
    },
    setItem(key, value) {
      data.set(key, value);
    },
    setItemRaw(key, value) {
      data.set(key, value);
    },
    removeItem(key) {
      data.delete(key);
    },
    getKeys() {
      return [...data.keys()];
    },
    clear() {
      data.clear();
    },
    dispose() {
      data.clear();
    }
  };
});

function createStorage(options = {}) {
  const context = {
    mounts: { "": options.driver || memory() },
    mountpoints: [""],
    watching: false,
    watchListeners: [],
    unwatch: {}
  };
  const getMount = (key) => {
    for (const base of context.mountpoints) {
      if (key.startsWith(base)) {
        return {
          base,
          relativeKey: key.slice(base.length),
          driver: context.mounts[base]
        };
      }
    }
    return {
      base: "",
      relativeKey: key,
      driver: context.mounts[""]
    };
  };
  const getMounts = (base, includeParent) => {
    return context.mountpoints.filter(
      (mountpoint) => mountpoint.startsWith(base) || includeParent && base.startsWith(mountpoint)
    ).map((mountpoint) => ({
      relativeBase: base.length > mountpoint.length ? base.slice(mountpoint.length) : undefined,
      mountpoint,
      driver: context.mounts[mountpoint]
    }));
  };
  const onChange = (event, key) => {
    if (!context.watching) {
      return;
    }
    key = normalizeKey$1(key);
    for (const listener of context.watchListeners) {
      listener(event, key);
    }
  };
  const startWatch = async () => {
    if (context.watching) {
      return;
    }
    context.watching = true;
    for (const mountpoint in context.mounts) {
      context.unwatch[mountpoint] = await watch(
        context.mounts[mountpoint],
        onChange,
        mountpoint
      );
    }
  };
  const stopWatch = async () => {
    if (!context.watching) {
      return;
    }
    for (const mountpoint in context.unwatch) {
      await context.unwatch[mountpoint]();
    }
    context.unwatch = {};
    context.watching = false;
  };
  const runBatch = (items, commonOptions, cb) => {
    const batches = /* @__PURE__ */ new Map();
    const getBatch = (mount) => {
      let batch = batches.get(mount.base);
      if (!batch) {
        batch = {
          driver: mount.driver,
          base: mount.base,
          items: []
        };
        batches.set(mount.base, batch);
      }
      return batch;
    };
    for (const item of items) {
      const isStringItem = typeof item === "string";
      const key = normalizeKey$1(isStringItem ? item : item.key);
      const value = isStringItem ? undefined : item.value;
      const options2 = isStringItem || !item.options ? commonOptions : { ...commonOptions, ...item.options };
      const mount = getMount(key);
      getBatch(mount).items.push({
        key,
        value,
        relativeKey: mount.relativeKey,
        options: options2
      });
    }
    return Promise.all([...batches.values()].map((batch) => cb(batch))).then(
      (r) => r.flat()
    );
  };
  const storage = {
    // Item
    hasItem(key, opts = {}) {
      key = normalizeKey$1(key);
      const { relativeKey, driver } = getMount(key);
      return asyncCall(driver.hasItem, relativeKey, opts);
    },
    getItem(key, opts = {}) {
      key = normalizeKey$1(key);
      const { relativeKey, driver } = getMount(key);
      return asyncCall(driver.getItem, relativeKey, opts).then(
        (value) => destr(value)
      );
    },
    getItems(items, commonOptions = {}) {
      return runBatch(items, commonOptions, (batch) => {
        if (batch.driver.getItems) {
          return asyncCall(
            batch.driver.getItems,
            batch.items.map((item) => ({
              key: item.relativeKey,
              options: item.options
            })),
            commonOptions
          ).then(
            (r) => r.map((item) => ({
              key: joinKeys(batch.base, item.key),
              value: destr(item.value)
            }))
          );
        }
        return Promise.all(
          batch.items.map((item) => {
            return asyncCall(
              batch.driver.getItem,
              item.relativeKey,
              item.options
            ).then((value) => ({
              key: item.key,
              value: destr(value)
            }));
          })
        );
      });
    },
    getItemRaw(key, opts = {}) {
      key = normalizeKey$1(key);
      const { relativeKey, driver } = getMount(key);
      if (driver.getItemRaw) {
        return asyncCall(driver.getItemRaw, relativeKey, opts);
      }
      return asyncCall(driver.getItem, relativeKey, opts).then(
        (value) => deserializeRaw(value)
      );
    },
    async setItem(key, value, opts = {}) {
      if (value === undefined) {
        return storage.removeItem(key);
      }
      key = normalizeKey$1(key);
      const { relativeKey, driver } = getMount(key);
      if (!driver.setItem) {
        return;
      }
      await asyncCall(driver.setItem, relativeKey, stringify(value), opts);
      if (!driver.watch) {
        onChange("update", key);
      }
    },
    async setItems(items, commonOptions) {
      await runBatch(items, commonOptions, async (batch) => {
        if (batch.driver.setItems) {
          return asyncCall(
            batch.driver.setItems,
            batch.items.map((item) => ({
              key: item.relativeKey,
              value: stringify(item.value),
              options: item.options
            })),
            commonOptions
          );
        }
        if (!batch.driver.setItem) {
          return;
        }
        await Promise.all(
          batch.items.map((item) => {
            return asyncCall(
              batch.driver.setItem,
              item.relativeKey,
              stringify(item.value),
              item.options
            );
          })
        );
      });
    },
    async setItemRaw(key, value, opts = {}) {
      if (value === undefined) {
        return storage.removeItem(key, opts);
      }
      key = normalizeKey$1(key);
      const { relativeKey, driver } = getMount(key);
      if (driver.setItemRaw) {
        await asyncCall(driver.setItemRaw, relativeKey, value, opts);
      } else if (driver.setItem) {
        await asyncCall(driver.setItem, relativeKey, serializeRaw(value), opts);
      } else {
        return;
      }
      if (!driver.watch) {
        onChange("update", key);
      }
    },
    async removeItem(key, opts = {}) {
      if (typeof opts === "boolean") {
        opts = { removeMeta: opts };
      }
      key = normalizeKey$1(key);
      const { relativeKey, driver } = getMount(key);
      if (!driver.removeItem) {
        return;
      }
      await asyncCall(driver.removeItem, relativeKey, opts);
      if (opts.removeMeta || opts.removeMata) {
        await asyncCall(driver.removeItem, relativeKey + "$", opts);
      }
      if (!driver.watch) {
        onChange("remove", key);
      }
    },
    // Meta
    async getMeta(key, opts = {}) {
      if (typeof opts === "boolean") {
        opts = { nativeOnly: opts };
      }
      key = normalizeKey$1(key);
      const { relativeKey, driver } = getMount(key);
      const meta = /* @__PURE__ */ Object.create(null);
      if (driver.getMeta) {
        Object.assign(meta, await asyncCall(driver.getMeta, relativeKey, opts));
      }
      if (!opts.nativeOnly) {
        const value = await asyncCall(
          driver.getItem,
          relativeKey + "$",
          opts
        ).then((value_) => destr(value_));
        if (value && typeof value === "object") {
          if (typeof value.atime === "string") {
            value.atime = new Date(value.atime);
          }
          if (typeof value.mtime === "string") {
            value.mtime = new Date(value.mtime);
          }
          Object.assign(meta, value);
        }
      }
      return meta;
    },
    setMeta(key, value, opts = {}) {
      return this.setItem(key + "$", value, opts);
    },
    removeMeta(key, opts = {}) {
      return this.removeItem(key + "$", opts);
    },
    // Keys
    async getKeys(base, opts = {}) {
      base = normalizeBaseKey(base);
      const mounts = getMounts(base, true);
      let maskedMounts = [];
      const allKeys = [];
      for (const mount of mounts) {
        const rawKeys = await asyncCall(
          mount.driver.getKeys,
          mount.relativeBase,
          opts
        );
        for (const key of rawKeys) {
          const fullKey = mount.mountpoint + normalizeKey$1(key);
          if (!maskedMounts.some((p) => fullKey.startsWith(p))) {
            allKeys.push(fullKey);
          }
        }
        maskedMounts = [
          mount.mountpoint,
          ...maskedMounts.filter((p) => !p.startsWith(mount.mountpoint))
        ];
      }
      return base ? allKeys.filter(
        (key) => key.startsWith(base) && key[key.length - 1] !== "$"
      ) : allKeys.filter((key) => key[key.length - 1] !== "$");
    },
    // Utils
    async clear(base, opts = {}) {
      base = normalizeBaseKey(base);
      await Promise.all(
        getMounts(base, false).map(async (m) => {
          if (m.driver.clear) {
            return asyncCall(m.driver.clear, m.relativeBase, opts);
          }
          if (m.driver.removeItem) {
            const keys = await m.driver.getKeys(m.relativeBase || "", opts);
            return Promise.all(
              keys.map((key) => m.driver.removeItem(key, opts))
            );
          }
        })
      );
    },
    async dispose() {
      await Promise.all(
        Object.values(context.mounts).map((driver) => dispose(driver))
      );
    },
    async watch(callback) {
      await startWatch();
      context.watchListeners.push(callback);
      return async () => {
        context.watchListeners = context.watchListeners.filter(
          (listener) => listener !== callback
        );
        if (context.watchListeners.length === 0) {
          await stopWatch();
        }
      };
    },
    async unwatch() {
      context.watchListeners = [];
      await stopWatch();
    },
    // Mount
    mount(base, driver) {
      base = normalizeBaseKey(base);
      if (base && context.mounts[base]) {
        throw new Error(`already mounted at ${base}`);
      }
      if (base) {
        context.mountpoints.push(base);
        context.mountpoints.sort((a, b) => b.length - a.length);
      }
      context.mounts[base] = driver;
      if (context.watching) {
        Promise.resolve(watch(driver, onChange, base)).then((unwatcher) => {
          context.unwatch[base] = unwatcher;
        }).catch(console.error);
      }
      return storage;
    },
    async unmount(base, _dispose = true) {
      base = normalizeBaseKey(base);
      if (!base || !context.mounts[base]) {
        return;
      }
      if (context.watching && base in context.unwatch) {
        context.unwatch[base]?.();
        delete context.unwatch[base];
      }
      if (_dispose) {
        await dispose(context.mounts[base]);
      }
      context.mountpoints = context.mountpoints.filter((key) => key !== base);
      delete context.mounts[base];
    },
    getMount(key = "") {
      key = normalizeKey$1(key) + ":";
      const m = getMount(key);
      return {
        driver: m.driver,
        base: m.base
      };
    },
    getMounts(base = "", opts = {}) {
      base = normalizeKey$1(base);
      const mounts = getMounts(base, opts.parents);
      return mounts.map((m) => ({
        driver: m.driver,
        base: m.mountpoint
      }));
    },
    // Aliases
    keys: (base, opts = {}) => storage.getKeys(base, opts),
    get: (key, opts = {}) => storage.getItem(key, opts),
    set: (key, value, opts = {}) => storage.setItem(key, value, opts),
    has: (key, opts = {}) => storage.hasItem(key, opts),
    del: (key, opts = {}) => storage.removeItem(key, opts),
    remove: (key, opts = {}) => storage.removeItem(key, opts)
  };
  return storage;
}
function watch(driver, onChange, base) {
  return driver.watch ? driver.watch((event, key) => onChange(event, base + key)) : () => {
  };
}
async function dispose(driver) {
  if (typeof driver.dispose === "function") {
    await asyncCall(driver.dispose);
  }
}

const _assets = {

};

const normalizeKey = function normalizeKey(key) {
  if (!key) {
    return "";
  }
  return key.split("?")[0]?.replace(/[/\\]/g, ":").replace(/:+/g, ":").replace(/^:|:$/g, "") || "";
};

const assets = {
  getKeys() {
    return Promise.resolve(Object.keys(_assets))
  },
  hasItem (id) {
    id = normalizeKey(id);
    return Promise.resolve(id in _assets)
  },
  getItem (id) {
    id = normalizeKey(id);
    return Promise.resolve(_assets[id] ? _assets[id].import() : null)
  },
  getMeta (id) {
    id = normalizeKey(id);
    return Promise.resolve(_assets[id] ? _assets[id].meta : {})
  }
};

function defineDriver(factory) {
  return factory;
}
function createError(driver, message, opts) {
  const err = new Error(`[unstorage] [${driver}] ${message}`, opts);
  if (Error.captureStackTrace) {
    Error.captureStackTrace(err, createError);
  }
  return err;
}
function createRequiredError(driver, name) {
  if (Array.isArray(name)) {
    return createError(
      driver,
      `Missing some of the required options ${name.map((n) => "`" + n + "`").join(", ")}`
    );
  }
  return createError(driver, `Missing required option \`${name}\`.`);
}

function ignoreNotfound(err) {
  return err.code === "ENOENT" || err.code === "EISDIR" ? null : err;
}
function ignoreExists(err) {
  return err.code === "EEXIST" ? null : err;
}
async function writeFile(path, data, encoding) {
  await ensuredir(dirname$1(path));
  return promises.writeFile(path, data, encoding);
}
function readFile(path, encoding) {
  return promises.readFile(path, encoding).catch(ignoreNotfound);
}
function unlink(path) {
  return promises.unlink(path).catch(ignoreNotfound);
}
function readdir(dir) {
  return promises.readdir(dir, { withFileTypes: true }).catch(ignoreNotfound).then((r) => r || []);
}
async function ensuredir(dir) {
  if (existsSync(dir)) {
    return;
  }
  await ensuredir(dirname$1(dir)).catch(ignoreExists);
  await promises.mkdir(dir).catch(ignoreExists);
}
async function readdirRecursive(dir, ignore) {
  if (ignore && ignore(dir)) {
    return [];
  }
  const entries = await readdir(dir);
  const files = [];
  await Promise.all(
    entries.map(async (entry) => {
      const entryPath = resolve$1(dir, entry.name);
      if (entry.isDirectory()) {
        const dirFiles = await readdirRecursive(entryPath, ignore);
        files.push(...dirFiles.map((f) => entry.name + "/" + f));
      } else {
        if (!(ignore && ignore(entry.name))) {
          files.push(entry.name);
        }
      }
    })
  );
  return files;
}
async function rmRecursive(dir) {
  const entries = await readdir(dir);
  await Promise.all(
    entries.map((entry) => {
      const entryPath = resolve$1(dir, entry.name);
      if (entry.isDirectory()) {
        return rmRecursive(entryPath).then(() => promises.rmdir(entryPath));
      } else {
        return promises.unlink(entryPath);
      }
    })
  );
}

const PATH_TRAVERSE_RE = /\.\.:|\.\.$/;
const DRIVER_NAME = "fs-lite";
const unstorage_47drivers_47fs_45lite = defineDriver((opts = {}) => {
  if (!opts.base) {
    throw createRequiredError(DRIVER_NAME, "base");
  }
  opts.base = resolve$1(opts.base);
  const r = (key) => {
    if (PATH_TRAVERSE_RE.test(key)) {
      throw createError(
        DRIVER_NAME,
        `Invalid key: ${JSON.stringify(key)}. It should not contain .. segments`
      );
    }
    const resolved = join(opts.base, key.replace(/:/g, "/"));
    return resolved;
  };
  return {
    name: DRIVER_NAME,
    options: opts,
    hasItem(key) {
      return existsSync(r(key));
    },
    getItem(key) {
      return readFile(r(key), "utf8");
    },
    getItemRaw(key) {
      return readFile(r(key));
    },
    async getMeta(key) {
      const { atime, mtime, size, birthtime, ctime } = await promises.stat(r(key)).catch(() => ({}));
      return { atime, mtime, size, birthtime, ctime };
    },
    setItem(key, value) {
      if (opts.readOnly) {
        return;
      }
      return writeFile(r(key), value, "utf8");
    },
    setItemRaw(key, value) {
      if (opts.readOnly) {
        return;
      }
      return writeFile(r(key), value);
    },
    removeItem(key) {
      if (opts.readOnly) {
        return;
      }
      return unlink(r(key));
    },
    getKeys() {
      return readdirRecursive(r("."), opts.ignore);
    },
    async clear() {
      if (opts.readOnly || opts.noClear) {
        return;
      }
      await rmRecursive(r("."));
    }
  };
});

const storage = createStorage({});

storage.mount('/assets', assets);

storage.mount('data', unstorage_47drivers_47fs_45lite({"driver":"fsLite","base":"/home/ueleanya/AppDev/jxtpress-dev/.data/kv"}));

function useStorage(base = "") {
  return base ? prefixStorage(storage, base) : storage;
}

function defaultCacheOptions() {
  return {
    name: "_",
    base: "/cache",
    swr: true,
    maxAge: 1
  };
}
function defineCachedFunction(fn, opts = {}) {
  opts = { ...defaultCacheOptions(), ...opts };
  const pending = {};
  const group = opts.group || "nitro/functions";
  const name = opts.name || fn.name || "_";
  const integrity = opts.integrity || hash([fn, opts]);
  const validate = opts.validate || ((entry) => entry.value !== undefined);
  async function get(key, resolver, shouldInvalidateCache, event) {
    const cacheKey = [opts.base, group, name, key + ".json"].filter(Boolean).join(":").replace(/:\/$/, ":index");
    let entry = await useStorage().getItem(cacheKey).catch((error) => {
      console.error(`[nitro] [cache] Cache read error.`, error);
      useNitroApp().captureError(error, { event, tags: ["cache"] });
    }) || {};
    if (typeof entry !== "object") {
      entry = {};
      const error = new Error("Malformed data read from cache.");
      console.error("[nitro] [cache]", error);
      useNitroApp().captureError(error, { event, tags: ["cache"] });
    }
    const ttl = (opts.maxAge ?? 0) * 1e3;
    if (ttl) {
      entry.expires = Date.now() + ttl;
    }
    const expired = shouldInvalidateCache || entry.integrity !== integrity || ttl && Date.now() - (entry.mtime || 0) > ttl || validate(entry) === false;
    const _resolve = async () => {
      const isPending = pending[key];
      if (!isPending) {
        if (entry.value !== undefined && (opts.staleMaxAge || 0) >= 0 && opts.swr === false) {
          entry.value = undefined;
          entry.integrity = undefined;
          entry.mtime = undefined;
          entry.expires = undefined;
        }
        pending[key] = Promise.resolve(resolver());
      }
      try {
        entry.value = await pending[key];
      } catch (error) {
        if (!isPending) {
          delete pending[key];
        }
        throw error;
      }
      if (!isPending) {
        entry.mtime = Date.now();
        entry.integrity = integrity;
        delete pending[key];
        if (validate(entry) !== false) {
          let setOpts;
          if (opts.maxAge && !opts.swr) {
            setOpts = { ttl: opts.maxAge };
          }
          const promise = useStorage().setItem(cacheKey, entry, setOpts).catch((error) => {
            console.error(`[nitro] [cache] Cache write error.`, error);
            useNitroApp().captureError(error, { event, tags: ["cache"] });
          });
          if (event?.waitUntil) {
            event.waitUntil(promise);
          }
        }
      }
    };
    const _resolvePromise = expired ? _resolve() : Promise.resolve();
    if (entry.value === undefined) {
      await _resolvePromise;
    } else if (expired && event && event.waitUntil) {
      event.waitUntil(_resolvePromise);
    }
    if (opts.swr && validate(entry) !== false) {
      _resolvePromise.catch((error) => {
        console.error(`[nitro] [cache] SWR handler error.`, error);
        useNitroApp().captureError(error, { event, tags: ["cache"] });
      });
      return entry;
    }
    return _resolvePromise.then(() => entry);
  }
  return async (...args) => {
    const shouldBypassCache = await opts.shouldBypassCache?.(...args);
    if (shouldBypassCache) {
      return fn(...args);
    }
    const key = await (opts.getKey || getKey)(...args);
    const shouldInvalidateCache = await opts.shouldInvalidateCache?.(...args);
    const entry = await get(
      key,
      () => fn(...args),
      shouldInvalidateCache,
      args[0] && isEvent(args[0]) ? args[0] : undefined
    );
    let value = entry.value;
    if (opts.transform) {
      value = await opts.transform(entry, ...args) || value;
    }
    return value;
  };
}
function cachedFunction(fn, opts = {}) {
  return defineCachedFunction(fn, opts);
}
function getKey(...args) {
  return args.length > 0 ? hash(args, {}) : "";
}
function escapeKey(key) {
  return String(key).replace(/\W/g, "");
}
function defineCachedEventHandler(handler, opts = defaultCacheOptions()) {
  const variableHeaderNames = (opts.varies || []).filter(Boolean).map((h) => h.toLowerCase()).sort();
  const _opts = {
    ...opts,
    getKey: async (event) => {
      const customKey = await opts.getKey?.(event);
      if (customKey) {
        return escapeKey(customKey);
      }
      const _path = event.node.req.originalUrl || event.node.req.url || event.path;
      let _pathname;
      try {
        _pathname = escapeKey(decodeURI(parseURL(_path).pathname)).slice(0, 16) || "index";
      } catch {
        _pathname = "-";
      }
      const _hashedPath = `${_pathname}.${hash(_path)}`;
      const _headers = variableHeaderNames.map((header) => [header, event.node.req.headers[header]]).map(([name, value]) => `${escapeKey(name)}.${hash(value)}`);
      return [_hashedPath, ..._headers].join(":");
    },
    validate: (entry) => {
      if (!entry.value) {
        return false;
      }
      if (entry.value.code >= 400) {
        return false;
      }
      if (entry.value.body === undefined) {
        return false;
      }
      if (entry.value.headers.etag === "undefined" || entry.value.headers["last-modified"] === "undefined") {
        return false;
      }
      return true;
    },
    group: opts.group || "nitro/handlers",
    integrity: opts.integrity || hash([handler, opts])
  };
  const _cachedHandler = cachedFunction(
    async (incomingEvent) => {
      const variableHeaders = {};
      for (const header of variableHeaderNames) {
        const value = incomingEvent.node.req.headers[header];
        if (value !== undefined) {
          variableHeaders[header] = value;
        }
      }
      const reqProxy = cloneWithProxy(incomingEvent.node.req, {
        headers: variableHeaders
      });
      const resHeaders = {};
      let _resSendBody;
      const resProxy = cloneWithProxy(incomingEvent.node.res, {
        statusCode: 200,
        writableEnded: false,
        writableFinished: false,
        headersSent: false,
        closed: false,
        getHeader(name) {
          return resHeaders[name];
        },
        setHeader(name, value) {
          resHeaders[name] = value;
          return this;
        },
        getHeaderNames() {
          return Object.keys(resHeaders);
        },
        hasHeader(name) {
          return name in resHeaders;
        },
        removeHeader(name) {
          delete resHeaders[name];
        },
        getHeaders() {
          return resHeaders;
        },
        end(chunk, arg2, arg3) {
          if (typeof chunk === "string") {
            _resSendBody = chunk;
          }
          if (typeof arg2 === "function") {
            arg2();
          }
          if (typeof arg3 === "function") {
            arg3();
          }
          return this;
        },
        write(chunk, arg2, arg3) {
          if (typeof chunk === "string") {
            _resSendBody = chunk;
          }
          if (typeof arg2 === "function") {
            arg2(undefined);
          }
          if (typeof arg3 === "function") {
            arg3();
          }
          return true;
        },
        writeHead(statusCode, headers2) {
          this.statusCode = statusCode;
          if (headers2) {
            if (Array.isArray(headers2) || typeof headers2 === "string") {
              throw new TypeError("Raw headers  is not supported.");
            }
            for (const header in headers2) {
              const value = headers2[header];
              if (value !== undefined) {
                this.setHeader(
                  header,
                  value
                );
              }
            }
          }
          return this;
        }
      });
      const event = createEvent(reqProxy, resProxy);
      event.fetch = (url, fetchOptions) => fetchWithEvent(event, url, fetchOptions, {
        fetch: useNitroApp().localFetch
      });
      event.$fetch = (url, fetchOptions) => fetchWithEvent(event, url, fetchOptions, {
        fetch: globalThis.$fetch
      });
      event.context = incomingEvent.context;
      event.context.cache = {
        options: _opts
      };
      const body = await handler(event) || _resSendBody;
      const headers = event.node.res.getHeaders();
      headers.etag = String(
        headers.Etag || headers.etag || `W/"${hash(body)}"`
      );
      headers["last-modified"] = String(
        headers["Last-Modified"] || headers["last-modified"] || (/* @__PURE__ */ new Date()).toUTCString()
      );
      const cacheControl = [];
      if (opts.swr) {
        if (opts.maxAge) {
          cacheControl.push(`s-maxage=${opts.maxAge}`);
        }
        if (opts.staleMaxAge) {
          cacheControl.push(`stale-while-revalidate=${opts.staleMaxAge}`);
        } else {
          cacheControl.push("stale-while-revalidate");
        }
      } else if (opts.maxAge) {
        cacheControl.push(`max-age=${opts.maxAge}`);
      }
      if (cacheControl.length > 0) {
        headers["cache-control"] = cacheControl.join(", ");
      }
      const cacheEntry = {
        code: event.node.res.statusCode,
        headers,
        body
      };
      return cacheEntry;
    },
    _opts
  );
  return defineEventHandler(async (event) => {
    if (opts.headersOnly) {
      if (handleCacheHeaders(event, { maxAge: opts.maxAge })) {
        return;
      }
      return handler(event);
    }
    const response = await _cachedHandler(
      event
    );
    if (event.node.res.headersSent || event.node.res.writableEnded) {
      return response.body;
    }
    if (handleCacheHeaders(event, {
      modifiedTime: new Date(response.headers["last-modified"]),
      etag: response.headers.etag,
      maxAge: opts.maxAge
    })) {
      return;
    }
    event.node.res.statusCode = response.code;
    for (const name in response.headers) {
      const value = response.headers[name];
      if (name === "set-cookie") {
        event.node.res.appendHeader(
          name,
          splitCookiesString(value)
        );
      } else {
        if (value !== undefined) {
          event.node.res.setHeader(name, value);
        }
      }
    }
    return response.body;
  });
}
function cloneWithProxy(obj, overrides) {
  return new Proxy(obj, {
    get(target, property, receiver) {
      if (property in overrides) {
        return overrides[property];
      }
      return Reflect.get(target, property, receiver);
    },
    set(target, property, value, receiver) {
      if (property in overrides) {
        overrides[property] = value;
        return true;
      }
      return Reflect.set(target, property, value, receiver);
    }
  });
}
const cachedEventHandler = defineCachedEventHandler;

function klona(x) {
	if (typeof x !== 'object') return x;

	var k, tmp, str=Object.prototype.toString.call(x);

	if (str === '[object Object]') {
		if (x.constructor !== Object && typeof x.constructor === 'function') {
			tmp = new x.constructor();
			for (k in x) {
				if (x.hasOwnProperty(k) && tmp[k] !== x[k]) {
					tmp[k] = klona(x[k]);
				}
			}
		} else {
			tmp = {}; // null
			for (k in x) {
				if (k === '__proto__') {
					Object.defineProperty(tmp, k, {
						value: klona(x[k]),
						configurable: true,
						enumerable: true,
						writable: true,
					});
				} else {
					tmp[k] = klona(x[k]);
				}
			}
		}
		return tmp;
	}

	if (str === '[object Array]') {
		k = x.length;
		for (tmp=Array(k); k--;) {
			tmp[k] = klona(x[k]);
		}
		return tmp;
	}

	if (str === '[object Set]') {
		tmp = new Set;
		x.forEach(function (val) {
			tmp.add(klona(val));
		});
		return tmp;
	}

	if (str === '[object Map]') {
		tmp = new Map;
		x.forEach(function (val, key) {
			tmp.set(klona(key), klona(val));
		});
		return tmp;
	}

	if (str === '[object Date]') {
		return new Date(+x);
	}

	if (str === '[object RegExp]') {
		tmp = new RegExp(x.source, x.flags);
		tmp.lastIndex = x.lastIndex;
		return tmp;
	}

	if (str === '[object DataView]') {
		return new x.constructor( klona(x.buffer) );
	}

	if (str === '[object ArrayBuffer]') {
		return x.slice(0);
	}

	// ArrayBuffer.isView(x)
	// ~> `new` bcuz `Buffer.slice` => ref
	if (str.slice(-6) === 'Array]') {
		return new x.constructor(x);
	}

	return x;
}

const inlineAppConfig = {
  "nuxt": {}
};



const appConfig = defuFn(inlineAppConfig);

const NUMBER_CHAR_RE = /\d/;
const STR_SPLITTERS = ["-", "_", "/", "."];
function isUppercase(char = "") {
  if (NUMBER_CHAR_RE.test(char)) {
    return undefined;
  }
  return char !== char.toLowerCase();
}
function splitByCase(str, separators) {
  const splitters = STR_SPLITTERS;
  const parts = [];
  if (!str || typeof str !== "string") {
    return parts;
  }
  let buff = "";
  let previousUpper;
  let previousSplitter;
  for (const char of str) {
    const isSplitter = splitters.includes(char);
    if (isSplitter === true) {
      parts.push(buff);
      buff = "";
      previousUpper = undefined;
      continue;
    }
    const isUpper = isUppercase(char);
    if (previousSplitter === false) {
      if (previousUpper === false && isUpper === true) {
        parts.push(buff);
        buff = char;
        previousUpper = isUpper;
        continue;
      }
      if (previousUpper === true && isUpper === false && buff.length > 1) {
        const lastChar = buff.at(-1);
        parts.push(buff.slice(0, Math.max(0, buff.length - 1)));
        buff = lastChar + char;
        previousUpper = isUpper;
        continue;
      }
    }
    buff += char;
    previousUpper = isUpper;
    previousSplitter = isSplitter;
  }
  parts.push(buff);
  return parts;
}
function kebabCase(str, joiner) {
  return str ? (Array.isArray(str) ? str : splitByCase(str)).map((p) => p.toLowerCase()).join(joiner) : "";
}
function snakeCase(str) {
  return kebabCase(str || "", "_");
}

function getEnv(key, opts) {
  const envKey = snakeCase(key).toUpperCase();
  return destr(
    process.env[opts.prefix + envKey] ?? process.env[opts.altPrefix + envKey]
  );
}
function _isObject(input) {
  return typeof input === "object" && !Array.isArray(input);
}
function applyEnv(obj, opts, parentKey = "") {
  for (const key in obj) {
    const subKey = parentKey ? `${parentKey}_${key}` : key;
    const envValue = getEnv(subKey, opts);
    if (_isObject(obj[key])) {
      if (_isObject(envValue)) {
        obj[key] = { ...obj[key], ...envValue };
        applyEnv(obj[key], opts, subKey);
      } else if (envValue === undefined) {
        applyEnv(obj[key], opts, subKey);
      } else {
        obj[key] = envValue ?? obj[key];
      }
    } else {
      obj[key] = envValue ?? obj[key];
    }
    if (opts.envExpansion && typeof obj[key] === "string") {
      obj[key] = _expandFromEnv(obj[key]);
    }
  }
  return obj;
}
const envExpandRx = /{{(.*?)}}/g;
function _expandFromEnv(value) {
  return value.replace(envExpandRx, (match, key) => {
    return process.env[key] || match;
  });
}

const _inlineRuntimeConfig = {
  "app": {
    "baseURL": "/",
    "buildId": "a89db059-4170-48a7-938b-5cf30f19eb0a",
    "buildAssetsDir": "/_nuxt/",
    "cdnURL": ""
  },
  "nitro": {
    "envPrefix": "NUXT_",
    "routeRules": {
      "/__nuxt_error": {
        "cache": false
      },
      "/_nuxt/builds/meta/**": {
        "headers": {
          "cache-control": "public, max-age=31536000, immutable"
        }
      },
      "/_nuxt/builds/**": {
        "headers": {
          "cache-control": "public, max-age=1, immutable"
        }
      },
      "/_nuxt/**": {
        "headers": {
          "cache-control": "public, max-age=31536000, immutable"
        }
      }
    }
  },
  "public": {}
};
const envOptions = {
  prefix: "NITRO_",
  altPrefix: _inlineRuntimeConfig.nitro.envPrefix ?? process.env.NITRO_ENV_PREFIX ?? "_",
  envExpansion: _inlineRuntimeConfig.nitro.envExpansion ?? process.env.NITRO_ENV_EXPANSION ?? false
};
const _sharedRuntimeConfig = _deepFreeze(
  applyEnv(klona(_inlineRuntimeConfig), envOptions)
);
function useRuntimeConfig(event) {
  if (!event) {
    return _sharedRuntimeConfig;
  }
  if (event.context.nitro.runtimeConfig) {
    return event.context.nitro.runtimeConfig;
  }
  const runtimeConfig = klona(_inlineRuntimeConfig);
  applyEnv(runtimeConfig, envOptions);
  event.context.nitro.runtimeConfig = runtimeConfig;
  return runtimeConfig;
}
_deepFreeze(klona(appConfig));
function _deepFreeze(object) {
  const propNames = Object.getOwnPropertyNames(object);
  for (const name of propNames) {
    const value = object[name];
    if (value && typeof value === "object") {
      _deepFreeze(value);
    }
  }
  return Object.freeze(object);
}
new Proxy(/* @__PURE__ */ Object.create(null), {
  get: (_, prop) => {
    console.warn(
      "Please use `useRuntimeConfig()` instead of accessing config directly."
    );
    const runtimeConfig = useRuntimeConfig();
    if (prop in runtimeConfig) {
      return runtimeConfig[prop];
    }
    return undefined;
  }
});

function createContext(opts = {}) {
  let currentInstance;
  let isSingleton = false;
  const checkConflict = (instance) => {
    if (currentInstance && currentInstance !== instance) {
      throw new Error("Context conflict");
    }
  };
  let als;
  if (opts.asyncContext) {
    const _AsyncLocalStorage = opts.AsyncLocalStorage || globalThis.AsyncLocalStorage;
    if (_AsyncLocalStorage) {
      als = new _AsyncLocalStorage();
    } else {
      console.warn("[unctx] `AsyncLocalStorage` is not provided.");
    }
  }
  const _getCurrentInstance = () => {
    if (als) {
      const instance = als.getStore();
      if (instance !== undefined) {
        return instance;
      }
    }
    return currentInstance;
  };
  return {
    use: () => {
      const _instance = _getCurrentInstance();
      if (_instance === undefined) {
        throw new Error("Context is not available");
      }
      return _instance;
    },
    tryUse: () => {
      return _getCurrentInstance();
    },
    set: (instance, replace) => {
      if (!replace) {
        checkConflict(instance);
      }
      currentInstance = instance;
      isSingleton = true;
    },
    unset: () => {
      currentInstance = undefined;
      isSingleton = false;
    },
    call: (instance, callback) => {
      checkConflict(instance);
      currentInstance = instance;
      try {
        return als ? als.run(instance, callback) : callback();
      } finally {
        if (!isSingleton) {
          currentInstance = undefined;
        }
      }
    },
    async callAsync(instance, callback) {
      currentInstance = instance;
      const onRestore = () => {
        currentInstance = instance;
      };
      const onLeave = () => currentInstance === instance ? onRestore : undefined;
      asyncHandlers.add(onLeave);
      try {
        const r = als ? als.run(instance, callback) : callback();
        if (!isSingleton) {
          currentInstance = void 0;
        }
        return await r;
      } finally {
        asyncHandlers.delete(onLeave);
      }
    }
  };
}
function createNamespace(defaultOpts = {}) {
  const contexts = {};
  return {
    get(key, opts = {}) {
      if (!contexts[key]) {
        contexts[key] = createContext({ ...defaultOpts, ...opts });
      }
      return contexts[key];
    }
  };
}
const _globalThis = typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : typeof global !== "undefined" ? global : {};
const globalKey = "__unctx__";
const defaultNamespace = _globalThis[globalKey] || (_globalThis[globalKey] = createNamespace());
const getContext = (key, opts = {}) => defaultNamespace.get(key, opts);
const asyncHandlersKey = "__unctx_async_handlers__";
const asyncHandlers = _globalThis[asyncHandlersKey] || (_globalThis[asyncHandlersKey] = /* @__PURE__ */ new Set());

getContext("nitro-app", {
  asyncContext: false,
  AsyncLocalStorage: undefined
});

const config = useRuntimeConfig();
const _routeRulesMatcher = toRouteMatcher(
  createRouter$1({ routes: config.nitro.routeRules })
);
function createRouteRulesHandler(ctx) {
  return eventHandler((event) => {
    const routeRules = getRouteRules(event);
    if (routeRules.headers) {
      setHeaders(event, routeRules.headers);
    }
    if (routeRules.redirect) {
      let target = routeRules.redirect.to;
      if (target.endsWith("/**")) {
        let targetPath = event.path;
        const strpBase = routeRules.redirect._redirectStripBase;
        if (strpBase) {
          targetPath = withoutBase(targetPath, strpBase);
        }
        target = joinURL(target.slice(0, -3), targetPath);
      } else if (event.path.includes("?")) {
        const query = getQuery$1(event.path);
        target = withQuery(target, query);
      }
      return sendRedirect(event, target, routeRules.redirect.statusCode);
    }
    if (routeRules.proxy) {
      let target = routeRules.proxy.to;
      if (target.endsWith("/**")) {
        let targetPath = event.path;
        const strpBase = routeRules.proxy._proxyStripBase;
        if (strpBase) {
          targetPath = withoutBase(targetPath, strpBase);
        }
        target = joinURL(target.slice(0, -3), targetPath);
      } else if (event.path.includes("?")) {
        const query = getQuery$1(event.path);
        target = withQuery(target, query);
      }
      return proxyRequest(event, target, {
        fetch: ctx.localFetch,
        ...routeRules.proxy
      });
    }
  });
}
function getRouteRules(event) {
  event.context._nitro = event.context._nitro || {};
  if (!event.context._nitro.routeRules) {
    event.context._nitro.routeRules = getRouteRulesForPath(
      withoutBase(event.path.split("?")[0], useRuntimeConfig().app.baseURL)
    );
  }
  return event.context._nitro.routeRules;
}
function getRouteRulesForPath(path) {
  return defu({}, ..._routeRulesMatcher.matchAll(path).reverse());
}

function createNitroApp() {
  const config = useRuntimeConfig();
  const hooks = createHooks();
  const captureError = (error, context = {}) => {
    const promise = hooks.callHookParallel("error", error, context).catch((error_) => {
      console.error("Error while capturing another error", error_);
    });
    if (context.event && isEvent(context.event)) {
      const errors = context.event.context.nitro?.errors;
      if (errors) {
        errors.push({ error, context });
      }
      if (context.event.waitUntil) {
        context.event.waitUntil(promise);
      }
    }
  };
  const h3App = createApp({
    debug: destr(false),
    onError: (error, event) => {
      captureError(error, { event, tags: ["request"] });
      return errorHandler(error, event);
    },
    onRequest: async (event) => {
      await nitroApp$1.hooks.callHook("request", event).catch((error) => {
        captureError(error, { event, tags: ["request"] });
      });
    },
    onBeforeResponse: async (event, response) => {
      await nitroApp$1.hooks.callHook("beforeResponse", event, response).catch((error) => {
        captureError(error, { event, tags: ["request", "response"] });
      });
    },
    onAfterResponse: async (event, response) => {
      await nitroApp$1.hooks.callHook("afterResponse", event, response).catch((error) => {
        captureError(error, { event, tags: ["request", "response"] });
      });
    }
  });
  const router = createRouter({
    preemptive: true
  });
  const localCall = createCall(toNodeListener(h3App));
  const _localFetch = createFetch(localCall, globalThis.fetch);
  const localFetch = (input, init) => _localFetch(input, init).then(
    (response) => normalizeFetchResponse(response)
  );
  const $fetch = createFetch$1({
    fetch: localFetch,
    Headers: Headers$1,
    defaults: { baseURL: config.app.baseURL }
  });
  globalThis.$fetch = $fetch;
  h3App.use(createRouteRulesHandler({ localFetch }));
  h3App.use(
    eventHandler((event) => {
      event.context.nitro = event.context.nitro || { errors: [] };
      const envContext = event.node.req?.__unenv__;
      if (envContext) {
        Object.assign(event.context, envContext);
      }
      event.fetch = (req, init) => fetchWithEvent(event, req, init, { fetch: localFetch });
      event.$fetch = (req, init) => fetchWithEvent(event, req, init, {
        fetch: $fetch
      });
      event.waitUntil = (promise) => {
        if (!event.context.nitro._waitUntilPromises) {
          event.context.nitro._waitUntilPromises = [];
        }
        event.context.nitro._waitUntilPromises.push(promise);
        if (envContext?.waitUntil) {
          envContext.waitUntil(promise);
        }
      };
      event.captureError = (error, context) => {
        captureError(error, { event, ...context });
      };
    })
  );
  for (const h of handlers) {
    let handler = h.lazy ? lazyEventHandler(h.handler) : h.handler;
    if (h.middleware || !h.route) {
      const middlewareBase = (config.app.baseURL + (h.route || "/")).replace(
        /\/+/g,
        "/"
      );
      h3App.use(middlewareBase, handler);
    } else {
      const routeRules = getRouteRulesForPath(
        h.route.replace(/:\w+|\*\*/g, "_")
      );
      if (routeRules.cache) {
        handler = cachedEventHandler(handler, {
          group: "nitro/routes",
          ...routeRules.cache
        });
      }
      router.use(h.route, handler, h.method);
    }
  }
  h3App.use(config.app.baseURL, router.handler);
  const app = {
    hooks,
    h3App,
    router,
    localCall,
    localFetch,
    captureError
  };
  return app;
}
function runNitroPlugins(nitroApp2) {
  for (const plugin of plugins) {
    try {
      plugin(nitroApp2);
    } catch (error) {
      nitroApp2.captureError(error, { tags: ["plugin"] });
      throw error;
    }
  }
}
const nitroApp$1 = createNitroApp();
function useNitroApp() {
  return nitroApp$1;
}
runNitroPlugins(nitroApp$1);

function defineRenderHandler(render) {
  const runtimeConfig = useRuntimeConfig();
  return eventHandler(async (event) => {
    const nitroApp = useNitroApp();
    const ctx = { event, render, response: undefined };
    await nitroApp.hooks.callHook("render:before", ctx);
    if (!ctx.response) {
      if (event.path === `${runtimeConfig.app.baseURL}favicon.ico`) {
        setResponseHeader(event, "Content-Type", "image/x-icon");
        return send(
          event,
          "data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"
        );
      }
      ctx.response = await ctx.render(event);
      if (!ctx.response) {
        const _currentStatus = getResponseStatus(event);
        setResponseStatus(event, _currentStatus === 200 ? 500 : _currentStatus);
        return send(
          event,
          "No response returned from render handler: " + event.path
        );
      }
    }
    await nitroApp.hooks.callHook("render:response", ctx.response, ctx);
    if (ctx.response.headers) {
      setResponseHeaders(event, ctx.response.headers);
    }
    if (ctx.response.statusCode || ctx.response.statusMessage) {
      setResponseStatus(
        event,
        ctx.response.statusCode,
        ctx.response.statusMessage
      );
    }
    return ctx.response.body;
  });
}

const debug = (...args) => {
};
function GracefulShutdown(server, opts) {
  opts = opts || {};
  const options = Object.assign(
    {
      signals: "SIGINT SIGTERM",
      timeout: 3e4,
      development: false,
      forceExit: true,
      onShutdown: (signal) => Promise.resolve(signal),
      preShutdown: (signal) => Promise.resolve(signal)
    },
    opts
  );
  let isShuttingDown = false;
  const connections = {};
  let connectionCounter = 0;
  const secureConnections = {};
  let secureConnectionCounter = 0;
  let failed = false;
  let finalRun = false;
  function onceFactory() {
    let called = false;
    return (emitter, events, callback) => {
      function call() {
        if (!called) {
          called = true;
          return Reflect.apply(callback, this, arguments);
        }
      }
      for (const e of events) {
        emitter.on(e, call);
      }
    };
  }
  const signals = options.signals.split(" ").map((s) => s.trim()).filter((s) => s.length > 0);
  const once = onceFactory();
  once(process, signals, (signal) => {
    shutdown(signal).then(() => {
      if (options.forceExit) {
        process.exit(failed ? 1 : 0);
      }
    }).catch((error) => {
      process.exit(1);
    });
  });
  function isFunction(functionToCheck) {
    const getType = Object.prototype.toString.call(functionToCheck);
    return /^\[object\s([A-Za-z]+)?Function]$/.test(getType);
  }
  function destroy(socket, force = false) {
    if (socket._isIdle && isShuttingDown || force) {
      socket.destroy();
      if (socket.server instanceof http.Server) {
        delete connections[socket._connectionId];
      } else {
        delete secureConnections[socket._connectionId];
      }
    }
  }
  function destroyAllConnections(force = false) {
    for (const key of Object.keys(connections)) {
      const socket = connections[key];
      const serverResponse = socket._httpMessage;
      if (serverResponse && !force) {
        if (!serverResponse.headersSent) {
          serverResponse.setHeader("connection", "close");
        }
      } else {
        destroy(socket);
      }
    }
    for (const key of Object.keys(secureConnections)) {
      const socket = secureConnections[key];
      const serverResponse = socket._httpMessage;
      if (serverResponse && !force) {
        if (!serverResponse.headersSent) {
          serverResponse.setHeader("connection", "close");
        }
      } else {
        destroy(socket);
      }
    }
  }
  server.on("request", (req, res) => {
    req.socket._isIdle = false;
    if (isShuttingDown && !res.headersSent) {
      res.setHeader("connection", "close");
    }
    res.on("finish", () => {
      req.socket._isIdle = true;
      destroy(req.socket);
    });
  });
  server.on("connection", (socket) => {
    if (isShuttingDown) {
      socket.destroy();
    } else {
      const id = connectionCounter++;
      socket._isIdle = true;
      socket._connectionId = id;
      connections[id] = socket;
      socket.once("close", () => {
        delete connections[socket._connectionId];
      });
    }
  });
  server.on("secureConnection", (socket) => {
    if (isShuttingDown) {
      socket.destroy();
    } else {
      const id = secureConnectionCounter++;
      socket._isIdle = true;
      socket._connectionId = id;
      secureConnections[id] = socket;
      socket.once("close", () => {
        delete secureConnections[socket._connectionId];
      });
    }
  });
  process.on("close", () => {
  });
  function shutdown(sig) {
    function cleanupHttp() {
      destroyAllConnections();
      return new Promise((resolve, reject) => {
        server.close((err) => {
          if (err) {
            return reject(err);
          }
          return resolve(true);
        });
      });
    }
    if (options.development) {
      return process.exit(0);
    }
    function finalHandler() {
      if (!finalRun) {
        finalRun = true;
        if (options.finally && isFunction(options.finally)) {
          options.finally();
        }
      }
      return Promise.resolve();
    }
    function waitForReadyToShutDown(totalNumInterval) {
      if (totalNumInterval === 0) {
        debug(
          `Could not close connections in time (${options.timeout}ms), will forcefully shut down`
        );
        return Promise.resolve(true);
      }
      const allConnectionsClosed = Object.keys(connections).length === 0 && Object.keys(secureConnections).length === 0;
      if (allConnectionsClosed) {
        return Promise.resolve(false);
      }
      return new Promise((resolve) => {
        setTimeout(() => {
          resolve(waitForReadyToShutDown(totalNumInterval - 1));
        }, 250);
      });
    }
    if (isShuttingDown) {
      return Promise.resolve();
    }
    return options.preShutdown(sig).then(() => {
      isShuttingDown = true;
      cleanupHttp();
    }).then(() => {
      const pollIterations = options.timeout ? Math.round(options.timeout / 250) : 0;
      return waitForReadyToShutDown(pollIterations);
    }).then((force) => {
      if (force) {
        destroyAllConnections(force);
      }
      return options.onShutdown(sig);
    }).then(finalHandler).catch((error) => {
      const errString = typeof error === "string" ? error : JSON.stringify(error);
      failed = true;
      throw errString;
    });
  }
  function shutdownManual() {
    return shutdown("manual");
  }
  return shutdownManual;
}

function getGracefulShutdownConfig() {
  return {
    disabled: !!process.env.NITRO_SHUTDOWN_DISABLED,
    signals: (process.env.NITRO_SHUTDOWN_SIGNALS || "SIGTERM SIGINT").split(" ").map((s) => s.trim()),
    timeout: Number.parseInt(process.env.NITRO_SHUTDOWN_TIMEOUT || "", 10) || 3e4,
    forceExit: !process.env.NITRO_SHUTDOWN_NO_FORCE_EXIT
  };
}
function setupGracefulShutdown(listener, nitroApp) {
  const shutdownConfig = getGracefulShutdownConfig();
  if (shutdownConfig.disabled) {
    return;
  }
  GracefulShutdown(listener, {
    signals: shutdownConfig.signals.join(" "),
    timeout: shutdownConfig.timeout,
    forceExit: shutdownConfig.forceExit,
    onShutdown: async () => {
      await new Promise((resolve) => {
        const timeout = setTimeout(() => {
          console.warn("Graceful shutdown timeout, force exiting...");
          resolve();
        }, shutdownConfig.timeout);
        nitroApp.hooks.callHook("close").catch((error) => {
          console.error(error);
        }).finally(() => {
          clearTimeout(timeout);
          resolve();
        });
      });
    }
  });
}

const cert = process.env.NITRO_SSL_CERT;
const key = process.env.NITRO_SSL_KEY;
const nitroApp = useNitroApp();
const server = cert && key ? new Server({ key, cert }, toNodeListener(nitroApp.h3App)) : new Server$1(toNodeListener(nitroApp.h3App));
const port = destr(process.env.NITRO_PORT || process.env.PORT) || 3e3;
const host = process.env.NITRO_HOST || process.env.HOST;
const path = process.env.NITRO_UNIX_SOCKET;
const listener = server.listen(path ? { path } : { port, host }, (err) => {
  if (err) {
    console.error(err);
    process.exit(1);
  }
  const protocol = cert && key ? "https" : "http";
  const addressInfo = listener.address();
  if (typeof addressInfo === "string") {
    console.log(`Listening on unix socket ${addressInfo}`);
    return;
  }
  const baseURL = (useRuntimeConfig().app.baseURL || "").replace(/\/$/, "");
  const url = `${protocol}://${addressInfo.family === "IPv6" ? `[${addressInfo.address}]` : addressInfo.address}:${addressInfo.port}${baseURL}`;
  console.log(`Listening on ${url}`);
});
trapUnhandledNodeErrors();
setupGracefulShutdown(listener, nitroApp);
const nodeServer = {};

export { $fetch$1 as $, getRequestHeaders as A, klona as B, parse as C, getRequestHeader as D, hash as E, parseQuery as F, createHooks as G, destr as H, isEqual as I, getCookie as J, getContext as K, withTrailingSlash as L, withoutTrailingSlash as M, toRouteMatcher as N, createRouter$1 as O, getResponseHeader as P, removeResponseHeader as Q, setResponseHeader as R, nodeServer as S, posts as a, plugin as b, core as c, defineEventHandler as d, db as e, deleteCookie as f, getRouterParams as g, sendStream as h, useRuntimeConfig as i, joinRelativeURL as j, defineRenderHandler as k, getQuery as l, createError$1 as m, getRouteRules as n, getResponseStatus as o, permissions as p, getResponseStatusText as q, useNitroApp as r, setCookie as s, hasProtocol as t, users as u, isScriptProtocol as v, joinURL as w, withQuery as x, defu as y, sanitizeStatusCode as z };
//# sourceMappingURL=nitro.mjs.map
